<?php

class Accounts extends Controller {

	function Accounts(){
		parent::Controller();
		$this->load->model('asset');
		$this->load->model('service');
		$this->load->model('contact');
		$this->load->model('inv');
		$this->load->model('sale');
		$this->load->model('account');
		$this->load->model('cc');
	}
	
	function Set_current_account(){
	
	}
	
	function Payables_entry($do){
		if ($do == 'do'){
			

			
			switch ($this->input->post('type')){
				case "Purchase of Asset":
					$contact = $this->contact->get_contact_by_id($this->input->post('contact_id'));
					
					// create asset entry
										
				break;
				case "Employee Claims":
					$employee = $this->employee->get_employee_by_id($this->input->post('employee_id'));
				break;
				case "Sales":
					$contact = $this->contact->get_contact_by_id($this->input->post('contact_id'));
					
				break;
				case "Other":
					$contact = $this->contact->get_contact_by_id($this->input->post('contact_id'));
				
				break;
			}
			
			$this->db->insert('account_payables', array(
				'txn_no'		=> $this->txn_no($type),
				'date'			=> sql_date_reformat($this->input->post('date')),
				'contact_id'	=> $contact->id,
				'contact'		=> $contact->company_name ? $contact->company_name : $contact->contact_person,
				'amount'		=> $this->input->post('amount'),
				'net_amount'	=> $this->input->post('amount') - $this->input->post('tax_amount'),
				'tax_amount'	=> $this->input->post('tax_amount'),
				'tax_code'		=> $this->input->post('tax_code'),
				'reference'		=> $this->input->post('reference'),
				'description'	=> $this->input->post('description'),
				'account_id'	=> $account->id,
				'account'		=> $account->name,
				'type'			=> $this->input->post('type'),
				'asset_id'		=> $asset->id,
				'asset'			=> $asset->name,
				'employee_id'	=> $employee->id,
				'employee'		=> $employee->firstname . ' ' . $employee->lastname
			));
			
		} else {
			$opt = $this->input->post('opt');
			if (!$opt['show_void']){
				$filter[] = '`void` = 0';
			}
			
			if ($opt['from']) $filter[]			= "`date` >= " . $this->db->escape(sql_date_reformat($opt['from']));
			if ($opt['to']) $filter[]			= "`date` <= " . $this->db->escape(sql_date_reformat($opt['to']));
			if ($opt['contact_id']) $filter[]	= "`contact_id` = " . $this->db->escape($opt['contact_id']);
			if ($opt['txn_no']) $filter[]		= "`txn_no` = " . $this->db->escape($opt['txn_no']);
			if ($opt['account_id']) $filter[]	= "`account_id` = " . $this->db->escape($opt['account_id']);
			if ($opt['term']){
				$or_filter[]					= "`contact` LIKE " . $this->db->escape('%'.$opt['term'].'%');
				$or_filter[]					= "`employee` LIKE " . $this->db->escape('%'.$opt['term'].'%');
				$or_filter[]					= "`account` LIKE " . $this->db->escape('%'.$opt['term'].'%');
			}
			
			$filter_string = implode(' AND ', $filter);
			$filter_string .= count($or_filter) ? ' AND (' . implode(' OR ', $or_filter) . ')' : '';
			
			if ($filter_string) $filter_string = ' WHERE ' . $filter_string;
			
			$query = $this->db->query("SELECT * FROM `account_payables` $filter_string ORDER BY `date` ASC");
			$data['payables'] = $query->result();
			
			$this->load->view('accounts_payables', $data);
		}
	}
	
	function Edit_payable($id, $do){
		if ($do == 'do'){
			
		}
	}
	
	function Void_payable(){
		
	}
	
	function Receivables_entry(){
		
	}
	
	function Edit_receivable(){
		
	}
	
	function Void_receivable(){
		
	}
	


	function Receipt_void($id){
		if ($this->input->post('void')){
			$this->account->void_receipt($id);
		}
		
	}
	
	function PV_void($id){
		if ($this->input->post('void')){
			$this->account->void_pv($id);
		}
	}
	
	function Config($do){
		if ($do == 'do'){
		
			$this->db->update('account', array(
				'integrated' 		=> NULL,
				'integration_type'	=> ''
			));
			
			$integration = $this->input->post('integration');
			
			foreach ($integration as $type => $id){
				$this->db->update('account', array(
					'integrated'		=> 1,
					'integration_type'	=> $type
				), "`id` = '{$id}'");
			}
			
			echo '<script language="javascript" type="text/javascript">window.top.window.readyAdd(1);</script>';
			
		} else {
			$query = $this->db->query("SELECT * FROM `account` WHERE `integrated` = 1");
			$integrated_accounts = $query->result();
			
			foreach ($integrated_accounts as $account){
				$integration[$account->integration_type] = $account->id;
			}
			
			$this->d['integration'] = $integration;
			
			
			$equity_accounts[] = 'Select from Equity Accounts';
			$query = $this->db->query("SELECT * FROM `account` WHERE `type` = 'Equity' AND `is_subheader` IS NULL AND `is_header` IS NULL");
			foreach ($query->result() as $account){
				$equity_accounts[$account->id] = '['.$account->id.'] ' . $account->name;
			}
			$this->d['equity_accounts'] = $equity_accounts;
			
			$asset_accounts[] = 'Select from Asset Accounts';
			$query = $this->db->query("SELECT * FROM `account` WHERE `type` = 'Asset' AND `is_subheader` IS NULL AND `is_header` IS NULL");
			foreach ($query->result() as $account){
				$asset_accounts[$account->id] = '['.$account->id.'] ' . $account->name;
			}
			$this->d['asset_accounts'] = $asset_accounts;
			
			$liability_accounts[] = 'Select from Liability Accounts';
			$query = $this->db->query("SELECT * FROM `account` WHERE `type` = 'Liability' AND `is_subheader` IS NULL AND `is_header` IS NULL");
			foreach ($query->result() as $account){
				$liability_accounts[$account->id] = '['.$account->id.'] ' . $account->name;
			}
			$this->d['liability_accounts'] = $liability_accounts;
			
			$income_accounts[] = 'Select from Income Accounts';
			$query = $this->db->query("SELECT * FROM `account` WHERE `type` = 'Income' AND `is_subheader` IS NULL AND `is_header` IS NULL");
			foreach ($query->result() as $account){
				$income_accounts[$account->id] = '['.$account->id.'] ' . $account->name;
			}
			$this->d['income_accounts'] = $income_accounts;
			
			$expense_accounts[] = 'Select from Expense Accounts';
			$query = $this->db->query("SELECT * FROM `account` WHERE `type` = 'Expense' AND `is_subheader` IS NULL AND `is_header` IS NULL");
			foreach ($query->result() as $account){
				$expense_accounts[$account->id] = '['.$account->id.'] ' . $account->name;
			}
			$this->d['expense_accounts'] = $expense_accounts;
			

				
			$this->load->view('accounts/config', $this->d);
		}
	}

	function Index(){

		$this->d['title'] = 'Accounts';
		$this->d['system'] = $this->system->config();	
		
		
				
		$this->load->view('header', $this->d);
		$this->load->view('accounts/index', $this->d);
		$this->load->view('footer', $this->d);
	}
	
	
	function Ledger_entries($from, $to, $journal){
		$from = str_replace('-', '/', $from);
		$to = str_replace('-', '/', $to);
		
		if (!$from) $from = date('1/m/Y');
		if (!$to) $to = date('t/m/Y');
		
		
		list($day, $month, $year) = explode('/', $from);
		$from = $year . '-' . $month . '-' . $day;
		
		list($day, $month, $year) = explode('/', $to);
		$to = $year . '-' . $month . '-' . $day;
		
		$this->d['from'] 			= $from;
		$this->d['to']				= $to;
		$this->d['journal']			= $journal;
		
		
		if (trim($journal)){
			$journal_filter = ' AND `journal` = ' . $this->db->escape($journal);
		}
		

		
		$query = $this->db->query("SELECT * FROM `account_transactions` WHERE `date` >= ? AND `date` <= ? {$journal_filter} ORDER BY `date` ASC, `group` ASC, `id` ASC", array($from, $to));
		$this->d['entries'] = $query->result();

		$this->load->view('accounts/ledger', $this->d);		
	}

	
	function Aged_receivables(){
		$this->d['receivables'] = $this->sale->get_pending_invoices();
		$this->load->view('accounts/aged-receivables', $this->d);
	}
	
	function Aged_payables(){
		$this->d['payables'] = $this->inv->get_pending_po();
		$this->load->view('accounts/aged-payables', $this->d);
	}

	function Payment_purchase($do, $pv_id){
		if ($do == 'do'){
			if ($this->input->post('type') == 'Wages'){
				$sv_id = $this->input->post('sv_id');
				$this->account->new_salary_voucher();
				echo '<script language="javascript" type="text/javascript">window.top.window.readyAdd("sv",'.$sv_id.');</script>';

			} else {
				$pv = $this->account->new_payment_voucher();
				echo '<script language="javascript" type="text/javascript">window.top.window.readyAdd("pv",'.$pv->id.');</script>';

			}
	 			 		
		} else {
			if ($pv_id){
				$this->d['pv'] = $this->account->get_pv_by_id($pv_id);
			}
			
			
			$credit_cards = $this->cc->get_cces();
			foreach ($credit_cards as $cc){
				$cces[$cc->percentage] = $cc->name;
			}
			$this->d['cces'] = $cces;
		
			$accounts = $this->account->get_accounts("1=1 ORDER BY `id` ASC");
			$cash_postable_accounts = $this->account->get_accounts("`is_bank` = '1' AND `cash_postable` = 1 ORDER BY `id` ASC");
			foreach ($cash_postable_accounts as $cpa){
				$this->d['cash_postable_list'][$cpa->id] = $cpa->name;
			}
		
			$expense_accounts = $this->account->get_accounts("`type` = 'Expense' AND (`is_header` IS NULL AND `is_subheader` IS NULL) ORDER BY `name` ASC");

			foreach ($expense_accounts as $ea){
				$this->d['expense_accounts_list'][$ea->id] = $ea->name;
			}
			
			
			$asset_accounts = $this->account->get_accounts("`type` = 'Asset' AND `subtype` = 'Other Asset' AND (`is_header` IS NULL AND `is_subheader` IS NULL) ORDER BY `name` ASC");

			foreach ($asset_accounts as $ea){
				$this->d['asset_accounts_list'][$ea->id] = $ea->name;
			}
		
			$this->d['contacts_dropdown'] = $this->contact->contacts_dropdown(true);

			$this->d['categories_dropdown'] = $this->asset->get_categories(true);
			$this->d['subcategories_dropdown'] = $this->asset->get_subcategories(true);

			$this->d['accounts'] = $accounts;
			$this->load->view('accounts/payment', $this->d);
		}
	}
	
	function SV_view($id){
		
		$this->load->model('hrm');
		
		$this->d['sv'] = $sv = $this->account->get_sv_by_id($id);
		$this->d['employee'] = $employee = $this->hrm->get_employee_by_id($sv->employee_id);
		
		

		$this->load->view('accounts/sv-view',$this->d);
	}

	
	function PV_view($id){
		$this->d['pv'] = $this->account->get_pv_by_id($id);
		$this->load->view('accounts/pv-view',$this->d);
	}
	
	function PV_edit($id){
		$this->Payment_purchase('',$id);
	}
	
	function Receipt_view($id){
		$this->d['receipt'] = $this->account->get_receipt_by_id($id);
		$this->load->view('accounts/receipt-view',$this->d);
	}
	
	function Receipt_edit($id){
		$this->Receipt_deposit('', $id);
	}
	
	
	function Receipt_deposit($do, $id){
		if ($do == 'do'){
			$receipt = $this->account->new_receipt();
	 		echo '<script language="javascript" type="text/javascript">window.top.window.readyAdd(1,'.$receipt->id.');</script>';
	 		
		} else {
			
			if ($id){
				$this->d['receipt'] = $this->account->get_receipt_by_id($id);
			}
		
			$credit_cards = $this->cc->get_cces();
			foreach ($credit_cards as $cc){
				$cces[$cc->percentage] = $cc->name;
			}
			$this->d['cces'] = $cces;


			$accounts = $this->account->get_accounts("1=1 ORDER BY `id` ASC");
			$cash_postable_accounts = $this->account->get_accounts("`cash_postable` = 1 ORDER BY `id` ASC");
			foreach ($cash_postable_accounts as $cpa){
				$this->d['cash_postable_list'][$cpa->id] = $cpa->name;
			}
			
			$income_accounts = $this->account->get_accounts("`type` = 'Income' AND (`is_header` IS NULL AND `is_subheader` IS NULL) ORDER BY `name` ASC");

			foreach ($income_accounts as $ia){
				$this->d['income_accounts_list'][$ia->id] = $ia->name;
			}

		
		
			$this->d['contacts_dropdown'] = $this->contact->contacts_dropdown(true);

			$this->d['categories_dropdown'] = $this->asset->get_categories(true);
			$this->d['subcategories_dropdown'] = $this->asset->get_subcategories(true);

			$this->d['accounts'] = $accounts;

			$this->load->view('accounts/receipt', $this->d);
		}

	}
	
	
	function Manual(){
		$accounts = $this->account->get_accounts("1=1 ORDER BY `id` ASC");
		$cash_postable_accounts = $this->account->get_accounts("`cash_postable` = '1' ORDER BY `id` ASC");
		foreach ($cash_postable_accounts as $cpa){
			$this->d['cpa'][$cpa->id] = $cpa->name;
		}
		$this->d['accounts'] = $accounts;
		$this->load->view('accounts/new-manual', $this->d);
	
	}
	

	
	function Entry($type){
	
		$date = $this->input->post('date');
		if (!$date){
			echo '<script language="javascript" type="text/javascript">window.top.window.readyPost("'.$action.'",0);</script>';
			return;
		}
		
		list($day,$month,$year) = explode('/',$date);
		$date = $year . '-' . $month . '-' . $day;
		
		$refno = $this->input->post('refno');
		$memo = $this->input->post('memo');


		if ($type == 'manual'){
			$journal = $this->input->post('journal');
			
			$ids	= $this->input->post('number');
			$amounts= $this->input->post('amount');
			$drcrs  = $this->input->post('tx');
			
			$time = time();

			
			$ok = true;
			foreach ($ids as $id){
				echo $id;
				$acc = $this->account->get_account("`id` = '$id'");
				if (!$acc->id) $ok = false;
			}
			
			if (!$ok){
				echo 'error';
				echo '<script language="javascript" type="text/javascript">window.top.window.readyPost(0);</script>';
				return;
			}

			for ($i = 0; $i < count($ids); $i++){
				
				$id 	= $ids[$i];
				$amount = $amounts[$i];
				$drcr 	= $drcrs[$i];
				
				$acc = $this->account->get_account("`id` = '$id'");
				
				$this->db->insert("account_transactions", array(
					'journal' 		=> $journal,
					'account_id' 	=> $id,
					'account_name' 	=> $acc->name,
					'amount' 		=> $amount,
					'type' 			=> $drcr,
					'date' 			=> $date,
					'reference' 	=> $refno,
					'group' 		=> $time,
					'description' 	=> $memo
				));
				
			}
			
		} else if ($type == 'payment'){
			$journal = 'Payment';
			$from_account = $this->input->post('from_account');
			$credit_amount = $this->input->post('credit_amount');
			
			$alloc_id = $this->input->post('alloc_id');
			$alloc_amount = $this->input->post('alloc_amount');
			
			$time = time();
			
			foreach ($alloc_id as $alloc_no => $account_id){
				list($amount, $drcr) = explode('|',$alloc_amount[$alloc_no]);
				$acc = $this->account->get_account("`id` = '$account_id'");
				$sql = $this->db->insert_string("account_transactions", array(
					'journal' 		=> $journal,
					'account_id' 	=> $account_id,
					'account_name' 	=> $acc->name,
					'amount' 		=> $amount,
					'type' 			=> $drcr,
					'date' 			=> $date,
					'reference' 	=> $refno,
					'group' 		=> $time,
					'description' 	=> $memo
				));
				$this->db->query($sql);
			}
			$acc = $this->account->get_account("`id` = '$from_account'");
			$sql = $this->db->insert_string("account_transactions", array(
				'journal' 		=> $journal,
				'account_id' 	=> $from_account,
				'account_name' 	=> $acc->name,
				'amount' 		=> $credit_amount,
				'type' 			=> 'CR',
				'date' 			=> $date,
				'reference' 	=> $refno,
				'group'			=> $time,
				'description' 	=> $memo
			));
			$this->db->query($sql);

		
		} else if ($type == 'receipt'){
			$time = time();
			$journal = 'Receipt';
			$deposit_account = $this->input->post('deposit_account');
			$debit_amount = $this->input->post('debit_amount');

			$alloc_id = $this->input->post('alloc_id');
			$alloc_amount = $this->input->post('alloc_amount');
			
			foreach ($alloc_id as $alloc_no => $account_id){
				list($amount, $drcr) = explode('|',$alloc_amount[$alloc_no]);
				$acc = $this->account->get_account("`id` = '$account_id'");
				$sql = $this->db->insert_string("account_transactions", array(
					'journal' 		=> $journal,
					'account_id' 	=> $account_id,
					'account_name' 	=> $acc->name,
					'amount' 		=> $amount,
					'type' 			=> $drcr,
					'date' 			=> $date,
					'reference' 	=> $refno,
					'group' 		=> $time,
					'description' 	=> $memo
				));
				$this->db->query($sql);
			}
			
			$acc = $this->account->get_account("`id` = '$deposit_account'");
			$sql = $this->db->insert_string("account_transactions", array(
				'journal' 		=> $journal,
				'account_id' 	=> $deposit_account,
				'account_name' 	=> $acc->name,
				'amount' 		=> $debit_amount,
				'type' 			=> 'DR',
				'date' 			=> $date,
				'reference' 	=> $refno,
				'group' 		=> $time,
				'description' 	=> $memo	
			));
			$this->db->query($sql);
		
		}
		echo '<script language="javascript" type="text/javascript">window.top.window.readyPost("'.$action.'",1);</script>';
	}
	
	function Account_view($id, $from, $to, $flag){
		$query = $this->db->query("SELECT * FROM `account` WHERE `id` = '$id'");
		$account = $query->row();
		
		$from = str_replace('-', '/', $from);
		$to = str_replace('-', '/', $to);
		
		if (!$from) $from = date('1/m/Y');
		if (!$to) $to = date('t/m/Y');
		
		
		list($day, $month, $year) = explode('/', $from);
		$from = $year . '-' . $month . '-' . $day;
		
		list($day, $month, $year) = explode('/', $to);
		$to = $year . '-' . $month . '-' . $day;
		
		$this->d['from'] 			= $from;
		$this->d['to']				= $to;
		$this->d['flag']			= $flag;

		$this->d['balance']			= $this->account->get_account_balance($from, $id, false, $flag);
		$this->d['account'] 		= $query->row();
		$this->d['transactions'] 	= $this->account->get_gl_transactions($id, $from, $to, $flag);
		
	
		
		if ($account->subtype == 'Cash/Bank Account'){
			$this->load->view('accounts/view-account-bank',$this->d);		
		} else {
			$this->load->view('accounts/view-account',$this->d);			
		}

	}
	
	function Account_edit($id, $action){
		if ($action == 'do'){
			$name = $this->input->post('name');
			if (!$name){
				echo '<script language="javascript" type="text/javascript">window.top.window.readyPost("'.$action.'",3);</script>';
				return;
			}
			$type = $subtype = $this->input->post('type');
			
			switch ($type){
				case "Cash/Bank Account": 
					$bank = true;
				case "Other Asset": 
					$type = 'Asset';
				break;
				case "Credit Card":
				case "Loan Account":
				case "Other Liability":
					$type = 'Liability';
				break;
				case "Equity": 
					$type = 'Equity';
				break;
				case "Operating Income (Sales)":
				case "Non-Operating Income":
					$type = 'Income';
				break;
				case "Cost of Sales": 
				case "Operating Expense":
				case "Non-Operating Expense":
					$type = 'Expense';
				break;
			}
			
			$number = $this->input->post('number');
			$header = $this->input->post('is_header');
			$cash_postable = $this->input->post('cash_postable');
			$balance = $this->input->post('balance');
			$opening_balance = $this->input->post('opening_balance');
			
			$nid = $number;
			
		
			if ($header == 'Subheader'){
				$header = null;
				$subheader = '1';
			} else if ($header == 'Header'){
				$header = '1';
				$subheader = null;
			} else {
				$header = $subheader = null;
			}

			
			$sql = $this->db->update_string('account',array(
				'id' 			=> $nid,
				'name' 			=> $name,
				'type' 			=> $type,
				'subtype'		=> $subtype,
				'is_header' 	=> $header,
				'is_subheader'	=> $subheader,
				'is_bank' 		=> $bank,
				'cash_postable' => $cash_postable,
				'opening_balance'=> $opening_balance,
				'description' 	=> $description

			),"`account_id` = '$id'");
			$this->db->query($sql);

			echo '<script language="javascript" type="text/javascript">window.top.window.readyPost("'.$action.'",1);</script>';			
		}

		$query = $this->db->query("SELECT * FROM `account` WHERE `account_id` = ? ",array($id));
		$this->d['account'] = $query->row();
		
		$this->load->view('accounts/edit-account',$this->d);
		
	}
	
	function Account_delete($id, $do){
		if ($do == 'do'){
			$this->account->delete_account($id);
			echo 'ok';
		}
	}
	
	function New_account($action){
		if ($action == 'do'){
			$name = $this->input->post('name');
			if (!$name){
				echo '<script language="javascript" type="text/javascript">window.top.window.readyPost("'.$action.'",3);</script>';
				return;
			}
			$type = $subtype = $this->input->post('type');
			
			
			switch ($type){
				case "Cash/Bank Account": 
					$bank = true;
				case "Other Asset": 
					$type = 'Asset';
				break;
				case "Credit Card":
				case "Loan Account":
				case "Other Liability":
					$type = 'Liability';
				break;
				case "Equity": 
					$type = 'Equity';
				break;
				case "Operating Income (Sales)":
				case "Non-Operating Income":
					$type = 'Income';
				break;
				case "Cost of Sales": 
				case "Operating Expense":
				case "Non-Operating Expense":
					$type = 'Expense';
				break;
			}
			
			$number = $this->input->post('number');
			$header = $this->input->post('is_header');
			$cash_postable = $this->input->post('cash_postable');
			$balance = $this->input->post('balance');
			$opening_balance = $this->input->post('opening_balance');
			
			$id = $number;
			
			$query = $this->db->query("SELECT * FROM `account` WHERE `id` = '$id'");
			if ($query->num_rows()){
				echo '<script language="javascript" type="text/javascript">window.top.window.readyPost("'.$action.'",3);</script>';
				return;
			}
			
			if ($header == 'Subheader'){
				$header = null;
				$subheader = '1';
			} else if ($header == 'Header'){
				$header = '1';
				$subheader = null;
			} else {
				$header = $subheader = null;
			}
			
			$sql = $this->db->insert_string('account',array(
				'id' 			=> $id,
				'name' 			=> $name,
				'type' 			=> $type,
				'subtype'		=> $subtype,
				'is_header' 	=> $header,
				'is_subheader'	=> $subheader,
				'is_bank' 		=> $bank,
				'cash_postable' => $cash_postable,
				'description' 	=> $description,
				'opening_balance'=> $opening_balance,
				'datetime' 		=> date('Y-m-d H:i:s')
			));
			
			$this->db->query($sql);
			echo '<script language="javascript" type="text/javascript">window.top.window.readyPost("'.$action.'",1);</script>';			
			return;
		}

		$this->load->view('accounts/new-account');

	}
	
	function Journal(){
		$this->d['date_to'] 	= $date_to = date("Y-m-t");
		$this->d['date_from'] 	= $date_from = date("Y-m-1");

		$this->d['journal_entries'] = $entries = $this->account->journal_entries($date_from, $date_to);
	
		$this->load->view('accounts/journal',$this->d);
	}
	
	function Journal_filter(){
		list($day, $month, $year) = explode('/',$this->input->post('date_from'));
		$date_from = $year . '-' . $month . '-' . $day;
		
		list($day, $month, $year) = explode('/',$this->input->post('date_to'));
		$date_to = $year . '-' . $month . '-' . $day;
		
		$this->d['journal_entries'] = $entries = $this->account->journal_entries($date_from, $date_to);
	
		$this->load->view('accounts/journal-filtered',$this->d);

	}
	
	function Test_journal(){
		$date_to = date("Y-m-t");
		$date_from = date("Y-m-1");

		$this->d['journal_entries'] = $entries = $this->account->journal_entries($date_from, $date_to);
		echo "<pre>";	
		print_r($entries);
		echo "</pre>";
	
	}
	
	function Balance_sheet(){
		$to 	= $this->input->post('to');
		
		list($day,$month,$year) = explode('/',$to);
		$this->d['to'] = $to = $year . '-' . $month . '-' . $day;
		
		
		// ASSETS
		$assets = $this->account->get_accounts("`type` = 'Asset' ORDER BY SUBSTRING(`id`,0,1),`order` ASC");
		foreach ($assets as $asset){
			if ($asset->is_header) $header = $asset->name;
			if ($asset->is_subheader) $subheader = $asset->name; 
			
			if (!$asset->is_header && !$asset->is_subheader){
				$balance = $this->account->get_account_balance($to,$asset->id,$this->division) + $account->opening_balance;
				if ($balance < 0) $asset->credit = str_replace('-','',$balance);
				else $asset->debit = $balance;
				$asset_accounts[$header][$subheader][] = $asset;
			}			
		}
		
		// LIABILITY
		$liabilities = $this->account->get_accounts("`type` = 'Liability' ORDER BY SUBSTRING(`id`,0,1),`order` ASC");
		foreach ($liabilities as $liability){
			if ($liability->is_header) $header = $liability->name;
			if ($liability->is_subheader) $subheader = $liability->name;
			
			if (!$liability->is_header && !$liability->is_subheader){
				$balance = $this->account->get_account_balance($to,$liability->id,$this->division) + $account->opening_balance;
				if ($balance < 0) $liability->credit = str_replace('-','',$balance);
				else $liability->debit = $balance;
				$liability_accounts[$header][$subheader][] = $liability;
			}
		}

		// EQUITY
		$equities = $this->account->get_accounts("`type` = 'Equity' ORDER BY SUBSTRING(`id`,0,1),`order` ASC");
		foreach ($equities as $equity){

			if ($equity->is_header) $header = $equity->name;
			if ($equity->is_subheader) $subheader = $equity->name;
			
			if (!$equity->is_header && !$equity->is_subheader){
				$balance = $this->account->get_account_balance($to,$equity->id,$this->division) + $account->opening_balance;
				if ($balance < 0) $equity->credit = str_replace('-','',$balance);
				else $equity->debit = $balance;
				$equity_accounts[$header][$subheader][] = $equity;
			}
		}

		$this->d['asset_accounts'] = $asset_accounts;
		$this->d['liability_accounts'] = $liability_accounts;
		$this->d['equity_accounts'] = $equity_accounts;
		
		$this->load->view('accounts/balance-sheet',$this->d);	
	}
	
	function Trial_balance(){
		$to 	= $this->input->post('to');
		
		list($day,$month,$year) = explode('/',$to);
		$this->d['to'] = $to = $year . '-' . $month . '-' . $day;
		
		$assets = $this->account->get_accounts("`type` = 'Asset' ORDER BY `id` ASC");
		foreach ($assets as $account){
			if (!$account->is_header && !$account->is_subheader){
				$balance = $this->account->get_account_balance($to,$account->id,$this->division) + $account->opening_balance;
				if ($balance < 0) $account->credit = str_replace('-','',$balance);
				else $account->debit = $balance;
				$asset_accounts[] = $account;
			}
		}
		
		$liabilities = $this->account->get_accounts("`type` = 'Liability' ORDER BY `id` ASC");
		foreach ($liabilities as $account){
			if (!$account->is_header && !$account->is_subheader){
				$balance = $this->account->get_account_balance($to,$account->id,$this->division) + $account->opening_balance;
				if ($balance < 0) $account->credit = str_replace('-','',$balance);
				else $account->debit = $balance;
				$liability_accounts[] = $account;
			}
		}


		$equity = $this->account->get_accounts("`type` = 'Equity' ORDER BY `id` ASC");
		foreach ($equity as $account){
			if (!$account->is_header && !$account->is_subheader){
				$balance = $this->account->get_account_balance($to,$account->id,$this->division) + $account->opening_balance;
				if ($balance < 0) $account->credit = str_replace('-','',$balance);
				else $account->debit = $balance;
				$equity_accounts[] = $account;
			}
		}

		$this->d['asset_accounts'] = $asset_accounts;
		$this->d['liability_accounts'] = $liability_accounts;
		$this->d['equity_accounts'] = $equity_accounts;

		$this->load->view('accounts/trial-balance',$this->d);	
	}
	
	function Income_statement(){
		$from 	= $this->input->post('from');
		$to 	= $this->input->post('to');
		
		list($day,$month,$year) = explode('/',$to);
		$this->d['to'] = $to = $year . '-' . $month . '-' . $day . ' 23:59:59';
		
		list($day,$month,$year) = explode('/',$from);
		$this->d['from'] = $from = $year . '-' . $month . '-' . $day . ' 00:00:00';


		
		// INCOME
		$incomes = $this->account->get_accounts("`type` = 'Income' ORDER BY `order` ASC");
		foreach ($incomes as $income){

			if ($income->is_header) $header = $income->name;
			if ($income->is_subheader) $subheader = $income->name; 
			
			if (!$income->is_header && !$income->is_subheader){
			
				switch ($income->integration_type){
					
					case "_SRI":
						$income->debit = $this->account->get_sri($from, $to);					
						break;
						
					case "_INTR":
					
						break;
					
					default:
						$income->debit = $this->account->get_nsri($income->id, $from, $to);	
											
				}
				

				if (substr($expense->id, 0,2) == '49'){
					$non_operating_income_accounts[$header][$subheader][] = $income;						
				} else {
					$operating_income_accounts[$header][$subheader][] = $income;						
				}

			}
		}
		
		

		// EXPENSES
		$expenses = $this->account->get_accounts("`type` = 'Expense' ORDER BY SUBSTRING(`id`,0,1),`order` ASC");

		foreach ($expenses as $expense){
			if ($expense->is_header) $header = $expense->name;
			if ($expense->is_subheader) $subheader = $expense->name;
			
			if (!$expense->is_header && !$expense->is_subheader){
			
				switch ($expense->integration_type){
					
					case "_COGS":
						$expense->credit = $this->account->get_cogs($from, $to);					
						break;
						
					case "_DEPN":
						$this->load->model('asset');
						$expense->credit = $this->asset->get_total_depreciation($from, $to);
						break;
						
					case "_CCF":
						// $expense->credit = $this->asset->get_total_cc_fees($from, $to);
						break;
						
					case "_INTP":
					
						break;
						
					default: 
						$expense->credit = $this->account->get_account_expenses($expense->id, $from, $to);
				}
				
			
				if (substr($expense->id, 0,2) == '61'){
					$cogs_accounts[$header][$subheader][] = $expense;
				} elseif (substr($expense->id, 0,2) == '69'){
					$non_operating_expense_accounts[$header][$subheader][] = $expense;
				} else {
					$operating_expense_accounts[$header][$subheader][] = $expense;
				}
			}
		}
		

		$this->d['operating_income_accounts'] 		= $operating_income_accounts;
		$this->d['non_operating_income_accounts']	= $non_operating_income_accounts;
		
		$this->d['cogs_accounts']					= $cogs_accounts;
		$this->d['operating_expense_accounts'] 		= $operating_expense_accounts;
		$this->d['non_operating_expense_accounts']	= $non_operating_expense_accounts;
		

		
		$this->load->view('accounts/income-statement',$this->d);
	}
	
	function Coa(){

		$accounts = $this->account->get_accounts("1=1 ORDER BY `id`,`order` ASC");
		$this->d['accounts'] = $accounts;
		
		$this->load->view('accounts/coa', $this->d);
	
	}
	
	function Reports(){
		$this->load->view('accounts/reports',$this->d);
	}
	
	function Journal_ajax($date_from, $date_to){
		
		$journal = $this->account->get_journal($date_from, $date_to, $this->division);
		foreach ($journal as $entry){
			echo "
			<tr class=\"list-item  <?=strtolower($entry->journal)?>\" rel=\"{$entry->id}\">
				<td>{$entry->date}</td>
				<td>{$entry->journal}</td>
				<td>{$entry->reference}</td>
				<td>{$entry->description}</td>
				<td>{$entry->account_id}</td>
				<td>{$entry->account_name}</td>
				<td>{$entry->amount} {$entry->type}</td>
			</tr>";
		}
	}
	
	function Save_arrangement(){
		$arrangement = $this->input->post('coa');
		print_r($arragement);
		$i = 0;
		foreach ($arrangement as $account){
			if ($account){
				$i++;
				$this->db->query("UPDATE `account` SET `order` = '$i' WHERE `id` = ? ",array($account));
			}
			
		}
		
		$accounts = $this->account->get_accounts("1=1 ORDER BY SUBSTRING(`id`,1,1),`order` ASC");
		$this->d['accounts'] = $accounts;
		
		$this->load->view('accounts/coa-result', $this->d);
		
	}
	
	function Ajax($request){
		switch ($request){
			
			case "get_acc_by_num":
			
				$n = $this->input->post('n');
				
				$query = $this->db->query("SELECT * FROM `account` WHERE `id` = ?", array($n));
				$acc = $query->row();
				
				echo json_encode($acc);
				
				return;
			case "po_by_supplier":
				$pv_id = $this->input->post('pv_id');
				$supplier_id = $this->input->post('id');
								
				$this->d['pv'] = $this->account->get_pv_by_id($pv_id);
				

				$this->d['pos'] = $this->inv->get_purchase_orders_by_contact($supplier_id,NULL,NULL);
				$this->d['dns'] = $this->inv->get_debit_notes_by_contact($supplier_id,NULL,NULL);
				$this->d['cns'] = $this->sale->get_credit_notes_by_contact($supplier_id,NULL,NULL);
				$this->d['invoices'] = $this->sale->get_invoices_by_contact($supplier_id,NULL,NULL);

				$this->load->view('accounts/ajax/pv_po', $this->d);
				
			break;
			case "invoice_by_contact":
				$receipt_id = $this->input->post('receipt_id');
				$contact_id = $this->input->post('id');
				
				$this->d['receipt'] = $this->account->get_receipt_by_id($receipt_id);
				
				$this->d['invoices'] = $this->sale->get_invoices_by_contact($contact_id,NULL,NULL);
				$this->d['dns'] = $this->inv->get_debit_notes_by_contact($contact_id,NULL,NULL);
				$this->d['pos'] = $this->inv->get_purchase_orders_by_contact($contact_id,NULL,NULL);
				$this->d['cns'] = $this->sale->get_credit_notes_by_contact($contact_id,NULL,NULL);

				$this->load->view('accounts/ajax/receipt_invoice', $this->d);
				
			break;
			case "pending_payslips":
				
				$this->d['svs'] = $this->account->get_salary_vouchers("`status` = 'Created'");
				$this->load->view('accounts/ajax/svs', $this->d);

			break;
		}
	}
	
	function Cheque_payments(){
	
	}
	
	function Cheque_receipts(){
	
	}
	
	function Salary_vouchers(){
		$this->d['svs'] = $this->account->get_salary_vouchers("1=1 LIMIT 100");
		$this->load->view('accounts/sv', $this->d);	
	}
	
	function SV_filter(){
		$from = sql_date_reformat($this->input->post('date_from'));		
		$to = sql_date_reformat($this->input->post('date_to'));	
		$sv_id = $this->input->post('sv_id');
		

		
		if (trim($sv_id)){
			$this->d['svs'] = $this->account->get_salary_vouchers("`id` = '{$sv_id}'");
		} else {
			$this->d['svs'] = $this->account->get_salary_vouchers("`datetime` >= '{$from}' AND `datetime` <= '{$to}' ORDER BY `id` DESC");
		}
		$this->load->view('accounts/sv-filtered', $this->d);
	
	}
	
	function Payment_vouchers(){
		$this->d['date_from'] = date('d/m/Y', time()- (60*60*24*30));
		$this->d['date_to'] = date('d/m/Y');

		$this->load->view('accounts/pv', $this->d);
	}
	
	function PV_filter(){

		$from = sql_date_reformat($this->input->post('date_from'));		
		$to = sql_date_reformat($this->input->post('date_to'));	
		$pv_id = $this->input->post('pv_id');
		

		
		if (trim($pv_id)){
			$this->d['pvs'] = $this->account->get_payment_vouchers("`id` = '{$pv_id}'");
		} else {
			$this->d['pvs'] = $this->account->get_payment_vouchers("`datetime` >= '{$from}' AND `datetime` <= '{$to}' ORDER BY `id` DESC");
		}
		$this->load->view('accounts/pv-filtered', $this->d);
	}	
	
	function Receipts(){
		$this->d['date_from'] = date('d/m/Y', time()- (60*60*24*30));
		$this->d['date_to'] = date('d/m/Y');
		
		$this->load->view('accounts/receipts', $this->d);
	}
	
	function Receipts_filter(){
		$from = sql_date_reformat($this->input->post('date_from'));		
		$to = sql_date_reformat($this->input->post('date_to'));	
		$receipt_id = $this->input->post('receipt_id');
		
		if (trim($receipt_id)){
			$this->d['receipts'] = $this->account->get_receipts("`id` = '{$receipt_id}'");
		} else {
			$this->d['receipts'] = $this->account->get_receipts("`datetime` >= '{$from}' AND `datetime` <= '{$to}' ORDER BY `id` DESC");
		}
		$this->load->view('accounts/receipts-filtered', $this->d);
	}
	
	function Delete_transaction(){
		$id = $this->input->post('id');
		$this->account->cancel_transaction($id);
	}
	
	function GAF($from, $to){
		
		if ($this->input->post('from') && $this->input->post('to')){
			list($day, $month, $year) = explode('/', $this->input->post('from'));
			$from = $year . '-' . $month . '-' . $day;

			list($day, $month, $year) = explode('/', $this->input->post('to'));
			$to = $year . '-' . $month . '-' . $day;			
		}
		
		$from = $from ? $from : date('Y-m-1');
		$to = $to ? $to : date('Y-m-t');
		
		
		$query = $this->db->query("SELECT * FROM `contacts`");
		foreach ($query->result() as $contact){
			$contacts[$contact->id] = $contact;
		}
		
		
		$c1 = $this->system->config('company_name');
		$c2 = $this->system->config('company_reg_no');
		$c3 = $this->system->config('company_tax_no');
		
		$c4 = date('d/m/Y', strtotime($from));
		$c5 = date('d/m/Y', strtotime($to));
		$c6 = date('d/m/Y');
		
		$query = $this->db->query("SELECT * FROM `purchase_orders` WHERE `date` >= ? AND `date` <= ? AND `status` = 'Received' ORDER BY `date` ASC", array($from . ' 00:00:00', $to . ' 23:59:59'));
		
		foreach ($query->result() as $p){
			
			$query = $this->db->query("SELECT SUM(`received_price`) AS `total`, `tax_code` FROM `purchase_order_items` WHERE `purchase_order_id` = ? GROUP BY `tax_code`", array($p->id));
			
		
			$n = 1;
			foreach ($query->result() as $r){
				
				
				$rec = null;
				$rec->p1 = 'P';
				$rec->p2 = $contacts[$p->supplier_id]->company_name;
				$rec->p3 = $contacts[$p->supplier_id]->company_registration;
				$rec->p4 = date('d/m/Y', strtotime($p->date));
				$rec->p5 = $p->invoice_number;
				$rec->p6 = '';
				$rec->p7 = $n;
				$rec->p8 = $contacts[$p->supplier_id]->company_name;
				$rec->p9 = str_replace(',','',number_format($p->tax_inclusive ? $r->total - $p->total_tax : $r->total,2));
				
				if ($r->tax_code == 'TX'){
					$rec->p10 = str_replace(',','',number_format($p->total_tax,2));
				} else {
					$rec->p10 = str_replace(',','',number_format(0,2));					
				}
				$rec->p11 = $r->tax_code;
				$rec->p12 = 'XXX';
				$rec->p13 = '0.00';
				$rec->p14 = '0.00';
		
				$purchases[] = $rec;	
				
				$f2++;
				$f3 += $rec->p9;
				$f4 += $rec->p10;
				
				
				$n++;
			}
			
		
		}
		
		$query = $this->db->query("SELECT SUM(`amount`) AS `total`, SUM(`tax_amount`) AS `total_tax`, `session`, `datetime` FROM `sales` WHERE `datetime` >= ? AND `datetime` <= ? AND `type` = 'history' GROUP BY `session` ORDER BY `datetime` ASC", array($from . ' 00:00:00', $to . ' 23:59:59'));
		foreach ($query->result() as $s){
			
			$n = 1;
			
			$query = $this->db->query("SELECT SUM(`amount`) AS `total`, `tax_code` FROM `sale_items` WHERE `session` = ? GROUP BY `tax_code`", array($s->session));
			foreach ($query->result() as $r){
				$rec = null;
				$rec->s1 = 'S';
				$rec->s2 = 'CASH SALES';
				$rec->s3 = '';
				$rec->s4 = date('d/m/Y', strtotime($s->datetime));
				$rec->s5 = $s->txn_no;
				$rec->s6 = $n;
				$rec->s7 = 'CASH SALES';
				$rec->s8 = str_replace(',','',number_format($r->total,2));
				if ($r->tax_code == 'SR'){
					$rec->s9 = str_replace(',','',number_format($s->total_tax,2));					
				} else {
					$rec->s9 = str_replace(',','',number_format(0,2));				
				}
				$rec->s10 = $r->tax_code;
				$rec->s11 = '';
				$rec->s12 = 'XXX';
				$rec->s13 = '0.00';
				$rec->s14 = '0.00';
				
				$supplies[] = $rec;
				
				$f5++;
				$f6 += $rec->s8;
				$f7 += $rec->s9;

				
				$n++;
			}
			
		
		}
		
		$query = $this->db->query("SELECT * FROM `account`");
		foreach ($query->result() as $acc){
			
			if ($acc->is_header){
				// do nothing
			} else if ($acc->is_subheader){
				// do nothing
			} else {
				$balance = $this->account->get_account_balance($c4, $acc->id);
				$txns = $this->account->get_gl_transactions($acc->id, $from . ' 00:00:00', $to . ' 23:59:59');
				
				$rec = null;
				$rec->l1 = 'L';
				$rec->l2 = date('d/m/Y', strtotime($c4));
				$rec->l3 = $acc->id;
				$rec->l4 = strtoupper($acc->name);
				$rec->l5 = 'OPENING BALANCE';
				$rec->l6 = '';
				$rec->l7 = '';
				$rec->l8 = '';
				$rec->l9 = '';
				$rec->l10 = '0.00';
				$rec->l11 = '0.00';
				$rec->l12 = str_replace(',', '', number_format($balance,2));
				
				$ledger[] = $rec;
				
				$f8++;
				
				foreach ($txns as $txn){
					if ($txn->type == 'DR'){
						if ($acc->is_bank){
							$source_type = 'IN';
						}					
						$debit = str_replace(',', '', number_format($txn->amount,2));
						$credit = '0.00';
						$balance += $txn->amount;
					} else {
						if ($acc->is_bank){
							$source_type = 'PV';
						}					
						$credit = str_replace(',', '', number_format($txn->amount,2));
						$debit = '0.00';
						$balance -= $txn->amount;
					}
					
					$rec = null;
					$rec->l1 = 'L';
					$rec->l2 = date('d/m/Y', strtotime($txn->date));
					$rec->l3 = $acc->id;
					$rec->l4 = strtoupper($acc->name);
					$rec->l5 = $txn->description;
					$rec->l6 = '';
					$rec->l7 = $txn->id;
					$rec->l8 = $txn->reference;
					$rec->l9 = $source_type;
					$rec->l10 = $debit;
					$rec->l11 = $credit;
					$rec->l12 = str_replace(',', '', number_format($balance,2));
					
					$ledger[] = $rec;
					
					$f8++;
					$f9 += $debit;
					$f10 += $credit;
				}
				
				$f11 += $balance;
			
			}
		}
		

		
		$this->d['c1'] = $c1;
		$this->d['c2'] = $c2;
		$this->d['c3'] = $c3;
		$this->d['c4'] = $c4;		
		$this->d['c5'] = $c5;
		$this->d['c6'] = $c6;		
		
		$this->d['f1'] = 'F';
		$this->d['f2'] = $f2;
		$this->d['f3'] = str_replace(',','',number_format($f3,2));
		$this->d['f4'] = str_replace(',','',number_format($f4,2));
		$this->d['f5'] = $f5;
		$this->d['f6'] = str_replace(',','',number_format($f6,2));
		$this->d['f7'] = str_replace(',','',number_format($f7,2));
		$this->d['f8'] = $f8;
		$this->d['f9'] = str_replace(',','',number_format($f9,2));
		$this->d['f10'] = str_replace(',','',number_format($f10,2));
		$this->d['f11'] = str_replace(',','',number_format($f11,2));

		$this->d['purchases'] 	= $purchases;
		$this->d['supplies']	= $supplies;
		$this->d['ledger']		= $ledger;

		
		$file = $this->load->view('accounts/gaf', $this->d, true);
		
		$this->load->helper('download');
		force_download($from . '___' . $to . '___gaf.txt', $file);
	}
	
	
	function Close(){
		$this->account->close_accounts();
		echo '<script language="javascript" type="text/javascript">window.top.window.readyClose(1);</script>';
		
	}
	

		
}















