<?php

class Assets_manager extends Controller {
	
	function Assets_manager(){
		parent::Controller();
		
		$this->load->model('asset');		

		$this->d['user'] = $this->user->data();
		$this->d['system'] = $this->system->config();

			$this->asset->update_assets_values();		
		if ($this->system->config('assets_value_update') < time()){
			$this->asset->update_assets_values();
			$this->system->set_config('assets_value_update', time() + (60 * 60));
		}
		


	}
	
	function Index(){
		$this->d['title'] = 'Assets';
		$this->d['assets'] = $this->asset->get_assets();
		
		$this->load->view('header', $this->d);
		$this->load->view('assets/index', $this->d);
		$this->load->view('footer', $this->d);
	}
	
	function Elist(){
		$this->d['assets'] = $this->asset->get_assets();
		$this->load->view('assets/list', $this->d);
	}
	
	function Filter(){
		$this->load->view('assets/filtered', $this->d);
	}
	
	function Add($do){
		if ($do == 'do'){
			$this->asset->add();
	 		echo '<script language="javascript" type="text/javascript">window.top.window.readyAdd(1);</script>';	
		} else {
			$this->d['categories_dropdown'] = $this->asset->get_categories(true);
			$this->d['subcategories_dropdown'] = $this->asset->get_subcategories(true);
	
			$this->load->view('assets/add');
		}
	}
	
	function Edit($id, $do){
		if ($do == 'do'){
			$this->asset->edit($id);
	 		echo '<script language="javascript" type="text/javascript">window.top.window.readyAdd(1);</script>';	
		} else {
			$this->d['asset'] = $this->asset->get_asset_by_id($id);
			$this->d['categories_dropdown'] = $this->asset->get_categories(true);
			$this->d['subcategories_dropdown'] = $this->asset->get_subcategories(true);

			$this->load->view('assets/edit', $this->d);
		}
	}
	
	function View($id){
		$this->d['asset'] = $this->asset->get_asset_by_id($id);
		$this->load->view('assets/view', $this->d);
	}
	

	
	function Create_depreciation_schedule($asset_id, $cost, $residual, $aq_date, $am_date){
	
		/*
		$aq_date = '2011-01-01';
		$am_date = '2016-01-01';
		
		$cost = 25000;
		$residual = 200;
		$effective = $cost - $residual;
		
		*/
		
		$duration = strtotime($am_date) - strtotime($aq_date);
		$month = (60 * 60 * 24) * (365.25 / 12);
		
		$total_months = ceil($duration / $month);
		$atd = $effective / $total_months;
		

		$m = date('m', strtotime($aq_date));
		$y = date('Y', strtotime($aq_date));
		
		
		echo 'Total Months: ' . $total_months . '<br />';
		echo 'Total Years: ' . ($total_months / 12) . '<br />';
		echo 'ATD: ' . number_format($atd) . '<br />';
		
		echo '<table>';
		for ($i = 1; $i <= $total_months; $i++){
		
			$cost -= $atd;
			
			$cost_d = number_format($cost, 2);
			$atd_d = number_format($atd, 2);
			
			$date = date('d/m/Y',mktime(0,0,0,$m+($i-1),1,$y));
			
			echo "<tr>
					<td>{$date}</td>
					<td>Month #{$i}</td>
					<td>{$cost_d}</td>
					<td>{$atd_d}</td>
				</tr>";
			
			
			$this->db->insert('asset_depreciations', array(
				'asset_id'				=> $asset_id,
				'date'					=> date('Y-m-d',mktime(0,0,0,$m+($i-1),1,$y)),
				'depreciation_amount'	=> $atd_d,
				'current_value'			=> $cost_d
			));
			
		}
		echo '</table>';
	}


}