<?php

class Members extends Controller {

	function Members(){
		parent::Controller();

		$this->load->model('member');
		$this->d['user'] = $this->user->data();
		$this->d['system'] = $this->system->config();
	}

	function Index(){

		$this->d['members'] = $this->member->get_members("ORDER BY `id` ASC");

		$this->d['title'] = "Members";

		$this->load->view('header', $this->d);
		$this->load->view('members/index', $this->d);
		$this->load->view('footer');
	}
	
	function Elist(){
		$this->d['members'] = $this->member->get_members("ORDER BY `id` ASC");
		$this->load->view('members/list', $this->d);		
	}
	
	function View($id){
		$this->d['member'] = $this->member->get_member_by_id($id);
		
		$this->load->view('members/view', $this->d);
	}
	
	function Members_filter(){

		if ($id = $this->input->post('id')) $filter[] = "`id` = ".$this->db->escape($id);
		if ($name = $this->input->post('name')) $filter[] = "`name` LIKE ".$this->db->escape('%'.$name.'%');
		
		$filter_string = implode(' AND ', $filter);
		if ($filter_string) $filter_string = 'WHERE ' . $filter_string;
		
		$this->d['members'] = $this->member->get_members($filter_string);
		$this->load->view('members/members-filtered', $this->d);

	}
	
	function Add($do){
		if ($do == 'do'){
			$this->member->add();
	 		echo '<script language="javascript" type="text/javascript">window.top.window.readyAdd(1);</script>';	
		} else {
			$this->load->view('members/add', $this->d);
		}
	}
	
	function Edit($id, $do){
		if ($do == 'do'){
			$this->member->edit($id);
	 		echo '<script language="javascript" type="text/javascript">window.top.window.readyAdd(1);</script>';				
		} else {
			$this->d['member'] = $this->member->get_member_by_id($id);
			$this->load->view('members/edit', $this->d);
		}
	}
	
	function Delete($id){
		$this->member->delete($id);
		echo 'ok';
	}
	
	function Check_availability($id){
		$query = $this->db->query("SELECT * FROM `members` WHERE `id` = ?", array($id));
		if ($query->num_rows()){
			echo 'false';
		} else {
			echo 'true';
		}
		
	}
	

	

}