<?php

class Users extends Controller {

	function Users(){
		parent::Controller();
		$this->d['user'] = $this->user->data();

	}
	
	function Index(){

		$this->d['title'] = 'Users';
		$this->d['system'] = $this->system->config();
		$this->d['users'] = $this->user->user_list();
		
		$this->load->view('header', $this->d);
		$this->load->view('users/index', $this->d);
		$this->load->view('footer', $this->d);
	}
	
	function User_list(){
		$this->d['users'] = $this->user->get_users();
		$this->load->view('users/user-list', $this->d);
	}
	
	function New_user(){
		$this->d['group_list'] = $this->user->group_list();
		$this->load->view('users/user-add',$this->d);
	}
	
	function Add_user(){

		$username 	= $this->input->post('username');
		$password 	= $this->input->post('password');
		$email		= $this->input->post('email');
		$firstname 	= $this->input->post('firstname');
		$lastname	= $this->input->post('lastname');
		$nickname	= $this->input->post('nickname');
		$phone		= $this->input->post('mobile');
		$address1	= $this->input->post('address1');
		$address2	= $this->input->post('address2');
		$city		= $this->input->post('city');
		$zipcode	= $this->input->post('postcode');
		$state		= $this->input->post('state');
		$country 	= $this->input->post('country');
		$type		= $this->input->post('type');
		$status		= $this->input->post('status');
		$group		= $this->input->post('group');
		$website	= $this->input->post('website');
		$role		= $this->input->post('role');
		$data		= $this->input->post('data');
		$division	= $this->input->post('division');
		
		if (!$username) return;
				
		$query = $this->db->query("SELECT * FROM `users` WHERE `username` = '$username'");
		if ($query->num_rows() > 0){
			echo '<script language="javascript" type="text/javascript">window.top.window.readyAdd(3);</script>';	
			return;
		}
		
		$sql = $this->db->insert_string('users',array(
			'username'	=> $username,
			'password'	=> md5($password),
			'email'		=> $email,
			'firstname'	=> $firstname,
			'lastname'	=> $lastname,
			'nickname'	=> $nickname,
			'phone'		=> $phone,
			'address1'	=> $address1,
			'address2'	=> $address2,
			'city'		=> $city,
			'zipcode'	=> $postcode,
			'state'		=> $state,
			'country'	=> $country,
			'type'		=> $type,
			'status'	=> $status,
			'group'		=> $group,
			'role'		=> $role,
			'division'	=> $division,
			'website'	=> $website
		));
		
		$this->db->query($sql);
		echo '<script language="javascript" type="text/javascript">window.top.window.readyAdd(1);</script>';	
	}
	
	function edit($id){
		$query = $this->db->query("SELECT * FROM `users` WHERE `id` = ?", array($id));
		$this->d['cuser'] = $query->row();
		
		$this->load->view('users/user-edit',$this->d);
	}

	
	function edit_user($id){
		$username 	= $this->input->post('username');
		$password 	= $this->input->post('password');
		$email		= $this->input->post('email');
		$firstname 	= $this->input->post('firstname');
		$lastname	= $this->input->post('lastname');
		$nickname	= $this->input->post('nickname');
		$phone		= $this->input->post('mobile');
		$address1	= $this->input->post('address1');
		$address2	= $this->input->post('address2');
		$city		= $this->input->post('city');
		$zipcode	= $this->input->post('postcode');
		$state		= $this->input->post('state');
		$country 	= $this->input->post('country');
		$type		= $this->input->post('type');
		$status		= $this->input->post('status');
		$group		= $this->input->post('group');
		$website	= $this->input->post('website');
		$role		= $this->input->post('role');
		$data		= $this->input->post('data');
		$division	= $this->input->post('division');
		
		$sql = $this->db->update_string('users',array(
			'username'	=> $username,
			'password'	=> md5($password),
			'email'		=> $email,
			'firstname'	=> $firstname,
			'lastname'	=> $lastname,
			'nickname'	=> $nickname,
			'phone'		=> $phone,
			'address1'	=> $address1,
			'address2'	=> $address2,
			'city'		=> $city,
			'zipcode'	=> $postcode,
			'state'		=> $state,
			'country'	=> $country,
			'type'		=> $type,
			'status'	=> $status,
			'group'		=> $group,
			'role'		=> $role,
			'division'	=> $division,
			'website'	=> $website
		),"`id` = '$id'");
		
		$this->db->query($sql);
		echo '<script language="javascript" type="text/javascript">window.top.window.readyEdit(1);</script>';
	}
	
	function delete_user($id){
		$this->db->query("DELETE FROM `users` WHERE `id` = '$id'");
		echo 'ok';
	}
	
	function roles(){
		$this->load->view('users/roles',$this->d);
	}
	
	function groups(){
		$query = $this->db->query("SELECT * FROM `groups`");
		$this->d['groups'] = $query->result();
		$this->load->view('users/groups',$this->d);
	}
	
	function add_group(){
		$name = $this->input->post('name');
		
		if (!$name){
			echo '<script language="javascript" type="text/javascript">window.top.window.readyAdd("failed",0);</script>';	
			return;
		}
		
		$desc = $this->input->post('description');
		$sql = $this->db->insert_string('groups',array(
			'name' => $name,
			'description' => $desc
		));
		
		$this->db->query($sql);
		$id = $this->db->insert_id();
		echo '<script language="javascript" type="text/javascript">window.top.window.readyAdd("success",'.$id.');</script>';	
	}
	
	function edit_group(){
		$name = $this->input->post('name');
		$id = $this->input->post('id');
		if (!$name){
			echo '<script language="javascript" type="text/javascript">window.top.window.readyEdit("failed",0);</script>';	
			return;
		}
		
		$desc = $this->input->post('description');
		$sql = $this->db->update_string('groups',array(
			'name' => $name,
			'description' => $desc
		),"`id` = '$id'");
		
		$this->db->query($sql);

		echo '<script language="javascript" type="text/javascript">window.top.window.readyEdit("success",'.$id.');</script>';	
	}

	
	function delete_group($id){
		$this->db->query("DELETE FROM `groups` WHERE `id` = '$id'");
		echo 'ok';
	}
	
	function roles_json(){
		echo json_encode($this->user->roles());
	}
	
	function update_company(){
		$name = $this->input->post('name');
		$reg_no = $this->input->post('reg_no');
		$phone = $this->input->post('phone');
		$fax = $this->input->post('fax');
		$address1 = $this->input->post('address1');
		$address2 = $this->input->post('address2');
		$city = $this->input->post('city');
		$postcode = $this->input->post('postcode');
		$state = $this->input->post('state');
		$country = $this->input->post('country');
		$website = $this->input->post('website');
		
		if (!$name){
			echo '<script language="javascript" type="text/javascript">window.top.window.readyPost("failed");</script>';	
			return;
		}
		
		$sql = $this->db->update_string('company',array(
			'name' => $name,
			'reg_no' => $reg_no,
			'phone' => $phone,
			'fax' => $fax,
			'address1' => $address1,
			'address2' => $address2,
			'city' => $city,
			'zipcode' => $postcode,
			'state' => $state,
			'country' => $country,
			'website' => $website
		), "`id` = '1'");
		
		$this->db->query($sql);

		echo '<script language="javascript" type="text/javascript">window.top.window.readyPost("success");</script>';	
	}
	
	function company(){
		$query = $this->db->query("SELECT * FROM `company` WHERE `id` = 1");
		$this->d['company'] = $query->row();
		$this->load->view('users/company',$this->d);
	}
	
	function tax(){
		$query = $this->db->query("SELECT * FROM `tax`");
		$this->d['taxes'] = $query->result();
		$this->load->view('users/tax',$this->d);
	}
	
	function add_tax(){
		$name = $this->input->post('name');
		$type = $this->input->post('type');
		$enabled = $this->input->post('enabled');
		$percentage = $this->input->post('percentage');
		
		if (!$name){
			echo '<script language="javascript" type="text/javascript">window.top.window.readyAdd("failed");</script>';	
			return;
		}
		
		$sql = $this->db->insert_string('tax',array(
			'name' => $name,
			'type' => $type,
			'percentage' => $percentage,
			'enabled' => $enabled
		));
		
		$this->db->query($sql);
		$id = $this->db->insert_id();
		echo '<script language="javascript" type="text/javascript">window.top.window.readyAdd("success",'.$id.');</script>';	
	}
	
	function edit_tax(){
		$name = $this->input->post('name');
		$type = $this->input->post('type');
		$enabled = $this->input->post('enabled');
		$percentage = $this->input->post('percentage');
		$id = $this->input->post('id');
		
		if (!$name){
			echo '<script language="javascript" type="text/javascript">window.top.window.readyEdit("failed");</script>';	
			return;
		}
		
		$sql = $this->db->update_string('tax',array(
			'name' => $name,
			'type' => $type,
			'percentage' => $percentage,
			'enabled' => $enabled
		),"`id` = '$id'");
		
		$this->db->query($sql);
		
		echo '<script language="javascript" type="text/javascript">window.top.window.readyEdit("success",'.$id.');</script>';	
	}
	
	function delete_tax($id){
		$this->db->query("DELETE FROM `tax` WHERE `id` = '$id'");
		echo 'ok';
	}

}

