<?php

class Employee extends Model {

	function Add(){
		$sql = $this->db->insert_string('employees',array(
			'username'	=> $this->input->post('username'),
			'password'	=> $this->input->post('password'),
			'firstname'	=> $this->input->post('firstname'),
			'lastname'	=> $this->input->post('lastname'),
			'ic_no'		=> $this->input->post('ic_no'),
			'address'	=> $this->input->post('address'),
			'contact_no'=> $this->input->post('contact_no'),
			'employment_start_date'	=> sql_date_reformat($this->input->post('employment_start_date')),
			'employment_end_date'	=> sql_date_reformat($this->input->post('employment_end_date')),
			'position'	=> $this->input->post('position'),
			'type'		=> $this->input->post('type'),
			'remarks'	=> $this->input->post('remarks'),
			'status'	=> $this->input->post('status')
		));
		$this->db->query($sql);
	}
	
	function Edit($id){
		$sql = $this->db->update_string('employees',array(
			'username'	=> $this->input->post('username'),
			'password'	=> $this->input->post('password'),
			'firstname'	=> $this->input->post('firstname'),
			'lastname'	=> $this->input->post('lastname'),
			'ic_no'		=> $this->input->post('ic_no'),
			'address'	=> $this->input->post('address'),
			'contact_no'=> $this->input->post('contact_no'),
			'employment_start_date'	=> sql_date_reformat($this->input->post('employment_start_date')),
			'employment_end_date'	=> sql_date_reformat($this->input->post('employment_end_date')),
			'position'	=> $this->input->post('position'),
			'type'		=> $this->input->post('type'),
			'remarks'	=> $this->input->post('remarks'),
			'status'	=> $this->input->post('status')
		),"`id` = '$id'");
		$this->db->query($sql);
	
	}
	
	function Delete($id, $do){
		if ($do == 'do'){
			$this->employee->delete($id);
			echo 'ok';	
		}
	}
	
	function Get_employees($where){
		if ($where){
			$sql = "SELECT * FROM `employees` $where";
		} else {
			$sql = "SELECT * FROM `employees` ORDER BY `id` ASC";
		}
		
		$query = $this->db->query($sql);
		return $query->result();
	}
	
	function Get_employee_by_id($id){
		$query = $this->db->query("SELECT * FROM `employees` WHERE `id` = ?", array($id));
		return $query->row();
	}
	
	function Get_employee_divisions($dropdown){
		$query = $this->db->query("SELECT `division` FROM `employees` GROUP BY `division` ORDER BY `division` ASC");
		foreach ($query->result() as $division){
			$division_array[] = $division->division;
		}
		
		return $division_array;
	}

}