<?php 

class HMS extends Model {

		
	function Get_admission($where, $sort_n_limit){
		if ($where) $where = " WHERE " . $where;
		$query = $this->db->query("SELECT * FROM `hms_admission` {$where} {$sort_n_limit}");
		return $query->result();
	}
	
	function Get_admission_by_id(){
		$query = $this->db->query("SELECT * FROM `hms_admission` WHERE `id` = ?", array($id));
		return $query->row();
	}
	
	function Add_admission(){
		$query = $this->db->insert("hms_admission", array(	
			"name"		=> $this->input->post("name"),
			"agent_id"		=> $this->input->post("agent_id"),
			"phone"		=> $this->input->post("phone"),
			"dob"		=> $this->input->post("dob"),
			"email"		=> $this->input->post("email"),
			"address1"		=> $this->input->post("address1"),
			"address2"		=> $this->input->post("address2"),
			"postcode"		=> $this->input->post("postcode"),
			"city"		=> $this->input->post("city"),
			"state"		=> $this->input->post("state"),
			"country"		=> $this->input->post("country"),
			"credit_limit"		=> $this->input->post("credit_limit"),
			"rank"		=> $this->input->post("rank"),
			"remarks"		=> $this->input->post("remarks"),
			"added_on"			=> date("Y-m-d H:i:s"),
			"added_by"			=> $this->user->data("username")
		));
		
		return $query->insert_id;
	}	
	
	function Edit_admission($id){
		$query = $this->db->update("hms_admission", array(	
			"name"		=> $this->input->post("name"),
			"agent_id"		=> $this->input->post("agent_id"),
			"phone"		=> $this->input->post("phone"),
			"dob"		=> $this->input->post("dob"),
			"address1"		=> $this->input->post("address1"),
			"address2"		=> $this->input->post("address2"),
			"postcode"		=> $this->input->post("postcode"),
			"city"		=> $this->input->post("city"),
			"state"		=> $this->input->post("state"),
			"country"		=> $this->input->post("country"),
			"credit_limit"		=> $this->input->post("credit_limit"),
			"rank"		=> $this->input->post("rank"),
			"remarks"		=> $this->input->post("remarks"),
			"modified_on"		=> date("Y-m-d H:i:s"),
			"modified_by"		=> $this->user->data("username")
		),"`id` = '{$id}'");
		
	}
	
	function Delete_admission($id){
		$this->db->query("DELETE FROM `hms_admission` WHERE `id` = ?", array($id));
	}
		
		
}