<?php

class Im extends Model{
	
	function send_im($draft = false){
		$action = $this->input->post('action');
		$user = $this->input->post('user');
		$priority = $this->input->post('priority');
		$division = $this->input->post('division');
		$subject = $this->input->post('subject');
		$message = $this->input->post('message');
		$id = $this->input->post('id');
		
		if (!$draft){
			$sql = $this->db->insert_string('im', array(
				'subject' 		=> $subject,
				'priority' 		=> $priority,
				'division' 	=> $division,
				'to' 			=> $user,
				'from' 			=> $this->user->data('username'),
				'message' 		=> $message,
				'status' 		=> $status,
				'user_copy'		=> 1,
				'datetime' 		=> date('Y-m-d H:i:s')
			), "`id` = '$id'");
			$this->db->query($sql);
		}
		
		
		if (!$user && !$division && !$draft) return 3;
		
		if ($id){
			$query = $this->db->query("SELECT * FROM `im` WHERE `id` = '$id' AND `from` = '$user'");
			if ($query->num_rows() > 0) $update = true;
			else $update = false;
		}
		
		if ($draft) $status = 'draft';
		else $status = 'sent';
		
		if ($update || $draft){
			if ($id){
				$sql = $this->db->update_string('im', array(
					'subject' 		=> $subject,
					'priority' 		=> $priority,
					'division'	 	=> $division,
					'to' 			=> $user,
					'from' 			=> $this->user->data('username'),
					'message' 		=> $message,
					'status' 		=> $status,
					'datetime' 		=> date('Y-m-d H:i:s')
				), "`id` = '$id'");
				$this->db->query($sql);
			} else {
				$sql = $this->db->insert_string('im', array(
					'subject' => $subject,
					'priority' => $priority,
					'division' => $division,
					'to' => $user,
					'from' => $this->user->data('username'),
					'message' => $message,
					'status' => $status,
					'datetime' => date('Y-m-d H:i:s')
				));
				$this->db->query($sql);
			}
		} else {
			if (strrpos($division,',')){
				$divisions = explode(',',$division);
				foreach ($divisions as $div){
					$query = $this->db->query("SELECT * FROM `users` WHERE `division` = '$div'");
					$users_in_div = $query->result();
					
					foreach ($users_in_div as $user_in_div){
						$sql = $this->db->insert_string('im', array(
							'subject' => $subject,
							'priority' => $priority,
							'division' => $div,
							'to' => $user_in_div->username,
							'from' => $this->user->data('username'),
							'message' => $message,
							'status' => $status,
							'datetime' => date('Y-m-d H:i:s'),
						)) .';';
						$user_sent[$user_in_div->username] = true;
						$this->db->query($sql);
					}

				}
				if (strrpos($user,',')){
					$users = explode(',', $user);
					foreach ($users as $user){
						if (!$user_sent[$user]){
							$sql = $this->db->insert_string('im', array(
								'subject' => $subject,
								'priority' => $priority,
								'division' => $division,
								'to' => $user,
								'from' => $this->user->data('username'),
								'message' => $message,
								'status' => $status,
								'datetime' => date('Y-m-d H:i:s'),
							)) .';';
							$this->db->query($sql);
						}
					}
				} else {
					if (!$user_sent[$user]){
						$sql = $this->db->insert_string('im', array(
							'subject' => $subject,
							'priority' => $priority,
							'division' => $division,
							'to' => $user,
							'from' => $this->user->data('username'),
							'message' => $message,
							'status' => $status,
							'datetime' => date('Y-m-d H:i:s'),
						)) .';';
						$this->db->query($sql);
					}
				}
			} else {
			
				if (trim($division)){
					$query = $this->db->query("SELECT * FROM `users` WHERE `division` = '$division'");
					$users_in_div = $query->result();
				
					foreach ($users_in_div as $user_in_div){
						$sql = $this->db->insert_string('im', array(
							'subject' => $subject,
							'priority' => $priority,
							'division' => $division,
							'to' => $user_in_div->username,
							'from' => $this->user->data('username'),
							'message' => $message,
							'status' => $status,
							'datetime' => date('Y-m-d H:i:s'),
						)) .';';
						$user_sent[$user_in_div->username] = true;
						$this->db->query($sql);
					}
				}

				if (strrpos($user,',')){
					$users = explode(',', $user);
					foreach ($users as $user){
						if (!$user_sent[$user]){
							$sql = $this->db->insert_string('im', array(
								'subject' => $subject,
								'priority' => $priority,
								'division' => $division,
								'to' => $user,
								'from' => $this->user->data('username'),
								'message' => $message,
								'status' => $status,
								'datetime' => date('Y-m-d H:i:s'),
							)) .';';
							$this->db->query($sql);
						}
					}
				} else {
					if (!$user_sent[$user]){
						$sql = $this->db->insert_string('im', array(
							'subject' => $subject,
							'priority' => $priority,
							'division' => $division,
							'to' => $user,
							'from' => $this->user->data('username'),
							'message' => $message,
							'status' => $status,
							'datetime' => date('Y-m-d H:i:s'),
						)) .';';
						$this->db->query($sql);
					}
				}
			}
		}
		
		return 1;
		
	}
	
	function get_im($id){
		$user = $this->user->data();

		$query = $this->db->query("SELECT * FROM `im` WHERE `id` = '$id' AND (FIND_IN_SET('{$user->username}',`to`) OR FIND_IN_SET('{$user->username}',`from`))");

		if ($query->num_rows() > 0){
			$im = $query->row();
			$recipients = explode(',', $im->to);

			foreach ($recipients as $recipient){

				$query = $this->db->query("SELECT * FROM `users` WHERE `username` = '$recipient'");

				$receipient_list[] = $query->row();
			}
			$im->receipients = $receipient_list;
			return $im;
		}
		return false;
	}
	
	function get_reply_im($id){
		$user = $this->user->data();
		$query = $this->db->query("SELECT * FROM `im` WHERE `id` = '$id' AND FIND_IN_SET('{$user->username}',`from`)");
		if ($query->num_rows() > 0){
			$im = $query->row();
			$im->to = $im->from;
			$type = $im->subject[0] . $im->subject[1] . $im->subject[2];
			if ($type == 'Re:'){
				$im->subject = $im->subject;
			} else {
				$im->subject = 'Re: ' . $im->subject;
			}
			$msg_lines = explode("\n", str_replace("\r\n",'', $im->message));
			$new_msg_string = "\n\n\nOn " . date('M j, Y',strtotime($im->datetime)) . ' at ' . date('H:i A',strtotime($im->datetime)) . ', ' . $im->from . " wrote:\n\n";
			foreach ($msg_lines as $msg_line){
				$new_msg_string .= '&gt; ' . $msg_line . "\n"; 
			}
			
			$im->message = $new_msg_string;
			
			return $im;
		}
		return false;
	}
	
	function mark_as_read($id){
		$this->db->query("UPDATE `im` SET `status` = 'read' WHERE `id` = '$id'");	
	}
	
	function mark_as_unread($id){
		$query = $this->db->query("SELECT * FROM `im` WHERE `id` = '$id'");
		$im = $query->row();
		
		if ($im->from == $this->user->data('username')){
			$this->db->query("UPDATE `im` SET `status` = 'sent' WHERE `id` = '$id'");	
			return true;
		} else {
			return false;
		}
		
	}
	
	function im_sent_list(){
	
	}
	
	function delete($id){
		$query = $this->db->query("SELECT * FROM `im` WHERE `id` = '$id'");
		$im = $query->row();
		
		if ($im->from == $this->user->data('username')){
			$this->db->query("DELETE FROM `im` WHERE `id` = '$id'");
			return true;
		} else {
			return false;
		}
	}
	
	function im_list($limit = null, $filters = null){
		$user = $this->user->data();
		if ($limit) $limit_string = " LIMIT $limit";
		if (is_array($filters)){
			foreach ($filters as $filter => $value){
				switch ($filter){
					case 'status':
						if (strpos($value,',')){
							$statuses = explode(',',$value);
							foreach ($statuses as $status){
								$status_array[] = " `status` = '$status' ";
							}
							$filter_array[] = ' (' . implode(' OR ', $status_array) . ') ';
						} else {
							$filter_array[] = " `status` = '$value' ";
						}
						break;
					case 'datetime':
						if (strpos($value, '-')){
							list($date_start, $date_end) = explode('-', $value);
							if ($rds = strtotime($date_start) < $rde = strtotime($date_end)){
								$date_start = date('Y-m-d H:i:s', $rds);
								$date_end = date('Y-m-d H:i:s', $rde);
							} else {
								$date_start = date('Y-m-d H:i:s', $rde);
								$date_end = date('Y-m-d H:i:s', $rds);
							}
							$filter_array[] = " `datetime` >= '$date_start' AND `datetime` <= '$date_end' ";
						} else {
							$date = date('Y-m-d H:i:s',strtotime($value));
							$filter_array[] = " `datetime` = '$date' ";
						}
						break;
					case 'priority':
						$filter_array[] = " `priority` = '$value' ";
						break;
					case 'from':
						$filter_array[] = " `from` LIKE '%$value%' ";
						break;
					case 'subject':
						$filter_array[] = " `subject` LIKE '%$value%' ";
						break;
					case 'message':
						$filter_array[] = " `message` LIKE '%$value%' ";
						break;
					case 'to':
						$filter_array[] = " `to` = '$value' ";
						break;
					case 'user_copy':
						$filter_array[] = " `user_copy` = '$value' ";
						break;
					case 'division':
						$filter_array[] = " `division` = '$value' ";
						break;
					
				}
			}
			if (count($filter_array)){
				$filter_string = implode(' AND ', $filter_array);
			} else {
				$filter_string = '1 = 1';
			}
			
			$sql = "SELECT * FROM `im` WHERE $filter_string ORDER BY `datetime` DESC $limit_string";
			$query = $this->db->query($sql);
		} else {
			$sql = "SELECT * FROM `im` WHERE (`to` = '{$user->username}' OR `division` = '{$user->division}') AND (`status` = 'sent' || `status` = 'read')  ORDER BY `datetime` DESC $limit_string";
			$query = $this->db->query($sql);
		}
		return $query->result();
	}
	
}

?>