<?php

class Service extends Model {

	function Add(){
	
		$cat = $this->input->post('category');
		$cat_other = $this->input->post('category_other');
		if ($cat_other) $cat = $cat_other;
				
		$subcat = $this->input->post('subcategory');
		$subcat_other = $this->input->post('subcategory_other');
		if ($subcat_other) $subcat = $subcat_other;
	
		$sql = $this->db->insert_string('services', array(
			'name'			=> $this->input->post('name'),
			'description'	=> $this->input->post('description'),
			'cost'			=> $this->input->post('cost'),
			'price'			=> $this->input->post('price'),
			'category'		=> $cat,
			'subcategory'	=> $subcat,
			'remarks'		=> $this->input->post('remarks'),
			'added_on'		=> date('Y-m-d H:i:s'),
			'added_by'		=> $this->user->data('username'),
			'warehouse_id'	=> $this->session->userdata('inventory_warehouse')
		));
		
		$this->db->query($sql);
	}
	
	function Edit($id){
	
		$cat = $this->input->post('category');
		$cat_other = $this->input->post('category_other');
		if ($cat_other) $cat = $cat_other;
				
		$subcat = $this->input->post('subcategory');
		$subcat_other = $this->input->post('subcategory_other');
		if ($subcat_other) $subcat = $subcat_other;
		
		$sql = $this->db->update_string('services', array(
			'name'			=> $this->input->post('name'),
			'description'	=> $this->input->post('description'),
			'cost'			=> $this->input->post('cost'),
			'price'			=> $this->input->post('price'),
			'category'		=> $cat,
			'subcategory'	=> $subcat,
			'remarks'		=> $this->input->post('remarks'),
			'modified_on'	=> date('Y-m-d H:i:s'),
			'modified_by'	=> $this->user->data('username')
		), "`id` = '{$id}'");
		
		$this->db->query($sql);
	}
	
	function Delete($id){
		$this->db->query("DELETE FROM `services` WHERE `id` = ?", array($id));
		
	}
	
	function Get_services($filter){
		if ($filter){
			$query = $this->db->query("SELECT * FROM `services` WHERE {$filter}");
		} else {
			$query = $this->db->query("SELECT * FROM `services`");
		}
		
		return $query->result();
		
	}
	
	function Get_service_by_id($id){
		$query = $this->db->query("SELECT * FROM `services` WHERE `id` = ?", array($id));
		return $query->row();
	}
	
	function Get_categories($dropdown = false){
		$query = $this->db->query("SELECT `category` FROM `services` GROUP BY `category` ORDER BY `category` ASC");
		if ($dropdown) $categories[] = "Select Category";
		foreach ($query->result() as $cat){
			$categories[$cat->category] = $cat->category;
		}
		$categories[0] = 'All';
		return $categories;
	}
	
	function Get_subcategories($dropdown = false){
		$query = $this->db->query("SELECT `subcategory` FROM `services` GROUP BY `subcategory` ORDER BY `subcategory` ASC");
		if ($dropdown) $categories[] = "Select Subcategory";
		foreach ($query->result() as $cat){
			$categories[$cat->subcategory] = $cat->subcategory;
		}
		$categories[0] = 'All';
		return $categories;
	}

	
}

