<?php

class Tax extends Model {
	
	function Add(){
		$sql = $this->db->insert_string('tax', array(
			'type'		=> $this->input->post('type'),
			'name'		=> $this->input->post('name'),
			'percentage'=> $this->input->post('percentage'),
			'enabled'	=> $this->input->post('enabled'),
			'inclusive'	=> $this->input->post('inclusive')
		));
		
		$query = $this->db->query($sql);
		$id = $query->insert_id;
		
		return $this->get_tax_by_id($id);
	}
	
	function Edit($id){
		$sql = $this->db->update_string('tax', array(
			'type'		=> $this->input->post('type'),
			'name'		=> $this->input->post('name'),
			'percentage'=> $this->input->post('percentage'),
			'enabled'	=> $this->input->post('enabled'),
			'inclusive'	=> $this->input->post('inclusive')
		),"`id` = '{$id}'");
		
		$this->db->query($sql);

		return $this->get_tax_by_id($id);
	}
	
	function Delete($id){
		$tax = $this->get_tax_by_id($id);
		
		$this->db->query("DELETE FROM `tax` WHERE `id` = ?", array($id));
		
		return $tax;
	}
	
	function Get_taxes($filter){
		if ($filter){
			$query = $this->db->query("SELECT * FROM `tax` WHERE {$filter}");
		} else {
			$query = $this->db->query("SELECT * FROM `tax`");
		}
		
		return $query->result();
	}
	
	function Get_tax_name_by_id($id){
		$tax = $this->get_tax_by_id($id);
		return $tax->name;
	}
	
	function Get_enabled_taxes(){
		$query = $this->db->query("SELECT * FROM `tax` WHERE `enabled` = 1");
		return $query->result();
	}
	
	function Get_enabled_charges(){
		$query = $this->db->query("SELECT * FROM `charges`");
		return $query->result();
	}
	
	function Get_tax_by_id($id){
		$query = $this->db->query("SELECT * FROM `tax` WHERE `id` = ?", array($id));
		return $query->row();
	}
	
	function Get_charge_by_id($id){
		$query = $this->db->query("SELECT * FROM `charges` WHERE `id` = ?", array($id));
		return $query->row();
	}

}