<?php if (!$this->user->has_permission('to_add','customers')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">


function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		$('form').clearForm();
		showDialog('ok','Contact','New contact has been added.');
		form_warning = false;
	} else if (status == 0) {
		showDialog('ok','Error','Contact cannot be saved now. Please login again.');
		$('div.main_full').show();
		$('div.status').hide();
	} 
}

$(document).ready(function(){
	$('a.create').click(function(event){
		$(this).parents('form').submit();
		event.preventDefault();
	});
	
	$('form').submit(function(){
	
		var ok = true;
		$('input.mandatory').each(function(){
			if (!$(this).val()) ok = false;
		});
		
		if (!ok){
			showDialog('ok','Form Error','Please make sure you have filled the form correctly.');
			return false;
		}
		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
	

})

</script>
	<div class="status">
	
	</div>
	<div class="toolbar">
		<h3 class="grid-title"><a href="customers/elist" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn target_main">Back</a>New Customer</h3>
	</div>
	<div class="main_full">
		<div class="main-container">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>

		<form method="post" action="<?=base_url()?>customers/add/do" target="postframe">
			<h3>Contact Information</h3>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Company Name <span class="red">*</span></td>
						<td class="input"><input type="text" name="company_name" class="v-text mandatory" /></td>
					</tr>
					<tr>
						<td class="label">Registration Number</td>
						<td class="input"><input type="text" name="company_registration" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">Address 1</td>
						<td class="input"><input type="text" name="address1" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">Address 2</td>
						<td class="input"><input type="text" name="address2" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">City</td>
						<td class="input"><input type="text" name="city" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">Zipcode</td>
						<td class="input"><input type="text" name="zipcode" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">State/Province</td>
						<td class="input"><?php echo form_dropdown('state',$this->system->state_list($this->system->config('country'))); ?></td>
					</tr>
					<tr>
						<td class="label">Country</td>
						<td class="input"><?php echo form_dropdown('country',$this->system->country_list(), $this->system->config('country')); ?></td>
					</tr>
					<tr>
						<td class="label">Telephone</td>
						<td class="input"><input type="text" name="tel" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">Fax</td>
						<td class="input"><input type="text" name="fax" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">Email</td>
						<td class="input"><input type="text" name="email" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">Contact Person</td>
						<td class="input"><input type="text" name="contact_person" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">Contact Number</td>
						<td class="input"><input type="text" name="contact_number" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">Credit Limit</td>
						<td class="input"><input type="text" name="credit_limit" class="v-text v-number-decimal" /></td>
					</tr>

					<tr>
						<td class="label">Status <span class="red">*</span></td>
						<td class="input"><?php echo form_dropdown('status',array('Active'=>'Active','Inactive'=>'Inactive'),'', 'class="v-dropdown"'); ?></td>
					</tr>
					
					

					
				</tbody>
			</table>
			

			
			<h3>Remarks</h3>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Remarks</td>
						<td class="input"><textarea name="remarks" class="v-textarea"></textarea></td>
					</tr>
				</tbody>
			</table>
			
		
			<p>* Mandatory fields</p>
			<p class="general-form-action"><a class="v-btn create">Save</a></p>
			<br />
		</form>
		</div>
	</div>
