<?php if (!$this->user->has_permission('to_edit','customers')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">


function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Customers','Customer information has been updated.');
		form_warning = false;
	} else if (status == 0) {
		showDialog('ok','Error','Customer cannot be saved now. Please login again.');
		$('div.main_full').show();
		$('div.status').hide();
	} 
}

$(document).ready(function(){
	$('a.create').click(function(event){
		$(this).parents('form').submit();
		event.preventDefault();
	});
	
	$('form').submit(function(){
	
		var ok = true;
		$('input.mandatory').each(function(){
			if (!$(this).val()) ok = false;
		});
		
		if (!ok){
			showDialog('ok','Form Error','Please make sure you have filled the form correctly.');
			return false;
		}
		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
	

})

</script>
	<div class="status">
	
	</div>
	<div class="toolbar">
		<h3 class="grid-title"><a href="customers/elist" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn target_main">Back</a>Edit Customer &raquo; <?php echo $customer->company_name ?></h3>
	</div>

	<div class="main_full">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
		<div class="main-container">

		<form method="post" action="<?=base_url()?>customers/edit/<?php echo $customer->id; ?>/do" target="postframe">
			<h3>Customer Information</h3>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Company Name <span class="red">*</span></td>
						<td class="input"><input value="<?php echo $customer->company_name; ?>" type="text" name="company_name" class="v-text mandatory" /></td>
					</tr>
					<tr>
						<td class="label">Registration Number <span class="red">*</span></td>
						<td class="input"><input value="<?php echo $customer->reg_number; ?>" type="text" name="reg_number" class="v-text mandatory" /></td>
					</tr>
					<tr>
						<td class="label">Address</td>
						<td class="input"><input value="<?php echo $customer->address; ?>" type="text" name="address" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">Contact Person</td>
						<td class="input"><input value="<?php echo $customer->contact_person; ?>" type="text" name="contact_person" class="v-text" /></td>
					</tr>

					<tr>
						<td class="label">Contact Number</td>
						<td class="input"><input value="<?php echo $customer->contact_no; ?>" type="text" name="contact_no" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">Credit Limit</td>
						<td class="input"><input value="<?php echo $customer->credit_limit; ?>" type="text" name="credit_limit" class="v-text v-number-decimal" /></td>
					</tr>

					<tr>
						<td class="label">Status <span class="red">*</span></td>
						<td class="input"><?php echo form_dropdown('status',array('Active'=>'Active','Inactive'=>'Inactive'),$customer->status, 'class="v-dropdown"'); ?></td>
					</tr>
										
				</tbody>
			</table>

			
			<h3>Remarks</h3>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Remarks</td>
						<td class="input"><textarea name="remarks" class="v-textarea"><?php echo $customer->remarks; ?></textarea></td>
					</tr>
				</tbody>
			</table>
			
		
			<p>* Mandatory fields</p>
			<p class="general-form-action"><a class="v-btn create">Save</a></p>
			<br />
		</form>
		</div>
	</div>
