<script type="text/javascript">

$(document).ready(function(){
	$('a.back').click(function(){
		$('div.main_full').slideDown(500);
		$('div.report').slideUp(500);
		$('div.toolbar').show();
	});
});

</script>

		<p style="font-size: 12pt; padding: 20px 50px; background: #EEE; margin-bottom: 20px; margin-top: 0">
			<a class="v-dbtn back" style="float:right; padding: 0 25px; margin-top: -5px;">Back</a>
			BALANCE SHEET<br />
			<small>as at <?=date('j F Y',strtotime($to)) ?></small>
		</p>
		<div style="padding-bottom: 50px">
		<table style="width: 550px; font-size: 10pt; margin-left: 50px; ">
			<tbody class="assets"> 
				<tr>
					<td><strong>ASSETS</strong></td>
					<td style="text-align:right"></td>
				</tr>
				
				<?php foreach($asset_accounts as $header => $subheader): ?>
				
				<!-- Header -->
				<tr>
					<td colspan="2"></td>			
				</tr>
				<tr>
					<td><strong><?=$header;?></strong></td>
					<td style="text-align:right"></td>
				</tr>
				<!-- End Header -->
				
				<!-- Subheader -->
				<?php $total = 0; foreach ($subheader as $subheader_name => $accounts): ?>
				<?php 
					$subheader_key = md5($subheader_name); 
					$subheader_id = 'sub_' . $subheader_key[0] . $subheader_key[1] . $subheader_key[2] . $subheader_key[5] . $subheader_key[6] . $subheader_key[7];
				?>
				<tr>
					<td style="padding-left: 10px"><?=$subheader_name?></td>
					<td class="<?=$subheader_id; ?>" style="text-align:right"><?=number_format($account->debit ? $account->debit : $account->credit,2); ?></td>
				</tr>
				<!-- End Subheader -->
				
				<!-- Accounts -->
				<?php $subtotal = 0; foreach ($accounts as $account): ?>
				<tr style="display:none">
					<td style="padding-left: 20px"><?=$account->name?></td>
					<td style="text-align:right"><?=number_format($account->debit ? $account->debit : $account->credit,2); ?></td>
				</tr>
				<?php 
					$subtotal += $account->debit - $account->credit; 
					$total += $account->debit - $account->credit; 
					$total_assets += $account->debit - $account->credit; 
				?>
				<?php endforeach; ?>
				<script type="text/javascript">$(function(){ $('td.<?=$subheader_id?>').text('<?=number_format($subtotal,2)?>') });</script>
				<?php endforeach; ?>
				<!-- End Accounts -->
				
				<!-- Total -->
				<tr>
					<td><i>Total <?=$header;?></i></td>
					<td class="sub<?=$account->id; ?>" style="border-top: 1px solid #333; border-bottom: 1px solid #333; text-align:right"><?=number_format($total,2); ?></td>
				</tr>
				<!-- End Total -->
				
				<!-- Separator -->
				<tr>
					<td colspan="2"></td>
				</tr>
				<!-- End Separator -->
				
				<?php endforeach; ?>
				
				<tr>
					<td colspan="2"></td>
				</tr>
				<tr>
					<td><strong>TOTAL ASSETS</strong></td>
					<td style="text-align:right; border-bottom: 3px double #333"><?=number_format($total_assets,2); ?></td>
				</tr>
				<tr>
					<td colspan="2"><br /><br /></td>
				</tr>
			</tbody>
			
			
			
			<tbody class="liabilities"> 
				<tr>
					<td><strong>LIABILITIES</strong></td>
					<td style="text-align:right"></td>
				</tr>
				
				<?php foreach($liability_accounts as $header => $subheader): ?>
				
				<!-- Header -->
				<tr>
					<td colspan="2"></td>			
				</tr>
				<tr>
					<td><strong><?=$header;?></strong></td>
					<td style="text-align:right"></td>
				</tr>
				<!-- End Header -->
				
				<!-- Subheader -->
				<?php $total = 0; foreach ($subheader as $subheader_name => $accounts): ?>
				<?php 
					$subheader_key = md5($subheader_name); 
					$subheader_id = 'sube_' . $subheader_key[0] . $subheader_key[1] . $subheader_key[2] . $subheader_key[5] . $subheader_key[6] . $subheader_key[7];
				?>
				<tr>
					<td style="padding-left: 10px"><?=$subheader_name?></td>
					<td class="<?=$subheader_id; ?>" style="text-align:right"></td>
				</tr>
				<!-- End Subheader -->
				
				<!-- Accounts -->
				<?php $subtotal = 0; foreach ($accounts as $account): ?>
				<tr style="display:none">
					<td style="padding-left: 20px"><?=$account->name?></td>
					<td style="text-align:right"><?=number_format($account->credit ? $account->credit : $account->debit,2); ?></td>
				</tr>
				<?php 
					$subtotal += $account->credit - $account->debit; 
					$total += $account->credit - $account->debit; 
					$total_liabilities += $account->credit - $account->debit; 
				?>
				<?php endforeach; ?>
				<script type="text/javascript">$(function(){ $('td.<?=$subheader_id?>').text('<?=number_format($subtotal,2)?>') });</script>
				<?php endforeach; ?>
				<!-- End Accounts -->
				
				<!-- Total -->
				<tr>
					<td><i>Total <?=$header;?></i></td>
					<td class="sub<?=$account->id; ?>" style="border-top: 1px solid #333; border-bottom: 1px solid #333; text-align:right"><?=number_format($total,2); ?></td>
				</tr>
				<!-- End Total -->
				
				<!-- Separator -->
				<tr>
					<td colspan="2"></td>
				</tr>
				<!-- End Separator -->
				
				<?php endforeach; ?>
				
				<tr>
					<td colspan="2"></td>
				</tr>
				<tr>
					<td><strong>TOTAL LIABILITIES</strong></td>
					<td style="text-align:right; border-bottom: 3px double #333"><?=number_format($total_liabilities,2); ?></td>
				</tr>
				<tr>
					<td colspan="2"><br /></td>
				</tr>
			</tbody>

			
			
			
			
			<tbody class="equity"> 
				<tr>
					<td><strong>EQUITY</strong></td>
					<td style="text-align:right"></td>
				</tr>
				
				<?php foreach($equity_accounts as $header => $subheader): ?>
				
				<!-- Header -->
				<tr>
					<td colspan="2"></td>			
				</tr>
				<tr>
					<td><strong><?=$header;?></strong></td>
					<td style="text-align:right"></td>
				</tr>
				<!-- End Header -->
				
				<!-- Subheader -->
				<?php $total = 0; foreach ($subheader as $subheader_name => $accounts): ?>
				<?php 
					$subheader_key = md5($subheader_name); 
					$subheader_id = 'subl_' . $subheader_key[0] . $subheader_key[1] . $subheader_key[2] . $subheader_key[5] . $subheader_key[6] . $subheader_key[7];
				?>
				<tr>
					<td style="padding-left: 10px"><?=$subheader_name?></td>
					<td class="<?=$subheader_id; ?>" style="text-align:right"></td>
				</tr>
				<!-- End Subheader -->
				
				<!-- Accounts -->
				<?php $subtotal = 0; foreach ($accounts as $account): ?>
				<tr style="display:none">
					<td style="padding-left: 20px"><?=$account->name?></td>
					<td style="text-align:right"><?=number_format($account->credit ? $account->credit : $account->debit,2); ?></td>
				</tr>
				<?php 
					$subtotal += $account->credit - $account->debit; 
					$total += $account->credit - $account->debit; 
					$total_equity += $account->credit - $account->debit; 
				?>
				<?php endforeach; ?>
				<script type="text/javascript">$(function(){ $('td.<?=$subheader_id?>').text('<?=number_format($subtotal,2)?>') });</script>
				<?php endforeach; ?>
				<!-- End Accounts -->
				
				<!-- Total -->
				<tr>
					<td><i>Total <?=$header;?></i></td>
					<td class="sub<?=$account->id; ?>" style="border-top: 1px solid #333; border-bottom: 1px solid #333; text-align:right"><?=number_format($total,2); ?></td>
				</tr>
				<!-- End Total -->
				
				<!-- Separator -->
				<tr>
					<td colspan="2"></td>
				</tr>
				<!-- End Separator -->
				
				<?php endforeach; ?>
				
				<tr>
					<td colspan="2"></td>
				</tr>
				<tr>
					<td><strong>TOTAL EQUITY</strong></td>
					<td style="text-align:right; border-bottom: 3px double #333"><?=number_format($total_equity,2); ?></td>
				</tr>
				<tr>
					<td colspan="2"></td>
				</tr>
				<tr>
					<td><strong>TOTAL LIABILITIES &amp; EQUITY</strong></td>
					<td style="text-align:right; border-bottom: 3px double #333"><?=number_format($total_equity+$total_liability,2); ?></td>
				</tr>
			</tbody>
			
			

		</table>
		</div>