<script type="text/javascript">

function arrangementSaved(){

}

$(document).ready(function(){
	populateEvents();
	var order = '';
	var tableDnd;
	
	$('a.setup').click(function(){
		if ($(this).hasClass('started')){
			showDialog('loading','Saving Arrangement','Arrangement is being updated. Please wait...');
			$(this).removeClass('started').text('Setup Chart');
			
			$('div.arrangement-overlay').show();
			
			$.ajax({
				url: base_url + 'accounts/save_arrangement',
				type: 'POST',
				data: order,
				success: function (html){
					$('div.main_full').html(html);
					$('div.arrangement-overlay').hide();
					populateEvents();
					setTimeout("hideDialog('loading')",100);
				}
			});
		} else {
			showDialog('ok','Setup Chart','Drag and drop account to arrange accounts and account headers.');
			$(this).addClass('started').text('Save Arrangement');
			$("table.grid_data").tableDnD({
				onDragClass: "selected",
				onDrop: function (table,row){
					order = $.tableDnD.serialize();
				}
			});
			
		}
	});
	
});
</script>

	<div class="toolbar">
		
		
		<h3 class="grid-title">Manage Chart of Accounts</h3>
		<div class="global-tabs" style="padding: 3px 5px">
			<?php if ($this->user->has_permission('to_create_account','Accounts')): ?>
				<a href="accounts/new_account" class="v-btn target_main">New Account</a>
			<?php endif; ?>
			<?php if ($this->user->has_permission('to_manage_account','Accounts')): ?>
				<!-- <a class="v-btn setup">Setup Chart</a> -->
			<?php endif; ?>
		</div>
		<table id="coa" class="grid" rel="im">
			<thead>
				<tr>
					<th style="width: 100px">Number</th>
					<th>Account Name</th>
					<th style="width: 100px">Type</th>
					<th style="width: 130px">Balance</th>
					<th class="grid-action" style="text-align: center; width: 75px"><img src="<?php echo base_url()?>images/email-action.gif" alt="Action" /></th>
					<th style="width: 14px; padding: 0"></th>
				</tr>
			</thead>
		</table>
	</div>
	<div class="main_full">
		<div class="arrangement-overlay" style="background: rgba(255,255,255,0.5); height: 100%; width: 100%; position: absolute; display: none"></div>
		<table id="coa" class="grid grid_data" rel="im">
				<?php $start = true; foreach ($accounts as $account):
					if ($account->type != $cur_type){
						if ($start) echo "<tbody id=\"".$account->type."\" class=\"".$account->type."\">";
						else echo "</tbody><tbody class=\"".$account->type."\">";
						$cur_type = $account->type; 
					}
					$start = false;					
				?>
				<tr id="<?php echo $account->account_id?>" class="list-item <?php echo $account->is_header ? 'header' :''?>" >
					<td style="width: 100px"><?php echo $account->id; ?></td>
					<td><?php echo $account->is_header ? '<strong>'.$account->name.'</strong>' : ($account->is_subheader ? '<i>'.$account->name.'</i>' : '&nbsp;&nbsp;&nbsp;&nbsp;'.$account->name); ?></td>
					<td style="width: 100px"><?php echo $account->type?></td>
					<td style="width: 130px; text-align: right;"><?php echo number_format($this->account->get_account_balance(false, $account->id),2); ?></td>
					<td style="width: 80px; padding: 0">
						<?php if ($this->user->has_permission('to_view_account','Accounts')): ?><a class="grid-action grid-action-view target_main" href="accounts/account_view/<?php echo $account->id?>"><span>View</span></a><?php endif; ?>
						<?php if ($this->user->has_permission('to_edit_account','Accounts')): ?><a class="grid-action grid-action-edit target_main" href="accounts/account_edit/<?php echo $account->account_id?>"><span>Edit</span></a><?php endif; ?>
						<?php if ($this->user->has_permission('to_delete_account','Accounts')): ?><a class="grid-action grid-action-delete" href="accounts/account_delete/<?php echo $account->id?>"><span>Delete</span></a><?php endif; ?>
					</td>
				</tr>
				

				<?php endforeach; ?>
		</table>					
	</div>
