<script type="text/javascript">

var content;
var accId;
var accName;
var allocAmount;
var allocType;
var allocTotal = 0.00;
var curAcc;
var allocNo = 0;
var number = '<?=$account->id;?>';

function readyPost(action,status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		$('table.alloc tbody tr').remove();
		showDialog('ok','Account Update','Account has been updated successfully.');
	} else if (status == 3){
		showDialog('ok','Error','Account number specified is already taken. Please choose another one.');
		$('div.main_full').show();
		$('div.status').hide();

	} else {
		showDialog('ok','Error','There has been an updating the account.');
		$('div.main_full').show();
		$('div.status').hide();
	}
	
}


$(document).ready(function(){
	$('a.submit_btn').click(function(event){
		$(this).parents('form').submit();
		event.preventDefault();
	});
	
	$('select.account_type').change(function(){
		$('input[name=number_prefix]').val($(this).val());
		$('input[name=number]').change();
	});
	
	
	$('form').submit(function(){
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
	
	$('input[name=number]').change(function(){
		var prefix = $('input[name=number_prefix]').val();
		var remain = $('input[name=number]').val();
		$('td.accnum').text(prefix+remain);
	});
	
	
	$('input[name=header]').click(function(){
		if ($(this).attr('checked')){
			$('tr.header').hide(); 
		} else {
			$('tr.header').show(); 		
		}
	});
	
	$('input[name=header]').click();
});



</script>
	
	<div class="status">
	
	</div>
	<div class="toolbar">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
		<h3 class="grid-title"><a href="accounts/coa" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn target_main">Back</a>Edit Account &raquo; <?php echo $account->name; ?></h3>
	</div>
	<div class="main_full">
		<div class="main-container">

		<form method="post" action="<?=base_url()?>accounts/account_edit/<?=$account->account_id;?>/do" target="postframe">
			<h3 class="general-form-header">Account Details</h3>
			<table class="general-form">
				<tr>
					<td class="label">Type <span class="red">*</span></td>
					<td class="input">
						<select name="type" class="account_type mandatory">
							<optgroup label="Asset">
								<option <?php if ($account->subtype == 'Cash/Bank Account') echo 'selected'; ?> value="Cash/Bank Account">Cash/Bank Account</option>
								<option <?php if ($account->subtype == 'Other Asset') echo 'selected'; ?> value="Other Asset">Other Asset</option>
							</optgroup>
							<optgroup label="Liability">
								<option <?php if ($account->subtype == 'Credit Card') echo 'selected'; ?> value="Credit Card">Credit Card</option>
								<option <?php if ($account->subtype == 'Loan Account') echo 'selected'; ?> value="Loan Account">Loan Account</option>
								<option <?php if ($account->subtype == 'Other Liability') echo 'selected'; ?> value="Other Liability">Other Liability</option>
							</optgroup>
							<optgroup label="Equity">
								<option <?php if ($account->subtype == 'Equity') echo 'selected'; ?> value="Equity">Equity</option>
							</optgroup>
							<optgroup label="Income">
								<option <?php if ($account->subtype == 'Operating Income (Sales)') echo 'selected'; ?> value="Operating Income (Sales)">Operating Income (Sales)</option>
								<option <?php if ($account->subtype == 'Non-Operating Income') echo 'selected'; ?> value="Non-Operating Income">Non-Operating Income</option>
							</optgroup>
							<optgroup label="Expenses">
								<option <?php if ($account->subtype == 'Cost of Sales') echo 'selected'; ?> value="Cost of Sales">Cost of Sales</option>
								<option <?php if ($account->subtype == 'Operating Expense') echo 'selected'; ?> value="Operating Expense">Operating Expense</option>
								<option <?php if ($account->subtype == 'Non-Operating Expense') echo 'selected'; ?> value="Non-Operating Expense">Non-Operating Expense</option>
							</optgroup>
						</select>
					</td>
				</tr>
				<tr>
					<td class="label">Account Name <span class="red">*</span></td>
					<td class="input"><input type="text" name="name" class="v-text mandatory" value="<?php echo $account->name; ?>" /></td>
				</tr>
				<tr>
					<td class="label">A/C Number <span class="red">*</span></td>
					<td class="input"><input type="text" name="number" class="v-text mandatory" value="<?php echo $account->id; ?>" /></td>
				</tr>
				<tr>
					<td class="label">Opening Balance</td>
					<td class="input"><input type="text" name="opening_balance" class="v-text v-number-decimal" value="<?php echo $account->opening_balance; ?>" /></td>
				</tr>
			</table>
			
			<table class="general-form">
				<tr>
					<td class="label">Cash Postable</td>
					<td class="input"><input type="checkbox" name="cash_postable" value="1" <?php if ($account->cash_postable) echo 'checked="checked"'; ?> /></td>
				</tr>
				<tr>
					<td class="label">Is Header Account</td>
					<td class="input">
						<input type="radio" name="is_header" value="No" <?php if (!$account->is_header && !$account->is_subheader) echo 'checked="checked"'; ?> /> No<br />
						<input type="radio" name="is_header" value="Header" <?php if ($account->is_header) echo 'checked="checked"'; ?>/> Header<br />
						<input type="radio" name="is_header" value="Subheader" <?php if ($account->is_subheader) echo 'checked="checked"'; ?>/> Subheader
					</td>
				</tr>

			</table>
			<a class="v-btn submit_btn">Save</a>
			<br />
		</form>
		</div>
	</div>
