<script type="text/javascript">

$(document).ready(function(){
	$('ul.journal-tabs a.all').click(function(event){
		event.preventDefault();
		$('tr.list-item').css('display','');
	});
	$('ul.journal-tabs a.general').click(function(event){
		event.preventDefault();
		$('tr.list-item').css('display','none');
		$('tr.general').css('display','');
	});
	$('ul.journal-tabs a.payments').click(function(event){
		event.preventDefault();
		$('tr.list-item').css('display','none');
		$('tr.payment').css('display','');
	});
	$('ul.journal-tabs a.receipts').click(function(event){
		event.preventDefault();
		$('tr.list-item').css('display','none');
		$('tr.receipt').css('display','');
	});
	$('ul.journal-tabs a.sales').click(function(event){
		event.preventDefault();
		$('tr.list-item').css('display','none');
		$('tr.sale').css('display','');
	});
	$('ul.journal-tabs a.purchases').click(function(event){
		event.preventDefault();
		$('tr.list-item').css('display','none');
		$('tr.purchase').css('display','');
	});


});


function filterItems(){
	var date_from = $('input.filter-date-from').val();
	var date_to = $('input.filter-date-to').val();
	
	$('table.grid_data tbody').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	
	$.ajax({
		url: base_url + 'accounts/journal_filter',
		type: 'POST',
		data: 'date_from='+date_from+'&date_to='+date_to,
		success: function (result){
			reload_data = 'date_from='+date_from+'&date_to='+date_to;
			$('div.main_full').html(result);
			populateEvents();
			filtered = true;
		}
	})
}

</script>
		<div class="toolbar">
			<div class="journal-container">
				<h3 class="grid-title">Journal</h3>
				<div class="global-tabs filter" style="height: 35px">
					<p class="filter" style="margin:0; padding:3px 5px; font-size: 10pt">
						From <input type="text" name="date_from" class="date v-text filter-date-from" value="<?php echo date('d/m/Y',strtotime($date_from)); ?>" style="width: 80px" /> 
						To <input type="text" name="date_from" class="date v-text filter-date-to" value="<?php echo date('d/m/Y',strtotime($date_to)); ?>" style="width: 80px" /> 
						<a class="v-btn filter-btn">Filter</a>
					</p>
				</div>
				<div class="global-tabs">

					<ul class="journal-tabs">
						<li><a class="all current" href="#schedule-all">All</a></li>
						<li><a class="general" href="#general">General</a></li>
						<li><a class="payments" href="#payments">Payments</a></li>
						<li><a class="receipts" href="#receipts">Receipts</a></li>
						<li><a class="sales" href="#sales">Sales</a></li>
						<li><a class="purchases" href="#purchases">Purchases</a></li>
					</ul>
				</div>

				<table class="grid">
					<thead>
						<tr>
							<th style="width: 100px;">Date</th>
							<th style="width: 100px">Journal</th>
							<th style="width: 150px">Reference</th>
							<th>Description</th>
							<th style="width: 150px">Account Name</th>
							<th style="width: 130px">Debit</th>
							<th style="width: 130px">Credit</th>							
							<th style="width: 16px; padding: 0"></th>
						</tr>
					</thead>
				</table>
			</div>
		</div>
		<div class="main_full">
				<table class="grid grid_data">
					<tbody>
					<?php $x = 0; foreach ($journal_entries as $entry): ?>
						
						
						
						<?php if ($entry->type == 'Expenses'): ?>
						<tr class="list-item payment <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"><?php echo date('d/m/Y',strtotime($entry->datetime)); ?></td>
							<td style="width: 100px">General</td>
							<td class="dark" style="width: 150px">PV-<?php echo $entry->id; ?></td>
							<td>Expense to <?php echo $entry->account; ?></td>
							<td style="width: 150px"><?php echo $entry->account; ?></td>
							<td class="dark" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
							<td class="darker" style="width: 130px; text-align: right"></td>
						</tr>					
							<?php foreach ($entry->breakdown as $breakdown): ?>
							<tr class="list-item payment <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $breakdown->id; ?>">
								<td style="width: 100px"></td>
								<td style="width: 100px"></td>
								<td class="dark" style="width: 150px"><?php echo $breakdown->payment_reference; ?></td>
								<td>Payment by <?php echo $breakdown->payment_method; ?> from <?php echo $breakdown->account; ?></td>
								<td style="width: 150px"><?php echo $breakdown->account; ?></td>
								<td class="dark" style="width: 130px; text-align: right"></td>
								<td class="darker" style="width: 130px; text-align: right"><?php echo number_format($breakdown->amount,2); ?></td>
							</tr>	
							<?php endforeach; ?>
						<?php endif; ?>
						
						
						
						<?php if ($entry->type == 'Purchase of Stock'): ?>
						<tr class="list-item payment <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"><?php echo date('d/m/Y',strtotime($entry->datetime)); ?></td>
							<td style="width: 100px">Payment</td>
							<td class="dark" style="width: 150px">PV-<?php echo $entry->id; ?></td>
							<td>Payables to <?php echo $entry->contact; ?></td>
							<td style="width: 150px">Payables</td>
							<td class="dark" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
							<td class="darker" style="width: 130px; text-align: right"></td>
						</tr>
							<?php foreach ($entry->breakdown as $breakdown): ?>
							<tr class="list-item payment <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $breakdown->id; ?>">
								<td style="width: 100px"></td>
								<td style="width: 100px"></td>
								<td class="dark" style="width: 150px"><?php echo $breakdown->payment_reference; ?></td>
								<td>Paid by <?php echo $breakdown->payment_method; ?> from <?php echo $breakdown->account; ?></td>
								<td style="width: 150px"><?php echo $breakdown->account; ?></td>
								<td class="dark" style="width: 130px; text-align: right"></td>
								<td class="darker" style="width: 130px; text-align: right"><?php echo number_format($breakdown->amount,2); ?></td>
							</tr>	
							<?php endforeach; ?>
						<?php endif; ?>
						
						
						
						
						<?php if ($entry->type == 'Purchase of Asset'): ?>
						<tr class="list-item payment <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"><?php echo date('d/m/Y',strtotime($entry->datetime)); ?></td>
							<td style="width: 100px">Payment</td>
							<td class="dark" style="width: 150px">PV-<?php echo $entry->id; ?></td>
							<td>Purchase of <?php echo $entry->contact; ?></td>
							<td style="width: 150px">Asset</td>
							<td class="dark" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
							<td class="darker" style="width: 130px; text-align: right"></td>
						</tr>
							<?php foreach ($entry->breakdown as $breakdown): ?>
							<tr class="list-item payment <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $breakdown->id; ?>">
								<td style="width: 100px"></td>
								<td style="width: 100px"></td>
								<td class="dark" style="width: 150px"><?php echo $breakdown->payment_reference; ?></td>
								<td>Payment by <?php echo $breakdown->payment_method; ?> from <?php echo $breakdown->account; ?></td>
								<td style="width: 150px"><?php echo $breakdown->account; ?></td>
								<td class="dark" style="width: 130px; text-align: right"></td>
								<td class="darker" style="width: 130px; text-align: right"><?php echo number_format($breakdown->amount,2); ?></td>
							</tr>	
							<?php endforeach; ?>
						<?php endif; ?>
						
						
						<?php if ($entry->type == 'Income (Sales)'): ?>
						<tr class="list-item receipt <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"><?php echo date('d/m/Y',strtotime($entry->datetime)); ?></td>
							<td style="width: 100px">Receipts</td>
							<td class="dark" style="width: 150px">RC-<?php echo $entry->id; ?></td>
							<td>Payment from <?php echo $entry->contact; ?> </td>
							<td style="width: 150px">Receivables</td>
							<td class="dark" style="width: 130px; text-align: right"></td>
							<td class="darker" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
						</tr>
							<?php $cc_breakdown = null; foreach ($entry->breakdown as $breakdown): ?>
							<?php if ($breakdown->payment_method == 'Credit Card') $cc_breakdown[] = $breakdown; ?>
							<tr class="list-item receipt <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $breakdown->id; ?>">
								<td style="width: 100px"></td>
								<td style="width: 100px"></td>
								<td class="dark" style="width: 150px"><?php echo $breakdown->payment_reference; ?></td>
								<td>Received by <?php echo $breakdown->payment_method; ?> to <?php echo $breakdown->account; ?></td>
								<td style="width: 150px"><?php echo $breakdown->account; ?></td>
								<td class="dark" style="width: 130px; text-align: right"><?php echo number_format($breakdown->amount,2); ?></td>
								<td class="darker" style="width: 130px; text-align: right"></td>
							</tr>	
							<?php endforeach; ?>
							
							<?php foreach ($cc_breakdown as $breakdown): $x++; ?>
							<tr class="list-item receipt <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $breakdown->id; ?>">
								<td style="width: 100px"><?php echo date('d/m/Y',strtotime($entry->datetime)); ?></td>

								<td style="width: 100px">General</td>
								<td class="dark" style="width: 150px"><?php echo $breakdown->payment_reference; ?></td>
								<td><?php echo $breakdown->payment_method; ?> Transaction Fees</td>
								<td style="width: 150px"><?php echo $breakdown->account; ?></td>
								<td class="dark" style="width: 130px; text-align: right"></td>
								<td class="darker" style="width: 130px; text-align: right"><?php echo number_format($breakdown->amount_fees,2); ?></td>
							</tr>
							
							<tr class="list-item receipt <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $breakdown->id; ?>">
								<td style="width: 100px"></td>
								<td style="width: 100px"></td>
								<td class="dark" style="width: 150px"></td>
								<td></td>
								<td style="width: 150px">Expenses</td>
								<td class="dark" style="width: 130px; text-align: right"><?php echo number_format($breakdown->amount_fees,2); ?></td>
								<td class="darker" style="width: 130px; text-align: right"></td>
							</tr>								
							<?php endforeach; ?>
						<?php endif; ?>
						
						
						
						<?php if ($entry->type == 'Income (Non-Sales)'): ?>
						<tr class="list-item receipt <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"><?php echo date('d/m/Y',strtotime($entry->datetime)); ?></td>
							<td style="width: 100px">Receipts</td>
							<td class="dark" style="width: 150px">RC-<?php echo $entry->id; ?></td>
							<td>Received from <?php echo $entry->contact; ?> </td>
							<td style="width: 150px"><?php echo $entry->account; ?></td>
							<td class="dark" style="width: 130px; text-align: right"></td>
							<td class="darker" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
						</tr>
							<?php $cc_breakdown = null; foreach ($entry->breakdown as $breakdown): ?>
							<?php if ($breakdown->payment_method == 'Credit Card') $cc_breakdown[] = $breakdown; ?>
							<tr class="list-item receipt <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $breakdown->id; ?>">
								<td style="width: 100px"></td>
								<td style="width: 100px"></td>
								<td class="dark" style="width: 150px"><?php echo $breakdown->payment_reference; ?></td>
								<td><?php echo $breakdown->payment_method; ?> Transaction Fee</td>
								<td style="width: 150px"><?php echo $breakdown->account; ?></td>
								<td class="dark" style="width: 130px; text-align: right"><?php echo number_format($breakdown->amount,2); ?></td>
								<td class="darker" style="width: 130px; text-align: right"></td>
							</tr>	
							<?php endforeach; ?>
							
							<?php foreach ($cc_breakdown as $breakdown): $x++; ?>
							<tr class="list-item receipt <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $breakdown->id; ?>">
								<td style="width: 100px"><?php echo date('d/m/Y',strtotime($entry->datetime)); ?></td>
								<td style="width: 100px">General</td>
								<td class="dark" style="width: 150px"><?php echo $breakdown->payment_reference; ?></td>
								<td><?php echo $breakdown->payment_method; ?> Transaction Fees</td>
								<td style="width: 150px"><?php echo $breakdown->account; ?></td>
								<td class="dark" style="width: 130px; text-align: right"></td>
								<td class="darker" style="width: 130px; text-align: right"><?php echo number_format($breakdown->amount_fees,2); ?></td>
							</tr>
							
							<tr class="list-item receipt <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $breakdown->id; ?>">
								<td style="width: 100px"></td>
								<td style="width: 100px"></td>
								<td class="dark" style="width: 150px"></td>
								<td></td>
								<td style="width: 150px">Expenses</td>
								<td class="dark" style="width: 130px; text-align: right"><?php echo number_format($breakdown->amount_fees,2); ?></td>
								<td class="darker" style="width: 130px; text-align: right"></td>
							</tr>								
							<?php endforeach; ?>
						<?php endif; ?>
						
						
						<?php if ($entry->type == 'Invoice'): ?>
						<tr class="list-item sale <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"><?php echo date('d/m/Y',strtotime($entry->datetime)); ?></td>
							<td style="width: 100px">Sales</td>
							<td class="dark" style="width: 150px">INV-<?php echo $entry->id; ?></td>
							<td>Goods/Service sold to <?php echo $entry->contact; ?></td>
							<td style="width: 150px">Sales</td>
							<td class="dark" style="width: 130px; text-align: right"></td>
							<td class="darker" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
						</tr>
						<tr class="list-item sale <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"></td>
							<td style="width: 100px"></td>
							<td class="dark" style="width: 150px"></td>
							<td></td>
							<td style="width: 150px">Receivables</td>
							<td class="dark" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
							<td class="darker" style="width: 130px; text-align: right"></td>
						</tr>
						<?php endif; ?>
						
						
						<?php if ($entry->type == 'Purchase Order'): ?>
						<tr class="list-item purchase <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"><?php echo date('d/m/Y',strtotime($entry->datetime)); ?></td>
							<td style="width: 100px">Purchase</td>
							<td class="dark" style="width: 150px">PO-<?php echo $entry->id; ?></td>
							<td>Stocks purchased from <?php echo $entry->contact; ?></td>
							<td style="width: 150px">Inventory</td>
							<td class="dark" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
							<td class="darker" style="width: 130px; text-align: right"></td>
						</tr>
						<tr class="list-item purchase <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"></td>
							<td style="width: 100px"></td>
							<td class="dark" style="width: 150px"></td>
							<td></td>
							<td style="width: 150px">Payables</td>
							<td class="dark" style="width: 130px; text-align: right"></td>
							<td class="darker" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
						</tr>
						<?php endif; ?>
						
						
						<?php if ($entry->type == 'Debit Note'): ?>
						<tr class="list-item general <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"><?php echo date('d/m/Y',strtotime($entry->datetime)); ?></td>
							<td style="width: 100px">General</td>
							<td class="dark" style="width: 150px">DN-<?php echo $entry->id; ?></td>
							<td>Goods returned to <?php echo $entry->contact; ?></td>
							<td style="width: 150px">Inventory</td>
							<td class="dark" style="width: 130px; text-align: right"></td>
							<td class="darker" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
						</tr>
						<tr class="list-item general <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"></td>
							<td style="width: 100px"></td>
							<td class="dark" style="width: 150px"></td>
							<td></td>
							<td style="width: 150px">Receivables</td>
							<td class="dark" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
							<td class="darker" style="width: 130px; text-align: right"></td>
						</tr>
						<?php endif; ?>
						
						
						<?php if ($entry->type == 'Credit Note'): ?>
						<tr class="list-item general <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"><?php echo date('d/m/Y',strtotime($entry->datetime)); ?></td>
							<td style="width: 100px">General</td>
							<td class="dark" style="width: 150px">CN-<?php echo $entry->id; ?></td>
							<td>Goods returned from <?php echo $entry->contact; ?></td>
							<td style="width: 150px">Sale</td>
							<td class="dark" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
							<td class="darker" style="width: 130px; text-align: right"></td>
						</tr>
						<tr class="list-item general <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"></td>
							<td style="width: 100px"></td>
							<td class="dark" style="width: 150px"></td>
							<td></td>
							<td style="width: 150px">Payables</td>
							<td class="dark" style="width: 130px; text-align: right"></td>
							<td class="darker" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
						</tr>
						<?php endif; ?>
						
						
						
						<?php if ($entry->type == 'Wages'): ?>
						<tr class="list-item payment <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"><?php echo date('d/m/Y',strtotime($entry->datetime)); ?></td>
							<td style="width: 100px">Payment</td>
							<td class="dark" style="width: 150px">PS-<?php echo $entry->id; ?></td>
							<td><?php echo $entry->account; ?>&#39;s Salary</td>
							<td style="width: 150px">Wages</td>
							<td class="dark" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
							<td class="darker" style="width: 130px; text-align: right"></td>
						</tr>
							<?php foreach ($entry->breakdown as $breakdown): ?>
							<tr class="list-item payment <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $breakdown->id; ?>">
								<td style="width: 100px"></td>
								<td style="width: 100px"></td>
								<td class="dark" style="width: 150px"><?php echo $breakdown->payment_reference; ?></td>
								<td>Payment by <?php echo $breakdown->payment_method; ?> to <?php echo $breakdown->account; ?></td>
								<td style="width: 150px"><?php echo $breakdown->account; ?></td>
								<td class="dark" style="width: 130px; text-align: right"></td>
								<td class="darker" style="width: 130px; text-align: right"><?php echo number_format($breakdown->amount,2); ?></td>
							</tr>	
							<?php endforeach; ?>

						
						<?php endif; ?>
						
						
						
						<?php if ($entry->type == 'Sales'): ?>
						<tr class="list-item payment <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"><?php echo date('d/m/Y',strtotime($entry->datetime)); ?></td>
							<td style="width: 100px">Sales</td>
							<td class="dark" style="width: 150px">PS-<?php echo $entry->id; ?></td>
							<td>Walk-in Sales</td>
							<td style="width: 150px">Sales</td>
							<td class="dark" style="width: 130px; text-align: right"></td>
							<td class="darker" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
						</tr>
							<?php foreach ($entry->breakdown as $breakdown): ?>
							<tr class="list-item payment <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $breakdown->id; ?>">
								<td style="width: 100px"></td>
								<td style="width: 100px"></td>
								<td class="dark" style="width: 150px"><?php echo $breakdown->payment_reference; ?></td>
								<td>Payment by <?php echo $breakdown->payment_method; ?> to <?php echo $breakdown->account; ?></td>
								<td style="width: 150px"><?php echo $breakdown->account; ?></td>
								<td class="dark" style="width: 130px; text-align: right"></td>
								<td class="darker" style="width: 130px; text-align: right"><?php echo number_format($breakdown->amount,2); ?></td>
							</tr>	
							<?php endforeach; ?>

						
						<?php endif; ?>
						
						
					<?php $x++; endforeach; ?>
					</tbody>
				</table>
			
		</div>