<script type="text/javascript">

var content;
var accId;
var accName;
var allocAmount;
var allocType;
var allocTotal = 0.00;
var curAcc;
var allocNo = 0;

function readyPost(action,status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		$('form').clearForm();
		$('table.alloc tbody tr').remove();
		showDialog('ok','Journal Entry','Journey entry has been recorded successfully.');
	} else {
		showDialog('ok','Error','There has been an error recording the journal entry.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}

function evaluateBalance(){
	
	allocTotal = 0.00;

	$('table.alloc tbody tr').each(function(){

		var curAllocAmount = $(this).children('td.alloc-amount').html();
		var curAllocType = $(this).children('td.alloc-type').html();
		if (curAllocType == 'CR'){
			allocTotal += parseFloat(curAllocAmount);
		} else {
			allocTotal -= parseFloat(curAllocAmount);
		}
	});
	
	if (allocTotal == 0){
		$('p.status').html("").removeClass('v-notice');
	} else {
		allocTotal = parseFloat(allocTotal).toFixed(2);
		$('p.status').html("Amount not yet applied to an account (out of balance): " + allocTotal).addClass('v-notice');	
	}
}

$(document).ready(function(){
	$('a.submit_btn').click(function(event){
		$(this).parents('form').submit();
		event.preventDefault();
	});
	

	
	$('form').submit(function(){
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
	
	
});
</script>
	<div id="new-alloc" class="global-modal-form">
		<div class="global-modal-form-body">
			<h3>Select Account</h3>
			
			<input type="text" class="v-text" style="width: 684px; margin-top: 5px; margin-bottom: 10px" name="search" placeholder="Search" />
			<table class="grid select" style="width: 690px">
				<thead>
					<tr>
						<th style="width: 100px">Account No</th>
						<th style="width: 120px">Type</th>
						<th>Name</th>
					</tr>
				</thead>
			</table>
			<div class="scrollable-grid" style="height:200px; width: 686px">
			<table class="grid grid_data select">
				
				<tbody>
					<?php foreach($accounts as $account):?>
					<tr style="cursor: pointer" rel="<?=$account->id?>">
						<td style="width: 100px" class="account-id"><?=$account->id?></td>
						<td style="width: 120px" class="account-type"><?=$account->type?></td>
						<td class="account-name"><?=$account->name?></td>
					</tr>
					<?php endforeach; ?>
				</tbody>
			</table>
			</div>
			<input type="hidden" name="account_id" />
			<input type="hidden" name="account_name" />
			<table class="grid-form grid-form-transparent">
				<tr>
					<td class="label"><label>Amount</label></td>
					<td><input type="text" name="alloc_amount" class="text" /></td>
				</tr>
				<tr>
					<td class="label">Entry Type</td>
					<td><?=form_dropdown('alloc_type',array('DR'=>'DR','CR'=>'CR'))?></td>
				</tr>
			</table>
			<hr />
			<p style="margin-bottom: 10px" class="align-right action-button-all"><a class="v-dbtn alloc-apply">Apply</a> <a class="v-dbtn alloc-cancel">Cancel</a></p>
		</div>
	</div>
	
	<div class="status">
	
	</div>
	<div class="toolbar">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
		<h3 class="grid-title">New Journal Entry</h3>
	</div>
	<div class="main_full">
		<div class="main-container">

		<form method="post" action="<?=base_url()?>accounts/entry/manual" target="postframe">
			<h3 class="general-form-header">Transaction Details</h3>
			<table class="general-form">
				<tr>
					<td class="label">Transaction Date</td>
					<td class="input"><input type="text" name="date" class="date" /></td>
				</tr>
				<tr>
					<td class="label">Journal</td>
					<td class="input"><?=form_dropdown('journal',array("General"=>"General","Payments"=>"Payments","Receipts"=>"Receipts","Sales"=>"Sales","Purchases"=>"Purchases"))?></td>
				</tr>
				<tr>
					<td class="label">Transaction Reference</td>
					<td class="input"><input type="text" name="refno" class="text" /></td>
				</tr>
				<tr>
					<td class="label">Journal Memo</td>
					<td class="input"><input type="text" name="memo" class="text" /></td>
				</tr>
			</table>
			
			<h4 class="general-form-header">Account Allocation</h4>
			<table class="grid grid_data alloc" style="width: 100%;">
				<thead>
					<tr>
						<th style="width: 35px"></th>
						<th style="width: 150px">Number</th>
						<th>Name</th>
						<th style="width: 150px">Amount</th>
						<th style="width: 150px"></th>
					</tr>
				</thead>
				<tbody class="alloc">
					<tr class="first" style="border-bottom: 1px solid #eee">
						<td><a class="v-btn remove">&times;</a></td>
						<td><input name="number[]" type="text" style="width: 100%; box-sizing: border-box; border: none; outline: none; box-shadow: none;" class="number" /></td>
						<td><input name="name[]" type="text" style="width: 100%; box-sizing: border-box; border: none; outline: none; box-shadow: none;" class="name" /></td>
						<td class="alloc-amount"><input name="amount[]" type="text" style="width: 100%; box-sizing: border-box; border: none; outline: none; box-shadow: none; text-align: right" class="amount" /></td>
						<td class="alloc-type"><select style="width: 150px;" name="tx[]"><option value="DR">DR</option><option value="CR">CR</option></select></td>
					</tr>
				</tbody>
			</table>


	<div class="acc-search" style="position: absolute; display: none; background: #fff; padding: 10px; box-shadow: 0 0 5px rgba(0,0,0,0.5)">
		<table class="grid select" style="width: auto;">
			<?php foreach($accounts as $account):?>
				<?php if (!$account->is_header && !$account->is_subheader): ?>
				<tr style="cursor: pointer" rel="<?=$account->id?>">
					<td style="width: 100px" class="number"><?=$account->id?></td>
					<td style="width: 120px" class="type"><?=$account->type?></td>
					<td class="name"><?=$account->name?></td>
				</tr>
				<?php endif; ?>
			<?php endforeach; ?>					
		</table>
	</div>
	
	
	
			<p class="status"></p>
			<hr />
			<a class="v-btn submit_btn">Record</a>
			<br />
		</form>
		</div>
	</div>


<style>

.selected {
	background: #c0dcf5;
}	
	
</style>
<script type="text/javascript">

$(document).ready(function(){
	
	var current;
	var alloc = $('tr.first').clone();
	
	$('a.submit_btn').click(function(event){
		$('form').submit();
		event.preventDefault();
	});

	
	$('tbody.alloc').delegate('input.number','keypress',function(e){
		if (e.keyCode == 13){
			var num = $(this).val();
			var row = $(this).parents('tr');
			$.ajax({
				url: 'accounts/ajax/get_acc_by_num',
				type: 'post',
				data: 'n='+num,
				dataType: 'json',
				success: function(data){
					$(row).find('input.number').val(data.id);
					$(row).find('input.name').val(data.name);
					$(row).find('input.amount').focus();
				}
			})
		}
	})
	
	$('tbody.alloc').delegate('input.name', 'keypress', function(e){
		if (e.keyCode == 13){
			var acc = $('tr.selected');
			
			$(current).find('input.number').val($(acc).find('td.number').text());
			$(current).find('input.name').val($(acc).find('td.name').text());
			$(current).find('input.amount').focus();
			
		} else {

		}
	});
	
	$('tbody.alloc').delegate('input.name','keyup',function(e){
		if (e.keyCode != 40 && e.keyCode != 38 && e.keyCode != 13){
			search_acc($(this).val());		
		}
	})
	
	$('tbody.alloc').delegate('input.name','focus', function(){
		current = $(this).parents('tr');
		var offset = $(this).offset();
		$('div.acc-search').find('td').addClass('shown').show().removeClass('selected');
		$('div.acc-search').css('top',offset.top+30).css('left',offset.left).show();
	})
	
	$('tbody.alloc').delegate('input.name', 'blur', function(){
		setTimeout(function(){
			$('div.acc-search').hide();
		}, 200);
	})
	
	$('tbody.alloc').delegate('keydown','input.name',function(e){
		if (e.originalEvent.keyCode == '40'){
		
			// down
			if ($('tr.selected').hasClass('selected')){
				var next = $('tr.selected').nextAll('.shown').first();
				if (next.length != 0){
					$('tr.selected').removeClass('selected');
					$(next).addClass('selected');
					console.log(next);
				}
			} else {
				console.log($('tr.shown').first());
				$('tr.shown').first().addClass('selected');
			}
			
			e.preventDefault();
		} else if (e.originalEvent.keyCode == '38'){
			// up
			if ($('tr.selected').hasClass('selected')){
				var prev = $('tr.selected').prevAll('.shown:first');
				if (prev.length != 0){
					$('tr.selected').removeClass('selected');
					$(prev).addClass('selected');
				}
			} else {
				$('tr.shown').first().addClass('selected');
			}
			
			e.preventDefault();
		}
	})
	
	$('div.acc-search tr').click(function(){
		var acc = $(this);
		
		$(current).find('input.number').val($(acc).find('td.number').text());
		$(current).find('input.name').val($(acc).find('td.name').text());
		$(current).find('input.amount').focus();
	})
	
	$('tbody.alloc').delegate('input.amount','keypress', function(e){
		if (e.keyCode == 13){
			var row = $(this).parents('tr');
			$(row).find('select').focus();
			evaluateBalance();
		}
	})
	
	$('tbody.alloc').delegate('input.amount', 'change', function(){
		var val = parseFloat($(this).val());		
		$(this).val(val.toFixed(2));
		evaluateBalance();
	})
	
	$('tbody.alloc').delegate('select', 'keypress',function(e){
		if (e.keyCode == 13){
			var new_alloc = $(alloc).clone();
			$('tbody.alloc').append(new_alloc);
			$(new_alloc).addClass('new').find('input.number').focus();
		}
	})
	
	$('tbody.alloc').delegate('select', 'change',function(e){
		evaluateBalance();
	})
	
	$('tbody.alloc').delegate('a.remove', 'click',function(e){
		$(this).parents('tr').remove();
		evaluateBalance();
	})
	
	$('tbody.alloc tr.first a.remove').remove();
	
})

function search_acc(str){
	var re = new RegExp(str,'gi');
	$('.select tr').show().removeClass('shown').removeClass('selected');
	
	$('.select tr').each(function(){
		var accname = $(this).find('.name').text();
		if (!re.test(accname)){
			$(this).hide();
		} else {
			$(this).show().addClass('shown');
		}
	})
}

function evaluateBalance(){
	
	var allocTotal = 0.00;

	$('tbody.alloc tr').each(function(){

		var curAllocAmount = $(this).find('td.alloc-amount input').val();
		var curAllocType = $(this).find('td.alloc-type select').val();
		
		if (curAllocType == 'CR'){
			var v = parseFloat(curAllocAmount);
			if (!v) v = 0.00;
			allocTotal += v;
		} else {
			var v = parseFloat(curAllocAmount);
			if (!v) v = 0.00;
			allocTotal -= v;
		}
	});
	
	if (allocTotal == 0){
		$('p.status').html("").removeClass('v-notice');
	} else {
		allocTotal = parseFloat(allocTotal).toFixed(2);
		$('p.status').html("Amount not yet applied to an account (out of balance): " + allocTotal).addClass('v-notice');	
	}
}
</script>