			<table class="grid grid_data">
				<tbody>
					<?php $x = 0; foreach ($pvs as $pv): ?>
					<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
						<td rel="1" time="<?php echo $pv->txn_no ? $pv->txn_no : $pv->id;?>" style="width: 80px">
							PV-<?php echo $pv->txn_no ? $pv->txn_no : $pv->id; ?>
						</td>
						<td rel="2" time="<?php echo strtotime($pv->datetime);?>" style="width: 80px"><?php echo date('d/m/Y',strtotime($pv->datetime)); ?></td>
						<td rel="3"><?php echo $pv->contact ? $pv->contact : $pv->account; ?> <?php if ($pv->status == 'Voided') echo ' <strong>(VOIDED)</strong>'; ?></td>
						<td rel="4" class="dark" style="width: 100px; text-align: right">
							<?php if ($pv->status == 'Voided'): ?>
								<strike><?php echo $pv->amount; ?></strike>
							<?php else: ?>
								<?php echo $pv->amount; ?>
							<?php endif; ?>
						</td>
						<td style="width: 95px; padding: 0;">
							<?php if ($pv->status != 'Voided'): ?>
								<a style="padding: 2px 5px; margin-left: 5px; line-height: 100%; float: left;" class="v-btn void" href="accounts/pv_void/<?=$pv->id?>"><span>Void</span></a>
							<?php endif; ?>
							<a class="grid-action grid-action-view" href="accounts/pv_view/<?=$pv->id?>"><span>View</span></a>
							<?php if ($pv->status != 'Voided'): ?>
								<a class="grid-action grid-action-edit" href="accounts/pv_edit/<?=$pv->id?>"><span>Edit</span></a>
							<?php endif; ?>

						</td>
					</tr>
					<?php $x++; endforeach; ?>
				</tbody>
			</table>
			
			
<script type="text/javascript">
$(document).ready(function(){


	$('.void').click(function(e){
		e.preventDefault();
		var url = $(this).attr('href');
		showDialog('yesno','Void Payment Voucher','Are you sure you want to void this payment voucher?', function(){
			$.ajax({
				url: url,
				type: 'post',
				data: 'void=1',
				success: function(){
					filterItems();
				}
			})
		})
	})
});

</script>