			<table class="grid grid_data">
				<tbody>
					<?php $x = 0; foreach ($receipts as $receipt): ?>
					<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
						<td rel="1" time="<?php echo $receipt->txn_no ? $receipt->txn_no : $receipt->id;?>" style="width: 80px">
							PV-<?php echo $receipt->txn_no ? $receipt->txn_no : $receipt->id; ?>
						</td>
						<td rel="2" time="<?php echo strtotime($receipt->datetime);?>" style="width: 80px"><?php echo date('d/m/Y',strtotime($receipt->datetime)); ?></td>
						<td rel="3"><?php echo $receipt->contact ? $receipt->contact : $receipt->account; ?>  <?php if ($receipt->status == 'Voided') echo ' <strong>(VOIDED)</strong>'; ?></td>
						<td rel="4" class="dark" style="width: 100px; text-align: right">
							<?php if ($receipt->status == 'Voided'): ?>
								<strike><?php echo $receipt->amount; ?></strike>
							<?php else: ?>
								<?php echo $receipt->amount; ?>
							<?php endif; ?>
						</td>
						<td style="width: 90px; padding: 0;">
							<?php if ($receipt->status != 'Voided'): ?>
							<a style="padding: 2px 5px; margin-left: 5px; line-height: 100%; float: left;" class="v-btn void" href="accounts/receipt_void/<?=$receipt->id?>"><span>Void</span></a>
							<?php endif; ?>
							
							<a class="grid-action grid-action-view" href="accounts/receipt_view/<?=$receipt->id?>"><span>View</span></a>
							<?php if ($receipt->status != 'Voided'): ?>
								<a class="grid-action grid-action-edit" href="accounts/receipt_edit/<?=$receipt->id?>"><span>Edit</span></a>
							<?php endif; ?>
						</td>
					</tr>
					<?php $x++; endforeach; ?>
				</tbody>
			</table>
			
<script type="text/javascript">
$(document).ready(function(){


	$('.void').click(function(e){
		e.preventDefault();
		var url = $(this).attr('href');
		showDialog('yesno','Void Receipt','Are you sure you want to void this receipt?', function(){
			$.ajax({
				url: url,
				type: 'post',
				data: 'void=1',
				success: function(){
					filterItems();
				}
			})
		})
	})
});

</script>