
<script type="text/javascript">

$(document).ready(function(){

	$('div.filter input').keypress(function(e){
		if (e.which == 13) filterItems();
	});
	
	$('div.filter select').keypress(function(e){
		if (e.which == 13) filterItems();
	});
	
	$('a.filter-btn').click(function(){
		filterItems();
	});
	
	$('.void').click(function(e){
		e.preventDefault();
		var url = $(this).attr('href');
		showDialog('yesno','Void Receipt','Are you sure you want to void this receipt?', function(){
			$.ajax({
				url: url,
				type: 'post',
				data: 'void=1',
				success: function(){
					filterItems();
				}
			})
		})
	})
	
	filterItems();
});

function filterItems(){
	var date_from 	= $('input.filter-date-from').val();
	var date_to 	= $('input.filter-date-to').val();
	var receipt_id	= $('input.receipt-id').val();
	
	$('table.grid tbody').html('<td colspan="5" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	
	$.ajax({
		url: base_url + 'accounts/receipts_filter',
		type: 'POST',
		data: 'date_from='+date_from+'&date_to='+date_to+'&receipt_id='+receipt_id,
		success: function (result){
			$('div.main_full').html(result);
		}
	})
}

</script>
		<div class="toolbar">
			<h3 class="grid-title">
				Receipts
			</h3>
			<div class="global-tabs filter" style="padding: 5px 5px; font-size: 10pt;">
				<span class="filter-field">From <input value="<?php echo $date_from; ?>" type="text" name="date_from" class="v-text date filter-date-from" style="width: 75px;" /></span>
				<span class="filter-field">To <input value="<?php echo $date_to; ?>" type="text" name="date_to" class="v-text date filter-date-to" style="width: 75px;" /></span>
				<span class="filter-field">Receipt No.</span> <input type="text" name="receipt_id" class="v-text receipt-id" style="width: 75px" /></span>
				<a class="v-btn filter-btn search">Filter</a>
			</div>
			<table class="grid">
				<thead>
					<tr>
						<th class="sortable-date" rel="1" style="width: 80px">Receipt No.</th>
						<th class="sortable-date" rel="2" style="width: 80px">Date</th>
						<th class="sortable" rel="3">Received from</th>
						<th class="sortable" rel="4" style="width: 100px">Amount</th>
						<th class="grid-action" style="text-align: center; width: 90px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
					</tr>
				</thead>
			</table>
		</div>
		
		<div class="main_full">
		
		</div>