<script type="text/javascript">

var content;

function readyPost(action,status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		$('form').clearForm();
		showDialog('ok','Import CSV Data','CSV Data has been successfully imported.');
	} else if (status==2) {
		showDialog('ok','Error','There has been an error uploading the file. Please make sure file is in CSV format.');
		$('div.main_full').show();
		$('div.status').hide();
	} else {
		showDialog('ok','Error','Incompatible CSV file. Please make sure you have uploaded Customer CSV file.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}

function readyAuth(action,status){
	if (status == 1){
		$('p.auth_buttons').show();
		$('p.auth_process').hide();
		hideModalForm('empty-database');
		$('form.auth').clearForm();
		$('form.auth input').attr('disabled',false);
		showDialog('ok','Empty','Database has been emptied.');
	} else {
		$('p.auth_buttons').show();
		$('p.auth_process').hide();
		$('form.auth input').attr('disabled',false);
		showDialog('ok','Authorisation Failed','The credentials you entered does not have sufficient permissions to perform this action.');
	}
}

$(document).ready(function(){
	$('a.submit_btn').click(function(event){
		$(this).parents('form').submit();
		event.preventDefault();
	});
	
	
	$('a.empty').click(function(e){showModalForm('empty-database'); e.preventDefault()});
	
	$('a.generate_is').click(function(){
		var from = $('input.is-from').val();
		var to = $('input.is-to').val();
		if (!to || !from){
			showDialog('ok','Error','Please enter desired date for report to be generated.');
		} else {
			showDialog('loading','Generate Report','Report is being generated. Please wait....');		
			$.ajax({
				url: base_url + 'accounts/income_statement',
				type: 'POST',
				data: 'from='+from+'&to='+to,
				success: function (html){
					$('div.report').html(html).slideDown(500);
					$('div.main_full').slideUp(500);
					$('div.toolbar').hide();
					setTimeout("hideDialog('loading')",1000);

				}
			});
		}
	});
	
	
	$('a.generate_bs').click(function(){
		var to = $('input.bs-to').val();
		if (!to){
			showDialog('ok','Error','Please enter desired date for report to be generated.');
		} else {
			showDialog('loading','Generate Report','Report is being generated. Please wait....');		
			$.ajax({
				url: base_url + 'accounts/balance_sheet',
				type: 'POST',
				data: 'to='+to,
				success: function (html){
					$('div.report').html(html).slideDown(500);
					$('div.main_full').slideUp(500);
					$('div.toolbar').hide();

					setTimeout("hideDialog('loading')",1000);
				}
			});
		}
	});
	
	$('a.generate_tb').click(function(){
		var to = $('input.tb-to').val();
		if (!to){
			showDialog('ok','Error','Please enter desired date for report to be generated.');
		} else {
			showDialog('loading','Generate Report','Report is being generated. Please wait...');
			$.ajax({
				url: base_url + 'accounts/trial_balance',
				type: 'POST',
				data: 'to='+to,
				success: function (html){
					$('div.report').html(html).slideDown(500);
					$('div.main_full').slideUp(500);
					$('div.toolbar').hide();

					setTimeout("hideDialog('loading')",1000);
				}
			});
		}
	});
	
	
})

<?php $frame_id = mt_rand(1000,9999)?>

</script>
	<div class="status">
	
	</div>
	<div class="report" style="display:none">
	
	</div>
	<div class="toolbar">
		<h3 class="grid-title">Accounts Reports</h3>
	</div>
	<div class="main_full">
		<div class="main-container">
		
		
		<div class="global-module-box">
				<h3>Trial Balance</h3>
				<hr />
				<span>Select trial balance sheet to date.</span>
				<table class="grid-form grid-form-transparent" style="width: 100%">
					<tbody>
					<tr>
						<td class="label">To</td>
						<td><input type="text" name="to" class="v-text date tb-to" style="width: 80px" /> </td>
					</tr>
					<tr class="two">
						<td class="label"></td>
						<td class="input"></td>
					</tr>
				</table>
				<hr />
				<p><a class="v-dbtn generate_tb">Generate</a></p>
		</div>
		
		<div class="global-module-box">
				<h3>Balance Sheet</h3>
				<hr />
				<span>Select balance sheet to date.</span>
				<table class="grid-form grid-form-transparent" style="width: 100%">
					<tbody>
					<tr>
						<td class="label">To</td>
						<td><input type="text" name="to" class="v-text date bs-to" style="width: 80px" /> </td>
					</tr>
					<tr class="two">
						<td class="label"></td>
						<td class="input"></td>
					</tr>
				</table>
				<hr />
				<p><a class="v-dbtn generate_bs">Generate</a></p>
		</div>
		
		
		<div class="global-module-box">
				<h3>Income Statement</h3>
				<hr />
				<span>Select date range of desired report.</span>
				<table class="grid-form grid-form-transparent" style="width: 100%">
					<tbody>
					<tr>
						<td class="label">From</td>
						<td><input type="text" name="from" class="v-text date is-from" style="width: 80px" /> </td>
					</tr>
					<tr>
						<td class="label">To</td>
						<td><input type="text" name="to" class="v-text date is-to" style="width: 80px" /> </td>
					</tr>
					<tr class="two">
						<td class="label"></td>
						<td class="input"></td>
					</tr>
				</table>
				<hr />
				<p><a class="v-dbtn generate_is">Generate</a></p>
		</div>
		
		
			<div class="global-module-box">
				<h3>GST GAF File</h3>
				<hr />
				<span>Select date range of desired report.</span>
				<form method="post" action="accounts/gaf">
				<table class="grid-form grid-form-transparent" style="width: 100%">
					<tbody>
					<tr>
						<td class="label">From</td>
						<td><input type="text" name="from" class="v-text date is-from" style="width: 80px" /> </td>
					</tr>
					<tr>
						<td class="label">To</td>
						<td><input type="text" name="to" class="v-text date is-to" style="width: 80px" /> </td>
					</tr>
					<tr class="two">
						<td class="label"></td>
						<td class="input"></td>
					</tr>
				</table>
				<hr />
				<p><a class="v-dbtn submit_btn">Generate</a></p>
				</form>
		</div>
		
		
		</div>
	</div>
