<?php if (!$this->user->has_access('Clinic')) die('You do not have the permissions to access this area.'); ?>

<script type="text/javascript">

var filtered = false;

reload_data = 'limit=100';

function filterItems(){
	var from_date = $('input.filter-from-date').val();
	var to_date = $('input.filter-to-date').val();
	var from_time = $('input.filter-from-time').val();
	var to_time = $('input.filter-to-time').val();
	var patient = $('select.filter-patients').val();
	
	$('table.grid_data tbody').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	$.ajax({
		url: base_url + 'clinic/appointments_filter',
		type: 'POST',
		data: 'from_date='+from_date+'&to_date='+to_date+'&from_time='+from_time+'&to_time='+to_time+'&patient='+patient,
		success: function (result){
			reload_data = 'from_date='+from_date+'&to_date='+to_date+'&from_time='+from_time+'&to_time='+to_time+'&patient='+patient;
			$('div.main_full').html(result);
			$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
			populateEvents();
			
			filtered = true;
		}
	})
}

function reloadGrid(){
	$.ajax({
		url: base_url + 'clinic/patients_filter',
		type: 'POST',
		data: reload_data,
		success: function (result){
			$('div.main_full').html(result);
			$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
			populateEvents();
			
			if (reload_sort){
				$('th.sortable[rel='+reload_sort+']').addClass(reload_order).click();
			}
			
		}
	});
}

</script>

	<div class="toolbar">
		<h3 class="grid-title">
			<?php if ($this->user->has_permission('to_add','Clinic')): ?><a href="clinic/appointment_add" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">New Appointment</a><?php endif; ?>
			Appointments
		</h3>
		<div class="global-tabs" style="padding: 5px; font-size: 10pt">
	    	<a class="v-btn show-filter-controls icon-search">Search</a>
	    </div>

	    <div class="modal-filter-form filter" style="font-size: 10pt;">
	    	<div class="triangle"></div>
	    	<table>
	    		<tr>
	    			<td>Date from</td>
	    			<td><input type="text" name="sku" class="v-text date filter-from-date" value="<?php echo date('d/m/Y'); ?>" style="width: 100px; margin-right: 5px" /></td>
	    		</tr>
	    		<tr>
	    			<td>Time</td>
	    			<td><input type="text" name="name" class="v-text time filter-from-time" value="12:00AM" style="width: 100px; margin-right: 5px" /></td>
	    		</tr>
	    		<tr>
	    			<td>Date to</td>
	    			<td><input type="text" name="sku" class="v-text date filter-to-date" value="<?php echo date('d/m/Y'); ?>" style="width: 100px; margin-right: 5px" /></td>	    		
	    		</tr>
	    		<tr>
	    			<td>Time</td>
	    			<td><input type="text" name="name" class="v-text time filter-to-time" value="11:59PM" style="width: 100px; margin-right: 5px" /></td>
	    		</tr>
	    		<tr>
	    			<td>Patient</td>
	    			<td><?php echo form_dropdown('patients', $patients_dropdown, '', 'class="v-dropdown filter-patients" style="margin-right: 10px; font-size: 10pt; width: 105px"'); ?></td>
	    		</tr>
	    	</table>
	    	<hr />
	    	<a class="v-btn filter-btn">Filter</a>
	    </div>
		<table class="grid">
			<thead>
				<tr>
					<th class="sortable" rel="1" style="width: 110px">Date</th>
					<th class="sortable" rel="2">Patient</th>
					<th class="sortable" rel="3" style="width: 100px">Time</th>
					<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
					<th style="width: 15px; padding: 0;"></th>
				</tr>
			</thead>
		</table>
	</div>
	<div class="main_full">
		<table class="grid grid_data"> 			

			<tbody>
    			<?php $x=0; foreach ($appointments as $appointment):  ?>
    		    <tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
      		    	<td rel="1" style="width: 110px"><?php echo date('d/m/Y',strtotime($appointment->start)); ?></td>
    		    	<td rel="2"><?php echo $appointment->title; ?></td>
    		    	<td rel="3" style="width: 100px"><?php echo date('h:iA',strtotime($appointment->start)); ?></td>
     		    	<td style="width: 75px; padding: 0;">
    		    		<?php if ($this->user->has_permission('to_view','Clinic')): ?><a class="grid-action grid-action-view" href="clinic/appointment_view/<?=$appointment->id?>"><span>View</span></a><?php endif; ?>
    		    		<?php if ($this->user->has_permission('to_edit','Clinic')): ?><a class="grid-action grid-action-edit" href="clinic/appointment_edit/<?=$appointment->id?>"><span>Edit</span></a><?php endif; ?>
    		    		<?php if ($this->user->has_permission('to_delete','Clinic')): ?><a class="grid-action grid-action-delete" href="clinic/appointment_delete/<?=$appointment->id?>/do"><span>Delete</span></a><?php endif; ?>
    		    	</td>
       		    </tr>
    		    <?php $x++; endforeach; ?>
    			<?php if ($x == 0): ?>
    			<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
    				<td colspan="9"><strong>No appointments found</strong>. <a href="clinic/appointment_add/suggest" class="target_main">Create new appointment</a>?</td>
    			</tr>
    			<?php endif; ?>
			</tbody>
		</table>
	</div>