<?php if (!$this->user->has_access('Clinic')) die('You do not have the permissions to access this area.'); ?>

<div>
	<div id="global-sidebar">
		<ul id="global-sidebar-list">
			<!--
			<div class="global-sidebar-control">
				<a style="margin-right: 5px;" href="inventory/config" class="target_main settings-button"><img src="<?=base_url()?>images/settings_button.gif" /></a>
			</div>
			-->
			<li class="current"><a href="clinic/overview" class="overview">Overview</a></li>
			<li><a href="clinic/patients" class="patients">Patients</a></li>
			<li><a href="clinic/appointments" class="appointments">Appointments</a></li>
		</ul>
	</div>

	<div id="floating-doc-container" style="width: 100%; position: fixed; height: 80%; text-align: center; z-index: 3000; display:none">
		
	</div>	
	<div id="global-content">
		
	<div class="toolbar">
		<h3 class="grid-title">Incoming Appointments</h3>
		<table class="grid">
			<thead>
				<tr>
					<th class="sortable" rel="1" style="width: 110px">Date</th>
					<th class="sortable" rel="2">Patient</th>
					<th class="sortable" rel="3" style="width: 100px">Time</th>
					<th class="grid-action" style="text-align: center; width: 25px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
					<th style="width: 15px; padding: 0;"></th>
				</tr>
			</thead>
		</table>
	</div>
	<div class="main_full">
		<table class="grid grid_data">
			<tbody>
				<?php $x=0; foreach ($appointments as $appointment):  ?>
    		    <tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
      		    	<td rel="1"><?php echo $item->sku; ?></td>
    		    	<td rel="2"><?php echo $item->name; ?></td>
    		    	<td rel="3"><?php echo $item->category; ?></td>
     		    	<td style="width: 25px; padding: 0;">
    		    		<?php if ($this->user->has_permission('to_view','Clinic')): ?><a class="grid-action grid-action-view" href="inventory/item_view/<?=$item->id?>"><span>View</span></a><?php endif; ?>
    		    	</td>
	   		    </tr>
    		    <?php $x++; endforeach; ?>
			</tbody>
		</table>
		<br />
	</div>
	</div>
</div>