<?php if (!$this->user->has_access('Clinic')) die('You do not have the permissions to access this area.'); ?>

<script type="text/javascript">

var filtered = false;

reload_data = 'limit=100';

function filterItems(){
	var ic = $('input.filter-ic').val();
	var name = $('input.filter-name').val();
	var tel = $('input.filter-tel').val();
	
	$('table.grid_data tbody').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	$.ajax({
		url: base_url + 'clinic/patients_filter',
		type: 'POST',
		data: 'ic='+ic+'&name='+name+'&tel='+tel,
		success: function (result){
			reload_data = 'ic='+ic+'&name='+name+'&tel='+tel;
			$('div.main_full').html(result);
			$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
			populateEvents();
			
			filtered = true;
		}
	})
}

function reloadGrid(){
	$.ajax({
		url: base_url + 'clinic/patients_filter',
		type: 'POST',
		data: reload_data,
		success: function (result){
			$('div.main_full').html(result);
			$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
			populateEvents();
			
			if (reload_sort){
				$('th.sortable[rel='+reload_sort+']').addClass(reload_order).click();
			}
			
		}
	});
}

</script>
		<div class="toolbar">
			<h3 class="grid-title">
				<?php if ($this->user->has_permission('to_add','clinic')): ?><a href="clinic/patient_add" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">New Patient</a><?php endif; ?>
				Patients
			</h3>
			<div class="global-tabs" style="padding: 5px; font-size: 10pt">
	    		<a class="v-btn show-filter-controls icon-search">Search</a>
	    	</div>

		    <div class="modal-filter-form filter" style="font-size: 10pt;">
		    	<div class="triangle"></div>
		    	<table>
		    		<tr>
		    			<td>Name</td>
		    			<td><input type="text" name="name" class="v-text filter-name" style="width: 100px; margin-right: 5px" /></td>
		    		</tr>
		    		<tr>
		    			<td>IC Number</td>
		    			<td><input type="text" name="ic" class="v-text filter-ic" style="width: 100px; margin-right: 5px" /></td>	    		
		    		</tr>
		    		<tr>
		    			<td>Contact Number</td>
		    			<td><input type="text" name="tel" class="v-text filter-tel" style="width: 100px; margin-right: 5px" /></td>
		    		</tr>
		    	</table>
		    	<hr />
		    	<a class="v-btn filter-btn">Filter</a>
		    </div>
			
			<table class="grid">
				<thead>
					<tr>
						<th class="sortable" rel="1" style="width: 110px">IC Number</th>
						<th class="sortable" rel="2">Name</th>
						<th class="sortable" rel="3" style="width: 100px">Telephone</th>
						<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
					</tr>
				</thead>
			</table>
		</div>

		<div class="main_full">
			<table class="grid grid_data">			
    			<tbody>
    				<?php $x=0; foreach ($patients as $patient):  ?>
    				<tr rel="<?php echo $patient->ic; ?>" <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
      					<td rel="1" type="v-text" style="width: 110px"><?php echo $patient->ic; ?></td>
    					<td rel="2" type="v-text" title="<?php echo $patient->contact_person; ?>"><?php echo $patient->contact_person; ?></td>
    					<td rel="3" type="v-text" style="width: 100px"><?php echo $patient->contact_number; ?></td>
     					<td style="width: 75px; padding: 0;">
    						<?php if ($this->user->has_permission('to_view','Clinic')): ?><a class="grid-action grid-action-view" href="clinic/patient_view/<?=$patient->id?>"><span>View</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_edit','Clinic')): ?><a class="grid-action grid-action-edit" href="clinic/patient_edit/<?=$patient->id?>"><span>Edit</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_delete','Clinic')): ?><a class="grid-action grid-action-delete" href="clinic/patient_delete/<?=$patient->id?>/do"><span>Delete</span></a><?php endif; ?>
    					</td>
	   				</tr>
    				<?php $x++; endforeach; ?>
    				<?php if ($x == 0): ?>
	    			<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
	    				<td colspan="9"><strong>No patients found. </strong><a href="clinic/patient_add/suggest" class="target_main">Add new patient</a>?</td>
	    			</tr>
	    			<?php endif; ?>
    			</tbody>
    		</table>
		</div>
