<script type="text/javascript">

$(document).ready(function(){

	$('a.delete-file').click(function(e){
		e.preventDefault();
		
		var href = $(this).attr('href');
		var that = this;
		
		showDialog('yesno','Confirm Delete Log','Are you sure you want to delete this file?', function(){	
			$.ajax({
				url: href,
				success: function (res){
					if (res == 'ok'){
						$(that).parents('tr').fadeOut(function(){
							$(this).remove();
						});
					}
				}
			})
		})
	});
	
	$('a.set-as-current-file').click(function(e){
		e.preventDefault();
		var href = $(this).attr('href');
		var that = this;
		
		$.ajax({
			url: href,
			success: function (res){
				if (res == 'ok'){
					$('table.file-list tr').removeClass('current-file');
					$(that).parents('tr').addClass('current-file');
					var href = $(that).parents('tr').find('a.case-file-link').attr('href');
					var name = $(that).parents('tr').find('a.case-file-link').attr('name');
					$('td.case-file').html('<a target="_blank" href="'+href+'">'+name+'</a>');
				}
			}
		})
	})

})


</script>
	
	<table class="grid grid_data file_list">
	    <?php $x = 0; foreach ($logs as $log): if ($log->file): $x++; ?>
	    <tr class="<?php if ($x%2 == 0) echo 'alt'; ?>">
	    	<td><?php echo $log->file; ?></td>
	    	<td style="width: 270px">
				<a target="_blank" name="<?php echo $log->file; ?>" class="v-btn case-file-link" href="../assets/docs/<?php echo $log->file; ?>">Open File</a>
				<a class="v-btn set-as-current-file" href="contacts/set_case_file/<?php echo $log->id; ?>">Set as Case File</a>
				<a class="v-btn delete-file" href="contacts/delete_case_file/<?php echo $log->id; ?>">Delete File</a>
	    	</td>
	    </tr>
	    <?php if ($log->current_file) $current_file = $log->file; ?>
	    <?php endif; endforeach; ?>
	</table>