<?php if (!$this->user->has_access('Contacts')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

function filterItems(){
	var company = $('input.filter-company').val();
	var contact = $('input.filter-contact').val();
	var number 	= $('input.filter-contact-number').val();
	var rank 	= $('select.filter-rank').val();
	
	var is_supplier = $('input.is_supplier').attr('checked') ? 1 : 0;
	var is_customer = $('input.is_customer').attr('checked') ? 1 : 0;
	var is_member = $('input.is_member').attr('checked') ? 1 : 0;
	var is_stakeholder = $('input.is_stakeholder').attr('checked') ? 1 : 0;
	var is_franchisee = $('input.is_franchisee').attr('checked') ? 1 : 0;
	var is_agent = $('input.is_agent').attr('checked') ? 1 : 0;
	var is_prospect = $('input.is_prospect').attr('checked') ? 1 : 0;
		
	$('table.grid_data tbody').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	
	$.ajax({
		url: base_url + 'contacts/contacts_filter',
		type: 'POST',
		data: 'company='+company+'&contact='+contact+'&is_supplier='+is_supplier+'&is_customer='+is_customer+'&is_prospect='+is_prospect+'&is_agent='+is_agent+'&is_member='+is_member+'&is_franchisee='+is_franchisee+'&is_stakeholder='+is_stakeholder+'&number='+number+'&rank='+rank,
		success: function (result){
			$('div.main_full').html(result);
			$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
			populateEvents();
		}
	})

}

$(document).ready(function(){
	$('a.overview').click();
})

</script>
<div id="dashboard-container">

	<div id="global-sidebar">
		<ul id="global-sidebar-list">
			<?php if ($this->user->has_permission('to_view_contact','Contacts')): ?>
				<li class="current"><a href="contacts/overview" class="overview">Overview</a></li>
				<li class="current"><a href="contacts/elist" class="icon-contacts">Contacts</a></li>
			<?php endif; ?>
			<?php if ($this->user->has_permission('to_view_case','Contacts')): ?>
				<li><a href="contacts/case_list" class="icon-cases">Cases</a></li>
			<?php endif; ?>
			<?php if ($this->user->has_permission('to_manage_file_movement','Contacts')): ?>
				<li><a href="contacts/file_movement" class="icon-fm">File Movement</a></li>
			<?php endif; ?>
		</ul>
	</div>
	
	
	<div id="global-content">
		
	</div>
</div>