<script type="text/javascript" src="<?=base_url()?>js/ui.core.js"></script>
<script type="text/javascript" src="<?=base_url()?>js/ui.draggable.js"></script>
<script type="text/javascript" src="<?=base_url()?>js/ui.resizable.js"></script>

<script type="text/javascript">
$(document).ready(function() {
	
	var date = new Date();
	var d = date.getDate();
	var m = date.getMonth();
	var y = date.getFullYear();
	var curId;
	
	$('input[name=from_time]').timeEntry({spinnerImage: base_url+'images/spinnerDefault.png'});
	$('input[name=to_time]').timeEntry({spinnerImage: base_url+'images/spinnerDefault.png'});
	$('input[name=from_date]').dateEntry({dateFormat: 'dmy/',spinnerImage: base_url+'images/spinnerDefault.png'});
	$('input[name=to_date]').dateEntry({dateFormat: 'dmy/',spinnerImage: base_url+'images/spinnerDefault.png'});

	if (mobile_view) var targetHeight = $(window).height() - 120;
	else var targetHeight = $(window).height() - 80;
	
	$('#calendar').fullCalendar({
	    events: base_url + "dashboard/calendar_json",
	    defaultView: mobile_view ? 'agendaDay' : 'month',
	    titleFormat: {
		    month: 'MMMM yyyy',                             // September 2009
  			week: "MMM d[ yyyy]{ '&#8212;'[ MMM] d yyyy}", // Sep 7 - 13 2009
    		day: 'MMM d, yyyy'                  // Tuesday, Sep 8, 2009  
	    },
		header: {
			left: mobile_view ? 'prev,next today title' : 'prev,next today',
			center: mobile_view ? '' : 'title',
			right: mobile_view ? '' : 'month,agendaWeek,agendaDay' ,
			height: targetHeight
		},
		dayClick: function(date, allDay, jsEvent, view) {
	        $('#new-event form input[name=event]').val('');
	        $('#new-event form input[name=location]').val('');
	        $('#new-event form input[name=notes]').val('');
	        
	        if (allDay) {
				$('#new-event form input[name=allday]').attr('checked',true);
			    $('#new-event form input[name=from_date]').val($.fullCalendar.formatDate(date, 'dd/MM/yyyy'));
			    $('#new-event form input[name=to_date]').val($.fullCalendar.formatDate(date, 'dd/MM/yyyy'));
			    
		        $('#new-event form input[name=from_time]').val('');
		        $('#new-event form input[name=to_time]').val('');
	        } else {
		        var endDate = new Date(date.valueOf() + (1000 * 60 * 60));
	           $('#new-event form input[name=allday]').attr('checked',false);
		        $('#new-event form input[name=from_date]').val($.fullCalendar.formatDate(date, 'dd/MM/yyyy'));
	            $('#new-event form input[name=from_time]').val($.fullCalendar.formatDate(date, 'h:mmTT'));
    	        $('#new-event form input[name=to_date]').val($.fullCalendar.formatDate(endDate, 'dd/MM/yyyy'));
        	    $('#new-event form input[name=to_time]').val($.fullCalendar.formatDate(endDate, 'h:mmTT'));
	        }
	        
	        
	        
			hideModalForm('edit-event');
			showModalForm('new-event');
			
			
	    },
	    eventResize: function(event,dayDelta,minuteDelta,allDay,revertFunc){
	    	$('#legend span.status').html('<img src="'+base_url+'images/loading.gif" /> Updating events');
	    	$.ajax({
	    		type: "POST",
	    		url: base_url+'dashboard/calendar_event_resize',
	    		data: 'day='+dayDelta+'&minute='+minuteDelta+'&allday='+allDay+'&id='+event.id,
	    		success: function(html){
					$('#legend span.status').html('Calendar has been updated');
					setTimeout(function(){
						$('#legend span.status').fadeOut(500, function(){$(this).html(''); $(this).show()});
					},2000);
	    		}
	    	});
	    },
	    eventDrop: function(event,dayDelta,minuteDelta,allDay,revertFunc){
			$('#legend span.status').html('<img src="'+base_url+'images/loading.gif" /> Updating events');
	    	$.ajax({
	    		type: "POST",
	    		url: base_url+'dashboard/calendar_event_shift',
	    		data: 'day='+dayDelta+'&minute='+minuteDelta+'&allday='+allDay+'&id='+event.id,
	    		success: function(html){
					$('#legend span.status').html('Calendar has been updated');
					setTimeout(function(){
						$('#legend span.status').fadeOut(500, function(){$(this).html(''); $(this).show()});
					},2000);
	    		}
	    	});	
	    },
	    eventClick: function (calEvent,jsEvent,view){
	    
	    	if (!calEvent.editable){
				hideModalForm('new-event');
		    	hideModalForm('edit-event');
		    	showModalForm('view-event');
		    	
		    	curID = calEvent.id;
		    	if (calEvent.allDay){
		            $('#view-event td.allday').text('Yes');
		        } else {
		            $('#view-event td.allday').text('No');
		        }
		        

	   	        $('#view-event td.division').text(calEvent.division);
		        $('#view-event td.type span').text(calEvent.className);
		        $('#view-event td.priority').text(calEvent.priority);
		        $('#view-event td.status').text(calEvent.status);
	            $('#view-event td.event').text(calEvent.title);
	            $('#view-event td.location').text(calEvent.location);
	            $('#view-event textarea[name=notes]').text(calEvent.notes);
	            $('#view-event td.from').text($.fullCalendar.formatDate(calEvent.start, 'h:mm TT') + ' ' + $.fullCalendar.formatDate(calEvent.start, 'dd/MM/yyyy'))
	            $('#view-event td.to').text($.fullCalendar.formatDate(calEvent.end, 'h:mm TT') + ' ' + $.fullCalendar.formatDate(calEvent.end, 'dd/MM/yyyy'))
	    	
	    	} else {
				hideModalForm('new-event');
		    	hideModalForm('view-event');
		    	showModalForm('edit-event');
		    	
		    	curID = calEvent.id;
		    	if (calEvent.allDay){
		            $('#edit-event form input[name=allday]').attr('checked',true);
		        } else {
		            $('#edit-event form input[name=allday]').attr('checked',false);
		        }

		        if (calEvent.deletable){
		        	$('#edit-event a.event-delete').show();
		        } else {
		        	$('#edit-event a.event-delete').hide();
		        }
		        
		        console.log(calEvent);
		        
	   	        $('#edit-event form input[name=id]').val(calEvent.id);
	   	        $('#edit-event form input[name=division]').val(calEvent.division);
		        $('#edit-event form input[name=type]').attr('checked',false);
		        $('#edit-event form input[name=type][value='+calEvent.type+']').attr('checked',true);
		        $('#edit-event form input[name=priority][value='+calEvent.priority+']').attr('checked',true);
		        $('#edit-event form select[name=status]').val(calEvent.status);
	            $('#edit-event form input[name=event]').val(calEvent.title);
	            $('#edit-event form input[name=location]').val(calEvent.location);
	            $('#edit-event form textarea[name=notes]').html(calEvent.notes);
	            $('#edit-event form input[name=from_date]').val($.fullCalendar.formatDate(calEvent.start, 'dd/MM/yyyy'));
	            $('#edit-event form input[name=to_date]').val($.fullCalendar.formatDate(calEvent.end, 'dd/MM/yyyy'));
	            $('#edit-event form input[name=from_time]').val($.fullCalendar.formatDate(calEvent.start, 'h:mm TT'));
	            $('#edit-event form input[name=to_time]').val($.fullCalendar.formatDate(calEvent.end, 'h:mm TT'));
	            
		        if (!calEvent.editable){
		        	$('p.action-button-all').hide();
		        	$('p.action-button-cancel').show();
		        } else {
		        	$('p.action-button-all').show();
		        	$('p.action-button-cancel').hide();
		        }
			}
	    },
		editable: true,
		loading: function(bool) { 
            if (bool) $('#legend span.status').html('<img src="'+base_url+'images/loading.gif" /> Loading calendar events');
            else $('#legend span.status').html(''); 
		} 
	});

	// $('#calendar').fullCalendar('option', 'height', targetHeight);

	$(window).resize(function(){
		if (mobile_view){
			var targetHeight = $(window).height() - 120;
			var targetWidth = $(window).width();
		} else {
			var targetHeight = $(window).height() - 100;
			var targetWidth = $(window).width() - 250;
		}

		$('#calendar').fullCalendar('option', 'height', targetHeight);
		$('#calendar').fullCalendar('option', 'width', targetWidth);
	});
		
	$('form.add_event').submit(function(){
		if (!$('#new-event form input[name=event]').val()){
			$('#new-event form input[name=event]').focus();
			return false;
		}
		$('#legend span.status').html('<img src="'+base_url+'images/loading.gif" /> Saving event');
		hideModalForm('new-event');
	});
	
	$('form.edit_event').submit(function(){
		if (!$('#edit-event form input[name=event]').val()){
			$('#edit-event form input[name=event]').focus();
			return false;
		}
		$('#legend span.status').html('<img src="'+base_url+'images/loading.gif" /> Saving event');
		hideModalForm('edit-event');
	});
		
	$('a.event-discard').click(function(event){
		hideModalForm('new-event');
		hideModalForm('edit-event');
		hideModalForm('view-event');
		event.preventDefault();
	});
	
	$('form.edit_event a.event-save').click(function(event){
		$('form.edit_event').submit();
		event.preventDefault();		
	});

		
	$('form.add_event a.event-save').click(function(event){
		$('form.add_event').submit();
		event.preventDefault();		
	});
	
	$('a.event-delete').click(function(event){
		showDialog('yesno','Delete','Confirm delete?',function(){
			hideModalForm('edit-event');
			$('#legend span.status').html('Deleting event');
			var id = $('#edit-event form input[name=id]').val();
			
			$.ajax({
				type: "POST",
				url: base_url + "dashboard/calendar_event_delete",
				data: 'id='+id,
				success: function (html){
					$('#calendar').fullCalendar('refetchEvents');
					$('#legend span.status').html('Event has been deleted');
					$('#calendar').fullCalendar('removeEvents',curID);
					setTimeout(function(){
						$('#legend span.status').fadeOut(500, function(){$(this).html(''); $(this).show()});
					},2000);
				}
			});

		}, function(){});
	});
	
	$('input[name=type]').click(function(){
		var type = $(this).val();
		if (type == 'task'){
			$('td.event-type').html('Task');
			$('tr.division').hide();
			$('tr.division-na').show();
		} else {
			$('td.event-type').html('Event Name');
			$('tr.division').show();
			$('tr.division-na').hide();

		}
	});
	
	setTimeout('$(window).resize()',1);

});

function readyAdd(state){
	if (state == 1){
		$('#legend span.status').html('Event has been added');
		$('#calendar').fullCalendar( 'refetchEvents' );
		setTimeout(function(){
			$('#legend span.status').fadeOut(500, function(){$(this).html(''); $(this).show()});
		},2000);
	} else if (state == 2) {
		$('#legend span.status').html('There has been an error while adding event');
		setTimeout(function(){
			$('#legend span.status').fadeOut(500, function(){$(this).html(''); $(this).show()});
		},2000);
	}
}

function readyEdit(state){
	if (state == 1){
		$('#legend span.status').html('Event has been updated');
		$('#calendar').fullCalendar( 'refetchEvents' );
		setTimeout(function(){
			$('#legend span.status').fadeOut(500, function(){$(this).html(''); $(this).show()});
		},2000);
	} else if (state == 2) {
		$('#legend span.status').html('There has been an error while adding event');
		setTimeout(function(){
			$('#legend span.status').fadeOut(500, function(){$(this).html(''); $(this).show()});
		},2000);
	}
}


</script>


<div id="view-event" class="global-modal-form">
	<div class="global-modal-form-body">
	<h3>Event</h3>
		<table class="grid-form grid-form-transparent">
			<tr>
				<td class="label event-type">Event Name</label>
				<td class="event"></td>
			</tr>
			<tr class="division">
				<td class="label">Division</label>
				<td class="division"></td>
			</tr>
			<tr>
				<td class="label">Location</label>
				<td class="location"></td>
			</tr>
			<tr>
				<td class="label">Priority</label>
				<td class="priority"></td>
			</tr>
				<tr>
				<td class="label">All Day Event</td>
				<td class="allday"></td>
			</tr>
			<tr>
				<td class="label">From</td>
				<td class="from"></td>
			</tr>
			<tr>
				<td class="label">To</td>
				<td class="to"></td>
			</tr>
			<tr>
				<td class="label">Notes</td>
				<td><textarea style="width: 100%; height: 60px" name="notes"></textarea></td>
			</tr>
			<tr>
				<td class="label notes-text">Status</td>
				<td class="status"></td>
			</tr>
		</table>
		<hr />
		<p class="align-right"><a class="v-dbtn event-discard">Close</a></p>
	</div>
</div>

<div id="edit-event" class="global-modal-form">
	<div class="global-modal-form-body">
	<h3>Event</h3>
	<iframe id="postframe_edit" name="postframe_edit" src="<?=base_url()?>nothing" style="width:0;height:0;border:0;visibility:hidden;padding:0;margin:0; float: right;"></iframe>
	<form class="edit_event" action="dashboard/edit_event" target="postframe_edit" method="post">
		<input type="hidden" name="id" />
		<table class="grid-form grid-form-transparent" style="width: 100%">
			<tr>
				<td class="label">Type</label>
				<td style="font-size: 10pt">
					<label><input type="radio" name="type" value="schedule" checked="checked" /> Schedule</label> &nbsp;
					<label><input type="radio" name="type" value="appointment" /> Appointment</label> &nbsp;
					<label><input type="radio" name="type" value="meeting" /> Meeting</label> &nbsp;
					<!-- <label><input type="radio" name="type" value="task" /> Task</label> -->
				</td>
			</tr>

			<tr>
				<td class="label event-type">Event Name</label>
				<td><input style="width: 100%" type="text" name="event" class="v-text" /></td>
			</tr>
			<tr class="division">
				<td class="label">Division</label>
				<td><input style="width: 508px" type="text" name="division" class="v-text autocomplete-division" /></td>
			</tr>
			<tr class="division-na" style="display:none">
				<td class="label">Division</label>
				<td style="font-size: 10pt; padding: 7px">N/A</td>			
			</tr>
			<tr>
				<td class="label">Location</label>
				<td><input style="width: 100%" type="text" name="location" class="v-text" /></td>
			</tr>
			<tr>
				<td class="label">Priority</label>
				<td><?=form_dropdown('priority', array('Low'=>'Low','Normal'=>'Normal','High'=>'High','Very High'=>'Very High'))?></td>
			</tr>
			<tr>
				<td class="label">All Day Event</td>
				<td><input type="checkbox" name="allday" value="1" /></td>
			</tr>
			<tr>
				<td class="label">From</td>
				<td><input style="width: 80px" type="text" name="from_date" class="date v-text" /> <input style="width: 80px" type="text" name="from_time" class="time v-text" /></td>
			</tr>
			<tr>
				<td class="label">To</td>
				<td><input style="width: 80px" type="text" name="to_date" class="date v-text" /> <input style="width: 80px" type="text" name="to_time" class="time v-text" /></td>
			</tr>
			<tr>
				<td class="label">Notes</td>
				<td><textarea class="v-textarea" style="width: 100%; height: 60px" name="notes"></textarea></td>
			</tr>
			<tr>
				<td class="label notes-text">Status</td>
				<td><?=form_dropdown('status',array('Pending'=>'Pending','In Progress'=>'In Progress','Completed'=>'Completed','Incomplete'=>'Incomplete'))?></td>
			</tr>
		</table>
		<hr />
		<p class="align-right action-button-all"><a class="v-dbtn event-save">Save</a> <a class="v-dbtn event-delete">Delete Event</a> <a class="v-dbtn event-discard">Cancel</a></p>
		<p class="align-right action-button-cancel" style="display:none"><a class="v-dbtn event-discard">Close</a></p>
	</form>
	</div>
</div>
<div id="new-event" class="global-modal-form" style="height: auto">
	<div class="global-modal-form-body">
	<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
	<h3>New Event</h3>
	<form class="add_event" action="dashboard/new_event" target="postframe" method="post">
		<table class="grid-form grid-form-transparent" style="width: 100%">
			<tr>
				<td class="label">Type</label>
				<td style="font-size: 10pt">
					<label><input type="radio" name="type" value="schedule" checked="checked" /> Schedule</label> &nbsp;
					<label><input type="radio" name="type" value="appointment" /> Appointment</label> &nbsp;
					<label><input type="radio" name="type" value="meeting" /> Meeting</label> &nbsp;
					<!-- <label><input type="radio" name="type" value="task" /> Task</label> -->
				</td>
			</tr>
			<tr>
				<td class="label event-type">Event Name</label>
				<td><input style="width: 100%" type="text" name="event" class="v-text" /></td>
			</tr>
			<tr>
				<td class="label">Location</label>
				<td style="width: auto;"><input style="width: 100%" type="text" name="location" class="v-text" /></td>
			</tr>
			<tr class="division">
				<td class="label">Division</label>
				<td><input type="text" style="width: 100px" name="division" class="v-text autocomplete-division" /></td>
			</tr>
			<tr class="division-na" style="display:none">
				<td class="label">Division</label>
				<td style="font-size: 10pt; padding: 7px">N/A</td>			
			</tr>
			<tr>
				<td class="label">Priority</label>
				<td><?=form_dropdown('priority', array('Low'=>'Low','Normal'=>'Normal','High'=>'High','Very High'=>'Very High'))?></td>
			</tr>
			<tr>
				<td class="label">All Day Event</td>
				<td><input type="checkbox" name="allday" value="1" /></td>
			</tr>
			<tr>
				<td class="label">From</td>
				<td><input style="width: 80px" type="text" name="from_date" class="date v-text" /> <input style="width: 80px" type="text" name="from_time" class="time v-text" /></td>
			</tr>
			<tr>
				<td class="label">To</td>
				<td><input style="width: 80px" type="text" name="to_date" class="date v-text" /> <input style="width: 80px" type="text" name="to_time" class="time v-text" /></td>
			</tr>
			<tr>
				<td class="label notes-text">Notes</td>
				<td><textarea class="v-textarea" style="width: 100%; height: 60px" name="notes"></textarea></td>
			</tr>
			<tr>
				<td class="label notes-text">Status</td>
				<td><?=form_dropdown('status',array('Pending'=>'Pending','In Progress'=>'In Progress','Completed'=>'Completed','Incomplete'=>'Incomplete'))?></td>
			</tr>
		</table>
		<hr />
		<p class="align-right"><a class="v-dbtn event-save">Save</a> <a class="v-dbtn event-discard">Discard</a></p>
	</form>
	</div>
</div>
<div id="calendar">

</div>
<div id="legend">
	<span class="status"></span><span><strong>Legend</strong></span> <span class="calendar-meeting">Meeting</span> <span class="calendar-appointment">Appointment</span> <!-- <span class="calendar-task">Task</span> --> <span class="calendar-schedule">Schedule</span>
</div>