<script type="text/javascript">

$(document).ready(function(){
	
	$('ul.tasks-tabs a').click(function(e){
		e.preventDefault();
		var type = $(this).attr('href');
		$('div.main_full table').hide();
		$('div.main_full table.'+type).show();
	});

});

</script>

	<div class="toolbar">
		<h3 class="grid-title">	<a href="dashboard/new_task" class="v-btn target_main float_right" style="padding: 0 10px; font-weight: normal;">Add New Task</a>My Jobsheet</h3>
		<div class="global-tabs" style="padding: 2px 5px">

		</div>
	    <div class="global-tabs">
	    	<ul class="tasks-tabs">
	    		<li><a style="width: auto; padding: 1px 20px;" class="tasks current" href="tasks">My Tasks <?php echo count($task_list) ? '('.count($task_list).')' : ''; ?></a></li>
	    		<li><a style="width: auto; padding: 1px 20px;" class="assigned" href="assigned">Tasks Assigned <?php echo count($assigned_list) ? '('.count($assigned_list).')' : ''; ?></a></li>
	    	</ul>
	    </div>
		<table class="grid">
			<thead>
    			<tr>
    				<th rel="1" class="sortable" style="width: 25px; padding: 0; text-align: center"><img src="<?php echo base_url()?>images/email-status.gif" alt="Status"></th>
    				<th rel="2" class="sortable" style="width: 25px; text-align: center"><img src="<?php echo base_url()?>images/email-flag.gif" alt="Status"></th>
    				<th rel="3" class="sortable">Task</th>
    				<th rel="4" class="sortable-date" style="width: 160px">Date Start</th>
    				<th rel="5" class="sortable-date" style="width: 160px">Date End </th>
    				<th rel="6" class="sortable" style="width: 100px">Status</th>
    				<th rel="7" class="sortable" style="width: 120px">Assigned To</th>
    				<th rel="8" class="sortable" style="width: 120px">Assigned By</th>
    				<th class="grid-action" style="text-align: center; width: 75px;"><img src="<?php echo base_url()?>images/email-action.gif" alt="Action"></th>
    				<th style="padding: 0; width: 15px"></th>
    			</tr>
    		</thead>
    	</table>
    </div>
	<div class="main_full">
		<table class="grid grid_data tasks">
			<tbody>
	    	<?php $x = 0; foreach ($task_list as $task):?>
	    		<tr class="list-item <?php echo $x%2 == 0 ? 'alt' : ''; ?>">
	    			<td rel="1" class="sortable" style="width: 25px; text-align:center">
	    				<?php if ($task->new_to_user && $task->user == $user->username) echo '<img src="'.base_url().'images/email-unseen.png"' . '/>';?>
	    				<?php if ($task->new_to_assigner && $task->assigned_by == $user->username) echo '<img src="'.base_url().'images/email-unseen.png"' . '/>';?>
	    			</td>
	    			<td rel="2" class="sortable" style="width: 25px; text-align: center"><img src="<?php echo base_url()?>images/<?php echo str_replace(' ','_',$task->priority)?>.gif" alt="<?php echo $task->priority?>" /></td>
	    			<td rel="3" class="sortable"><?php echo $task->title?></td>
	    			<?php if ($task->allday): ?>
		    			<td rel="4" class="sortable-date" style="width: 160px" time="<?php echo strtotime($task->start); ?>"><?php echo date('j M, Y',strtotime($task->start))?></td>
		    			<td rel="5" class="sortable-date" style="width: 160px" time="<?php echo strtotime($task->end); ?>"><?php echo date('j M, Y',strtotime($task->end))?></td>
	    			<?php else: ?>
	    				<td rel="4" class="sortable-date" style="width: 160px" time="<?php echo strtotime($task->start); ?>"><?php echo date('h:i A',strtotime($task->start))?> <?php echo date('d/m/Y') == date('d/m/Y',strtotime($task->start)) ? '' : date('j M, Y',strtotime($task->start))?></td>
	    				<td rel="5" class="sortable-date" style="width: 160px" time="<?php echo strtotime($task->end); ?>"><?php echo date('h:i A',strtotime($task->end))?> <?php echo date('d/m/Y') == date('d/m/Y',strtotime($task->end)) ? '' : date('j M, Y',strtotime($task->end))?></td>
	    			<?php endif; ?>
	    			<td rel="6" class="sortable" style="width: 100px"><span class="status-<?php echo str_replace(' ','-',strtolower($task->status))?>"><?php echo $task->status?></span></td>
	    			<td rel="7" class="sortable" style="width: 120px"><?php echo $task->user == $this->user->data('username') ? ($task->assigned_by == null ? 'self' : $this->user->get_fullname($task->user)) :$this->user->get_fullname($task->user)?></td>
		    		<td rel="8" class="sortable" style="width: 120px"><?php echo $this->user->get_fullname($task->assigned_by)?></td>

			    	<?php if ($task->assigned_by != null && $task->assigned_by != $user->username): ?>
	    				<td class="grid-action" style="width:75px">
		    				<a class="grid-action grid-action-view target_main" href="dashboard/view_task/<?php echo $task->id?>"><span>View</span></a>
		    				<a class="grid-action grid-action-edit target_main" href="dashboard/edit_task/<?php echo $task->id?>"><span>Edit</span></a>
		    			</td>
			    	<?php else: ?>
	    				<td class="grid-action" style="width:75px">
	    					<a class="grid-action grid-action-view target_main" href="dashboard/view_task/<?php echo $task->id?>"><span>View</span></a>
		    				<a class="grid-action grid-action-delete" href="dashboard/delete_task/<?php echo $task->id?>"><span>Delete</span></a>
		    				<a class="grid-action grid-action-edit target_main" href="dashboard/edit_task/<?php echo $task->id?>"><span>Edit</span></a>
		    			</td>
			    	<?php endif; ?>
	    		</tr>
	    	<?php $x++; endforeach; ?>
	    	</tbody>
	    </table>
	    
	    <table class="grid grid_data assigned" style="display:none">
			<tbody>
	    	<?php $x = 0; foreach ($assigned_list as $task):?>
	    		<tr class="list-item <?php echo $x%2 == 0 ? 'alt' : ''; ?>">
	    			<td rel="1" class="sortable" style="width: 25px; text-align:center">
	    				<?php if ($task->new_to_user && $task->user == $user->username) echo '<img src="'.base_url().'images/email-unseen.png"' . '/>';?>
	    				<?php if ($task->new_to_assigner && $task->assigned_by == $user->username) echo '<img src="'.base_url().'images/email-unseen.png"' . '/>';?>
	    			</td>
	    			<td rel="2" class="sortable" style="width: 25px; text-align: center"><img src="<?php echo base_url()?>images/<?php echo str_replace(' ','_',$task->priority)?>.gif" alt="<?php echo $task->priority?>" /></td>
	    			<td rel="3" class="sortable"><?php echo $task->title?></td>
	    			<?php if ($task->allday): ?>
		    			<td rel="4" class="sortable-date" style="width: 160px" time="<?php echo strtotime($task->start); ?>"><?php echo date('j M, Y',strtotime($task->start))?></td>
		    			<td rel="5" class="sortable-date" style="width: 160px" time="<?php echo strtotime($task->end); ?>"><?php echo date('j M, Y',strtotime($task->end))?></td>
	    			<?php else: ?>
	    				<td rel="4" class="sortable-date" style="width: 160px" time="<?php echo strtotime($task->start); ?>"><?php echo date('h:i A',strtotime($task->start))?> <?php echo date('d/m/Y') == date('d/m/Y',strtotime($task->start)) ? '' : date('j M, Y',strtotime($task->start))?></td>
	    				<td rel="5" class="sortable-date" style="width: 160px" time="<?php echo strtotime($task->end); ?>"><?php echo date('h:i A',strtotime($task->end))?> <?php echo date('d/m/Y') == date('d/m/Y',strtotime($task->end)) ? '' : date('j M, Y',strtotime($task->end))?></td>
	    			<?php endif; ?>
	    			<td rel="6" class="sortable" style="width: 100px"><span class="status-<?php echo str_replace(' ','-',strtolower($task->status))?>"><?php echo $task->status?></span></td>
	    			<td rel="7" class="sortable" style="width: 120px"><?php echo $task->user == $this->user->data('username') ? ($task->assigned_by == null ? 'self' : $this->user->get_fullname($task->user)) :$this->user->get_fullname($task->user)?></td>
		    		<td rel="8" class="sortable" style="width: 120px"><?php echo $this->user->get_fullname($task->assigned_by)?></td>

			    	<?php if ($task->assigned_by != null && $task->assigned_by != $user->username): ?>
	    				<td class="grid-action" style="width:75px">
		    				<a class="grid-action grid-action-view target_main" href="dashboard/view_task/<?php echo $task->id?>"><span>View</span></a>
		    				<a class="grid-action grid-action-edit target_main" href="dashboard/edit_task/<?php echo $task->id?>"><span>Edit</span></a>
		    			</td>
			    	<?php else: ?>
	    				<td class="grid-action" style="width:75px">
	    					<a class="grid-action grid-action-view target_main" href="dashboard/view_task/<?php echo $task->id?>"><span>View</span></a>
		    				<a class="grid-action grid-action-delete" href="dashboard/delete_task/<?php echo $task->id?>"><span>Delete</span></a>
		    				<a class="grid-action grid-action-edit target_main" href="dashboard/edit_task/<?php echo $task->id?>"><span>Edit</span></a>
		    			</td>
			    	<?php endif; ?>
	    		</tr>
	    	<?php $x++; endforeach; ?>
	    	</tbody>
	    </table>
	</div>
	
