<script type="text/javascript">

$(document).ready(function(){
	
	$('ul.tasks-tabs a').click(function(e){
		e.preventDefault();
		var type = $(this).attr('href');
		$('div.main_full table').hide();
		$('div.main_full table.'+type).show();
	});

});

function filterItems(){
	var date_from 		= $('input.filter-date-from').val();
	var date_to 		= $('input.filter-date-to').val();
	
	$('table.grid tbody').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	
	$.ajax({
		url: base_url + 'dashboard/memo_filter',
		type: 'POST',
		data: 'date_from='+date_from+'&date_to='+date_to,
		success: function (result){
			reload_data = '&date_from='+date_from+'&date_to='+date_to;
			$('div.main_full').html(result);
			populateEvents();
			filtered = true;
		}
	})
}

function reloadGrid(){
	$.ajax({
		url: base_url + 'dashboard/memo_filter',
		type: 'POST',
		data: reload_data,
		success: function (result){
			$('div.main_full').html(result);
			$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
			populateEvents();
			
			if (reload_sort){
				$('th.sortable[rel='+reload_sort+']').addClass(reload_order).click();
			}
			
		}
	});
}


</script>

	<div class="toolbar">
		<h3 class="grid-title">
			<?php if ($this->user->has_permission('to_add','dashboard')): ?>
			<a href="dashboard/add_memo" class="v-btn target_main float_right" style="padding: 0 10px; font-weight: normal;">Add Memo</a>
			<?php endif; ?>
			Memo
		</h3>
		<div class="global-tabs" style="padding: 2px 5px">
			<a class="v-btn show-filter-controls icon-search">Search</a>
		</div>
    	<div class="modal-filter-form filter" style="font-size: 10pt;">
		    <div class="triangle"></div>
		    <table>
		    	<tr>
		    		<td>From</td>
		    		<td><input type="text" value="<?php echo date('d/m/Y', strtotime($from)); ?>" name="date_from" class="v-text date filter-date-from" style="width: 80px" /></td>
		    	</tr>
		    	<tr>
		    		<td>To</td>
		    		<td><input type="text" value="<?php echo date('d/m/Y', strtotime($to)); ?>" name="date_to" class="v-text date filter-date-to" style="width: 80px; " /></td>
		    	</tr>
		    </table>
		    <hr />
		    <a class="v-btn filter-btn search">Filter</a>				
    	</div>
		<table class="grid">
			<thead>
    			<tr>
    				<th rel="1" class="sortable">Memo</th>
    				<th rel="2" class="sortable-date" style="width: 100px">Date</th>
    				<th rel="3" class="sortable" style="width: 100px">Created by</th>
    				<th class="grid-action" style="text-align: center; width: 75px;"><img src="<?php echo base_url()?>images/email-action.gif" alt="Action"></th>
    				<th style="padding: 0; width: 15px"></th>
    			</tr>
    		</thead>
    	</table>
    </div>
	<div class="main_full">
		<table class="grid grid_data tasks">
			<tbody>
	    	<?php $x = 0; foreach ($memos as $memo):?>
	    		<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
	    			<td rel="1" class="sortable"><?php echo $memo->title; ?></td>
	    			<td rel="2" style="width: 100px" class="sortable-date" time="<?php echo strtotime($memo->added_on); ?>"><?php echo date('d/m/Y',strtotime($memo->added_on)); ?></td>
	    			<td rel="3" style="width: 100px" class="sortable"><?php echo $memo->added_by; ?></td>
	    			<td style="width: 75px;">
						<?php if ($this->user->has_permission('to_view','dashboard')): ?><a class="grid-action grid-action-view target_main" href="dashboard/view_memo/<?=$memo->id?>"><span>View</span></a><?php endif; ?>
						<?php if ($this->user->has_permission('to_edit','dashboard')): ?><a class="grid-action grid-action-edit target_main" href="dashboard/edit_memo/<?=$memo->id?>"><span>Edit</span></a><?php endif; ?>
						<?php if ($this->user->has_permission('to_delete','dashboard')): ?><a class="grid-action grid-action-delete" href="dashboard/delete_memo/<?=$memo->id?>/do"><span>Delete</span></a><?php endif; ?>
	    			</td>
	    		</tr>
	    	<?php $x++; endforeach; ?>
	    	</tbody>
	    </table>
	    
	</div>
	
