		<script type='text/javascript'>

		$('input[name=from_time]').timeEntry({spinnerImage: base_url+'images/spinnerDefault.png'});
		$('input[name=to_time]').timeEntry({spinnerImage: base_url+'images/spinnerDefault.png'});
		$('input[name=from_date]').dateEntry({dateFormat: 'dmy/',spinnerImage: base_url+'images/spinnerDefault.png'});
		$('input[name=to_date]').dateEntry({dateFormat: 'dmy/',spinnerImage: base_url+'images/spinnerDefault.png'});
		
		$('input[name=assign_type]').click(function(){
			if ($(this).val() == 'staff'){
				$('tr.staff_field').show();
			} else {
				$('tr.staff_field').hide();
			}
		});

		$(function(){
			$('div.global-tabs a').click(function(event){
				event.preventDefault();
				var action = $(this).attr('rel');
				var error = false;
				$('input[name=action]').val(action);
				if (action == 'discard'){
					readyPost(action,1);
					$('div.main_full').css('display','none');
				} else {
					if ($('input[name=task]').val() == ''){
						$('input[name=task]').focus();
						error = true;
					} else {
						if ($('input[name=from_date]').val() == ''){
							$('input[name=from_date]').focus();
							error = true;
						} else {
							if ($('input[name=to_date]').val() == ''){
								$('input[name=to_date]').focus();
								error = true;
							}	 
						}
					}
					if (!error){
						$(this).parents('form').submit();
						startPost(action);
						$('div.main_full').css('display','none');
					}
				}
			});
		});
		function startPost(action){
			if (action == 'discard'){
				$('div.status').html('<p style="padding: 10px"><img src="'+base_url+'images/loading.gif" style="vertical-align: middle" alt="loading" /> Discarding schedule</p>')
			} else if (action == 'save'){
				$('div.status').html('<p style="padding: 10px"><img src="'+base_url+'images/loading.gif" style="vertical-align: middle" alt="loading" /> Saving schedule</p>')
			} 
		}
		function readyPost(action,status,id){
			if (action == 'save'){
				if (status == 1){
					$('div.status').html('<p style="padding: 10px"><img src="'+base_url+'images/loading.gif" style="vertical-align: middle" alt="loading" /> Event saved</p>');
						setTimeout(function() { 
							$('div.main_full').css('display','block');
							$('div.main_full form').clearForm();
							$('div.status').html('');
							showDialog('ok','Task','Task has been saved');
						}, 500); 

				} else if (status == 0){
					$('div.status').html('<p style="padding: 10px"><img src="'+base_url+'images/loading.gif" style="vertical-align: middle" alt="loading" /> <span style="color:red">Saving schedule failed</span>. Redirecting...</p>');
						setTimeout(function() { 
							$('div.main_full').css('display','block');
							$('div.status').html('');
							showDialog('ok','Task','Failed to save task. Try again later.');
						}, 500); 
				}
			}
			if (action == 'discard'){
				$('div.status').html('<p style="padding: 10px"><img src="'+base_url+'images/loading.gif" style="vertical-align: middle" alt="loading" /> Schedule discarded successfully. Redirecting...</p>');
				setTimeout(function() { 
					$('div.main_full').css('display','block');
					$('div.main_full form').clearForm();
					$('div.status').html('');
				}, 500); 
			}
		}
		
		$(document).ready(function(){
			$('#global-sidebar-list li').removeClass('current');
			$('#global-sidebar-list a.meeting').parents('li').addClass('current');
		});
		</script>
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
		<div class="status"></div>
		<div class="main_full">
			<div class="im-container">
				<form method="post" action="<?=base_url()?>dashboard/add_schedule" target="postframe">

				<h3 class="grid-title"><a class="v-dbtn target_main" style="float:right; padding:0 25px; margin-top: -1px" href="dashboard/schedule">Back</a>New Schedule</h3>
				<div class="global-tabs" style="padding: 2px 5px"><a class="v-btn" rel="save">Save Schedule</a> <a class="v-dbtn" rel="discard">Discard Schedule</a></div>
				
					<table class="grid-form">
						<tr>
							<td class="label">Title</td>
							<td class="input"><input type="text" name="event" class="v-text" /></td>
						</tr>
						<tr>
							<td class="label">Location</td>
							<td class="input"><input type="text" name="location" class="v-text" /></td>
						</tr>
						<?php if ($this->user->can_assign_division_schedule()): ?>
						<?php if ($this->user->has_all_division_access()): ?>
						<tr>
							<td class="label">Division</td>
							<td class="input"><input type="text" name="division" class="v-text autocomplete-division" /></td>
						</tr>
						<?php else: ?>
						<tr>
							<td class="label">Broadcast to Division</td>
							<td class="input"><input type="checkbox" name="division_broadcast" value="1" /> Yes</td>
						</tr>
						<?php endif; ?>
						<?php endif; ?>
						<tr>
							<td class="label">Type</td>
							<td class="input">
								<label><input type="radio" name="type" value="schedule" checked="checked" /> Schedule</label>
								<label><input type="radio" name="type" value="appointment" /> Appointment</label>
								<label><input type="radio" name="type" value="meeting" /> Meeting</label>
							</td>
						</tr>
						<tr>
							<td class="label">All Day Event</td>
							<td class="input"><input type="checkbox" name="allday" value="true" /></td>
						</tr>
						<tr>
							<td class="label">Begins on</td>
							<td class="input"><input type="text" name="from_date" class="v-text date" value="<?=date('d/m/Y')?>" style="width: 80px" /> <input type="text" name="from_time" class="v-text time" style="width: 80px" /></td>
						</tr>
						<tr>
							<td class="label">Ends on</td>
							<td><input type="text" name="to_date" class="v-text date"  value="<?=date('d/m/Y')?>" style="width: 80px" /> <input type="text" name="to_time" class="v-text time" style="width: 80px" /></td>
						</tr>

						<tr>
							<td class="label">Priority</td>
							<td class="input"><?=form_dropdown('priority',array('Low'=>'Low','Normal'=>'Normal','High'=>'High','Very High'=>'Very High'),'','class="v-dropdown" style="width: 80px"')?></td>
						</tr>
						<tr>
							<td class="label">Status</td>
							<td class="input"><?=form_dropdown('status',array('Pending'=>'Pending','In Progress'=>'In Progress','Completed'=>'Completed','Incomplete'=>'Incomplete'),'','class="v-dropdown" style="width: 80px"')?></td>
						</tr>

					</table>
					<div class="text-canvas">
						<script type='text/javascript'>$(function(){$('textarea').autogrow();});</script>
						<textarea name="notes"></textarea>
					</div>

				</form>
			</div>
			
		</div>