<?php if (!$this->user->has_permission('to_add','editor')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">


function readyAdd(status, api_key, linker_file, file, ftp_ok){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Profile','Profile has been updated');
		$('input').attr('readonly','readonly');
		$('a.create').hide();
		
		$('td.api-key').text(api_key);
		$('td.linker-file').text(linker_file);
		$('textarea.file').val(file);
		$('table.details').show();
		form_warning = false;
	} else {

		showDialog('ok','Error','There has been an error saving the profile.');
		$('div.main_full').show();
		$('div.status').hide();
	} 
}

$(document).ready(function(){
	$('a.create').click(function(event){
		$('form.insert').submit();
		event.preventDefault();
	});
	
	$('form').submit(function(){
	
		var ok = true;
		$('input.mandatory').each(function(){
			if (!$(this).val()) ok = false;
		});
		
		if (!ok){
			showDialog('ok','Form Error','Please make sure you have filled the form correctly.');
			return false;
		}
		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>').show();
	});
	

})

</script>
	<div class="toolbar">
		<h3 class="grid-title"><a href="editor/profile_list" style="float:right; padding: 0px 20px; margin-top: -1px;" class="target_main v-dbtn">Back</a>Edit Profile &raquo; <?php echo $profile->name; ?></h3>
		<div class="global-tabs" style="padding: 5px">
			<a class="v-btn create" style="padding: 3px 10px; font-weight: normal">Save Profile</a>
		</div>
	</div>
	<div class="status">
	
	</div>

	<div class="main_full">
		<div class="main-container">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>

		<form class="insert" method="post" action="<?=base_url()?>editor/edit/<?php echo $profile->id; ?>/do" target="postframe">
			<h3>Profile Information</h3>
			<p><span class="red">*</span> Mandatory fields</p>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Profile Name <span class="red">*</span></td>
						<td class="input"><input value="<?php echo $profile->name; ?>" type="text" name="name" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">Hostname <span class="red">*</span></td>
						<td class="input"><input value="<?php echo $profile->hostname; ?>" type="text" name="hostname" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">Root Path <span class="red">*</span></td>
						<td class="input"><input value="<?php echo $profile->root_path; ?>" type="text" name="root_path" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">Root URL <span class="red">*</span></td>
						<td class="input"><input value="<?php echo $profile->root_url; ?>" type="text" name="root" class="v-text" /></td>
					</tr>
				</tbody>
			</table>
			
			<h3>FTP Information</h3>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Protocol <span class="red">*</span></td>
						<td class="input"><?php echo form_dropdown('ftp_protocol',array('FTP'=>'FTP'), $profile->ftp_protocol); ?> Port <input type="text" name="ftp_port" class="" style="width: 40px" value="<?php echo $profile->ftp_port; ?>" /></td>
					</tr>
					<tr>
						<td class="label">Server <span class="red">*</span></td>
						<td class="input"><input value="<?php echo $profile->ftp_server; ?>" type="text" name="ftp_server" class="v-text"  /></td>
					</tr>
					<tr>
						<td class="label">Username <span class="red">*</span></td>
						<td class="input"><input value="<?php echo $profile->ftp_username; ?>" type="text" name="ftp_username" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">Password <span class="red">*</span></td>
						<td class="input"><input value="" type="password" name="ftp_password" class="v-text" /></td>
					</tr>
				</tbody>
			</table>
			
			<table class="general-form details" style="display:none">
				<tbody>
					<tr>
						<td class="label">API Key</td>
						<td class="input api-key"><?php echo $profile->api_key; ?></td>
					</tr>
					<tr>
						<td class="label">Filename</td>
						<td class="input linker-file"><?php echo $profile->linker_file; ?></td>
					</tr>
					<tr>
						<td class="label">Script</td>
						<td class="input file">
							<textarea class="v-textarea file"></textarea>
						</td>
					</tr>
				</tbody>
			</table>
		</form>
		</div>
	</div>
