<?php if (!$this->user->has_access('employees')) die('You do not have the permissions to access this area.'); ?>
		<div class="toolbar">
			<h3 class="grid-title">
				<?php if ($this->user->has_permission('to_add','employees')): ?><a href="employees/add" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">Add Employee</a><?php endif; ?>
				Employees
			</h3>
			<table class="grid">
				<thead>
					<tr>
						<th class="sortable" rel="0" style="width: 50px">ID</th>
						<th class="sortable" rel="1">Name</th>
						<th class="sortable" rel="2" style="width: 100px">Username</th>
						<th class="sortable" rel="3" style="width: 100px">Contact No</th>
						<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
					</tr>
				</thead>
			</table>
		</div>
		<div class="main_full">
			<table class="grid grid_data">	
				<tbody>
					<?php $x = 0; foreach ($employees as $employee): $x++; ?>
					<tr<?php if ($x%2) echo ' class="alt"'; ?>>
						<td rel="0" style="width: 50px"><?php echo $employee->id; ?></td>
						<td rel="1"><?php echo $employee->firstname . ' ' . $employee->lastname; ?></td>
						<td rel="2" style="width: 100px"><?php echo $employee->username; ?></td>
						<td rel="3" style="width: 100px"><?php echo $employee->contact_number; ?></td>
						<td style="width: 75px; padding: 0">
							<?php if ($this->user->has_permission('to_view','employees')): ?><a class="grid-action grid-action-view target_main" href="employees/view/<?=$employee->id?>"><span>View</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_edit','employees')): ?><a class="grid-action grid-action-edit target_main" href="employees/edit/<?=$employee->id?>"><span>Edit</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_delete','employees')): ?><a class="grid-action grid-action-delete" href="employees/delete/<?=$employee->id?>"><span>Delete</span></a><?php endif; ?>
						</td>
					</tr>
					<?php endforeach; ?>
				</tbody>
			</table>
		</div>