<div id="dashboard-container">
	<div id="global-sidebar">
		<ul id="global-sidebar-list">
			<li class="current"><a href="files/myfiles" class="myfolder">My Files</a></li>
			<li><a href="files/public_folder" class="public-folder">Public</a></li>
			<?php foreach($groups as $group): ?>
			<li><a href="files/group/<?=$group?>" class="group-folder"><?=$group?></a></li>
			<?php endforeach; ?>
		</ul>
	</div>
	<div id="global-content">
<script language="javascript" type="text/javascript">
<!--
function startUpload(){
	document.getElementById('select-file').style.display = 'none';
	document.getElementById('file-upload-process').style.display = '';
	return true;
}

function stopUpload(success){
	var result = '';
	if (success == 1){
		result = '<span class="select-file-msg">The file was uploaded successfully</span>';
	} else {
		result = '<span class="select-file-emsg">There was an error during file upload</span>';
	}
	document.getElementById('file-upload-process').style.display = 'none';
	document.getElementById('select-file').style.display = '';
	document.getElementById('select-file').innerHTML = result + '<input type="text" name="path" style="width: 100%; margin-bottom: 10px;"/><br /><a href="#select" class="v-btn select-file">Select File</a> <a href="#save" class="v-btn upload-file">Upload</a><input type="file" name="file_upload" class="select-file-input" style="visibility: hidden; height: 0px; padding: 0; margin: 0" />';
	$('a.lcms-submit').click(function(event){
		event.preventDefault();
		$(this).parents('form').submit();
	});
	populateFormEvents();
	return true;   
}

$(document).ready(function(){
	$('a.lcms-submit').click(function(event){
		event.preventDefault();
		$(this).parents('form').submit();
	});
	
	$('ul.file-category-list li').click(function(){
	
		$('ul.file-category-list li').removeClass('current-file');
		$(this).addClass('current-file');
		
		$('ul.file-list').html('<li><i>Loading files</i></li>');
		var type = $(this).html();
		$.ajax({
			type: 'POST',
			url: base_url + 'files/file_list/' + type + '/<?=$group?>',
			success: function(html){
					$('ul.file-list').html(html);
					
					$('ul.file-list li').click(function(){
						$('ul.file-list li').removeClass('current-file');
						$(this).addClass('current-file');
					
						$('div.file-preview-container').html("<img src=\""+base_url+"images/loading.gif\"> Loading info..");
						var rel = $(this).attr('rel');
						$.ajax({
							type: 'POST',
							url: base_url + 'files/info/' + rel,
							success: function(html){
									$('div.file-preview-container').html(html);
									
									var imageHeight = $('div.file-preview-container img').height();
									var imageWidth = $('div.file-preview-container img').width();
									var targetTop = 90 - (imageHeight / 2);
									
									if (imageHeight > imageWidth){
										if (imageHeight > 200){
											$('div.file-preview-container img').height(200);
											$('div.file-preview-container img').css('width','auto');
											targetTop = 0;
										}
									} else if (imageHeight < imageWidth){
										if (imageWidth > 200){
											$('div.file-preview-container img').width(200);
											$('div.file-preview-container img').css('height','auto');
											targetTop = 100 - ($('div.lcms-file-preview-container img').height() / 2)
										}
									} else {
										if (imageWidth > 200){
											$('div.file-preview-container img').height(200);
											$('div.file-preview-container img').width(200);
											targetTop = 0;
										}
									}
									
									$('div.file-preview-container img').css('margin-top',targetTop);
								}
						});
					

					});
				}
		});
	});
	
	
	
	populateFormEvents()

});
//-->

function populateFormEvents(){

	$('a.select-file').click(function(event){
		$('input.select-file-input').click();
	});
	
	$('input.select-file-input').change(function(){
		$('input[name=path]').val($(this).val());
	});
	
	
	$('input[name=path]').focus(function(){
		$(this).blur();
	});
	
	$('a.upload-file').click(function(event){
		event.preventDefault();
		$(this).parents('form').submit();
	});
}
</script>   

	<div class="main_full">
		<div style="float:left; width: 33%; border-right: 1px solid #DDD; height: 100%">
			
			<div class="file-upload-control">
				<form action="<?=base_url()?>files/upload" method="post" enctype="multipart/form-data" target="file_upload_target" onsubmit="startUpload()">
					<h4>Select file to upload</h4>
					<img id="file-upload-process" src="<?=base_url()?>images/loading.gif" style="display:none" />
					<p id="select-file">
						<input type="text" name="path" style="width: 100%; margin-bottom: 10px;"/><br />
						<a href="#select" class="v-btn select-file">Select File</a>
						<a href="#save" class="v-btn upload-file">Upload</a>
						<input type="file" name="file_upload" class="select-file-input" style="visibility: hidden; height: 0px; padding: 0; margin: 0" />
					</p>
					<iframe id="file_upload_target" name="file_upload_target" src="#" style="width:0;height:0;border:0px solid #fff;"></iframe>
				</form>
			</div>
			<?=$categories?>
		</div>
		<div style="float:left; width: 33%; border-right: 1px solid #DDD; height: 100%">

			<ul class="file-list">

			</ul>
		</div>
		<div style="float:left; width: 33%; height: 100%">
			<div style="padding: 5px 10px">
				<h3>File Info</h3>
				<div class="file-preview-container"></div>
			</div>
		</div>

	</div>
	
	</div>
</div>