<script type="text/javascript">


function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		$('div.notice').html('<p class="v-success">Category has been updated.</p>');
		$('input.first').focus();
		form_warning = false;
	} else if (status == 0) {
		$('div.notice').html('<p class="v-warning">There was a problem updating the category.</p>');
		$('div.main_full').show();
		$('div.status').hide();
	} 
}

$(document).ready(function(){
	windowResize();
	
	var optionCell = $('<tr class="four option"><td class="label option">Option <span class="red">*</span></td><td class="input"><input type="text" name="option[]" class="option v-text" /></td><td class="label">Price <span class="red">*</span></td><td class="input"><input type="text" name="price[]" class="v-text v-number-decimal" /></td></tr>');
	$(optionCell).find('td.option').prepend('<a class="v-btn cancel">Remove</a> ');
	$(optionCell).find('input.option').val('');
	
	$('a.create').click(function(event){
		$('form.insert').submit();
		event.preventDefault();
	});
	
	$('a.cancel').live('click',function(){
		$(this).parents('tr').remove();
	});
	
	
	$('a.add-option').click(function(){
		$('tbody.options').append($(optionCell).clone());
	});
	
	$('form').submit(function(){
	
		var ok = true;
		$('input.mandatory').each(function(){
			if (!$(this).val()) ok = false;
		});
		
		if (!ok){
			showDialog('ok','Error','Please make sure you have filled in the mandatory fields.');
			return false;
		}
		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});

	
})

</script>
	<div class="status">
	
	</div>
	<div class="toolbar">
		<h3 class="grid-title"><a href="fnb/categories" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn target_main">Back</a>Categories</h3>
		<div class="global-tabs" style="padding: 5px">
			<a class="v-btn create">Save</a>
		</div>
	</div>

	<div class="main_full">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>

		<div class="main-container">


		<form class="insert" class="insert" method="post" action="<?=base_url()?>fnb/edit_subcategory/<?php echo $category; ?>/<?php echo $old_subcat; ?>/do" target="postframe">
			<input type="hidden" name="cat" value="<?php echo $category; ?>" />
			<input type="hidden" name="old_subcat" value="<?php echo $old_subcat; ?>" />
			<div class="notice" style="margin-bottom: 15px">
			
			</div>
			<h3>Subcategory Information</h3>
			<p><span class="red">*</span> Mandatory fields</p>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Name <span class="red">*</span></td>
						<td class="input"><input type="text" value="<?php echo $old_cat; ?>" name="new_cat" class="v-text mandatory first" /></td>
					</tr>
					<tr>
						<td class="label">Order</td>
						<td class="input"><input type="text" value="<?php echo $order; ?>" name="order" class="v-text mandatory first" /></td>
					</tr>
					<tr>
						<td class="label">Show on Mobile Terminal</td>
						<td class="input"><input type="checkbox" name="iphone" value="1" <?php if ($iphone) echo 'checked="checked"'; ?> /> Yes</td>
					</tr>
					
					<tr>
						<td class="label">Grouped</td>
						<td class="input"><input type="checkbox" name="grouped" value="1" <?php if ($iphone) echo 'checked="checked"'; ?> /> Yes</td>
					</tr>

				</tbody>
			</table>
			<?php 			
				$prices = json_decode($options->price);
				$options = json_decode($options->options);
			?>	
			
			<h3>Order Option and Price 	<a class="v-btn add-option" style="margin-left: 5px; margin-top: -3px">Add Option</a></h3>
			<div class="order-options">
				<table class="general-form">
					<tbody class="options">
						<?php for ($i = 0; $i < count($prices); $i++): ?>
						<tr class="four option">
							<td class="label option"><a class="v-btn cancel">Remove</a> Option</td>
							<td class="input"><input type="text" name="option[]" value="<?php echo $options[$i]; ?>" class="option v-text" /></td>
							<td class="label">Price <span class="red">*</span></td>
							<td class="input"><input type="text" name="price[]" value="<?php echo $prices[$i]; ?>" class="v-text v-number-decimal" /></td>
						</tr>
						<?php endfor; ?>
					</tbody>
				</table>
			</div>	
		
			

		</form>
		</div>
	</div>
