<script type="text/javascript">


function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		$('div.notice').html('<p class="v-success">Printer has been updated.</p>');
		$('input.first').focus();
		form_warning = false;
	} else if (status == 0) {
		$('div.notice').html('<p class="v-warning">There was a problem updating the printer.</p>');
		$('div.main_full').show();
		$('div.status').hide();
	} 
}

$(document).ready(function(){
	windowResize();
	
	var optionCell = $('tr.option').clone();
	$(optionCell).find('td.option').prepend('<a class="v-btn cancel">Remove</a> ');
	$(optionCell).find('input.option').val('');
	$('tr.option').remove();
	
	$('a.create').click(function(event){
		$(this).parents('form').submit();
		event.preventDefault();
	});
	
	$('a.cancel').live('click',function(){
		$(this).parents('tr').remove();
	});
	
	$('form').submit(function(){
	
		var ok = true;
		$('input.mandatory').each(function(){
			if (!$(this).val()) ok = false;
		});
		
		if (!ok){
			showDialog('ok','Error','Please make sure you have filled in the mandatory fields.');
			return false;
		}
		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});

	
	$('a.add-option').click(function(){
		$('tbody.options').append($(optionCell).clone());
	});
})

</script>
	<div class="status">
	
	</div>
	<div class="toolbar">
		<h3 class="grid-title"><a href="fnb/printers" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn target_main">Back</a>Edit Printer </h3>
	</div>

	<div class="main_full">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>

		<div class="main-container">


		<form method="post" action="<?=base_url()?>fnb/printer_edit/<?php echo $printer->id; ?>/do" target="postframe">
			<div class="notice" style="margin-bottom: 15px">
			
			</div>
			<h3>Printer Information</h3>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Printer Name <span class="red">*</span></td>
						<td class="input"><input type="text" value="<?php echo $printer->printer_ip; ?>" name="printer_ip" class="v-text mandatory first" /></td>
					</tr>
					<tr>
						<td class="label">Categories <span class="red">*</span></td>
						<td class="input">
							<?php
								if (strpos($printer->categories,',')){
									$printer_categories = explode(',',$printer->categories);
								} else {
									$printer_categories[] = $printer->categories;
								}
							?>
							<?php foreach ($categories as $category): ?>
							<input <?php if (in_array($category, $printer_categories)) echo 'checked="checked"'; ?> type="checkbox" name="categories[]" value="<?php echo $category; ?>" /> <?php echo $category; ?><br />
							<?php endforeach; ?>
						</td>
					</tr>
					<tr>
						<td class="label">Print as Waiter's Copy</td>
						<td class="input">
							<input <?php if ($printer->waiter_copy) echo 'checked'; ?> value="1" type="checkbox" name="waiter_copy" /> Yes
						</td>
					</tr>

				</tbody>
			</table>			
		
			<p>* Mandatory fields</p>
			<p class="general-form-action"><a class="v-btn create">Save</a></p>
			<br />
		</form>
		</div>
	</div>
