<!DOCTYPE HTML>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta http-equiv="Cache-Control" content="no-cache" />
		<meta http-equiv="Pragma" content="no-cache" />
		<title><?=$title?> - <?=$system->system_title?></title>
		<?=link_tag('css/style.css'); ?>
		<?=link_tag('css/main.css'); ?>
		<link rel="stylesheet" href="<?=base_url();?>css/jquery.jqplot.css" media="print" />
		<link rel="stylesheet" href="<?=base_url();?>css/print.css" media="print" />
		
		<?php if ($this->agent->is_mobile()): ?>
		<meta name="apple-mobile-web-app-capable" content="yes" />
		<meta name="format-detection" content="telephone=no" />
		<meta name="viewport" content="width=device-width,initial-scale=1.0,user-scalable=no" />

		<link rel="stylesheet" href="<?php echo base_url(); ?>css/apple.css" />
		<link rel="stylesheet" href="<?php echo base_url(); ?>css/mobile.css" />
		<script src="js/jquery.js?5" type="text/javascript" charset="utf-8"></script>

		
		<?php $mobile = true; endif; ?>

		<script type="text/javascript">var base_url = "<?=base_url()?>";</script>
		<script type="text/javascript" src="<?=base_url()?>js/jquery1.4.2.js"></script>
		<script type="text/javascript" src="<?=base_url()?>js/jqueryui1.7.2.js"></script>
		<script type="text/javascript" src="<?=base_url()?>js/email.js"></script>
		<script type="text/javascript" src="<?=base_url()?>js/plugins.js"></script>
		<script type="text/javascript" src="<?=base_url()?>js/tinysort.js"></script>
		<script type="text/javascript" src="<?=base_url()?>js/redactor.js"></script>
		<script type="text/javascript" src="<?=base_url()?>js/nicedit.js"></script>
		<?php if ($mobile): ?>
			<script type="text/javascript" src="<?=base_url()?>js/webview.js"></script>	
			<script type="text/javascript">var mobile_view = true;</script>		
		<?php else: ?>
			<script type="text/javascript" src="<?=base_url()?>js/window.js"></script>
			<script type="text/javascript">var mobile_view = false;</script>		
		<?php endif; ?>
		<script type="text/javascript" src="<?=base_url()?>js/fullcalendar.min.js"></script>
		<script type="text/javascript" src="<?=base_url()?>js/jquery.timeentry.min.js"></script>
		<script type="text/javascript" src="<?=base_url()?>js/jquery.dateentry.min.js"></script>
		<script type="text/javascript" src="<?=base_url()?>js/jquery.tree.min.js"></script>
		<script type="text/javascript" src="<?=base_url()?>js/jquery.jqplot.min.js"></script>
		<script type="text/javascript" src="<?=base_url()?>js/jquery.tablednd_0_5.js"></script>
		<script type="text/javascript" src="<?=base_url()?>js/table.resizable.js"></script>
		
		<script type="text/javascript" src="<?=base_url()?>js/TextboxList.js"></script>
		<script type="text/javascript" src="<?=base_url()?>js/TextboxList.Autocomplete.js"></script>
		<script type="text/javascript" src="<?=base_url()?>js/TextboxList.Autocomplete.Binary.js"></script>
		<script type="text/javascript" src="<?=base_url()?>js/GrowingInput.js"></script>
		
		<!-- FLOT CHARTS -->
		<script type="text/javascript" src="<?=base_url()?>js/flot/jquery.flot.js"></script>
		<script type="text/javascript" src="<?=base_url()?>js/flot/jquery.flot.pie.js"></script>
		<script type="text/javascript" src="<?=base_url()?>js/flot/jquery.flot.resize.js"></script>
		<!-- /FLOT CHARTS -->

		<!-- CODE EDITOR -->
		<link rel="stylesheet" href="<?=base_url();?>js/lib/codemirror.css" />
		<script type="text/javascript" src="<?=base_url()?>js/lib/codemirror.js"></script>
		<script type="text/javascript" src="<?=base_url()?>js/mode/php/php.js"></script>
		<script type="text/javascript" src="<?=base_url()?>js/mode/xml/xml.js"></script>
		<script type="text/javascript" src="<?=base_url()?>js/mode/javascript/javascript.js"></script>
		<script type="text/javascript" src="<?=base_url()?>js/mode/css/css.js"></script>
		<script type="text/javascript" src="<?=base_url()?>js/mode/clike/clike.js"></script>
		<!-- /CODE EDITOR -->

		<!--[if lt IE 9]>
			<script type="text/javascript" src="<?=base_url()?>js/excanvas.min.js"></script>
		<![endif]-->	

		<script type="text/javascript">
			var dropdown = false;
			$(document).ready(function(){

				$('#dropdown').click(function(e){
					e.preventDefault();
				});
				
				$('#dropdown').hover(function(){
					$('#category-dropdown').fadeIn(300);
					if (!$(this).hasClass('in')) $(this).addClass('in');
				}, function(){
					$(this).removeClass('in');
					
					setTimeout("if (!$('#category-dropdown').hasClass('in')) $('#category-dropdown').fadeOut(300);",100);
			
				});
				
				$('#category-dropdown').hover(function(){
					if (!$(this).hasClass('in')) $(this).addClass('in');
				}, function(){
					$(this).removeClass('in');
					setTimeout ("if (!$('#dropdown').hasClass('in')) $('#category-dropdown').fadeOut(300);",100);	
			
				});
			
			});	
			
				
		</script>
		
		
		<?php if ($this->system->config('plexcloud_id') && $this->system->is_local_ip()): ?>
		<!-- CLOUD DYNAMIC UPDATE -->		
		<script type="text/javascript">
			$(document).ready(function(){
				dynamicUpdate();
			})
			function dynamicUpdate(){
				$.ajax({
					url: 'http://www.plexcloud.com/<?php echo $this->system->config('plexcloud_id'); ?>',
					type: 'post',
					data: 'key=<?Php echo $this->system->config('plexcloud_key'); ?>',
					success: function(){
						setTimeout(function(){
							dynamicUpdate();
						}, 10000);
					}
				})
			}
		</script>
		<?php endif; ?>
		
		<style>
			#nav #category-dropdown {
				position: absolute;
				background: #3a3f45;
				z-index: 5000;
				height: 180px;
				width: 100px;
				-webkit-box-shadow: #000 0px 5px 5px;
				-moz-box-shadow: #000 0px 5px 5px;
				margin-top: 43px;
				margin-left: 50px;
				padding: 5px 10px;
			}
			
			#nav #category-dropdown li {
				float: none;
			}
			
			#nav #category-dropdown li a {
				float: none;
			}
		</style>
	</head>
	<body>
	<?php if ($mobile): ?>
	<div class="loading-overlay-mobile" style="position: fixed !important; top: 0 !important; left:0 !important; right: 0 !important; bottom: 0 !important;">
		<img src="images/loading-mobile.gif" />
	</div>
	<?php endif; ?>

	<div id="container">
		<div class="diag">
		
		</div>
		
		<div class="shadow"></div>
		<div id="header" style="height: 40px; background:-webkit-linear-gradient(#555 0%, #333 100%); background: -moz-linear-gradient(#555 0%, #333 100%); background: linear-gradient(#555 0%, #333 100%); color: #FFF">
			<div class="editor-nav">
				<?php echo anchor('logout','Logout','class="v-dbtn" style="float:right; margin-top: 7px; margin-right: 7px; padding: 1px 10px; font-weight: bold"'); ?>
				<div class="user" style="text-align: right; color: #FFF; padding: 5px 10px; text-shadow: 0 1px 0 rgba(0,0,0,1); font-size: 9pt">
					<p>Logged in as <strong><?php echo $this->user->data('username')?></strong></p>
				</div>


				<div id="nav" style="margin-left: 10px;">
				<ul>
					<?php if ($this->system->uses('Dashboard') && $this->user->has_access('Dashboard')): ?>
						<?php if ($this->uri->segment(1) == 'dashboard' || $this->uri->segment(1) == ''): ?>
							<li class="current"><?php echo anchor('dashboard','<span>Dashboard</span>','data-tooltip="Dashboard" class="dashboard current"'); ?></li>
						<?php else: ?>
							<li><?php echo anchor('dashboard','<span>Dashboard</span>','data-tooltip="Dashboard" class="dashboard"'); ?></li>						
						<?php endif; ?>
					<?php endif; ?>
										
					<?php if ($this->system->uses('Contacts') && $this->user->has_access('Contacts')): ?>
						<?php if ($this->uri->segment(1) == 'contacts'): ?>
							<li class="current"><?php echo anchor('contacts','<span>Contacts</span>','data-tooltip="Contacts" class="contacts current"'); ?></li>
						<?php else: ?>
							<li><?php echo anchor('contacts','<span>Contacts</span>','data-tooltip="Contacts" class="contacts"'); ?></li>						
						<?php endif; ?>
					<?php endif; ?>
					
					<?php if ($this->system->uses('Clinic') && $this->user->has_access('Clinic')): ?>
						<?php if ($this->uri->segment(1) == 'clinic'): ?>
							<li class="current"><?php echo anchor('clinic','<span>Clinic</span>','data-tooltip="Clinic" class="clinic current"'); ?></li>
						<?php else: ?>
							<li><?php echo anchor('clinic','<span>Clinic</span>','data-tooltip="Clinic" class="clinic"'); ?></li>
						<?php endif; ?>
					<?php endif; ?>

					
					<?php if ($this->system->uses('Sales') && $this->user->has_access('Sales')): ?>
						<?php if ($this->uri->segment(1) == 'sales'): ?>
							<li class="current"><?php echo anchor('sales','<span>Sales &amp; Purchases</span>','data-tooltip="Sales &amp; Purchases" class="sales current"'); ?></li>
						<?php else: ?>
							<li><?php echo anchor('sales','<span>Sales &amp; Purchases</span>','data-tooltip="Sales &amp; Invoicing" class="sales"'); ?></li>
						<?php endif; ?>
					<?php endif; ?>
					
					<?php if ($this->system->uses('Inventory') && $this->user->has_access('Inventory')): ?>
						<?php if ($this->uri->segment(1) == 'inventory'): ?>
							<li class="current"><?php echo anchor('inventory','<span>Inventory</span>','data-tooltip="Inventory" class="inventory current"'); ?></li>
						<?php else: ?>
							<li><?php echo anchor('inventory','<span>Inventory</span>','data-tooltip="Inventory" class="inventory"'); ?></li>						
						<?php endif; ?>
					<?php endif; ?>
					
					<?php if ($this->system->uses('FnB') && $this->user->has_access('FnB')): ?>
						<?php if ($this->uri->segment(1) == 'fnb'): ?>
							<li class="current"><?php echo anchor('fnb','<span>Food &amp; Beverage</span>','data-tooltip="Food &amp; Beverage" class="fnb current"'); ?></li>
						<?php else: ?>
							<li><?php echo anchor('fnb','<span>Food &amp; Beverage</span>','data-tooltip="Food &amp; Beverage" class="fnb"'); ?></li>						
						<?php endif; ?>
					<?php endif; ?>
					
					<?php if ($this->system->uses('Services') && $this->user->has_access('Services')): ?>
						<?php if ($this->uri->segment(1) == 'services'): ?>
							<li class="current"><?php echo anchor('services','<span>Services</span>','data-tooltip="Services" class="services current"'); ?></li>
						<?php else: ?>
							<li><?php echo anchor('services','<span>Services</span>','data-tooltip="Services" class="services"'); ?></li>						
						<?php endif; ?>
					<?php endif; ?>
					
					
					
					<?php if ($this->system->uses('Assets') && $this->user->has_access('Assets')): ?>
						<?php if ($this->uri->segment(1) == 'assets_manager'): ?>
							<li class="current"><?php echo anchor('assets_manager','<span>Assets</span>','data-tooltip="Assets" class="assets current"'); ?></li>
						<?php else: ?>
							<li><?php echo anchor('assets_manager','<span>Assets</span>','data-tooltip="Assets" class="assets"'); ?></li>						
						<?php endif; ?>
					<?php endif; ?>
					
					<?php if ($this->system->uses('HR') && $this->user->has_access('HR')): ?>
						<?php if ($this->uri->segment(1) == 'hr'): ?>
							<li class="current"><?php echo anchor('hr','<span>Human Resource</span>','data-tooltip="Human Resource" class="hr current"'); ?></li>
						<?php else: ?>
							<li><?php echo anchor('hr','<span>Human Resource</span>','data-tooltip="Human Resource" class="hr"'); ?></li>						
						<?php endif; ?>
					<?php endif; ?>	
					
					<?php if ($this->system->uses('Accounts') && $this->user->has_access('Accounts')): ?>
						<?php if ($this->uri->segment(1) == 'accounts'): ?>
							<li class="current"><?php echo anchor('accounts','<span>Accounts</span>','data-tooltip="Accounts" class="accounts current"'); ?></li>
						<?php else: ?>
							<li><?php echo anchor('accounts','<span>Accounts</span>','data-tooltip="Accounts" class="accounts"'); ?></li>
						<?php endif; ?>
					<?php endif; ?>


				
					
					<?php if ($this->system->uses('Reports') && $this->user->has_access('Reports')): ?>
						<?php if ($this->uri->segment(1) == 'reports'): ?>
							<li class="current"><?php echo anchor('reports','<span>Reports &amp; Documents</span>','data-tooltip="Reports & Documents" class="reports current"'); ?></li>
						<?php else: ?>
							<li><?php echo anchor('reports','<span>Reports &amp; Documents</span>','data-tooltip="Reports & Documents" class="reports"'); ?></li>						
						<?php endif; ?>
					<?php endif; ?>

					<?php if ($this->system->uses('Settings') && $this->user->has_access('Settings')): ?>
						<?php if ($this->uri->segment(1) == 'settings'): ?>
							<li class="current"><?php echo anchor('settings','<span>Settings</span>','data-tooltip="Settings" class="settings current"'); ?></li>
						<?php else: ?>
							<li><?php echo anchor('settings','<span>Settings</span>','data-tooltip="Settings" class="settings"'); ?></li>
						<?php endif; ?>
					<?php endif; ?>
					

					<?php if ($this->system->uses('Editor') && $this->user->has_access('Editor')): ?>
						<?php if ($this->uri->segment(1) == 'editor'): ?>
							<li class="current"><?php echo anchor('editor','<span>Plexedit</span>','data-tooltip="Plexedit" class="editor current"'); ?></li>
						<?php else: ?>
							<li><?php echo anchor('editor','<span>Plexedit</span>','data-tooltip="Plexedit" class="editor"'); ?></li>
						<?php endif; ?>
					<?php endif; ?>


					
				</ul>
			</div>

			</div>
		</div>
		
		<!--
		<div id="header">
			<div class="user" style="text-align: right; line-height: 200%">
				Logged in as <strong><?php echo $this->user->data('username')?></strong><br /><?php echo anchor('logout','Logout','class="v-btn"'); ?>
			</div>
			<div id="nav">
				<ul>
					<?php if ($this->system->uses('Dashboard') && $this->user->has_access('dashboard')): ?>
						<?php if ($this->uri->segment(1) == 'dashboard'): ?>
							<li class="current"><?php echo anchor('dashboard','Summary','class="summary current"'); ?></li>
						<?php else: ?>
							<li><?php echo anchor('dashboard','Summary','class="summary"'); ?></li>						
						<?php endif; ?>
					<?php endif; ?>
										
					<?php if ($this->system->uses('Contacts') && $this->user->has_access('contacts')): ?>
						<?php if ($this->uri->segment(1) == 'contacts'): ?>
							<li class="current"><?php echo anchor('contacts','Contacts','class="customers current"'); ?></li>
						<?php else: ?>
							<li><?php echo anchor('contacts','Contacts','class="customers"'); ?></li>						
						<?php endif; ?>
					<?php endif; ?>
					
					<?php if ($this->system->uses('Sales') && $this->user->has_access('sales')): ?>
						<?php if ($this->uri->segment(1) == 'sales'): ?>
							<li class="current"><?php echo anchor('sales','Sales','class="sales current"'); ?></li>
						<?php else: ?>
							<li><?php echo anchor('sales','Sales','class="sales"'); ?></li>
						<?php endif; ?>
					<?php endif; ?>
					
					<?php if ($this->system->uses('FnB') && $this->user->has_access('fnb')): ?>
						<?php if ($this->uri->segment(1) == 'fnb'): ?>
							<li class="current"><?php echo anchor('fnb','F&amp;B','class="fnb current"'); ?></li>
						<?php else: ?>
							<li><?php echo anchor('fnb','F&amp;B','class="fnb"'); ?></li>						
						<?php endif; ?>
					<?php endif; ?>
					
					<?php if ($this->system->uses('Inventory') && $this->user->has_access('inventory')): ?>
						<?php if ($this->uri->segment(1) == 'inventory'): ?>
							<li class="current"><?php echo anchor('inventory','Inventory','class="inventory current"'); ?></li>
						<?php else: ?>
							<li><?php echo anchor('inventory','Inventory','class="inventory"'); ?></li>						
						<?php endif; ?>
					<?php endif; ?>
					
					
					<?php if ($this->system->uses('Services') && $this->user->has_access('services')): ?>
						<?php if ($this->uri->segment(1) == 'services'): ?>
							<li class="current"><?php echo anchor('services','Services','class="services current"'); ?></li>
						<?php else: ?>
							<li><?php echo anchor('services','Services','class="services"'); ?></li>						
						<?php endif; ?>
					<?php endif; ?>
					
					
					<?php if ($this->system->uses('Assets') && $this->user->has_access('assets_manager')): ?>
						<?php if ($this->uri->segment(1) == 'assets_manager'): ?>
							<li class="current"><?php echo anchor('assets_manager','Assets','class="assets current"'); ?></li>
						<?php else: ?>
							<li><?php echo anchor('assets_manager','Assets','class="assets"'); ?></li>						
						<?php endif; ?>
					<?php endif; ?>
					
					<?php if ($this->system->uses('Accounts') && $this->user->has_access('accounts')): ?>
						<?php if ($this->uri->segment(1) == 'accounts'): ?>
							<li class="current"><?php echo anchor('accounts','Accounts','class="ledger current"'); ?></li>
						<?php else: ?>
							<li><?php echo anchor('accounts','Accounts','class="ledger"'); ?></li>
						<?php endif; ?>
					<?php endif; ?>


					<?php if ($this->system->uses('HR') && $this->user->has_access('hr')): ?>
						<?php if ($this->uri->segment(1) == 'hr'): ?>
							<li class="current"><?php echo anchor('hr','Employees','class="employees current"'); ?></li>
						<?php else: ?>
							<li><?php echo anchor('hr','Employees','class="employees"'); ?></li>						
						<?php endif; ?>
					<?php endif; ?>	
					
					<?php if ($this->system->uses('Reports') && $this->user->has_access('reports')): ?>
						<?php if ($this->uri->segment(1) == 'reports'): ?>
							<li class="current"><?php echo anchor('reports','Reports','class="reports current"'); ?></li>
						<?php else: ?>
							<li><?php echo anchor('reports','Reports','class="reports"'); ?></li>						
						<?php endif; ?>
					<?php endif; ?>

					<?php if ($this->system->uses('Settings') && $this->user->has_access('settings')): ?>
						<?php if ($this->uri->segment(1) == 'settings'): ?>
							<li class="current"><?php echo anchor('settings','Settings','class="settings current"'); ?></li>
						<?php else: ?>
							<li><?php echo anchor('settings','Settings','class="settings"'); ?></li>
						<?php endif; ?>
					<?php endif; ?>

					


					
				</ul>
			</div>

		</div>
			-->