
<?php if (!$this->user->has_permission("to_create_admission","Healthcare")) die("You do not have the permissions to access this area."); ?>
<script type="text/javascript">
function readyAdd(status){
	if (status == 1){
		$("div.main_full").show();
		$("div.status").hide();
		$("form").clearForm();
		showDialog("ok","Admissions","New Admissions has been added.");
		form_warning = false;
	}
}

$(document).ready(function(){
	$("a.insert").click(function(event){
		$("form.insert").submit();
		event.preventDefault();
	});
	
	$("form").submit(function(){	
		var ok = true;
		$("input.mandatory").each(function(){
			if (!$(this).val()) ok = false;
		});		
		if (!ok){
			showDialog("ok","Form Error","Please make sure you have filled the form correctly.");
			return false;
		}
		$("div.main_full").hide();
		$("div.status").html("<p><img src=\"images/loading.gif\" /> Loading</p>").show();
	});
	

})
</script>
<div class="toolbar">
	<h3 class="grid-title"><a href="Healthcare/admission" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn back_btn">Back</a>New Admissions</h3>
	<div class="global-tabs" style="padding: 5px">
		<a class="v-btn insert">Save Admissions</a>
	</div>
</div>
<div class="status">	
</div>
<div class="main_full">
	<div class="main-container">
	<iframe id="postframe" name="postframe" src="nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
	<form class="insert" method="post" action="Healthcare/new_admission/do" target="postframe">						
			
		<h3>Member Information</h3>
			
		<table class="general-form">
			<tbody>
				<tr class="four">
					<td class="label">Name <span class="red">*</span></td>
					<td class="input"><input value=""  type="text" name="name" class="v-text mandatory" /></td>
					<td class="label">Email <span class="red">*</span></td>
					<td class="input"><input value=""  type="email" name="email" class="v-text mandatory" /></td>
				</tr>
						
				<tr class="four">
					<td class="label">Phone <span class="red">*</span></td>
					<td class="input"><input value=""  type="text" name="phone" class="v-text mandatory" /></td>
					<td class="label">Date of Birth <span class="red">*</span></td>
					<td class="input"><input value=""  type="text" name="dob" class="v-text date mandatory" /></td>
				</tr>
						
				<tr class="four">
					<td class="label">Address 1 <span class="red">*</span></td>
					<td class="input"><input value=""  type="text" name="address1" class="v-text mandatory" /></td>
					<td class="label">Address 2</td>
					<td class="input"><input value=""  type="text" name="address2" class="v-text " /></td>
				</tr>
						
				<tr class="four">
					<td class="label">City <span class="red">*</span></td>
					<td class="input"><input value=""  type="text" name="city" class="v-text mandatory" /></td>
					<td class="label">Postcode <span class="red">*</span></td>
					<td class="input"><input value=""  type="text" name="postcode" class="v-text mandatory" /></td>
				</tr>
						
				<tr class="four">
					<td class="label">State <span class="red">*</span></td>
					<td class="input"><?php echo form_dropdown("state", $this->system->state_list($this->system->config("country")), NULL, 'class="v-city v-dropdown"  '); ?></td>
					<td class="label">Country <span class="red">*</span></td>
					<td class="input"><?php echo form_dropdown("country", $this->system->country_list(), $this->system->config("country"), 'class="v-country v-dropdown"  '); ?></td>
				</tr>
						
				<tr class="four">
					<td class="label">Rank <span class="red">*</span></td>
					<td class="input"><?php echo form_dropdown("rank", array("1" => "Admin", "2" => "Subadmin", "3" => "User"), NULL, 'class="v-dropdown"  '); ?></td>
					<td class="label">Agent <span class="red">*</span></td>
					<td class="input"><?php echo form_dropdown("agent_id", $this->system->dropdown_list("contacts.id","contacts.contact_person"), NULL, 'class="v-dropdown"  '); ?></td>
				</tr>
						
			</tbody>
		</table>

		<h3>Remarks</h3>
			
		<table class="general-form">
			<tbody>
				<tr class="two">
					<td class="label">Remarks</td>
					<td class="input"><textarea  name="remarks" class="v-textarea "></textarea></td>
				</tr>
						
			</tbody>
		</table>

	</form>
	</div>
</div>
