<script type="text/javascript">

var content;
var accId;
var accName;
var allocAmount;
var allocType;
var allocTotal = 0.00;
var curAcc;
var allocNo = 0;

function readyPost(action,status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		$('table.alloc tbody tr').remove();
		showDialog('ok','Update Leave','Leave has been updated successfully.');
	} else {
		showDialog('ok','Error','There has been an error updating the leave.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}


$(document).ready(function(){
	$('a.submit_btn').click(function(event){
		$(this).parents('form').submit();
		event.preventDefault();
	});
	
	$('form').submit(function(){
		var passed = true;
		$('input.mandatory').each(function(){
			if (!$(this).val().trim()){
				passed = false;
			}
		});
	
		if (!passed){
			showDialog('ok','Error','Please ensure you have filled in all required fields.');
			return false;
		}
		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
	
});


</script>

	<div class="toolbar">
		<h3 class="grid-title"><a class="v-dbtn target_main" style="float:right; padding:0 25px; margin-top: -1px" href="hr/leave">Back</a>Update Leave</h3>
	</div>
	<div class="status">
	
	</div>	
	<div class="main_full">
		<div class="main-container">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>

		<form method="post" action="<?=base_url()?>hr/edit_leave/<?=$leave->id?>/do" target="postframe">
			<h3 class="general-form-header">Leave Details</h3>
			<table class="general-form">
				<tr class="two">
					<td class="label">Employee Name <span class="red">*</span></td>
					<td class="input"><?=$leave->employee->firstname . ' ' . $leave->employee->lastname?></td>
				</tr>
				<tr class="two">
					<td class="label">From <span class="red">*</span></td>
					<td class="input"><input type="text" name="from" class="date" value="<?=date('d/m/Y',strtotime($leave->from))?>" /></td>
				</tr>
				<tr class="two">
					<td class="label">To <span class="red">*</span></td>
					<td class="input"><input type="text" name="to" class="date" value="<?=date('d/m/Y',strtotime($leave->to))?>" /></td>
				</tr>
				<tr class="two">
					<td class="label">Leave Type</td>
					<td class="input"><?=form_dropdown('type',array("Annual Leave"=>"Annual Leave","Unpaid Leave"=>"Unpaid Leave", "Medical"=>"Medical", "Holiday"=>"Holiday"),$leave->type)?></td>
				</tr>
				<tr class="two">
					<td class="label">Status</td>
					<td class="input"><?=form_dropdown('status',array('Pending Approval'=>'Pending Approval','Approved'=>'Approved','Rejected'=>'Rejected'), $leave->status)?></td>
				</tr>
				<tr class="two">
					<td class="label">Remarks</td>
					<td class="input"><textarea name="remarks"><?=$leave->remarks?></textarea></td>
				</tr>
				
			</table>
			<p class="general-form-action"><a class="v-btn submit_btn">Save Leave</a></p>
			<br />
		</form>
		</div>
	</div>
