<script type="text/javascript">

var content;
var accId;
var accName;
var allocAmount;
var allocType;
var allocTotal = 0.00;
var curAcc;
var allocNo = 0;

function readyPost(action,status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		$('form').clearForm();
		$('table.alloc tbody tr').remove();
		showDialog('ok','Pay Slip','Pay slip has been created successfully.');
	} else {
		showDialog('ok','Error','There has been an error creating the pay slip.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}


$(document).ready(function(){
	
	$('input').change(function(){
		calculate();
	})
	$('a.submit_btn').click(function(event){

		$(this).parents('form').submit();
		event.preventDefault();
	});

	
	$('form').submit(function(){
		var passed = true;
		$('input.mandatory').each(function(){
			if (!$(this).val().trim()){
				passed = false;
			}
		});
	
		if (!passed){
			showDialog('ok','Error','Please ensure you have filled in all required fields.');
			return false;
		}
		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
	
	$('select.employee').change(function(){
		var id = $(this).val();
		$.ajax({
			url: base_url + 'hr/ajax/employee_timesheet',
			type: 'post',
			data: 'id='+id,
			success: function (html){
				$('div.timesheet-details').html(html);
				$('div.salary').show();
				
				$('input.basic:first').val($('td.basic_salary').text()).change();
			}
		})
	});
	
	$('.auto-calculate').click(function(){
		var gross = 0.00;
		$('input.basic').each(function(){
			var amt = parseFloat($(this).val());
			if (!amt) amt = 0.00;
			gross += amt;
		})
			
		$('input.basic-deduct').each(function(){
			var amt = parseFloat($(this).val());
			if (!amt) amt = 0.00;
			gross -= amt;
			
		})

		
		var additional = 0.00;
		$('input.add').each(function(){
			var amt = parseFloat($(this).val());
			if (!amt) amt = 0.00;
			additional += amt;
		});
	
		
		var earnings = additional + gross;
		
		$('input.earnings').val(earnings.toFixed(2));

		
		var employee_id = $('select.employee').val();
		
		$.ajax({
			url: base_url + 'hr/ajax/calculate_payslip',
			type: 'post',
			data: {
				gross: gross,
				id: employee_id
			},
			dataType: 'json',
			success: function(deductions){
				for (var field in deductions){
					var amount = parseFloat(deductions[field]);
					if (!amount) amount = 0.00;
					if (amount != 0){
						$('input[rel='+field+']').val(amount.toFixed(2));
					}
				}
				
				var deductions = 0.00;
				$('input.deduct').each(function(){
					var amt = parseFloat($(this).val());
					if (!amt) amt = 0.00;
					deductions += amt;
				});
				
				
				
				$('input.deductions').val(deductions.toFixed(2));
				
				var earnings = parseFloat($('input.earnings').val());
				var net = earnings - deductions;
				$('input.net').val(net.toFixed(2));
			}
		})
	})

	
});


function calculate(){
	
	var gross = 0.00;
	$('input.basic').each(function(){
		var amt = parseFloat($(this).val());
		if (!amt) amt = 0.00;
		gross += amt;
	})
	
	$('input.basic-deduct').each(function(){
		var amt = parseFloat($(this).val());
		if (!amt) amt = 0.00;
		gross -= amt;
		
	})
	
	var additional = 0.00;
	$('input.add').each(function(){
		var amt = parseFloat($(this).val());
		if (!amt) amt = 0.00;
		additional += amt;
	});

	
	var earnings = additional + gross;
	
	$('input.earnings').val(earnings.toFixed(2));


	var deductions = 0.00;
	$('input.deduct').each(function(){
	var amt = parseFloat($(this).val());
	if (!amt) amt = 0.00;
		deductions += amt;
	});
				
	$('input.deductions').val(deductions.toFixed(2));
				
	var earnings = parseFloat($('input.earnings').val());
	var net = earnings - deductions;
	$('input.net').val(net.toFixed(2));
}
</script>

	<div class="toolbar">
		<h3 class="grid-title"><a class="v-dbtn target_main" style="float:right; padding:0 25px; font-weight: normal" href="hr/payroll">Back</a>Payroll</h3>
	</div>
	<div class="status">
	
	</div>
	<div class="main_full">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
	
		<div class="main-container">

		<form method="post" action="<?=base_url()?>hr/add_payslip/do" target="postframe">
			<h3 class="general-form-header form-tabbed">Employee Pay Slip</h3>
			<table class="general-form">
				<tr class="four">
					<td class="label">Date  <span class="red">*</span></td>
					<td class="input"><input type="text" name="date" class="v-text date mandatory" /></td>
					<td class="label">Employee <span class="red">*</span></td>
					<td class="input"><?php echo form_dropdown('employee', $employee_list,'','class="employee v-dropdown" style="width: 100%;"'); ?></td>
				</tr>
			</table>
			
			<div class="timesheet-details">
			
			</div>
			
			<div class="salary" style="display:none; margin-top: 20px">
				<a class="float_right v-btn auto-calculate" style="padding: 0 10px;">Calculate</a>
				<h3>Earnings and Deductions</h3>
				<table class="general-form">
					<?php foreach ($basic_denomination as $d): ?>
					<tr class="two">
						<td class="label"><?php echo $d->name; ?></td>
						<td class="input"><input type="text" name="fields[<?php echo $d->field_name; ?>]" class="v-number-decimal basic pay" /></td>
					</tr>
					<?php endforeach; ?>
					
					
					<?php foreach ($basic_deduct_denomination as $d): ?>
					<tr class="two">
						<td class="label"><?php echo $d->name; ?></td>
						<td class="input"><input type="text" name="fields[<?php echo $d->field_name; ?>]" class="v-number-decimal basic-deduct pay" /></td>
					</tr>
					<?php endforeach; ?>
	
	
					<?php foreach ($add_denomination as $d): ?>
					<tr class="two">
						<td class="label"><?php echo $d->name; ?> <?php if ($d->percentage) echo ' ('.$d->percentage.'%)'; ?></td>
						<td class="input"><input type="text" name="fields[<?php echo $d->field_name; ?>]" class="v-number-decimal add pay <?php if ($d->percentage) echo 'percent'; ?>" <?php if ($d->percentage) echo 'percent="'.$d->percentage.'"'; ?> /></td>
					</tr>
					<?php endforeach; ?>
					
					<tr class="foot">
						<td class="label"><strong>TOTAL EARNINGS</strong></td>
						<td class="earnings input" style="background: #F5F5F5"><input style="font-weight: bold" type="text" name="earnings" class="earnings v-number-decimal" readonly="readonly" /></td>
					</tr>
	
					<?php foreach ($deduct_denomination as $d): ?>
					<tr class="two">
						<td class="label"><?php echo $d->name; ?> <?php if ($d->percentage) echo ' ('.$d->percentage.'%)'; ?></td>
						<td class="input"><input rel="<?php echo $d->field_name; ?>" type="text" name="fields[<?php echo $d->field_name; ?>]" class="v-number-decimal deduct pay <?php if ($d->percentage) echo 'percent'; ?>" <?php if ($d->percentage) echo 'percent="'.$d->percentage.'"'; ?> /></td>
					</tr>
					<?php endforeach; ?>
					
					
					<tr class="foot">
						<td class="label"><strong>TOTAL DEDUCTIONS</strong></td>
						<td class="deductions input" style="background: #F5F5F5"><input style="font-weight: bold" type="text" name="deductions" class="deductions v-number-decimal" readonly="readonly" /></td>
					</tr>
					
					
					
					<tr class="foot">
						<td class="label"><strong>NET SALARY</strong></td>
						<td class="net input" style="background: #F5F5F5"><input style="font-weight: bold" type="text" name="net" class="net v-number-decimal" readonly="readonly" /></td>
					</tr>
	
					<?php foreach ($null_denomination as $d): ?>
					<tr class="two">
						<td class="label"><?php echo $d->name; ?> <?php if ($d->percentage) echo ' ('.$d->percentage.'%)'; ?></td>
						<td class="input"><input type="text" rel="<?php echo $d->field_name; ?>" name="fields[<?php echo $d->field_name; ?>]" class="v-number-decimal null <?php if ($d->percentage) echo 'percent'; ?>" <?php if ($d->percentage) echo 'percent="'.$d->percentage.'"'; ?> /></td>
					</tr>
					<?php endforeach; ?>
	
				</table>
				
			
				<p class="general-form-action"><a class="v-btn submit_btn">Save Payslip</a></p>
				<br />
			</div>
		</form>
		</div>
	</div>
