<script type="text/javascript">

$(document).ready(function(){
	populateEvents();
});

</script>
	<div class="toolbar">
		<h3 class="grid-title">
			<?php if ($this->user->has_permission('to_create_recruitment','HR')): ?>
			<a href="hr/add_vacancy" class="v-btn target_main float_right" style="padding: 0 10px; font-weight: normal">New Job Vacancy</a>
			<?php endif; ?>
			Recruitment
		</h3>
		<table class="grid" rel="im">
			<thead>
				<tr>
					<th>Job Title</th>
					<th>Manager</th>
					<th>Total Applicants</th>
					<th>Closing Date</th>
					<th>Status</th>
					<th class="grid-action" style="text-align: center; width: 80px"><img src="<?=base_url()?>images/email-action.gif" alt="Action" /></th>
					<th style="width: 15px; padding: 0;"></th>
				</tr>
			</thead>
		</table>
	</div>
	<div class="main_full">
		<table class="grid grid_data">
			<tbody>
				<?php foreach ($recruitments as $vacancy): ?>
				<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
					<td><?=$vacancy->job_title?></td>
					<td><?=$vacancy->manager_name?></td>
					<td><?=$vacancy->applicants ? $vacancy->applicants : '0'?></td>
					<td><?=date('d/m/Y',strtotime($vacancy->closing_date))?></td>
					<td><?=$vacancy->status?></td>
					<td style="width: 80px">
						<?php if ($this->user->has_permission('to_view_recruitment','HR')): ?><a class="grid-action grid-action-view target_main" href="hr/view_vacancy/<?=$vacancy->id?>"><span>View</span></a><?php endif; ?>
						<?php if ($this->user->has_permission('to_delete_recruitment','HR')): ?><a class="grid-action grid-action-delete" href="hr/delete_vacancy/<?=$vacancy->id?>"><span>Delete</span></a><?php endif; ?>
						<?php if ($this->user->has_permission('to_edit_recruitment','HR')): ?><a class="grid-action grid-action-edit target_main" href="hr/edit_vacancy/<?=$vacancy->id?>"><span>Edit</span></a><?php endif; ?>

					</td>
				</tr>
				<?php endforeach; ?>
			</tbody>
		</table>					
	</div>
