<?php if (!$this->user->has_permission('to_view_pay_slip','HR')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

$(document).ready(function(){

	$('div.filter input').keypress(function(e){
		
		if (e.which == 13) filterItems();
	});
	
	$('div.filter select').keypress(function(e){
		if (e.which == 13) filterItems();
	});
	
	$('a.filter-btn').click(function(){
		filterItems();
	});
});

function filterItems(){
	var date_from 	= $('input.filter-date-from').val();
	var date_to 	= $('input.filter-date-to').val();
	var sv_id	 	= $('input.sv-id').val();
	
	$('table.grid tbody').html('<td colspan="5" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	
	$.ajax({
		url: base_url + 'accounts/sv_filter',
		type: 'POST',
		data: 'date_from='+date_from+'&date_to='+date_to+'&sv_id='+sv_id,
		success: function (result){
			$('div.main_full').html(result);
		}
	})
}

</script>
		<div class="toolbar">
			<h3 class="grid-title">
				Pay Slips
			</h3>
			<div class="global-tabs filter" style="padding: 5px 5px; font-size: 10pt;">
				<span class="filter-field">From <input value="<?php echo $date_from; ?>" type="text" name="date_from" class="v-text date filter-date-from" style="width: 75px;" /></span>
				<span class="filter-field">To <input value="<?php echo $date_to; ?>" type="text" name="date_to" class="v-text date filter-date-to" style="width: 75px;" /></span>
				<span class="filter-field">Pay Slip No.</span> <input type="text" name="pv_id" class="v-text sv-id" style="width: 75px" /></span>
				<a class="v-btn filter-btn search">Filter</a>
			</div>
			<table class="grid">
				<thead>
					<tr>
						<th rel="1" class="sortable-date" style="width: 80px">Pay Slip No.</th>
						<th rel="2" class="sortable-date" style="width: 80px">Date</th>
						<th rel="3" class="sortable">Employee</th>
						<th rel="4" class="sortable" style="width: 100px">Amount</th>
						<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
					</tr>
				</thead>
			</table>
		</div>
		
		<div class="main_full">
			<table class="grid grid_data">
				<tbody>
					<?php $x = 0; foreach ($svs as $sv): ?>
					<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
						<td rel="1" time="<?php echo $sv->id;?>" style="width: 80px">PV-<?php echo $sv->id; ?></td>
						<td rel="2" time="<?php echo strtotime($sv->datetime);?>" style="width: 80px"><?php echo date('d/m/Y',strtotime($sv->datetime)); ?></td>
						<td rel="3"><?php echo $sv->employee; ?> <?php if ($sv->status == 'Voided') echo ' <strong>(VOIDED)</strong>'; ?></td>
						<td rel="4" class="dark" style="width: 100px; text-align: right"><?php echo $sv->amount; ?></td>
						<td style="width: 75px; padding: 0;">

							<a class="grid-action grid-action-view" href="accounts/sv_view/<?=$sv->id?>"><span>View</span></a>
							<a class="grid-action grid-action-delete" href="hr/delete_sv/<?=$sv->id?>"><span>Delete</span></a>
						</td>
					</tr>
					<?php $x++; endforeach; ?>
				</tbody>
			</table>
		</div>