<script type="text/javascript">

var content;
<?php if (count($orders)): ?>
var itemCount = <?php echo count($orders); ?>;
<?php else: ?>
var itemCount = 0;
<?php endif; ?>

function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		$('form').clearForm();
		showDialog('ok','Stock Return','Stock return entry has been added.');
		$('input.extraCharges').val('0.00');
		$('input.adjustment').val('0.00');
		
		$('table.order-form tbody').html('');
		calculateTotal();
	} else {
		showDialog('ok','Error','There has been an error adding the stock return.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}

$(document).ready(function(){
	$('a.submit_btn').click(function(event){
		$(this).parents('form').submit();
		event.preventDefault();
	});
	

	
	$('form').submit(function(){
	
		var ok = true;
		$('input.mandatory').each(function(){
			if (!$(this).val()) ok = false;
		});
		
		if (!ok){
			showDialog('ok','Error','Please make sure you have filled in the mandatory fields.');
			return false;
		}
		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
	
	$('input[name=product_search]').keypress(function(e){
		var code = (e.keyCode ? e.keyCode : e.which);
		if (code == 13){
			var t = $('select[name=st]').val();
			var q = $(this).val();
			$('div.modal-search-result table tbody').html('<tr><td colspan="4"><img src="'+base_url+'images/loading.gif" /> Searching</td></tr>')
			$.ajax({
				type: "POST",
				url: base_url + 'inventory/search_product/' + q + '/' + t,
				success: function (html){
	
					$('div.modal-search-result table tbody').html(html);
				}			
			}); 
		}
	});
	
	$('a.add-product').click(function(event){
		event.preventDefault();
		showModalForm('product-search');
	});
	
	$('a.add-product-item').click(function(event){
		event.preventDefault();
		$('input.product-items').each(function(){
			if ($(this).attr('checked')){
				addItem($(this).val(),'product');
			}
		});
		itemEvents();
		calculateTotal();
	});
	
	$('a.search-product-done').click(function(event){
		event.preventDefault();
		hideModalForm('product-search');
	});
	
	$('input.extraCharges').change(function(){
		calculateTotal();
	});

	$('input.adjustment').change(function(){
		calculateTotal();
	});
	
	
	
	$('select[name=adjustment_type]').change(function(){
		calculateTotal();
	});
	
	
	$('input[name=copy]').click(function(){
		if ($(this).val() == 'shipping'){
			$('input[name=billing_address1]').val($('input[name=shipping_address1]').val());
			$('input[name=billing_address2]').val($('input[name=shipping_address2]').val());
			$('input[name=billing_city]').val($('input[name=shipping_city]').val());
			$('input[name=billing_postcode]').val($('input[name=shipping_postcode]').val());
			$('input[name=billing_state]').val($('input[name=shipping_state]').val());
			$('input[name=billing_country]').val($('input[name=shipping_country]').val());

		} else {
			$('input[name=shipping_address1]').val($('input[name=billing_address1]').val());
			$('input[name=shipping_address2]').val($('input[name=billing_address2]').val());
			$('input[name=shipping_city]').val($('input[name=billing_city]').val());
			$('input[name=shipping_postcode]').val($('input[name=billing_postcode]').val());
			$('input[name=shipping_state]').val($('input[name=billing_state]').val());
			$('input[name=shipping_country]').val($('input[name=billing_country]').val());
		
		}
	});

	
	itemEvents();
});

function calculateTotal(){
	var netTotal = parseFloat(0);
	var grandTotal = parseFloat(0);
	$('td.item_net_price').each(function(){
		netTotal = netTotal + parseFloat($(this).html());
	});
	
	netTotal = netTotal.toFixed(2);
	var charges = $('input.extraCharges').val();
	if (!charges) charges = 0;
	var adjustmentType = $('select[name=adjustment_type]').val();
	var adjustment = $('input.adjustment').val();
	if (!adjustment) adjustment = 0;

	if (adjustmentType == "Add"){
		grandTotal = parseFloat(netTotal) + 0 + parseFloat(charges) + parseFloat(adjustment);
	} else {
		grandTotal = parseFloat(netTotal) + 0 + parseFloat(charges) - parseFloat(adjustment);
	}
	grandTotal = parseFloat(grandTotal).toFixed(2);
	$('td.final_net_total').html(netTotal);
	$('td.final_grand_total').html(grandTotal);
	$('input[name=grand_total]').val(grandTotal);
}

function addItem(itemId,type){
	switch (type){
		case 'product':
			var price = $('tr[rel='+itemId+'] span.product-price').html();
			if (!price) price = '0.00';
			var name = $('tr[rel='+itemId+'] span.product-name').html();
			var desc = '';
			var instock = $('tr[rel='+itemId+'] span.quantity-in-stock').html();
			
			$('table.order-form tbody').append('<tr class="order-item" rel="'+itemCount+'">				\
						<td class="tool" style="width: 25px">																\
							<input type="hidden" name="item_id[]" value="'+itemId+'" />	\
							<input type="hidden" name="item_type[]" value="product">		\
							<input type="hidden" name="item_name[]" value="'+name+'">		\
							<input type="hidden" name="item_discount_type[]" />			\
							<input type="hidden" name="item_discount_value[]" />			\
							<input type="hidden" name="item_qty_in_stock[]" />				\
							<input type="hidden" class="item_net_price" name="item_net_price[]" value="'+price+'" />			\
							<input type="hidden" class="item_totalnet_price" name="item_totalnet_price[]" value="'+price+'" />			\
							<a class="remove grid-action grid-action-delete" ><span>Remove Item</span></a> 										\
						</td>																		\
						<td>																		\
							<p class="item_name">'+name+'</p>										\
						</td>																		\
						<td style="width: 150px; text-align: center" class="item_qty_in_stock">'+instock+'</td>								\
						<td style="width: 150px"><input type="text" class="item_qty v-number" style="text-align:right" name="item_qty[]" value="1" /></td>		\
					</tr>	');
					

			itemCount++;
		break;
		case 'service':
			$('table.order-form tbody').append('<tr class="order-item" rel="'+itemCount+'">		\
						<td>																	\
							<input type="hidden" name="item_id['+itemCount+']" />				\
							<input type="hidden" name="item_list_price['+itemCount+']" />		\
							<input type="hidden" name="item_qty_in_stock['+itemCount+']" />		\
						</td>													\
						<td>													\
							<p class="item_name"></p>							\
							<textarea class="item_details"></textarea>			\
						</td>													\
						<td class="item_qty_in_stock">N/A</td>					\
						<td><input type="text" name="item_qty" /></td>			\
						<td>													\
							<input type="text" name="item_list_price" />		\
							<p style="text-align: right">(-) Discount:</p>		\
							<p>Total (-):</p>									\
						</td>													\
						<td>													\
							<p class="item_list_price>0.00</p>					\
							<p class="item_price_discount">0.00</p>				\
							<p class="item_price_discounted">0.00</p>			\
							<p class="item_ind_tax">0.00</p>					\
						</td>													\
						<td class="item_net_price">0.00</td>					\
					</tr>	');
		break;
	}
}

function itemEvents(){

	$('input.item_list_price').change(function(){
		$('input.item_qty').change();
	});
	
	$('input.item_qty').change(function(){
		var discounted = 0;
		var netTotal = 0;
		var itemNo = $(this).parents('tr').attr('rel');
		var itemQty = parseInt($(this).val());
		var itemPrice = $('tr[rel='+itemNo+']').children('td.prices').children('input.item_list_price').val();
		var total = parseFloat(itemQty * itemPrice) + 0.00;
		var discountType = $('tr[rel='+itemNo+']').children('td.prices').children('label').children('input.discount_type:checked').val();
		var discountVal =  $('tr[rel='+itemNo+']').children('td.prices').children('input.item_discount').val();
		if (discountType == 'p'){
			var discounted = parseFloat(((discountVal) / 100) * total).toFixed(2);
			var netTotal = total - discounted;
		} else if (discountType == 'd'){
			var discounted = parseFloat(discountVal).toFixed(2);
			var netTotal = total - discounted;
		} else {
			var netTotal = total;
			var discounted = '0.00';
		}
		total = total.toFixed(2);
		netTotal = parseFloat(netTotal).toFixed(2);

		$('tr[rel='+itemNo+']').children('td.tool').children('input.item_totalnet_price').val(total);
		$('tr[rel='+itemNo+']').children('td.calculated').children('p.item_total_price').html(total);
		$('tr[rel='+itemNo+']').children('td.calculated').children('p.item_price_discount').html('-'+discounted);
		$('tr[rel='+itemNo+']').children('td.item_net_price').html(netTotal);
		$('tr[rel='+itemNo+']').children('td.tool').children('input[name=item_net_price]').val(netTotal);
		calculateTotal();
	});
	
	$('input.discount_type').change(function(){
		$('input.item_qty').change();
		calculateTotal();
	});
	
	$('input.item_discount').change(function(){
		$('input.item_qty').change();
		calculateTotal();
	});
	
	$('a.remove').click(function(){
		$(this).parents('tr').remove();
	});

}



</script>
	<div class="status">
	
	</div>
	<div id="product-search" class="global-modal-form">
		<div class="global-modal-form-body">
			<h3>Product Search</h3>
			<table class="grid-form grid-form-transparent">
				<tr>
					<td class="label">Search</label>
					<td><input type="text" name="product_search" class="text" /> in <?=form_dropdown('st',array('Product Name'=>'Product Name','SKU'=>'SKU'))?></td>
				</tr>
			</table>
			<div class="modal-search-result" style="overflow-y:scroll">
				<table class="grid">
					<thead>
						<tr>
							<th>Product Name</th>
							<th>In Stock</th>
							<th>Unit Price (<?php echo $this->system->config('currency'); ?>)</th>
						</tr>
					</thead>
					<tbody>
					
					</tbody>
				</table>
			</div>
			<hr />
			<p style="padding: 10px 0;"><a class="v-dbtn add-product-item">Add</a> <a class="v-dbtn search-product-done">Done</a></p>
		</div>
	</div>
		

	<div class="main_full">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
		<h3 class="grid-title"><a class="v-dbtn target_main" style="float:right; padding:0 25px; margin-top: -1px" href="inventory/stock_returns">Back</a>New Return Entry</h3>
		<div class="main-container">

		<form method="post" action="<?=base_url()?>inventory/add_returns/do" target="postframe">
			<h3 class="general-form-header">Return Details</h3>
			<table class="general-form">
				<tr class="four">
					<td class="label">Subject <span class="red">*</span></td>
					<td class="input"><input type="text" name="subject" class="v-text mandatory" /></td>
					<td class="label">Date <span class="red">*</span></td>
					<td class="input"><input type="text" name="date" class="v-text date mandatory" /></td>
				</tr>

				<tr class="four">
					<td class="label">Supplier <span class="red">*</span></td>
					<td class="input"><?=form_dropdown('supplier',$suppliers_dropdown,'','class="v-dropdown" style="width: 100%"'); ?></td>
					<td class="label">Status <span class="red">*</span></td>
					<td class="input"><?=form_dropdown('status',array('Created'=>'Created','Returned'=>'Returned'),'','class="v-dropdown" style="width: 100%"'); ?></td>
				</tr>
			</table>
			
			
			
			<h3 class="general-form-title">Items</h3>
			<table class="order-form">
				<thead>
					<tr class="main-header">
						<th colspan="4">Item Details</th>
					</tr>
					<tr class="sub-header">
						<th style="width: 25px"><img src="<?=base_url()?>images/email-action.gif" alt="Action" /></th>
						<th>Item</th>
						<th style="width:150px">Qty in Stock</th>
						<th style="width:150px">Return Quantity</th>
					</tr>
				</thead>
				<tfoot>
					<tr>
						<td colspan="4" style="padding: 10px 5px"><a class="add-product v-btn" href="#search-product">Add Product</a></td>
					</tr>
				</tfoot>
				<tbody>
			
				</tbody>
			</table>
			<input type="hidden" name="grand_total" />
			<h3 class="general-form-title">Remarks</h3>
			<table class="general-form">
				<tr>
					<td class="label">Remarks</td>
					<td class="input"><textarea name="remarks"></textarea></td>
				</tr>
			</table>
			
			<a class="v-btn submit_btn">Save</a>
			<br />
		</form>
		</div>
	</div>
