<script type="text/javascript">

$(document).ready(function(){

	$('div.filter input').keypress(function(e){
		
		if (e.which == 13) filterItems();
	});
	
	$('div.filter select').keypress(function(e){
		if (e.which == 13) filterItems();
	});
	
	$('a.filter-btn').click(function(){
		filterItems();
	});
});

function filterItems(){
	var date_from = $('input.filter-date-from').val();
	var date_to = $('input.filter-date-to').val();
	var status = $('select.filter-status').val();
	var supplier = $('select.filter-supplier').val();
	
	$('table.grid tbody').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	
	$.ajax({
		url: base_url + 'inventory/returns_filter',
		type: 'POST',
		data: 'date_from='+date_from+'&date_to='+date_to+'&status='+status+'&supplier='+supplier,
		success: function (result){
			$('table.grid tbody').html(result);
		}
	})
}

</script>
		<div class="main_full">
			<div class="jobsheet-container">
				<h3 class="grid-title"><a href="inventory/add_returns" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">New Returns</a>Stock Returns</h3>
				
				<div class="global-tabs filter" style="padding: 5px 5px; font-size: 10pt;">
					Date from <input type="text" name="date_from" class="v-text date filter-date-from" style="width: 130px; margin-right: 10px" />
					to <input type="text" name="date_to" class="v-text date filter-date-to" style="width: 130px; margin-right: 10px" />
					Supplier <?php echo form_dropdown('supplier', $suppliers_dropdown, '', 'class="v-dropdown filter-supplier" style="margin-right: 10px; width: 130px; font-size: 10pt"'); ?>
					Status <?php echo form_dropdown('status', array('Select','Created'=>'Created','Returned'=>'Returned'), '', 'class="v-dropdown filter-status" style="margin-right: 10px; width: 130px; font-size: 10pt"'); ?>

					<a class="v-btn filter-btn search">Filter</a>
				</div>
				<table class="grid">
					<thead>
						<tr>
							<th>Date</th>
							<th>Subject</th>
							<th>Supplier</th>
							<th>Status</th>
							<th class="grid-action" style="text-align: center"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
						</tr>
					</thead>
					<tbody>
						<?php $x=0; foreach ($returns as $return): ?>
						<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
							<td><?php echo date('d/m/Y',strtotime($return->date)); ?></td>
							<td><?php echo $return->subject; ?></td>
							<td><?php echo $return->supplier; ?></td>
							<td><?php echo $return->status; ?></td>
							<td style="width: 50px">
								<a class="grid-action grid-action-view target_main" href="inventory/view_returns/<?=$po->id?>"><span>Edit</span></a>
								<?php if ($return->status == 'Created'): ?>
								<a class="grid-action grid-action-delete" href="inventory/delete_returns/<?=$po->id?>"><span>Delete</span></a>
								<?php endif; ?>
							</td>
						</tr>
						<?php $x++; endforeach; ?>
					</tbody>
				</table>
			</div>
			
		</div>