<?php if (!$this->user->has_access('inventory')) die('You do not have the permissions to access this area.'); ?>

<script type="text/javascript">

var filtered = false;

reload_data = 'limit=100';

function filterItems(){
	var name = $('input.filter-name').val();
	var person = $('input.filter-person').val();
	var number = $('input.filter-number').val();
	
	$('table.grid_data tbody').html('<td colspan="5" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	
	$.ajax({
		url: base_url + 'inventory/supplier_filter',
		type: 'POST',
		data: 'number='+number+'&name='+name+'&person='+person,
		success: function (result){
			$('div.main_full').html(result);
			$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
			populateEvents();
			
			filtered = true;
		}
	})
}

function reloadGrid(){
	$.ajax({
		url: base_url + 'inventory/supplier_filter',
		type: 'POST',
		data: reload_data,
		success: function (result){
			$('div.main_full').html(result);
			$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
			populateEvents();
			
			if (reload_sort){
				$('th.sortable[rel='+reload_sort+']').addClass(reload_order).click();
			}
			
		}
	});
}

</script>
	<div class="toolbar">
		<h3 class="grid-title">
			<?php if ($this->user->has_permission('to_add','inventory')): ?><a href="inventory/add_supplier" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">Add Supplier</a><?php endif; ?>
			Suppliers
		</h3>
		<div class="global-tabs filter" style="padding: 5px 5px; font-size: 10pt;">
				Supplier Name <input type="text" name="name" class="v-text filter-name" style="width: 130px; margin-right: 10px" />
				Contact Person <input type="text" name="name" class="v-text filter-person" style="width: 130px; margin-right: 10px" /> 
				Contact Number <input type="text" name="name" class="v-text filter-number" style="width: 130px; margin-right: 10px" />
				<a class="v-btn filter-btn">Filter</a>
			</div>
		<table class="grid" rel="im">
			<thead>
				<tr>
					<th class="sortable" rel="1">Name</th>
					<th class="sortable" rel="2" style="width: 150px">Contact Person</th>
					<th class="sortable" rel="3" style="width: 100px">Contact Number</th>
					<th class="sortable" rel="4" style="width: 200px">Description</th>
					<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
					<th style="width: 15px; padding: 0;"></th>
				</tr>
			</thead>
		</table>
	</div>

	<div class="main_full">
		<table class="grid grid_data">
			<tbody>
				<?php $x=0; foreach ($suppliers as $supplier): ?>
				<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
					<td rel="1"><?php echo $supplier->name; ?></td>
					<td rel="2" style="width: 150px"><?php echo $supplier->contact_person; ?></td>
					<td rel="3" style="width: 100px"><?php echo $supplier->contact_number; ?></td>
					<td rel="4" style="width: 200px"><?php echo $supplier->description; ?></td>
					<td style="width: 75px; padding: 0">
						<?php if ($this->user->has_permission('to_view','inventory')): ?><a class="grid-action grid-action-view" href="inventory/view_supplier/<?php echo $supplier->id?>"><span>View</span></a><?php endif; ?>
						<?php if ($this->user->has_permission('to_delete','inventory')): ?><a class="grid-action grid-action-delete" href="inventory/delete_supplier/<?php echo $supplier->id?>"><span>Delete</span></a><?php endif; ?>
						<?php if ($this->user->has_permission('to_edit','inventory')): ?><a class="grid-action grid-action-edit" href="inventory/edit_supplier/<?php echo $supplier->id?>"><span>Edit</span></a><?php endif; ?>
					</td>
				</tr>
				<?php $x++; endforeach; ?>
			</tbody>
		</table>					
	</div>
	
	
	
	
	