<?php if (!$this->user->has_permission('to_view_settings','Inventory')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var content;

function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Inventory','Configuration has been updated.');
	} else {
		showDialog('ok','Error','Settings could not be saved at the moment. Please try again alter.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}

$(document).ready(function(){
	$('a.create').click(function(event){
		$('form.insert').submit();
		event.preventDefault();
	});
});

</script>
		<div class="toolbar">
			<h3 class="grid-title">Settings</h3>
			<?php if ($this->user->has_permission('to_manage_settings','Inventory')): ?>
			<div class="global-tabs" style="padding: 5px">
				<a class="v-btn create">Save</a>
			</div>
			<?php endif; ?>
		</div>
		<div class="status">
		
		</div>

		<div class="main_full">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>

		<form class="insert" <?php if ($this->user->has_permission('to_manage_settings','Inventory')): ?> method="post" action="<?=base_url()?>inventory/config/do" target="postframe" enctype="multipart/form-data" <?php endif; ?>>
			<table class="general-form">
				<tr>
					<td style="padding: 5px; font-weight: bold; font-size: 11pt; background: #DDD; border-bottom: 1px solid #BBB; border-top: 1px solid #FFF;" colspan="2">General</td>
				</tr>
				<tr class="two">
					<td class="label">Purchase Order Terms &amp; Conditions</td>
					<td class="input"><textarea name="po_tnc" class="v-textarea"><?=$this->system->config('po_tnc')?></textarea></td>
				</tr>
				<tr class="two">
					<td class="label">Purchase Order Footer</td>
					<td class="input"><textarea name="po_footer" class="v-textarea"><?=$this->system->config('po_footer')?></textarea></td>
				</tr>	
				<tr class="two">
					<td class="label">Purchase Request Terms &amp; Conditions</td>
					<td class="input"><textarea name="pr_tnc" class="v-textarea"><?=$this->system->config('pr_tnc')?></textarea></td>
				</tr>
				<tr class="two">
					<td class="label">Purchase Request Footer</td>
					<td class="input"><textarea name="pr_footer" class="v-textarea"><?=$this->system->config('pr_footer')?></textarea></td>
				</tr>
				<tr class="two">
					<td class="label">Debit Note Terms &amp; Conditions</td>
					<td class="input"><textarea name="dn_tnc" class="v-textarea"><?=$this->system->config('dn_tnc')?></textarea></td>
				</tr>
				<tr class="two">
					<td class="label">Debit Note Footer</td>
					<td class="input"><textarea name="dn_footer" class="v-textarea"><?=$this->system->config('dn_footer')?></textarea></td>
				</tr>
				<tr class="two">
					<td class="label">Cost Flow Assumption</td>
					<td class="input"><?php echo form_dropdown('cost_update_method',array('average'=>'Cost Average','lifo'=>'Last-in First-out','fifo'=>'First-in First-out'),$this->system->config('cost_update_method')); ?></td>	
				</tr>
				<?php if ($this->system->uses('Branches')): ?>
				<tr>
					<td style="padding: 5px; font-weight: bold; font-size: 11pt; background: #DDD; border-bottom: 1px solid #BBB; border-top: 1px solid #FFF;" colspan="2">Branch &amp; Warehouse</td>
				</tr>
				<tr class="two">
					<td class="label">Shared Inventory Items</td>
					<td class="input"><input type="checkbox" name="warehouse_shared_inventory" value="1" <?php if ($this->system->config('warehouse_shared_inventory')) echo 'checked="checked"'; ?> /> Yes</td>
				</tr>
				<?php endif; ?>

			</table>
		</form>		
		</div>
