<?php if (!$this->user->has_permission('to_view_item','Inventory')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">


function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Inventory','Item has been updated.');
		form_warning = false;
	} else if (status == 0) {
		showDialog('ok','Error','Item cannot be saved now. Please login again.');
		$('div.main_full').show();
		$('div.status').hide();
	} 
}

function normalizeChart(){
	var maxHeight = parseInt($('td.data').attr('maxtotal'));
	$('div.current').each(function(){
		var height = (parseInt($(this).attr('barheight')) / maxHeight) * 177;
		$(this).css('height', height+'px'); 
	});
	
	$('div.previous').each(function(){
		var height = (parseInt($(this).attr('barheight')) / maxHeight) * 177;

		$(this).css('height', height+'px'); 
	});
	
	$('td.max').text(maxHeight);
	$('td.three-quarter').text(parseInt(maxHeight * 3 / 4));
	$('td.quarter').text(parseInt(maxHeight / 4));
	$('td.half').text(parseInt(maxHeight / 2));
}


$(document).ready(function(){

	normalizeChart();
	
	$('a.create').click(function(event){
		$(this).parents('form').submit();
		event.preventDefault();
	});
	
	$('form').submit(function(){
	
		var ok = true;
		$('input.mandatory').each(function(){
			if (!$(this).val()) ok = false;
		});
		
		if (!ok){
			showDialog('ok','Form Error','Please make sure you have filled the form correctly.');
			return false;
		}
		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
	
	
	$('div.global-tabs li a').click(function(){
		$('.tab-related').hide();
		var current = $(this).attr('href');
		$('table.'+current).show();
	});

});
</script>
<style>
.hidden{display:none};
</style>
<?php if($this->user->has_permission('to_view_cost','Inventory')){
	$HideCost="";
}else{
	$HideCost="hidden";
}
?>
	<div class="status">
	
	</div>
	<div class="toolbar">
		<h3 class="grid-title"><a href="inventory/items" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn back_btn">Back</a>Item Details &raquo; <?php echo $item->name; ?></h3>
		<div>
			<table class="general-form" style="margin-bottom: 0">
				<tbody>
					<tr class="four">
						<td class="label">Item</td>
						<td class="input"><?php echo $item->name; ?> (<?php echo $item->sku; ?>)</td>
						<td class="label">Category </td>
						<td class="input"><?php echo $item->subcategory; ?>, <?php echo $item->category; ?></td>
					</tr>
					<tr class="four">
						<td class="label">Current Quantity</td>
						<td class="input"><?php echo $item->qty; ?></td>
						<td class="label">Consigned Quantity</td>
						<td class="input"><?php echo $consignment->balance; ?></td>
					</tr>
					<tr class="four">
						<td class="<?php echo $HideCost; ?> label">Cost</td>
						<td class="<?php echo $HideCost; ?> input"><?php echo $item->cost; ?></td>
						<td class="label">Selling Price</td>
						<td class="input"><?php echo $item->price; ?></td>
					</tr>
					<tr class="four">
						<td class="label">Alert Quantity</td>
						<td class="input"><?php echo $item->alert_quantity; ?></td>					
						<td class="label">Maximum Quantity</td>
						<td class="input"><?php echo $item->max_quantity; ?></td>					
					</tr>
					<!--
					<tr class="four">
						<td class="label">Description</td>
						<td class="input"><?php echo $item->description; ?></td>
						<td class="label">Remarks</td>
						<td class="input"><?php echo $item->remarks; ?></td>
					</tr>
					-->
				</tbody>
			</table>
		</div>
		<div class="global-tabs" style="padding: 5px 5px 0 5px">
			<ul>
				<li><a href="purchase-history" class="current">Purchase History</a></li>
				<li><a href="price-history">Price History</a></li>
				<li><a href="cost-history">Cost History</a></li>
			</ul>
		</div>
		<table class="grid purchase-history tab-related">
			<thead>
				<tr>
					<th class="sortable" rel="1" style="width: 100px">Date</th>
					<th class="sortable" rel="2" style="width: 100px">PO No.</th>
					<th class="sortable" rel="3" style="width: 100px">Invoice No.</th>
					<th class="sortable" rel="4">Supplier</th>
					<th class="sortable" rel="5" style="width: 100px">Ordered Quantity</th>
					<th class="sortable" rel="6" style="width: 100px">Received Quantity</th>
					<th class="sortable" rel="7" style="width: 100px">Price per unit (<?php echo $this->system->config('currency'); ?>)</th>
					<th class="sortable" rel="8" style="width: 100px">Total Price (<?php echo $this->system->config('currency'); ?>)</th>
					<th style="width: 15px"></th>
				</tr>
			</thead>
		</table>
		
		<table class="grid price-history tab-related" style="display:none">
			<thead>
				<tr>
					<th class="sortable" rel="1">Date Range</th>
					<th class="sortable" rel="2" style="width: 100px">Total Quantity</th>
					<th class="sortable" rel="3" style="width: 100px">Price per unit (<?php echo $this->system->config('currency'); ?>)</th>
					<th class="sortable" rel="4" style="width: 100px">Total Price (<?php echo $this->system->config('currency'); ?>)</th>
					<th style="width: 15px"></th>
				</tr>
			</thead>
		</table>
		
		<table class="grid cost-history tab-related" style="display:none">
			<thead>
				<tr>
					<th class="sortable" rel="1">Date Range</th>
					<th class="sortable" rel="2" style="width: 100px">Total Quantity</th>
					<th class="sortable" rel="3" style="width: 100px">Price per unit (<?php echo $this->system->config('currency'); ?>)</th>
					<th class="sortable" rel="4" style="width: 100px">Total Price (<?php echo $this->system->config('currency'); ?>)</th>
					<th style="width: 15px"></th>
				</tr>
			</thead>
		</table>
	</div>
	<div class="main_full">
		<table class="grid grid-data purchase-history tab-related">
			<tbody>
				<?php foreach ($orders as $order): ?>
				
				<?php if ($order->purchase_order_id == 0): ?>
				
				<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
					<td rel="1" style="width: 100px">N/A</td>
					<td rel="2" style="width: 100px">N/A</td>
					<td rel="3" style="width: 100px">N/A</td>
					<td rel="4" title="OFFSET/ADJUSTMENT STOCK">OFFSET/ADJUSTMENT STOCK</td>
					<td rel="5" style="width: 100px; text-align: center;"><?php echo $order->qty; ?></td>
					<td rel="6" style="width: 100px; text-align: center;"><?php echo $order->received ? $order->received : '-'; ?></td>
					<td rel="7" style="width: 100px; text-align: right;">N/A</td>
					<td rel="8" style="width: 100px; text-align: right;">N/A</td>
				</tr>

				<?php else: ?>
			
				<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
					<td rel="1" style="width: 100px"><?php echo date('d/m/Y',strtotime($order->po->date)); ?></td>
					<td rel="2" style="width: 100px"><?php echo 'PO-' . $order->po->id; ?></td>
					<td rel="3" style="width: 100px"><?php echo $order->po->invoice_number; ?></td>
					<td rel="4" title="<?php echo $order->po->supplier; ?>"><?php echo $order->po->supplier; ?></td>
					<td rel="5" style="width: 100px; text-align: center;"><?php echo $order->qty; ?></td>
					<td rel="6" style="width: 100px; text-align: center;"><?php echo $order->received ? $order->received : '-'; ?></td>
					<td rel="7" style="width: 100px; text-align: right;"><?php echo number_format($order->price_per_unit,2); ?></td>
					<td rel="8" style="width: 100px; text-align: right;"><?php echo number_format($order->received_price,2); ?></td>
				</tr>
				
				<?php endif; ?>
				
				<?php $x++; endforeach; ?>
			</tbody>
		</table>
		
		<table class="grid grid-data price-history tab-related" style="display:none">
			<tbody>
				<?php $x=0; foreach ($prices as $price): ?>
				<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
					<td rel="1"><?php echo date('d/m/Y',strtotime($price->earliest_date)); ?> - <?php echo date('d/m/Y',strtotime($price->latest_date)); ?></td>
					<td rel="2" style="width: 100px; text-align: center;"><?php echo $price->total_qty; ?></td>
					<td rel="3" style="width: 100px; text-align: right;"><?php echo number_format($price->price_per_unit,2); ?></td>
					<td rel="4" style="width: 100px; text-align: right;"><?php echo number_format($price->price_per_unit*$price->total_qty,2); ?></td>
				</tr>
				<?php $x++; endforeach; ?>
			</tbody>
		</table>
		
		<table class="grid grid-data cost-history tab-related" style="display: none">
			<tbody class="<?php echo $HideCost;?>">
				<?php $x=0; foreach ($costs as $cost): ?>
				<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
					<td rel="1"><?php echo date('d/m/Y',strtotime($cost->earliest_date)); ?> - <?php echo date('d/m/Y',strtotime($cost->latest_date)); ?></td>
					<td rel="2" style="width: 100px; text-align: center;"><?php echo $cost->total_qty; ?></td>
					<td rel="3" style="width: 100px; text-align: right;"><?php echo number_format($cost->cost_per_unit,2); ?></td>
					<td rel="4" style="width: 100px; text-align: right;"><?php echo number_format($cost->cost_per_unit*$cost->total_qty,2); ?></td>
				</tr>
				<?php $x++; endforeach; ?>
			</tbody>
		</table>
	</div>




<?php if ($trend_chart): ?>
			<div class="trend_chart">
				<table style="margin-top: 15px; height: 230px; border-collapse: collapse; font-size: 11px">
					<tr>
						
						<td class="axis_label" style="padding: 0 10px">
							<table style="border-collapse: collapse; height: 220px; margin-top: 10px; font-size: 11px; text-align: right; ">
								<tr>
									<td class="max" style="vertical-align:middle;"></td>
								</tr>
								<tr>
									<td class="three-quarter" style="vertical-align:middle"></td>
								</tr>
								<tr>
									<td class="half" style="vertical-align:middle"></td>
								</tr>
								<tr>
									<td class="quarter" style="vertical-align:middle"></td>
								</tr>
								<tr>
									<td class="min" style="vertical-align:middle">0</td>
								</tr>

							</table>
						</td>
						<?php foreach ($pos as $po): ?>
						<td style="vertical-align: bottom">

							<?php 
								$total += $po->qty; 
								$cost = $po->price_per_unit;
								
								$sold = $this->inv->get_sale_count_by_date($po->item_id, $po->date);
								$stock_left = $total - $sold;
								$prev = $stock_left - $po->qty;
								
								$active_cost = $stock_left;
								
								$cur_total = $stock_left;
								
								if ($cur_total > $max_total) $max_total = $cur_total;

								if ($prev < 0) $prev = 0;
							?>
							<div style="width: 80px;" class="total" barheight="<?php echo $po->qty + $prev; ?>">
								<div class="current" barheight="<?php echo $po->qty; ?>" style="background: #8596ba">
							
								</div>
								<div class="previous" barheight="<?php echo $prev; ?>" style="background: #d6dde5">
							
								</div>
								<div class="date" style="padding: 5px; text-align: center">
								<?php echo date('d/m/Y',strtotime($po->date)); ?>
								</div>
							</div>
						</td>
						<?php endforeach; ?>

						<td class="data" maxtotal="<?php echo $max_total; ?>"></td>
					</tr>
				</table>
			</div>
			<?php endif; ?>