<?php if (!$this->user->has_permission('to_view_item','Inventory')) die('You do not have the permissions to access this area.'); ?>

<script type="text/javascript">

var filtered = false;

reload_data = 'limit=100';
cell_update_url = 'inventory/update_cell';

function filterItems(){
	var sku = $('input.filter-sku').val();
	var name = $('input.filter-name').val();
	var category = $('select.filter-category').val();
	var subcategory = $('select.filter-subcategory').val();
	
	if ($('input.filter-alert').attr('checked')) var alert = 1;
	else var alert = 0;
	
	$('table.grid_data tbody').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	
	$.ajax({
		url: base_url + 'inventory/items_filter',
		type: 'POST',
		data: 'sku='+sku+'&name='+name+'&category='+category+'&subcategory='+subcategory+'&alert='+alert,
		success: function (result){
			reload_data = 'sku='+sku+'&name='+name+'&category='+category+'&subcategory='+subcategory+'&alert='+alert;
			$('div.main_full').html(result);
			$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
			populateEvents();
			
			filtered = true;
		}
	})
}

function reloadGrid(){
	$.ajax({
		url: base_url + 'inventory/items_filter',
		type: 'POST',
		data: reload_data,
		success: function (result){
			$('div.main_full').html(result);
			$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
			populateEvents();
			
			if (reload_sort){
				$('th.sortable[rel='+reload_sort+']').addClass(reload_order).click();
			}
			
		}
	});
}

</script>
<style>
.hidden{display:none};
</style>
<?php if($this->user->has_permission('to_view_cost','Inventory')){
	$HideCost="";
}else{
	$HideCost="hidden";
}
?>
		<div class="toolbar">
			<h3 class="grid-title">
				Consignments
			</h3>
			
			
			<table class="grid">
				<thead>
					<tr>
						<th class="sortable" rel="2">Item</th>
						<th class="sortable" rel="7" style="width: 70px">Consigned</th>

						<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
					</tr>
				</thead>
			</table>
		</div>

		<div class="main_full">
			<table class="grid grid_data">
    			<?php
    				if ($this->user->has_permission('to_edit_item','Inventory')) $editable = 'editable';
    			?>    			
    			<tbody>
    				<?php $x=0; foreach ($items as $item):  ?>
    				<tr rel="<?php echo $item->id; ?>" <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
    					<td rel="2" class="<?php echo $editable; ?> truncate" value="<?php echo $item->item_name; ?>" type="v-text" field="name" title="<?php echo $item->item_name; ?>"><?php echo $item->item_name; ?></td>
    					<td rel="7" value="<?php echo $item->qty_consigned; ?>" type="v-number" field="qty" style="text-align: right; width: 70px"><?php echo $item->qty_consigned; ?></td>    					  					
     					<td style="width: 75px; padding: 0;">
    						<?php if ($this->user->has_permission('to_view_item','Inventory')): ?><a class="grid-action grid-action-view" href="inventory/consignment_view/<?=$item->id?>"><span>View</span></a><?php endif; ?>
    					</td>
	   				</tr>
    				<?php $x++; endforeach; ?>
    			</tbody>
    		</table>
		</div>
