<?php if (!$this->user->has_permission('to_view_debit_note','Inventory')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var filtered = false;

reload_data = 'limit=100';

function filterItems(){
	var number = $('input.filter-number').val();
	var date_from = $('input.filter-date-from').val();
	var date_to = $('input.filter-date-to').val();
	var payment_status = $('select.filter-payment-status').val();
	var status = $('select.filter-status').val();
	var term = $('select.filter-term').val();

	
	$('table.grid tbody').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	
	$.ajax({
		url: base_url + 'inventory/dn_filter',
		type: 'POST',
		data: 'number='+number+'&date_from='+date_from+'&date_to='+date_to+'&payment_status='+payment_status+'&status='+status+'&term='+term,
		success: function (result){
			reload_data = 'number='+number+'&date_from='+date_from+'&date_to='+date_to+'&payment_status='+payment_status+'&status='+status+'&term='+term;
			$('div.main_full').html(result);
			populateEvents();
		}
	});
}

function reloadGrid(){
	$.ajax({
		url: base_url + 'inventory/dn_filter',
		type: 'POST',
		data: reload_data,
		success: function (result){
			$('div.main_full').html(result);
			$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
			populateEvents();
			
			if (reload_sort){
				$('th.sortable[rel='+reload_sort+']').addClass(reload_order).click();
			}
			
		}
	});
}

</script>
		<div class="toolbar">
			<h3 class="grid-title">
				<?php if ($this->user->has_permission('to_create_debit_note','Inventory')): ?><a href="inventory/dn_add" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">New Debit Note</a><?php endif; ?>
				Debit Notes
			</h3>
			
			<div class="global-tabs" style="padding: 5px; font-size: 10pt">
				<a class="v-btn show-filter-controls icon-search">Search</a>
			</div>
			
    		<div class="modal-filter-form filter" style="font-size: 10pt;">
				<div class="triangle"></div>
				<table>
					<tr>
						<td>DN No.</td>
						<td><input type="text" name="number" class="v-text filter-number" style="width: 80px;" /></td>
					</tr>
					<tr>
		    			<td>From</td>
		    			<td><input type="text" name="date_from" class="v-text date filter-date-from" style="width: 80px" /></td>
					</tr>
					<tr>
		    			<td>To</td>
		    			<td><input type="text" name="date_to" class="v-text date filter-date-to" style="width: 80px" /></td>
					</tr>
					<tr>
		    			<td>Term</td>
		    			<td><?php echo form_dropdown('term', array('Select','Cash'=>'Cash','Credit'=>'Credit'), '', 'class="v-dropdown filter-term" style="width: 130px; font-size: 10pt"'); ?></td>
					</tr>
					<tr>
		    			<td>Supplier</td>
		    			<td><?php echo form_dropdown('supplier', $suppliers_dropdown, '', 'class="v-dropdown filter-supplier" style="margin-right: 10px; width: 130px; font-size: 10pt"'); ?></td>
					</tr>
					<tr>
		    			<td>Status</td>
		    			<td><?php echo form_dropdown('status', array('Select','Pending'=>'Pending','Partially Received'=>'Partially Received','Received'=>'Received'), '', 'class="v-dropdown filter-status" style="margin-right: 10px; width: 130px; font-size: 10pt"'); ?></td>
					</tr>
				</table>
				<hr />
				<a class="v-btn filter-btn search">Filter</a>
    		</div>
    		


    		<table class="grid">
    			<thead>
    				<tr>
    					<th class="sortable-date" rel="1" style="width: 90px">DN No.</th>
    					<th class="sortable" rel="2" style="width: 90px">CN No.</th>
    					<th class="sortable-date" rel="3" style="width: 90px">Date</th>
    					<th class="sortable" rel="4">Supplier</th>
    					<th class="sortable" rel="5" style="width: 90px">Term</th>
    					<th class="sortable" rel="6" style="width: 90px">Status</th>
    					<th class="sortable" rel="7" style="width: 90px">Payment</th>
    					<th class="sortable" rel="8" style="width: 100px">Amount (<?php echo $this->system->config('currency'); ?>)</th>							
						<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
    				</tr>
    			</thead>
    		</table>
		</div>
		
		<div class="main_full">
			<table class="grid grid_data">
				<tbody>
					<?php $x=0; foreach ($dns as $dn): ?>
					<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
						<td rel="1" class="sortable-date" time="<?php echo $dn->txn_no; ?>"  style="width: 90px"><?php echo 'DN-' . $dn->txn_no; ?></td>
						<td rel="2" class="sortable" style="width: 90px"><?php echo $dn->cn_number ? $dn->cn_number : 'N/A'; ?></td>
						<td rel="3" class="sortable-date" time="<?php echo strtotime($dn->date);?>" style="width: 90px"><?php echo date('d/m/Y',strtotime($dn->date)); ?></td>
						<td rel="4" class="sortable"><?php echo $dn->supplier; ?></td>
						<td rel="5" class="sortable" style="width: 90px"><?php echo $dn->terms; ?></td>
						<td rel="6" class="sortable" style="width: 90px"><?php echo $dn->status; ?></td>
						<td rel="7" class="sortable" style="width: 90px"><?php echo $dn->payment_status == 'Unpaid' ? '<span style="color:red">Unpaid</span>' : ($dn->payment_contra ? 'Contra' : $dn->payment_status); ?></td>
						<td rel="8" class="sortable" style="text-align: right; width: 100px"><?php echo $dn->total_received == 0 ? $dn->total : $dn->total_received; ?></td>
						<td class="sortable" style="width: 75px; padding: 0">
							<?php if ($this->user->has_permission('to_view_debit_note','Inventory')): ?><a class="grid-action grid-action-view target_main" href="inventory/dn_view/<?=$dn->id?>"><span>View</span></a><?php endif; ?>
							<?php if ($dn->status == 'Pending'): ?>
							<?php if ($this->user->has_permission('to_edit_debit_note','Inventory')): ?><a class="grid-action grid-action-edit target_main" href="inventory/dn_edit/<?=$dn->id?>"><span>Edit</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_delete_debit_note','Inventory')): ?><a class="grid-action grid-action-delete" href="inventory/dn_delete/<?=$dn->id?>"><span>Delete</span></a><?php endif; ?>
							<?php endif; ?>
						</td>
					</tr>
					<?php $x++; endforeach; ?>
				</tbody>
			</table>
		</div>