<?php if (!$this->user->has_access('Inventory')) die('You do not have the permissions to access this area.'); ?>

<script type="text/javascript">

var filtered = false;

reload_data = 'limit=100';
cell_update_url = 'inventory/update_cell';

function filterItems(){
	var sku = $('input.filter-sku').val();
	var name = $('input.filter-name').val();
	var category = $('select.filter-category').val();
	var subcategory = $('select.filter-subcategory').val();
	
	$('table.grid_data tbody').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	
	$.ajax({
		url: base_url + 'inventory/items_filter',
		type: 'POST',
		data: 'sku='+sku+'&name='+name+'&category='+category+'&subcategory='+subcategory,
		success: function (result){
			$('div.main_full').html(result);
			$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
			populateEvents();
			
			filtered = true;
		}
	})
}

function reloadGrid(){
	$.ajax({
		url: base_url + 'inventory/items_filter',
		type: 'POST',
		data: reload_data,
		success: function (result){
			$('div.main_full').html(result);
			$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
			populateEvents();
			
			if (reload_sort){
				$('th.sortable[rel='+reload_sort+']').addClass(reload_order).click();
			}
			
		}
	});
}

</script>
<style>
.hidden{display:none};
</style>
<?php if($this->user->has_permission('to_view_cost','Inventory')){
	$HideCost="";
}else{
	$HideCost="hidden";
}
?>
		<div class="toolbar">
			<h3 class="grid-title">
				Alert Items
			</h3>
			<table class="grid">
				<thead>
					<tr>
						<th class="sortable" rel="1" style="width: 110px">Item SKU</th>
						<th class="sortable" rel="2">Item Name</th>
						<th class="sortable" rel="3" style="width: 100px">Category</th>
						<th class="sortable" rel="4" style="width: 100px">Subcategory</th>
						<th class="<?php echo $HideCost;?> sortable" rel="5" style="width: 70px">Cost (<?php echo $this->system->config('currency'); ?>)</th>
						<th class="sortable" rel="6" style="width: 70px">Price (<?php echo $this->system->config('currency'); ?>)</th>
						<th class="sortable" rel="7" style="width: 70px">Margin (%)</th>
						<th class="sortable" rel="8" style="width: 70px">Qty in Stock</th>
						<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
					</tr>
				</thead>
			</table>
		</div>

		<div class="main_full">
			<table class="grid grid_data">
    			
    			<tbody>
    				<?php $x=0; foreach ($items as $item): ?>
    				<tr rel="<?php echo $item->id; ?>" <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
    					<td rel="1" class="editable" value="<?php echo $item->sku; ?>" type="v-text" field="sku" style="width: 110px"><?php echo $item->sku; ?></td>
    					<td rel="2" class="editable truncate" value="<?php echo $item->name; ?>" type="v-text" field="name" title="<?php echo $item->name; ?>"><?php echo $item->name; ?></td>
    					<td rel="3" class="editable" value="<?php echo $item->category; ?>" type="v-text" field="category" style="width: 100px"><?php echo $item->category; ?></td>
    					<td rel="4" class="editable" value="<?php echo $item->subcategory; ?>" type="v-text" field="subcategory" style="width: 100px"><?php echo $item->subcategory; ?></td>
    					<td rel="5" class="<?php echo $HideCost;?>  cost" style="text-align: right; width: 70px"><?php echo $item->cost; ?></td>
    					<td rel="6" callback="recalculateMargin(id,val)" class="editable" value="<?php echo $item->price; ?>" type="v-number-decimal" field="price" style="text-align: right; width: 70px"><?php echo $item->price; ?></td>
						<td rel="7" class="margin" style="text-align: right; width: 70px"><?php echo number_format(($item->price-$item->cost) / $item->price * 100,2); ?></td>
    					<td rel="8" style="text-align: right; width: 70px"><?php echo $item->qty; ?></td>    					
    					<td style="width: 75px; padding: 0;">
    						<?php if ($this->user->has_permission('to_view','inventory')): ?><a class="grid-action grid-action-view" href="inventory/item_view/<?=$item->id?>"><span>View</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_edit','inventory')): ?><a class="grid-action grid-action-edit" href="inventory/item_edit/<?=$item->id?>"><span>Edit</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_delete','inventory')): ?><a class="grid-action grid-action-delete" href="inventory/item_delete/<?=$item->id?>"><span>Delete</span></a><?php endif; ?>
    					</td>
    				</tr>
    				<?php $x++; endforeach; ?>
    			</tbody>
    		</table>
		</div>
