	<div class="toolbar">
		<h3 class="grid-title">Overview</h3>
		<table class="general-form" style="margin-bottom: 0">
			<tr class="four">
				<td class="label">Total Items</td>
				<td class="input"><?php echo $total_items; ?></td>
				<td class="label">Total Categories</td>
				<td class="input"><?php echo $total_categories; ?></td>
			</tr>
			<tr class="four">
				<td class="label">Total Subcategories</td>
				<td class="input"><?php echo $total_subcategories; ?></td>
				<td class="label">Total Brands</td>
				<td class="input"><?php echo $total_brands; ?></td>
			</tr>
		</table>
		<h3 class="grid-title">Alert Items</h3>
		<table class="grid">
			<thead>
				<tr>
					<th class="sortable" rel="1" style="width: 110px">Item SKU</th>
					<th class="sortable" rel="2">Item Name</th>
					<th class="sortable" rel="8" style="width: 70px">Qty in Stock</th>
					<th class="sortable" rel="9" style="width: 70px">Qty Needed</th>
					<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
					<th style="width: 15px; padding: 0;"></th>
				</tr>
			</thead>
		</table>
	</div>
	<div class="main_full">
		<table class="grid grid_data">
			<tbody>
				<?php $x=0; foreach ($items as $item):  ?>
    		    <tr rel="<?php echo $item->id; ?>" <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
      		    	<td rel="1" class="<?php echo $editable; ?>" value="<?php echo $item->sku; ?>" type="v-text" field="sku" style="width: 110px"><?php echo $item->item_sku; ?></td>
    		    	<td rel="2" class="<?php echo $editable; ?> truncate" value="<?php echo $item->name; ?>" type="v-text" field="name" title="<?php echo $item->item_name; ?>"><?php echo $item->item_name; ?></td>
    		    	<td rel="8" class="<?php if ($this->user->has_permission('to_adjust_quantity','inventory')) echo 'editable' ?>" value="<?php echo $item->qty; ?>" type="v-number" field="qty" style="text-align: right; width: 70px"><?php echo $item->qty; ?></td>    					
    		    	<td rel="9" class="" style="text-align: right; width: 70px"><?php echo $item->alert_quantity - $item->qty; ?></td>
     		    	<td style="width: 75px; padding: 0;">
    		    		<?php if ($this->user->has_permission('to_view','inventory')): ?><a class="grid-action grid-action-view" href="inventory/item_view/<?=$item->id?>"><span>View</span></a><?php endif; ?>
			    		<?php if ($this->user->has_permission('to_edit','inventory')): ?><a class="grid-action grid-action-edit" href="inventory/item_edit/<?=$item->id?>"><span>Edit</span></a><?php endif; ?>
			    		<?php if ($this->user->has_permission('to_delete','inventory')): ?><a class="grid-action grid-action-delete" href="inventory/item_delete/<?=$item->id?>"><span>Delete</span></a><?php endif; ?>
    		    	</td>
	   		    </tr>
    		    <?php $x++; endforeach; ?>
			</tbody>
		</table>
		<br />
	</div>