<?php if (!$this->user->has_permission('to_view_purchase_order','Inventory')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var filtered = false;

reload_data = 'limit=100';

$(document).ready(function(){
		
	$('input.inv-num').keyup(function(e){
		$('a.new-from-invoice').attr('href', 'inventory/po_from_invoice/'+$(this).val());		
		if (e.which == 13){
			$('a.new-from-invoice').click();
		}
	})

	
});


function filterItems(){
	var number 			= $('input.filter-number').val();
	var date_from 		= $('input.filter-date-from').val();
	var date_to 		= $('input.filter-date-to').val();
	var payment_status 	= $('select.filter-payment-status').val();
	var status 			= $('select.filter-status').val();
	var term 			= $('select.filter-term').val();
	var supplier 		= $('select.filter-supplier').val();
	
	$('table.grid tbody').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	
	$.ajax({
		url: base_url + 'inventory/po_filter',
		type: 'POST',
		data: 'number='+number+'&date_from='+date_from+'&date_to='+date_to+'&payment_status='+payment_status+'&status='+status+'&term='+term+'&supplier='+supplier,
		success: function (result){
			reload_data = 'number='+number+'&date_from='+date_from+'&date_to='+date_to+'&payment_status='+payment_status+'&status='+status+'&term='+term+'&supplier='+supplier;
			$('div.main_full').html(result);
			populateEvents();
			filtered = true;
		}
	})
}

function reloadGrid(){
	$.ajax({
		url: base_url + 'inventory/po_filter',
		type: 'POST',
		data: reload_data,
		success: function (result){
			$('div.main_full').html(result);
			$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
			populateEvents();
			
			if (reload_sort){
				$('th.sortable[rel='+reload_sort+']').addClass(reload_order).click();
			}
			
		}
	});
}

</script>
		<div class="toolbar">
			<h3 class="grid-title">
				<?php if ($this->user->has_permission('to_create_purchase_order','Inventory')): ?><a href="inventory/po_add" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">New Purchase Order</a><?php endif; ?>
				Purchase Orders
			</h3>
			
			<div class="global-tabs" style="padding: 5px; font-size: 10pt">
				<div style="float: right; text-align: right">
					Invoice Number <input class="v-text inv-num" type="text" name="inv" /> <a href="inventory/po_from_invoice" class="v-btn target_main new-from-invoice" style="font-weight: normal">New PO from Invoice</a> 
    			</div>
    			
				<a class="v-btn show-filter-controls icon-search">Search</a>
			</div>
    		
    		<div class="modal-filter-form filter" style="font-size: 10pt;">
				<div class="triangle"></div>
				<table>
					<tr>				
		    			<td>PO No.</td>
		    			<td><input type="text" name="number" class="v-text filter-number" style="width: 80px;" /></td>
					</tr>
					<tr>
		    			<td>From</td>
		    			<td><input type="text" name="date_from" class="v-text date filter-date-from" style="width: 80px" /></td>
					</tr>
					<tr>
		    			<td>To</td>
		    			<td><input type="text" name="date_to" class="v-text date filter-date-to" style="width: 80px; " /></td>
					</tr>
					<tr>
						<td>Term</td>
						<td><?php echo form_dropdown('term', array('Select','Cash'=>'Cash','Credit'=>'Credit'), '', 'class="v-dropdown filter-term" style="width: 130px; font-size: 10pt"'); ?></td>
					</tr>
					<tr>
		    			<td>Supplier</td>
		    			<td><?php echo form_dropdown('supplier', $suppliers_dropdown, '', 'class="v-dropdown filter-supplier" style="margin-right: 10px; width: 130px; font-size: 10pt"'); ?></td>
					</tr>
					<tr>
		    			<td>Payment Status</td>
		    			<td><?php echo form_dropdown('payment_status', array('Select','Unpaid'=>'Unpaid','Paid'=>'Paid'), '', 'class="v-dropdown filter-payment-status" style="margin-right: 10px; width: 130px; font-size: 10pt"'); ?></td>
					</tr>
					<tr>
						<td>Status</td>
						<td><?php echo form_dropdown('status', array('Select','Pending'=>'Pending','Partially Received'=>'Partially Received','Received'=>'Received'), '', 'class="v-dropdown filter-status" style="margin-right: 10px; width: 130px; font-size: 10pt"'); ?></td>
					</tr>
				</table>
				<hr />
				<a class="v-btn filter-btn search">Filter</a>				
    		</div>

    		<table class="grid">
    			<thead>
    				<tr>
    					<th class="sortable-date" rel="1" style="width: 90px">PO No.</th>
    					<th class="sortable" rel="3" style="width: 90px">Invoice No.</th>
    					<th class="sortable-date" rel="3" style="width: 90px">Date</th>
    					<th class="sortable" rel="4" >Supplier</th>
    					<th class="sortable" rel="5" style="width: 90px">Term</th>
    					<th class="sortable" rel="6" style="width: 90px">Status</th>
    					<th class="sortable" rel="7" style="width: 90px">Payment</th>
    					<th class="sortable" rel="8" style="width: 100px">Amount (<?php echo $this->system->config('currency'); ?>)</th>							
						<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
    				</tr>
    			</thead>
    		</table>
		</div>
		
		<div class="main_full">
			<table class="grid grid_data">
				<tbody>
					<?php $x=0; foreach ($pos as $po): ?>
					<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
						<td rel="1" class="sortable-date" time="<?php echo $po->txn_no; ?>" style="width: 90px"><?php echo 'PO-' . $po->txn_no; ?></td>
						<td rel="2" class="sortable" style="width: 90px" title="<?php echo $po->invoice_number ? $po->invoice_number : 'N/A'; ?>"><?php echo $po->invoice_number ? $po->invoice_number : 'N/A'; ?></td>
						<td rel="3" class="sortable-date" time="<?php echo strtotime($po->date);?>" style="width: 90px"><?php echo date('d/m/Y',strtotime($po->date)); ?></td>
						<td rel="4" class="sortable"><?php echo $po->supplier; ?></td>
						<td rel="5" class="sortable" style="width: 90px"><?php echo $po->terms == 'Credit' ? $po->duration . ' days': 'Cash'; ?></td>
						<td rel="6" class="sortable" style="width: 90px"><?php echo $po->status; ?></td>
						<td rel="7" class="sortable" style="width: 90px"><?php echo $po->payment_status == 'Unpaid' ? '<span style="color:red">Unpaid</span>' : ($po->payment_contra ? 'Contra' : $po->payment_status); ?></td>
						<td rel="8" class="sortable" style="text-align: right; width: 100px"><?php echo $po->total_received == 0 ? $po->total : $po->total_received; ?></td>
						<td style="width: 75px; padding: 0">
							<?php if ($this->user->has_permission('to_view_purchase_order','Inventory')): ?><a class="grid-action grid-action-view" href="inventory/po_view/<?=$po->id?>"><span>View</span></a><?php endif; ?>
							<?php if ($po->status == 'Pending'): ?>
							<?php if ($this->user->has_permission('to_edit_purchase_order','Inventory')): ?><a class="grid-action grid-action-edit" href="inventory/po_edit/<?=$po->id?>"><span>Edit</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_delete_purchase_order','Inventory')): ?><a class="grid-action grid-action-delete" href="inventory/po_delete/<?=$po->id?>"><span>Delete</span></a><?php endif; ?>
							<?php endif; ?>
						</td>
					</tr>
					<?php $x++; endforeach; ?>
				</tbody>
			</table>
		</div>