<?php 

$taxes = json_decode($pr->tax);
foreach ($taxes as $tax) $tax_n++;

$base = 16;

$tnc = nl2br($this->system->config('pr_tnc'));
$tnc_lines = explode('<br />', $tnc);
$lines = 1;
foreach ($tnc_lines as $line){
	$lines++;
	$lines += floor(strlen($line) / 140);
}
$footer = nl2br($this->system->config('pr_footer'));
$footer_lines = explode('<br />', $footer);
foreach ($tnc_lines as $line){
	$lines++;
	$lines += floor(strlen($line) / 140);
}

$reduce = ceil($lines / 4);

$n = $base - $reduce;

$number_of_pages = ceil(count($pr->orders)/ $n);
if ($number_of_pages == 0) $number_of_pages = 1;

?>
<html>
	
	<head>
		<base href="<?php echo base_url(); ?>" />
		<link rel="stylesheet" href="css/tables.css" />
		<style>
			
			body {
				font-family: Arial, sans-serif;
				font-size: 7.5pt;
			}
			
			table {
				font-size: 7.5pt !important;
			}
			
			h2 {
				font-size: 11pt !important;
			}
			
			.formfeed {
				page-break-after: always !important;
			}
			
			p.fineprint {
				font-size: 6pt !important;
			}
		.hidden{display:none};
		</style>
	</head>
	<?php
	if($this->user->has_permission('to_view_cost','Inventory')){
		$HideCost="";
	}else{
		$HideCost="hidden";
	}
	?>
	<body>	
	
	<div class="main_full">



			<div style="padding: 0 0 10px 0; border-bottom: 1px solid #555; ">
				<table style="width: 100%">
					<tr>
						<td style="width: 200px">
							<?php if ($logo = $this->system->config('company_logo')): ?>
							<img src="../assets/img/<?php echo $logo; ?>" style="width: 180px;" />
							<?php endif; ?>

						</td>
						<td>
							<div style="padding-left: 200px">
								<?php if($warehouse->id):?>
									<strong><?php echo $warehouse->name; ?></strong><br />
									<?php 
										$CompanyAddress = $warehouse->address1."<br/>".$warehouse->address2."<br/>".$warehouse->zipcode." ".$warehouse->city."<br/".$warehouse->state."<br/>";
										$CompanyContact = "Tel: ".$warehouse->tel." | ".$warehouse->email;
										echo nl2br($CompanyAddress);
										echo nl2br($CompanyContact);
									?>
								<?php else:?>
									<strong><?php echo $this->system->config('company_name'); ?></strong><br />
									<?php echo nl2br($this->system->config('company_address')); ?><br />
									<?php echo nl2br($this->system->config('company_contact')); ?>
								<?php endif?>
							</div>							
						</td>
						<td>
							<h2 style="text-align: right; margin: 0; padding: 0">Purchase Request<br /><small>Page 1 of <?php echo $number_of_pages; ?></small></h2>
						</td>
					</tr>
				</table>
			</div>
			
			
			<table style="width: 100%">
				<tr>
					<td style="width: 33%; vertical-align: top">
						<p style="margin: 10px 0; padding: 0">
						<strong>ATTN: <?php echo $contact->contact_person ? $contact->contact_person . '<br />' : ''; ?></strong>
			    		    <?php echo $contact->company_name ? $contact->company_name . '<br />' : ''; ?>
			    		    <?php $address = json_decode($pr->contact_address); ?>
			    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
			    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
			    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
			    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
			    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
			    		    <?php echo $address->country ? $address->country : ''; ?>
			    		</p>
					</td>
					<td style="width: 33%; vertical-align: top">
						<div class="delivery_to" style="margin: 10px 0; width: 250px !important;">
			    		    <?php $address = json_decode($pr->delivery_address); ?>
							<strong>Delivery To:<br /><?php echo $address->name ? $address->name . '<br />' : ''; ?></strong>
							<?php echo $address->mobile ? 'Contact No: ' . $address->mobile . '<br />' : ''; ?>
			    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
			    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
			    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
			    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
			    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
			    		    <?php echo $address->country ? $address->country : ''; ?>
						</div>
					</td>

					<td style="width: 33%; vertical-align: top">
						<table class="noborder" style="font-size: 10pt; margin: 10px 0 15px 0; width: 100%">
							<tr class="two">
								<td style="font-weight: bold; width: 100px" class="label">Date</td>
								<td style="border-bottom: 1px solid #bbb" class="input"><?php echo date('d/m/Y',strtotime($pr->date)); ?></td>
			
							</tr>
							<tr class="two">
								<td style="font-weight: bold; width: 100px" class="label">PR Number</td>
								<td style="border-bottom: 1px solid #bbb" class="input"><?php echo 'PR-' . $pr->txn_no; ?></td>
							</tr>	
							<tr class="two">
								<td style="font-weight: bold; width: 100px" class="label">Terms</td>
								<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $pr->terms; ?> <?php if ($pr->terms == 'Credit') echo "({$pr->duration} days)"; ?></td>
							</tr>	
						</table>
					</td>
				</tr>
			</table>
				
				
				<table class="order-form-print" style="margin-bottom: 5px">
					<thead>
						<tr class="main-header">
							<th colspan="7">Item Details</th>
						</tr>
						<tr class="sub-header">
							<th style="width: 20px;">No</th>
							<th style="width: 20px;">Done</th>
							<th>Item</th>
							<?php if($this->user->has_permission('to_view_cost','Inventory')):?>
								<th style="width: 65px;">Qty Ordered</th>
							<?php else:?>
								<th style="width: 65px;" colspan="4">Qty Ordered</th>
							<?php endif;?>							
							<th class="<?php echo $HideCost;?>" style="width: 65px;">List Price (<?php echo $this->system->config('currency'); ?>)</th>
							<th class="<?php echo $HideCost;?>" style="width: 65px;">Total (<?php echo $this->system->config('currency'); ?>)</th>
							<th class="<?php echo $HideCost;?>" style="width: 65px;">Net Price (<?php echo $this->system->config('currency'); ?>)</th>
						</tr>
					</thead>
					
	
	
					<tbody>
					<?php
						$products = $pr->products;
					?>
					<?php $y = 1; $x = 0; foreach($pr->orders as $order): ?>
<?php if ($x == $n): $y++; ?>
						
						</tbody>
					</table>
					
				<table style="font-size: 9pt; width: 100%; margin-top: 3px" class="general noborder">
					<tbody>
						<tr>
							<td rowspan="<?php echo (5 + $tax_n); ?>"><div class="form-box" style="padding: 10px; height: 50px; width: 300px; border: 1px solid #ddd;"><strong>Remarks</strong><br /><?php echo str_replace("\r\n",'<br />', str_replace("\n",'<br />',$pr->remarks));; ?></div></td>
							<td></td>
							<td style="text-align: right; font-weight: bold">Ordered</td>
							<td style="text-align: right; font-weight: bold">Re</td>
						</tr>
						<tr>
							<td style="text-align: right; padding-rigth: 10px" class="class="<?php echo $HideCost;?>" final">Net Total</td>
							<?php 
								$net_total = $pr->total + $pr->handling_charges;
								$net_received_total = $pr->total_received + $pr->handling_charges;
								
								if ($pr->adjustment_type == 'Add'){
									$net_total = $net_total - $pr->adjustment;
									$net_received_total = $net_received_total - $pr->adjustment;
								} else {
									$net_total = $net_total + $pr->adjustment;
									$net_received_total = $net_received_total + $pr->adjustment;
								}
								
								$net_total -= $pr->handling_charges + $pr->total_tax;
								$net_received_total -= $pr->handling_charges + $pr->total_tax;

							?>
							<td class="<?php echo $HideCost;?> final_net_total" style="text-align: right; width: 65px"><?php echo str_replace(',','',number_format($net_total,2)); ?></td>
							<td class="<?php echo $HideCost;?> final_net_total_received" style="text-align: right; width: 65px"><?php echo str_replace(',','',number_format($net_received_total,2)); ?></td>
						</tr>
						<?php foreach ($taxes as $tax_id => $tax_amount): ?>
						<tr>
							<td style="text-align: right; " class="<?php echo $HideCost;?> final">(+) <?php echo $this->tax->get_tax_name_by_id($tax_id); ?></td>
							<td style="text-align: right; width: 65px"><?=str_replace(',','',number_format($tax_amount,2)); ?></td>
							<td style="text-align: right; width: 65px"><?=str_replace(',','',number_format($tax_amount,2)); ?></td>
						</tr>
						<?php endforeach; ?>
						<tr>
							<td style="text-align: right; " class="<?php echo $HideCost;?> final">(+) Shipping &amp; Handling Charges</td>
							<td class="<?php echo $HideCost;?> style="text-align: right; "><?=$pr->handling_charges?></td>
							<td class="<?php echo $HideCost;?> style="text-align: right; "><?=$pr->handling_charges?></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="<?php echo $HideCost;?> final">Adjustment (<?php if ($pr->adjustment_type == 'Add') echo '+'; else echo '-'?>)</td>
							<td class="<?php echo $HideCost;?> style="text-align: right; "><?=$pr->adjustment?></td>
							<td class="<?php echo $HideCost;?> style="text-align: right; "><?=$pr->adjustment?></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="<?php echo $HideCost;?> final"><strong>GRAND TOTAL</strong></td>
							<td class="<?php echo $HideCost;?> final_grand_total" style="font-weight: bold; text-align: right; width: 65px; border-top: 2px solid #000;"><?=$pr->total; ?></td>
							<td class="<?php echo $HideCost;?> final_grand_total_received" style="font-weight: bold; text-align: right; width: 65px; border-top: 2px solid #000"><?=$pr->total_received; ?></td>
						</tr>
					</tbody>
				</table>
			
			<hr />
				
			<strong>Terms &amp; Conditions</strong>
			<p class="fineprint" style="font-size: 8pt; line-height: 100%"><?php echo $tnc; ?></p>
			<hr />
			<div style="font-size: 8pt; line-height: 100%"><?php echo $footer; ?></div>
				
			<hr class="<?php if ($number_of_pages != 1) echo 'formfeed'; ?>" />
			
		
			<!-- <div style="margin: 50px 0; border-top: 3px dashed #EEE" class="no-print"></div> -->

					
			<div style="padding: 0 0 10px 0; border-bottom: 1px solid #555; ">
				<table style="width: 100%">
					<tr>
						<td style="width: 200px">
							<?php if ($logo = $this->system->config('company_logo')): ?>
							<img src="../assets/img/<?php echo $logo; ?>" style="width: 180px;" />
							<?php endif; ?>

						</td>
						<td>
							<div>
								<strong><?php echo $this->system->config('company_name'); ?></strong><br />
								<?php echo nl2br($this->system->config('company_address')); ?><br />
								<?php echo nl2br($this->system->config('company_contact')); ?>
							</div>
							
						</td>
						<td>
							<h2 style="text-align: right; margin: 0; padding: 0">Purchase Request<br /><small>Page 2 of <?php echo $number_of_pages; ?></small></h2>
						</td>
					</tr>
				</table>
			</div>
			
			<br class="clearboth" />			
			


			
			<table style="width: 100%">
				<tr>
				
					<td style="width: 33%; vertical-align: top">
						<p style="margin: 10px 0; padding: 0">
						<strong>ATTN: <?php echo $contact->contact_person ? $contact->contact_person . '<br />' : ''; ?></strong>
			    		    <?php echo $contact->company_name ? $contact->company_name . '<br />' : ''; ?>
			    		    <?php $address = json_decode($pr->contact_address); ?>
			    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
			    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
			    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
			    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
			    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
			    		    <?php echo $address->country ? $address->country : ''; ?>
			    		</p>
					</td>
					<td style="width: 33%; vertical-align: top">
						<div class="delivery_to" style="margin: 10px 0; width: 250px !important;">
			    		    <?php $address = json_decode($pr->delivery_address); ?>
							<strong>Delivery To:<br /><?php echo $address->name ? $address->name . '<br />' : ''; ?></strong>
							<?php echo $address->mobile ? 'Contact No: ' . $address->mobile . '<br />' : ''; ?>
			    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
			    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
			    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
			    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
			    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
			    		    <?php echo $address->country ? $address->country : ''; ?>
						</div>
					</td>
					
					<td style="width: 33%; vertical-align: top">
						<table class="noborder" style="font-size: 10pt; margin: 10px 0 15px 0; width: 100%">
							<tr class="two">
								<td style="font-weight: bold; width: 100px" class="label">Date</td>
								<td style="border-bottom: 1px solid #bbb" class="input"><?php echo date('d/m/Y',strtotime($pr->date)); ?></td>
			
							</tr>
							<tr class="two">
								<td style="font-weight: bold; width: 100px" class="label">PR Number</td>
								<td style="border-bottom: 1px solid #bbb" class="input"><?php echo 'PR-' . $pr->txn_no; ?></td>
							</tr>	
							<tr class="two">
								<td style="font-weight: bold; width: 100px" class="label">Terms</td>
								<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $pr->terms; ?> <?php if ($pr->terms == 'Credit') echo "({$pr->duration} days)"; ?></td>
							</tr>
		
						</table>
					</td>
				</tr>
			</table>
			
					
				<table class="order-form-print" style="margin-bottom: 5px">
					<thead>
						<tr class="main-header">
							<th colspan="7">Item Details</th>
						</tr>
						<tr class="sub-header">
							<th style="width: 20px;">No</th>
							<th style="width: 20px;">Done</th>
							<th>Item</th>
							<?php if($this->user->has_permission('to_view_cost','Inventory')):?>
								<th style="width: 65px;">Qty Ordered</th>
							<?php else:?>
								<th style="width: 65px;" colspan="4">Qty Ordered</th>
							<?php endif;?>							
							<th class="<?php echo $HideCost;?>" style="width: 65px;">List Price (<?php echo $this->system->config('currency'); ?>)</th>
							<th class="<?php echo $HideCost;?>" style="width: 65px;">Total (<?php echo $this->system->config('currency'); ?>)</th>
							<th class="<?php echo $HideCost;?>" style="width: 65px;">Net Price (<?php echo $this->system->config('currency'); ?>)</th>
						</tr>	
					</thead>
					<tbody>
					<?php endif; ?>
						
						
<?php if ($x%$n == 0 && $x != $n && $x != 0): $y++; ?>
						
	
					</tbody>
				</table>
					
				<table style="font-size: 9pt; width: 100%; margin-top: 3px" class="general noborder">
					<tbody>
						<tr>
							<td rowspan="<?php echo (5 + $tax_n); ?>"><div class="form-box" style="padding: 10px; height: 50px; width: 300px; border: 1px solid #ddd;"><strong>Remarks</strong><br /><?php echo str_replace("\r\n",'<br />', str_replace("\n",'<br />',$pr->remarks));; ?></div></td>
							<td></td>
							<td style="text-align: right; font-weight: bold">Ordered</td>
						</tr>
						<tr>
							<td style="text-align: right; padding-rigth: 10px" class="<?php echo $HideCost;?> final">Net Total</td>
							<?php 
								$net_total = $pr->total + $pr->handling_charges;
								$net_received_total = $pr->total_received + $pr->handling_charges;
								
								if ($pr->adjustment_type == 'Add'){
									$net_total = $net_total - $pr->adjustment;
									$net_received_total = $net_received_total - $pr->adjustment;
								} else {
									$net_total = $net_total + $pr->adjustment;
									$net_received_total = $net_received_total + $pr->adjustment;
								}
								
								$net_total -= $pr->handling_charges + $pr->total_tax;
								$net_received_total -= $pr->handling_charges + $pr->total_tax;

							?>
							<td class="<?php echo $HideCost;?> final_net_total" style="text-align: right; width: 65px"><?php echo str_replace(',','',number_format($net_total,2)); ?></td>
						</tr>
						<?php foreach ($taxes as $tax_id => $tax_amount): ?>
						<tr>
							<td style="text-align: right; " class="<?php echo $HideCost;?> final">(+) <?php echo $this->tax->get_tax_name_by_id($tax_id); ?></td>
							<td style="text-align: right; width: 65px"><?=str_replace(',','',number_format($tax_amount,2)); ?></td>
						</tr>
						<?php endforeach; ?>
						<tr>
							<td style="text-align: right; " class="<?php echo $HideCost;?> final">(+) Shipping &amp; Handling Charges</td>
							<td style="text-align: right; "><?=$pr->handling_charges?></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="<?php echo $HideCost;?> final">Adjustment (<?php if ($pr->adjustment_type == 'Add') echo '+'; else echo '-'?>)</td>
							<td style="text-align: right; "><?=$pr->adjustment?></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="<?php echo $HideCost;?> final"><strong>GRAND TOTAL</strong></td>
							<td class="final_grand_total" style="font-weight: bold; text-align: right; width: 65px; border-top: 2px solid #000;"><?=$pr->total; ?></td>
						</tr>
					</tbody>

				</table>
			
			<hr />
				
			<strong>Terms &amp; Conditions</strong>
			<p class="fineprint" style="font-size: 8pt; line-height: 100%"><?php echo $tnc; ?></p>
			<hr />
			<div style="font-size: 8pt; line-height: 100%"><?php echo $footer; ?></div>
				
			<hr class="<?php if ($number_of_pages != 1) echo 'formfeed'; ?>" />
			
		
			<!-- <div style="margin: 50px 0; border-top: 3px dashed #EEE" class="no-print"></div> -->

					
			<div style="padding: 0 0 10px 0; border-bottom: 1px solid #555; ">
				<table style="width: 100%">
					<tr>
						<td style="width: 200px">
							<?php if ($logo = $this->system->config('company_logo')): ?>
							<img src="../assets/img/<?php echo $logo; ?>" style="width: 180px;" />
							<?php endif; ?>

						</td>
						<td>
							<div>
								<strong><?php echo $this->system->config('company_name'); ?></strong><br />
								<?php echo nl2br($this->system->config('company_address')); ?><br />
								<?php echo nl2br($this->system->config('company_contact')); ?>
							</div>
							
						</td>
						<td>
							<h2 style="text-align: right; margin: 0; padding: 0">Purchase Request<br /><small>Page <?php echo $y; ?> of <?php echo $number_of_pages; ?></small></h2>
						</td>
					</tr>
				</table>
			</div>
			
			<br class="clearboth" />			
			

			
			<table style="width: 100%">
				<tr>
				
					<td style="width: 33%; vertical-align: top">
						<p style="margin: 10px 0; padding: 0">
						<strong>ATTN: <?php echo $contact->contact_person ? $contact->contact_person . '<br />' : ''; ?></strong>
			    		    <?php echo $contact->company_name ? $contact->company_name . '<br />' : ''; ?>
			    		    <?php $address = json_decode($pr->contact_address); ?>
			    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
			    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
			    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
			    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
			    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
			    		    <?php echo $address->country ? $address->country : ''; ?>
			    		</p>
					</td>
					<td style="width: 33%; vertical-align: top">
						<div class="delivery_to" style="margin: 10px 0; width: 250px !important;">
			    		    <?php $address = json_decode($pr->delivery_address); ?>
							<strong>Delivery To:<br /><?php echo $address->name ? $address->name . '<br />' : ''; ?></strong>
							<?php echo $address->mobile ? 'Contact No: ' . $address->mobile . '<br />' : ''; ?>
			    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
			    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
			    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
			    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
			    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
			    		    <?php echo $address->country ? $address->country : ''; ?>
						</div>
					</td>
					
					<td style="width: 33%; vertical-align: top">
						<table class="noborder" style="font-size: 10pt; margin: 10px 0 15px 0; width: 100%">
							<tr class="two">
								<td style="font-weight: bold; width: 100px" class="label">Date</td>
								<td style="border-bottom: 1px solid #bbb" class="input"><?php echo date('d/m/Y',strtotime($pr->date)); ?></td>
			
							</tr>
							<tr class="two">
								<td style="font-weight: bold; width: 100px" class="label">PR Number</td>
								<td style="border-bottom: 1px solid #bbb" class="input"><?php echo 'PR-' . $pr->txn_no; ?></td>
							</tr>	
							<tr class="two">
								<td style="font-weight: bold; width: 100px" class="label">Terms</td>
								<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $pr->terms; ?> <?php if ($pr->terms == 'Credit') echo "({$pr->duration} days)"; ?></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
			
						
				<table style="margin-bottom: 2px; " class="order-form-print"  style="margin-bottom: 5px">
					<thead>
						<tr class="main-header">
							<th colspan="7">Item Details</th>
						</tr>
						<tr class="sub-header">
							<th style="width: 20px;">No</th>
							<th style="width: 20px;">Done</th>
							<th>Item</th>
							<?php if($this->user->has_permission('to_view_cost','Inventory')):?>
								<th style="width: 65px;">Qty Ordered</th>
							<?php else:?>
								<th style="width: 65px;" colspan="4">Qty Ordered</th>
							<?php endif;?>							
							<th class="<?php echo $HideCost;?>" style="width: 65px;">List Price (<?php echo $this->system->config('currency'); ?>)</th>
							<th class="<?php echo $HideCost;?>" style="width: 65px;">Total (<?php echo $this->system->config('currency'); ?>)</th>
							<th class="<?php echo $HideCost;?>" style="width: 65px;">Net Price (<?php echo $this->system->config('currency'); ?>)</th>
						</tr>	
					</thead>
					<tbody>
	
	
						<?php endif; ?>
						
						<tr class="order-item" rel="<?=$x?>">
							<td style="text-align: center; width: 20px"><?php echo $x+1; ?></td>
							<td style="text-align: center; width: 20px"></td>
							<td>																		
								<p class="item_name" style="padding: 2px 0; margin: 0; font-weight: bold"><?=$products[$order->item_id]->name ? $products[$order->item_id]->name  : $order->item_name; ?></p>
								<p style="padding: 2px 0; margin: 0"><?=$products[$order->item_id]->sku?></p>
							</td>																		
							<?php if($this->user->has_permission('to_view_cost','Inventory')):?>
								<td style="text-align: center; width: 65px">
							<?php else:?>
								<td style="text-align: center; width: 65px" colspan="4">
							<?php endif;?>
								<?=$order->qty?>
							</td>
							<td class="<?php echo $HideCost;?> prices" style="width:65px">															
								<?=$order->price_per_unit?><br />	
								Discount 
								<?php if ($order->discount_type == 'p') echo '%'; else '-'; ?><?=$order->discount?>
							</td>																		
							<td class="<?php echo $HideCost;?> calculated" style="width: 65px">
								<p class="<?php echo $HideCost;?> item_total_price" style="padding: 2px 0; margin: 0; text-align: right"><?=$order->price?></p>				
								<p class="<?php echo $HideCost;?> item_price_discount" style="padding: 2px 0; margin: 0; text-align: right">
									<?php 
										$discount = 0;
										if ($order->discount_type == 'p'){
											echo $discount = str_replace(',','',number_format($order->price * ($order->discount / 100),2)); 
										} else {
											echo $discount = str_replace(',','',number_format($order->discount,2)); 											
										}
									?>
								</p>						
							</td>															
							<td class="<?php echo $HideCost;?> item_net_price" style="text-align: right; width: 65px"><?php echo str_replace(',','',number_format($order->price - $discount,2)); ?></td>						
						</tr>
						
					<?php $x++; endforeach; ?>			
	
					</tbody>
				</table>
				<table style="font-size: 9pt; width: 100%; margin-top: 3px" class="general noborder">
					<tbody>
						<tr>
							<td rowspan="<?php echo (5 + $tax_n); ?>"><div class="<?php echo $HideCost;?> form-box" style="padding: 10px; height: 50px; width: 300px; border: 1px solid #ddd;"><strong>Remarks</strong><br /><?php echo str_replace("\r\n",'<br />', str_replace("\n",'<br />',$pr->remarks));; ?></div></td>
							<td></td>
							<td style="text-align: right; font-weight: bold" class="<?php echo $HideCost;?>">Ordered</td>
						</tr>
						<tr>
							<td style="text-align: right; padding-rigth: 10px" class="<?php echo $HideCost;?> final">Net Total</td>
							<?php 
								$net_total = $pr->total + $pr->handling_charges;
								$net_received_total = $pr->total_received + $pr->handling_charges;
								
								if ($pr->adjustment_type == 'Add'){
									$net_total = $net_total - $pr->adjustment;
									$net_received_total = $net_received_total - $pr->adjustment;
								} else {
									$net_total = $net_total + $pr->adjustment;
									$net_received_total = $net_received_total + $pr->adjustment;
								}
								
								$net_total -= $pr->handling_charges + $pr->total_tax;
								$net_received_total -= $pr->handling_charges + $pr->total_tax;

							?>
							<td class="<?php echo $HideCost;?> final_net_total" style="text-align: right; width: 65px"><?php echo str_replace(',','',number_format($net_total,2)); ?></td>
						</tr>
						<?php foreach ($taxes as $tax_id => $tax_amount): ?>
						<tr>
							<td style="text-align: right; " class="<?php echo $HideCost;?> final">(+) <?php echo $this->tax->get_tax_name_by_id($tax_id); ?></td>
							<td class="<?php echo $HideCost;?>" style="text-align: right; width: 65px"><?=str_replace(',','',number_format($tax_amount,2)); ?></td>
						</tr>
						<?php endforeach; ?>
						<tr>
							<td style="text-align: right; " class="<?php echo $HideCost;?> final">(+) Shipping &amp; Handling Charges</td>
							<td class="<?php echo $HideCost;?>" style="text-align: right; "><?=$pr->handling_charges?></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="<?php echo $HideCost;?> final">Adjustment (<?php if ($pr->adjustment_type == 'Add') echo '+'; else echo '-'?>)</td>
							<td class="<?php echo $HideCost;?>" style="text-align: right; "><?=$pr->adjustment?></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="<?php echo $HideCost;?> final"><strong>GRAND TOTAL</strong></td>
							<td class="<?php echo $HideCost;?> final_grand_total" style="font-weight: bold; text-align: right; width: 65px; border-top: 2px solid #000;"><?=$pr->total; ?></td>
						</tr>
					</tbody>

				</table>
				
				<input type="hidden" name="grand_total" />
				
				<hr />
				
			<strong>Terms &amp; Conditions</strong>
			<p class="fineprint" style="font-size: 8pt; line-height: 100%"><?php echo $tnc; ?></p>
			<hr />
			<div style="font-size: 8pt; line-height: 100%"><?php echo $footer; ?></div>
				
				<table style="font-size: 9pt; width: 100%; margin-top: 10px;" class="noborder">
					<tr>
						<td style="width: 50%; text-align: center">Authorized by</td>
						<td style="width: 50%; text-align: center">Received by</td>
					</tr>
					<tr>
						<td style="text-align: center; vertical-align: top"><br /><br />.....................................................<br /><?php echo $this->system->config('company_name'); ?></td>
						<td style="text-align: center; vertical-align: top"><br /><br />......................................................</td>
					</tr>
	
				</table>
				
				
				

	</div>
	
	</body>
	
</html>
