<?php if (!$this->user->has_permission('to_view_purchase_request','Inventory')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var content;
var itemCount = 1;

function readyAdd(status){
	if (status == 1){

		$('div.status').hide();
		showDialog('ok','Items Received','Purchase request items received.');
		if (!$('a.receiveBtn').hasClass('receiveBtn')){
			var unreceiveBtn = '<a class="v-btn target_main receiveBtn" style="padding: 3px 15px" href="inventory/PO_unreceive/<?php echo $pr->id; ?>">Unreceive Items</a>';
			$('div.control').append(unreceiveBtn);
		}
		
		$('select[name=status]').change();
		
		$('table.order-form tbody').html('');
		form_warning = false;
		
		$('div.main_full').show();
		populateEvents();
	} else {
		showDialog('ok','Error','There has been an error adding the purchase request.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}

$(document).ready(function(){

	$('a.receive_same').click(function(){
		$('input.received_qty').each(function(){
			$(this).val($(this).attr('qty')).change();
			
		});
	});
	
	$('a.submit_btn').click(function(event){
		showDialog('yesno','Receive Items','Mark this Purchase Request as <strong>Received</strong>?', function(){
			$('select[name=status]').val('Received');
			$('form').submit();
		}, function(){
			$('select[name=status]').val('Partially Received');
			$('form').submit();
		})
		
		event.preventDefault();
	});


	$('a.pos').click(function(){
		showModalForm('pos');
	})
	
	$('a.pos-done').click(function(){
		hideModalForm('pos');
	})


	$('div.main_full input').attr('disabled',true).css('border','none');
	$('div.main_full select').attr('disabled',true).hide();
	$('div.main_full textarea').attr('disabled',true).css('border','none');


	itemEvents();
	$('input.item_qty').change();
	
	$('input.received_qty').attr('disabled',false).css('border','1px solid #DDD');
	$('input.checkbox_done').attr('disabled',false);
		

	
	$('form').submit(function(){
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
	
	$('input[name=product_search]').keypress(function(e){
		var code = (e.keyCode ? e.keyCode : e.which);
		if (code == 13){
			var t = $('select[name=st]').val();
			var q = $(this).val();
			$('div.modal-search-result table tbody').html('<tr><td colspan="4"><img src="'+base_url+'images/loading.gif" /> Searching</td></tr>')
			$.ajax({
				type: "POST",
				url: base_url + 'inventory/search_product/' + q + '/' + t,
				success: function (html){
	
					$('div.modal-search-result table tbody').html(html);
				}			
			}); 
		}
	});
	
	$('a.add-product').click(function(event){
		event.preventDefault();
		showModalForm('product-search');
	});
	
	$('a.add-product-item').click(function(event){
		event.preventDefault();
		$('input.product-items').each(function(){
			if ($(this).attr('checked')){
				addItem($(this).val(),'product');
			}
		});
		itemEvents();
		calculateTotal();
	});
	
	$('a.search-product-done').click(function(event){
		event.preventDefault();
		hideModalForm('product-search');
	});
	
	$('input.extraCharges').change(function(){
		calculateTotal();
	});

	$('input.adjustment').change(function(){
		calculateTotal();
	});
	
	
	
	$('select[name=adjustment_type]').change(function(){
		calculateTotal();
	});
	
	
	$('input[name=copy]').click(function(){
		if ($(this).val() == 'shipping'){
			$('input[name=billing_address1]').val($('input[name=shipping_address1]').val());
			$('input[name=billing_address2]').val($('input[name=shipping_address2]').val());
			$('input[name=billing_city]').val($('input[name=shipping_city]').val());
			$('input[name=billing_postcode]').val($('input[name=shipping_postcode]').val());
			$('input[name=billing_state]').val($('input[name=shipping_state]').val());
			$('input[name=billing_country]').val($('input[name=shipping_country]').val());

		} else {
			$('input[name=shipping_address1]').val($('input[name=billing_address1]').val());
			$('input[name=shipping_address2]').val($('input[name=billing_address2]').val());
			$('input[name=shipping_city]').val($('input[name=billing_city]').val());
			$('input[name=shipping_postcode]').val($('input[name=billing_postcode]').val());
			$('input[name=shipping_state]').val($('input[name=billing_state]').val());
			$('input[name=shipping_country]').val($('input[name=billing_country]').val());
		
		}
	});

	$('a.set-paid').click(function(e){
		
		e.preventDefault();
		
		var href = $(this).attr('href');
		var payment_reference = $('input.payment_reference').val();
		var payment_date = $('input.payment_date').val();
		var payment_account = $('select.payment_account').val();
		var payment_method = $('select.payment_method').val();
		
		if (!payment_reference){
			showDialog('ok','Error','Please enter payment reference no.');
			return;
		}
		
		if (!payment_date){
			showDialog('ok','Error','Please enter payment date.');			
			return;
		}
		
		if (!payment_account){
			// showDialog('ok','Error','Please select payment account.');
		}
		
		

		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');

		$.ajax({
			url: base_url + href,
			data: 'payment_reference=' + payment_reference + '&payment_date=' + payment_date + '&payment_account=' + payment_account + '&payment_method=' + payment_method,
			type: 'POST',
			success: function (html){
				$('#global-content').html(html).show();
				$('div.status').hide();
				populateEvents();
			}
		})
	});
	
	$('select[name=status]').change(function(){
		var id = $(this).attr('rel');
		var status = $(this).val();
		
		if (status == 'Received'){
			$('.received-related').hide();
		} else {
			$('.received-related').show();
		}

		$.ajax({
			url: base_url + 'inventory/pr_update_status/'+ id,
			type: 'POST',
			data: 'status='+status,
			success: function (){
				showDialog('ok','Status Update','Purchase request status has been set to ' + status + '.');
				
				if (status == 'Completed') $('a.complete-related').show();
				else $('a.complete-related').hide();

			}
		})
	})
	

	$('a.pv').click(function(){
		var id = $(this).attr('rel');

		$.ajax({
			url: base_url + 'inventory/ajax/pv',
			data: 'id='+id,
			type: 'post',
			success: function (res){
				$('#floating-doc-container').html(res).show();
			}
		})
	});
	
	itemEvents();
	$('input.received_qty').change();
	


	var status = $('select[name=status]').val();
	
	if (status == 'Received'){
		$('.received-related').hide();
	} else {
		$('.received-related').show();
	}
	
	form_warning = false;
	
	var status = $('select[name=status]').val();
	if (status == 'Completed') $('a.complete-related').show();
	else $('a.complete-related').hide();


});

function calculateTotal(){

}

function calculateTotalReceived(){
	var netTotal = parseFloat(0);
	var grandTotal = parseFloat(0);
	$('td.item_net_price').each(function(){
		netTotal = netTotal + parseFloat($(this).html());
	});
	
	netTotal = netTotal.toFixed(2);
	var charges = $('input.extraCharges').val();
	if (!charges) charges = 0;
	var adjustmentType = $('select[name=adjustment_type]').val();
	var adjustment = $('input.adjustment').val();
	if (!adjustment) adjustment = 0;

	if (adjustmentType == "Add"){
		grandTotal = parseFloat(netTotal) + 0 + parseFloat(charges) + parseFloat(adjustment);
	} else {
		grandTotal = parseFloat(netTotal) + 0 + parseFloat(charges) - parseFloat(adjustment);
	}
	grandTotal = parseFloat(grandTotal).toFixed(2);
	$('td.final_net_total_received').html(netTotal);
	$('td.final_grand_total_received').html(grandTotal);
	$('input[name=grand_total_received]').val(grandTotal);
	
	
}



function itemEvents(){

	$('input.item_list_price').change(function(){
		$('input.item_qty').change();
	});
	
	$('input.item_qty').change(function(){
		
	});
	
	$('input.received_qty').change(function(){

		var discounted = 0;
		var netTotal = 0;
		var itemNo = $(this).parents('tr').attr('rel');
		var itemQty = parseInt($(this).val());
		var itemPrice = $('tr[rel='+itemNo+']').children('td.prices').children('input.item_list_price').val();
		var total = parseFloat(itemQty * itemPrice) + 0.00;
		var discountType = $('tr[rel='+itemNo+']').children('td.prices').children('label').children('input.discount_type:checked').val();
		var discountVal =  $('tr[rel='+itemNo+']').children('td.prices').children('input.item_discount').val();
		if (discountType == 'p'){
			var discounted = parseFloat(((discountVal) / 100) * total).toFixed(2);
			var netTotal = total - discounted;
		} else if (discountType == 'd'){
			var discounted = parseFloat(discountVal).toFixed(2);
			var netTotal = total - discounted;
		} else {
			var netTotal = total;
			var discounted = '0.00';
		}
		total = total.toFixed(2);
		netTotal = parseFloat(netTotal).toFixed(2);

		$('tr[rel='+itemNo+']').children('td.tool').children('input.item_totalnet_price').val(total);
		$('tr[rel='+itemNo+']').children('td.tool').children('input.item_net_price').val(netTotal);
		$('tr[rel='+itemNo+']').children('td.calculated').children('p.item_total_price').html(total);
		$('tr[rel='+itemNo+']').children('td.calculated').children('p.item_price_discount').html('-'+discounted);
		$('tr[rel='+itemNo+']').children('td.item_net_price').html(netTotal);

		calculateTotalReceived();
	});
	
	
	
	$('input.discount_type').change(function(){
		$('input.item_qty').change();
		calculateTotal();
	});
	
	$('input.item_discount').change(function(){
		$('input.item_qty').change();
		calculateTotal();
	});
	
	
	$('a.remove').click(function(){
		$(this).parents('tr').remove();
	});

}

function reloadGrid(){
	$('a.pos').click(function(){
		showModalForm('pos');
	})
	
	$('a.pos-done').click(function(){
		hideModalForm('pos');
	})

	$('select[name=status]').change(function(){
		var id = $(this).attr('rel');
		var status = $(this).val();
		
		if (status == 'Received'){
			$('.received-related').hide();
		} else {
			$('.received-related').show();
		}

		$.ajax({
			url: base_url + 'inventory/pr_update_status/'+ id,
			type: 'POST',
			data: 'status='+status,
			success: function (){
				showDialog('ok','Status Update','Purchase request status has been set to ' + status + '.');
				
				if (status == 'Completed') $('a.complete-related').show();
				else $('a.complete-related').hide();

			}
		})
	})
}

</script>
<style>
.hidden{display:none !important};
</style>
<?php if($this->user->has_permission('to_view_cost','Inventory')){
	$HideCost="";
}else{
	$HideCost="hidden";
}
?>
<?php 

$base = 16;

$tnc = nl2br($this->system->config('pr_tnc'));
$tnc_lines = explode('<br />', $tnc);
$lines = 1;
foreach ($tnc_lines as $line){
	$lines++;
	$lines += floor(strlen($line) / 140);
}
$footer = nl2br($this->system->config('pr_footer'));
$footer_lines = explode('<br />', $footer);
foreach ($tnc_lines as $line){
	$lines++;
	$lines += floor(strlen($line) / 140);
}
$reduce = ceil($lines / 4);

$n = $base - $reduce;

$number_of_pages = ceil(count($pr->orders)/ $n);
if ($number_of_pages == 0) $number_of_pages = 1;

?>	
		
	<div class="toolbar">
		<h3 class="grid-title">
			<a class="v-dbtn back_btn" style="float:right; padding:0 25px; margin-top: -1px" href="inventory/purchase_requests">Back</a>Purchase Request #<?php echo $pr->txn_no; ?>
			<a class="v-dbtn" style="float:right; padding:0 25px; margin-top: -1px; margin-right: 5px; font-weight: bold" href="javascript:window.print()">Print</a>
			<a class="v-dbtn" style="float:right; padding:0 25px; margin-top: -1px; margin-right: 5px; font-weight: bold" href="inventory/pr_pdf/<?php echo $pr->id; ?>">Download PDF</a>
		</h3>
		<?php if ($this->user->has_permission('to_process_purchase_request','Inventory')): ?>
		<div class="global-tabs" style="padding: 5px 5px 3px 5px">
			<?php if ($pr->terms == 'Consignment'): ?>
				<div style="float:right; padding: 0; font-size: 10pt;">
				<?php if (count($pos)): ?>
				<a class="v-btn pos"><?php echo count($pos) == 1 ? count($pos) . ' Purchase Orders' : count($pos) . ' Purchase Orders'; ?></a>
				<?php endif; ?>
				
				<a class="<?php echo $HideCost;?> v-btn target_main complete-related" href="inventory/convert_pr/<?php echo $pr->id; ?>/do">Convert to Purchase Order</a>
				</div>
				
			<?php else: ?>
				<?php if ($pr->po_id): ?>
				<a class="<?php echo $HideCost;?> v-btn target_main" style="float:right; padding:0 15px; margin-top: -1px" href="inventory/po_view/<?php echo $pr->po_id; ?>/do">Go to Purchase Order</a>			
				<?php else: ?>
				<a class="<?php echo $HideCost;?> v-btn target_main complete-related" style="float:right; padding:0 15px; margin-top: -1px" href="inventory/convert_pr/<?php echo $pr->id; ?>/do">Convert to Purchase Order</a>
				<?php endif; ?>
			<?php endif; ?>

			<small>Status</small> <?php echo form_dropdown('status', array('Pending'=>'Pending','Cancelled'=>'Cancelled','Completed'=>'Completed'), $pr->status, 'rel="'.$pr->id.'" class="v-dropdown" style="margin-right: 10px; width: 130px; font-size: 10pt"'); ?>
			<!-- 
			<a class="v-btn received-related receive_same">Quantity as Ordered</a>			
			<a class="v-btn received-related submit_btn receive_btn">Receive Items</a>
			-->
		</div>
		<?php endif; ?>
		<!-- 
		<div class="global-tabs" style="padding: 5px;">
		<?php if ($this->system->uses('Accounts')): ?>
			<?php if ($pr->payment_status == 'Paid'): ?>
				<?php if ($pr->payment_contra): ?>
					<small style="margin-right: 10px;">Contra on <strong><?php echo date('d/m/Y',strtotime($pr->payment_date)); ?></strong>. Reference No: <strong><a class="rc" rel="<?php echo $pr->id;?>">RC-<?php echo $pr->payment_contra; ?></a></strong></small>
					<a class="v-btn target_main set-unpaid" style="padding: 3px 15px" href="inventory/PO_unpaid/<?php echo $pr->id; ?>">Set as Unpaid</a>			
				<?php else: ?>
					<small style="margin-right: 10px;">Paid on <strong><?php echo date('d/m/Y',strtotime($pr->payment_date)); ?></strong>. Reference No: <strong><a class="pv" rel="<?php echo $pr->id;?>">PV-<?php echo $pr->payment_reference; ?></a></strong></small>
					<a class="v-btn target_main set-unpaid" style="padding: 3px 15px" href="inventory/PO_unpaid/<?php echo $pr->id; ?>">Set as Unpaid</a>
				<?php endif; ?>
			<?php else: ?>
				<small>Purchase request is <strong>Unpaid</strong>.</small>
			<?Php endif; ?>
		<?php else: ?>
			<?php if ($pr->payment_status == 'Paid'): ?>
					<small style="margin-right: 10px;">Paid on <strong><?php echo date('d/m/Y',strtotime($pr->payment_date)); ?></strong>. Reference No: <strong><?php echo $pr->payment_reference; ?></strong></small>			
					<a class="v-btn target_main set-unpaid" style="padding: 3px 15px" href="inventory/po_unpaid/<?php echo $pr->id; ?>">Set as Unpaid</a>			
			<?php else: ?>
					<small>Purchase request is <strong>Unpaid</strong>. Payment Date <input type="text" name="payment_date" class="payment_date v-text date" style="width: 80px;" /> &nbsp; Reference No. <input type="text" class="v-text payment_reference" name="payment_reference" style="width: 80px;" /> <a class="v-btn set-paid" href="inventory/po_paid/<?php echo $pr->id; ?>">Set to Paid</a></small>					
			<?php endif; ?>		
		<?php endif; ?>
		</div>
		-->
	</div>
	<div class="status">
	
	</div>

	<div id="pos" class="global-modal-form" style="height: 370px;">
		<div class="global-modal-form-body">
			<h3>Consignment Related Purchase Orders</h3>
			<table class="grid">
				<thead>
					<tr>
						<th class="sortable" rel="1">Purchase Order</th>
						<th class="sortable" rel="4" style="width: 100px">Status</th>
						<th class="sortable" rel="2" style="width: 80px">Date</th>
						<th class="sortable" rel="3" style="width: 80px">Amount (<?php echo $this->system->config('currency'); ?>)</th>
						<th style="width: 135px"></th>
						<th style="width: 14px; padding: 0"></th>
					</tr>
				</thead>
			</table>
			<div class="modal-search-result" style="overflow-y:scroll">
				<table class="grid grid_data">
					<?php $x = 0; foreach ($pos as $po): ?>
					<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
						<td class="sortable" rel="1">PO<?php echo $po->txn_no; ?></td>
						<td class="sortable" rel="4" style="width: 100px"><?php echo $po->status; ?></td>
						<td class="sortable" rel="2" style="width: 80px"><?php echo date('d/m/Y',strtotime($po->date)); ?></td>
						<td class="sortable" rel="3" style="width: 80px; text-align: right"><?php echo number_format($po->total_delivered ? $po->total_delivered : $po->total, 2); ?></td>
						<td style="width: 135px"><a class="v-btn target_main" href="inventory/po_view/<?php echo $po->id; ?>">Go to Purchase Order</a></td>
					</tr>	
					<?php $x++; endforeach; ?>
				</table>
			</div>
			<hr />
			<p style="padding: 10px 0;"><a class="v-dbtn pos-done">Done</a></p>
		</div>
	</div>

	<div class="main_full" style="background: #DDD">
			<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
		<div class="doc-pad" style="padding: 15px">
			<form method="post" action="<?php echo base_url(); ?>inventory/po_receive/<?php echo $pr->id; ?>" target="postframe">
			<div style="padding: 20px 0 10px 0; border-bottom: 1px solid #555; ">
				<h2 style="text-align: right; float: right; margin: 0; padding: 0">Purchase Request<br /><small>Page 1 of <?php echo $number_of_pages; ?></small></h2>
				<?php if ($logo = $this->system->config('company_logo')): ?>
				<img src="<?php echo base_url(); ?>../assets/img/<?php echo $logo; ?>" style="float: left; margin-right: 10px; width: 180px; margin-right: 20px" />
				<?php endif; ?>
				
				<div style="padding-left: 200px">
					<?php if($warehouse->id):?>
						<strong><?php echo $warehouse->name; ?></strong><br />
						<?php 
							$CompanyAddress = $warehouse->address1."<br/>".$warehouse->address2."<br/>".$warehouse->zipcode." ".$warehouse->city."<br/".$warehouse->state."<br/>";
							$CompanyContact = "Tel: ".$warehouse->tel." | ".$warehouse->email;
							echo nl2br($CompanyAddress);
							echo nl2br($CompanyContact);
						?>
					<?php else:?>
						<strong><?php echo $this->system->config('company_name'); ?></strong><br />
						<?php echo nl2br($this->system->config('company_address')); ?><br />
						<?php echo nl2br($this->system->config('company_contact')); ?>
					<?php endif?>
				</div>
				<div style="clear:left"></div>
			</div>
			
			<br class="clearboth" />

				<table class="noborder" style="font-size: 10pt; margin: 10px 0 15px 0; float: right !important; width: 250px !important">
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Date</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo date('d/m/Y',strtotime($pr->date)); ?></td>
	
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">PR Number</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo 'PR-' . $pr->txn_no; ?></td>
					</tr>	
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Terms</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $pr->terms; ?> <?php if ($pr->terms == 'Credit') echo "({$pr->duration} days)"; ?></td>
					</tr>	
				</table>
				
				<div class="delivery_to" style="float: right !important; margin: 10px 0; width: 250px !important;">
	    		    <?php $address = json_decode($pr->delivery_address); ?>
					<strong>Delivery To: <?php echo $address->name ? $address->name . '<br />' : ''; ?></strong>
					<?php echo $address->mobile ? 'Contact No: ' . $address->mobile . '<br />' : ''; ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
				</div>
				
				<p style="margin: 10px 0; padding: 0">
				<strong>ATTN: <?php echo $supplier->contact_person ? $supplier->contact_person . '<br />' : ''; ?></strong>
	    		    <?php echo $supplier->company_name ? $supplier->company_name . '<br />' : ''; ?>
	    		    <?php $address = json_decode($pr->supplier_address); ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
	    		</p>
				
				
				<table class="order-form-print" style="margin-bottom: 5px">
					<thead>
						<tr class="main-header">
							<th colspan="8">Item Details</th>
						</tr>
						<tr class="sub-header">
							<th style="width: 20px;">No</th>
							<th style="width: 40px;">Done</th>
							<th>Item</th>
							<th style="width: 85px;">Qty</th>
							<!--<th style="width: 85px;">Qty Delivered</th>-->
							<th class="<?php echo $HideCost;?>" style="width: 80px;">List Price (<?php echo $this->system->config('currency'); ?>)</th>
							<th class="<?php echo $HideCost;?>" style="width: 90px;">Total (<?php echo $this->system->config('currency'); ?>)</th>
							<th class="<?php echo $HideCost;?>" style="width: 90px;">Net Price (<?php echo $this->system->config('currency'); ?>)</th>
						</tr>
					</thead>
					
	
	
					<tbody>
					<?php
						$products = $pr->products;
					?>
					<?php $y = 1; $x = 0; foreach($pr->orders as $order): ?>
<?php if ($x == $n): $y++; ?>
						
						</tbody>
					</table>
					
					<table style="font-size: 9pt; width: 100%; margin-top: 3px;" class="general noborder">
					<tbody>

						<tr>
							<td rowspan="4"><div class="form-box" style="padding: 10px; height: 50px; width: 300px; border: 1px solid #ddd;"><strong>Remarks</strong><br /><?php echo nl2br($pr->remarks); ?></div></td>
							<td style="text-align: right; padding-rigth: 10px" class="<?php echo $HideCost;?> final">Net Total</td>
							<?php 
								$net_total = $pr->total + $pr->handling_charges;
	
								if ($pr->adjustment_type == 'Add'){
									$net_total = $net_total - $pr->adjustment;
								} else {
									$net_total = $net_total + $pr->adjustment;
								}
								
								$net_total -= $pr->handling_charges;
								
							?>
							<td class="<?php echo $HideCost;?> final_net_total_received_NULL" style="text-align: right; width: 90px"></td>
							<td class="<?php echo $HideCost;?> final_net_total" style="text-align: right; width: 90px"><?php echo str_replace(',','',number_format($net_total,2)); ?></td>

						</tr>
						<tr>
							<td style="text-align: right; " class="<?php echo $HideCost;?>  final">(+) Shipping &amp; Handling Charges</td>
							<td></td>
							<td><input type="text" name="sh_charges" class="<?php echo $HideCost;?>  extraCharges" style="text-align: right; width: 90px" value="<?=$pr->handling_charges?>" /></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="<?php echo $HideCost;?>  final">Adjustment (<?php if ($adjustment_type == 'Add') echo '+'; else echo '-'?>)<?=form_dropdown('adjustment_type',array('Add'=>'Add','Deduct'=>'Deduct'), $pr->adjustment_type)?></td>
							<td></td>
							<td><input type="text" name="adjustment" class="<?php echo $HideCost;?>  adjustment" style="text-align: right; width: 90px" value="<?=$pr->adjustment?>" /></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="<?php echo $HideCost;?>  final"><strong>GRAND TOTAL</strong></td>

							<td class="<?php echo $HideCost;?>  final_grand_total_received_NULL" style="font-weight: bold; text-align: right; width: 90px; border-top: 2px solid #000"></td>
							<td class="<?php echo $HideCost;?>  final_grand_total" style="font-weight: bold; text-align: right; width: 90px; border-top: 2px solid #000;"><?=$pr->total?></td>
						</tr>
					</tbody>
				</table>
			
			<hr />
				
			<strong>Terms &amp; Conditions</strong>
			<p class="fineprint" style="font-size: 8pt; line-height: 100%"><?php echo $tnc; ?></p>
			<hr />
			<div style="font-size: 8pt; line-height: 100%"><?php echo $footer; ?></div>
				
			<hr class="<?php if ($number_of_pages != 1) echo 'formfeed'; ?>" />
			
		
			<div style="margin: 50px 0; border-top: 3px dashed #EEE" class="no-print"></div>
		
			<div style="padding: 0px 0 10px 0; border-bottom: 1px solid #555; ">
				<h2 style="text-align: right; float: right; margin: 0; padding: 0">Purchase Request<br /><small>Page 2 of <?php echo $number_of_pages; ?></small></h2>
				<?php if ($logo = $this->system->config('company_logo')): ?>
				<img src="<?php echo base_url(); ?>../assets/img/<?php echo $logo; ?>" style="float: left; margin-right: 10px; width: 180px; margin-right: 20px" />
				<?php endif; ?>
				
				<div style="padding-left: 200px">
					<strong><?php echo $this->system->config('company_name'); ?></strong><br />
					<?php echo nl2br($this->system->config('company_address')); ?><br />
					<?php echo nl2br($this->system->config('company_contact')); ?>
				</div>
				<div style="clear:left"></div>
			</div>
			
			<br class="clearboth" />

				<table class="noborder" style="font-size: 10pt; margin: 10px 0 15px 0; float: right !important; width: 250px !important">
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Date</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo date('d/m/Y',strtotime($pr->date)); ?></td>
	
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">PR Number</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo 'PR-' . $pr->txn_no; ?></td>
					</tr>	
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Terms</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $pr->terms; ?> <?php if ($pr->terms == 'Credit') echo "({$pr->duration} days)"; ?></td>
					</tr>	
				</table>
				
				<div class="delivery_to" style="float: right !important; margin: 10px 0; width: 250px !important;">
	    		    <?php $address = json_decode($pr->delivery_address); ?>
					<strong>Delivery To: <?php echo $address->name ? $address->name . '<br />' : ''; ?></strong>
					<?php echo $address->mobile ? 'Contact No: ' . $address->mobile . '<br />' : ''; ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
				</div>
				
				<p style="margin: 10px 0; padding: 0">
				<strong>ATTN: <?php echo $supplier->contact_person ? $supplier->contact_person . '<br />' : ''; ?></strong>
	    		    <?php echo $supplier->company_name ? $supplier->company_name . '<br />' : ''; ?>
	    		    <?php $address = json_decode($pr->supplier_address); ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
	    		</p>

					
				<table class="order-form-print" style="margin-bottom: 5px">
					<thead>
						<tr class="main-header">
							<th colspan="8">Item Details</th>
						</tr>
						<tr class="sub-header">
							<th style="width: 20px;">No</th>
							<th style="width: 40px;">Done</th>
							<th>Item</th>
							<th style="width: 85px;">Qty</th>
							<!--<th style="width: 85px;">Qty Delivered</th>-->
							<th style="width: 80px;">List Price (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="width: 90px;">Total (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="width: 90px;">Net Price (<?php echo $this->system->config('currency'); ?>)</th>
						</tr>	
					</thead>
					<tbody>
					<?php endif; ?>
						
						
<?php if ($x%$n == 0 && $x != $n && $x != 0): $y++; ?>
						
	
					</tbody>
				</table>
					
<table style="font-size: 9pt; width: 100%; margin-top: 3px;" class="general noborder">
					<tbody>

						<tr>
							<td rowspan="4"><div class="form-box" style="padding: 10px; height: 50px; width: 300px; border: 1px solid #ddd;"><strong>Remarks</strong><br /><?php echo nl2br($pr->remarks); ?></div></td>
							<td style="text-align: right; padding-rigth: 10px" class="<?php echo $HideCost;?> final">Net Total</td>
							<?php 
								$net_total = $pr->total + $pr->handling_charges;
	
								if ($pr->adjustment_type == 'Add'){
									$net_total = $net_total - $pr->adjustment;
								} else {
									$net_total = $net_total + $pr->adjustment;
								}
								
								$net_total -= $pr->handling_charges;
								
							?>
							<td class="<?php echo $HideCost;?> final_net_total_received_NULL" style="text-align: right; width: 90px"></td>
							<td class="<?php echo $HideCost;?> final_net_total" style="text-align: right; width: 90px"><?php echo str_replace(',','',number_format($net_total,2)); ?></td>

						</tr>
						<tr>
							<td style="text-align: right; " class="final">(+) Shipping &amp; Handling Charges</td>
							<td></td>
							<td><input type="text" name="sh_charges" class="extraCharges" style="text-align: right; width: 90px" value="<?=$pr->handling_charges?>" /></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="final">Adjustment (<?php if ($adjustment_type == 'Add') echo '+'; else echo '-'?>)<?=form_dropdown('adjustment_type',array('Add'=>'Add','Deduct'=>'Deduct'), $pr->adjustment_type)?></td>
							<td></td>
							<td><input type="text" name="adjustment" class="adjustment" style="text-align: right; width: 90px" value="<?=$pr->adjustment?>" /></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="<?php echo $HideCost;?> final"><strong>GRAND TOTAL</strong></td>

							<td class="final_grand_total_received_NULL" style="font-weight: bold; text-align: right; width: 90px; border-top: 2px solid #000"></td>
							<td class="final_grand_total" style="font-weight: bold; text-align: right; width: 90px; border-top: 2px solid #000;"><?=$pr->total?></td>
						</tr>
					</tbody>
				</table>
			
			<hr />
				
			<strong>Terms &amp; Conditions</strong>
			<p class="fineprint" style="font-size: 8pt; line-height: 100%"><?php echo $tnc; ?></p>
			<hr />
			<div style="font-size: 8pt; line-height: 100%"><?php echo $footer; ?></div>
				
			<hr class="<?php if ($number_of_pages != 1) echo 'formfeed'; ?>" />
			
		
			<div style="margin: 50px 0; border-top: 3px dashed #EEE" class="no-print"></div>
	
			<div style="padding: 0 0 10px 0; border-bottom: 1px solid #555; ">
				<h2 style="text-align: right; float: right; margin: 0; padding: 0">Purchase Request<br /><small>Page <?php echo $y; ?> of <?php echo $number_of_pages; ?></small></h2>
				<?php if ($logo = $this->system->config('company_logo')): ?>
				<img src="<?php echo base_url(); ?>../assets/img/<?php echo $logo; ?>" style="float: left; margin-right: 10px; width: 180px; margin-right: 20px" />
				<?php endif; ?>
				
				<div style="padding-left: 200px">
					<strong><?php echo $this->system->config('company_name'); ?></strong><br />
					<?php echo nl2br($this->system->config('company_address')); ?><br />
					<?php echo nl2br($this->system->config('company_contact')); ?>
				</div>
				<div style="clear:left"></div>
			</div>
			
			<br class="clearboth" />

				<table class="noborder" style="font-size: 10pt; margin: 10px 0 15px 0; float: right !important; width: 250px !important">
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Date</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo date('d/m/Y',strtotime($pr->date)); ?></td>
	
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">PR Number</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo 'PO-' . $pr->txn_no; ?></td>
					</tr>	
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Terms</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $pr->terms; ?> <?php if ($pr->terms == 'Credit') echo "({$pr->duration} days)"; ?></td>
					</tr>	
				</table>
				
				<div class="delivery_to" style="float: right !important; margin: 10px 0; width: 250px !important;">
	    		    <?php $address = json_decode($pr->delivery_address); ?>
					<strong>Delivery To: <?php echo $address->name ? $address->name . '<br />' : ''; ?></strong>
					<?php echo $address->mobile ? 'Contact No: ' . $address->mobile . '<br />' : ''; ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
				</div>
				
				<p style="margin: 10px 0; padding: 0">
				<strong>ATTN: <?php echo $supplier->contact_person ? $supplier->contact_person . '<br />' : ''; ?></strong>
	    		    <?php echo $supplier->company_name ? $supplier->company_name . '<br />' : ''; ?>
	    		    <?php $address = json_decode($pr->supplier_address); ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
	    		</p>

					
				<table style="margin-bottom: 2px; " class="order-form-print <?php if ($y != $number_of_pages) echo 'formfeed'; ?>"  style="margin-bottom: 5px">
					<thead>
						<tr class="main-header">
							<th colspan="8">Item Details</th>
						</tr>
						<tr class="sub-header">
							<th style="width: 20px;">No</th>
							<th style="width: 40px;">Done</th>
							<th>Item</th>
							<th style="width: 85px;">Qty</th>
							<!--<th style="width: 85px;">Qty Delivered</th>-->
							<th class="<?php echo $HideCost;?>" style="width: 80px;">List Price (<?php echo $this->system->config('currency'); ?>)</th>
							<th class="<?php echo $HideCost;?>" style="width: 90px;">Total (<?php echo $this->system->config('currency'); ?>)</th>
							<th class="<?php echo $HideCost;?>" style="width: 90px;">Net Price (<?php echo $this->system->config('currency'); ?>)</th>
						</tr>	
					</thead>
					<tbody>
	
	
						<?php endif; ?>
						
						<tr class="order-item" rel="<?=$x?>">
							<td style="text-align: center; width: 20px"><?php echo $x+1; ?></td>
							<td style="text-align: center; width: 40px"><input class="checkbox_done" type="checkbox" <?php if ($order->done) echo 'checked="checked"'; ?> name="done[<?php echo $order->id; ?>]" value="1" /></td>
							<td>																		
								<p class="item_name" style="padding: 2px 0; margin: 0; font-weight: bold"><?=$products[$order->item_id]->name ? $products[$order->item_id]->name  : $order->item_name; ?></p>										
								<p style="padding: 2px 0; margin: 0"><?=$products[$order->item_id]->sku?></p>
							</td>																		
							<td style="text-align: center; width: 85px">
								<input type="text" name="item_qty[<?=$x?>]" style="font-size: 9pt; width: 50px; text-align: center" class="item_qty" value="<?=$order->qty?>" /><br />
							</td>
							<!--
							<td style="text-align: center; width: 85px">
								<input type="text" class="v-text received_qty" name="received_qty[<?=$order->id?>]" qty="<?=$order->qty?>" style="font-size: 9pt; width: 50px; text-align: center" class="receive_qty" value="<?= $order->received ? $order->received : 0?>" />
							</td>		
							-->
							<td class="<?php echo $HideCost;?> prices" style="width:80px">															
								<input type="text" class="<?php echo $HideCost;?> item_list_price" style="font-size: 9pt" value="<?=$order->price_per_unit?>" />	<br />	
								&nbsp;Discount 
								
								<label style="display:none" ><input type="radio" class="discount_type" name="item_discount_type[<?=$x?>]" value="p" <?php if ($order->discount_type == 'p') echo 'checked="checked"'?> style="display:inline;width: auto" /> (%)</label>				
								<label style="display:none" ><input type="radio" class="discount_type" name="item_discount_type[<?=$x?>]" value="d" <?php if ($order->discount_type == 'd') echo 'checked="checked"'?>style="display:inline;width: auto" /> (-)</label>
								<?php if ($order->discount_type == 'p') echo '%'; else '-'; ?>
								<input type="text" name="discount[<?=$x?>]" style="width: 30px" class="item_discount" value="<?=$order->discount?>" />					
							</td>																		
							<td class="<?php echo $HideCost;?> calculated" style="width: 90px">
								<p class="<?php echo $HideCost;?> item_total_price" style="padding: 2px 0; margin: 0; text-align: right"><?=$order->price?></p>				
								<p class="<?php echo $HideCost;?> item_price_discount" style="padding: 2px 0; margin: 0; text-align: right">0.00</p>						
							</td>															
							<td class="<?php echo $HideCost;?> item_net_price" style="text-align: right; width: 90px"><?php echo $order->price; ?></td>						
						</tr>	
					<?php $x++; endforeach; ?>			
	
					</tbody>
				</table>
				
				
				<table style="font-size: 9pt; width: 100%; margin-top: 3px" class="<?php echo $HideCost;?> general noborder">
					<tbody>
						<tr>
							<td style="text-align: right; padding-rigth: 10px" class="<?php echo $HideCost;?> final">Net Total</td>
							<?php 
								$net_total = $pr->total + $pr->handling_charges;
	
								if ($pr->adjustment_type == 'Add'){
									$net_total = $net_total - $pr->adjustment;
								} else {
									$net_total = $net_total + $pr->adjustment;
								}
								
								$net_total -= $pr->handling_charges;
								
							?>
							<td class="<?php echo $HideCost;?> final_net_total" style="text-align: right; width: 90px"><?php echo str_replace(',','',number_format($net_total,2)); ?></td>
						</tr>
						<tr>
							<td style="text-align: right; " class="<?php echo $HideCost;?> final">(+) Shipping &amp; Handling Charges</td>
							<td><input type="text" name="sh_charges" class="extraCharges" style="text-align: right; width: 90px" value="<?=$pr->handling_charges?>" /></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="<?php echo $HideCost;?> final">Adjustment (<?php if ($adjustment_type == 'Add') echo '+'; else echo '-'?>)<?=form_dropdown('adjustment_type',array('Add'=>'Add','Deduct'=>'Deduct'), $pr->adjustment_type)?></td>
							<td><input type="text" name="adjustment" class="adjustment" style="text-align: right; width: 90px" value="<?=$pr->adjustment?>" /></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="<?php echo $HideCost;?> final"><strong>GRAND TOTAL</strong></td>
							<td class="final_grand_total" style="font-weight: bold; text-align: right; width: 90px; border-top: 2px solid #000;"><?=$pr->total?></td>
						</tr>
					</tbody>
				</table>
				
				<hr />
				
			<strong>Terms &amp; Conditions</strong>
			<p class="fineprint" style="font-size: 8pt; line-height: 100%"><?php echo $tnc; ?></p>
			<hr />
			<div style="font-size: 8pt; line-height: 100%"><?php echo $footer; ?></div>
				

				<input type="hidden" name="grand_total" />
				
				<hr />
				
				<table style="font-size: 9pt; width: 100%; margin-top: 10px;" class="noborder">
					<tr>
						<td style="width: 50%; text-align: center">Authorized by</td>
						<td style="width: 50%; text-align: center">Received by</td>
					</tr>
					<tr>
						<td style="text-align: center; vertical-align: top"><br /><br />.....................................................<br /><?php echo $this->system->config('company_name'); ?></td>
						<td style="text-align: center; vertical-align: top"><br /><br />......................................................</td>
					</tr>
	
				</table>
				

			</form>
		</div>
	</div>
