<?php if (!$this->user->has_permission('to_view_stock_count','Inventory')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

$(document).ready(function(){

	$('div.filter input').keypress(function(e){
		
		if (e.which == 13) filterItems();
	});
	
	$('div.filter select').keypress(function(e){
		if (e.which == 13) filterItems();
	});
	
	$('a.filter-btn').click(function(){
		filterItems();
	});
	

});

function filterItems(){
	var number = $('input.filter-number').val();
	var date_from = $('input.filter-date-from').val();
	var date_to = $('input.filter-date-to').val();
	var payment_status = $('select.filter-payment-status').val();
	var status = $('select.filter-status').val();
	var term = $('select.filter-term').val();

	
	$('table.grid tbody').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	
	$.ajax({
		url: base_url + 'inventory/sc_filter',
		type: 'POST',
		data: 'date_from='+date_from+'&date_to='+date_to,
		success: function (result){
			$('table.grid tbody').html(result);
			populateEvents();
		}
	})
}

</script>
		<div class="toolbar">
			<h3 class="grid-title">
				<?php if ($this->user->has_permission('to_create_stock_count','Inventory')): ?><a href="inventory/new_stock_count" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">New Stock Count</a><?php endif; ?>
				Stock Count
			</h3>
			
			<div class="global-tabs" style="padding: 5px; font-size: 10pt">
				<a class="v-btn show-filter-controls icon-search">Search</a>
			</div>
			
    		<div class="modal-filter-form filter" style="font-size: 10pt;">
				<div class="triangle"></div>
    			<table>
    				<tr>
    					<td>Date from</td>
    					<td><input type="text" name="date_from" class="v-text date filter-date-from" style="width: 80px" /></td>
    				</tr>
    				<tr>
    					<td>Date to</td>
    					<td><input type="text" name="date_to" class="v-text date filter-date-to" style="width: 80px" /></td>
    				</tr>
    			</table>
      			<hr />
    			<a class="v-btn filter-btn search">Filter</a>
    		</div>
    		
    		<table class="grid">
    			<thead>
    				<tr>
    					<th style="width: 100px">No.</th>
    					<th style="width: 100px">Date</th>
    					<th>Remarks</th>
    					<th style="width: 100px">Status</th>
						<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
    				</tr>
    			</thead>
    		</table>
		</div>
		
		<div class="main_full">
			<table class="grid grid_data">
				<tbody>
					<?php $x=0; foreach ($counts as $count): ?>
					<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
						<td style="width: 100px"><?php echo 'SC-' . $count->id; ?></td>
						<td style="width: 100px"><?php echo date('d/m/Y',strtotime($count->date)); ?></td>
						<td><?php echo $count->remarks; ?></td>
						<td style="width: 100px"><?php echo $count->status; ?></td>
						<td style="width: 75px; padding: 0">
							<?php if ($this->user->has_permission('to_view_stock_count','Inventory')): ?><a class="grid-action grid-action-view target_main" href="inventory/stock_take_report/<?=$count->id?>"><span>View</span></a><?php endif; ?>
							<?php if ($count->status == 'Pending'): ?>
								<?php if ($this->user->has_permission('to_edit_stock_count','Inventory')): ?><a class="grid-action grid-action-edit target_main" href="inventory/stock_count_entry/<?=$count->id?>"><span>Edit</span></a><?php endif; ?>
								<?php if ($this->user->has_permission('to_delete_stock_count','Inventory')): ?><a class="grid-action grid-action-delete" href="inventory/delete_stock_take/<?=$count->id?>"><span>Delete</span></a><?php endif; ?>
							<?php endif; ?>

						</td>
					</tr>
					<?php $x++; endforeach; ?>
				</tbody>
			</table>
		</div>