<?php if (!$this->user->has_permission('to_view_stock_movement','Inventory')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var filtered = false;

reload_data = 'limit=100';

function filterItems(){
	var number = $('input.filter-number').val();
	var date_from = $('input.filter-date-from').val();
	var date_to = $('input.filter-date-to').val();
	var payment_status = $('select.filter-payment-status').val();
	var status = $('select.filter-status').val();
	var term = $('select.filter-term').val();
	var supplier = $('select.filter-supplier').val();
	
	$('table.grid tbody').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	
	$.ajax({
		url: base_url + 'inventory/wm_filter',
		type: 'wmST',
		data: 'number='+number+'&date_from='+date_from+'&date_to='+date_to+'&payment_status='+payment_status+'&status='+status+'&term='+term+'&supplier='+supplier,
		success: function (result){
			reload_data = 'number='+number+'&date_from='+date_from+'&date_to='+date_to+'&payment_status='+payment_status+'&status='+status+'&term='+term+'&supplier='+supplier;
			$('div.main_full').html(result);
			wmpulateEvents();
			filtered = true;
		}
	})
}

function reloadGrid(){
	$.ajax({
		url: base_url + 'inventory/wm_filter',
		type: 'wmST',
		data: reload_data,
		success: function (result){
			$('div.main_full').html(result);
			$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
			wmpulateEvents();
			
			if (reload_sort){
				$('th.sortable[rel='+reload_sort+']').addClass(reload_order).click();
			}
			
		}
	});
}

</script>
		<div class="toolbar">
			<h3 class="grid-title">
				<?php if ($this->user->has_permission('to_create_stock_movement','Inventory')): ?><a href="inventory/wm_add" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">New Stock Movement</a><?php endif; ?>
				Stock Movements
			</h3>
			
			<div class="global-tabs" style="padding: 5px; font-size: 10pt">
				<a class="v-btn show-filter-controls icon-search">Search</a>
			</div>
			
    		<div class="modal-filter-form filter" style="font-size: 10pt;">
				<div class="triangle"></div>
    			<table>
    				<tr>
		    			<td>SM No.</td>
		    			<td><input type="text" name="number" class="v-text filter-number" style="width: 80px;" /></td>
    				</tr>
    				<tr>
		    			<td>From</td>
		    			<td><input type="text" name="date_from" class="v-text date filter-date-from" style="width: 80px" /></td>
    				</tr>
    				<tr>
		    			<td>To</td>
		    			<td><input type="text" name="date_to" class="v-text date filter-date-to" style="width: 80px; " /></td>
    				</tr>
    				<tr>
		    			<td>From Warehouse</td>
		    			<td><?php echo form_dropdown('from_warehouse', $warehouses_dropdown, '', 'class="v-dropdown filter-from-warehouse" style="margin-right: 10px; width: 130px; font-size: 10pt"'); ?></td>
    				</tr>
    				<tr>
		    			<td>To Warehouse</td>
		    			<td><?php echo form_dropdown('to_warehouse', $warehouses_dropdown, '', 'class="v-dropdown filter-to-warehouse" style="margin-right: 10px; width: 130px; font-size: 10pt"'); ?></td>
    				</tr>
    				<tr>
		      			<td>Status</td>
		      			<td><?php echo form_dropdown('status', array('Select','Pending'=>'Pending','Received'=>'Received'), '', 'class="v-dropdown filter-status" style="margin-right: 10px; width: 130px; font-size: 10pt"'); ?></td>
    				</tr>
    			</table>
      			<hr />
    			<a class="v-btn filter-btn search">Filter</a>
    		</div>
    		
    		<table class="grid">
    			<thead>
    				<tr>
    					<th class="sortable-date" rel="1" style="width: 90px">SM No.</th>
    					<th class="sortable-date" rel="2" style="width: 90px">Date</th>
    					<th class="sortable" rel="3" >From</th>
    					<th class="sortable" rel="4" >To</th>
    					<th class="sortable" rel="5" style="width: 90px">Status</th>
    					<th class="sortable" rel="6" style="width: 100px">Total Items</th>
						<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
    				</tr>
    			</thead>
    		</table>
		</div>
		
		<div class="main_full">
			<table class="grid grid_data">
				<tbody>
					<?php $x=0; foreach ($wms as $wm): ?>
					<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
						<td rel="1" class="sortable-date" time="<?php echo $wm->id; ?>" style="width: 90px"><?php echo 'SM-' . $wm->id; ?></td>
						<td rel="2" class="sortable-date" time="<?php echo strtotime($wm->delivered_date);?>" style="width: 90px"><?php echo date('d/m/Y',strtotime($wm->delivered_date)); ?></td>
						<td rel="3" class="sortable"><?php echo $wm->from_warehouse_name; ?></td>
						<td rel="4" class="sortable"><?php echo $wm->to_warehouse_name; ?></td>
						<td rel="5" class="sortable" style="width: 90px"><?php echo $wm->status; ?></td>
						<td rel="6" class="sortable" style="text-align: right; width: 100px"><?php echo $wm->total_items; ?></td>
						<td style="width: 75px; padding: 0">
							<?php if ($this->user->has_permission('to_view_stock_movement','Inventory')): ?><a class="grid-action grid-action-view" href="inventory/wm_view/<?=$wm->id?>"><span>View</span></a><?php endif; ?>
							<?php if ($wm->status == 'Pending'): ?>
							<?php if ($this->user->has_permission('to_edit_stock_movement','Inventory')): ?><a class="grid-action grid-action-edit" href="inventory/wm_edit/<?=$wm->id?>"><span>Edit</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_delete_stock_movement','Inventory')): ?><a class="grid-action grid-action-delete" href="inventory/wm_delete/<?=$wm->id?>/do"><span>Delete</span></a><?php endif; ?>
							<?php endif; ?>
						</td>
					</tr>
					<?php $x++; endforeach; ?>
				</tbody>
			</table>
		</div>