<?php if (!$this->user->has_access('ledger')) die('You do not have the permissions to access this area.'); ?>
		<div class="toolbar">
			<h3 class="grid-title">Today&#39;s Transactions</h3>
		</div>
		<div class="main_full">
			<table class="grid">
				<thead>
					<tr>
						<th style="width: 100px">Date</th>
						<th style="width: 150px">Reference No.</th>
						<th>Transaction Details</th>
						<th style="width: 100px">Debit (<?php echo $this->system->config('currency'); ?>)</th>
						<th style="width: 100px">Credit (<?php echo $this->system->config('currency'); ?>)</th>
					</tr>
				</thead>
				<tbody>
					<?php $x = 0; foreach ($transactions as $tx): ?>
					<?php if ($tx->amount_cc == 0 && $tx->amount_cheque == 0 && $tx->amount_credit == 0): ?>
					<tr <?php echo $x%2 == 0 ? 'class="alt"': ''; ; ?>>
						<td style="width: 100px"><?php echo date('d/m/Y',strtotime($tx->datetime)); ?></td>
						<td style="width: 150px"><?php echo $tx->type == 'sale' ? 'SA-'.$tx->reference_no : 'PO-'.$tx->reference_no; ?></td>
						<td><?php echo $tx->details; ?></td>
						<td style="width: 100px; text-align: right"><?php echo $tx->type == 'sale' ? number_format($tx->amount,2) : ''; ?></td>
						<td style="width: 100px; text-align: right"><?php echo $tx->type == 'purchase' ? number_format($tx->amount_received == 0 ? $tx->amount : $tx->amount_received,2): ''; ?></td>			
						<?php 
							$total_debit += $tx->type == 'sale' ? $tx->amount : 0;
							$total_credit += $tx->type == 'purchase' ? ($tx->amount_received == 0 ? $tx->amount : $tx->amount_received) : 0;
						?>
					</tr>
					
					<?php elseif ($tx->type == 'purchase'): ?>
					
					<tr <?php echo $x%2 == 0 ? 'class="alt"': ''; ; ?>>
						<td style="width: 100px"><?php echo date('d/m/Y',strtotime($tx->datetime)); ?></td>
						<td style="width: 150px"><?php echo $tx->type == 'sale' ? 'SA-'.$tx->reference_no : 'PO-'.$tx->reference_no; ?></td>
						<td><?php echo $tx->details == 'Cash Sale' ? 'Purchase Order' : $tx->details; ?></td>
						<td style="width: 100px; text-align: right"><?php echo $tx->type == 'sale' ? number_format($tx->amount,2) : ''; ?></td>
						<td style="width: 100px; text-align: right"><?php echo $tx->type == 'purchase' ? number_format($tx->amount_received == 0 ? $tx->amount : $tx->amount_received,2): ''; ?></td>			
						<?php 
							$total_debit += $tx->type == 'sale' ? $tx->amount : 0;
							$total_credit += $tx->type == 'purchase' ? ($tx->amount_received == 0 ? $tx->amount : $tx->amount_received) : 0;
						?>
					</tr>
	
					
					<?php else: ?>
					
					<?php
						$date = date('d/m/Y',strtotime($tx->datetime));
						$ref = 'SA-'.$tx->reference_no;
					?>
					
					<?php if ($tx->amount_cash != 0): ?>
	
					<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ; ?>>
						<td style="width: 100px"><?php echo $date; ?></td>
						<td style="width: 150px"><?php echo $ref; ?></td>
						<td><?php echo 'Cash' ?></td>
						<td style="width: 100px; text-align: right"><?php echo $tx->type == 'sale' ? number_format($tx->amount_cash,2) : ''; ?></td>
						<td style="width: 100px; text-align: right"></td>			
						<?php 
							$total_debit += $tx->type == 'sale' ? $tx->amount_cash : 0;
							$date = $ref = null;
						?>
					</tr>
					<?php endif; ?>
					
					<?php if ($tx->amount_credit != 0): ?>
					<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ; ?>>
						<td style="width: 100px"><?php echo $date; ?></td>
						<td style="width: 150px"><?php echo $ref; ?></td>
						<td><?php echo 'Credit' ?></td>
						<td style="width: 100px; text-align: right"><?php echo $tx->type == 'sale' ? number_format($tx->amount_credit,2) : ''; ?></td>
						<td style="width: 100px; text-align: right"></td>			
						<?php 
							$total_debit += $tx->type == 'sale' ? $tx->amount_credit : 0;
							$date = $ref = null;
						?>
					</tr>
					<?php endif; ?>
					
					<?php if ($tx->amount_cheque != 0): ?>
					<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ; ?>>
						<td style="width: 100px"><?php echo $date; ?></td>
						<td style="width: 150px"><?php echo $ref; ?></td>
						<td><?php echo 'Cheque Payment' ?></td>
						<td style="width: 100px; text-align: right"><?php echo $tx->type == 'sale' ? number_format($tx->amount_cheque,2) : ''; ?></td>
						<td style="width: 100px; text-align: right"></td>			
						<?php 
							$total_debit += $tx->type == 'sale' ? $tx->amount_cheque : 0;
							$date = $ref = null;
						?>
					</tr>
					<?php endif; ?>
	
	
					<?php if ($tx->amount_cc != 0): ?>
					<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ; ?>>
						<td style="width: 100px"><?php echo $date; ?></td>
						<td style="width: 150px"><?php echo $ref; ?></td>
						<td><?php echo 'Credit Card Payment'; ?></td>
						<td style="width: 100px; text-align: right"><?php echo $tx->type == 'sale' ? number_format($tx->amount_cc,2) : ''; ?></td>
						<td style="width: 100px; text-align: right"></td>			
						<?php 
							$total_debit += $tx->type == 'sale' ? $tx->amount_cc : 0;
							$date = $ref = null;
						?>
					</tr>
					<?php endif; ?>
	
						
					<?php endif; ?>
					<?php $x++; endforeach; ?>
					<tr class="total">
						<td style="text-align: right" colspan="3">Total</td>
						<td class="dark" style="text-align: center"><?php echo number_format($total_debit, 2); ?></td>
						<td class="dark" style="text-align: center"><?php echo number_format($total_credit, 2); ?></td>
					</tr>
					<tr class="balance">
						<td style="text-align: right" colspan="3">Balance</td>
						<td class="dark" colspan="2" style="text-align: center"><?php echo number_format($total_debit - $total_credit, 2); ?></td>
					</tr>
				</tbody>
			</table>
		</div>
