<html>
	<head>
		<title>Plexcloud&trade; - <?php echo $title; ?></title>
		<style>	
			body {
				font-family: Arial, Helvetica, sans-serif;
				font-size: 10pt;
				margin: 0;
				padding: 0;
			}
			input:active {
				outline: none;
				border: none;
			}
			#term {
				padding: 10px;
			}
			
			div.user {
				background: #333;
				color: #FFF;
				padding: 10px;
				border-top: 2px solid red;
			}
			
			div.user p {
				padding: 0;
				margin: 0;
			}
			
			div.user a {
				color: #999;
			}
			
			table {
				width: 100%;
			}
			
			table td {
				background: #EEE;
				padding: 10px;
				font-size: 10pt;
			}
			
			table td.lighter {
				background: #F3F3F3;
			}
			
			div.content {
				padding: 20px;
			}
		</style>
	</head>
	<body>
		<div id="container">
			<div class="user">
				plexcloud&trade;
			</div>				
			<div class="content">
				<h3><?php echo $error; ?></h3>
				<p><?php echo $message; ?></p>
				<form method="post" action="<?php echo base_url(); ?>sys/license_renewal/do">
					
					<table>
						<tr>
							<td style="font-weight: bold; width: 200px">Licensee</td>
							<td><?php echo $license->licensee; ?></td>
						</tr>
						<tr>
							<td style="font-weight: bold; width: 200px">License ID</td>
							<td><?php echo $license->id; ?></td>
						</tr>
						<tr>
							<td style="font-weight: bold; width: 200px">Company Code</td>
							<td><?php echo $license->company_code; ?></td>						
						</tr>
						<?php if (!$dateerror): ?>
						<tr>
							<td style="font-weight: bold; width: 200px">From Date</td>
							<td><?php echo date('d/m/Y',strtotime($subscription->from_date)); ?></td>
						</tr>
						<tr>
							<td style="font-weight: bold; width: 200px">To Date</td>
							<td><?php echo date('d/m/Y',strtotime($subscription->to_date)); ?></td>
						</tr>
						<tr>
							<td style="font-weight: bold; width: 200px">License Key</td>
							<td>
								<input type="text" name="license_key" style="font-size: 10pt; width: 200px" />
								<?php if ($invalid): ?>
								<span style="color:red; margin-left: 20px;">The license key you entered is invalid.</span>
								<?php endif; ?>
							</td>
						</tr>
						<?php endif; ?>
					</table>
					<br /><br />
					
					<?php if ($dateerror): ?>
					<p>There are no valid lease record registered in the system and therefore license cannot be renewed. Please check your system date and time or contact your vendor.</p>
					<?php else: ?>
					<input type="submit" value="Validate License Key" />
					<?php endif; ?>				
				</form>

		    </div>
		</div>		   
	</body>
</html>