<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title><?php echo $this->system->config('system_title'); ?> - Administration</title>
		
		<link rel="stylesheet" href="<?php echo base_url(); ?>css/style.css" />
		<link rel="stylesheet" href="<?php echo base_url(); ?>css/login.css" />
		
		<script type="text/javascript">var base_url = "<?=base_url()?>";</script>
		<script src="js/jquery.js?5" type="text/javascript" charset="utf-8"></script>
		
		<?php if ($this->agent->is_mobile()): ?>
		<meta name="apple-mobile-web-app-capable" content="yes" />
		<meta name="format-detection" content="telephone=no" />
		<meta name="viewport" content="width=device-width,initial-scale=1.0,user-scalable=no" />
		
		<link rel="stylesheet" href="<?php echo base_url(); ?>css/apple.css" />
		<link rel="stylesheet" href="<?php echo base_url(); ?>css/mobile.css" />		
		<?php $mobile = true; endif; ?>
		
		<?php if ($mobile): ?>
		<script type="text/javascript" src="<?=base_url()?>js/webview.js"></script>	
		<?php else: ?>
		<script type="text/javascript" src="<?=base_url()?>js/window.js"></script>
		<?php endif; ?>
		
		
		
		<?php if ($this->system->config('plexcloud_id')): ?>
		<!-- CLOUD DYNAMIC UPDATE -->		
		<script type="text/javascript">
			$(document).ready(function(){
				dynamicUpdate();
			})
			function dynamicUpdate(){
				console.log('DNS Update Request');
				$.ajax({
					url: 'http://www.plexcloud.com/<?php echo $this->system->config('plexcloud_id'); ?>/update.php',
					type: 'post',
					data: 'key=<?Php echo $this->system->config('plexcloud_key'); ?>',
					success: function(){
						console.log('DNS Updated');
						setTimeout(function(){
							dynamicUpdate();
						}, 10000);
					}
				})
			}
		</script>
		<?php endif; ?>
	</head>
	<body>
	<div id="container">
		<div id="login_container" class="middle">
			<?php if ($img_filename = $this->system->config('company_logo')): ?>
				<div style="text-align: center; padding: 15px 10px; "><img style="width: 200px;" src="<?php echo base_url(); ?>../assets/img/<?php echo $img_filename; ?>" /></div>
			<?php else: ?>
				<h3><?php echo $this->system->config('system_title'); ?></h3>
			<?php endif; ?>
			<p style="text-align: center; border-bottom: 1px solid #EEE; color: #BBB; padding-bottom: 10px;"><small>Powered by Plexcloud&trade; 360<sup>o</sup></small></p>

			<?=form_open('login/auth',array('class'=>'v-form'))?>
			<fieldset>
				<h2>Administration Login</h2>
				<div>
				<?=$notice?>
				</div>
				<label for="username">Username</label><input type="text" style="width: 100%" name="username" id="username" class="v-txt" />
				<label for="password">Password</label><input type="password" style="width: 100%" name="password" id="password" class="v-txt " />
				<br class="v-clear" />
				<p style="padding-top: 6px"><button class="v-btn" style="margin-right: 6px">Log in</button></p>
			</fieldset>
			</form>
		</div>
	</div>
	</body>
</html>
