<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title><?php echo $this->system->config('system_title'); ?> - Administration</title>
		
		<link rel="stylesheet" href="<?php echo base_url(); ?>css/apple.css" />
		<link rel="stylesheet" href="<?php echo base_url(); ?>css/style.css" />
		<link rel="stylesheet" href="<?php echo base_url(); ?>css/login.css" />
		
		<script src="js/zepto.min.js?5" type="text/javascript" charset="utf-8"></script>
		<script src="js/jqtouch.min.js?5" type="text/javascript" charset="utf-8"></script>
		<script src="js/order.js?5" type="text/javascript" charset="utf-8"></script>
		<script src="js/iscroll.js?5" type="text/javascript" charset="utf-8"></script>

		<script src="js/jquery.js?5" type="text/javascript" charset="utf-8"></script>
		<script type="text/javascript">
			var j = jQuery.noConflict();
		</script>

		<script type="text/javascript" charset="utf-8">
			var jQT = new $.jQTouch({
				icon: '',
				icon4: '',
				addGlossToIcon: true,
				startupScreen: '',
				statusBar: 'default',
				themeSelectionSelector: '#jqt #themes ul',
				preloadImages: []
			});
			
			var orderScroll;
			var eventBound = false;

			// Some sample Javascript functions:
			$(function(){

				// Show a swipe event on swipe test
				$('#swipeme').swipe(function(evt, data) {
					var details = !data ? '': '<strong>' + data.direction + '/' + data.deltaX +':' + data.deltaY + '</strong>!';
					$(this).html('You swiped ' + details );
					$(this).parent().after('<li>swiped!</li>')
				});

				$('#tapme').tap(function(){
					$(this).parent().after('<li>tapped!</li>')
				});

				$('a[target="_blank"]').bind('click', function() {
					if (confirm('This link opens in a new window.')) {
						return true;
					} else {
						return false;
					}
				});

				// Page animation callback events
				$('#pageevents').
					bind('pageAnimationStart', function(e, info){ 
						$(this).find('.info').append('Started animating ' + info.direction + '&hellip;	And the link ' +
							'had this custom data: ' + $(this).data('referrer').data('custom') + '<br>');
					}).
					bind('pageAnimationEnd', function(e, info){
						$(this).find('.info').append('Finished animating ' + info.direction + '.<br><br>');

					});
				
				// Page animations end with AJAX callback event, example 1 (load remote HTML only first time)
				$('#callback').bind('pageAnimationEnd', function(e, info){
					// Make sure the data hasn't already been loaded (we'll set 'loaded' to true a couple lines further down)
					if (!$(this).data('loaded')) {
						// Append a placeholder in case the remote HTML takes its sweet time making it back
						// Then, overwrite the "Loading" placeholder text with the remote HTML
						$(this).append($('<div>Loading</div>').load('ajax.html .info', function() {		   
							// Set the 'loaded' var to true so we know not to reload
							// the HTML next time the #callback div animation ends
							$(this).parent().data('loaded', true);	
						}));
					}
				});
				// Orientation callback event
				$('#jqt').bind('turn', function(e, data){
					$('#orient').html('Orientation: ' + data.orientation);
				});
				
				
				setTimeout(function(){
					var targetHeight = $(window).height() - 45;
					
					$('div.order-container').css('min-height', targetHeight);
					$('div.order-scroller-container').css('height', targetHeight);
					
					orderScroll = new iScroll('order-container');
				}, 300);
				
			});
		</script>
		<style type="text/css" media="screen">
			#jqt.fullscreen #home .info {
				display: none;
			}
			div#jqt #about {
				padding: 100px 10px 40px;
				text-shadow: rgba(0, 0, 0, 0.3) 0px -1px 0;
				color: #999;
				font-size: 13px;
				text-align: center;
				background: #161618;
			}
			div#jqt #about p {
				margin-bottom: 8px;
			}
			div#jqt #about a {
				color: #fff;
				font-weight: bold;
				text-decoration: none;
			}
		</style>
		
	</head>
	<body>
	<div id="container">
		<div id="login_container" class="middle">
			<?php if ($img_filename = $this->system->config('company_logo')): ?>
				<div style="text-align: center; padding: 15px 10px; "><img style="width: 200px;" src="<?php echo base_url(); ?>../assets/img/<?php echo $img_filename; ?>" /></div>
			<?php else: ?>
				<h3><?php echo $this->system->config('system_title'); ?></h3>
			<?php endif; ?>
			<p style="text-align: center; border-bottom: 1px solid #EEE; color: #BBB; padding-bottom: 10px;"><small>Powered by Plexcloud&trade; 360<sup>o</sup></small></p>

			<?=form_open('login/auth',array('class'=>'v-form'))?>
			<fieldset>
				<h2>Administration Login</h2>
				<div>
				<?=$notice?>
				</div>
				<label for="username">Username</label><input type="text" style="width: 100%" name="username" id="username" class="v-txt" />
				<label for="password">Password</label><input type="password" style="width: 100%" name="password" id="password" class="v-txt " />
				<br class="v-clear" />
				<p style="padding-top: 6px"><button class="v-btn" style="margin-right: 6px">Log in</button></p>
			</fieldset>
			</form>
		</div>
	</div>
	</body>
</html>
