<?php if (!$this->user->has_access('reports')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

$(document).ready(function(){

	$('div.filter input').keypress(function(e){
		
		if (e.which == 13) filterItems();
	});
	
	$('div.filter select').keypress(function(e){
		if (e.which == 13) filterItems();
	});
	
	$('a.filter-btn').click(function(){
		filter();
	});
});

function filter(){
	var date_from = $('input.filter-date-from').val();
	var date_to = $('input.filter-date-to').val();

	$('div.main_full').hide()
	$('div.status').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>').show();
	
	
	$.ajax({
		url: base_url + 'reports/cash_count',
		type: 'POST',
		data: 'date_from='+date_from+'&date_to='+date_to,
		success: function (result){
			$('#global-content').html(result);
			populateEvents();
		}
	});
}

</script>

	<div class="toolbar">
		<h3 class="grid-title">Cash Count</h3>
		<div class="global-tabs filter" style="padding: 5px 5px; font-size: 10pt;">
			Date from <input type="text" name="date_from" value="<?php echo date('d/m/Y',strtotime($from)); ?>" class="v-text date filter-date-from" style="width: 130px; margin-right: 10px" />
			to <input type="text" name="date_to" value="<?php echo date('d/m/Y',strtotime($to)); ?>" class="v-text date filter-date-to" style="width: 130px; margin-right: 10px" /> <a class="v-btn filter-btn search">Filter</a>
		</div>
	</div>
	<div class="status">
	
	</div>

	<div class="main_full">
		<div class="report" style="padding: 15px">
		<h2 style="text-align: center; margin-bottom: 0; padding-bottom: 0">Cash Count</h2>
		<p style="text-align: center; padding-bottom: 10px; margin-bottom: 20px; border-bottom: 1px solid #CCC">Date Range: <?php echo date('l, F j, Y',strtotime($from)); ?> - <?php echo date('l, F j, Y',strtotime($to)); ?></p>
		
		<table class="grid">
			<thead>
				<tr>
					<th>From</th>
					<th>To</th>
					<th>Session No</th>
					<th>Terminal</th>
					<th>Cashier</th>
					<th style="width: 100px">Total Items</th>
					<th style="width: 100px">Sales (<?php echo $this->system->config('currency'); ?>)</th>
					<th style="width: 100px">Counted (<?php echo $this->system->config('currency'); ?>)</th>
					<th style="width: 100px">Discrepancy (<?php echo $this->system->config('currency'); ?>)</th>

				</tr>
			</thead>
			<tbody>
				<?php $x = 0; foreach ($counts as $count): ?>
				<tr <?php echo $x%2 != 0 ? 'class="alt"' : ''; ?>>
					<td><?php echo date('H:iA d/m/Y',strtotime($count->from)); ?></td>
					<td><?php echo date('H:iA d/m/Y',strtotime($count->to)); ?></td>
					<td><?php echo $count->session; ?></td>
					<td><?php echo $count->terminal; ?></td>
					<td><?php echo $count->employee_username; ?></td>
					<td style="text-align: right"><?php echo number_format($count->total_items); ?></td>
					<td style="text-align: right"><?php echo number_format($count->total_sales,2); ?></td>
					<td style="text-align: right"><?php echo number_format($count->deposited,2); ?></td>
					<td style="text-align: right"><?php echo number_format($count->discrepancy,2); ?></td>

				</tr>
				<?php $x++; 
				
				$total_items += $count->total_items;
				$total_sales += $count->total_sales; 
				$discrepancy += $count->discrepancy; 
				$deposited += $count->deposited;
				
				endforeach; ?>
				<tr style="background: #EEE" class="total">
					<td colspan="5"></td>
					<td style="text-align: right; border: none"><strong><?php echo number_format($total_items); ?></strong></td>
					<td style="text-align: right; border: none"><strong><?php echo number_format($total_sales,2); ?></strong></td>
					<td style="text-align: right; border: none"><strong><?php echo number_format($deposited,2); ?></strong></td>
					<td style="text-align: right; border: none"><strong><?php echo number_format($discrepancy,2); ?></strong></td>
				</tr>
			</tbody>
		</table>
		</div>
	</div>