<?php if (!$this->user->has_access('Reports')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

reload_data = 'limit=100';

function filterItems(){
	var date_from = $('input.filter-date-from').val();
	var date_to = $('input.filter-date-to').val();
	var type = $('select.filter-type').val();

	
	$('table.grid tbody').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	
	$.ajax({
		url: base_url + 'reports/saved_reports_filter',
		type: 'POST',
		data: 'date_from='+date_from+'&date_to='+date_to+'&type='+type,
		success: function (result){
			$('div.main_full').html(result);
			populateEvents();
		}
	})
}

function reloadGrid(){
	$.ajax({
    	url: base_url + 'reports/saved_reports_filter',
    	type: 'POST',
    	data: reload_data,
    	success: function (result){
    		$('div.main_full').html(result);
    		$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
    		populateEvents();
    		
    		if (reload_sort){
    			$('th.sortable[rel='+reload_sort+']').addClass(reload_order).click();
    		}
    		
    	}
    });
}

</script>

		<div class="toolbar">
			<h3 class="grid-title">
				Saved Reports
			</h3>
    		<div class="global-tabs filter" style="padding: 5px 5px; font-size: 10pt;">
    			Date from <input type="text" field="time_from" name="date" value="<?php echo date('d/m/Y'); ?>" class="v-text date filter-date-from" style="width: 80px" />
    			to <input type="text" field="time_to" name="date" value="<?php echo date('d/m/Y'); ?>" class="v-text date filter-date-to" style="width: 80px" />  
    			Type <?php echo form_dropdown('type', $reports_dropdown, '', 'class="v-dropdown filter-type" style="width: 110px; font-size: 10pt"'); ?>
    			<a class="v-btn filter-btn">Filter</a>
    		</div>
    		<table class="grid">
    			<thead>
    				<tr>
    					<th class="sortable" rel="1" style="width: 200px">Title</th>
    					<th class="sortable" rel="2">Notes</th>
    					<th class="sortable" rel="3" style="width: 200px">Type</th>
    					<th class="sortable" rel="4" style="width: 100px">Saved on</th>
    					<th class="sortable" rel="5" style="width: 100px">Saved by</th>
						<th class="grid-action" style="text-align: center; width: 50px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
    				</tr>
    			</thead>
    		</table>
		</div>
		
		<div class="main_full">
			<table class="grid grid_data">
				<tbody>
					<?php $x=0; foreach ($saved_reports as $report): ?>
					<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
						<td rel="1" class="sortable" style="width: 200px"><?php echo $report->title; ?></td>
						<td rel="2" class="sortable"><?php echo $report->notes; ?></td>
						<td rel="3" class="sortable" style="width: 200px"><?php echo $report->type; ?></td>
						<td rel="4" class="sortable" style="width: 100px"><?php echo date('d/m/Y h:iA',strtotime($report->added_on)); ?></td>
						<td rel="5" class="sortable" style="width: 100px"><?php echo $report->added_by; ?></td>
						<td style="width: 50px; padding: 0">
							<?php if ($this->user->has_permission('to_view','Reports')): ?><a class="grid-action grid-action-view target_main" href="reports/view_saved_report/<?=$report->id?>"><span>View</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_delete','Reports')): ?><a class="grid-action grid-action-delete" href="reports/delete_saved_report/<?=$report->id?>/do"><span>Delete</span></a><?php endif; ?>
						</td>
					</tr>
					<?php $x++; endforeach; ?>
					<?php if (!$x): ?>
					<tr class="alt">
						<td colspan="6"><strong>There are no saved reports.</strong></td>
					</tr>
					<?php endif; ?>
				</tbody>
			</table>
		</div>