<?php if (!$this->user->has_access('reports')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

$(document).ready(function(){

	$('div.filter input').keypress(function(e){
		
		if (e.which == 13) filterItems();
	});
	
	$('div.filter select').keypress(function(e){
		if (e.which == 13) filterItems();
	});
	
	$('a.filter-btn').click(function(){
		filter();
	});
});

function filter(){
	var date_from = $('input.filter-date-from').val();
	var date_to = $('input.filter-date-to').val();

	$('div.main_full').hide()
	$('div.status').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>').show();
	
	
	$.ajax({
		url: base_url + 'reports/stock_adjustment',
		type: 'POST',
		data: 'date_from='+date_from+'&date_to='+date_to,
		success: function (result){
			$('#global-content').html(result);
			populateEvents();
		}
	});
}

</script>

	<div class="toolbar">
		<h3 class="grid-title">Stock Adjustment</h3>
		<div class="global-tabs filter" style="padding: 5px 5px; font-size: 10pt;">
			Date from <input type="text" name="date_from" value="<?php echo date('d/m/Y',strtotime($from)); ?>" class="v-text date filter-date-from" style="width: 130px; margin-right: 10px" />
			to <input type="text" name="date_to" value="<?php echo date('d/m/Y',strtotime($to)); ?>" class="v-text date filter-date-to" style="width: 130px; margin-right: 10px" /> <a class="v-btn filter-btn search">Filter</a>
		</div>
	</div>
	<div class="status">
	
	</div>

	<div class="main_full">

		<div class="report" style="padding: 15px">
		<h2 style="text-align: center; margin-bottom: 0; padding-bottom: 0">Stock Adjustment</h2>
		<p style="text-align: center; padding-bottom: 10px; margin-bottom: 20px; border-bottom: 1px solid #CCC">Date Range: <?php echo date('l, F j, Y',strtotime($from)); ?> - <?php echo date('l, F j, Y',strtotime($to)); ?></p>
		
		<table class="grid">
			<thead>
				<tr>
					<th style="width: 130px;">Date/Time</th>
					<th style="width: 120px">Item SKU</th>
					<th>Item Name</th>
					<th style="width: 100px">Previous Quantity</th>
					<th style="width: 100px">Adjusted Quantity</th>
					<th style="width: 200px">Remarks</th>
				</tr>
			</thead>
			<tbody>
				<?php $x = 0; foreach ($sa as $adjustment): ?>
				<tr <?php echo $x%2 != 0 ? 'class="alt"' : ''; ?>>
					<td style="width: 130px"><?php echo date('H:iA d/m/Y',strtotime($adjustment->datetime)); ?></td>
					<td style="width: 120px"><?php echo $adjustment->item_sku; ?></td>
					<td><?php echo $adjustment->item_name; ?></td>
					<td style="width: 100px; text-align: center;"><?php echo $adjustment->previous_qty; ?></td>
					<td style="width: 100px; text-align: center"><?php echo $adjustment->new_qty; ?></td>
					<td style="width: 120px; text-align: right"><?php echo $adjustment->remarks; ?></td>
				</tr>
				<?php $x++; endforeach; ?>
				<tr style="background: #EEE" class="total">
					<td style="border: none;" colspan="6"></td>
				</tr>
			</tbody>
		</table>
		</div>
	</div>