<?php if (!$this->user->has_permission('to_view_discount_rule','Sales')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

reload_data = 'limit=100';

function filterItems(){
	var number = $('input.filter-number').val();
	var date_from = $('input.filter-date-from').val();
	var date_to = $('input.filter-date-to').val();
	var status = $('select.filter-status').val();
	var term = $('select.filter-term').val();
	var contact = $('select.filter-contact').val();

	
	$('table.grid tbody').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	
	$.ajax({
		url: base_url + 'sales/so_filter',
		type: 'POST',
		data: 'number='+number+'&date_from='+date_from+'&date_to='+date_to+'&status='+status+'&term='+term+'&contact='+contact,
		success: function (result){
			$('div.main_full').html(result);
			populateEvents();
		}
	})
}

function reloadGrid(){
	$.ajax({
    	url: base_url + 'sales/dr_filter',
    	type: 'POST',
    	data: reload_data,
    	success: function (result){
    		$('div.main_full').html(result);
    		$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
    		populateEvents();
    		
    		if (reload_sort){
    			$('th.sortable[rel='+reload_sort+']').addClass(reload_order).click();
    		}
    		
    	}
    });
}

</script>
		<div class="toolbar">
			<h3 class="grid-title">
				<?php if ($this->user->has_permission('to_create_discount_rule','Sales')): ?>
				<a href="sales/dr_add" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">New Discount Rule</a>
				<?php endif; ?>
				Discount Rules
			</h3>
    		
    		<div class="global-tabs filter" style="padding: 5px 5px; font-size: 10pt;">
    			<span class="filter-field">Discount Name <input type="text" name="name" class="v-text filter-number" style="width: 100px;" /></span>
    			<span class="filter-field">From <input type="text" name="date_from" class="v-text date filter-date-from" style="width:100px;" /></span>
    			<span class="filter-field">To <input type="text" name="date_to" class="v-text date filter-date-to" style="width: 80px;" /></span>
    			<a class="v-btn filter-btn search">Filter</a>
    		</div>
    		<table class="grid">
    			<thead>
    				<tr>
    					<th class="sortable-date" rel="2" style="width: 90px">Date From</th>
    					<th class="sortable-date" rel="3" style="width: 90px">Date To</th>
    					<th class="sortable" rel="3" >Discount Name</th>
    					<th class="sortable" rel="5" style="width: 120px">Based-on Purchases</th>
						<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
    				</tr>
    			</thead>
    		</table>
		</div>
		
		<div class="main_full">
			<table class="grid grid_data">
				<tbody>
					<?php $x=0; foreach ($drs as $dr): ?>
					<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
						<td rel="1" class="sortable-date" time="<?php echo strtotime($dr->date_from);?>" style="width: 90px"><?php echo $dr->date_validity ? date('d/m/Y',strtotime($dr->date_from)) : 'N/A'; ?></td>
						<td rel="2" class="sortable-date" time="<?php echo strtotime($dr->date_to);?>" style="width: 90px"><?php echo $dr->date_validity ? date('d/m/Y',strtotime($dr->date_to)) : 'N/A'; ?></td>
						<td rel="3" class="sortable"><?php echo $dr->name; ?></td>
						<td rel="5" class="sortable" style="width: 120px"><?php echo $dr->is_performance_based ? 'Yes' : 'No'; ?></td>
						<td style="width: 75px; padding: 0">
							<?php if ($this->user->has_permission('to_view_discount_rule','Sales')): ?><a class="grid-action grid-action-view" href="sales/dr_view/<?=$dr->id?>"><span>View</span></a><?php endif; ?>
							<?php if ($dr->status != 'Active'): ?>
							<?php if ($this->user->has_permission('to_edit_discount_rule','Sales')): ?><a class="grid-action grid-action-edit" href="sales/dr_edit/<?=$dr->id?>"><span>Edit</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_delete_discount_rule','Sales')): ?><a class="grid-action grid-action-delete" href="sales/dr_delete/<?=$dr->id?>/do"><span>Delete</span></a><?php endif; ?>
							<?php endif; ?>
						</td>
					</tr>
					<?php $x++; endforeach; ?>
				</tbody>
			</table>
		</div>