<?php if (!$this->user->has_permission('to_view_delivery_order','Sales')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

reload_data = 'limit=100';

function filterItems(){
	var number = $('input.filter-number').val();
	var tracking_number = $('input.filter-tracking-number').val();
	var shipping = $('select.filter-shipping').val();
	var date_from = $('input.filter-date-from').val();
	var date_to = $('input.filter-date-to').val();
	var status = $('select.filter-status').val();
	var contact = $('select.filter-contact').val();

	
	$('table.grid tbody').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	
	$.ajax({
		url: base_url + 'sales/do_filter',
		type: 'POST',
		data: 'number='+number+'&date_from='+date_from+'&date_to='+date_to+'&tracking_number='+tracking_number+'&shipping='+shipping+'&status='+status+'&contact='+contact,
		success: function (result){
			$('div.main_full').html(result);
			populateEvents();
		}
	})
}

function reloadGrid(){
	$.ajax({
    	url: base_url + 'sales/do_filter',
    	type: 'POST',
    	data: reload_data,
    	success: function (result){
    		$('div.main_full').html(result);
    		$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
    		populateEvents();
    		
    		if (reload_sort){
    			$('th.sortable[rel='+reload_sort+']').addClass(reload_order).click();
    		}
    		
    	}
    });
}

</script>
		<div class="toolbar">
			<h3 class="grid-title">				
				Delivery Orders
			</h3>
    		
    		<div class="global-tabs" style="padding: 5px; font-size: 10pt">
				<a class="v-btn show-filter-controls icon-search">Search</a>
			</div>
	
			<div class="modal-filter-form filter" style="font-size: 10pt;">
				<div class="triangle"></div>
				<table>
					<tr>
		    			<td>Inv/Do No.</td>
		    			<td><input type="text" name="number" class="v-text filter-number" style="width: 80px;" /></td>
					</tr>
					<tr>
		    			<td>Tracking No.</td>
		    			<td><input type="text" name="tracking_number" class="v-text filter-tracking-number" style="width: 80px;" /></td>
					</tr>
					<tr>
		    			<td>From</td>
		    			<td><input type="text" name="date_from" class="v-text date filter-date-from" style="width: 80px;" /></td>
					</tr>
					<tr>
		    			<td>To</td>
		    			<td><input type="text" name="date_to" class="v-text date filter-date-to" style="width: 80px;" /></td>
					</tr>
					<tr>
						<td>Customer</td>
						<td><?php echo form_dropdown('contact', $contacts_dropdown, '', 'class="v-dropdown filter-contact" style="width: 110px; font-size: 10pt"'); ?></td>
					</tr>
					<tr>
						<td>Shipping</td>
						<td><?php echo form_dropdown('contact', $shipping_dropdown, '', 'class="v-dropdown filter-shipping" style="width: 110px; font-size: 10pt"'); ?></td>
					</tr>
					<tr>
						<td>Delivery Status</td>
						<td><?php echo form_dropdown('status', array('Select','Pending'=>'Pending','In Progress'=>'In Progress','Delivered'=>'Delivered','Ready for Pick-up'=>'Ready for Pick-up'), '', 'class="v-dropdown filter-status" style="width: 110px; font-size: 10pt"'); ?></td>
					</tr>
				</table>
				<hr />
    			<a class="v-btn filter-btn search">Filter</a>
    		</div>
    		<table class="grid">
    			<thead>
    				<tr>
    					<th class="sortable-date" rel="1" style="width: 90px">Inv/Do No.</th>
    					<th class="sortable" rel="2" style="width: 90px">PO No.</th>
    					<th class="sortable-date" rel="3" style="width: 90px">Date</th>
    					<th class="sortable" rel="4" >Customer</th>
    					<th class="sortable" rel="5" style="width: 150px">Shipping</th>
    					<th class="sortable" rel="7" style="width: 150px">Tracking No</th>
    					<th class="sortable" rel="6" style="width: 120px">Status</th>
						<th class="grid-action" style="text-align: center; width: 30px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
    				</tr>
    			</thead>
    		</table>
		</div>
		
		<div class="main_full">
			<table class="grid grid_data">
				<tbody>
					<?php $x=0; foreach ($invoices as $invoice):?>
					<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
						<td rel="1" class="sortable-date" time="<?php echo $invoice->txn_no; ?>" style="width: 90px"><?php echo 'DO-' . $invoice->txn_no; ?></td>
						<td rel="2" class="sortable" style="width: 90px"><?php echo $invoice->po_number ? $invoice->po_number : 'N/A'; ?></td>
						<td rel="3" class="sortable-date" time="<?php echo strtotime($invoice->date);?>" style="width: 90px"><?php echo date('d/m/Y',strtotime($invoice->date)); ?></td>
						<td rel="4" class="sortable"><?php echo $invoice->contact ? $invoice->contact : $invoice->contact_person; ?></td>
						<td rel="5" class="sortable" style="width: 150px"><?php echo $invoice->shipping ? $invoice->shipping : 'N/A'; ?></td>
						<td rel="7" class="sortable" style="width: 150px"><?php echo $invoice->delivery_tracking_no ? $invoice->delivery_tracking_no : 'N/A'; ?></td>
						<td rel="6" class="sortable" style="width: 120px"><?php echo $invoice->delivery_status ? $invoice->delivery_status : 'Pending'; ?></td>
						<td style="width: 30px; padding: 0">
							<?php if ($this->user->has_permission('to_view_delivery_order','Sales')): ?><a class="grid-action grid-action-view" href="sales/do_view/<?=$invoice->id?>"><span>View</span></a><?php endif; ?>
						</td>
					</tr>
					<?php $x++; endforeach; ?>
					<?php if ($x == 0): ?>
					<tr class="alt">
						<td colspan="7"><strong>There are no Delivery Orders.</strong></td>
					</tr>
					<?php endif; ?>

				</tbody>
			</table>
		</div>