			<table class="grid grid_data">
				<tbody>
					<?php $x=0; foreach ($invoices as $invoice): ?>
					<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
						<td rel="1" class="sortable-date" time="<?php echo $invoice->txn_no; ?>" style="width: 90px"><?php echo 'INV-' . $invoice->txn_no; ?></td>
						<td rel="2" class="sortable" style="width: 90px"><?php echo $invoice->po_number ? $invoice->po_number : 'N/A'; ?></td>
						<td rel="3" class="sortable-date" time="<?php echo strtotime($invoice->date);?>" style="width: 90px"><?php echo date('d/m/Y',strtotime($invoice->date)); ?></td>
						<td rel="4" class="sortable"><?php echo $invoice->contact ? $invoice->contact : $invoice->contact_person; ?></td>
						<td rel="5" class="sortable" style="width: 90px"><?php echo $invoice->terms == 'Credit' ? $invoice->duration . ' days': 'Cash'; ?></td>
						<td rel="6" class="sortable" style="width: 90px"><?php echo $invoice->status; ?></td>
						<td rel="7" class="sortable" style="width: 90px"><?php echo $invoice->payment_contra ? 'Contra' : $invoice->payment_status; ?></td>
						<td rel="8" class="sortable" style="text-align: right; width: 100px">
							<?php if ($invoice->status == 'Pending') echo $invoice->total; else echo $invoice->total_delivered; ?>
						</td>
						<td style="width: 75px; padding: 0">
							<?php if ($this->user->has_permission('to_view_invoice','Sales')): ?><a class="grid-action grid-action-view" href="sales/invoice_view/<?=$invoice->id?>"><span>View</span></a><?php endif; ?>
							<?php if ($invoice->status == 'Pending'): ?>
							<?php if ($this->user->has_permission('to_edit_invoice','Sales')): ?><a class="grid-action grid-action-edit" href="sales/invoice_edit/<?=$invoice->id?>"><span>Edit</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_delete_invoice','Sales')): ?><a class="grid-action grid-action-delete" href="sales/invoice_delete/<?=$invoice->id?>"><span>Delete</span></a><?php endif; ?>
							<?php endif; ?>
						</td>
					</tr>
					<?php $x++; endforeach; ?>
					<?php if ($x == 0): ?>
					<tr class="alt">
						<td colspan="9"><strong>No Invoices found.</strong></td>
					</tr>
					<?php endif; ?>
				</tbody>
			</table>