<?php if (!$this->user->has_permission('to_view_payment_gateway','Sales')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

function filterItems(){


	var company = $('input.filter-company').val();
	var contact = $('input.filter-contact').val();
	
	var is_supplier = $('input.is_supplier').attr('checked') ? 1 : 0;
	var is_customer = $('input.is_customer').attr('checked') ? 1 : 0;
	var is_debtor = $('input.is_debtor').attr('checked') ? 1 : 0;
	var is_creditor = $('input.is_creditor').attr('checked') ? 1 : 0;
	
	$('table.grid_data tbody').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');

	$.ajax({
		url: base_url + 'contacts/contacts_filter',
		type: 'POST',
		data: 'company='+company+'&contact='+contact+'&is_supplier='+is_supplier+'&is_customer='+is_customer+'&is_debtor='+is_debtor+'&is_creditor='+is_creditor,
		success: function (result){
			$('div.main_full').html(result);
			$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
			populateEvents();
		}
	})
}

</script>
		<div class="status">
		
		</div>
		<div class="toolbar">
			<h3 class="grid-title">
				<?php if ($this->user->has_permission('to_create_payment_gateway','Sales')): ?><a href="sales/pg_add" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">Add Payment Gateway</a><?php endif; ?>
				Payment Gateways
			</h3>
			<table class="grid">
				<thead>
					<tr>
						<th class="sortable" rel="0" style="width: 150px">Namespace</th>
						<th class="sortable" rel="1">Name</th>
						<th class="sortable" rel="2" style="width: 100px">Percentage</th>
						<th class="sortable" rel="3" style="width: 100px">Status</th>
						<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
					</tr>
				</thead>
			</table>
		</div>
		<div class="main_full">
			<table class="grid grid_data">	
				<tbody>
					<?php $x = 0; foreach ($pgs as $pg): $x++; ?>
					<tr<?php if ($x%2) echo ' class="alt"'; ?>>
						<td rel="0" style="width: 150px"><?php echo $pg->namespace; ?></td>
						<td rel="1"><?php echo $pg->name; ?></td>
						<td rel="2" style="width: 100px; "><?php echo $pg->percentage; ?>%</td>
						<td rel="3" style="width: 100px; "><?php echo $pg->status; ?></td>
						<td style="width: 75px; padding: 0">
							<?php if ($this->user->has_permission('to_view_payment_gateway','Sales')): ?><a class="grid-action grid-action-view target_main" href="sales/pg_view/<?=$pg->id?>"><span>View</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_edit_payment_gateway','Sales')): ?><a class="grid-action grid-action-edit target_main" href="sales/pg_edit/<?=$pg->id?>"><span>Edit</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_delete_payment_gateway', 'Sales')): ?><a class="grid-action grid-action-delete" href="sales/pg_delete/<?=$pg->id?>/do"><span>Delete</span></a><?php endif; ?>
						</td>
					</tr>
					<?php endforeach; ?>
				</tbody>
			</table>
		</div>
