<?php if (!$this->user->has_permission('to_edit_cash_sales','Sales')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var content;
var shipping_service = null;

function readyAdd(status){
	if (status == 1){	
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Sales','Sales entry has been updated.');
		form_warning = false;
	} else {
		showDialog('ok','Error','There has been an error saving the sales entry.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}



$(document).ready(function(){

	$('a.submit_btn').click(function(event){
		$('form.insert').submit();
		event.preventDefault();
	});
	
	
});


</script>
	<div class="status">
	
	</div>
		
	<div class="toolbar">
		<h3 class="grid-title"><a class="v-dbtn back_btn" style="float:right; padding:0 25px; margin-top: -1px" href="sales/cash_sales">Back</a>Edit Sales Entry &raquo; SA-<?php echo $sale->txn_no; ?></h3>
		<div class="global-tabs" style="padding: 5px">
			<a class="v-btn submit_btn">Save Sales Entry</a>
		</div>
	</div>
	
	<div class="main_full">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing/load/<?php echo mt_rand(10000,99999)?>" style="width:0;height:0;border:0px solid #fff;"></iframe>

		<div class="main-container">

		<form class="insert" method="post" action="<?=base_url()?>sales/edit_sales/<?php echo $sale->id;?>/do" target="postframe">
			<h3 class="general-form-header">Quote Information</h3>
			<table class="general-form">
				<tr class="four">
					<td class="label">TXN Number</td>
					<td class="input"><?php echo 'SA-'. $sale->txn_no; ?></td>
					<td class="label">Contact</td>
					<td class="input"><?php echo $sale->customer ? $sale->customer : 'N/A'; ?></td>

				</tr>
				<tr class="four">
					<td class="label">Date <span class="red">*</span></td>
					<td class="input"><input value="<?php echo date('d/m/Y',strtotime($sale->datetime)); ?>" type="text" name="date" class="v-text date mandatory" /></td>
					<td class="label">Session No <span class="red">*</span></td>
					<td class="input"><input value="<?php echo $sale->session; ?>" type="text" name="session" class="v-text mandatory" /></td>
				</tr>
			</table>
			
			<h3>Items</h3>
			<table class="order-form-print">
				<thead>
					<tr>
						<th style="text-align: center">Item</th>
						<th style="width: 120px; text-align: center">Unit Price (<?php echo $this->system->config('currency'); ?>)</th>
						<th style="width: 100px; text-align: center">Qty</th>
						<th style="width: 100px; text-align: center">Discount</th>
						<th style="width: 120px; text-align: center;">Amount (<?php echo $this->system->config('currency'); ?>)</th>
					</tr>	
				</thead>
				<tbody>
				<?php foreach ($sale->items as $item): ?>
					<tr>
						<td><strong><?php echo $item->item_name; ?></strong><br /><?php echo $item->item_sku; ?></td>
						<td style="text-align: center;"><?php echo number_format($item->price_per_unit,2); ?></td>
						<td style="text-align: center;"><?php echo number_format($item->qty) . $item->unit; ?></td>
						<td style="text-align: center">
							<?php 
								if ($item->discount_type == 'p'){
									echo $item->discount_value . '%';
								} elseif ($item->discount_type == 'd'){
									echo '-' . number_format($item->discount_value,2);
								} else {
									echo 'N/A';
								}
							?>
						</td>
						<td style="text-align: right;">
							<?php echo number_format($item->amount,2); ?>
						</td>
					</tr>
				<?php endforeach; ?>
					<tr>
						<td colspan="4" style="text-align: right">Subtotal</td>
						<td style="text-align: right"><?php echo number_format($sale->amount - ($sale->shipping_amount + $sale->tax_amount),2); ?></td>
					</tr>

					<tr>
						<td colspan="4" style="text-align: right">Shipping &amp; Handling</td>
						<td style="text-align: right"><?php echo number_format($sale->shipping_amount,2); ?></td>
					</tr>
					<tr>
						<td colspan="4" style="text-align: right">Taxes</td>
						<td style="text-align: right"><?php echo number_format($sale->tax_amount,2); ?></td>
					</tr>
					<tr>
						<td colspan="4" style="text-align: right; font-weight: bold">Grand Total</td>
						<td style="text-align: right; font-weight: bold;"><?php echo number_format($sale->amount, 2); ?></td>
					</tr>
				</tbody>
			</table>
			
			<h3 class="general-form-title">Remarks</h3>
			<table class="general-form">
				<tr>
					<td class="label">Remarks</td>
					<td class="input"><textarea name="remarks"><?php echo $sale->remarks; ?></textarea></td>
				</tr>
			</table>
			

			<br />
		</form>
		</div>
	</div>
