<?php if (!$this->user->has_permission('to_view_sales_order','Sales')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var content;
var itemCount = 1;

$(document).ready(function(){

	$('#global-sidebar-list li').removeClass('current');
	$('#global-sidebar-list a.so').parents('li').addClass('current');


	$('a.receive_same').click(function(){
		$('input.received_qty').each(function(){
			$(this).val($(this).attr('qty')).change();
			
		});
	});

	$('a.invoices').click(function(){
		showModalForm('invoices');
	})
	
	$('a.invoices-done').click(function(){
		hideModalForm('invoices');
	})

	$('#global-content input').attr('disabled',true).css('border','none');
	$('#global-content input.receipt_no').attr('disabled',false).css('border','1px solid #DDD');
	$('#global-content input.receipt_date').attr('disabled',false).css('border','1px solid #DDD');
	$('#global-content textarea').attr('disabled',true).css('border','none');
	$('#global-content select').attr('disabled',true).hide();
	$('#global-content select[name=status]').attr('disabled',false).show();
	itemEvents();
	$('#global-content input.item_qty').change();
	
	$('#global-content input.received_qty').attr('disabled',false).css('border','1px solid #DDD');
	$('#global-content input.checkbox_done').attr('disabled',false);
	
		
	$('form').submit(function(){
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});

	$('a.set-paid').click(function(e){
		
		e.preventDefault();
		
		var href = $(this).attr('href');
		var receipt_no = $('input.receipt_no').val();
		var receipt_date = $('input.receipt_date').val();
		
		if (!receipt_no){
			showDialog('ok','Error','Please enter receipt no.');			
			return;
		}
		
		if (!receipt_date){
			showDialog('ok','Error','Please enter receipt date.');			
			return;
		}

		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');

		$.ajax({
			url: base_url + href,
			data: 'receipt_no=' + receipt_no + '&receipt_date=' + receipt_date,
			type: 'POST',
			success: function (html){
				$('#global-content').html(html).show();
				$('div.status').hide();
				populateEvents();
			}
		})
	});
	
	$('select[name=status]').change(function(){
		var id = $(this).attr('rel');
		var status = $(this).val();
		
		$.ajax({
			url: base_url + 'sales/so_update_status/'+ id,
			type: 'POST',
			data: 'status='+status,
			success: function (){
				showDialog('ok','Status Update','Sales Order status has been set to ' + status + '.');
				
				if (status == 'Completed') $('a.complete-related').show();
				else $('a.complete-related').hide();

			}
		})
	})
	

	
	
	itemEvents();
	$('input.received_qty').change();

	var status = $('select[name=status]').val();
	if (status == 'Completed') $('a.complete-related').show();
	else $('a.complete-related').hide();

	form_warning = false;
});

function calculateTotal(){
	// do nothing
}

function calculateTotalReceived(){
	var netTotal = parseFloat(0);
	var grandTotal = parseFloat(0);
	$('td.item_net_price').each(function(){
		netTotal = netTotal + parseFloat($(this).html());
	});
	
	netTotal = netTotal.toFixed(2);
	var charges = $('input.extraCharges').val();
	if (!charges) charges = 0;
	var adjustmentType = $('select[name=adjustment_type]').val();
	var adjustment = $('input.adjustment').val();
	if (!adjustment) adjustment = 0;

	if (adjustmentType == "Add"){
		grandTotal = parseFloat(netTotal) + 0 + parseFloat(charges) + parseFloat(adjustment);
	} else {
		grandTotal = parseFloat(netTotal) + 0 + parseFloat(charges) - parseFloat(adjustment);
	}
	grandTotal = parseFloat(grandTotal).toFixed(2);
	$('td.final_net_total_received').html(netTotal);
	$('td.final_grand_total_received').html(grandTotal);
	$('input[name=grand_total_received]').val(grandTotal);
}

function itemEvents(){

	$('input.received_qty').change(function(){

		var discounted = 0;
		var netTotal = 0;
		var itemNo = $(this).parents('tr').attr('rel');
		var itemQty = parseInt($(this).val());
		var itemPrice = $('tr[rel='+itemNo+']').children('td.prices').children('input.item_list_price').val();
		var total = parseFloat(itemQty * itemPrice) + 0.00;
		var discountType = $('tr[rel='+itemNo+']').children('td.prices').children('label').children('input.discount_type:checked').val();
		var discountVal =  $('tr[rel='+itemNo+']').children('td.prices').children('input.item_discount').val();
		if (discountType == 'p'){
			var discounted = parseFloat(((discountVal) / 100) * total).toFixed(2);
			var netTotal = total - discounted;
		} else if (discountType == 'd'){
			var discounted = parseFloat(discountVal).toFixed(2);
			var netTotal = total - discounted;
		} else {
			var netTotal = total;
			var discounted = '0.00';
		}
		total = total.toFixed(2);
		netTotal = parseFloat(netTotal).toFixed(2);

		$('tr[rel='+itemNo+']').children('td.tool').children('input.item_totalnet_price').val(total);
		$('tr[rel='+itemNo+']').children('td.tool').children('input.item_net_price').val(netTotal);
		$('tr[rel='+itemNo+']').children('td.calculated').children('p.item_total_price').html(total);
		$('tr[rel='+itemNo+']').children('td.calculated').children('p.item_price_discount').html('-'+discounted);
		$('tr[rel='+itemNo+']').children('td.item_net_price').html(netTotal);

		calculateTotalReceived();
	});
	
	
	
}
</script>

<?php 

$base = 16;

$tnc = nl2br($this->system->config('so_tnc'));
$tnc_lines = explode('<br />', $tnc);
$lines = 1;
foreach ($tnc_lines as $line){
	$lines++;
	$lines += floor(strlen($line) / 140);
}
$footer = nl2br($this->system->config('so_footer'));
$footer_lines = explode('<br />', $footer);
foreach ($tnc_lines as $line){
	$lines++;
	$lines += floor(strlen($line) / 140);
}

$reduce = ceil($lines / 4);

$n = $base - $reduce;

$number_of_pages = ceil(count($so->orders)/ $n);
if ($number_of_pages == 0) $number_of_pages = 1;

?>


	<div class="toolbar">
		<h3 class="grid-title">
			<a class="v-dbtn back_btn" style="float:right; padding:0 25px; margin-top: -1px" href="sales/invoices">Back</a>Sales Order #<?php echo $so->txn_no; ?>
			<a class="v-dbtn" style="float:right; padding:0 25px; margin-top: -1px; margin-right: 5px; font-weight: bold" href="javascript:window.print()">Print</a>
			<a class="v-dbtn" style="float:right; padding:0 25px; margin-top: -1px; margin-right: 5px; font-weight: bold" href="sales/so_pdf/<?php echo $so->id; ?>">Download PDF</a>
		</h3>
		<div class="global-tabs" style="padding: 5px 5px 3px 5px">
			<?php if ($so->terms == 'Consignment'): ?>
				<div style="float:right; padding: 0; font-size: 10pt;">
				<?php if (count($invoices)): ?>
				<a class="v-btn invoices"><?php echo count($invoices) == 1 ? count($invoices) . ' Invoice' : count($invoices) . ' Invoices'; ?></a>
				<?php endif; ?>
				
				<a class="v-btn target_main complete-related" href="sales/convert_so/<?php echo $so->id; ?>/do">Convert to Invoice</a>
				</div>
				
			<?php else: ?>
				<?php if ($so->invoice_id): ?>
				<a class="v-btn target_main" style="float:right; padding:0 15px; margin-top: -1px" href="sales/invoice_view/<?php echo $so->invoice_id; ?>/do">Go to Invoice</a>			
				<?php else: ?>
				<a class="v-btn target_main complete-related" style="float:right; padding:0 15px; margin-top: -1px" href="sales/convert_so/<?php echo $so->id; ?>/do">Convert to Invoice</a>
				<?php endif; ?>
			<?php endif; ?>
			<small>Status</small> <?php echo form_dropdown('status', array('Pending'=>'Pending','Cancelled'=>'Cancelled','Backordered'=>'Backordered','Completed'=>'Completed'), $so->status, 'rel="'.$so->id.'" class="v-dropdown" style="margin-right: 10px; width: 130px; font-size: 10pt"'); ?>
		</div>

		<div class="global-tabs" style="padding: 5px">
			<?php if ($so->notification): $notifications = json_decode($so->notification); $notification = $notifications[count($notifications)-1];  ?>
				<small style="margin-right: 10px;">Notification was sent at <strong><?php echo date('d/m/Y', strtotime($notification->datetime)); ?></strong> by <strong><?php echo $notification->by; ?></strong> with the status <strong><?php echo $notification->status; ?></strong>.</small>  <a class="target_main v-btn" href="sales/send_so_status_notification/<?php echo $so->id; ?>">Resend Notification</a>
			<?php else: ?>
				<a class="v-btn target_main" href="sales/send_so_status_notification/<?php echo $so->id; ?>">Send Notification</a>
			<?php endif; ?>
		</div>

	</div>
	<div class="status">
	
	</div>
	
	<div id="invoices" class="global-modal-form" style="height: 370px;">
		<div class="global-modal-form-body">
			<h3>Consignment Related Invoices</h3>
			<table class="grid">
				<thead>
					<tr>
						<th class="sortable" rel="1">Invoice</th>
						<th class="sortable" rel="4" style="width: 100px">Status</th>
						<th class="sortable" rel="2" style="width: 80px">Date</th>
						<th class="sortable" rel="3" style="width: 80px">Amount (<?php echo $this->system->config('currency'); ?>)</th>
						<th style="width: 90px"></th>
						<th style="width: 14px; padding: 0"></th>
					</tr>
				</thead>
			</table>
			<div class="modal-search-result" style="overflow-y:scroll">
				<table class="grid grid_data">
					<?php $x = 0; foreach ($invoices as $invoice): ?>
					<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
						<td class="sortable" rel="1">INV<?php echo $invoice->txn_no; ?></td>
						<td class="sortable" rel="4" style="width: 100px"><?php echo $invoice->status; ?></td>
						<td class="sortable" rel="2" style="width: 80px"><?php echo date('d/m/Y',strtotime($invoice->date)); ?></td>
						<td class="sortable" rel="3" style="width: 80px; text-align: right"><?php echo number_format($invoice->total_delivered ? $invoice->total_delivered : $invoice->total, 2); ?></td>
						<td style="width: 90px"><a class="v-btn target_main" href="sales/invoice_view/<?php echo $invoice->id; ?>">Go to Invoice</a></td>
					</tr>	
					<?php $x++; endforeach; ?>
				</table>
			</div>
			<hr />
			<p style="padding: 10px 0;"><a class="v-dbtn invoices-done">Done</a></p>
		</div>
	</div>


	<div class="main_full" style="background: #DDD">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
		<div class="doc-pad" style="padding: 15px">
			<form method="post" target="postframe">
			<div style="padding: 20px 0 10px 0; border-bottom: 1px solid #555; ">
				<h2 style="text-align: right; float: right; margin: 0; padding: 0">Sales Order<br /><small>Page 1 of <?php echo $number_of_pages; ?></small></h2>
				<?php if ($logo = $this->system->config('company_logo')): ?>
				<img src="<?php echo base_url(); ?>../assets/img/<?php echo $logo; ?>" style="float: left; margin-right: 10px; width: 180px; margin-right: 20px" />
				<?php endif; ?>
				
				<div style="padding-left: 200px">
					<strong><?php echo $this->system->config('company_name'); ?></strong><br />
					<?php echo nl2br($this->system->config('company_address')); ?><br />
					<?php echo nl2br($this->system->config('company_contact')); ?>
				</div>
				<div style="clear:left"></div>
			</div>
			
			<br class="clearboth" />

				<table class="noborder" style="font-size: 10pt; margin: 10px 0 15px 0; float: right !important; width: 250px !important">
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Date</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo date('d/m/Y',strtotime($so->date)); ?></td>
	
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Valid Date</td>
						<td style="border-bottom: 1px solid #bbb" cclass="input"><?php echo $so->due_date ? date('d/m/Y',strtotime($so->due_date)) : 'N/A'; ?></td>
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">SO Number</td>
						<td style="border-bottom: 1px solid #bbb" cclass="input"><?php echo 'SO-' . $so->txn_no; ?></td>
					</tr>
	
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Contact Person</td>
						<td style="border-bottom: 1px solid #bbb" cclass="input"><?php echo $so->contact_person; ?></td>
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Shipping</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $so->shipping; ?></td>
					</tr>

				</table>
				
				
				<div class="delivery_to" style="float: right !important; margin: 10px 0; width: 250px !important;">
	    		    <?php $address = json_decode($so->delivery_address); ?>
					<strong>Delivery To: <?php echo $address->name ? $address->name . '<br />' : ''; ?></strong>
					<?php echo $address->mobile ? 'Contact No: ' . $address->mobile . '<br />' : ''; ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
				</div>
			
				
				<p style="margin: 10px 0; padding: 0">
				<strong>ATTN: <?php echo $contact->contact_person ? $contact->contact_person . '<br />' : ''; ?></strong>
	    		    <?php echo $contact->company_name ? $contact->company_name . '<br />' : ''; ?>
	    		    <?php $address = json_decode($so->contact_address); ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
	    		</p>
			
				
				
				<table class="order-form-print" style="margin-bottom: 5px">
					<thead>
						<tr class="main-header">
							<th colspan="8">Item Details</th>
						</tr>
						<tr class="sub-header">
							<th style="width: 20px;">No</th>
							<th style="width: 40px;">Done</th>
							<th>Item</th>
							<th style="width: 85px;">Qty</th>
							<th style="width: 80px;">List Price (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="width: 90px;">Total (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="width: 90px;">Net Price (<?php echo $this->system->config('currency'); ?>)</th>
						</tr>
					</thead>
					
	
	
					<tbody>
					<?php
						$products = $so->products;
					?>
					<?php $y = 1; $x = 0; foreach($so->orders as $order): ?>
						
<?php if ($x == $n): $y++; ?>
						
						</tbody>
					</table>
					
					<table style="font-size: 9pt; width: 100%; margin-top: 3px;" class="general noborder">
					<tbody>

						<tr>
							<td rowspan="4"><div class="form-box" style="padding: 10px; height: 50px; width: 300px; border: 1px solid #ddd;"><strong>Remarks</strong><br /><?php echo nl2br($so->remarks); ?></div></td>
							<td style="text-align: right; padding-rigth: 10px" class="final">Net Total</td>
							<?php 
								$net_total = $so->total + $so->handling_charges;
	
								if ($so->adjustment_type == 'Add'){
									$net_total = $net_total - $so->adjustment;
								} else {
									$net_total = $net_total + $so->adjustment;
								}
								
								$net_total -= $so->handling_charges;
								
							?>
							<td class="final_net_total_received_NULL" style="text-align: right; width: 90px"></td>
							<td class="final_net_total" style="text-align: right; width: 90px"><?php echo str_replace(',','',number_format($net_total,2)); ?></td>

						</tr>
						<tr>
							<td style="text-align: right; " class="final">(+) Shipping &amp; Handling Charges</td>
							<td></td>
							<td><input type="text" name="sh_charges" class="extraCharges" style="text-align: right; width: 90px" value="<?=$so->handling_charges?>" /></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="final">Adjustment (<?php if ($adjustment_type == 'Add') echo '+'; else echo '-'?>)<?=form_dropdown('adjustment_type',array('Add'=>'Add','Deduct'=>'Deduct'), $so->adjustment_type)?></td>
							<td></td>
							<td><input type="text" name="adjustment" class="adjustment" style="text-align: right; width: 90px" value="<?=$so->adjustment?>" /></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="final"><strong>GRAND TOTAL</strong></td>

							<td class="final_grand_total_received_NULL" style="font-weight: bold; text-align: right; width: 90px; border-top: 2px solid #000"></td>
							<td class="final_grand_total" style="font-weight: bold; text-align: right; width: 90px; border-top: 2px solid #000;"><?=$so->total?></td>
						</tr>
					</tbody>
				</table>
			
			<hr />
				
			<strong>Terms &amp; Conditions</strong>
			<p class="fineprint" style="font-size: 8pt; line-height: 100%"><?php echo $tnc; ?></p>
				<hr />
				<div style="font-size: 8pt; line-height: 100%;"><?php echo $footer; ?></div>

				
			<hr class="<?php if ($number_of_pages != 1) echo 'formfeed'; ?>" />
			
		
			<div style="margin: 50px 0; border-top: 3px dashed #EEE" class="no-print"></div>
			
				
			<div style="padding: 0px 0 10px 0; border-bottom: 1px solid #555; ">
				<h2 style="text-align: right; float: right; margin: 0; padding: 0">Sales Order<br /><small>Page 2 of <?php echo $number_of_pages; ?></small></h2>
				<?php if ($logo = $this->system->config('company_logo')): ?>
				<img src="<?php echo base_url(); ?>../assets/img/<?php echo $logo; ?>" style="float: left; margin-right: 10px; width: 180px; margin-right: 20px" />
				<?php endif; ?>
				
				<div style="padding-left: 200px">
					<strong><?php echo $this->system->config('company_name'); ?></strong><br />
					<?php echo nl2br($this->system->config('company_address')); ?><br />
					<?php echo nl2br($this->system->config('company_contact')); ?>
				</div>
				<div style="clear:left"></div>
			</div>
			
			<br class="clearboth" />


				<table class="noborder" style="font-size: 10pt; margin: 10px 0 15px 0; float: right !important; width: 250px !important">
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Date</td>
						<td style="border-bottom: 1px solid #bbb" cclass="input"><?php echo date('d/m/Y',strtotime($so->date)); ?></td>
	
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Valid Date</td>
						<td style="border-bottom: 1px solid #bbb" cclass="input"><?php echo $so->due_date ? date('d/m/Y',strtotime($so->due_date)) : 'N/A'; ?></td>
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">SO Number</td>
						<td style="border-bottom: 1px solid #bbb" cclass="input"><?php echo 'SO-' . $so->txn_no; ?></td>
					</tr>
	
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Contact Person</td>
						<td style="border-bottom: 1px solid #bbb" cclass="input"><?php echo $so->contact_person; ?></td>
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Shipping</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $so->shipping; ?></td>
					</tr>

				</table>
				
				
				<div class="delivery_to" style="float: right !important; margin: 10px 0; width: 250px !important;">
	    		    <?php $address = json_decode($so->delivery_address); ?>
					<strong>Delivery To: <?php echo $address->name ? $address->name . '<br />' : ''; ?></strong>
					<?php echo $address->mobile ? 'Contact No: ' . $address->mobile . '<br />' : ''; ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
				</div>
			
				
				<p style="margin: 10px 0; padding: 0">
				<strong>ATTN: <?php echo $contact->contact_person ? $contact->contact_person . '<br />' : ''; ?></strong>
	    		    <?php echo $contact->company_name ? $contact->company_name . '<br />' : ''; ?>
	    		    <?php $address = json_decode($so->contact_address); ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
	    		</p>
					
					<table class="order-form-print" style="margin-bottom: 5px">
					<thead>
						<tr class="main-header">
							<th colspan="8">Item Details</th>
						</tr>
						<tr class="sub-header">
							<th style="width: 20px;">No</th>
							<th style="width: 40px;">Done</th>
							<th>Item</th>
							<th style="width: 85px;">Qty</th>
							<th style="width: 80px;">List Price (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="width: 90px;">Total (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="width: 90px;">Net Price (<?php echo $this->system->config('currency'); ?>)</th>
						</tr>	
					</thead>
					<tbody>
					<?php endif; ?>
						
						
<?php if ($x%$n == 0 && $x != $n && $x != 0): $y++; ?>
						
	
					</tbody>
				</table>
					
					<table style="font-size: 9pt; width: 100%; margin-top: 3px;" class="general noborder">
					<tbody>

						<tr>
							<td rowspan="4"><div class="form-box" style="padding: 10px; height: 50px; width: 300px; border: 1px solid #ddd;"><strong>Remarks</strong><br /><?php echo nl2br($so->remarks); ?></div></td>
							<td style="text-align: right; padding-rigth: 10px" class="final">Net Total</td>
							<?php 
								$net_total = $so->total + $so->handling_charges;
	
								if ($so->adjustment_type == 'Add'){
									$net_total = $net_total - $so->adjustment;
								} else {
									$net_total = $net_total + $so->adjustment;
								}
								
								$net_total -= $so->handling_charges;
								
							?>
							<td class="final_net_total_received_NULL" style="text-align: right; width: 90px"></td>
							<td class="final_net_total" style="text-align: right; width: 90px"><?php echo str_replace(',','',number_format($net_total,2)); ?></td>

						</tr>
						<tr>
							<td style="text-align: right; " class="final">(+) Shipping &amp; Handling Charges</td>
							<td></td>
							<td><input type="text" name="sh_charges" class="extraCharges" style="text-align: right; width: 90px" value="<?=$so->handling_charges?>" /></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="final">Adjustment (<?php if ($adjustment_type == 'Add') echo '+'; else echo '-'?>)<?=form_dropdown('adjustment_type',array('Add'=>'Add','Deduct'=>'Deduct'), $so->adjustment_type)?></td>
							<td></td>
							<td><input type="text" name="adjustment" class="adjustment" style="text-align: right; width: 90px" value="<?=$so->adjustment?>" /></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="final"><strong>GRAND TOTAL</strong></td>

							<td class="final_grand_total_received_NULL" style="font-weight: bold; text-align: right; width: 90px; border-top: 2px solid #000"></td>
							<td class="final_grand_total" style="font-weight: bold; text-align: right; width: 90px; border-top: 2px solid #000;"><?=$so->total?></td>
						</tr>
					</tbody>
				</table>
			
			<hr />
				
			<strong>Terms &amp; Conditions</strong>
			<p class="fineprint" style="font-size: 8pt; line-height: 100%"><?php echo $tnc; ?></p>
				<hr />
				<div style="font-size: 8pt; line-height: 100%;"><?php echo $footer; ?></div>

				
			<hr class="<?php if ($number_of_pages != 1) echo 'formfeed'; ?>" />
			
		
			<div style="margin: 50px 0; border-top: 3px dashed #EEE" class="no-print"></div>
			
					
			<div style="padding: 0 0 10px 0; border-bottom: 1px solid #555; ">
				<h2 style="text-align: right; float: right; margin: 0; padding: 0">Sales Order<br /><small>Page <?php echo $y; ?> of <?php echo $number_of_pages; ?></small></h2>
				<?php if ($logo = $this->system->config('company_logo')): ?>
				<img src="<?php echo base_url(); ?>../assets/img/<?php echo $logo; ?>" style="float: left; margin-right: 10px; width: 180px; margin-right: 20px" />
				<?php endif; ?>
				
				<div style="padding-left: 200px">
					<strong><?php echo $this->system->config('company_name'); ?></strong><br />
					<?php echo nl2br($this->system->config('company_address')); ?><br />
					<?php echo nl2br($this->system->config('company_contact')); ?>
				</div>
				<div style="clear:left"></div>
			</div>
			
			<br class="clearboth" />


				<table class="noborder" style="font-size: 10pt; margin: 10px 0 15px 0; float: right !important; width: 250px !important">
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Date</td>
						<td style="border-bottom: 1px solid #bbb" cclass="input"><?php echo date('d/m/Y',strtotime($so->date)); ?></td>
	
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Valid Date</td>
						<td style="border-bottom: 1px solid #bbb" cclass="input"><?php echo $so->due_date ? date('d/m/Y',strtotime($so->due_date)) : 'N/A'; ?></td>
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">SO Number</td>
						<td style="border-bottom: 1px solid #bbb" cclass="input"><?php echo 'SO-' . $so->txn_no; ?></td>
					</tr>
	
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Contact Person</td>
						<td style="border-bottom: 1px solid #bbb" cclass="input"><?php echo $so->contact_person; ?></td>
					</tr>
					
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Shipping</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $so->shipping; ?></td>
					</tr>

				</table>
				
				
				<div class="delivery_to" style="float: right !important; margin: 10px 0; width: 250px !important;">
	    		    <?php $address = json_decode($so->delivery_address); ?>
					<strong>Delivery To: <?php echo $address->name ? $address->name . '<br />' : ''; ?></strong>
					<?php echo $address->mobile ? 'Contact No: ' . $address->mobile . '<br />' : ''; ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
				</div>
			
				
				<p style="margin: 10px 0; padding: 0">
				<strong>ATTN: <?php echo $contact->contact_person ? $contact->contact_person . '<br />' : ''; ?></strong>
	    		    <?php echo $contact->company_name ? $contact->company_name . '<br />' : ''; ?>
	    		    <?php $address = json_decode($so->contact_address); ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
	    		</p>
	    		
	    							
				<table style="margin-bottom: 2px; " class="order-form-print"  style="margin-bottom: 5px">
					<thead>
						<tr class="main-header">
							<th colspan="8">Item Details</th>
						</tr>
						<tr class="sub-header">
							<th style="width: 20px;">No</th>
							<th style="width: 40px;">Done</th>
							<th>Item</th>
							<th style="width: 85px;">Qty</th>
							<th style="width: 80px;">List Price (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="width: 90px;">Total (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="width: 90px;">Net Price (<?php echo $this->system->config('currency'); ?>)</th>
						</tr>	
					</thead>
					<tbody>
	
	
						<?php endif; ?>
						
						<?php if ($order->type == 'product'): ?>
						<tr class="order-item" rel="<?=$x?>">
							<td style="text-align: center; width: 20px"><?php echo $x+1; ?></td>
							<td style="text-align: center; width: 40px"><input class="checkbox_done" type="checkbox" <?php if ($order->done) echo 'checked="checked"'; ?> name="done[<?php echo $order->id; ?>]" value="1" /></td>
							<td>																		
								<p class="item_name" style="padding: 2px 0; margin: 0; font-weight: bold"><?=$products[$order->item_id]->name ? $products[$order->item_id]->name  : $order->item_name; ?></p>
								<p style="padding: 2px 0; margin: 0"><?=$products[$order->item_id]->sku?></p>
							</td>																		
							<td style="text-align: center; width: 85px">
								<input type="text" name="item_qty[<?=$x?>]" style="font-size: 9pt; width: 50px; text-align: center" class="item_qty" value="<?=$order->qty?>" /><br />
							</td>
							<td class="prices" style="width:80px">															
								<input type="text" class="item_list_price" style="font-size: 9pt" value="<?=$order->price_per_unit?>" />	<br />	
								&nbsp;Discount 
								
								<label style="display:none" ><input type="radio" class="discount_type" name="item_discount_type[<?=$x?>]" value="p" <?php if ($order->discount_type == 'p') echo 'checked="checked"'?> style="display:inline;width: auto" /> (%)</label>				
								<label style="display:none" ><input type="radio" class="discount_type" name="item_discount_type[<?=$x?>]" value="d" <?php if ($order->discount_type == 'd') echo 'checked="checked"'?>style="display:inline;width: auto" /> (-)</label>
								<?php if ($order->discount_type == 'p') echo '%'; else '-'; ?>
								<input type="text" name="discount[<?=$x?>]" style="width: 30px" class="item_discount" value="<?=$order->discount?>" />					
							</td>																		
							<td class="calculated" style="width: 90px">
								<p class="item_total_price" style="padding: 2px 0; margin: 0; text-align: right"><?=$order->price?></p>				
								<p class="item_price_discount" style="padding: 2px 0; margin: 0; text-align: right">0.00</p>						
							</td>															
							<td class="item_net_price" style="text-align: right; width: 90px"><?=$order->price?></td>						
						</tr>
						<?php else: ?>
						<tr class="order-item" rel="<?=$x?>">
							<td style="text-align: center; width: 20px"><?php echo $x+1; ?></td>
							<td style="text-align: center; width: 40px"><input style="display:none" class="checkbox_done" type="checkbox" <?php if ($order->done) echo 'checked="checked"'; ?> name="done[<?php echo $order->id; ?>]" value="1" /></td>
							<td>																		
								<p class="item_name" style="padding: 2px 0; margin: 0; font-weight: bold"><?=$order->item_name; ?></p>	
								<p style="padding: 2px 0; margin: 0"><?=nl2br($order->item_description)	?></p>
							</td>																		
							<td style="text-align: center; width: 85px">
								<input type="text" name="item_qty[<?=$x?>]" style="font-size: 9pt; width: 50px; text-align: center; display: none" class="item_qty" value="1" />
								N/A
							</td>
							<td class="prices" style="width:80px">															
								<input type="text" class="item_list_price" style="font-size: 9pt" value="<?=$order->price_per_unit?>" />	<br />	
								&nbsp;Discount 
								
								<label style="display:none" ><input type="radio" class="discount_type" name="item_discount_type[<?=$x?>]" value="p" <?php if ($order->discount_type == 'p') echo 'checked="checked"'?> style="display:inline;width: auto" /> (%)</label>				
								<label style="display:none" ><input type="radio" class="discount_type" name="item_discount_type[<?=$x?>]" value="d" <?php if ($order->discount_type == 'd') echo 'checked="checked"'?>style="display:inline;width: auto" /> (-)</label>
								<?php if ($order->discount_type == 'p') echo '%'; else '-'; ?>
								<input type="text" name="discount[<?=$x?>]" style="width: 30px" class="item_discount" value="<?=$order->discount?>" />					
							</td>																		
							<td class="calculated" style="width: 90px">
								<p class="item_total_price" style="padding: 2px 0; margin: 0; text-align: right"><?=$order->price?></p>				
								<p class="item_price_discount" style="padding: 2px 0; margin: 0; text-align: right">0.00</p>						
							</td>															
							<td class="item_net_price" style="text-align: right; width: 90px"><?=$order->price?></td>						
						</tr>
						<?php endif; ?>
						
						
					<?php $x++; endforeach; ?>			
	
					</tbody>
				</table>
				<table style="font-size: 9pt; width: 100%; margin-top: 3px" class="general noborder">
					<tbody>

						<tr>
							<td rowspan="4"><div class="form-box" style="padding: 10px; height: 50px; width: 300px; border: 1px solid #ddd;"><strong>Remarks</strong><br /><?php echo str_replace("\r\n",'<br />', str_replace("\n",'<br />',$so->remarks));; ?></div></td>
							<td style="text-align: right; padding-rigth: 10px" class="final">Net Total</td>
							<?php 
								$net_total = $so->total + $so->handling_charges;
	
								if ($so->adjustment_type == 'Add'){
									$net_total = $net_total - $so->adjustment;
								} else {
									$net_total = $net_total + $so->adjustment;
								}
								
								$net_total -= $so->handling_charges;
								
							?>
							<td class="final_net_total_received_NULL" style="text-align: right; width: 90px"></td>
							<td class="final_net_total" style="text-align: right; width: 90px"><?php echo str_replace(',','',number_format($net_total,2)); ?></td>

						</tr>
						<tr>
							<td style="text-align: right; " class="final">(+) Shipping &amp; Handling Charges</td>
							<td></td>
							<td><input type="text" name="sh_charges" class="extraCharges" style="text-align: right; width: 90px" value="<?=$so->handling_charges?>" /></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="final">Adjustment (<?php if ($adjustment_type == 'Add') echo '+'; else echo '-'?>)<?=form_dropdown('adjustment_type',array('Add'=>'Add','Deduct'=>'Deduct'), $so->adjustment_type)?></td>
							<td></td>
							<td><input type="text" name="adjustment" class="adjustment" style="text-align: right; width: 90px" value="<?=$so->adjustment?>" /></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="final"><strong>GRAND TOTAL</strong></td>

							<td class="final_grand_total_received_NULL" style="font-weight: bold; text-align: right; width: 90px; border-top: 2px solid #000"></td>
							<td class="final_grand_total" style="font-weight: bold; text-align: right; width: 90px; border-top: 2px solid #000;"><?=$so->total?></td>
						</tr>
					</tbody>
				</table>
				
				<hr />
				
				<strong>Terms &amp; Conditions</strong>
				<p class="fineprint" style="font-size: 8pt; line-height: 100%"><?php echo $tnc; ?></p>
				<hr />
				<div style="font-size: 8pt; line-height: 100%;"><?php echo $footer; ?></div>

				<input type="hidden" name="grand_total" />
				
				<hr />
				
				<table style="font-size: 9pt; width: 100%; margin-top: 10px;" class="noborder">
					<tr>
						<td style="width: 50%; text-align: center">Authorized by</td>
						<td style="width: 50%; text-align: center">Received by</td>
					</tr>
					<tr>
						<td style="text-align: center; vertical-align: top"><br /><br />.....................................................<br /><?php echo $this->system->config('company_name'); ?></td>
						<td style="text-align: center; vertical-align: top"><br /><br />......................................................</td>
					</tr>
	
				</table>
				

			</form>
		</div>
	</div>
