<?php if (!$this->user->has_permission('to_view_sales_order','Sales')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

$(document).ready(function(){
		
	$('input.po-num').keyup(function(e){
	
		if ($('select.convert-type').val() == 'po'){
			$('a.new-from-po').attr('href', 'sales/so_from_po/'+$(this).val());
		} else {
			$('a.new-from-po').attr('href', 'sales/so_from_pr/'+$(this).val());
		}

		if (e.which == 13){
			$('a.new-from-po').click();
		}
	})
	
	
});

reload_data = 'limit=100';

function filterItems(){
	var number 		= $('input.filter-number').val();
	var date_from	= $('input.filter-date-from').val();
	var date_to		= $('input.filter-date-to').val();
	var status		= $('select.filter-status').val();
	var term		= $('select.filter-term').val();
	var contact		= $('select.filter-contact').val();
	
	$('table.grid tbody').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	$.ajax({
		url: base_url + 'sales/so_filter',
		type: 'POST',
		data: 'number='+number+'&date_from='+date_from+'&date_to='+date_to+'&status='+status+'&term='+term+'&contact='+contact,
		success: function (result){
			$('div.main_full').html(result);
			populateEvents();
		}
	})
}

function reloadGrid(){
	$.ajax({
    	url: base_url + 'sales/so_filter',
    	type: 'POST',
    	data: reload_data,
    	success: function (result){
    		$('div.main_full').html(result);
    		$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
    		populateEvents();
    		
    		if (reload_sort){
    			$('th.sortable[rel='+reload_sort+']').addClass(reload_order).click();
    		}
    		
    	}
    });
}

</script>
		<div class="toolbar">
			<h3 class="grid-title">
				<?php if ($this->user->has_permission('to_create_sales_order','Sales')): ?>
						<a href="sales/so_add" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">New Sales Order</a>
				<?php endif; ?>

				Sales Orders
			</h3>
    		<div class="global-tabs" style="padding: 5px; height: 26px; font-size: 10pt">
    			<?php if ($this->user->has_permission('to_process','Sales')): ?>
    			<div style="float: right; text-align: right; width: 500px">
					Convert from 
					<?php echo form_dropdown('type', array('po'=>'Purchase Order','pr'=>'Purchase Request'),'','class="convert-type v-dropdown"'); ?> 
					Document Number <input class="v-text po-num" type="text" name="po" style="width: 80px" /> <a href="sales/so_from_po" class="v-btn target_main new-from-po" style="font-weight: normal">Convert</a> 
    			</div>
    			<?php endif ;?>

				<a class="v-btn show-filter-controls icon-search">Search</a>
			</div>
	
			<div class="modal-filter-form filter" style="font-size: 10pt;">
				<div class="triangle"></div>
				<table>
					<tr>
						<td>SO No.</td>
						<td><input type="text" name="number" class="v-text filter-number" style="width: 80px;" /></td>
					</tr>
					<tr>
		    			<td>From</td>
		    			<td><input type="text" name="date_from" class="v-text date filter-date-from" style="width:80px;" /></td>
					</tr>
					<tr>
		    			<td>To</td>
		    			<td><input type="text" name="date_to" class="v-text date filter-date-to" style="width: 80px;" /></td>
					</tr>
					<tr>
						<td>Term</td>
						<td><?php echo form_dropdown('term', array('Select','Cash'=>'Cash','Credit'=>'Credit','Consignment'=>'Consignment'), '', 'class="v-dropdown filter-term" style="margin-right: 10px; width: 110px; font-size: 10pt"'); ?></td>
					</tr>
					<tr>
		    			<td>Customer</td>
		    			<td><?php echo form_dropdown('contact', $contacts_dropdown, '', 'class="v-dropdown filter-contact" style="width: 110px; font-size: 10pt"'); ?></td>
					</tr>
					<tr>
						<td>Status</td>
						<td><?php echo form_dropdown('status', array('Select','Pending'=>'Pending','Cancelled'=>'Cancelled','Completed'=>'Completed'), '', 'class="v-dropdown filter-status" style="width: 110px; font-size: 10pt"'); ?></td>
					</tr>
				</table>
				<hr />
    			<a class="v-btn filter-btn search">Filter</a>				
			</div>

    		<table class="grid">
    			<thead>
    				<tr>
    					<th class="sortable-date" rel="1" style="width: 90px">SO No.</th>
    					<th class="sortable-date" rel="2" style="width: 90px">Date</th>
    					<th class="sortable" rel="3" >Contact</th>
    					<th class="sortable" rel="4" style="width: 90px">Term</th>
    					<th class="sortable" rel="5" style="width: 90px">Status</th>
    					<th class="sortable" rel="6" style="width: 100px">Amount (<?php echo $this->system->config('currency'); ?>)</th>							
						<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
    				</tr>
    			</thead>
    		</table>
		</div>
		
		<div class="main_full">
			<table class="grid grid_data">
				<tbody>
					<?php $x=0; foreach ($sos as $so): ?>
					<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
						<td rel="1" class="sortable-date" time="<?php echo $so->txn_no; ?>" style="width: 90px"><?php echo 'SO-' . $so->txn_no; ?></td>
						<td rel="2" class="sortable-date" time="<?php echo strtotime($so->date);?>" style="width: 90px"><?php echo date('d/m/Y',strtotime($so->date)); ?></td>
						<td rel="3" class="sortable"><?php echo $so->contact; ?></td>
						<td rel="4" class="sortable" style="width: 90px"><?php echo $so->terms == 'Credit' ? $so->duration . ' days': $so->terms; ?></td>
						<td rel="5" class="sortable" style="width: 90px"><?php echo $so->status; ?></td>
						<td rel="6" class="sortable" style="text-align: right; width: 100px"><?php echo $so->total_received == 0 ? $so->total : $so->total_received; ?></td>
						<td style="width: 75px; padding: 0">
							<?php if ($this->user->has_permission('to_view_sales_order','Sales')): ?><a class="grid-action grid-action-view" href="sales/so_view/<?=$so->id?>"><span>View</span></a><?php endif; ?>
							<?php if ($so->status == 'Pending'): ?>
							<?php if ($this->user->has_permission('to_edit_sales_order','Sales')): ?><a class="grid-action grid-action-edit" href="sales/so_edit/<?=$so->id?>"><span>Edit</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_delete_sales_order','Sales')): ?><a class="grid-action grid-action-delete" href="sales/so_delete/<?=$so->id?>"><span>Delete</span></a><?php endif; ?>
							<?php endif; ?>
						</td>
					</tr>
					<?php $x++; endforeach; ?>
					<?php if ($x == 0): ?>
					<tr class="alt">
						<td colspan="7"><strong>There are no Sales Orders.</strong></td>
					</tr>
					<?php endif; ?>

				</tbody>
			</table>
		</div>