<?php if (!$this->user->has_permission('to_create_service','Services')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">


function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		$('form').clearForm();
		showDialog('ok','Service','New service has been added.');
		form_warning = false;
	} else if (status == 0) {
		showDialog('ok','Error','Service cannot be saved now. Please login again.');
		$('div.main_full').show();
		$('div.status').hide();
	} 
}

$(document).ready(function(){
	$('a.create').click(function(event){
		$('form.insert').submit();
		event.preventDefault();
	});
	
		
	$('form').submit(function(){
	
		var ok = true;
		$('input.mandatory').each(function(){
			if (!$(this).val()) ok = false;
		});
		
		if (!ok){
			showDialog('ok','Form Error','Please make sure you have filled the form correctly.');
			return false;
		}
		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>').show();
	});
	

})

</script>
	<div class="toolbar">
		<h3 class="grid-title"><a href="services/elist" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn back_btn">Back</a>New Contact</h3>
		<div class="global-tabs" style="padding: 3px 5px">
			<a class="v-btn create">Save Service</a>
		</div>

	</div>
	<div class="status">
	
	</div>

	<div class="main_full">
		<div class="main-container">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>

		<form class="insert" method="post" action="<?=base_url()?>services/add/do" target="postframe">
			<h3>Service Information</h3>
			<p><span class="red">*</span> Mandatory fields</p>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Service <span class="red">*</span></td>
						<td class="input"><input type="text" name="name" class="v-text mandatory" /></td>
					</tr>
					<?php
						$categories_dropdown[0] = 'Uncategorized';
						$subcategories_dropdown[0] = 'Uncategorized';
					?>
					<tr>
						<td class="label">Category <span class="red">*</span></td>
						<td class="input"><?php echo form_dropdown('category',$categories_dropdown,'', 'class="v-dropdown"'); ?> Other: <input type="text" name="category_other" class="v-txt" /></td>
					</tr>
					<tr>
						<td class="label">Subcategory <span class="red">*</span></td>
						<td class="input"><?php echo form_dropdown('subcategory',$subcategories_dropdown,'', 'class="v-dropdown"'); ?> Other: <input type="text" name="subcategory_other" class="v-txt" /></td>
					</tr>
					<tr>
						<td class="label">Cost <span class="red">*</span></td>
						<td class="input"><input type="text" name="cost" class="v-number-decimal mandatory" /></td>
					</tr>
					<tr>
						<td class="label">Price <span class="red">*</span></td>
						<td class="input"><input type="text" name="price" class="v-number-decimal mandatory" /></td>
					</tr>
					<tr>
						<td class="label">Description</td>
						<td class="input"><textarea name="description" class="v-textarea"></textarea></td>
					</tr>
				</tbody>
			</table>
		
			<h3>Tags</h3>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Tags</td>
						<td class="input"><input value="<?php echo tagcomplete($service->tags); ?>" type="text" class="v-text autocomplete-tag" name="tags" /></td>
					</tr>
				</tbody>
			</table>

			
			<h3>Remarks</h3>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Remarks</td>
						<td class="input"><textarea name="remarks" class="v-textarea"></textarea></td>
					</tr>
				</tbody>
			</table>
			
		</form>
		</div>
	</div>
