<?php if (!$this->user->has_access('Branches')) die('You do not have the permissions to access this area.'); ?>

	<div class="toolbar">
		<h3 class="grid-title">
			<?php if ($this->user->has_permission('to_add','Branches')): ?><a href="settings/branch_add" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">New Branch</a><?php endif; ?>
			Branch	
		</h3>
		<table class="grid">
			<thead>
				<th class="sortable-date" rel="1" style="width: 100px">Branch ID</th>
				<th class="sortable" rel="2">Branch Name</th>
				<th class="sortable" rel="3" style="width: 100px">Branch Type</th>
				<th class="grid-action" style="text-align: center; width: 50px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
				<th style="width: 15px; padding: 0px"></th>
			</thead>
		</table>
	</div>
	<div class="main_full">
		<table class="grid grid_data">
			<tbody>
				<?php $x=0; foreach ($branches as $branch): ?>
				<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
					<td class="sortable-date" rel="1" time="<?php echo $branch->id; ?>" style="width: 100px"><?php echo $branch->id; ?></td>
					<td class="sortable" rel="2"><?php echo $branch->name; ?></td>
					<td class="sortable" rel="3" style="width: 100px;"><?php echo $branch->type; ?></td>
     		    	<td style="width: 50px; padding: 0;">
			    		<?php if ($this->user->has_permission('to_edit','Branches')): ?><a class="grid-action grid-action-edit" href="settings/branch_edit/<?=$branch->id?>"><span>Edit</span></a><?php endif; ?>
			    		<?php if ($this->user->has_permission('to_delete','Branches') && $branch->id != 1): ?><a class="grid-action grid-action-delete" href="settings/branch_delete/<?=$branch->id?>/do"><span>Delete</span></a><?php endif; ?>
    		    	</td>
				</tr>
				<?php $x++ ;endforeach; ?>
			</tbody>
		</table>
	</div>