<?php if (!$this->user->has_access('settings')) die('You do not have the permissions to access this area.'); ?>
<?php if (!$this->user->has_permission('to_add','settings')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var content;

function readyAdd(status){
	if (status == 1){
	
		var ok = true;
		$('input.mandatory').each(function(){
			if (!$(this).val()) ok = false;
		});
		
		if (!ok){
			showDialog('ok','Error','Please make sure you have filled in the mandatory fields.');
			return false;
		}

		$('div.main_full').show();
		$('div.status').hide();
		$('form').clearForm();
		showDialog('ok','Point-of-Sale Terminal','Point-of-sale terminal has been added successfully.');
	} else {
		showDialog('ok','Error','There has been an error saving the terminal.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}

$(document).ready(function(){
	
	$('a.submit_btn').click(function(event){
		$('form.insert').submit();
		event.preventDefault();
	});
	
	$('form').submit(function(){
	
		var ok = true;
		$('input.mandatory').each(function(){
			if (!$(this).val()) ok = false;
		});
		
		if (!ok){
			showDialog('ok','Error','Please make sure you have filled in the mandatory fields.');
			return false;
		}

		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
	
	
	$('select.type').change(function(){
		if ($(this).val() == 'Dynamic'){
			$('tr.ip').hide();
			$('input.ip').removeClass('mandatory');
		} else {
			$('tr.ip').show();
			$('input.ip').addClass('mandatory');
		}
	});
	
	$('select.type').change();
})

</script>


	<div class="toolbar">
		<h3 class="grid-title">
			<a href="settings/pos_terminals" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn target_main">Back</a>
			Add Point-of-Sale Terminal
		</h3>	
		<div class="global-tabs" style="padding: 5px">
			<a class="v-btn submit_btn">Save Terminal</a>
		</div>
	</div>
	<div class="status">
	
	</div>
	<div class="main_full">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
		<div class="main-container">

		<form class="insert" method="post" action="<?=base_url()?>settings/pos_add/do" target="postframe">
				<table class="general-form">
					<tr class="form-header">
						<td colspan="2">Terminal</td>
					</tr>
					<tr class="two">
						<td class="label">Name <span class="red">*</span></td>
						<td class="input"><input type="text" name="name" class="v-text mandatory" /></td>
					</tr>
					<tr class="two">
						<td class="label">Type <span class="red">*</span></td>
						<td class="input"><?php echo form_dropdown('type',array('VPN'=>'VPN','Static'=>'Static','Dynamic'=>'Dynamic'),'','class="v-dropdown type"'); ?><br /><small>Terminal IP Configuration.</small></td>
					</tr>
					<tr class="two ip">
						<td class="label">IP Address <span class="red">*</span></td>
						<td class="input"><input type="text" name="ip" class="v-text" /><small>Terminal static IP address.</small></td>
					</tr>
					<tr class="form-header">
						<td colspan="2">Receipt Printer</td>
					</tr>
					<tr class="two">
						<td class="label">Printer Port</td>
						<td class="input"><input type="text" name="printer_name" class="v-text" /><small>Configured hardware name for printer.</small></td>
					</tr>
					<tr class="two">
						<td class="label">Printer Type</td>
						<td class="input"><input type="text" name="printer_type" class="v-text" /><small>Type of printer used.</small></td>
					</tr>
					<tr class="two">
						<td class="label">Printer Width</td>
						<td class="input"><input type="text" name="printer_width" class="v-text" /><small>No of characters in a single line.</small></td>
					</tr>
					<tr class="two">
						<td class="label">Receipt Footer Text</td>
						<td class="input"><textarea class="v-textarea" style="height: 200px; font-family: courier" name="printer_footer"></textarea><small>Footer text at the printed receipt.</small></td>
					</tr>

					<tr class="form-header">
						<td colspan="2">Cash Drawer</td>
					</tr>
					<tr class="two">
						<td class="label">Deposit (<?php echo $this->system->config('currency'); ?>)</td>
						<td class="input"><input type="text" name="till_deposit" class="v-number-decimal v-text" /><small>Amount deposited in the till for floating cash.</small></td>
					</tr>
					<tr class="two">
						<td class="label">Drawer Port</td>
						<td class="input"><input type="text" name="drawer_name" class="v-text" /><small>Configured hardware name for drawer kick trigger.</small></td>
					</tr>
					<tr class="two">
						<td class="label">Drawer Kick Code</td>
						<td class="input"><input type="text" name="trigger_chars" class="v-text" /><small>Data to be sent to printer to drigger drawer kick in decimal separated by commas.</small></td>
					</tr>
					<tr class="form-header">
						<td colspan="2">Customer Display</td>
					</tr>
					<tr class="two">
						<td class="label">Display Port</td>
						<td class="input"><input type="text" name="display_name" class="v-text" /><small>Configured hardware name for customer display.</small></td>
					</tr>
					<tr class="two">
						<td class="label">Welcome Line 1</td>
						<td class="input"><input type="text" name="pd_welcome1" class="v-text" /><small>Line #1 display. Maximum 20 characters.</small></td>
					</tr>
					<tr class="two">
						<td class="label">Welcome Line 2</td>
						<td class="input"><input type="text" name="pd_welcome2" class="v-text" /><small>Line #2 display. Maximum 20 characters.</small></td>
					</tr>
					<tr class="two">
						<td class="label">Thank You Line</td>
						<td class="input"><input type="text" name="pd_thankyou" class="v-text" /><small>Line #1 display. Maximum 20 characters.</small></td>
					</tr>

			</table>
		</form>
		</div>
	</div>
