<?php if (!$this->user->has_access('settings')) die('You do not have the permissions to access this area.'); ?>

		<div class="status">
		
		</div>
		<div class="toolbar">
			<h3 class="grid-title">
				<?php if ($this->user->has_permission('to_add','Settings')): ?><a href="settings/pos_add" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">Add Terminal</a><?php endif; ?>
				Point-of-Sale Terminals
			</h3>
			<table class="grid" rel="im">
				<thead>
					<tr>
						<th class="sortable" rel="1">Name</th>
						<th class="sortable" rel="2" style="width: 120px;">IP Address</th>
						<th class="sortable" rel="3" style="width: 120px;">Printer Name</th>
						<th class="sortable" rel="4" style="width: 120px;">Display Name</th>
						<th class="sortable" rel="5" style="width: 200px;">Access URI</th>
						<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?php echo base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
					</tr>
				</thead>
			</table>		
		</div>
		<div class="main_full">
			<table class="grid grid_data">
				<tbody>
					<?php $x = 0; foreach ($terminals as $terminal): $x++; ?>
					<tr<?php if ($x%2) echo ' class="alt"'; ?>>
						<td rel="1"><?php echo $terminal->name?></td>
						<td rel="2" style="width: 120px"><?php echo $terminal->type == 'Static' ? $terminal->ip : '<i>Dynamic IP</i>'; ?></td>
						<td rel="3" style="width: 120px"><?php echo $terminal->printer_name?></td>
						<td rel="4" style="width: 120px"><?php echo $terminal->display_name?></td>
						<td rel="5" style="width: 200px">
							<?php if ($terminal->type == 'Static'): ?>
							<?php echo "pos"; ?>
							<?php else: ?>
							<?php echo "pos/terminal/{$terminal->identifier}/{$terminal->key}" ?>
							<?php endif;?>
						</td>
						<td style="width: 75px; padding: 0">
							<?php if ($this->user->has_permission('to_view','Settings')): ?><a class="grid-action grid-action-view target_main" href="settings/pos_view/<?php echo $terminal->id?>"><span>View</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_edit','Settings')): ?><a class="grid-action grid-action-edit target_main" href="settings/pos_edit/<?php echo $terminal->id?>"><span>Edit</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_delete','Settings')): ?><a class="grid-action grid-action-delete" href="settings/pos_delete/<?php echo $terminal->id?>/do"><span>Delete</span></a><?php endif; ?>
						</td>
					</tr>
					<?php endforeach; ?>
				</tbody>
			</table>					
		</div>