<?php if (!$this->user->has_access('settings')) die('You do not have the permissions to access this area.'); ?>

		<div class="status">
		
		</div>
		<div class="toolbar">
			<h3 class="grid-title">Users</h3>
			<?php if ($this->user->has_permission('to_add','settings')): ?>
			<div class="global-tabs" style="padding: 3px 5px"><a href="settings/add_pos_terminal" class="v-btn target_main">New Terminal</a></div>
			<?php endif; ?>
			<table class="grid" rel="im">
				<thead>
					<tr>
						<th class="sortable" rel="1" style="width: 100px;">ID</th>
						<th class="sortable" rel="2" style="width: 150px;">IP Address</th>
						<th class="sortable" rel="3">Name</th>
						<th class="sortable" rel="4" style="width: 150px;">Printer Name</th>
						<th class="sortable" rel="5" style="width: 150px;">Display Name</th>
						<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?php echo base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
					</tr>
				</thead>
			</table>		
		</div>
		<div class="main_full">
			<table class="grid grid_data">
				<tbody>
					<?php $x = 0; foreach ($terminals as $terminal): $x++; ?>
					<tr<?php if ($x%2) echo ' class="alt"'; ?>>
						<td rel="1" style="width: 100px"><?php echo $terminal->id?></td>
						<td rel="2" style="width: 150px"><?php echo $terminal->ip?></td>
						<td rel="3"><?php echo $terminal->name?></td>
						<td rel="4" style="width: 150px"><?php echo $terminal->printer_name?></td>
						<td rel="5" style="width: 150px"><?php echo $terminal->display_name?></td>
						<td style="width: 75px; padding: 0">
							<?php if ($this->user->has_permission('to_view','Settings')): ?><a class="grid-action grid-action-view target_main" href="settings/view_pos_terminal/<?php echo $user->id?>"><span>View</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_delete','Settings')): ?><a class="grid-action grid-action-delete" href="settings/delete_pos_terminal/<?php echo $user->id?>"><span>Delete</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_edit','Settings')): ?><a class="grid-action grid-action-edit target_main" href="settings/edit_pos_terminal/<?php echo $user->id?>"><span>Edit</span></a><?php endif; ?>
						</td>
					</tr>
					<?php endforeach; ?>
				</tbody>
			</table>					
		</div>