<?php if (!$this->user->has_access('settings')) die('You do not have the permissions to access this area.'); ?>
<?php if (!$this->user->has_permission('to_add','settings')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var content;

function readyAdd(status){
	if (status == 1){
	
		var ok = true;
		$('input.mandatory').each(function(){
			if (!$(this).val()) ok = false;
		});
		
		if (!ok){
			showDialog('ok','Error','Please make sure you have filled in the mandatory fields.');
			return false;
		}

		$('div.main_full').show();
		$('div.status').hide();
		$('form').clearForm();
		showDialog('ok','Shipping Rate','Shipping rate has been added successfully.');
	} else {
		showDialog('ok','Error','There has been an error saving the record.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}

$(document).ready(function(){
	$('a.submit_btn').click(function(event){
		$('form.insert').submit();
		event.preventDefault();
	});
	
	$('form').submit(function(){
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
	
	$('select[name=zone_type]').change(function(){
		if ($(this).val() == 'Local'){
			$('tr.local_zone').show();
			$('tr.local_zone select').addClass('mandatory');
			$('tr.international_zone').hide();
			$('tr.international_zone select').removeClass('mandatory');
		} else{
			$('tr.local_zone').hide();
			$('tr.local_zone select').removeClass('mandatory');
			$('tr.international_zone').show();
			$('tr.international_zone select').addClass('mandatory');
		}
	});
	
	$('select[name=zone_type]').change();})

</script>


	<div class="toolbar">
		<h3 class="grid-title"><a href="settings/shipping_view/<?php echo $shipping->id; ?>" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn target_main">Back</a><?php echo $shipping->name; ?> &raquo; Add Zone Rate</h3>	
		<div class="global-tabs" style="padding: 5px">
			<a class="v-btn submit_btn">Save Shipping Service</a>
		</div>
	</div>
	<div class="status">
	
	</div>
	<div class="main_full">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
		<div class="main-container">

		<form class="insert" method="post" action="<?=base_url()?>settings/shipping_add_rate/<?php echo $shipping->id; ?>/do" target="postframe">
			<h3>Shipping Rate Information</h3>
			<table class="general-form">
				<tr class="four">
    				<td class="label">Zone Type <span class="red">*</span></td>
    				<td class="input" colspan="3"><?php echo form_dropdown('zone_type',array('Local'=>'Local','International'=>'International'),'','class="v-dropdown"'); ?></td>
    			</tr>
    			<tr class="four local_zone" style="display:none">
    				<td class="label">Local Zone <span class="red">*</span></td>
    				<td class="input" colspan="3"><?php echo form_dropdown('local_zone',$local_zones,null,'class="mandatory v-dropdown"'); ?></td>
    			</tr>
    			<tr class="four international_zone" style="display:none">
    				<td class="label">International Zone <span class="red">*</span></td>
    				<td class="input" colspan="3"><?php echo form_dropdown('international_zone',$international_zones,null,'class="mandatory v-dropdown"'); ?></td>
    			</tr>
    			<tr class="four">
    				<td class="label">Flat fee (<?php echo $this->system->config('currency'); ?>/package)</td>
    				<td class="input" colspan="3"><input type="text" name="flat_rate" class="v-number-decimal" value="0.00" /></td>
    			</tr>
    			<tr class="four">
    				<td class="label">For first (<?php if ($shipping->measurements_type == 'Metric') echo 'kg'; else echo 'lb'; ?>)</td>
    				<td class="input"><input type="text" name="first_weight" class="v-number-decimal" /></td>
    				<td class="label">Charge (<?php echo $this->system->config('currency'); ?>)</td>
    				<td class="input"><input type="text" name="first_weight_rate" class="v-number-decimal" value="0.00" /></td>

    			</tr>
    			<tr class="four">
    				<td class="label">For subsequent (<?php if ($shipping->measurements_type == 'Metric') echo 'kg'; else echo 'lb'; ?>)</td>
    				<td class="input"><input type="text" name="subsequent_weight" class="v-number-decimal" /></td>
    				<td class="label">Charge (<?php echo $this->system->config('currency'); ?>)</td>
    				<td class="input"><input type="text" name="subsequent_weight_rate" class="v-number-decimal" value="0.00" /></td>
    			</tr>
    			<tr class="four">
    				<td class="label">For more than (<?php if ($shipping->measurements_type == 'Metric') echo 'kg'; else echo 'lb'; ?>)</td>
    				<td class="input"><input type="text" name="max_weight" class="v-number-decimal" /></td>
    				<td class="label">Flat Charge (<?php echo $this->system->config('currency'); ?>)</td>
    				<td class="input"><input type="text" name="max_weight_rate" class="v-number-decimal" value="0.00" /></td>
    			</tr>
			</table>
		</form>
		</div>
	</div>
