<?php if (!$this->user->has_access('settings')) die('You do not have the permissions to access this area.'); ?>
<?php if (!$this->user->has_permission('to_add','settings')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var content;

function readyPost(action,status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Shipping Service','Shipping service has been updated successfully.');
	} else {
		showDialog('ok','Error','There has been an error saving the record.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}

$(document).ready(function(){
	$('a.submit_btn').click(function(event){
		$('form.insert').submit();
		event.preventDefault();
	});
	
	$('form').submit(function(){
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
	
	$('select[name=measurements_type]').change(function(){
		if ($(this).val() == 'Metric'){
			$('span.metric').show();
			$('span.imperial').hide();
		} else {
			$('span.metric').hide();
			$('span.imperial').show();		
		}
	});
})

</script>


	<div class="toolbar">
		<h3 class="grid-title"><a href="settings/shipping" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn target_main">Back</a>Shipping Service &raquo; <?php echo $shipping->name; ?></h3>	
	</div>
	<div class="status">
	
	</div>
	<div class="main_full">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
		<div class="main-container">

		<form>
			<h3>Shipping Service Information</h3>
			<table class="general-form">
					<tr class="two">
						<td class="label">Name</td>
						<td class="input"><?php echo $shipping->name; ?></td>
					</tr>
					<tr class="two">
						<td class="label">Description</td>
						<td class="input"><?php echo nl2br($shipping->description); ?></td>
					</tr>
					<tr class="two">
						<td class="label">Type</td>
						<td class="input"><?php echo $shipping->type; ?></td>
					</tr>
					<tr class="two">
						<td class="label">Measurements <span class="red">*</span></td>
						<td class="input"><?php echo $shipping->measurements_type; ?></td>
					</tr>
					<tr class="two">
						<td class="label">Shipping Factor (<?php if ($shipping->measurements_type == 'Imperial'): ?><span class="imperial" style="display:none">in<sup>3</sup>/pound</span><?php else: ?><span class="metric">cm<sup>3</sup>/kg</span>)<?php endif; ?></td>
						<td class="input"><?php echo $shipping->shipping_factor; ?></td>
					</tr>
			</table>
			
			<h3>Zone Rates <a href="settings/shipping_add_rate/<?php echo $shipping->id; ?>" class="v-btn target_main">Add Rate</a></h3>
			<table class="grid">
				<thead>
					<tr>
						<th>Zone</th>
						<th>Type</th>
						<th>Rate</th>
						<th class="grid-action" style="text-align: center; width: 55px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
					</tr>
				</thead>
				<tbody>
					<?php 
						if ($shipping->measurements_type == 'Metric') $unit = 'kg';
						else $unit = 'lb';
					?>
					<?php $x = 0; foreach ($rates as $rate): $x++; ?>
					<tr<?php if ($x%2) echo ' class="alt"'; ?>>
						<td><?php 
								if ($rate->zone_type == 'International') echo $international_zones[$rate->zone_id]; 
								else echo $local_zones[$rate->zone_id]; 
							 ?>
						</td>
						<td><?php echo $rate->zone_type; ?></td>
						<td>
							<?php if ($rate->flat_rate != 0) echo 'Flat fee: <strong>RM' . number_format($rate->flat_rate,2) . '</strong><br />'; ?>
							<?php if ($rate->first_weight != 0) echo 'For first <strong>' . $rate->first_weight . $unit . '</strong>: <strong>RM' . number_format($rate->first_weight_rate,2) . '</strong><br />'; ?>
							<?php if ($rate->subsequent_weight != 0) echo 'For subsequent <strong>' . $rate->subsequent_weight . $unit . '</strong>: <strong>RM' . number_format($rate->subsequent_weight_rate,2) . '</strong><br />'; ?>
							<?php if ($rate->max_weight != 0) echo 'For more than <strong>' . $rate->max_weight . $unit . '</strong>: <strong>RM' . number_format($rate->max_weight_rate,2) . '</strong><br />'; ?>
						</td>
						<td style="width:55px; padding: 0;">
							<?php if ($this->user->has_permission('to_edit','Settings')): ?><a class="grid-action grid-action-edit target_main" href="settings/shipping_edit_rate/<?php echo $shipping->id; ?>/<?=$rate->id?>"><span>Edit</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_delete','Settings')): ?><a class="grid-action grid-action-delete" href="settings/shipping_delete_rate/<?=$rate->id?>"><span>Delete</span></a><?php endif; ?>
						</td>
					</tr>
					<?php endforeach; ?>
				</tbody>
			</table>
		</form>
		</div>
	</div>
