<?php if (!$this->user->has_access('settings')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		$('form').clearForm();
		$('<p class="v-notice">Backup data has been restored</p>').insertBefore('form');
		setTimeout("$('p.v-notice').fadeOut(200)",6000);

	} else if (status == 0) {
		showDialog('ok','Error','There has been an error reading the backup file.');
		$('div.main_full').show();
		$('div.status').hide();
	} 
}

$(document).ready(function(){
	$('a.submit_btn').click(function(){
		$(this).parents('form').submit();

		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');

	});
});
</script>
		<div class="toolbar">
			<h3 class="grid-title">Software Update</h3>
		</div>
		<div class="status">
		
		</div>
		<div class="main_full">
			<div  style="padding: 10px">
				<div class="global-module-box">
					<h3>Current Version</h3>
					<p>
						<?php echo $this->system->config('system_title') . ' <span class="version">V' . $this->system->config('version') . '</span>'; ?><br />
						Released on <?php echo date('d/m/Y', strtotime($this->system->config('version_date'))); ?>
					</p>
				</div>
				<div class="global-module-box latest-version" style="background: #FFF">
					<img src="images/loading.gif" /> Checking for latest version...
					<script type="text/javascript">
						$(document).ready(function(){
							$.ajax({
								url: base_url + 'settings/check_software_update',
								dataType: 'json',
								success: function (data){
									if (data.status == 'Available'){
										$('div.latest-version').html('<h2>Software Update Available</h2><hr />');
										$('div.latest-version').append('<h3>Plexcloud&trade; ' + data.version + ' - '+data.name+'</h3>');
										$('div.latest-version').append('<strong>Released on</strong><br />' + data.date + '<br />');
										$('div.latest-version').append('<strong>Hash ID</strong><br />'+ data.hash + '<br />');
										$('div.latest-version').append('<hr />');
										$('div.latest-version').append('<div class="su-action"><a version="'+data.version+'" class="v-btn changelog">Change Log</a> <a class="v-btn update">Update</a></div>');
										$('div.latest-version').append('<div class="su-status"></div>');
										$('div.latest-version').append('<div class="su-changelog"></div>');
									} else {
										$('div.latest-version').html('<h3>Your Software is Up To Date</h3>');
									}
									
									$('a.changelog').click(function(){
										if ($(this).hasClass('loaded')){
											if ($(this).hasClass('opened')){
												$(this).removeClass('opened');
												$('div.su-changelog').hide();
											} else {
												$(this).addClass('opened');
												$('div.su-changelog').show();
											}
											return;
										}
										var ver = $(this).attr('version');
										$('div.su-action').hide();
										$('div.su-status').html('<img src="images/loading.gif" /> Processing your request.').show();
										$.ajax({
											url: base_url + 'settings/software_update_changelog',
											type: 'post',
											data: 'version='+ver,
											success: function (changelog){
												$('a.changelog').addClass('loaded').addClass('opened');
												$('div.su-action').show();
												$('div.su-status').hide();
												$('div.su-changelog').append('<hr /><h3>Change Log</h3><pre style="line-height: 100%; border: 1px solid #CCC; border-radius: 5px; padding: 5px;">'+changelog+'</pre>');
											}
										})
									})
								}
							})
						})
					</script>
				</div>
			</div>
		</div>
