<?php if (!$this->user->has_access('settings')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var content;

function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','System Settings','Settings has been configured.');
	} else {
		showDialog('ok','Error','Settings could not be saved at the moment. Please try again alter.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}

$(document).ready(function(){
	$('a.save').click(function(event){
		$('form.main-form').submit();
		event.preventDefault();
	});
});

</script>
		<div class="toolbar">
			<h3 class="grid-title">Settings</h3>
			<div class="global-tabs" style="padding: 5px">
				<a class="v-btn save">Save</a>
			</div>
		</div>
		<div class="main_full">
		<form class="main-form" method="post" action="<?=base_url()?>settings/update" target="postframe" enctype="multipart/form-data">
			<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
			<table class="general-form">
				<tr>
					<td style="padding: 5px; font-weight: bold; font-size: 11pt; background: #DDD; border-bottom: 1px solid #BBB; border-top: 1px solid #FFF;" colspan="2">Company Information</td>
				</tr>
				<tr class="two">
					<td class="label">Company Name</td>
					<td class="input"><input type="text" name="company_name" class="v-text" value="<?=$this->system->config('company_name')?>" /></td>
				</tr>
				<tr class="two">
					<td class="label">Business Reg. No</td>
					<td class="input"><input type="text" name="company_reg_no" class="v-text" value="<?=$this->system->config('company_reg_no')?>" /></td>
				</tr>
				<tr class="two">
					<td class="label">GST/VAT No</td>
					<td class="input"><input type="text" name="company_tax_no" class="v-text" value="<?=$this->system->config('company_tax_no')?>" /></td>
				</tr>
				<tr class="two">
					<td class="label">Plexcloud ID</td>
					<td class="input"><input type="text" name="plexcloud_id" class="v-text" value="<?php echo $this->system->config('plexcloud_id'); ?>" /></td>
				</tr>
				<tr>
					<td class="label">Plexcloud Key</td>
					<td class="input"><input type="password" name="plexcloud_key" class="v-text" value="<?php echo $this->system->config('plexcloud_key'); ?>"</td>
				</tr>
				<tr class="two">
					<td class="label">Telephone</td>
					<td class="input"><input type="text" name="company_tel" class="v-text" value="<?=$this->system->config('company_tel')?>" /></td>
				</tr>
				<tr class="two">
					<td class="label">Address 1</td>
					<td class="input"><input type="text" name="company_address1" class="v-text" value="<?=$this->system->config('company_address1')?>" /></td>
				</tr>
				<tr class="two">
					<td class="label">Address 2</td>
					<td class="input"><input type="text" name="company_address2" class="v-text" value="<?=$this->system->config('company_address2')?>" /></td>
				</tr>
				<tr class="two">
					<td class="label">City</td>
					<td class="input"><input type="text" name="company_city" class="v-text" value="<?=$this->system->config('company_city')?>" /></td>
				</tr>
				<tr class="two">
					<td class="label">Zipcode</td>
					<td class="input"><input type="text" name="company_zipcode" class="v-text" value="<?=$this->system->config('company_zipcode')?>" /></td>
				</tr>
				<tr class="two">
					<td class="label">State</td>
					<td class="input"><?php echo form_dropdown('company_state',$this->system->state_list($this->system->config('company_country') ? $this->system->config('company_country') : $this->system->config('country')), $this->system->config('company_state'), 'class="state v-city v-dropdown" style="width: 250px"'); ?></td>
				</tr>
				<tr class="two">
					<td class="label">Country</td>
					<td class="input"><?php echo form_dropdown('company_country',$this->system->country_list(), $this->system->config('company_counry') ? $this->system->config('company_counry') : $this->system->config('country'),'class="country v-country v-dropdown" style="width: 250px"'); ?></td>				
				</tr>
				<tr class="two">
					<td class="label">Currency</td>
					<td class="input"><input type="text" name="currency" class="v-text" value="<?=$this->system->config('currency')?>" /></td>
				</tr>
				<tr class="two">
					<td class="label">Company Divisions</td>
					<td class="input">
						<input type="text" name="company_divisions" class="v-text" value="<?=$this->system->config('company_divisions')?>" />
						<small>Divisions are separated by a comma ','. e.g. "Sales,Marketing"</small>
					</td>
				</tr>

				<tr>
					<td style="padding: 5px; font-weight: bold; font-size: 11pt; background: #DDD; border-bottom: 1px solid #BBB; border-top: 1px solid #FFF;" colspan="2">Document Header</td>
				</tr>
				<tr class="two">
					<td class="label">Company Header Logo</td>
					<td class="input">
						<?php if ($logo_file = $this->system->config('company_logo')): ?>
						<img src="<?php echo base_url(); ?>../assets/img/<?php echo $logo_file; ?>" style="height: 50px;" /><br />
						<?php endif; ?>
						<input type="file" name="company_logo" />
						<br /><br /><small>Supported file formats: jpg, png, gif</small>
					</td>
				</tr>			
				<tr class="two">
					<td class="label">Company Header Address</td>
					<td class="input"><textarea name="company_address" class="v-textarea"><?=$this->system->config('company_address')?></textarea></td>
				</tr>
				<tr class="two">
					<td class="label">Company Header Contact</td>
					<td class="input"><textarea name="company_contact" class="v-textarea"><?=$this->system->config('company_contact')?></textarea></td>
				</tr>
				
				<tr>
					<td style="padding: 5px; font-weight: bold; font-size: 11pt; background: #DDD; border-bottom: 1px solid #BBB; border-top: 1px solid #FFF;" colspan="2">PlexCenter</td>
				</tr>
				
				<tr class="two">
					<td class="label">Branch Code</td>
					<td class="input"><input type="text" name="plexcenter_branch_code" class="v-text" value="<?php echo $this->system->config('plexcenter_branch_code'); ?>" /></td>
				</tr>
				<tr>
					<td class="label">Branch Key</td>
					<td class="input"><input type="password" name="plexcenter_branch_key" class="v-text" value="<?php echo $this->system->config('plexcenter_branch_key'); ?>"</td>
				</tr>
				<tr>
					<td class="label">PlexCenter Host</td>
					<td class="input"><input type="text" name="plexcenter_branch_url" class="v-text" value="<?php echo $this->system->config('plexcenter_branch_url'); ?>"</td>
				</tr>
				<tr>
					<td class="label">PlexCenter Start Date (YYYY-MM-DD)</td>
					<td class="input"><input type="text" name="plexcenter_date" class="v-text" value="<?php echo $this->system->config('plexcenter_date'); ?>"</td>
				</tr>
			</table>
		</form>		
		</div>
