<?php if (!$this->user->has_access('settings')) die('You do not have the permissions to access this area.'); ?>

		<div class="status">
		
		</div>
		<div class="toolbar">
			<h3 class="grid-title">
				<?php if ($this->user->has_permission('to_add','users')): ?><a href="settings/new_user" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">New User</a><?php endif; ?>
				Users
			</h3>
			<table class="grid" rel="im">
				<thead>
					<tr>
						<th class="sortable" rel="1" style="width: 100px;">ID</th>
						<th class="sortable" rel="2" style="width: 150px;">Username</th>
						<th class="sortable" rel="3">Name</th>
						<th class="sortable" rel="4" style="width: 100px;">Division</th>
						<th class="sortable" rel="5" style="width: 100px;">Permission Level</th>
						<th class="sortable" rel="6" style="width: 100px;">Email</th>
						<th class="sortable" rel="7" style="width: 100px;">Status</th>
						<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?php echo base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
					</tr>
				</thead>
			</table>		
		</div>
		<div class="main_full">
			<table class="grid grid_data">
				<tbody>
					<?php $x = 0; foreach ($users as $user): $x++; ?>
					<tr<?php if ($x%2) echo ' class="alt"'; ?>>
						<td rel="1" style="width: 100px"><?php echo $user->id?></td>
						<td rel="2" style="width: 150px"><?php echo $user->username?></td>
						<td rel="3"><?php echo $user->firstname . ' ' . $user->lastname?></td>
						<td rel="4" style="width: 100px"><?php echo $user->division; ?></td>
						<td rel="5" style="width: 100px"><?php echo $user->type?></td>
						<td rel="6" style="width: 100px"><?php echo $user->email?></td>
						<td rel="7" style="width: 100px"><?php echo $user->status?></td>
						<td style="width: 75px; padding: 0">
							<?php if ($this->user->has_permission('to_view','Users')): ?><a class="grid-action grid-action-view target_main" href="settings/view_user/<?php echo $user->id?>"><span>View</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_delete','Users')): ?>
								<?php if (!$this->user->check_superadmin($user->id)): ?>
								<a class="grid-action grid-action-delete" href="settings/delete_user/<?php echo $user->id?>"><span>Delete</span></a>
								<?php endif; ?>
							<?php endif; ?>
							<?php if ($this->user->has_permission('to_edit','Users')): ?><a class="grid-action grid-action-edit target_main" href="settings/edit_user/<?php echo $user->id?>"><span>Edit</span></a><?php endif; ?>
						</td>
					</tr>
					<?php endforeach; ?>
				</tbody>
			</table>					
		</div>