<?php if (!$this->user->has_access('sales')) die('You do not have the permissions to access this area.'); ?>

<div>
	<div id="global-sidebar">
		<div class="global-sidebar-control">
			<?php if ($this->system->uses('Inventory') && $this->system->config('warehouse_enabled') && $this->user->has_permission('to_access_all_warehouse','Inventory')): ?>				
			<?php echo form_dropdown('active_warehouse',$warehouses_dropdown, $current_warehouse, 'class="warehouse-select" style="width:135px"'); ?>
			<?php endif; ?>

			<a style="margin-right: 5px" href="sales/config" class="target_main settings-button"><img src="<?=base_url()?>images/settings_button.gif" /></a>
		</div>
		<ul id="global-sidebar-list">

		</ul>
	</div>
	<div id="global-content">

<script type="text/javascript">


$(document).ready(function(){
	
	
	$('select.warehouse-select').change(function(){
		var id = $(this).val();
		window.location.href = base_url + 'inventory/select_warehouse/' + id + '/sales';
	});
	
	$('ul.category-tabs a').click(function(e){
		e.preventDefault();
		$('div.tabs').hide();
		$($(this).attr('href')).show();
	});

	$('ul.category-tabs a.current').click();
	

	
	
		
	
});
</script>
<style>

</style>

		<div class="toolbar">
			<h3 class="grid-title">Currently Pending</h3>
			<div class="grid-header" style="overflow-x: hidden">
	    		<table class="grid grid-header">
	    			<thead>
	    				<tr>
	    					<th class="sortable" rel="1" style="width: 90px">Document No.</th>
	    					<th class="sortable-date" rel="2" style="width: 90px">Date</th>
	    					<th class="sortable" rel="3" >Customer</th>
	    					<th class="sortable" rel="4" style="width: 90px">Term</th>
	    					<th class="sortable" rel="5" style="width: 90px">Status</th>
	    					<th class="sortable" rel="6" style="width: 90px">Payment</th>
	    					<th class="sortable" rel="7" style="width: 100px">Amount (<?php echo $this->system->config('currency'); ?>)</th>							
							<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action" /></th>
							<th style="width: 15px; padding: 0;"></th>
	    				</tr>
	    			</thead>
	    		</table>
			</div>
		</div>
		
		<div class="main_full" style="overflow-x: auto">
		
			<div class="tabs" id="sos">
				<table class="grid grid_data">
					<tbody>
						<?php $x=0; for ($i = 0; $i < 10; $i++): ?>
						<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
							<td rel="1" style="width: 90px"><?php echo 'SO-' . $so->id; ?></td>
							<td rel="2" time="<?php echo strtotime($so->date);?>" style="width: 90px"><?php echo date('d/m/Y',strtotime($so->date)); ?></td>
							<td rel="3"><?php echo $so->contact; ?></td>
							<td rel="4" style="width: 90px"><?php echo $so->terms == 'Credit' ? $invoice->duration . ' days': 'Cash'; ?></td>
							<td rel="5" style="width: 90px"><?php echo $so->status; ?></td>
							<td rel="6" style="width: 90px"><?php echo $so->payment_status; ?></td>
							<td rel="7" style="text-align: right; width: 100px">
							<?php echo $so->total_received == 0 ? $so->total : $so->total_received; ?>
							</td>
							<td style="width: 75px; padding: 0">
								<?php if ($this->user->has_permission('to_view','sales')): ?><a class="grid-action grid-action-view" href="sales/so_view/<?=$so->id?>"><span>View</span></a><?php endif; ?>
								<?php if ($invoice->status == 'Pending'): ?>
								<?php if ($this->user->has_permission('to_edit','sales')): ?><a class="grid-action grid-action-edit" href="sales/so_edit/<?=$so->id?>"><span>Edit</span></a><?php endif; ?>
								<?php if ($this->user->has_permission('to_delete','sales')): ?><a class="grid-action grid-action-delete" href="sales/so_delete/<?=$so->id?>"><span>Delete</span></a><?php endif; ?>
								<?php endif; ?>
							</td>
						</tr>
						<?php $x++; endfor; ?>
					</tbody>
				</table>
			</div>

		</div>
			
	</div>
</div>