
$(document).ready(function (){
	
	try{
 	    if (base_url) exist=1/0;
	} catch(e) {
    	base_url = [];
	}

	// Anchor Submit Button
	$('.submit_button').click(function (event){
		$(this).parents('form').submit();
		event.preventDefault();
	});
	
	$('label').click(function (event){

		event.preventDefault();
	});
	
	// Gallery Interaction 
	$('ul.gallery img').hover(function (){
		var newImage = $(this).parents('li').html();
		var id = $(this).parents('ul').attr('id');
		if (id){
			$('div.'+id).html(newImage);
		} else {
			$('div.gallery_view').html(newImage);
		}
	}, function() {
		// hover out: do nothing
	});
	
	/// Accordion control
	
	$(".accordion").accordion({
			collapsible: true,
			fillSpace: true,
			icons: {
    			header: "ui-icon-circle-arrow-e",
   				headerSelected: "ui-icon-circle-arrow-s"
			}
	});
	
	$(".selectable").selectable();
	
	// Text input CSS 3 corner sytling

	$('.action_delete').click(function (event){
		if (window.confirm('Are you sure you want to delete this record?')){
			window.location.replace($(this).attr('href'));
		} 
		event.preventDefault();
		
	});

	setTimeout(function() { 
        $('p.notice').fadeOut('slow', function(){
        	$(this).css('display','none');
        }); 
        $('p.warning').fadeOut('slow', function(){
        	$(this).css('display','none');
        }); 
    }, 9000); 

	$('.fastform_date').datepicker({
		showOn: 'button', 
		buttonImage: base_url+'images/calendar.gif', 
		buttonImageOnly: true, 
		yearRange: '1900:2010',
		dateFormat: 'yy-mm-dd',
		changeMonth: true,
		changeYear: true		
	});
	
	$('.fastform_date_nobackdate').datepicker({
		showOn: 'button', 
		buttonImage: base_url+'images/calendar.gif', 
		buttonImageOnly: true, 
		yearRange: '1900:2010',
		dateFormat: 'yy-mm-dd',
		changeMonth: true,
		changeYear: true,
		minDate: 0
	});
	
	$('input.fastform_datestart').datepicker({showOn: 'button', buttonImage: base_url+'images/calendar.gif', buttonImageOnly: true, minDate: 0, dateFormat: 'yy-mm-dd',
		onSelect: function (dateTime, inst){
			var start_dt = dateTime.split('-');
			var end = $('input.fastform_datestop').val();
			var end_dt = end.split('-');
			var start_date = new Date(start_dt[0], start_dt[1]-1, start_dt[2]);

			if (end != ''){
				var end_date = new Date(end_dt[0], end_dt[1]-1, end_dt[2]);
			} else {
				var end_date = new Date(start_dt[0], start_dt[1]-1, start_dt[2]);
			}

			var new_end_date = new Date();
			var multiplier;
			if (duration == null) multiplier = duration;
			else multiplier = 1;
			var new_time = start_date.valueOf() + ((1000 * 60 * 60 * 24) * multiplier);
			new_end_date.setTime(new_time);

			if (start_date.valueOf() >= end_date.valueOf()){
				var min_date = new_end_date.getDate() + '-' + (new_end_date.getMonth()+1) + '-' + new_end_date.getFullYear();
				$('input.fastform_datestop').val(new_end_date.getFullYear() + '-' + (new_end_date.getMonth() + 1) + '-' + new_end_date.getDate());
			}
			$('input.fastform_datestop').datepicker('destroy');
			$('input.fastform_datestop').datepicker({showOn: 'button', buttonImage: base_url+'images/calendar.gif', buttonImageOnly: true, minDate: new_end_date, dateFormat: 'yy-mm-dd'});

		}
	});
	$('input.fastform_datestop').datepicker({showOn: 'button', buttonImage: base_url+'images/calendar.gif', buttonImageOnly: true, dateFormat: 'yy-mm-dd'});

		
	$('a.btnstick').click(function(){
		var rel = $(this).attr('rel');
		$('a.btnstick[rel='+rel+']').css('background-position','top');
		$(this).css('background-position','bottom');
	});
	
	

	

});

function isSet(variable){
	return(typeof(variable) != 'undefined');
}


