$(document).ready(function(){
	emailResize();
	emailListResize();
	$(window).bind('resize',function(){
		emailResize();
		emailListResize();
	});
	
	$('a.email-mailbox').click(function(event){
		$('a.email-mailbox').parents('li').removeClass('current')
		$(this).parents('li').addClass('current');
		
		event.preventDefault();
	});
	
	var scrollTo = $('#email-grid').height()
	$('#email-grid').scrollTop(200);
	
	$('#email-grid tr.email-item').click(function(){
		$('#email-grid tr').removeClass('current');
		$(this).addClass('current');
		var msgno = $(this).attr('rel');
		fetchBody(msgno);
	});
});

function emailResize(){
	var targetHeight = $(window).height() - 120;
	$('#email-sidebar').height(targetHeight);
	
	$('#email-body-container').height(2* (targetHeight/3) - 10);
	$('#email-grid').height((targetHeight/3) );
	$('#email-grid tbody').height((targetHeight/3) - 21);
}

function emailListResize(){
	var fromCellWidth = $('#email-grid td.email-from').width();
	var subjectCellWidth = $('#email-grid td.email-subject').width();
	var dateCellWidth = $('#email-grid td.email-date').width();
	var tableWidth = $('#email-grid table').width();
	var gridWidth = $('#email-grid').width();
	
	$('#email-grid th.email-from').width(fromCellWidth);
	$('#email-grid th.email-subject').width(subjectCellWidth);
	$('#email-grid th.email-date').width(dateCellWidth);
	
}

function fetchBody(msgno){
	$.ajax({type: "POST",
		url: base_url+"email/body/"+msgno,
		success: function(html){
			$('#email-body-container').html(html);
		}
	});
}