var delete_href;
var delete_id;
var delete_tid;
var delete_tr;
var form_warning = false;
var reload_data = null;
var reload_sort = null;
var reload_order = null;

var retainQueue = new Array();
var navigateQueue = new Array();
var cell_update_url = '';

String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}

function isArray(what) {
    return Object.prototype.toString.call(what) === '[object Array]';
}

function isObject(what) {
    return Object.prototype.toString.call(what) === '[object Object]';
}

function isString(what) {
    return Object.prototype.toString.call(what) === '[object String]';
}

function isJSON(what){
	try {
		eval('var testJSON = ' + what);
	} catch(e){
		return false;
	}
	return true;
}

function __convertWeight(value, from, to){
	var unit_ratios = {
		'g'		: 1,
		'kg'	: 0.001,
		'oz'	: 0.035273962,
		'lb'	: 0.0022046226
	};
		
	return (value / unit_ratios[from]) * unit_ratios[to];
}
	
function __convertVolume(value, from, to){
	var unit_ratios = {
		'cm3'	: 1,
		'l'		: 0.001,
		'in3'	: 0.0610237441
	};
		
	return (value / unit_ratios[from]) * unit_ratios[to];
}

var psSelect = -1;
$(document).ready(function(){

	$(window).load(function(){
		setTimeout(function(){
			$('div.loading-overlay-mobile').fadeOut(200);
		},500)
	})

	$('#global-sidebar-list').prepend('<li class="sidebar-dropdown"><a class="sidebar-dropdown"></a></li>');
	
	var sbClasses 	= $('#global-sidebar-list li.current a').attr('class');
	var sbLabel 	= $('#global-sidebar-list li.current a').text();
	$('a.sidebar-dropdown').attr('class','sidebar-dropdown '+sbClasses);
	$('a.sidebar-dropdown').text(sbLabel);
	$('li.sidebar-dropdown').addClass('current');
	
	$('li.sidebar-dropdown').bind('touchstart', function(e){
		e.preventDefault();
		if ($(this).hasClass('on')){
			$(this).removeClass('on');
			$('#global-sidebar-list li:not(.sidebar-dropdown)').hide();
		} else {
			$(this).addClass('on');
			$('#global-sidebar-list li:not(.current)').slideDown();
		}
	});
	


	
	$('#global-sidebar-list li:not(.sidebar-dropdown) a').bind('touchend', function(){
		var sbClasses 	= $(this).attr('class');
		var sbLabel		= $(this).text();
		
		$('#global-sidebar-list li').removeClass('current');
		$(this).parent('li').addClass('current');
		
		$('a.sidebar-dropdown').attr('class','sidebar-dropdown '+sbClasses);
		$('a.sidebar-dropdown').text(sbLabel);
		$('li.sidebar-dropdown').addClass('current').removeClass('on');
		
		$('#global-sidebar-list li:not(.sidebar-dropdown)').hide();
		
	})
	
	$('#nav li.current a').bind('touchstart',function(e){
		e.preventDefault();
		if ($(this).hasClass('on')){
			$('#nav li').hide();			
			$('#nav li.current').show();
			$(this).removeClass('on');
		} else {
			$('#nav li').show();			
			$(this).addClass('on');
		}
	})
	

	

	$('table.order-form-print tbody tr').live('click', function(){
		if ($(this).hasClass('highlight')){
			$(this).removeClass('highlight');
		} else {
			$(this).addClass('highlight');
		}
	})
	
	$('table.order-form tbody tr').live('click', function(){
		if ($(this).hasClass('highlight')){
			$(this).removeClass('highlight');
		} else {
			$(this).addClass('highlight');
		}
	})


	$('#product-search input.qty').live('keydown',function(e){
		
		if (e.which == 13){
			$(this).parents('tr').find('input.product-items').attr('checked',true);
			$('a.add-product-item').click();
			$('input[name=product_search]').each(function(){
				this.select();
				$('div.main_full').scrollTo($('div.main_full').get(0).scrollHeight - 880, 500);
			})

		}
		
	});
	
	
	$('a.settings-button').click(function(){
		$('#global-sidebar li').removeClass('current');
	})
		
	$('form').live('submit',function(){
		form_warning = false;
	});


	$('td.checkbox').live('click',function(){
		if ($(this).find('input[type=checkbox]').attr('checked')){
			$(this).find('input[type=checkbox]').attr('checked',false);
		} else {
			$(this).find('input[type=checkbox]').attr('checked',true);		
		}
	});

	$.preLoadImages(base_url+"images/loading.gif", base_url+"css/images/slide_modal.png");
	
	$('select.v-country').live('change',function(){
		var country = $(this).val();
		var citySelect = $(this).parents('form').find('select.v-city');
		var city = $(this).attr('state');
		$(citySelect).html('<option>Loading...</option>');
		$.ajax({
			url: base_url + 'sys/get_city_list',
			type: 'POST',
			data: 'country=' + country,
			success: function (html){
				$(citySelect).html(html);
				$(citySelect).val(city);
			}
		});
	});
	
	$('td.editable').live('dblclick',function(){
		var val = $(this).attr('value');
		var type = $(this).attr('type');
		var field = $(this).attr('field');
		var id = $(this).parents('tr').attr('rel');
		var callback = $(this).attr('callback');
		var data = $(this).html();
		
		if (!val){
			if (data) val = data;
		}
		if (!type){
			type = 'v-text';
		}
		
		var newInput = $('<input type="text" style="width: 100%" class="'+type+'" field="'+field+'" rel="'+id+'" value="'+val+'" />');
				
		$(this).html(newInput);
		$(this).find('input').each(function(){ this.select() });
		
		$(this).find('input').keydown(function(e){
			if (e.which == 13){		
				updateCell($(this).attr('rel'), $(this).attr('field'), $(this).val(), callback);
			}
			if (e.which == 40){
				e.preventDefault();
				updateCell($(this).attr('rel'), $(this).attr('field'), $(this).val(), callback);
				$(this).parents('tr').next('tr').find('td[field='+field+']').dblclick();
			}
			if (e.which == 38){
				e.preventDefault();
				updateCell($(this).attr('rel'), $(this).attr('field'), $(this).val(), callback);
				$(this).parents('tr').prev('tr').find('td[field='+field+']').dblclick();

			}
			
			if (e.which == 9){
				e.preventDefault();
				updateCell($(this).attr('rel'), $(this).attr('field'), $(this).val(), callback);
				if (e.shiftKey){
					$(this).parents('td').prev('td.editable').dblclick();
				} else {
					$(this).parents('td').next('td.editable').dblclick();
				}
			}
			
			if (e.which == 27){
				$(this).addClass('no-update');
				$(this).blur();
				$(this).parents('td').html(data);
			}
		});
		
		$(this).find('input').blur(function(){
			if (!$(this).hasClass('no-update')){
				updateCell($(this).attr('rel'), $(this).attr('field'), $(this).val(), callback);
			}
		})
	});
	
	windowResize();
	
	$('div.filter input').live('keypress',function(e){
		if (e.which == 13){
			filterItems();
			$(this).parents('div.modal-filter-form').fadeOut(300);
			$(this).parents('div.toolbar').find('a.show-filter-controls').removeClass('filter-controls-shown');
			$(this).each(function(){
				this.select();
			})
		}

	});
	
	$('div.filter select').live('keypress',function(e){
		if (e.which == 13){
			filterItems();
			$(this).parents('div.toolbar').find('a.show-filter-controls').removeClass('filter-controls-shown');
			$(this).parents('div.modal-filter-form').fadeOut(300);
		}
	});
	
	$('a.filter-btn').live('click',function(){
		filterItems();
		$(this).parents('div.toolbar').find('a.show-filter-controls').removeClass('filter-controls-shown');
		$(this).parents('div.modal-filter-form').fadeOut(300);
	});

	
	$(window).bind('resize',function(){
		windowResize();
	});

	$('table.grid_data tr').live('click',function(){
		$('table.grid_data tr.current-row').removeClass('current-row');
		$(this).addClass('current-row');
	});

	$('table.grid th.sortable').live('click',function(){
		$('th').not(this).removeClass('sort-asc').removeClass('sort-desc');
		
		var rel = $(this).attr('rel');
		
		reload_sort = rel;
		
		if ($(this).hasClass('sort-asc')){
			$('table.grid_data tr').tsort('td[rel='+rel+']',{order:"desc"});	
			$(this).addClass('sort-desc').removeClass('sort-asc');
			
			reload_order = 'sort-asc';
		} else {
			$(this).addClass('sort-asc').removeClass('sort-desc');
			$('table.grid_data tr').tsort('td[rel='+rel+']',{order:"asc"});
			
			reload_order = 'sort-desc';
		}
		
		$('table.grid_data tr').removeClass('alt');
		$('table.grid_data tr:even').addClass('alt');

	});
	
	$('table.grid th.sortable-date').live('click',function(){
		$('th').not(this).removeClass('sort-asc').removeClass('sort-desc');
		
		var rel = $(this).attr('rel');
		
		reload_sort = rel;
		
		if ($(this).hasClass('sort-asc')){
			$('table.grid_data tr').tsort('td[rel='+rel+']',{attr: "time",order:"desc"});	
			$(this).addClass('sort-desc').removeClass('sort-asc');
			
			reload_order = 'sort-asc';
		} else {
			$(this).addClass('sort-asc').removeClass('sort-desc');
			$('table.grid_data tr').tsort('td[rel='+rel+']',{attr: "time",order:"asc"});
			
			reload_order = 'sort-desc';
		}
		
		$('table.grid_data tr').removeClass('alt');
		$('table.grid_data tr:even').addClass('alt');

	});
	
	$('table.grid th.sortable-field').live('click',function(){
		$('th').not(this).removeClass('sort-asc').removeClass('sort-desc');
		
		var rel = $(this).attr('rel');
		
		reload_sort = rel;
		
		if ($(this).hasClass('sort-asc')){			
			$('table.grid_data tr').tsort('.field',{attr: "value",order:"desc"});
			$(this).addClass('sort-desc').removeClass('sort-asc');
			
			reload_order = 'sort-asc';
		} else {
			$(this).addClass('sort-asc').removeClass('sort-desc');
			$('table.grid_data tr').tsort('.field',{attr: "value",order:"asc"});
			
			reload_order = 'sort-desc';
		}
		
		$('table.grid_data tr').removeClass('alt');
		$('table.grid_data tr:even').addClass('alt');

	});
	
	$('input.time').timeEntry({spinnerImage: base_url+'images/spinnerDefault.png'});
	$('input.date').dateEntry({dateFormat: 'dmy/',spinnerImage: base_url+'images/spinnerDefault.png'});
	
	$('input.v-number').live('keypress',function(event){
		var key = event.which;
		var keychar = String.fromCharCode(key);
		if ((key==null) || (key==0) || (key==8) ||  (key==9) || (key==13) || (key==27) ) return true;
		else if ((("0123456789").indexOf(keychar) > -1)) return true;
		else event.preventDefault();
	});
	
	$('input.v-number-decimal').live('keypress',function(event){
		var key = event.which;
		var keychar = String.fromCharCode(key);
		if ((key==null) || (key==0) || (key==8) ||  (key==9) || (key==13) || (key==27) ) return true;
		else if ((("0123456789").indexOf(keychar) > -1)) return true;
		else if (keychar == "."){
			var value = $(this).val();
			if (value.indexOf('.') > -1){
				event.preventDefault()
			}
			return true;
		}
		else event.preventDefault();
	});
	
	$('input.v-ratio').live('keypress',function(event){
		var key = event.which;
		var keychar = String.fromCharCode(key);
		if ((key==null) || (key==0) || (key==8) ||  (key==9) || (key==13) || (key==27) ) return true;
		else if ((("0123456789").indexOf(keychar) > -1)) return true;
		else if (keychar == "/"){
			var value = $(this).val();
			if (value.indexOf('/') > -1){
				event.preventDefault()
			}
			return true;
		}
		else event.preventDefault();
	});
	
	
	$('form input').live('change',function(){
		form_warning = true;
	});
	
	$('form select').live('change',function(){
		form_warning = true;
	});
	
	$('form textarea').live('change',function(){
		form_warning = true;
	});

	$('div.global-tabs a').live('click',function(event){
		$(this).parents('div.global-tabs').find('a').removeClass('current');
		$(this).addClass('current');
		event.preventDefault();
	});
	
	$('td.dp2').live('touchend', function(){
		$('div.float-action').remove();
		
		$(this).prepend('<div class="float-action"></div>');
		var action_el = $(this).parents('tr').find('td.action').html();
		$('div.float-action').append(action_el);
		
	})
	
	$('#global-sidebar-list li a').live('touchend',function(event){
		event.preventDefault();
		
		if ($(this).hasClass('sidebar-dropdown')) return;
		
		if (form_warning){
			if (!confirm('Are you sure you want to proceed without saving?')){
				event.preventDefault();
				return;
			} else {
				form_warning = false;
			}
		}
		
		retainQueue = new Array();
		navigateQueue = new Array();

		$('#global-content').html('<p><img src="images/loading.gif" /> Loading</p>');
		var href = $(this).attr('href');
		$.ajax({type: "POST",
			url: base_url+href,
			success: function(html){
				$('#global-content').html(html);
				populateEvents();
				form_warning = false;
			}
		});

		
	});
	

	$('a.target_main').live('click',function(event){
		retain();
		event.preventDefault();
		
		if (form_warning){
			if (!confirm('Are you sure you want to proceed without saving?')){
				return;
			} else {
				form_warning = false;
			}
		}
		

		
		var href = $(this).attr('href');

		$('#global-content').html('<p><img src="images/loading.gif" /> Loading</p>');
		$.ajax({type: "POST",
			url: base_url+href,
			success: function(html){
				$('#global-content').html(html);
				populateEvents();
				form_warning = false;
			}
		});

	});

	
	$('a.grid-action-view').live('click',function(event){
	
		if ($(this).hasClass('prevent-default')) return;

		retain();
		event.preventDefault();
		


		var href = $(this).attr('href');
		$('#global-content').html('<p><img src="images/loading.gif" /> Loading</p>');
		$.ajax({type: "POST",
			url: base_url+href,
			success: function(html){
				$('#global-content').html(html);
				populateEvents();
				form_warning = false;
			}
		});
	});
	
	$('a.grid-action-edit').live('click',function(event){
		
		if ($(this).hasClass('prevent-default')) return;
		
		retain();
		event.preventDefault();
		

		
		var href = $(this).attr('href');
		$('#global-content').html('<p><img src="images/loading.gif" /> Loading</p>');
		$.ajax({type: "POST",
			url: base_url+href,
			success: function(html){
				$('#global-content').html(html);
				populateEvents();
				
				form_warning = false;
			}
		});
	});

	$('a.grid-action-delete').live('click',function(event){
	
		event.preventDefault();
		
		if ($(this).hasClass('prevent-default')) return;

		
		delete_href = $(this).attr('href');
		delete_id = $(this).parents('tr').attr('rel');
		delete_tid = $(this).parents('table').attr('rel');
		delete_tr = $(this).parents('tr');

		showDialog('yesno','Delete','Confirm delete?', function(){
				$.ajax({type: "POST",
					url: base_url+delete_href,
					success: function(html){
					
						if (html == 'ok'){
							$(delete_tr).fadeOut(500,'swing',function(){ 
								$(this).remove() 
								$('table.grid_data tbody tr').removeClass('alt');
								$('table.grid_data tbody tr:even').addClass('alt');
							});
							
						} else {
							showDialog('ok','Error','There was a problem deleting the record from the database.');
						}
					}
				});
			},
			function(){
			
			});
	});
	
	$('a.grid-action-delete-auth').live('click',function(event){
		event.preventDefault();
		
		delete_href = $(this).attr('href');
		delete_id = $(this).parents('tr').attr('rel');
		delete_tid = $(this).parents('table').attr('rel');
		delete_tr = $(this).parents('tr');

		showDialog('yesno','Delete','Enter password: <input type="password" class="auth_pass" />', function(){
				var pass = $('input.auth_pass').val();
				$.ajax({type: "POST",
					url: base_url+delete_href,
					type: 'POST',
					data: 'pass='+ pass,
					success: function(html){
						if (html == 'ok'){
							$(delete_tr).fadeOut(500,'swing',function(){ 
								$(this).remove();
								$('table.grid_data tr').removeClass('alt');
								$('table.grid_data tr:even').addClass('alt');
							});
						} else {
							showDialog('ok','Error','The password supplied is incorrect.');
						}
					}
				});
			});
	});

		
	$('a.back_btn').live('click',function(event){
		event.preventDefault();
		if (form_warning){
			if (!confirm('Are you sure you want to proceed without saving?')){
				return;
			} else {
				form_warning = false;
			}
		}

		back();
	});
	
	$('#header').live('click',function(){
		showModalForm();
	});
	
	$('a.show-filter-controls').live('click', function(){
		if ($(this).hasClass('filter-controls-shown')){
			$(this).removeClass('filter-controls-shown');
			$(this).parents('div.toolbar').find('div.modal-filter-form').fadeOut(300);
		} else {
			$(this).addClass('filter-controls-shown');
			$(this).parents('div.toolbar').find('div.modal-filter-form').fadeIn(300);
		}
	});
	
	hideModalForm();

	
});

function populateEvents(){

	$('input.time').timeEntry({spinnerImage: base_url+'images/spinnerDefault.png'});
	$('input.date').dateEntry({dateFormat: 'dmy/',spinnerImage: base_url+'images/spinnerDefault.png'});

	
	$('input.autocomplete-user-single').textboxlist({unique: true, max: 1, plugins: {autocomplete: {
		minLength: 1,
		queryRemote: true,
		onlyFromValues: true,
		remote: {url: base_url + 'autocomplete/search/user'}
	}}});
	
	$('input.autocomplete-fnb-category').textboxlist({unique: true, plugins: {autocomplete: {
		minLength: 1,
		queryRemote: true,
		onlyFromValues: true,
		remote: {url: base_url + 'autocomplete/search/fnb_category'}
	}}});

	
	$('input.autocomplete-tag').textboxlist({unique: true, plugins: {autocomplete: {
		minLength: 1,
		queryRemote: true,
		onlyFromValues: false,
		remote: {url: base_url + 'autocomplete/search/tag'}
	}}});

	
	$('input.autocomplete-country').textboxlist({unique: true, plugins: {autocomplete: {
		minLength: 1,
		queryRemote: true,
		onlyFromValues: true,
		remote: {url: base_url + 'autocomplete/search/country'}
	}}});
	
	$('input.autocomplete-user').textboxlist({unique: true, plugins: {autocomplete: {
		minLength: 1,
		queryRemote: true,
		onlyFromValues: true,
		remote: {url: base_url + 'autocomplete/search/user'}
	}}});
	
	$('input.autocomplete-division-single').textboxlist({unique: true, max:1, plugins: {autocomplete: {
		minLength: 1,
		queryRemote: true,
		onlyFromValues: true,
		remote: {url: base_url + 'autocomplete/search/division'}
	}}});
	
	$('input.autocomplete-division').textboxlist({unique: true, plugins: {autocomplete: {
		minLength: 1,
		queryRemote: true,
		onlyFromValues: true,
		remote: {url: base_url + 'autocomplete/search/division'}
	}}});
	

	windowResize();
	populateResizable();
}

function goTo(href){
	retain();
    event.preventDefault();
    
    if (form_warning){
    	if (!confirm('Are you sure you want to proceed without saving?')){
    		return;
    	} else {
    		form_warning = false;
    	}
    }
    
    $('#global-content').html('<p><img src="images/loading.gif" /> Loading</p>');
    $.ajax({type: "POST",
    	url: base_url+href,
    	success: function(html){
    		$('#global-content').html(html);
    		populateEvents();
    		form_warning = false;
    	}
    });
	
}

function windowResize(){


	var headerHeight = $('#header').height();
	var targetHeight = $(window).height() - headerHeight;
	var targetHeightC = $(window).height() - headerHeight;
	$('#global-content').height(targetHeightC);

	
	targetHeight = $(window).height() - 90;
	targetWidth = $(window).width() - 180;	// minus sidebar width
	$('div.toolbar').width(targetWidth);
	
	$('#calendar').fullCalendar('option', 'height', targetHeight);
 	$('#calendar').fullCalendar('option', 'width', targetWidth);
 	
 	var toolbarHeight = $('div.toolbar').height();
	var mainHeight = $(window).height() - $('div.toolbar').height() - headerHeight;

	$('div.main_full').css('margin-top', toolbarHeight);
	$('div.main_full').css('height', mainHeight);
	
	
}

function showModalForm(id){
	if (!$('div.global-modal-form[id='+id+']').hasClass('global-modal-showing')){
		targetLeft = ($(window).width() / 2) - ($('div.global-modal-form[id='+id+']').width() / 2);
		$('div.global-modal-form[id='+id+']').css('left',targetLeft);
		var actualHeight = $('div.global-modal-form[id='+id+']').height();
		$('div.global-modal-form[id='+id+']').addClass('global-modal-showing');
		$('div.global-modal-form[id='+id+']').height(0);
		$('div.global-modal-form[id='+id+']').css('display','block');
		$('div.global-modal-form[id='+id+']').animate({height: actualHeight, opacity: 1},200);
	}
}

function hideModalForm(id){
	if ($('div.global-modal-form[id='+id+']').hasClass('global-modal-showing')){
		$('div.global-modal-form[id='+id+']').removeClass('global-modal-showing');
		var actualHeight = $('div.global-modal-form[id='+id+']').height();
		$('div.global-modal-form[id='+id+']').animate({height: 0, opacity: 0},200,'swing',
			function(){ 
				$(this).css({
					height: actualHeight,
					display: 'none'
				})
			});
	}
}

function showDialog(type,title,msg,yesfunction,nofunction){
	switch (type){
		case 'loading':
			if ($('div.dialog-loading').hasClass('dialog-loading')){
				$('div.dialog-loading p.global-dialog-msg').html(msg);
				$('div.dialog-loading h3').html(title);
			} else {
				$('body').append('<div class="global-dialog dialog-loading"><div class="global-dialog-body"><h3>'+title+'</h3><p class="global-dialog-msg">'+msg+'</p></div></div>');
				
				
				$('div.dialog-ok a.dialog-ok-button').click(function(event){
					event.preventDefault();
					hideDialog('ok');
					try {
						yesfunction();
					} catch (e){
						// do nothing
					}

					
				});
			}
			
			if (!$('div.dialog-loading').hasClass('global-dialog-showing')){
				targetLeft = ($(window).width() / 2) - ($('div.dialog-ok').width() / 2);
				$('div.dialog-loading').css('left',targetLeft);
				var actualHeight = $('div.dialog-ok').height();
				$('div.dialog-loading').addClass('global-dialog-showing');
				$('div.dialog-loading').height(0);
				$('div.dialog-loading').css('display','block');
				$('div.dialog-loading').animate({height: actualHeight, opacity: 1},200);
			}
			break;

		case 'ok':
			if ($('div.dialog-ok').hasClass('dialog-ok')){
				$('div.dialog-ok p.global-dialog-msg').html(msg);
				$('div.dialog-ok h3').html(title);
			} else {
				$('body').append('<div class="global-dialog dialog-ok"><div class="global-dialog-body"><h3>'+title+'</h3><p class="global-dialog-msg">'+msg+'</p><hr /><p class="global-dialog-action"><a class="v-dbtn dialog-ok-button">OK</a></p></div></div>');
				
				
				$('div.dialog-ok a.dialog-ok-button').click(function(event){
					event.preventDefault();
					hideDialog('ok');
					try {
						yesfunction();
					} catch (e){
						// do nothing
					}

					
				});
			}
			
			if (!$('div.dialog-ok').hasClass('global-dialog-showing')){
				targetLeft = ($(window).width() / 2) - ($('div.dialog-ok').width() / 2);
				$('div.dialog-ok').css('left',targetLeft);
				var actualHeight = $('div.dialog-ok').height();
				$('div.dialog-ok').addClass('global-dialog-showing');
				$('div.dialog-ok').height(0);
				$('div.dialog-ok').css('display','block');
				$('div.dialog-ok').animate({height: actualHeight, opacity: 1},200);
			}
			break;
		case 'yesno':

			if ($('div.dialog-yesno').hasClass('dialog-yesno')){
				$('div.dialog-yesno p.global-dialog-msg').html(msg);
				$('div.dialog-yesno h3').html(title);
			} else {
				$('body').append('<div class="global-dialog dialog-yesno"><div class="global-dialog-body"><h3>'+title+'</h3><p class="global-dialog-msg">'+msg+'</p><hr /><p class="global-dialog-action"><a class="v-dbtn dialog-yes-button">Yes</a> <a class="v-dbtn dialog-no-button">No</a></p></div></div>');
				
				
				$('div.dialog-yesno a.dialog-no-button').click(function(event){
					event.preventDefault();
					try {
						nofunction();
					} catch (e){
						// do nothing
					}
					hideDialog('yesno');
				});
				
				$('div.dialog-yesno a.dialog-yes-button').click(function(event){
					event.preventDefault();
					try {
						yesfunction();
					} catch (e){
						// do nothing
					}
					hideDialog('yesno');
				});
			}
			
			if (!$('div.dialog-yesno').hasClass('global-dialog-showing')){
				targetLeft = ($(window).width() / 2) - ($('div.dialog-yesno').width() / 2);
				$('div.dialog-yesno').css('left',targetLeft);
				var actualHeight = $('div.dialog-yesno').height();
				$('div.dialog-yesno').addClass('global-dialog-showing');
				$('div.dialog-yesno').height(0);
				$('div.dialog-yesno').css('display','block');
				$('div.dialog-yesno').animate({height: actualHeight, opacity: 1},100);
			}
	}
}

function hideDialog(dlg){
	if ($('div.dialog-'+dlg).hasClass('global-dialog-showing')){
		$('div.dialog-'+dlg).removeClass('global-dialog-showing');
		var actualHeight = $('div.dialog-'+dlg).height();
		$('div.dialog-'+dlg).animate({height: 0, opacity: 0},200,'swing',
			function(){ 
				$(this).css({
					height: actualHeight,
					display: 'none'
				})
			});
	}
}

function showDiag(data){
	$('div.diag').show().html(data);
}

function retain(option){
	var page = $('#global-content').html();
	retainQueue.unshift($(page));
	navigateQueue.unshift('@retain');
}

function back(){
	var uri = navigateQueue.shift();
	if (uri == '@retain'){
		var retainedPage = retainQueue.shift();
		$('#global-content').html(retainedPage);
		reloadGrid();
	} else {
		$('#global-content').html('<p><img src="images/loading.gif" /> Loading</p>');
		
		$.ajax({
			type: "POST",
			url: base_url + uri,
			success: function(html){
				$('#global-content').html(html);
				populateEvents();
				form_warning = false;
			}
		});	
	}
	
}

function checkForm(){
	if (form_warning) return 'All form data will be discarded if you proceed.';
}

function updateCell(id, field, val, callback){
	$('tr[rel='+id+']').find('td[field='+field+'] input').attr('disabled',true);
	$.ajax({
		url: base_url + cell_update_url,
		type: 'POST',
		data: 'id='+id+'&field='+field+'&val='+val,
		success: function (value){
			$('tr[rel='+id+']').find('td[field='+field+']').text(value).attr('value',value);
			eval(callback);
		}
	})
}

function recalculateMargin(id,val){
	var cost = parseFloat($('tr[rel='+id+']').find('td.cost').text());
	var margin = (parseFloat(val) - cost) / parseFloat(val) * 100;
	$('tr[rel='+id+']').find('td.margin').text(margin.toFixed(2));
}

window.onbeforeunload = checkForm;