<?php

class FNBPOS extends Controller {

	// Constructor
	
	function All_reports($secret){
		if ($secret == 'audit'){
			$secret_mode = true;
		}
		$query = $this->db->query("SELECT `session`, `datetime` FROM `fnb_sales` GROUP BY `session` ORDER BY `session` DESC LIMIT 200");
		$sessions = $query->result();
		
		$data['sessions'] = $sessions;
		$data['secret'] = $secret_mode;
		$this->load->view('fnb/all_reports', $data);
		
	}
	

	
	
	function Gen_report(){
		$from		= $this->input->post('from');
		$to			= $this->input->post('to');
		$amt		= $this->input->post('amt');
		$items_sold = $this->input->post('items_sold');
		
		$this->load->helper('dompdf');
		$this->load->helper('file');
		
		$data['from'] 			= $from;
		$data['to'] 			= $to;
		$data['total_sales']	= $amt;
		$data['session_no']		= strtotime($from);
		$data['total_items']	= $items_sold;
		
		$content = $this->load->view('fnb/gen-cashout-report',$data, true);
				
		$cli = $this->system->config('fnbpos_print_cli');
		$paper_size = $this->system->config('fnbpos_print_paper_size');
	
		pdf_create($content, 'report_'.date('YmdHis',strtotime($session_data->from)).'.pdf', $paper_size, true);

		
		
	}
	
	function View_report($session, $preview){
	
		$query = $this->db->query("SELECT * FROM `fnb_reverts` WHERE `datetime` >= ? AND `datetime` <= ? ", array($data->last_login, $data->last_logout));
		foreach ($query->result() as $revert){
			$xdata = json_decode($revert->data);
			if ($xdata->sale->amount){
				$total_voided_sales++;
				$total_voided_sales_amount += $xdata->sale->amount;
			}
			if ($xdata->void_item->amount){
				$total_voided_items++;
				$total_voided_item_amount += $xdata->void_item->amount;				
			}
		}
		
		$this->d['total_voided_sales']			= $total_voided_sales;
		$this->d['total_voided_sales_amount']	= $total_voided_sales_amount;
		$this->d['total_voided_items']			= $total_voided_items;
		$this->d['total_voided_item_amount']	= $total_voided_item_amount;
	

		$cash_count = $this->pos_cash_count_data(true);

		$secondary_categories = $this->system->config('report_secondary_categories');
		
		$this->d['from'] 	= $data->last_login;
		$this->d['to']		= $data->last_logout;
		
		$cli = $this->system->config('fnbpos_print_cli');
		$paper_size = $this->system->config('fnbpos_print_paper_size');
	
		$this->load->helper('dompdf');
		$this->load->helper('file');
		

 	
		if (false){
			
			$filter_string = " AND NOT FIND_IN_SET(`category`,'" . $secondary_categories . "')"; 
			$filter_string_2 = " AND FIND_IN_SET(`category`,'" . $secondary_categories . "')"; 
			
			$query = $this->db->query("SELECT SUM(`amount`+`adjustment`) AS `total_sales`, SUM(`qty`) AS `total_items` FROM `fnb_sale_items` WHERE `sold` = 1 AND `session` = ? $filter_string", array($session));
			$total = $query->row();
			
			$query = $this->db->query("SELECT SUM(`discount`) AS `total_discount`, SUM(`adjustment`) AS `total_adjustment`, SUM(`amount`) AS `total_sales`, SUM(`tax_amount`) AS `total_tax` FROM `fnb_sales` WHERE `session` = ? ", array($session));
			$da = $query->row();
			
			$query = $this->db->query("SELECT SUM(`tax_amount`) AS `total_tax` FROM `fnb_sales` WHERE `session` = ? AND `type` = 'history' ", array($session));
			$tax = $query->row();

			
			$query = $this->db->query("SELECT `category`, SUM(`amount`) AS `total_amount`, SUM(`qty`) AS `total_items` FROM `fnb_sale_items` WHERE `sold` = 1 AND `session` = ? $filter_string GROUP BY `category`", array($session));
			$this->d['categories'] = $query->result();
			
			
			$query = $this->db->query("SELECT * FROM `fnb_cash_count` WHERE `session` = ?", array($session));
			$session_data = $query->row();
		
			$query = $this->db->query("SELECT * FROM `fnb_sale_items` WHERE `session` = ? ORDER BY `id` ASC LIMIT 1", array($session));
			$first = $query->row();

			$query = $this->db->query("SELECT * FROM `fnb_sale_items` WHERE `session` = ? ORDER BY `id` DESC LIMIT 1", array($session));
			$last = $query->row();

			
			
			$this->d['from']			= $session_data->from;
			$this->d['to']				= $session_data->to;
			$this->d['first_txn']		= $first->txn_no;
			$this->d['last_txn']		= $last->txn_no;

			$this->d['total_tax']		= $da->total_tax;
			$this->d['total_discount']	= $da->total_discount;
			$this->d['total_adjustment']= $da->total_adjustment;
			$this->d['total_sales'] 	= $total->total_sales - $da->total_discount;
			$this->d['total_items'] 	= $total->total_items;
			$this->d['session_no']		= $session;
			
			$this->load->view('fnb/cashout-report',$this->d);
			
			$query = $this->db->query("SELECT SUM(`amount`) AS `total_sales`, SUM(`qty`) AS `total_items` FROM `fnb_sale_items` WHERE `session` = ? $filter_string_2", array($session));
			$total = $query->row();
			

			$this->d['total_discount']	= 0;
			$this->d['total_tax']		= $total->total_tax;
			$this->d['total_sales'] 	= $total->total_sales;
			$this->d['total_items'] 	= $total->total_items;
			$this->d['session_no']		= $session;
			
			
			$query = $this->db->query("SELECT `category`, SUM(`amount`) AS `total_amount`, SUM(`qty`) AS `total_items` FROM `fnb_sale_items` WHERE `sold` = 1 AND `session` = ? $filter_string_2 GROUP BY `category`", array($session));
			$this->d['categories'] = $query->result();

			$this->load->view('fnb/cashout-report-2',$this->d);			
			
			
		} else {
			
			$query = $this->db->query("SELECT * FROM `fnb_cash_count` WHERE `session` = ?", array($session));
			$session_data = $query->row();
		
			$query = $this->db->query("SELECT * FROM `fnb_sale_items` WHERE `session` = ? ORDER BY `id` ASC LIMIT 1", array($session));
			$first = $query->row();

			$query = $this->db->query("SELECT * FROM `fnb_sale_items` WHERE `session` = ? ORDER BY `id` DESC LIMIT 1", array($session));
			$last = $query->row();
			
			$query = $this->db->query("SELECT SUM(`amount`) AS `total_sales`, SUM(`qty`) AS `total_items` FROM `fnb_sale_items` WHERE `sold` = 1 AND  `session` = ?", array($session));
			$total = $query->row();
			
			$query = $this->db->query("SELECT SUM(`discount`) AS `total_discount`, SUM(`adjustment`) AS `total_adjustment`, SUM(`amount`) AS `total_sales`, SUM(`subtotal`) AS `total_sales_bt`, SUM(`tax_amount`) AS `total_tax` FROM `fnb_sales` WHERE `type` = 'history' AND `session` = ? $filter_string", array($session));
			$da = $query->row();
			
			$query = $this->db->query("SELECT `category`, SUM(`amount`) AS `total_amount`, SUM(`qty`) AS `total_items` FROM `fnb_sale_items` WHERE `sold` = 1 AND `session` = ? $filter_string GROUP BY `category`", array($session));
			$this->d['categories'] = $query->result();

			$this->d['from']			= $session_data->from;
			$this->d['to']				= $session_data->to;
			$this->d['first_txn']		= $first->txn_no;
			$this->d['last_txn']		= $last->txn_no;
			$this->d['total_tax']		= $da->total_tax;
			$this->d['total_discount']	= $da->total_discount;
			$this->d['total_adjustment']= $da->total_adjustment;
			$this->d['total_sales'] 	= $da->total_sales;
			$this->d['total_net_sales']	= $da->total_sales_bt - $da->total_discount;
			$this->d['total_items'] 	= $total->total_items;
			$this->d['session_no']		= $session;
			
			if ($preview == 'view'){
				$this->load->view('fnb/cashout-report',$this->d);
			
			} else {
				$content = $this->load->view('fnb/cashout-report',$this->d, true);
				
				$cli = $this->system->config('fnbpos_print_cli');
				$paper_size = $this->system->config('fnbpos_print_paper_size');
	
				pdf_create($content, 'report_'.date('YmdHis',strtotime($session_data->from)).'.pdf', $paper_size, true);
				
			}
	

		}
		
		
					
	}
	
	function FNBPOS(){
		parent::Controller();
		
		$this->load->model('credit_cards');

		
		if ($this->config->config['client_side']){
	  		$res = fopen('AUTHKEY','r');
	  		$key = fread($res,filesize('AUTHKEY'));
	  		fclose($res);
	  		
	  		$res = fopen('CONN','r');
	  		$conn = fread($res,filesize('CONN'));
	  		fclose($res);
	  		
	  		
		  	if (!$key || !$conn){
			 	redirect('terminal/activate');
		  	}
	  	}
	  	

		// Load employee, system and inventory models

		$this->load->model('user');
		$this->load->model('system');
		$this->load->model('order');
		
		// Load file helper
		$this->load->helper('file');
	
		// Load user agent library
		$this->load->library('user_agent');
		
		// Check if iphone
		

		if ($agent = $this->agent->is_mobile()){
			if (strpos($_SERVER['HTTP_USER_AGENT'],'iPad')){
				$this->session->set_userdata(array('device'=>'ipad'));
			}
			
			if (strpos($_SERVER['HTTP_USER_AGENT'],'iPod') || strpos($_SERVER['HTTP_USER_AGENT'],'iPhone')) {
				$this->session->set_userdata(array('device'=>'iphone'));
				redirect('iphone');
			}
			// Redirect to iphone controller
			

		} else {

			$this->session->set_userdata(array('device'=>'terminal'));
		}
		


		if (($this->uri->segment(1) == 'fnbpos' || $this->uri->segment(1) == 'iphone') && $this->uri->segment(2) == 'terminal'){
    		// do nothing	
    		
    		if ($this->uri->segment(2) != 'terminal'){
	    		
				$ip = $_SERVER['REMOTE_ADDR'];
				if ($ip == '::1'){
					$ip = '127.0.0.1';
				}

	    		$query = $this->db->query("SELECT * FROM `terminals` WHERE `ip` = ?", array($ip));
	    		
	
	
	    		if (!$query->num_rows()){
	
	    			if ($terminal_id = get_cookie('PLEX_POS_TERM_ID',true)){
	    				$query = $this->db->query("SELECT * FROM `terminals` WHERE `id` = ?", array($terminal_id));
	    				$terminal = $query->row();
	    				
	    				if (md5($terminal->key . get_cookie('PLEX_POS_TERM_SESSION',true)) != get_cookie('PLEX_POS_TERM_HASH',true)){
	    					show_error('Access denied for terminal identifier <strong>' . get_cookie('PLEX_POS_TERM_IDENTIFIER',true) . '</strong>. Check if your terminal identifier and key is correct.');
	    				}
	    				
	    			} else {
	    				show_error('Access denied for IP Address <strong>' . $_SERVER['REMOTE_ADDR'] . '</strong>. Check if your terminal is using Dynamic IP access.');
	    			}
	    		}
    		}

    			
    	} else {
    		$ip = $_SERVER['REMOTE_ADDR'];
    		if ($ip == '::1') $ip = '127.0.0.1';
    		
    		
    		$query = $this->db->query("SELECT * FROM `terminals` WHERE `ip` = ?", array($ip));
    		


    		if (!$query->num_rows()){

    			if ($terminal_id = get_cookie('PLEX_POS_TERM_ID',true)){
    				$query = $this->db->query("SELECT * FROM `terminals` WHERE `id` = ?", array($terminal_id));
    				$terminal = $query->row();
    				
    				if (md5($terminal->key . get_cookie('PLEX_POS_TERM_SESSION',true)) != get_cookie('PLEX_POS_TERM_HASH',true)){
    					show_error('Access denied for terminal identifier <strong>' . get_cookie('PLEX_POS_TERM_IDENTIFIER',true) . '</strong>. Check if your terminal identifier and key is correct.');
    				}
    				
    			} else {
    				show_error('Access denied for IP Address <strong>' . $ip . '</strong>. Check if your terminal is using Dynamic IP access.');
    			}
    		}
    		
    	}
    	
		header(" Cache-Control: no-cache, must-revalidate");

	}
	
	function Self_service_terminal(){
		$this->load->view('fnb/self-service-terminal', $data);
	}
	
	
    function Terminal($identifier, $key){
    	$query = $this->db->query("SELECT * FROM `terminals` WHERE `identifier` = ? AND `key` = ?", array($identifier, $key));

    	if ($query->num_rows()){
    		$terminal = $query->row();
    		$term_session = time();
    		$expire = 60*60*24*6004; 

    		
    		set_cookie('PLEX_POS_TERM_ID',$terminal->id, $expire, $_SERVER['HTTP_HOST'], '/');
    		set_cookie('PLEX_POS_TERM_NAME', $terminal->name, $expire, $_SERVER['HTTP_HOST'], '/');
    		set_cookie('PLEX_POS_TERM_IDENTIFIER', $identifier, $expire, $_SERVER['HTTP_HOST'], '/');
    		set_cookie('PLEX_POS_TERM_HASH', md5($key . $term_session), $expire, $_SERVER['HTTP_HOST'], '/');
    		set_cookie('PLEX_POS_TERM_SESSION', $term_session, $expire, $_SERVER['HTTP_HOST'], '/');
    		
    		
    		show_error('Access has been granted. <a href="'.base_url().'fnbpos">Go to terminal page.</a>');
    	} else {			
    		show_error('Access denied for terminal identifier <strong>' . $identifier . '</strong>. Check if your terminal identifier and key is correct.');
    	}
    }

	
	// Index controller
	
	function Index(){
	
		if (!$this->user->check_session()) redirect('fnbpos/login');
		if (!$this->user->has_permission('to_use_pos','Sales')) redirect('fnbpos/login');
		
		if (!$this->user->has_permission('to_checkout_transaction','Sales', $user->username)) redirect('fnbpos/order_terminal');
	
		
		$this->db->query("ANALYZE TABLE `fnb_sales`, `fnb_sale_items`");
		$this->db->query("REPAIR TABLE `fnb_sales`, `fnb_sale_items`");
		

		// Check employee login session. If not logged in, redirect to login page
		if (!$this->user->check_session()) redirect('fnbpos/login');

		// On load, clear all printing queues in the session
		$this->session->set_userdata(array('prints'=>''));



		if (!$this->client_side){
	    	// IP and Terminal Info
	    	$ip = $_SERVER['REMOTE_ADDR'];
	    	if ($ip == '::1') $ip = '127.0.0.1';
			$query = $this->db->query("SELECT * FROM `terminals` WHERE `ip` = ?", array($ip));
		    $this->d['terminal'] = $terminal_data = $query->row();
		    	
			if (!$terminal_data->id){

   		    	$this->d['terminal'] = $terminal = get_cookie('PLEX_POS_TERM_ID');
   		    	
		    	$query = $this->db->query("SELECT * FROM `terminals` WHERE `id` = ?", array($terminal));
		    	$this->d['terminal'] = $terminal_data = $query->row();
		    	
	    	}
	    
	    	// Current user data
	    	$user 			 	 = $this->user->data();
	    	unset($user->password);
	    	
	    	$this->d['user'] 	 = $user;
	    	$this->d['username'] = $this->user->data('username');
	    	
    	} else {
    	
    		$query = $this->db->query("SELECT * FROM `terminals` WHERE `name` = ?", array($this->client_terminal->terminal_name));
    		$this->d['terminal'] = $terminal_data = $query->row();
	    }
	    



		// Get employee username and store to interface variables
		$this->d['username'] = $this->user->data('username');
		
    	$this->d['taxes'] = $this->tax->get_enabled_taxes();
		
		// Set terminal trigger url and key and store to interface variables
		
		$this->d['trigger_url'] 	= $this->user->terminal_data('drawer_name');
		$this->d['printer_name']	= $this->user->terminal_data('printer_name');
		$this->d['printer_type']	= $this->user->terminal_data('printer_type');
		$this->d['printer_width']	= $this->user->terminal_data('printer_width');
		
		$this->d['trigger_chars']  	= $this->user->terminal_data('trigger_chars');
		$this->d['display_url'] 	= $this->user->terminal_data('display_name');
		$this->d['msg_welcome_1']	= $this->user->terminal_data('pd_welcome1');
		$this->d['msg_welcome_2']	= $this->user->terminal_data('pd_welcome2');
		$this->d['msg_thankyou']	= $this->user->terminal_data('pd_thankyou');	
		
		
		
		$query = $this->db->query("SELECT * FROM `warehouses` WHERE `id` = ?", array($this->user->data('branch')));
    	$branch = $query->row();	
		
		$this->d['branch'] = $branch;
		
    	$cces = $this->credit_cards->get_card_options();
    	foreach ($cces as $cc){
    		$cc_array[$cc->id] = $cc->name;
    	}
    	$this->d['cc_array'] = $cc_array;
    	
    	
		$this->d['layout'] = json_decode($this->system->config('fnb_table_layout'));


		// Load pos interface
		$this->load->view('fnb/main', $this->d);
	}
	
	function Order_terminal(){
	
		if (!$this->user->check_session()) redirect('fnbpos/login');
		if (!$this->user->has_permission('to_use_pos','Sales')) redirect('fnbpos/login');
	
		
		$this->db->query("ANALYZE TABLE  `fnb_sales`, `fnb_sale_items`");
		$this->db->query("REPAIR TABLE  `fnb_sales`, `fnb_sale_items`");
		

		// Check employee login session. If not logged in, redirect to login page
		if (!$this->user->check_session()) redirect('fnbpos/login');

		// On load, clear all printing queues in the session
		$this->session->set_userdata(array('prints'=>''));


		if (!$this->client_side){
	    	// IP and Terminal Info
	    	$ip = $_SERVER['REMOTE_ADDR'];
	    	if ($ip == '::1') $ip = '127.0.0.1';
			$query = $this->db->query("SELECT * FROM `terminals` WHERE `ip` = ?", array($ip));
		    $this->d['terminal'] = $terminal_data = $query->row();
		    	
			if (!$terminal_data->id){

   		    	$this->d['terminal'] = $terminal = get_cookie('PLEX_POS_TERM_ID');
   		    	
		    	$query = $this->db->query("SELECT * FROM `terminals` WHERE `id` = ?", array($terminal));
		    	$this->d['terminal'] = $terminal_data = $query->row();
		    	
	    	}
	    
	    	// Current user data
	    	$user 			 	 = $this->user->data();
	    	unset($user->password);
	    	
	    	$this->d['user'] 	 = $user;
	    	$this->d['username'] = $this->user->data('username');
	    	
    	} else {
    	
    		$query = $this->db->query("SELECT * FROM `terminals` WHERE `name` = ?", array($this->client_terminal->terminal_name));
    		$this->d['terminal'] = $terminal_data = $query->row();
	    }
	    
		$query = $this->db->query("SELECT * FROM `warehouses` WHERE `id` = ?", array($this->user->data('branch')));
    	$branch = $query->row();	
		
		$this->d['branch'] = $branch;


		// Get employee username and store to interface variables
		$this->d['username'] = $this->user->data('username');
		

		
		// Set terminal trigger url and key and store to interface variables
		$this->d['trigger_url'] = base_url() . 'fnbpos/trigger_drawer/'.$key;
		$this->d['printer_name']	= $this->user->terminal_data('printer_name');
		$this->d['printer_type']	= $this->user->terminal_data('printer_type');
		$this->d['printer_width']	= $this->user->terminal_data('printer_width');


		$this->d['layout'] = json_decode($this->system->config('fnb_table_layout'));

		// Load pos interface
		$this->load->view('fnb/order-terminal', $this->d);
	}
		
	// Login controller

	function Login($err){
		// Check employee login session. If logged in redirect to pos interface
		if ($this->user->check_session() && $this->user->has_permission('to_use_pos','Sales')) redirect('fnbpos');
		
		// If contains error, set error notice to interface variables
		if ($err == 'err1') $this->d['notice'] = 'Incorrect username or password.';
		if ($err == 'err2') $this->d['notice'] = 'User is already logged in.';
    	if ($err == 'err3') $this->d['notice'] = 'User is not authorized.';
    	if ($err == 'err4') $this->d['notice'] = 'User is logged in from another terminal.';
		
		// Load login interface
		$this->load->view('fnb/login',$this->d);
	}
	
	// Authentication controller
	
	function Auth(){
		
		// Retrieve input username and password
		$username = $this->input->post('username');
		$password = $this->input->post('password');
		$keycard = $_REQUEST['password'];
	
		// Get employee object
		if ($username){
			$user = $this->user->get_user_by_username($username);
		} else {
			$user = $this->user->Get_user_by_keycard($keycard);
		}

		// Check employee login session. If logged in redirect to pos interface
		if ($this->user->check_session()){
			redirect('fnbpos');				
		}
		
		
		
		if ($username){
	    	if ($user->password == md5($this->input->post('password'))){
				if (!$this->user->has_permission('to_use_pos','Sales', $user->username)) redirect('fnbpos/login/err3');
			}
		}
		
		

			$ip = $_SERVER['REMOTE_ADDR'];
			
			if ($ip == '::1'){
				$ip = '127.0.0.1';
			}

		
		if ($user->terminal_ip && $user->terminal_ip != $ip){
			redirect('fnbpos/login/err4');
		}

		
		
		// Log in user. If succeed, redirect to pos interface. Otherwise redirect to login interface with 'err1'
		if ($this->user->login('terminal',$username, $password)){
			$this->session->set_userdata(array('b_number'=>1,'is_number'=>1));
			
			if (!$this->user->has_permission('to_checkout_transaction','Sales', $user->username)) redirect('fnbpos/order_terminal');
			redirect('fnbpos');
		} else {
			redirect('fnbpos/login/err1');
		}
	}
	
	// AJAX Controller
	
	function Card_audit_print(){
		$query = $this->db->query("SELECT * FROM `fnb_table_cards` ORDER BY card_no");
		$data['cards'] = $query->result();
		
		$this->load->view('fnb/card-audit', $data);
		
	}
	
	function Ajax($request){
		// Set document content type as application/json
		
		// if (!$this->user->check_session()) redirect('fnbpos/login');
		
		header('Content-type: application/json');

		
		// Check request
		switch ($request){
			
			case "card_audit_start":
			
				$this->db->query("UPDATE fnb_table_cards SET status_ok = null");
			
			break;
			
			case "card_audit_scan":
				
				$card_no = $this->input->post('card_no');
				
				$this->db->query("UPDATE fnb_table_cards SET status_ok = 1 WHERE card_no = ?", array($card_no));

			
			
			break;
			
			case "card_add":
				$short_no = $this->input->post('short_no');
				$card_no = $this->input->post('card_no');
				
				
				
				$query = $this->db->query("SELECT * FROM `fnb_table_cards` WHERE `short_no` = ?", array($short_no));
				if ($query->num_rows()){
					
					$res->status = 'invalid1';
					echo json_encode($res);
					return;
				}

				$query = $this->db->query("SELECT * FROM `fnb_table_cards` WHERE `card_no` = ?", array($card_no));
				if ($query->num_rows()){
					
					$res->status = 'invalid2';
					echo json_encode($res);
					return;
				}
				
				$this->db->insert('fnb_table_cards', array(
					'short_no'	=> $short_no,
					'card_no'	=> $card_no
				));
				
				
				$res->status = 'ok';
				echo json_encode($res);

			break;
			
			case "card_delete":
				
				$this->db->query("DELETE FROM `fnb_table_cards` WHERE `id` = ?", array($this->input->post('id')));
			
			break;
			
			case "card_list":
				$query = $this->db->query("SELECT * FROM `fnb_table_cards` ORDER BY `short_no` ASC");
				$cards = $query->result();
				
				foreach ($cards as $card){
					if ($card->status_ok) $ok++;
					else $missing++;					
					$total++;
				}
				
				$html .= "<tr><td style=\"padding: 10px; font-weight: bold; background: rgba(0,0,0,0.2);\" colspan=\"4\">Total cards: {$total} &nbsp;&nbsp;&nbsp; Missing cards: {$missing} &nbsp;&nbsp;&nbsp; Remaining cards: {$ok}</td></tr>";
				
				foreach ($cards as $card){
					
					
					$html .= '<tr><td>Short No: '.$card->short_no.'</td><td>Card No: '.$card->card_no.'</td><td>'.($card->status_ok ? 'OK' : 'Lost Card').'</td><td style="text-align: right; padding-right: 20px"><button onclick="deleteCard('.$card->id.')" class="vui-btn vui-btn-mid">Delete</button></td></tr>';
				}
				
				$res->html = $html;
				echo json_encode($res);
				
			break;
			
			case "add_card":
			
			break;
			
			case "delete_card":
			
			break;
			
			case "assign_card":
			
				$id = $this->input->post('queue');
				$card = $this->input->post('card');
				
				$query = $this->db->query('SELECT * FROM `fnb_table_cards` WHERE `card_no` = ?', array(str_replace('@','',$card)));
				
				
				if (!$query->num_rows() && $card != '@-'){
					$res->status = 'invalid';
				} else {
					
					if ($card == '@-'){
						
						$this->db->update('fnb_buffer_sales', array(
							'table_card_no'	=> ''
						), array(
							'id'			=> $id
						));

						$res->status = 'ok';
					} else {
				
						$card_data = $query->row();
					
						$query = $this->db->query("SELECT * FROM `fnb_buffer_sales` WHERE `table_card_no` = ? AND `type` = 'queue'", array($card_data->short_no));
						if ($query->num_rows()){
							$res->status = 'error';
						} else {
						
							$this->db->update('fnb_buffer_sales', array(
								'table_card_no'	=> $card_data->short_no
							), array(
								'id'			=> $id
							));
							$res->status = 'ok';
		
						}
					}
				}
				echo json_encode($res);
			break;
			
			case "toggle_takeaway":
			
				$id = $this->input->post('item');
				$this->order->toggle_takeaway($id);
				
				
				
				
			break;
			
			case "set_item_price":
			
				$id = $this->input->post('item');
				$discount = $this->input->post('discount');
				
				$query = $this->db->query("SELECT * FROM `fnb_buffer_sale_items` WHERE `id` = ?", array($id));
				$item = $query->row();
				
				$query = $this->db->query("SELECT * FROM `fnb_buffer_sales` WHERE `id` = ?", array($item->sale_id));
				$sale = $query->row();
				
				if ($this->system->config('fnbpos_discount_with_customer')){
					if (!$sale->customer_id){
						return;
					}
				}
				
				
				$discounted_price = ($item->price_per_unit * $item->qty) *  ((100 - $discount) / 100);
				
				$this->db->update('fnb_buffer_sale_items', array(
					'discount'	=> $discount,
					'amount'	=> $discounted_price
				),array(
					'id'	=> $id
				));
				
				
				
			
				break;
			
			case "save_layout";
			
				$query = $this->db->query("SELECT * FROM `config` WHERE `config` = 'fnb_table_layout'");
				if ($query->num_rows()){
					$this->db->update('config', array(
						'value'		=> $this->input->post('layout')
					), "`config` = 'fnb_table_layout'");
				} else {
					$this->db->insert('config', array(
						'config'	=> 'fnb_table_layout',
						'value'		=> $this->input->post('layout')
					));
					
				}

			
				break;
			
			case "reprint_item":
				$item = $this->input->post('item');
				$this->order->reprint_order($item);
			
				break;
			
			case "lock":
			
				$user_id = $this->user->data('id');
				$this->db->update('users', array(
					'terminal_lock'	=> 1
				),"`id` = '$user_id'");
				
				$res->status = 'ok';
				
				echo json_encode($res);
			
				break;
			
			case "unlock":
			
				$pass = $_REQUEST['password'];
				
				$user_id = $this->user->data('id');
				
			
				
				if ($this->user->data('password') == md5($pass) || $pass  == $this->user->data('keycard')){
					$this->db->update('users', array(
						'terminal_lock'	=> null
					),"`id` = '$user_id'");

					$res->status = 'ok';
				} else {
					$res->status = 'failed';
				}
				

				
				echo json_encode($res);
			
				break;
			
			case "clear_customer":
	    		$queue_id = $this->input->post('queue_id');			
    			
	    			
	    		$this->db->update('fnb_buffer_sales', array(
    			    'customer_id'	=> '',
    			    'customer'		=> ''
    			), "`id` = '{$queue_id}'");
	    		
	    		
	    		
				if ($this->system->config('fnbpos_discount_with_customer')){
	    			$query =  $this->db->query("SELECT * FROM `fnb_buffer_sale_items` WHERE `sale_id` = ?", array($queue_id));
					foreach ($query->result() as $item){
						$this->db->update('fnb_buffer_sale_items', array(
							'discount'	=> null,
							'amount'	=> $item->price_per_unit * $item->qty
						), array(
							'id'		=> $item->id
						));
					}
					
					$this->db->update('fnb_buffer_sales', array(
						'discount_type'	=> null,
						'discount'		=> null
					), array(
						'id'			=> $queue_id
					));
					
					
					$this->order->update_amount($queue_id);
				}

		    	
		    	$result->status = 'Success';
	    		

    			echo json_encode($result);
    		
    			break;
    			
			
			case "enter_customer":
    			$id = $this->input->post('customer_id');
    			$queue_id = $this->input->post('queue_id');
    			
    			$consultant_id = $this->input->post('consultant_id');
    			
    			
    			
    			$query = $this->db->query("SELECT * FROM `contacts` WHERE `id` = ?", array($id));
    			if ($query->num_rows()){
	    			$customer = $query->row();
	    			
	    			$this->db->update('fnb_buffer_sales', array(
    					'customer_id'	=> $customer->id,
    					'customer'		=> $customer->company_name ? $customer->company_name . ' (' . $customer->contact_person . ')' : $customer->contact_person,
    				), "`id` = '{$queue_id}'");
    				
	    					    		
		    		$result->status = 'Success';
	    			
    			} else {
	    			$result->status = 'Failed';
    			}
    			
    			echo json_encode($result);
    			
    			break;
    		
    		case "get_customer":
    			$identifier = $this->input->post('identifier') ? $this->input->post('identifier') : 'ic';
    			$id 		= $this->input->post('id');
    			
    			
    			$query = $this->db->query("SELECT * FROM `contacts` WHERE {$identifier} = ?", array($id));
    			if ($query->num_rows()){
	    			$result->status = 'Success';
	    			$result->customer = $query->row();
	    				    			
    			} else {
	    			$result->status = 'Failed';
    			}
    			
    			echo json_encode($result);
    			
    			break;
    		case "search_customer_by_name":
    			$name 		= $this->input->post('name');
    			
    			$query = $this->db->query("SELECT * FROM `contacts` WHERE `contact_person` LIKE ? OR `company_name` LIKE ?", array('%'.$name.'%', '%'.$name.'%'));
    			if ($query->num_rows()){
	    			$result->status = 'Success';
	    			$result->customers = $query->result();
	    				    			
    			} else {
	    			$result->status = 'Failed';
    			}
    			
    			echo json_encode($result);
    		
    			break;

		
			case "verify_order":
				$id = $this->input->post('id');
				
				$this->db->update('fnb_buffer_sales', array(
					'verified'	  => 1
				), "`id` = '{$id}'");
				
				$this->order->process_orders($id);

				$this->db->query("UPDATE `fnb_buffer_sale_items` SET `printed` = 1 WHERE `sale_id` = ?", array($id));
				
				$data->status = 'ok';
				
				echo json_encode($data);
				
				break;
				
			case "cancel_order":
				$id = $this->input->post('id');
				
				$this->db->query("DELETE FROM `fnb_buffer_sale_items` WHERE `sale_id` = ? AND `printed` = 0", array($id));
				
				$query = $this->db->query("SELECT * FROM `fnb_buffer_sale_items` WHERE `sale_id` = ?", array($id));
				
				if (!$query->num_rows()){
				
					$this->db->query("DELETE FROM `fnb_buffer_sales` WHERE `id` = ?", array($id));
					
					$data->status = 'ok';
				
				} else {
					$this->db->query("UPDATE `fnb_buffer_sales` SET `verified` = 1 WHERE `id` = ?", array($id));
					
					$data->status = 'ok-noclear';
				}

				echo json_encode($data);
							
				break;
			
			case "init":
			
				$sst = $this->input->post('sst');
				
				if ($sst){
					$query = $this->db->query("SELECT * FROM `fnb_self_service_map` WHERE `terminal_id` = ?", array($this->user->terminal_data('id')));
					$ssm = $query->row();

					$query = $this->db->query("SELECT `category` FROM `fnb_inventory` WHERE FIND_IN_SET(`category`, ?) GROUP BY `category` ASC", array($ssm->categories));
					$cat = $query->result();
					
				} else {	
					// Retrieve categories from inventory
					$query = $this->db->query("SELECT `category` FROM `fnb_inventory` GROUP BY `category` ASC");
					$cat = $query->result();
				}
				
				// Loop for each category to store item and subcategory data
				foreach ($cat as $category){
					
					// Retrieve items by category
					$query = $this->db->query("SELECT * FROM `fnb_inventory` WHERE `category` = ? ORDER BY `name` ASC", array($category->category));
					$items = $query->result();
					
					$subcategories = null;
					
					// Store items into category object
					$category->items = $items;
			
					// Loop for each items to store in subcategory		
					foreach ($items as $item){
						$subcategories[$item->subcategory][] = $item;
					}
					
					// Store subcategories into category object
					$category->subcategories = $subcategories;
					
					// Store category into array
					$categories[] = $category;
				}
				
				// Store categories to interface variables
				$this->d['categories'] = $categories;
				
				if ($sst){
					$query = $this->db->query("SELECT * FROM `fnb_inventory` WHERE FIND_IN_SET(`category`, ?) GROUP BY `category` ORDER BY `category_order` ASC, `name` ASC ", array($ssm->categories));
					$this->d['cd'] = $query->result();					
				} else {
					$query = $this->db->query("SELECT * FROM `fnb_inventory` GROUP BY `category` ORDER BY `category_order` ASC, `name` ASC ");
					$this->d['cd'] = $query->result();	

				}
				
				if ($sst){
					$data->items = $this->load->view('fnb/items-sst', $this->d, true);
					$data->options = $this->load->view('fnb/item-options-sst', $this->d, true);			
				} else {
					$data->items = $this->load->view('fnb/items', $this->d, true);
					$data->options = $this->load->view('fnb/item-options', $this->d, true);			
				}
				
				echo json_encode($data);
						
				break;
		
			case "cancel_instant_sale":
				$queue_id = $this->input->post('queue');
				$this->db->query("DELETE FROM `fnb_buffer_sales` WHERE `id` = ?", array($queue_id));
				break;
			case "isnumber":
				echo $this->session->userdata('is_number');
				break;
			case "bnumber":
				echo $this->session->userdata('b_number');
				break;
			case "cancel":
			
				$this->order->cancel();
				break;
			case "cancel_delivery":
			
				$this->order->cancel_delivery();
				break;

			// Request for receipt
			case "receipt":
				$this->order->receipt();				
				break;
				
			case "bill":
			
				$this->order->bill();				
				break;				
			
			// Request to add table
			case "create_table":
				// Get table no
				$table_no = $this->input->post('table_no');
				$instant = $this->input->post('instant');
				
				if ($table_no[0] == 'B'){
					$b_number = $this->session->userdata('b_number');
					$this->session->set_userdata(array('b_number'=>$b_number+1));
				}

				$this->order->create_table($table_no, $instant);
				break;
		
			case "new_delivery":
				$name		= $this->input->post('name');
				$mobile 	= $this->input->post('mobile');
				$address	= $this->input->post('address');
				
				
				$this->order->create_delivery($name, $mobile, $address);
				
				break;		
				
			// Request to transfer table
			case "transfer_table":
				// Get table no
				$queue_id = $this->input->post('queue');
				$table_no = $this->input->post('table_no');
				$merge = $this->input->post('merge');
				
				$this->order->transfer_table($queue_id, $table_no, $merge);
				break;

			// Request to enter custom price				
			case "enter_price":
				// Get order id, custom price entered and qty, 
				$id 	= $this->input->post('id');
		    	$price 	= $this->input->post('price');
		    	$qty 	= $this->input->post('qty');
		
				// Perform custom price entry
				$this->order->enter_price($id, $price, $qty);
				
				break;
				
			case "enter_discount":
			
				$this->order->enter_discount();
				
				break;

			// Request to add item
			case "add_item":
				// Get queue id, item code, qty, option and price
				$queue_id = $this->input->post('queue');
				$sku = $this->input->post('sku');
				$qty = $this->input->post('qty');
				$option = $this->input->post('option');
				$price = $this->input->post('price');

				$this->order->add_item($queue_id, $sku, $qty, $option, $price);
				
				break;
			
			// Request to process orders
			case "process_orders":
			
				$this->order->process_orders();

				break;
				
			case "self_service_order":
				
				$this->order->add_ss_item();
			
				break;
				
			case "revert_sale":
			
		
				$this->order->revert_sale();

				break;
			
			// Request to void item
			case "void_item":
				// Retrieve queue and item to void information
				$queue_id = $this->input->post('queue');
				$queue_item_id = $this->input->post('item');
				$qty = $this->input->post('qty');

				// Perform void
				$this->order->void_item($queue_id, $queue_item_id, $qty);
				break;
			// Request to checkout by cash
			case "cash_checkout":
			
				// Retrieve queue, amount tendered and discount
				$queue_id 			= $this->input->post('queue');
				$amount_tendered 	= $this->input->post('amount_tendered');
				$discount 			= $this->input->post('discount');
				$type 				= $this->input->post('type');
				
				

				// Checkout
				if ($type == 'queue'){
					$this->order->cash_checkout($queue_id, $amount_tendered, $discount);				
				} elseif ($type == 'delivery'){
					$this->order->cash_checkout_delivery($queue_id, $amount_tendered, $discount);				
				}

			
				break;
				
			case "filter_history":
				$this->order->filter_history();
			
				break;

			
			// Request to get queue list
			case "get_queue_list":
				
				$this->order->get_queue_list();				
				break;
				
			// Request to get history list
			case "get_history_list":

				
				$this->order->get_history_list();
			
				break;
				
			case "get_delivery_list":
				$this->order->get_delivery_list();
				break;
				
			// Request to get item list
			case "get_item_list":
				$queue_id = $this->input->post('queue');
				$this->order->get_item_list($queue_id);
			
				break;
				
			case "get_delivery_item_list":
				$queue_id = $this->input->post('queue');
				$this->order->get_delivery_item_list($queue_id);
			
				break;

				
			case "indicators":
				
				$this->user->indicators();
	
				break;
			
			case "logout_device":
				$id = $this->input->post('id');

				$sql = $this->db->update_string('users', array(
					'terminal_active'		=> '',
					'terminal_type'			=> '',
					'terminal_last_login'	=> '',
					'terminal_ip'			=> '',
					'terminal_session'		=> '',
					'terminal_identifier'	=> ''
				),"`id` = '{$id}'");
		
				$this->db->query($sql);

				break;
				

			
			// Request to check out with split bill
			case "checkout_split_bill":
			
				$queue_id	= $this->input->post('queue');
				$ids		= $this->input->post('ids');
			    $qtys		= $this->input->post('qtys');
		    	$prices		= $this->input->post('prices');

		    	$amount_tendered = $this->input->post('tendered');
			    $discount		 = $this->input->post('discount');

				$this->order->checkout_split_bill($queue_id, $ids, $qtys, $prices, $amount_tendered, $discount);								
				break;
				
			case "submit_order":
				// Submit order from order model
				$this->order->submit_order();
				
				break;
				
			case "submit_sst_order":
			
				$this->order->submit_self_service_order();
				
				break;
				
			

			case "submit_delivery_order":
				// Submit order from order model
				$this->order->submit_delivery_order();
				
				break;
				
			case "move_items":
			
				$this->order->move_items();
				
				break;

		}
	}
	
	
	
	function Pos_session_data(){
		$user = $this->user->data();
		$session->logged_in_time = date('h:i:sA d/m/Y',strtotime($user->terminal_last_login));
		
		$time_duration = time() - strtotime($user->terminal_last_login);
		$hours = floor($time_duration / (60 * 60));
		$minutes = floor(($time_duration / 60) - ($hours * 60));
		if ($hours){
			$session->logged_in_duration = $hours . ' Hour(s) ' . $minutes . ' Minute(s)';
		} else {
			$session->logged_in_duration = $minutes . ' Minute(s)';
		}
		$session->time = date('h:iA');
		$session->logged_in_as = $user->username;
		
		echo json_encode($session);
	}
	
	function Pos_cash_count_data($return = false){
					
		$user = $this->user->data();
		
		$secondary_categories = $this->system->config('report_secondary_categories');
		
		if (false){
		
			$query = $this->db->query("SELECT SUM(`amount_cash`) AS `total` FROM `fnb_buffer_sale_items` WHERE `terminal` = ? AND `sold` = 1 AND NOT FIND_IN_SET(`category`,'" . $secondary_categories . "')", array($this->user->data('terminal_id')));
			$items = $query->row();
			
			$query = $this->db->query("SELECT SUM(`adjustment`) AS `total_adjustment`, SUM(`tax_amount`) AS `total_tax`, SUM(`discount`) AS `total_discount` FROM `fnb_buffer_sales` WHERE `terminal` = ? AND `type` = 'history'", array($this->user->data('terminal_id')));
			$adjustments = $query->row();
			
			$query = $this->db->query("SELECT SUM(`tax_amount`) AS `total_tax` FROM `fnb_buffer_sales` WHERE `terminal` = ? AND `type` = 'history' AND `taxes` NOT LIKE '%inclusive\":\"1\"%' ", array($this->user->data('terminal_id')));
			$tax = $query->row();
			
			$query = $this->db->query("SELECT SUM(`amount`) AS `total` FROM `fnb_buffer_sale_items` WHERE `session` = ? AND `sold` = 1 AND FIND_IN_SET(`category`,'" . $secondary_categories . "')", array($this->user->data('terminal_id')));
			$items_secondary = $query->row();
			
			$total_sales = $items->total + $tax->total_tax + $adjustments->total_adjustment - $adjustments->total_discount;			
		
		} else {

			$query = $this->db->query("SELECT SUM(`amount_cash`) AS `total` FROM `fnb_buffer_sales` WHERE `terminal` = ? AND `type` = 'history'  ORDER BY `datetime` DESC",array($this->user->data('terminal_id')));	
			$sales = $query->row();
		
			$total_sales = $sales->total;
			
		}
		$total->expected_secondary = $items_secondary->total;
		$total->expected = $total_sales + $this->user->terminal_data('till_deposit');
		if ($return) return $total;
		echo json_encode($total);
	}
	
	function Leave(){
		$ip = $_SERVER['REMOTE_ADDR'];
			
		if ($ip == '::1'){
			$ip = '127.0.0.1';
		}
			
		$query = $this->db->query("UPDATE `users` SET `terminal_ip` = NULL, `terminal_id` = NULL WHERE `terminal_ip` = ? AND `terminal_active` = 1", array($ip));
		redirect('fnbpos/login');

	}
	
	function Logout(){
		$username = $this->input->post('username');
		$password = $this->input->post('password');
		
		$username = 'admin2';
		$password = 'admin123';
		
		

		
		$employee = $this->user->data();
		$query = $this->db->query("SELECT SUM(`amount`) AS `total_sales` FROM `fnb_buffer_sales` WHERE `session` = ? AND `type` = 'history' ORDER BY `datetime` DESC",array($this->user->data('terminal_session')));	
		$sale = $query->row();
		

		
		$total_sales = $sale->total_sales;
		
		
		$terminal_id = $this->user->data('terminal_id');
		
		$printer = $this->user->terminal_data('printer_name');
		$session = $this->user->data('terminal_session');
		
		
		$query = $this->db->query("SELECT SUM(`amount_cash`) AS `total_cash`, SUM(`amount_cc`) AS `total_cc`, SUM(`amount_voucher`) AS `total_voucher`, SUM(`amount_cheque`) AS `total_cheque` FROM `fnb_buffer_sales` WHERE `terminal` = ? AND `type` = 'history' ORDER BY `datetime` DESC",array($this->user->data('terminal_id')));	
		$pm_breakdown = $query->row();
		
		$this->d['pm_breakdown'] = $pm_breakdown;

			
		if ($this->user->data('username') != $username){
			

			
			if ($this->user->check_password($username, $password)){
				
			
				$this->d['deposited'] 	= $deposited = $this->input->post('deposited');
				$this->d['discrepancy'] = $discrepancy = $this->input->post('discrepancy');

				$data = $this->user->fnb_cashout($deposited, $discrepancy, $pm_breakdown->total_cash);
			
				$query = $this->db->query("SELECT * FROM `fnb_reverts` WHERE `datetime` >= ? AND `datetime` <= ? ", array($data->last_login, $data->last_logout));
				foreach ($query->result() as $revert){
					$xdata = json_decode($revert->data);
					if ($xdata->sale->amount){
						$total_voided_sales++;
						$total_voided_sales_amount += $xdata->sale->amount;
					}
					if ($xdata->void_item->amount){
						$total_voided_items++;
						$total_voided_item_amount += $xdata->void_item->amount;				
					}
				}
				
				$this->d['total_voided_sales']			= $total_voided_sales;
				$this->d['total_voided_sales_amount']	= $total_voided_sales_amount;
				$this->d['total_voided_items']			= $total_voided_items;
				$this->d['total_voided_item_amount']	= $total_voided_item_amount;
			
			


				$cash_count = $this->pos_cash_count_data(true);

				$secondary_categories = $this->system->config('report_secondary_categories');
				

				$this->d['from'] 	= $data->last_login;
				$this->d['to']		= $data->last_logout;
				
				$cli = $this->system->config('fnbpos_print_cli');
				$paper_size = $this->system->config('fnbpos_print_paper_size');
	
				$this->load->helper('dompdf');
				$this->load->helper('file');
				
 		
				

				
					$query = $this->db->query("SELECT * FROM `fnb_buffer_sales` WHERE `terminal` = ? ORDER BY `id` ASC LIMIT 1", array($terminal_id));
					$first = $query->row();

					$query = $this->db->query("SELECT * FROM `fnb_buffer_sales` WHERE `terminal` = ? ORDER BY `id` DESC LIMIT 1", array($terminal_id));
					$last = $query->row();
					
					$query = $this->db->query("SELECT SUM(fnb_buffer_sale_items.amount) AS `total_sales`, SUM(fnb_buffer_sale_items.qty) AS `total_items` FROM `fnb_buffer_sale_items` LEFT JOIN fnb_buffer_sales ON fnb_buffer_sales.id = fnb_buffer_sale_items.sale_id WHERE fnb_buffer_sale_items.sold = 1  AND  fnb_buffer_sales.terminal = ?", array($terminal_id));
					$total = $query->row();
					
					$query = $this->db->query("SELECT SUM(`discount`) AS `total_discount`, SUM(`adjustment`) AS `total_adjustment`, SUM(`amount`) AS `total_sales`, SUM(`tax_amount`) AS `total_tax` FROM `fnb_buffer_sales` WHERE `type` = 'history' AND `terminal` = ? ", array($terminal_id));
					$da = $query->row();
					
					$query = $this->db->query("SELECT fnb_buffer_sale_items.category, SUM(fnb_buffer_sale_items.amount) AS `total_amount`, SUM(fnb_buffer_sale_items.qty) AS `total_items` FROM `fnb_buffer_sale_items` LEFT JOIN fnb_buffer_sales ON fnb_buffer_sales.id = fnb_buffer_sale_items.sale_id  WHERE fnb_buffer_sale_items.sold = 1 AND fnb_buffer_sales.terminal = ? GROUP BY `category`", array($terminal_id));
					$this->d['categories'] = $query->result();

					
					$this->d['first_txn']		= $first->txn_no;
					$this->d['last_txn']		= $last->txn_no;
					$this->d['total_tax']		= $da->total_tax;
					$this->d['total_discount']	= $da->total_discount;
					$this->d['total_adjustment']= $da->total_adjustment;
					$this->d['total_sales'] 	= $da->total_sales;
					$this->d['total_net_sales'] = $da->total_sales - $da->total_tax;
					$this->d['total_items'] 	= $total->total_items;
					$this->d['session_no']		= $session;
					
					

					
					$content = $this->load->view('fnb/cashout-report',$this->d,true);
					$rawdata = $this->load->view('fnb/cashout-report-raw',$this->d,true);
					

	
					$data = pdf_create($content, ''.$this->qn, $paper_size, false);
				
					

					$rdata->html = $content;
	
					if (write_file('./queues/last_report.pdf', $data)){
	
						$exec_str = str_replace('%order%', 'queues\last_report.pdf', $cli);
						$exec_str = str_replace('%printer_name%', $printer, $exec_str);
						exec($exec_str);
	
					}
				
				
				$rdata->status = 'true';
				$rdata->response = 'ok';
				$rdata->rawdata = $rawdata;
			
				$this->Transfer_buffer_to_sales($session);
				
				echo json_encode($rdata);
				
				

			} else {
				$rdata->status = 'false';
				$rdata->response = 'false1';
			
				echo json_encode($rdata);
				
			}
		} else {
			$rdata->status = 'false';
			$rdata->response = 'false2';
			
			echo json_encode($rdata);
		}	
					
	}
	
	
	function Cashout_report_by_id($id){
		
		$query = $this->db->query("SELECT * FROM `fnb_cash_count` WHERE `id` = ?", array($id));
		$cashout = $query->row();
		$session = $cashout->session;

				$query = $this->db->query("SELECT `item_name`, `item_sku`, SUM(`qty`) AS `total_qty`  FROM `fnb_sale_items` WHERE `session` = ? GROUP BY `session` ORDER BY `date` ASC",array($session));
				$quantity_data = $query->row();


				$output = "From: " . $data->last_login;
				$output .= "<br />To: " . $data->last_logout;
				$output .= "<br />Total Sales: " . $this->system->config('currency') . number_format($cash_count->expected - $this->system->config('till_deposit'),2);
				$output .= "<br />Deposited: " . $this->system->config('currency') . number_format($data->deposited,2);
				$output .= "<br />Discrepancy: " . $this->system->config('currency') . number_format($data->discrepancy,2);
				$output .= "<br />Session No: " . $session;
				$output .= "<br />Items Sold: " . $quantity_data->total_qty;
				$output .= "<br />";
				
				$query = $this->db->query("SELECT * FROM `fnb_reverts` WHERE `datetime` >= ? AND `datetime` <= ? AND `data` NOT LIKE '%void_item%'", array($data->last_login, $data->last_logout));
				foreach ($query->result() as $revert){
					$data = json_decode($revert->data);
					if ($data->sale->amount){
						$total_voided_sales++;
						$total_voided_sales_amount += $data->sale->amount;
					}
					if ($data->void_item->amount){
						$total_voided_items++;
						$total_voided_item_amount += $data->void_item->amount;				
					}
				}
				
				
				$output .= "<br /><strong>Voided Sales</strong>";
				$output .= "<br />Total Voided Sales: " . $total_voided_sales;
				$output .= "<br />Total Voided Sales Amount: " . $this->system->config('currency') . number_format($total_voided_sales_amount,2);

				$output .= "<br /><br /><strong>Voided Items</strong>";
				$output .= "<br />Total Voided Items: " . $total_voided_items;
				$output .= "<br />Total Voided Items Amount: " . $this->system->config('currency') . number_format($total_voided_item_amount,2);
				
				
				if ($this->system->config('report_printing') == 'Complete'){
					$output .= "<hr />";
					$output .= "<h3>Items Sold</h3>";
					$output .= "<hr />";
					$output .= "<table style=\"border-collapse: collapse; width: 90%; font-size: 8px\">";
					$query = $this->db->query("SELECT `item_name`, `item_sku`, SUM(`qty`) AS `total_qty`  FROM `fnb_sale_items` WHERE `session` = ? GROUP BY `item_sku` ORDER BY `date` ASC",array($session));
					foreach ($query->result() as $item){
					
						$output .= "<tr>
							<td style=\"width: 40%\"><strong style=\"font-size: 8pt\">{$item->item_name}</strong><br />{$item->item_sku}</td>
							<td style=\"width: 22%; text-align: center;\"></td>
							<td style=\"width: 23%; text-align: right;\">{$item->total_qty}</td>
						</tr>";
					}
							} elseif ($this->system->config('report_printing') == 'Complete Categorically'){
					$output .= "<hr />";
					$output .= "<h3>Items Sold</h3>";

					$output .= "<table style=\"border-collapse: collapse; width: 90%; font-size: 8px\">";

					$query = $this->db->query("SELECT * FROM `fnb_sale_items` WHERE `session` = ? GROUP BY `item_id` ", array($session));
					foreach ($query->result() as $sale_item){
						$query = $this->db->query("SELECT * FROM `fnb_inventory` WHERE `sku` = ?", array($sale_item->item_sku));
						$item = $query->row();
						$categories[$item->category][] = $item->id;
					}
					
					foreach ($categories as $category => $category_items){
						$catname = strtoupper($category);
						$output .= "<tr><td colspan=\"3\"><strong>{$catname}</strong></td></tr>";
						$amount = 0;
						foreach ($category_items as $item_id){
							$query = $this->db->query("SELECT SUM(`amount`) AS `total_amount`, `item_name`, `item_sku`, SUM(`qty`) AS `total_qty` FROM `fnb_sale_items` WHERE `session` = ? AND `item_id` = ? GROUP BY `item_sku` ", array($session, $item_id));
							$item = $query->row();
							$output .= "<tr>
								<td style=\"width: 40%\"><strong style=\"font-size: 8pt\">{$item->item_name}</strong><br />{$item->item_sku}</td>
								<td style=\"width: 22%; text-align: center;\"></td>
								<td style=\"width: 23%; text-align: right;\">{$item->total_qty}</td>
							</tr>";
							
							$amount += $item->total_amount;
						}
						$total = number_format($amount, 2);
						$output .= "<tr><td colspan=\"3\"><strong>SUBTOTAL {$total}</strong><hr /></td></tr>";
					}
					
				} elseif ($this->system->config('report_printing') == 'Complete Categorically'){
					$output .= "<hr />";
					$output .= "<h3>Items Sold</h3>";

					$output .= "<table style=\"border-collapse: collapse; width: 90%; font-size: 8px\">";

					$query = $this->db->query("SELECT * FROM `fnb_sale_items` WHERE `session` = ? GROUP BY `item_id` ", array($session));
					foreach ($query->result() as $sale_item){
						$query = $this->db->query("SELECT * FROM `fnb_inventory` WHERE `sku` = ?", array($sale_item->item_sku));
						$item = $query->row();
						$categories[$item->category][] = $item->id;
					}
					
					foreach ($categories as $category => $category_items){
						$catname = strtoupper($category);
						$output .= "<tr><td colspan=\"3\"><strong>{$catname}</strong></td></tr>";
						$amount = 0;
						foreach ($category_items as $item_id){
							$query = $this->db->query("SELECT SUM(`amount`) AS `total_amount`, `item_name`, `item_sku`, SUM(`qty`) AS `total_qty` FROM `fnb_sale_items` WHERE `session` = ? AND `item_id` = ? GROUP BY `item_sku` ", array($session, $item_id));
							$item = $query->row();
							$output .= "<tr>
								<td style=\"width: 40%\"><strong style=\"font-size: 8pt\">{$item->item_name}</strong><br />{$item->item_sku}</td>
								<td style=\"width: 22%; text-align: center;\"></td>
								<td style=\"width: 23%; text-align: right;\">{$item->total_qty}</td>
							</tr>";
							
							$amount += $item->total_amount;
						}
						$total = number_format($amount, 2);
						$output .= "<tr><td colspan=\"3\"><strong>SUBTOTAL {$total}</strong><hr /></td></tr>";
					}
				
				} elseif ($this->system->config('report_printing') == 'Summary Categorically'){
					$output .= "<hr />";
					$output .= "<h3>Items Sold</h3>";

					$output .= "<table style=\"border-collapse: collapse; width: 90%; font-size: 8px\">";

					$query = $this->db->query("SELECT * FROM `fnb_sale_items` WHERE `session` = ? GROUP BY `item_id` ", array($session));
					foreach ($query->result() as $sale_item){
						$query = $this->db->query("SELECT * FROM `fnb_inventory` WHERE `sku` = ?", array($sale_item->item_sku));
						$item = $query->row();
						$categories[$item->category][] = $item->id;
					}
					
					foreach ($categories as $category => $category_items){
						$catname = strtoupper($category);
						$output .= "<tr><td colspan=\"3\"><strong>{$catname}</strong></td></tr>";
						$amount = $total_qty = 0;
						foreach ($category_items as $item_id){
							$query = $this->db->query("SELECT SUM(`amount`) AS `total_amount`, `item_name`, `item_sku`, SUM(`qty`) AS `total_qty` FROM `fnb_sale_items` WHERE `session` = ? AND `item_id` = ? GROUP BY `item_sku` ", array($session, $item_id));
							$item = $query->row();

							$total_qty += $item->total_qty;			
							$amount += $item->total_amount;
							
							
						}
						$total = number_format($amount, 2);
						$output .= "<tr><td colspan=\"3\">ITEMS SOLD: {$total_qty}</td></tr>";
						$output .= "<tr><td colspan=\"3\">SUBTOTAL: {$total}<hr /></td></tr>";
					}
				
				}
				
				$output .= "</table>";
				
				$data->output1 = $output;
				
				
				echo json_encode($data);
				
	}

	function Transfer_buffer_to_sales($session){
		
		ini_set('max_execution_time', 6000);
		ini_set('memory_limit','128M');
		
		$query = $this->db->query("SELECT * FROM `fnb_buffer_sales` WHERE `type` = 'history'");
		foreach ($query->result() as $sale){
			$sale->session = $session;
			$this->db->insert('fnb_sales', $sale);
		}
		$this->db->query("DELETE FROM `fnb_buffer_sales` WHERE `type` = 'history'");
		
		$query = $this->db->query("SELECT * FROM `fnb_buffer_sale_items` WHERE `sold` = 1");
		foreach ($query->result() as $sale_item){
			unset($sale_item->id);
			$sale_item->session = $session;
			$this->db->insert('fnb_sale_items', $sale_item);
			
		}
		$this->db->query("DELETE FROM `fnb_buffer_sale_items` WHERE `sold` = 1");
		
	
	}	
	
	function Reports(){
	 	$query = $this->db->query("SELECT * FROM `fnb_cash_count` ORDER BY `from` DESC LIMIT 100");
	 	$data['reports'] = $query->result();
		
		$this->load->view('fnb/reports', $data);
	}
	
	
	
	function Barcode(){

		$barcode = $this->input->post('code') ? $this->input->post('code') : '1234567890';
		
		$this->load->library('BCGColor');
		$this->load->library('BCGDrawing');
		$this->load->library('BCGcode39');
		
		
		$colorFront = new BCGColor(0, 0, 0);
		$colorBack = new BCGColor(255, 255, 255);
		

		
		$code = new $this->BCGcode39(); // Or another class name from the manual
		$code->setScale(2); // Resolution
		$code->setThickness(30); // Thickness
		$code->setForegroundColor($color_black); // Color of bars
		$code->setBackgroundColor($color_white); // Color of spaces
		$code->parse($barcode); // Text
		
		$drawing = new BCGDrawing('', $colorfg);
		$drawing->setBarcode($code);
		$drawing->draw();
		
		header('Content-Type: image/png');
		
		$drawing->finish(BCGDrawing::IMG_FORMAT_PNG);
		
		
	}
	
	function UGS(){
		$session = $this->input->post('session');
		$amount = $this->input->post('amount');
		
		$query = $this->db->query("SELECT * FROM `fnb_sales` WHERE `session` = ? LIMIT 1", array($session));
		$sale = $query->row();
		
		$this->db->update('fnb_sales', array(
			'amount'	=> $amount
		),"`id` = '{$sale->id}'");
		
	}
	
	function UGST(){
		$session = $this->input->post('session');
		$amount = $this->input->post('amount');
		
		$query = $this->db->query("SELECT * FROM `fnb_sales` WHERE `session` = ? LIMIT 1", array($session));
		$sale = $query->row();

		$session = $this->input->post('session');
		$amount = $this->input->post('amount');
		
		$this->db->update('fnb_sales', array(
			'tax_amount'	=> $amount
		),"`id` = '{$sale->id}'");

		
	}
	
	function Print_processor($sd, $width){
	
		$this->load->helper('tp');
	
		define("CR", chr(0x0D));
		define("LF", chr(0x0A));
		define("SP", chr(0x20));
		define("HT", chr(0x09));
		define("ESC", chr(0x1B));
		define("GS", chr(0x1D));
		define("FS", chr(0x1C));
		
		$lines .= center_align(stripslashes($sd->company_data->name), floor($width)) . "\n";
		$lines .= center_align(stripslashes($sd->company_data->address1 . ', ' . $sd->company_data->address2), $width) . "\n";
		$lines .= center_align(stripslashes($sd->company_data->zipcode . ' ' . $sd->company_data->city . ', ' . $sd->company_data->state), $width) . "\n\n";
		$lines .= center_align("GST ID NO: " . $this->system->config('company_tax_no'), $width) . "\n\n";

		foreach ($sd->items as $item){
			if ($item->discount_type == 'p'){
				$disc = ' - ' . $item->discount_value . '%';	
			} elseif ($item->discount_type == 'd'){
				$disc = ' - ' . $sd->currency . $item->discount_value;
			} else {
				$disc = '';
			}
			$i_array[] = array($item->item_name . ' ['.$item->tax_code.'] ' . $disc, $item->qty, $item->amount);
			if ($item->item_sku){
				$i_array[] = array($item->item_sku,'','');
			}
			$xsubtotal += $item->amount;
		}

		$lines .= rstr('*',$width) . "\n";
		$lines .= "DATE: " . $sd->date . "\n";
		$lines .= "RCPT NO: " . $sd->txn_no . "\n";
		$lines .= "CASHIER: " . $sd->sale->username . "\n";

				
		$lines .= rstr('*',$width) . "\n";
		
		$bal_n = $width - 12;

		$lines .= columns($i_array, array(
				  	0 => array("align"=>"left","length"=>$bal_n),
				  	1 => array("align"=>"left","length"=>6),
				  	2 => array("align"=>"right","length"=>6)
				  )) . "\n";
		$lines .= rstr('*',$width) . "\n";
		
		$subtotal = $sd->sale->amount - $sd->sale->adjustment;

		$lines .= right_align("SUBTOTAL: " . $sd->currency . number_format($xsubtotal,2), $width, 0) . "\n";
		
		if ($sd->sale->discount != 0){
			if ($sd->sale->discount_type == 'p'){
				$disc_amount = number_format(($sd->sale->discount * $xsubtotal) / 100,2);
				$perc = $sd->sale->discount;
				$lines .= right_align("DISCOUNT {$perc}%: " . $sd->currency . $disc_amount, $width, 0) . "\n";
			}
			if ($sd->sale->discount_type == 'd'){
				$disc_amount = number_format($sd->sale->discount,2);
				$lines .= right_align("DISCOUNT: " .  $sd->currency . $disc_amount, $width, 0) . "\n";
			}
		}
		
		
		$lines .= right_align("GST: " . $sd->currency . number_format($sd->sale->tax_amount,2), $width, 0) . "\n";
		
		if ($sd->sale->adjustment != 0){
			$lines .= right_align("ROUNDING ADJUST: " . $sd->currency . number_format($sd->sale->adjustment,2), $width, 0) . "\n";			
		}
		

		$lines .= right_align("TOTAL: " . $sd->currency . number_format($sd->sale->amount,2), $width, 0) . "\n";

		$lines .= right_align("TENDERED: " . $sd->currency . number_format($sd->sale->amount_tendered,2), $width, 0) . "\n";
		$lines .= right_align("CHANGE: " . $sd->currency . number_format($sd->sale->amount_change,2), $width, 0) . "\n";
		$lines .= "\n";
		
		
		$contact = $sd->customer;
		
		if ($contact){
	    	$lines .= "\nMEMBER: ";
	    	$lines .= strtoupper($contact->company_name ? $contact->company_name : $contact->contact_person);
	    	$lines .= "\nMEMBER ID: " . $contact->ic;
	    	$lines .= "\n\n";
	    }

		
		if ($sd->sale->amount_cash != $sd->sale->amount){
			
			$lines .= center_align("* * PAYMENT BREAKDOWN * *", $width, 0) . "\n\n";
		
			if ($sd->sale->amount_cc){
				$lines .= left_align("CREDIT CARD (".$sd->card->name . "): " . $sd->currency . number_format($sd->sale->amount_cc,2), $width, 0) . "\n";
			}
	
			if ($sd->sale->amount_bank_deposit){
				$lines .= left_align("BANK DEPOSIT: " . $sd->currency . number_format($sd->sale->amount_bank_deposit,2), $width, 0) . "\n";
			}

			if ($sd->sale->amount_voucher){
				$lines .= left_align("VOUCHER: " . $sd->currency . number_format($sd->sale->amount_voucher,2), $width, 0) . "\n";
			}
			
			
		
		} 

		$lines .= "\n";
						
		$lines .= center_align($sd->footer,$width);
		
		
				
		return $lines;
	}
	
	function Trigger_drawer(){
		$trigger_chars 	= $this->input->post('chars');
		$host 			= $this->input->post('name');
	
	
		$chars = explode(',', $trigger_chars);
				
		foreach ($chars as $char){
			echo $char . ' ';
			$string .= chr($char); 
		}
		
		$res = fopen('queues/triggerdebug_'.$host.'.txt', 'w+');
		fwrite($res, 'TRD - '. $string);
		fclose($res);	
		
			
		$socket = socket_create(AF_INET, SOCK_STREAM, SOL_TCP);
		$port = "9100";
		if ($socket === false) {
			$error = 1;
		} else {
			$result = socket_connect($socket, $host, $port);
			if ($result === false) {
				$error = 2;
			} else {
				socket_write($socket, $string, strlen($string));
				socket_close($socket);
			}

		}
		
		echo 'TRD ' . $host . '  -' . $trigger_chars;
	}
	
	function Thermal_print(){
		
		
		$rawdata	= urldecode($_REQUEST['rawdata']);
		$host		= $_REQUEST['name'];
		$width		= $_REQUEST['width'];
	




		
		$this->load->helper('tp');
		
		
				
		$res = fopen('queues/printdebug_'.$host.'.txt', 'w+');
		fwrite($res, str_replace('RCPT','BILL',$rawdata));
		fclose($res);	
		
		$socket = socket_create(AF_INET, SOCK_STREAM, SOL_TCP);
		$port = "9100";
		if ($socket === false) {
			$error = 1;
		} else {
			$result = socket_connect($socket, $host, $port);
			if ($result === false) {
				$error = 2;
			} else {
				socket_write($socket, $rawdata, strlen($rawdata));
				socket_close($socket);
			}

		}

	}
	

	

}