<?php

class Lp extends Controller {
	
	function User($username){
		
		$this->load->model('system');

		
    	// IP and Terminal Info
    	$this->d['terminal'] = $terminal = get_cookie('PLEX_POS_TERM_ID');
    	
    	$query = $this->db->query("SELECT * FROM `terminals` WHERE `id` = ?", array($terminal));
    	$this->d['terminal'] = $terminal_data = $query->row();

        	
    	// Trigger and Display
    	
    	if (strpos($terminal_data->printer_name,'://')){
	    	$this->d['trigger_url'] = $terminal_data->printer_name;
	    	$this->d['print_ext'] = true;
    	} else {
	    	$this->d['print_ext'] = false;
    	}
    	
    	if (strpos($terminal_data->display_name,'://')){
	    	$this->d['display_url'] = $terminal_data->display_name;	    	
    	} else {
	    	$this->d['display_url'] = 'http://localhost/plexcloud/plexports/show_display.php/'.$key;	    	
    	}

		
		$query = $this->db->query("SELECT * FROM `cash_count` WHERE `username` = ? ORDER BY `id` DESC LIMIT 1", array($username));
		$data = $query->row();
		
			

		$output = "From: " . $data->from;
    	$output .= "<br />To: " . $data->to;
        $output .= "<br />Total Sales: " . $this->system->config('currency') . number_format($data->deposited,2);
        $output .= "<br />Discrepancy: " . $this->system->config('currency') . number_format($data->discrepancy,2);
        $output .= "<br />Session No: " . $data->session;
        $output .= "<br />";
        

        
        $query = $this->db->query("SELECT SUM(`amount_cash`) AS `total_cash`, SUM(`amount_cc`) AS `total_cc`, SUM(`amount_cheque`) AS `total_cheque`, SUM(`amount_bank_deposit`) AS `total_bank_deposit`, SUM(`amount_credit`) AS `total_credit` FROM `sales` WHERE `session` = ? GROUP BY `session`",array($data->session));
        $in = $query->row();
        
        $query = $this->db->query("SELECT SUM(`qty`) AS `total_qty`  FROM `sale_items` WHERE `session` = ? GROUP BY `session` LIMIT 1",array($data->session));
        $out = $query->row();
    
        $output .= "<hr />";				
        $output .= "<h3>Denominations</h3>";
        $output .= "<hr />";
        $output .= "Amount Cash: RM {$in->total_cash}<br />";
        $output .= "Amount Credit Card: RM {$in->total_cc}<br />";
        $output .= "Amount Cheque: RM {$in->total_cheque}<br />";
        $output .= "Amount Bank In: RM {$in->total_bank_deposit}<br />";
        $output .= "Amount Credit: RM {$in->total_credit}<br />";
        $output .= "Total Item Sold: {$out->total_qty}<br />";
        
        
		
		$this->d['html'] = $output;
		
		$this->load->view('retail/last_report', $this->d);
		
	}
	
	function Session($session){
		
		$this->load->model('system');

		
    	// IP and Terminal Info
    	$this->d['terminal'] = $terminal = get_cookie('PLEX_POS_TERM_ID');
    	
    	$query = $this->db->query("SELECT * FROM `terminals` WHERE `id` = ?", array($terminal));
    	$this->d['terminal'] = $terminal_data = $query->row();

        	
    	// Trigger and Display
    	
    	if (strpos($terminal_data->printer_name,'://')){
	    	$this->d['trigger_url'] = $terminal_data->printer_name;
	    	$this->d['print_ext'] = true;
    	} else {
	    	$this->d['print_ext'] = false;
    	}
    	
    	if (strpos($terminal_data->display_name,'://')){
	    	$this->d['display_url'] = $terminal_data->display_name;	    	
    	} else {
	    	$this->d['display_url'] = 'http://localhost/plexcloud/plexports/show_display.php/'.$key;	    	
    	}

		
		$query = $this->db->query("SELECT * FROM `cash_count` WHERE `session` = ? ORDER BY `id` DESC LIMIT 1", array($session));
		$data = $query->row();
		
			

		$output = "From: " . $data->from;
    	$output .= "<br />To: " . $data->to;
        $output .= "<br />Total Sales: " . $this->system->config('currency') . number_format($data->deposited,2);
        $output .= "<br />Discrepancy: " . $this->system->config('currency') . number_format($data->discrepancy,2);
        $output .= "<br />Session No: " . $data->session;
        $output .= "<br />";
        

        
        $query = $this->db->query("SELECT SUM(`amount_cash`) AS `total_cash`, SUM(`amount_cc`) AS `total_cc`, SUM(`amount_cheque`) AS `total_cheque`, SUM(`amount_bank_deposit`) AS `total_bank_deposit`, SUM(`amount_credit`) AS `total_credit` FROM `sales` WHERE `session` = ? GROUP BY `session`",array($data->session));
        $in = $query->row();
        
        $query = $this->db->query("SELECT SUM(`qty`) AS `total_qty`  FROM `sale_items` WHERE `session` = ? GROUP BY `session` LIMIT 1",array($data->session));
        $out = $query->row();
    
        $output .= "<hr />";				
        $output .= "<h3>Denominations</h3>";
        $output .= "<hr />";
        $output .= "Amount Cash: RM {$in->total_cash}<br />";
        $output .= "Amount Credit Card: RM {$in->total_cc}<br />";
        $output .= "Amount Cheque: RM {$in->total_cheque}<br />";
        $output .= "Amount Bank In: RM {$in->total_bank_deposit}<br />";
        $output .= "Amount Credit: RM {$in->total_credit}<br />";
        $output .= "Total Item Sold: {$out->total_qty}<br />";
        
        
		
		$this->d['html'] = $output;
		
		$this->load->view('retail/last_report', $this->d);
		
	}
	
}