<?php

class POS extends Controller {
	
	// Constructor
	
	function All_reports($secret){
		if ($secret == 'audit'){
			$secret_mode = true;
		}
		$query = $this->db->query("SELECT `session`, `datetime` FROM `sales` GROUP BY `session` ORDER BY `session` DESC LIMIT 200");
		$sessions = $query->result();
		
		$data['sessions'] = $sessions;
		$data['secret'] = $secret_mode;
		$this->load->view('retail/all_reports', $data);
		
	}
	
	function View_report($session, $preview){
	
		foreach ($this->tax->get_enabled_taxes() as $tax){
			if ($tax->name == 'GST'){
				$gst_percent = $tax->percentage;
			}
		}
		
		$query = $this->db->query("SELECT * FROM `cash_count` WHERE `session` = ?", array($session));
		$s = $query->row();
    	
			
    	$query = $this->db->query("SELECT SUM(`amount_cash`) AS `total_cash`, SUM(`amount_cc`) AS `total_cc`, SUM(`amount_cheque`) AS `total_cheque`, SUM(`amount_bank_deposit`) AS `total_bank_deposit`, SUM(`amount_credit`) AS `total_credit`, SUM(`amount`) AS `total_sales`, SUM(`tax_amount`) AS `total_tax` FROM `sales` WHERE `session` = ? GROUP BY `session`",array($session));
    	$in = $query->row();
    	
    	

    	$output = "From: " . date('d/m/Y h:iA', strtotime($s->from));
    	$output .= "<br />To: " . date('d/m/Y h:iA', strtotime($s->to));
    	$output .= "<br />Total Sales: " . $this->system->config('currency') . number_format($in->total_sales,2);
    	$output .= "<br />Total Tax: " . $this->system->config('currency') . number_format($in->total_tax,2);
		$output .= "<br />Total SR: " . $this->system->config('currency') . number_format($in->total_tax/($gst_percent/100),2);
		$output .= "<br />Total ZR: " . $this->system->config('currency') . number_format($in->total_sales - ($in->total_tax/($gst_percent/100)) - $in->total_tax,2);
    	$output .= "<br />Cash Out: " . $this->system->config('currency') . number_format($s->deposited,2);
    	$output .= "<br />Discrepancy: " . $this->system->config('currency') . number_format($s->discrepancy,2);
    	$output .= "<br />Session No: " . $session;
    	$output .= "<br />";
    	
    	
    	$query = $this->db->query("SELECT SUM(`qty`) AS `total_qty`  FROM `sale_items` WHERE `session` = ? GROUP BY `session` LIMIT 1",array($session));
    	$out = $query->row();
    
    	$output .= "<hr />";				
    	$output .= "<h3>Denominations</h3>";
    	$output .= "<hr />";
    	$output .= "Amount Cash: RM {$in->total_cash}<br />";
    	$output .= "Amount Credit Card: RM {$in->total_cc}<br />";
    	$output .= "Amount Cheque: RM {$in->total_cheque}<br />";
    	$output .= "Amount Bank In: RM {$in->total_bank_deposit}<br />";
    	$output .= "Amount Credit: RM {$in->total_credit}<br />";
    	$output .= "Total Item Sold: {$out->total_qty}<br />";
    	
    	$this->d['output'] = $output;
	
		$this->load->view('retail/cashout-report',$this->d);
					
	}

    function POS(){
	    
    	parent::Controller();
    	

    	
		if ($this->config->config['client_side']){
	  		$res = fopen('AUTHKEY','r');
	  		$key = fread($res,filesize('AUTHKEY'));
	  		fclose($res);
	  		
	  		$res = fopen('CONN','r');
	  		$conn = fread($res,filesize('CONN'));
	  		fclose($res);
	  		
		  	if (!$key || !$conn){
			 	redirect('terminal/activate');
		  	}
		  	
		  	list($ct->host, $ct->terminal_name, $ct->terminal_key) = explode('|', $conn);
		  	
		  	$this->client_terminal = $ct;
		  	$this->client_side = true;
		  	
	  	}

    	$this->load->model('user');
    	$this->load->model('system');
    	$this->load->model('inv');
    	$this->load->model('contact');
    	$this->load->model('credit_cards');
    	$this->load->model('tax');
    	$this->load->model('shipping');
    	
    	if (!$this->client_side){

	    	if ($this->uri->segment(1) == 'pos' && $this->uri->segment(2) == 'terminal'){

	    		if ($this->uri->segment(2) != 'terminal'){
		    		$ip = $_SERVER['REMOTE_ADDR'];
		    		if ($ip == '::1') $ip = '127.0.0.1';

		    		$query = $this->db->query("SELECT * FROM `terminals` WHERE `ip` = ?", array($ip));
		
		    		if (!$query->num_rows()){
		
		    			if ($terminal_id = get_cookie('PLEX_POS_TERM_ID',true)){
		    				$query = $this->db->query("SELECT * FROM `terminals` WHERE `id` = ?", array($terminal_id));
		    				$terminal = $query->row();
		    				
		    				if (md5($terminal->key . get_cookie('PLEX_POS_TERM_SESSION',true)) != get_cookie('PLEX_POS_TERM_HASH',true)){
		    					show_error('Access denied for terminal identifier <strong>' . get_cookie('PLEX_POS_TERM_IDENTIFIER',true) . '</strong>. Check if your terminal identifier and key is correct.');
		    				}
		    				
		    			} else {
		    				show_error('Access denied for IP Address <strong>' . $ip . '</strong>. Check if your terminal is using Dynamic IP access.');
		    			}
		    		}
	    		
	    		}
	    			
	    	} else {
	    		$ip = $_SERVER['REMOTE_ADDR'];
		    	if ($ip == '::1') $ip = '127.0.0.1';
		    		
	    		$query = $this->db->query("SELECT * FROM `terminals` WHERE `ip` = ?", array($ip));
	
	    		if (!$query->num_rows()){
	
	    			if ($terminal_id = get_cookie('PLEX_POS_TERM_ID',true)){
	    				$query = $this->db->query("SELECT * FROM `terminals` WHERE `id` = ?", array($terminal_id));
	    				$terminal = $query->row();
	    				
	    				if (md5($terminal->key . get_cookie('PLEX_POS_TERM_SESSION',true)) != get_cookie('PLEX_POS_TERM_HASH',true)){
	    					show_error('Access denied for terminal identifier <strong>' . get_cookie('PLEX_POS_TERM_IDENTIFIER',true) . '</strong>. Check if your terminal identifier and key is correct.');
	    				}
	    				
	    			} else {
	    				show_error('Access denied for IP Address <strong>' . $ip . '</strong>.');
	    			}
	    		}
	    	}
    	
    	}
    }
    
    function Terminal($identifier, $key){
    
    	if (!$this->client_side){
	    	$query = $this->db->query("SELECT * FROM `terminals` WHERE `identifier` = ? AND `key` = ?", array($identifier, $key));
	
	    	if ($query->num_rows()){
	    		$terminal = $query->row();
	    		$term_session = time();
	    		$expire = 60*60*24*6004;
	    		
	    		set_cookie('PLEX_POS_TERM_ID',$terminal->id, $expire, $_SERVER['HTTP_HOST'], '/');
	    		set_cookie('PLEX_POS_TERM_NAME', $terminal->name, $expire, $_SERVER['HTTP_HOST'], '/');
	    		set_cookie('PLEX_POS_TERM_IDENTIFIER', $identifier, $expire, $_SERVER['HTTP_HOST'], '/');
	    		set_cookie('PLEX_POS_TERM_HASH', md5($key . $term_session), $expire, $_SERVER['HTTP_HOST'], '/');
	    		set_cookie('PLEX_POS_TERM_SESSION', $term_session, $expire, $_SERVER['HTTP_HOST'], '/');
	    		
	    		redirect('pos');
	    	} else {			
	    		show_error('Access denied for terminal identifier <strong>' . $identifier . '</strong>. Check if your terminal identifier and key is correct.');
	    	}
    	
    	}
    }
    
    function Index(){

		if (!$this->user->check_session()) redirect('pos/login');
		if (!$this->user->has_permission('to_use_pos','Sales')) redirect('pos/login');
		
		$this->db->query("ANALYZE TABLE `sales`, `sale_items`");
		$this->db->query("REPAIR TABLE `sales`, `sale_items`");
		
		$this->db->query("ANALYZE TABLE `sales`, `sale_items`");
		$this->db->query("REPAIR TABLE `sales`, `sale_items`");


    	redirect('pos/sales_screen');
    				
    }
    
    function Sales_screen(){
    
    	if (!$this->user->check_session()) redirect('pos/login');
		if (!$this->user->has_permission('to_use_pos','Sales')) redirect('pos/login');

   		$this->transfer_queues($this->user->data('terminal_id'));

		if (!$this->client_side){
	    	// IP and Terminal Info
	    	$ip = $_SERVER['REMOTE_ADDR'];
			if ($ip == '::1') $ip = '127.0.0.1';

			$query = $this->db->query("SELECT * FROM `terminals` WHERE `ip` = ?", array($ip));
		    $this->d['terminal'] = $terminal_data = $query->row();
		    	
			if (!$terminal_data->id){

   		    	$this->d['terminal'] = $terminal = get_cookie('PLEX_POS_TERM_ID');
   		    	
		    	$query = $this->db->query("SELECT * FROM `terminals` WHERE `id` = ?", array($terminal));
		    	$this->d['terminal'] = $terminal_data = $query->row();
		    	
	    	}
	    
	    	// Current user data
	    	$user 			 	 = $this->user->data();
	    	unset($user->password);
	    	unset($user->keycard);
	    	
	    	$this->d['user'] 	 = $user;
	    	$this->d['username'] = $this->user->data('username');
	    	

	    	
    	} else {
    	
    		$query = $this->db->query("SELECT * FROM `terminals` WHERE `name` = ?", array($this->client_terminal->terminal_name));
    		$this->d['terminal'] = $terminal_data = $query->row();
	    		
    	}
    	
    	
    	
    	// Trigger and Display
    	
    	if ($terminal_data->printer_name){
	    	$this->d['printer_url'] = $terminal_data->printer_name;
	    	$this->d['print_ext'] = true;
    	} else {
	    	$this->d['print_ext'] = false;
    	}
    	
    	if ($terminal_data->drawer_name) $this->d['trigger_url'] = $terminal_data->drawer_name;
    	else $this->d['trigger_url'] = $terminal_data->printer_name;
    	
    	if ($terminal_data->display_name) $this->d['display_url'] = $terminal_data->display_name;	    	
    	
    	if ($this->client_side) $this->d['client_side'] = true;
    	else $this->d['client_side'] = false;
    	
    	$query = $this->db->query("SELECT * FROM `permissions` WHERE FIND_IN_SET(?,`module`) OR `super` = 1", array('Clinic'));
    	$perms = $query->result();

    	$consultants[] = 'Select Consultant';
		foreach ($perms as $perm){
			$query = $this->db->query("SELECT * FROM `users` WHERE `type` = ? ", array($perm->user_type));
			if ($query->num_rows()){
				foreach ($query->result() as $consultant) $consultants[$consultant->id] = $consultant->firstname . ' ' . $consultant->lastname;
			}
		}
		
		
		$this->d['consultants'] = $consultants;
    	
    	// Quick Items
    	
    	if ($this->system->config('warehouse_shared_inventory')){
	    	$query = $this->db->query("SELECT * FROM `inventory` WHERE `quick` = 1");	    	
    	} else {
			$query = $this->db->query("SELECT * FROM `inventory` WHERE `quick` = 1 AND `warehouse_id` = ?", array($this->user->data('branch')));    	
    	}

    	if (!$query->num_rows()){
	    	if ($this->system->config('warehouse_shared_inventory')){
    			$query = $this->db->query("SELECT * FROM `inventory` LIMIT 100");
    		} else {
	    		$query = $this->db->query("SELECT * FROM `inventory` WHERE `warehouse_id` = ? LIMIT 100", array($this->user->data('branch')));
    		}
    		$this->d['quick_items'] = $query->result();
    	} else {
    		$this->d['quick_items'] = $query->result();
    	}
    	
    	
    	// Customers
    	$query = $this->db->query("SELECT * FROM `contacts` ORDER BY `company_name`, `contact_person` ASC");
    	$customers[] = 'Select Customer';
    	foreach ($query->result() as $customer){
    		$customers[$customer->id] = $customer->company_name ? $customer->company_name : $customer->contact_person; 
    	}
    	$this->d['customers'] = $customers;
    	
    	
    	// Members
    	if ($this->system->config('member_points')){
    		$members[] = 'Select Customer';
    		$query = $this->db->query("SELECT * FROM `contacts` ORDER BY `company_name`, `contact_person` ASC");
    		foreach ($query->result() as $member){
    			$members[$member->id] = $member->company_name ? $member->company_name : $member->contact_person; 
    		}
    		$this->d['members'] = $members;
    	}
    	
    	
    	// Credit cards
    	$cces = $this->credit_cards->get_card_options();
    	foreach ($cces as $cc){
    		$cc_array[$cc->id] = $cc->name;
    	}
    	$this->d['cc_array'] = $cc_array;
    	
    	$this->d['taxes'] = $this->tax->get_enabled_taxes();
    	$this->d['shipping'] = $this->shipping->get_delivery_services();
    	
    	$query = $this->db->query("SELECT * FROM `warehouses` WHERE `id` = ?", array($this->user->data('branch')));
    	$this->d['branch'] = $query->row();
    	

    	
    	// POS interface
    	$this->load->view('retail/main', $this->d);

    }
    

    function Login($err){
    	if ($this->user->check_session() && $this->user->has_permission('to_use_pos','Sales')) redirect('pos');
    	if ($err == 'err1') $this->d['notice'] = 'Incorrect username or password.';
    	if ($err == 'err2') $this->d['notice'] = 'User is already logged in.';
    	if ($err == 'err3') $this->d['notice'] = 'User is not authorized.';
    	$this->load->view('retail/login',$this->d);
    }
    
    function Auth(){
    	
    	$user = $this->user->get_user_by_username($this->input->post('username'));
    	if ($user->terminal_active == 1) redirect('pos/login/err2');
    	
    	if ($user->password == md5($this->input->post('password'))){
	    	if (!$this->user->has_permission('to_use_pos','Sales',$user->username)) redirect('pos/login/err3');
		}
		
    	if ($this->user->login()){
    		$this->transfer_queues($this->user->data('terminal_id'));
    		redirect('pos');
    	}
    	else redirect('pos/login/err1');
    }
    
    function Transfer_queues($terminal_id){
	    if (!$this->user->check_session()) redirect('pos');
	    
	    $this->db->update('sales', array(
	    	'session'			=> $this->user->data('terminal_session'),
	    ),"`terminal` = '{$terminal_id}' AND `type` = 'queue'");
	    
	    $this->db->update('sale_items', array(
	    	'session'			=> $this->user->data('terminal_session'),
	    ),"`terminal` = '{$terminal_id}' AND `sold` IS NULL AND `redeemed` = 0");
	    
    }
    
    function Receipt(){
	    if ($this->user->check_session()) redirect('pos');

    	$this->load->view('retail/receipt');
    }
    
    function Ajax($request){
	    if (!$this->user->check_session()) return;
	    
    	header('Content-type: application/json');
    	switch ($request){
	    	case "delete_template":
	    		$id = $this->input->post('id');
	    		$this->db->query("DELETE FROM `pos_items_template` WHERE `id` = ?", array($id));
	    		echo 'ok';
	    	break;
	    	case "select_template":
	    		$queue_id = $this->input->post('queue_id');	    	
	    		$query = $this->db->query("SELECT * FROM `sales` WHERE `id` =?", array($queue_id));
	    		$sale = $query->row();
	    		
	    		echo $queue_id;
	    		
	    		$template_id = $this->input->post('id');
	    		$query = $this->db->query("SELECT * FROM `pos_items_template` WHERE `id` = ?", array($template_id));
	    		$template = $query->row();
	    		
	    		if (!$template->id) return;
	    		
	    		if ($sale->payment_status == 'Unpaid'){
		    		$this->db->query("DELETE FROM `sale_items` WHERE `sale_id` = ?", array($queue_id));
		    		
		    		foreach (json_decode($template->data) as $idata){
			    		$sku = $idata->sku;
			    		$qty = $idata->qty;
			    		$price = $idata->price;
		    			
		    			if ($this->system->config('warehouse_shared_inventory')){
		    				$query = $this->db->query("SELECT * FROM `inventory` WHERE `sku` = ?",array($sku));
		    			} else {
		    				$query = $this->db->query("SELECT * FROM `inventory` WHERE `sku` = ? AND `warehouse_id` = ?",array($sku, $this->user->data('branch')));
		    			}
		    			
		    			if (!$query->num_rows()){
		    				// secondary SKU search
		    				$found = false;
		    				for ($i = 2; $i <= 4; $i++){
			    				if ($this->system->config('warehouse_shared_inventory')){    				
		    						$query = $this->db->query("SELECT * FROM `inventory` WHERE `sku{$i}` = ?", array($sku));
		    					} else {
		    						$query = $this->db->query("SELECT * FROM `inventory` WHERE `sku{$i}` = ? AND `warehouse_id` = ?", array($sku, $this->user->data('branch')));
		    					}
		    					if ($query->num_rows()){
		    						$item = $obj = $query->row();
		    						
		    						$qty = $qty * $item->{'loose_qty'.$i};
		    						$qty_fraction = $item->{'loose_qty'.$i};
		
		    						$sku = $item->sku;
		    						$sku2 = $item->{'sku'.$i};
		    						
		    						$sku_select = $i;
		    						$found = true;
		    					}
		    				}
		    			} else {
		    				$sku_select = 1;
		    				$qty_fraction = 1;
		    				$item = $obj = $query->row();
		    				$found = true;
		    			}
		    			
		    			
		    			
						$query = $this->db->query("SELECT * FROM `sales` WHERE `id` = ?", array($queue_id));
		    			$sale = $query->row();
		    			
		    			$query = $this->db->query("SELECT * FROM `contacts` WHERE `id` = ?", array($sale->customer_id));
		    			if ($query->num_rows()){
		    				$customer = $query->row();
		    			} else {
		    				$customer = false;
		    			}
		    			
		    			if ($found){
		    			
		    				if ($sku_select == 1){
		    					$query = $this->db->query("SELECT * FROM `sale_items` WHERE `item_sku` = ? AND `sku_select` = '1' AND `sale_id` = ?",array($sku,$queue_id));
		    				} else {
		    					$query = $this->db->query("SELECT * FROM `sale_items` WHERE `item_sku2` = ? AND `sale_id` = ?",array($sku2,$queue_id));
		    				}
		    				
		    				if ($multi){
			    				$obj->enter_price = 0;
			    				$obj->enter_serial = 0;
		    				} else {
		    					if ($item->enter_price) $obj->enter_price = true;
		    					if ($item->enter_serial) $obj->enter_serial = true;
		    				}
		    				$price_rules = json_decode($this->system->config('price_rules'));
		    				
		    				if (!$query->num_rows()){
		    					
		    					if ($this->system->config('cost_update_method') == 'fifo'){
		    						$item_cost = $this->inv->get_fifo_cost($item->id, $qty);
		    					} else {
		    						$item_cost = $this->inv->get_isq_cost($item->id) * $qty;
		    					}
		    						
		    					if ($sku_select == 1){
		    						
		    						if ($customer->rank){
			    						$item_price = $item->{'price'.$price_rules->{str_replace(' ','_',$customer->rank)}};
			    					} else {
				    					$item_price = $item->price;
				    				}
				    				
				    				
				    				$item_price = $price;
		
		    						$margin = ($item_price * $qty) - $item_cost;
		    					} else {
		    						
		    						if ($customer->rank){
			    						$item_price = $item->{'price'.$sku_select.$price_rules->{str_replace(' ','_',$customer->rank)}};
			    					} else {
			    						$item_price = $item->{'price'.$sku_select};
				    				}
		
				    				$item_price = $price;
				    				
		    						$margin = ($item_price * $qty / $qty_fraction) - $item_cost;
		    					}
		    					
		    					/*
		    					$effective_price = $this->effective_price($customer, $item->id);
		    					if ($effective_price && $effective_price < $item_price){
			    					$item_price = $effective_price;
			    					$margin = ($item_price * $qty) - $item_cost;
		    					}
		    					*/
		    					
		    					$sql = $this->db->insert_string('sale_items',array(
		    						'sale_id'		=> $queue_id,
		    						'item_id'		=> $item->id,
		    						'customer_id'	=> $customer->id,
		    						'date'			=> date('Y-m-d'),
		    						'item_sku'		=> $sku,
		    						'item_sku2'		=> $sku2,
		    						'item_name'		=> $item->name,
		    						'unit'			=> $item->{'uom'.$sku_select},
		    						'qty'			=> $qty,
		    						'qty_fraction'	=> $qty_fraction,
		    						'sku_select'	=> $sku_select,
		    						'price_per_unit'=> $item_price,
		    						'cost'			=> $item_cost,
		    						'margin'		=> $margin,
		    						'terminal'		=> $this->user->terminal(),
		    						'points'		=> $item->redeem_points,
		    						'session'		=> $this->user->data('terminal_session'),
		    						'amount'		=> $item_price * ($qty / $qty_fraction),
		    						'taxable'		=> $item->supply_taxable,
		    						'tax_code'		=> $item->supply_tax_code,
		    						'warehouse_id'	=> $this->user->data('branch')
		    					));
		    					
		    					$query = $this->db->query($sql);
		
		
		    					
		    				} 
		    				
		    			}			    		
			    		
		    		}
		    		
		    		
		    		
    		    			
    		    				
		    		
		    		
		    		echo 'ok';	
	    		}
	    		
	    	break;
	    	case "save_template":
	    		
	    		$queue_id = $this->input->post('queue_id');
	    		$query = $this->db->query("SELECT * FROM `sale_items` WHERE `sale_id` = ?", array($queue_id));
	    		foreach ($query->result() as $sale_item){
		    		$item = null;
		    		$item->sku 		= $sale_item->item_sku;
		    		$item->price 	= $sale_item->price_per_unit;
		    		$item->qty 		= $sale_item->qty;
		    		$skus[] 			= $item;
	    		}
	    		
	    		$this->db->insert('pos_items_template', array(
		    		'name'	=> $this->input->post('name'),
		    		'data'	=> json_encode($skus)
	    		));
	    		return;
	    	
	    	break;
	    	case "get_templates":

	    	
	    		$query = $this->db->query("SELECT * FROM `pos_items_template` ORDER BY `name` ASC");
	    		echo '<select onchange="selectTemplate()" id="items-template" style="width: 100%;">';
	    		echo '<option value="">Select Template</option>';
	    		foreach ($query->result() as $template){
		    		echo "<option value=\"{$template->id}\">{$template->name}</option>";
	    		}
	    		echo '</select>';
	    		return;

	    	break;
	    	
    		case "return_to_queue":
    			if ($this->system->config('revert_level') == 'Manager'){
    				$username = $this->input->post('username');
    				$password = $this->input->post('password');
    				$manager = true;
    			}
    			
    			$user = $this->user->get_user_by_username($username);
    			$query = $this->db->query("SELECT * FROM `permissions` WHERE `user_type` = ?", array($user->type));
    			$permission = $query->row();
    			
    			$action = json_decode($permission->action);
    			
    			if ($manager){
    				if (!$this->user->has_permission('to_supervise_pos','Sales',$user->username)){
    					$obj->status = 'Failed';
    					echo json_encode($obj);
    					return;
    				} else {
    					if ($user->password !== md5($password)){
    						$obj->status = 'Failed';
    						echo json_encode($obj);
    						return;
    					}
    				}
    			}
    			
    			$queue_id = $this->input->post('queue');
    			
    			$query = $this->db->query("SELECT * FROM `sales` WHERE `id` = ?", array($queue_id));
    			$sale = $query->row();
    			
    			$query = $this->db->query("SELECT * FROM `sale_items` WHERE `sale_id` = ?", array($queue_id));
    			$sale_items = $query->result();
    			
    			$data->sale = $sale;
    			$data->sale_items = $sale_items;
    			
    			
    			if ($sale->warehouse_id != $this->user->data('branch')) return;

    			$sql = $this->db->update_string('sales',array(
    				'type'		=> 'queue',
    				'session'	=> $this->user->data('terminal_session'),
    				'sync'		=> ''
    			), "`id` = '$queue_id'");	
    			$this->db->query($sql);
    			
    			$sql = $this->db->update_string('sale_items',array(
    				'sold'		=> ''
    			), "`sale_id` = '$queue_id'");	
    			$this->db->query($sql);
    			
    			$sql = $this->db->insert_string('reverts',array(
    				'performed_by'  => $manager ? $username : $employee->username,
    				'data'			=> json_encode($data),
    				'datetime'		=> date('Y-m-d H:i:s')
    			));
    			
    			$this->db->query($sql);
    			
    			foreach ($sale_items as $sale_item){
	    			$this->inv->update_item_qty($sale_item->item_id, $this->user->data('branch'));
    			}    			
    			
    			$obj->status = 'Success';
    			echo json_encode($obj);
    			break;

    		case "receipt":
    			$queue_id = $this->input->post('queue');
    			$type = $this->input->post('type');
    			
    			if ($type == 'invoice'){
    				if (strpos($queue_id,'-')){
	    				$query = $this->db->query("SELECT * FROM `invoices` WHERE `txn_no` = ?",array($queue_id));
    				} else {
	    				$query = $this->db->query("SELECT * FROM `invoices` WHERE `id` = ?",array($queue_id));	    				
    				}

    				$sale = $query->row();
    				$date = date("d/m/Y", strtotime($sale->date));	
    				
    				$queue_id = $sale->id;
    				$sale->tax_amount = $sale->total_tax;
    				$sale->customer_id = $sale->contact_id;
    				
    			} else {
    				$query = $this->db->query("SELECT * FROM `sales` WHERE `id` = ?",array($queue_id));
    				$sale = $query->row();
    				$date = date("H:i:s d/m/Y", strtotime($sale->datetime));				
    				for ($i = 0; $i < 6 - strlen($sale->id); $i++){
    					$trailing_zeroes .= '0';
    				}

    			}
    			
    			if ($sale->customer_id){
    				$query = $this->db->query("SELECT * FROM `contacts` WHERE `id` = ?", array($sale->customer_id));
    				$contact = $query->row();
    			}
    			
    			if ($type == 'invoice'){
    				
    				
    				if ($this->system->config('receipt_type') == '3 Inch'){
    					
	    				$tax_no = $this->system->config('company_tax_no');
	    				if ($tax_no){
    						$output .= "<p style=\"text-align: center\">GST ID No: ".$tax_no."</p>";
    					}

    					$output .= "<span style=\"float: right\">Inv/DO No.: " . $trailing_zeroes . $sale->id . "</span>{$date}";
    					$output .= "<br />Prep By: " . $sale->added_by;
    					
    					if ($contact){
	    					$output .= "<br />Member: ";
	    					$output .= $contact->company_name ? $contact->company_name : $contact->contact_person;
	    					$output .= "<br />Member ID: " . $contact->ic;
						}
    					
    					
    					$output .= "<hr />";
    					$output .= "<table style=\"border-collapse: collapse; width: 100%; font-size: 8px\">";
    					$query = $this->db->query("SELECT * FROM `invoice_items` WHERE `invoice_id` = ?",array($queue_id));
    					foreach ($query->result() as $item){
    					
    						$price = $item->delivered_price ? $item->delivered_price : $item->price;
    						
    						$output .= "<tr>
    							<td style=\"width: 40%\"><strong style=\"font-size: 8pt\">{$item->item_name}</strong><br />{$item->item_sku}</td>
    							<td style=\"width: 22%; text-align: center;\">{$item->qty}</td>
    							<td style=\"width: 23%; text-align: right;\">{$price}</td>
    						</tr>";
    						
    						$subtotal += $price;
    					}
    					
    					$subtotal_display = number_format($subtotal, 2);
    					$grand_total_display = number_format($sale->total_delivered ? $sale->total_delivered : $sale->total,2);
    					$handling_display = number_format($sale->handling_charges,2);
    					
    					

    					$output .= "<tr style=\"border-top: 1px solid #333\">
    									<td colspan=\"2\">Subtotal</td>
    									<td style=\"width: 23%; text-align: right\">{$subtotal_display}</td>
    								</tr>";
    				
						if ($handling_display != 0){
    						$output .= "<tr style=\"border-top: 1px solid #333\">
    									<td colspan=\"2\">Handling Charges</td>
    									<td style=\"width: 23%; text-align: right;\">{$handling_display}</td>
    								</tr>";
    					}
    					
    					$tax_breakdown = json_decode($sale->tax);
						foreach ($tax_breakdown as $tax){
							$output .= "<tr>
    									<td colspan=\"2\">{$tax->name} ({$tax->percentage}%)</td>
    									<td style=\"text-align: right;\">{$tax->amount}</td>
    								</tr>";
    					}
    					
    					$output .= "<tr style=\"border-top: 1px solid #333\">
    									<td colspan=\"2\">Grand Total</td>
    									<td style=\"width: 23%; text-align: right;\">{$grand_total_display}</td>
    								</tr>";
    					
    					
    				
    				} else {
    				
    				
    					$output .= "<span style=\"float: right\">Inv/DO No.: " . $trailing_zeroes . $sale->id . "</span>{$date}";
    					$output .= "&nbsp;&nbsp;&nbsp;Prep By: " . $sale->added_by;
    					
    					if ($contact){
	    					$output .= "<br />Member: ";
	    					$output .= $contact->company_name ? $contact->company_name : $contact->contact_person;
	    					$output .= "&nbsp;&nbsp;&nbsp;&nbsp;Member ID: " . $contact->ic;
						}
    				
    					$output .= "<table style=\"border-collapse: collapse; width: 100%; font-size: 8px; margin-top: 10px\">";
    					$output .= "<thead style=\"border-bottom: 2px solid #000; padding-top: 10px;\"><tr><th style=\"text-align: left\">Item</th><th style=\"text-align: center\">Serial No.</th><th style=\"text-align: center\">Qty</th><th style=\"text-align: right\">Price</th></tr></thead>";
    					$query = $this->db->query("SELECT * FROM `invoice_items` WHERE `invoice_id` = ?",array($queue_id));
    					foreach ($query->result() as $item){
    					
    						$price = $item->delivered_price ? $item->delivered_price : $item->price;
    						
    						$output .= "<tr>
    							<td style=\"width: 50%;\"><strong style=\"font-size: 8pt\">{$item->item_name}</strong><br />{$item->item_sku}</td>
    							<td style=\"width: 15%; text-align: center;\">{$item->serial_no}</td>
    							<td style=\"width: 15%; text-align: center;\">{$item->qty}</td>
    							<td style=\"width: 20%; text-align: right;\">{$price}</td>
    						</tr>";
    						
    						$subtotal += $price;
    					}
    					
    					$output .= "<tr><td style=\"padding: 10px;\" colspan=\"4\">&nbsp;</td></tr>";
    				
    					
    					$subtotal_display = number_format($subtotal, 2);
    					$grand_total_display = number_format($sale->total_delivered ? $sale->total_delivered : $sale->total,2);
    					$handling_display = number_format($sale->handling_charges,2);
    					
    					$output .= "<tr style=\"border-top: 1px solid #333\">
    									<td colspan=\"3\">Subtotal</td>
    									<td style=\"width: 23%; text-align: right\">{$subtotal_display}</td>
    								</tr>";
    				
    					$output .= "<tr style=\"border-top: 1px solid #333\">
    									<td colspan=\"3\">Handling Charges</td>
    									<td style=\"width: 23%; text-align: right;\">{$handling_display}</td>
    								</tr>";
    					
    					$output .= "<tr style=\"border-top: 1px solid #333\">
    									<td colspan=\"3\">Grand Total</td>
    									<td style=\"text-align: right;\">{$grand_total_display}</td>
    								</tr>";
    					
    					
    					if ($this->system->config('checkout_cc')){
    						if ($sale->amount_cc != 0){
    							$show_cash = true;
    							$amount_cc_display = number_format($sale->amount_cc,2);
    							$output .=  "<tr>
    										<td colspan=\"3\">Credit Card Tendered ({$sale->card_type})</td>
    										<td style=\"text-align: right;\">{$amount_cc_display}</td>
    									</tr>";
    							
    						}
    					}
    				
    					if ($this->system->config('checkout_cheque')){				
    						if ($sale->amount_cheque != 0){
    							$show_cash = true;
    							$amount_cheque_display = number_format($sale->amount_cheque,2);
    							$output .=  "<tr>
    										<td colspan=\"3\">Cheque Tendered</td>
    										<td style=\"text-align: right;\">{$amount_cheque_display}</td>
    									</tr>";
    						}
    					}
    					
    					if ($this->system->config('checkout_bank_deposit')){				
    						if ($sale->amount_bank_deposit != 0){
    							$show_cash = true;
    							$amount_bank_deposit_display = number_format($sale->amount_bank_deposit,2);
    							$output .=  "<tr>
    										<td colspan=\"3\">Bank In Tendered</td>
    										<td style=\"text-align: right;\">{$amount_bank_deposit_display}</td>
    									</tr>";
    						}
    					}
    					
    				
    					
    					if ($this->system->config('checkout_credit')){
    					
    						if ($sale->amount_credit != 0){
    							$show_cash = true;
    							$amount_credit_display = number_format($sale->amount_credit,2);
    							$total = number_format($this->contact->get_total_credit($sale->customer_id),2);
    							
    							$customer = $this->contact->get_customer_by_id($sale->customer_id);
    							$credit_limit = number_format($customer->credit_limit,2);
    							$available_credit = number_format($this->contact->get_credit_balance($sale->customer_id),2);
    							
    							
    							$output .=  "<tr>
    										<td colspan=\"3\">Credit Amount</td>
    										<td style=\"text-align: right;\">{$amount_credit_display}</td>
    									</tr>";
    									
    				
    							$coutput .=  "<tr>
    										<td colspan=\"3\">Credit Limit</td>
    										<td style=\"text-align: right\">{$credit_limit}</td>
    									</tr>";
    				
    				
    							$coutput .=  "<tr>
    										<td colspan=\"3\">Available Credit Limit</td>
    										<td style=\"text-align: right\">{$available_credit}</td>
    									</tr>";			
    						
    						}
    					}
    					
    					if ($show_cash){				
    						if ($sale->amount_cash){
    							$show_cash = true;
    							$amount_cheque_display = number_format($sale->amount_cheque,2);
    							$output .=  "<tr>
    										<td colspan=\"3\">Cash Tendered</td>
    										<td style=\"text-align: right;\">{$amount_cheque_display}</td>
    									</tr>";
    						}
    					}
    					
    					if ($coutput){
    						$output .= "<tr style=\"border-bottom: 1px solid #000\"><td colspan=\"4\"></td></tr>";
    						$output .= $coutput;
    					}
    					
    					$output .= "</table>";
    				
    				
    				}
    				
    			} else {
    			
    				if (strtoupper($this->user->terminal_data('printer_type')) == 'RECEIPT'){
    				
    					$query = $this->db->query("SELECT * FROM `warehouses` WHERE `id` = ?", array($this->user->data('branch')));
    					$branch = $query->row();
    					
    					$query = $this->db->query("SELECT * FROM `sale_items` WHERE `sale_id` = ?",array($queue_id));
    					$sale_items = $query->result();
    					
    					$data->top_header 	= 'OFFICIAL RECEIPT';
    					$data->company_data	= $branch;
    					$data->txn_no		= $sale->txn_no;
    					$data->date			= $date;
    					$data->cashier		= $this->user->data('username');
    					$data->customer		= $contact;
    					$data->items		= $sale_items;
    					$data->sale			= $sale;
    					$data->currency		= $this->system->config('currency');
    					
    					$rawdata = $data;
	    				
    				}
    			
    				if (strtoupper($this->user->terminal_data('printer_type')) == 'THERMAL'){
    				
    					$width = $this->user->terminal_data('printer_width');
    				
    					$query = $this->db->query("SELECT * FROM `warehouses` WHERE `id` = ?", array($this->user->data('branch')));
    					$branch = $query->row();
    					
    					$query = $this->db->query("SELECT * FROM `sale_items` WHERE `sale_id` = ?",array($queue_id));
    					$sale_items = $query->result();
    					
    					
    					$data->top_header 	= 'OFFICIAL RECEIPT';
    					$data->company_data	= $branch;
    					$data->txn_no		= $sale->txn_no;
    					$data->date			= $date;
    					$data->cashier		= $this->user->data('username');
    					$data->customer		= $contact;
    					$data->items		= $sale_items;
    					$data->sale			= $sale;
    					
    					if ($sale->amount_cc){
	    					$query = $this->db->query("SELECT * FROM `credit_cards` WHERE `id` = ?", array($sale->card_type));
	    					$card = $query->row();
	    					$data->card = $card;
    					}

    					$data->currency		= $this->system->config('currency');
    					$data->footer		= $this->user->terminal_data('printer_footer');
    					
	    				$output = urlencode($this->print_processor($data, $width));
	    				$rawdata = $data;
	    				
    				}
    			
    				if (strtoupper($this->user->terminal_data('printer_type')) == '3 INCH'){
    					
    					$output .= "<span style=\"float:right\">Rec No.: " . $sale->txn_no . "</span>Date: {$date}";
    					$output .= "&nbsp;&nbsp;&nbsp;&nbsp;Cashier: " . $this->user->data('username');
						if ($contact){
	    					$output .= "<br />Member: " . $contact->company_name ? $contact->company_name : $contact->contact_person;
	    					$output .= "&nbsp;&nbsp;&nbsp;&nbsp;Member ID: " . $contact->ic;
						}
    					
    					$output .= "<hr />";
    					$output .= "<table style=\"border-collapse: collapse; width: 100%; font-size: 8px\">";
    					$query = $this->db->query("SELECT * FROM `sale_items` WHERE `sale_id` = ?",array($queue_id));
    					foreach ($query->result() as $item){
    						
    						$output .= "<tr>
    							<td style=\"width: 55%\"><strong style=\"font-size: 8pt\">{$item->item_name}</strong><br />{$item->item_sku}</td>
    							<td style=\"width: 22%; text-align: center;\">{$item->qty}</td>
    							<td style=\"width: 23%; text-align: right;\">{$item->amount}</td>
    						</tr>";
    						
    						$subtotal = $grand_total += $item->amount;
    					}
    					
    					$grand_total_display = number_format($sale->amount,2);
    					$discount_display = number_format($grand_total - $sale->amount,2);
    					$amount_tendered_display = number_format($sale->amount_tendered,2);
    					$amount_change_display = number_format($sale->amount_change,2);
    					$subtotal_display = number_format($subtotal,2);
    					$discount = $sale->discount;
    					
    					
    					$output .= "<tr style=\"border-top: 1px solid #333\">
    									<td colspan=\"2\">Subtotal</td>
    									<td style=\"width: 23%; text-align: right\">{$subtotal_display}</td>
    								</tr>";
    					
    					if ($discount){
    						if ($sale->discount_type == 'p'){
    							$output .= "<tr style=\"border-top: 1px solid #333\">
    									<td colspan=\"2\">Discount {$discount}%</td>
    									<td style=\"width: 23%; text-align: right;\">{$discount_display}</td>
    								</tr>";
    								
    						} else {
    							$discount_d = number_format($discount,2);
    							$output .= "<tr style=\"border-top: 1px solid #333\">
    									<td colspan=\"2\">Discount RM{$discount_d}</td>
    									<td style=\"width: 23%; text-align: right;\">{$discount_display}</td>
    								</tr>";
    						}
    					}
    					
    					if ($sale->shipping_amount){
   							$output .= "<tr>
    									<td colspan=\"2\">Shipping ($sale->shipping_name)</td>
    									<td style=\"text-align: right;\">{$sale->shipping_amount}</td>
    								</tr>";
    					}
    					
    					
    					$output .= "<tr style=\"border-top: 1px solid #333\">
    									<td colspan=\"2\">Grand Total</td>
    									<td style=\"width: 23%; text-align: right;\">{$grand_total_display}</td>
    								</tr>
    								<tr>
    									<td colspan=\"2\">Amount Tendered</td>
    									<td style=\"width: 23%; text-align: right;\">{$amount_tendered_display}</td>
    								</tr>";
    					
    					$output .=  "<tr>
    									<td colspan=\"2\">Change</td>
    									<td style=\"width: 23%; text-align: right;\">{$amount_change_display}</td>
    								</tr></table>";
    								
    					$output .= "<table style=\"border-collapse: collapse; width: 100%; font-size: 8px\">";
    								
    					if ($sale->remarks){
    						$output .=  "<tr>
    									<td colspan=\"2\">
    										<strong>Remarks</strong>: {$sale->remarks}
    									</td>
    								</tr>";
	    					
    					}

    					
    					if ($this->system->config('checkout_cc')){
    						if ($sale->amount_cc){
    							$show_cash = true;
    							$amount_cc_display = number_format($sale->amount_cc,2);
    							$output .=  "<tr>
    										<td>Credit Card Tendered ({$sale->card_type})</td>
    										<td style=\"width: 23%; text-align: right;\">{$amount_cc_display}</td>
    									</tr>";
    							
    						}
    					}
    				
    					if ($this->system->config('checkout_cheque')){				
    						if ($sale->amount_cheque){
    							$show_cash = true;
    							$amount_cheque_display = number_format($sale->amount_cheque,2);
    							$output .=  "<tr>
    										<td>Cheque Tendered</td>
    										<td style=\"width: 23%; text-align: right;\">{$amount_cheque_display}</td>
    									</tr>";
    						}
    					}
    					
    					if ($this->system->config('checkout_bank_deposit')){				
    						if ($sale->amount_bank_deposit != 0){
    							$show_cash = true;
    							$amount_bank_deposit_display = number_format($sale->amount_bank_deposit,2);
    							$output .=  "<tr>
    										<td>Bank In Tendered</td>
    										<td style=\"text-align: right;\">{$amount_bank_deposit_display}</td>
    									</tr>";
    						}
    					}
    					
    					
    					if ($this->system->config('checkout_credit')){
    					
    						if ($sale->amount_credit){
    							$show_cash = true;
    							$amount_credit_display = number_format($sale->amount_credit,2);
    							$total = number_format($this->contact->get_total_credit($sale->customer_id));
    							$output .=  "<tr>
    										<td>Credit Amount</td>
    										<td style=\"width: 23%; text-align: right;\">{$amount_cheque_display}</td>
    									</tr></table>";
    									
    							$output .=  "<tr>
    										<td>Total Credit Amount</td>
    										<td style=\"width: 23%; text-align: right;\">{$amount_cheque_display}</td>
    									</tr>";
    				
    						
    						}
    					}
    					
    					$output .= "</table>";
    				
    				}
    				
    				if ($this->user->terminal_data('printer_type') == 'REGULAR' || $this->user->terminal_data('printer_type') == ''){
	    				$tax_no = $this->system->config('company_tax_no');
	    				if ($tax_no){
    						$output .= "<p style=\"text-align: center\">GST ID No: ".$tax_no."</p>";
    					}
    					$output .= "<span style=\"float:right\">Rec No.: " . $sale->txn_no . "</span>Date: {$date}";
    					$output .= "&nbsp;&nbsp;&nbsp;&nbsp;Cashier: " . $this->user->data('username');
						if ($contact){
	    					$output .= "<br />Member: " . $contact->company_name ? $contact->company_name : $contact->contact_person;
	    					$output .= "&nbsp;&nbsp;&nbsp;&nbsp;Member ID: " . $contact->ic;
						}
    					
    				
    					$output .= "<table style=\"border-collapse: collapse; width: 100%; font-size: 8px; margin-top: 10px\">";
    					$output .= "<thead style=\"border-bottom: 2px solid #000; padding-top: 10px;\"><tr><th style=\"text-align: left\">Item</th><th style=\"text-align: center\">Serial No.</th><th style=\"text-align: center\">Qty</th><th style=\"text-align: right\">Price</th></tr></thead>";
    					$query = $this->db->query("SELECT * FROM `sale_items` WHERE `sale_id` = ?",array($queue_id));
    					foreach ($query->result() as $item){
    						
    						$output .= "<tr>
    							<td style=\"width: 50%;\"><strong style=\"font-size: 8pt\">{$item->item_name}</strong><br />{$item->item_sku} [{$item->tax_code}]</td>
    							<td style=\"width: 15%; text-align: center;\">{$item->serial_no}</td>
    							<td style=\"width: 15%; text-align: center;\">{$item->qty}</td>
    							<td style=\"width: 20%; text-align: right;\">{$item->amount}</td>
    						</tr>";
    						
    						$grand_total += $item->amount;
    					}
    					
    					$output .= "<tr><td style=\"padding: 10px;\" colspan=\"4\">&nbsp;</td></tr>";
    				
    					
    					$grand_total_display = number_format($sale->amount,2);
    					$discount_display = number_format($grand_total - $sale->amount,2);
    					$amount_tendered_display = number_format($sale->amount_tendered,2);
    					$amount_change_display = number_format($sale->amount_change,2);
    					$discount = $sale->discount;

    					
    					
    					
    					if ($sale->shipping_amount){
   							$output .= "<tr>
    									<td colspan=\"3\">Shipping ($sale->shipping_name)</td>
    									<td style=\"text-align: right;\">{$sale->shipping_amount}</td>
    								</tr>";
    					}
    					
    					

						$output .= "<tr>
    									<td colspan=\"3\">Subtotal</td>
    									<td style=\"text-align: right;\">{$sale->subtotal}</td>
    								</tr>";    					
    								
						if ($discount){
    						if ($sale->discount_type == 'p'){
    							$output .= "<tr style=\"border-top: 1px solid #333\">
    									<td colspan=\"3\">Discount {$discount}%</td>
    									<td style=\"text-align: right;\">{$sale->discount_amount}</td>
    								</tr>";
    								
    						} else {
    							$discount_d = number_format($discount,2);
    							$output .= "<tr style=\"border-top: 1px solid #333\">
    									<td colspan=\"3\">Discount RM{$discount_d}</td>
    									<td style=\"text-align: right;\">{$sale->discount_amount}</td>
    								</tr>";
    						}
    					}

						$tax_breakdown = json_decode($sale->taxes);
						foreach ($tax_breakdown as $tax){
							if ($tax->inclusive) $inclusive = 'Included';
							
							$output .= "<tr>
    									<td colspan=\"3\">{$tax->name} {$inclusive} ({$tax->percentage}%)</td>
    									<td style=\"text-align: right;\">{$tax->amount}</td>
    								</tr>";
    					}
	    				$output .=  "<tr>
    									<td colspan=\"3\">Adjustment</td>
    									<td style=\"text-align: right;\">{$sale->adjustment}</td>
    								</tr>";	
    					
    					$output .= "<tr style=\"border-top: 1px solid #333\">
    									<td colspan=\"3\">Grand Total</td>
    									<td style=\"text-align: right;\">{$grand_total_display}</td>
    								</tr>
    								<tr>
    									<td colspan=\"3\">Amount Tendered</td>
    									<td style=\"text-align: right;\">{$amount_tendered_display}</td>
    								</tr>";
    					
    					$output .=  "<tr>
    									<td colspan=\"3\">Change</td>
    									<td style=\"text-align: right;\">{$amount_change_display}</td>
    								</tr>";
    								
    					if ($sale->remarks){
    						$output .=  "<tr style=\"border-top: 1px solid #333\">
    									<td colspan=\"4\">
    										Remarks: {$sale->remarks}
    									</td>
    								</tr>";
	    					
    					}
    					

    					
    					if ($this->system->config('checkout_cc')){
    						if ($sale->amount_cc != 0){
    							$show_cash = true;
    							$amount_cc_display = number_format($sale->amount_cc,2);
    							$output .=  "<tr>
    										<td colspan=\"3\">Credit Card Tendered ({$sale->card_type})</td>
    										<td style=\"text-align: right;\">{$amount_cc_display}</td>
    									</tr>";
    							
    						}
    					}
    				
    					if ($this->system->config('checkout_cheque')){				
    						if ($sale->amount_cheque != 0){
    							$show_cash = true;
    							$amount_cheque_display = number_format($sale->amount_cheque,2);
    							$output .=  "<tr>
    										<td colspan=\"3\">Cheque Tendered</td>
    										<td style=\"text-align: right;\">{$amount_cheque_display}</td>
    									</tr>";
    						}
    					}
    					
    					if ($this->system->config('checkout_bank_deposit')){				
    						if ($sale->amount_bank_deposit != 0){
    							$show_cash = true;
    							$amount_bank_deposit_display = number_format($sale->amount_bank_deposit,2);
    							$output .=  "<tr>
    										<td colspan=\"3\">Bank In Tendered</td>
    										<td style=\"text-align: right;\">{$amount_bank_deposit_display}</td>
    									</tr>";
    						}
    					}
    					
    				
    					
    					if ($this->system->config('checkout_credit')){
    					
    						if ($sale->amount_credit != 0){
    							$show_cash = true;
    							$amount_credit_display = number_format($sale->amount_credit,2);
    							$total = number_format($this->contact->get_total_credit($sale->customer_id),2);
    							
    							$customer = $this->contact->get_customer_by_id($sale->customer_id);
    							$credit_limit = number_format($customer->credit_limit,2);
    							$available_credit = number_format($this->contact->get_credit_balance($sale->customer_id),2);
    							
    							
    							$output .=  "<tr>
    										<td colspan=\"3\">Credit Amount</td>
    										<td style=\"text-align: right;\">{$amount_credit_display}</td>
    									</tr>";
    									
    				
    							$coutput .=  "<tr>
    										<td colspan=\"3\">Credit Limit</td>
    										<td style=\"text-align: right\">{$credit_limit}</td>
    									</tr>";
    				
    				
    							$coutput .=  "<tr>
    										<td colspan=\"3\">Available Credit Limit</td>
    										<td style=\"text-align: right\">{$available_credit}</td>
    									</tr>";			
    						
    						}
    					}
    					
    					if ($show_cash){				
    						if ($sale->amount_cash){
    							$show_cash = true;
    							$amount_cheque_display = number_format($sale->amount_cheque,2);
    							$output .=  "<tr>
    										<td colspan=\"3\">Cash Tendered</td>
    										<td style=\"text-align: right;\">{$amount_cheque_display}</td>
    									</tr>";
    						}
    					}
    					
    					if ($coutput){
    						$output .= "<tr style=\"border-bottom: 1px solid #000\"><td colspan=\"4\"></td></tr>";
    						$output .= $coutput;
    					}
    					
    					$output .= "</table>";
    				
    				
    				}

    			
    			}
    			
    			
    			
    			$obj['status'] 	= 'Success';
    			$obj['html'] 	= $output;
    			$obj['data']	= json_encode($rawdata);
    			
    			echo json_encode($obj);
    			
    			break;
    		case "add_queue":
    		
    			$query = $this->db->query("SELECT `id` FROM `sales` WHERE `added_on` >= ? AND `added_on` <= ? ", array(date('Y-m-d 00:00:00'), date('Y-m-d 23:59:59')));
    			$qno = $query->num_rows();

    			$sql = $this->db->insert_string('sales',array(
    				'txn_no'			=> $this->get_serial_no(),
    				'type'				=> 'queue',
    				'payment_status' 	=> 'Unpaid',
    				'username'			=> $this->user->data('username'),
    				'user_id'			=> $this->user->data('id'),
    				'terminal'			=> $this->user->terminal(),
    				'session'			=> $this->user->data('terminal_session'),
    				'queue_no'			=> 1000 + $qno + 1,
    				'added_on'			=> date('Y-m-d H:i:s'),
    				'warehouse_id'		=> $this->user->data('branch')
    			));
    			$query = $this->db->query($sql);
    			
    			$query = $this->db->query("SELECT * FROM `sales` WHERE `id` = ?",array($query->insert_id));
    			$obj = $query->row();
    			$obj->status = 'Success';
    			echo json_encode($obj);
    			
    			break;
    		case "void_queue":
    			$queue_id = $this->input->post('queue');
    			$this->db->query("DELETE FROM `sales` WHERE `id` = ? AND `type` = 'queue'",array($queue_id));
    			$this->db->query("DELETE FROM `sale_items` WHERE `sale_id` = ?", array($queue_id));
    			
    			if ($this->system->uses('Clinic')){
	    			$this->db->query("DELETE FROM `patient_history` WHERE `sale_id` = ?", array($queue_id));
    			}
    			
    			$obj['status'] = 'Success';
    			echo json_encode($obj);
    		
    			break;
    		case "add_item":
    			$queue_id = $this->input->post('queue');
    			$sku = $this->input->post('sku');
    			$qty = $this->input->post('qty');
    			
    			if (!$qty){
	    			$qty = 1;
    			}
    			
    			$xqty = 0;
    			$multi = false;
    			
    			if ($sku[0] == 'x' OR $sku[0] == 'X'){
    				$multi = true;
    				$qty = str_replace('X','',str_replace('x','',$sku)) - 1;
    				$sku = $this->session->userdata('last_sku');
    				if (!is_numeric($qty)) $sku = '';
    				$xqty = $qty + 1;

    			} else {
    				$this->session->set_userdata(array('last_sku'=>$sku));
    			}
    			
    			if ($this->system->config('warehouse_shared_inventory')){
    				$query = $this->db->query("SELECT * FROM `inventory` WHERE `sku` = ?",array($sku));
    			} else {
    				$query = $this->db->query("SELECT * FROM `inventory` WHERE `sku` = ? AND `warehouse_id` = ?",array($sku, $this->user->data('branch')));
    			}
    			
    			if ($qty < 0){
	    			$return = ' AND `return` = 1';
	    			$return_item = 1;
    			}
    			
    			if (!$query->num_rows()){
    				// secondary SKU search
    				$found = false;
    				for ($i = 2; $i <= 4; $i++){
	    				if ($this->system->config('warehouse_shared_inventory')){    				
    						$query = $this->db->query("SELECT * FROM `inventory` WHERE `sku{$i}` = ?", array($sku));
    					} else {
    						$query = $this->db->query("SELECT * FROM `inventory` WHERE `sku{$i}` = ? AND `warehouse_id` = ? ", array($sku, $this->user->data('branch')));
    					}
    					if ($query->num_rows()){
    						$item = $obj = $query->row();
    						
    						$qty = $qty * $item->{'loose_qty'.$i};
    						$qty_fraction = $item->{'loose_qty'.$i};

    						$sku = $item->sku;
    						$sku2 = $item->{'sku'.$i};
    						
    						$sku_select = $i;
    						$found = true;
    					}
    				}
    			} else {
    				$sku_select = 1;
    				$qty_fraction = 1;
    				$item = $obj = $query->row();
    				$found = true;
    			}
    			
    			$query = $this->db->query("SELECT * FROM `sales` WHERE `id` = ?", array($queue_id));
    			$sale = $query->row();
    			
    			$query = $this->db->query("SELECT * FROM `contacts` WHERE `id` = ?", array($sale->customer_id));
    			if ($query->num_rows()){
    				$customer = $query->row();
    			} else {
    				$customer = false;
    			}
    			
    			if ($found){
    			
    				if ($sku_select == 1){
    					$query = $this->db->query("SELECT * FROM `sale_items` WHERE `item_sku` = ? AND `sku_select` = '1' AND `sale_id` = ? $return",array($sku,$queue_id));
    				} else {
    					$query = $this->db->query("SELECT * FROM `sale_items` WHERE `item_sku2` = ? AND `sale_id` = ? $return",array($sku2,$queue_id));
    				}
    				
    				if ($multi){
	    				$obj->enter_price = 0;
	    				$obj->enter_serial = 0;
    				} else {
    					if ($item->enter_price) $obj->enter_price = true;
    					if ($item->enter_serial) $obj->enter_serial = true;
    				}
    				$price_rules = json_decode($this->system->config('price_rules'));
    				
    				if (!$query->num_rows()){
    					
    					if ($this->system->config('cost_update_method') == 'fifo'){
    						$item_cost = $this->inv->get_fifo_cost($item->id, $qty);
    					} else {
    						$item_cost = $this->inv->get_isq_cost($item->id) * $qty;
    					}
    						
    					if ($sku_select == 1){
    						
    						if ($customer->rank){
	    						$item_price = $item->{'price'.$price_rules->{str_replace(' ','_',$customer->rank)}};
	    					} else {
		    					$item_price = $item->price;
		    				}

    						$margin = ($item_price * $qty) - $item_cost;
    					} else {
    						
    						if ($customer->rank){
	    						$item_price = $item->{'price'.$sku_select.$price_rules->{str_replace(' ','_',$customer->rank)}};
	    					} else {
	    						$item_price = $item->{'price'.$sku_select};
		    				}


    						$margin = ($item_price * $qty / $qty_fraction) - $item_cost;
    					}
    					
    					$effective_price = $this->effective_price($customer, $item->id);
    					if ($effective_price && $effective_price < $item_price){
	    					$item_price = $effective_price;
	    					$margin = ($item_price * $qty) - $item_cost;
    					}
    					
    					$sql = $this->db->insert_string('sale_items',array(
    						'sale_id'		=> $queue_id,
    						'item_id'		=> $item->id,
    						'customer_id'	=> $customer->id,
    						'date'			=> date('Y-m-d'),
    						'item_sku'		=> $sku,
    						'item_sku2'		=> $sku2,
    						'item_name'		=> $item->name,
    						'unit'			=> $item->{'uom'.$sku_select},
    						'qty'			=> $qty,
    						'qty_fraction'	=> $qty_fraction,
    						'sku_select'	=> $sku_select,
    						'price_per_unit'=> $item_price,
    						'cost'			=> $item_cost,
    						'margin'		=> $margin,
    						'terminal'		=> $this->user->terminal(),
    						'points'		=> $item->redeem_points,
    						'session'		=> $this->user->data('terminal_session'),
    						'amount'		=> $item_price * ($qty / $qty_fraction),
    						'taxable'		=> $item->supply_taxable,
    						'tax_code'		=> $item->supply_tax_code,
    						'return'		=> $return_item,
    						'warehouse_id'	=> $this->user->data('branch')
    					));
    					
    					$query = $this->db->query($sql);
    					$obj->id = $query->insert_id;
    					$obj->status = 'Success';
    					$obj->amount = number_format($item_price * $qty,2);
    					$obj->qty = $qty;
    					$obj->name = $item->name;
    					$obj->price = $item_price;
    					$obj->outstanding = ($val = $this->update_amount($queue_id)) ? number_format($val,2) : '0.00' ;


    					
    				} else {
    					$existing_item = $query->row();
    					
    					if ($this->system->config('cost_update_method') == 'fifo'){
    						$item_cost = $this->inv->get_fifo_cost($item->id, $qty);
    					} else {
    						$item_cost = ($existing_item->cost / $existing_item->qty) * $qty;
    					}
    					
    					if ($sku_select == 1){
    						$sql = $this->db->update_string('sale_items',array(
    							'qty'			=> $existing_item->qty + $qty,
    							'customer_id'	=> $customer->id,
    							'cost'			=> $existing_item->cost + ($item_cost),
    							'margin'		=> $existing_item->margin + (($existing_item->price_per_unit - $item->cost) * $qty),
    							'amount'		=> $existing_item->amount + ($existing_item->price_per_unit * $qty),
    							'points'		=> $item->redeem_points
    						),"`sale_id` = '$queue_id' AND `item_sku` = '{$sku}' AND `sku_select` = 1");
    					} else {
    						$item_price = $item->{'price'.$sku_select};
    						$sql = $this->db->update_string('sale_items',array(
    							'qty'			=> $existing_item->qty + $qty,
    							'customer_id'	=> $customer->id,
    							'cost'			=> $xcost = $existing_item->cost + ($item_cost),
    							'amount'		=> $xamount = $existing_item->amount + ($item_price * ($qty / $qty_fraction)),
    							'margin'		=> $xamount - $xcost,
    							'points'		=> $item->redeem_points
    						),"`sale_id` = '$queue_id' AND `item_sku2` = '{$sku2}'");
    					}

    					$this->db->query($sql);
    					$obj->status = 'Success';
    					$obj->amount = number_format($item->price * $qty,2);
    					$obj->qty = $qty;
    					$obj->xqty = $xqty;
    					$obj->name = $item->name;
    					$obj->price = $item->price;
    					$obj->outstanding = ($val = $this->update_amount($queue_id)) ? number_format($val,2) : '0.00' ;
    					$obj->id = $existing_item->id;
    				}
    				

    				
    			} else {
    				$obj['outstanding'] = ($val = $this->update_amount($queue_id)) ? number_format($val,2) : '0.00' ;
    				$obj['status'] = 'Failed';
    			}
    			echo json_encode($obj);

    			break;
    			
    		case "enter_discount":
    			$item_id	= $this->input->post('item_id');
    			$queue_id	= $this->input->post('queue_id');
    			$type		= $this->input->post('discount_type');
    			$value		= $this->input->post('discount_value');
    			$to			= $this->input->post('to');
    			
    			if ($to == 'item'){
    				$query = $this->db->query("SELECT * FROM `sale_items` WHERE `id` = ?", array($item_id));
    				$sale_item = $query->row();
    				
    				$total = $sale_item->price_per_unit * ($sale_item->qty / $sale_item->qty_fraction);
    				
    				if ($type == 'd') $amount = $total - $value;
    				else $amount = $total * ((100 - $value) / 100);
    				
    				
    				$sql = $this->db->update_string('sale_items', array(
    					'discount_type'		=> $type,
    					'discount_value'	=> $value,
    					'discount_amount'	=> $discount_acount,
    					'amount'			=> $amount
    				), "`id` = '{$item_id}'");
    				
    				$this->db->query($sql);
    			} else {
    				
    				
    			
    				$sql = $this->db->update_string('sales', array(
    					'discount_type'	=> $type,
    					'discount'		=> $value
    				), "`id` = '{$queue_id}'");
    				
    				$this->db->query($sql);
    				
    				$sql = $this->db->update_string('sale_items', array(
    					'global_discount_type'	=> $type,
    					'global_discount'		=> $value
    				), "`sale_id` = '{$queue_id}'");
    				$this->db->query($sql);

    			}
    			
    			break;
    			
    		case "enter_serial":
    			$id = $this->input->post('id');
    			$serial = $this->input->post('serial');
    			
    			$query = $this->db->query("SELECT * FROM `sale_items` WHERE `id` = ?", array($id));
    			$sale_item = $query->row();
    			
    			if ($sale_item->serial_no){
    				$serial_no = $sale_item->serial_no . ', ' . $serial;
    			} else {
    				$serial_no = $serial;
    			}
    			
    			$sql = $this->db->update_string('sale_items',array(
    				'serial_no'	=> $serial_no
    			), "`id` = '$id'");
    			
    			$this->db->query($sql);
    			
    			break;
    		case "enter_price":
    			$id = $this->input->post('id');
    			$price = $this->input->post('price');
    			$qty = $this->input->post('qty');
    			$replace = $this->input->post('replace');
    			

    			$query = $this->db->query("SELECT * FROM `sale_items` WHERE `id` = ?", array($id));
    			$sale_item = $query->row();
    			
    			$query = $this->db->query("SELECT * FROM `inventory` WHERE `id` = ?", array($sale_item->item_id));
    			$item = $query->row();
    			
    			$markup = (($item->price - $item->cost) / $item->cost) * 100;

    			if ($replace){

    				if ($item->adjust_cost){
    					$sale_item->cost = (100 / ($markup + 100)) * $price;
    				}
    				
    				$sale_item->amount = $price;
    				$sale_item->margin = $sale_item->amount - $sale_item->cost;
    				$sale_item->price_per_unit = $sale_item->amount / $sale_item->qty;				

    			} else {
    			
    				if ($item->adjust_cost){
    					$sale_item->cost = (100 / ($markup + 100)) * $price;
    				}
    				
    				$sale_item->amount += ($price * $qty) - ($item->price * $qty);
    				$sale_item->margin = ($sale_item->amount * $qty) - ($sale_item->cost * $qty);
    				$sale_item->price_per_unit = $sale_item->amount / $sale_item->qty;
    			
    			}
    			
    			
    			
    			$this->db->query($this->db->update_string('sale_items', array(
    				'cost'			=> $sale_item->cost,
    				'amount'		=> $sale_item->amount,
    				'margin'		=> $sale_item->margin,
    				'price_per_unit'=> $sale_item->price_per_unit
    			), "`id` = '$id'"));
    			
    			$this->update_amount($sale_item->sale_id);
    			
    			
    			break;
    		case "void_item":
    			$queue_id = $this->input->post('queue');
    			$queue_item_id = $this->input->post('item');
    			
    			$this->db->query("DELETE FROM `sale_items` WHERE `id` = ?",array($queue_item_id));
    			$this->update_amount($queue_id);
    			$obj['status'] = 'Success';
    			
    			$this->session->set_userdata(array('last_sku'=>''));
    			
    			echo json_encode($obj);
    		
    			break;
    		case "cash_checkout":
    			$queue_id			= $this->input->post('queue');
    			$amount_tendered	= $this->input->post('amount_tendered');
    			
    			$amount_cc			= $this->input->post('amount_cc');
    			$amount_cheque		= $this->input->post('amount_cheque');
    			$amount_bank_deposit= $this->input->post('amount_bank_in');
    			$amount_credit		= $this->input->post('amount_credit');
    			$amount_cash		= $this->input->post('amount_cash');
    			$amount_voucher		= $this->input->post('amount_voucher');
    			
    			$card_type			= $this->input->post('card_type');
    			
    			$remarks			= $this->input->post('remarks');
    			$customer_phone		= $this->input->post('customer_phone');
    			$member_id			= $this->input->post('member');
    			
    			$USID				= $this->input->post('usid');
    		
    			$amount 			= $this->update_amount($queue_id);
    			
    			$this->session->set_userdata(array('last_sku'=>''));
    			
    			$query = $this->db->query("SELECT * FROM `sales` WHERE `id` = ?", array($queue_id));
    			$sale = $query->row();
    			
   				    			
    			$query = $this->db->query("SELECT * FROM `sales` WHERE `id` = ?", array($queue_id));
    			$sale = $query->row();
    			
    			if (!$this->system->config('checkout_ltc')){
    				if ($sale->cost > $amount){
    					$obj['status'] = 'failed';
    					$obj['reason'] = 'This sales transaction is lower than cost.';
    					echo json_encode($obj);	
    					return;
    				}
    			}
    			
    			$change = $amount_tendered - str_replace(',','',number_format($amount,2));
    			
    			$query = $this->db->query("SELECT * FROM `credit_cards` WHERE `id` = ?", array($card_type));
    			$card = $query->row();
    			
    			if ($amount_cc){
    				$cc_cost = ($card->percentage / 100) * $amount_cc;
    			} else {
	    			$cc_cost = 0;
    			}
    			
    			
    			$sql = $this->db->update_string('sales',array(
    				'type'					=> 'history',
    				'payment_status'		=> 'Paid',
    				'amount_tendered'		=> $amount_tendered,
    				'amount_change'			=> $change,
    				'amount_cheque'			=> $amount_cheque,
    				'amount_bank_deposit'	=> $amount_bank_deposit,
    				'amount_cash'			=> $amount_cash - $change,
    				'amount_credit'			=> $amount_credit,
    				'amount_cc'				=> $amount_cc,
    				'amount_voucher'		=> $amount_voucher,
    				'amount'				=> $amount,
    				'payment_method'		=> 'Cash',
    				'card_type'				=> $card_type,
    				'cc_cost'				=> $cc_cost,
    				'customer_phone'		=> $customer_phone,
    				'remarks'				=> $remarks,
    				'datetime'				=> date('Y-m-d H:i:s'),
    				'warehouse_id'			=> $this->user->data('branch'),
    				'usid'					=> $USID
    			),"`id` = '$queue_id'");
    			
    			$this->db->query($sql);
    			
    			$sql = $this->db->update_string('sale_items', array(
    				'sold'					=> 1,
    				'date'					=> date('Y-m-d H:i:s'),
    				'customer_id'			=> $sale->customer_id,
    				'member_id'				=> $sale->customer_id,
    				'session'				=> $this->user->data('terminal_session'),
    				'warehouse_id'			=> $this->user->data('branch')
    			),"`sale_id` = '$queue_id'");
    			$this->db->query($sql);
    			
    			$sale_items_query = $this->db->query("SELECT * FROM `sale_items` WHERE `sale_id` = ?", array($queue_id));
    			
    			foreach ($sale_items_query->result() as $sale_item){
    		    	
    		    	$sql = $this->db->update_string('inventory',array(
    		    		'last_sold'	=> date('Y-m-d H:i:s')
    		    	),"`id` = '{$sale_item->item_id}'");
    		    	$this->db->query($sql);
    		    	
    		    	if ($this->system->config('cost_update_method') == 'fifo'){
						$cost = $this->inv->get_fifo_cost($sale_item->item_id, $sale_item->qty);
					} else {
						$cost = $sale_item->cost;
					}
    		    	
    		    	$margin = $sale_item->amount - $cost;
    			    	
   			    	$sql = $this->db->update_string('sale_items', array(
   			    		'margin'	=> $margin,
   			    		'cost'		=> $cost
   			    	),"`id` = '{$sale_item->id}'");
    			    	
    			    $this->db->query($sql);
    			    

    			}
    			
    			foreach ($sale_items_query->result() as $sale_item){
    			    $this->inv->update_item_cost($sale_item->item_id, $this->user->data('branch'));
    			    $this->inv->update_item_qty($sale_item->item_id, $this->user->data('branch'));    			
    			}
    			    				
    			if ($this->system->config('member_points')){
    				$min_point = $this->system->config('member_minimum_point');
    				$min_amount = $this->system->config('member_minimum_amount');
    				
    				$points = floor($amount / $min_amount * $min_point);
    				
    				$query = $this->db->query("SELECT * FROM `contacts` WHERE `id` = ?", array($member_id));
    				$member = $query->row();
    				
    				$new_points = $member->points + $points;
    				
    				$sql = $this->db->update_string('contacts', array(
    					'loyalty_points'	=> $new_points,
    				),"`id` = '$member_id'");
    				
    				$this->db->query($sql);
    				
    			}
    			
    			// Invoice
    			if ($amount_credit){
    				$query = $this->db->query("SELECT * FROM `contacts` WHERE `id` = ?", array($sale->customer_id));
    				$customer = $query->row();
    				
    				
    				$address['address1']	= $customer->address1;
    				$address['address2']	= $customer->address2;
    				$address['zipcode']		= $customer->zipcode;
    				$address['city']		= $customer->city;
    				$address['state']		= $customer->state;
    				$address['country']		= $customer->country;
    				
    				
    				$sql = $this->db->insert_string('invoices',array(
						'txn_no'				=> $inv_ser = $this->serial_no('invoices'),
    					'date'					=> date('Y-m-d H:i:s'),
    					'contact'				=> $customer->company_name ? $customer->company_name : $customer->contact_person,
    					'contact_id'			=> $customer->id,
    					'contact_address'		=> json_encode($address),
    					'delivery_address'		=> json_encode($address),
    					'delivery_status'		=> 'Delivered',
    					'terms'					=> 'Credit',
    					'status'				=> 'Delivered',
    					'handling_charges'		=> 0,
    					'adjustment'			=> $sale->adjustment > 0 ? $sale->adjustment : 0 - $sale->adjustment,
    					'adjustment_type'		=> $sale->adjustment > 0 ? 'Add' : 'Deduct',
    					'total'					=> $amount_credit,
    					'total_delivered' 		=> $amount_credit,
    					'payment_status'		=> 'Unpaid',
    					'duration'				=> $customer->credit_term,
    					'amount_cash'			=> $amount_cash,
    					'amount_cc'				=> $amount_cc,
    					'amount_cheque'			=> $amount_cheque,
    					'amount_credit'			=> $amount_credit,
    					'amount_bank_deposit'	=> $amount_bank_deposit,
				    	'tax'					=> $sale->taxes,
				    	'total_tax'				=> $sale->tax_amount,
    					'paid_cash'				=> 1,
    					'paid_cc'				=> 1,
    					'paid_cheque'			=> 1,
    					'paid_bank_deposit'		=> 1,
    					'paid_credit'			=> 0,
    					'added_on'				=> date('Y-m-d H:i:s'),
    					'added_by'				=> $this->user->data('username'),
    					'sales_reference_id' 	=> $queue_id,
						'warehouse_id'			=> $this->user->data('branch')
    				));
    				
    				$query = $this->db->query($sql);
    				
    				$invoice_id = $query->insert_id;
    				
    				$query = $this->db->query("SELECT * FROM `sale_items` WHERE `sale_id` = ?", array($queue_id));
    				
    				foreach ($query->result() as $item){
    					
    					$sql = $this->db->insert_string('invoice_items',array(
    		    			'invoice_id'		=> $invoice_id,
    		    			'type'				=> 'product',
    		    			'date'				=> date('Y-m-d H:i:s'),
    		    			'item_id'			=> $item->item_id,
    		    			'item_name'			=> $item->item_name,
    		    			'qty'				=> $item->qty,
    		    			'delivered'			=> $item->qty,
    		    			'price'				=> $item->amount,
    		    			'price_per_unit'	=> $item->price_per_unit,
    		    			'delivered_price'	=> $item->amount,
    		    			'taxable'			=> $item->taxable,
    		    			'tax_code'			=> $item->tax_code,
    		    			'margin'			=> $item->margin,
    		    			'cost'				=> $item->cost
    		    		));
    		    		
    		    		
    		    		$this->db->query($sql);

    				}
    				
    				
    		
    				$this->db->update('sales',array(
						'type'					=> 'queue',
	    				'payment_status'		=> 'Unpaid',
	    				'customer_id'			=> null,
	    				'customer'				=> null,
	    				'amount_tendered'		=> null,
	    				'amount_change'			=> null,
	    				'amount_cheque'			=> null,
	    				'amount_bank_deposit'	=> null,
	    				'amount_cash'			=> null,
	    				'amount_credit'			=> null,
	    				'amount_cc'				=> null,
	    				'amount_voucher'		=> null,
	    				'amount'				=> null,
	    				'payment_method'		=> null,
	    				'card_type'				=> null,
	    				'cc_cost'				=> null,
	    				'customer_phone'		=> null,
	    				'remarks'				=> null,
	    				'datetime'				=> date('Y-m-d H:i:s'),
	    				'warehouse_id'			=> $this->user->data('branch'),
	    				'usid'					=> null	    				
    				), array(
	    				'id'					=> $queue_id
    				));
    				
    				$this->db->query("DELETE FROM `sale_items` WHERE `sale_id` = ?", array($queue_id));
    				
    				$obj['credit_checkout']		= true;
    				$obj['invoice_no']			= $inv_ser;

    			}
    			
    			$obj['tendered']		= number_format($amount_tendered,2);
    			$obj['amount_credit']	= number_format($amount_credit,2);
    			$obj['amount_cc']		= number_format($amount_cc,2);
    			$obj['amount_cash']		= number_format($amount_cash,2);
    			$obj['amount_cheque']	= number_format($amount_cheque,2);
    			$obj['change']			= number_format($change,2);
    			$obj['status']			= 'Success';
    			
    			
    			echo json_encode($obj);				
    		
    			break;
    		case "redeem":
    			$queue_id = $this->input->post('queue');
    			$member_id = $this->input->post('member');
    			
    			$query = $this->db->query("SELECT * FROM `sale_items` WHERE `sale_id` = ?", array($queue_id));

    			foreach ($query->result() as $sale_item){
    				$query = $this->db->query("SELECT * FROM `inventory` WHERE `id` = ?", array($sale_item->item_id));
    				$item = $query->row();
    				$amount += $item->redeem_points * $sale_item->qty;
    			}
    			

    			$query = $this->db->query("SELECT * FROM `sales` WHERE `id` = ?", array($queue_id));
    			$sale = $query->row();
    			
    			$sql = $this->db->update_string('sales',array(
    				'type'				=> 'history',
    				'payment_status'	=> 'Redeem',
    				'amount'			=> $amount,
    				'member_id'			=> $member_id,
    				'customer_id'		=> $member_id,
    				'is_redemption'		=> 1,
    				'datetime'			=> date('Y-m-d H:i:s')
    			),"`id` = '$queue_id'");
    			$this->db->query($sql);
    			
    			$sql = $this->db->update_string('sale_items', array(
    				'sold'				=> 1,
    				'redeemed'			=> 1,
    				'session'			=> $this->user->data('terminal_session'),
    				'member_id'			=> $member_id
    			),"`sale_id` = '$queue_id'");
    			$this->db->query($sql);
    				
    			$query = $this->db->query("SELECT * FROM `members` WHERE `id` = ?", array($member_id));	
    			$member = $query->row();
    			
    			$new_points = $member->points - $amount;
    				
    			$sql = $this->db->update_string('members', array(
    				'points'	=> $new_points,
    			),"`id` = '$member_id'");
    			$this->db->query($sql);
    				
    			$obj['amount'] = $amount;
    			$obj['balance'] = $new_points;
    			$obj['status'] = 'Success';				
    			echo json_encode($obj);				
    		
    			break;

    			
    		case "print_receipt":
    			$queue_id = $this->input->post('queue');
    			
    			break;
    		case "reprint_receipt":
    			$queue_id = $this->input->post('queue');
    			break;
    		case "get_queue_list":
    			
    			if ($this->system->uses('Clinic')){
    				$query = $this->db->query("SELECT * FROM `sales` WHERE `type` = 'queue' ORDER BY `id` DESC");
    				
    				foreach ($query->result() as $queue){
    					$scheduled = date('h:iA d/m/Y',strtotime($queue->added_on));
    					if ($queue->customer){
	    					$customer = $queue->customer;	
    					} else {
	    					$customer = 'TXN'.$queue->txn_no;
	    					$scheduled = '';
    					}
    					
    					if ($queue->queue_no){
	    					$queue_no = "<br />Queue No. : " . $queue->queue_no;
    					} else {
	    					$queue_no = '';	    					
    					}


	    				if ($queue->amount){
	    					$output .= "<li id=\"{$queue->id}\"><button class=\"vui-btn void-queue\">x</button>
	    						<strong>{$customer}</strong><br />{$scheduled}{$queue_no}
	    					</li>";
	    				} else {
	    					$output .= "<li id=\"{$queue->id}\"><button class=\"vui-btn void-queue\">x</button>
	    						<strong>{$customer}</strong><br />{$scheduled}{$queue_no}
	    					</li>";
	    				}
	    			}
	    			
    			} else {
    				$query = $this->db->query("SELECT * FROM `sales` WHERE `type` = 'queue' AND `session` = ? ORDER BY `id` DESC", array($this->user->data('terminal_session')));
    			
	    			foreach ($query->result() as $queue){
	    				$customer = $queue->customer ? $queue->customer . '<br />' : '';
	    				if ($queue->amount){
	    				$output .= "<li id=\"{$queue->id}\">
	    						<strong>{$customer}TXN{$queue->txn_no}</strong>
	    					</li>";
	    				} else {
	    				$output .= "<li id=\"{$queue->id}\">
	    						<strong>{$customer}TXN{$queue->txn_no}</strong>
	    					</li>";
	    				}
	    			}
    			}
    			
    			$obj['status'] = 'Success';
    			$obj['html'] = $output;
    			
    			echo json_encode($obj);
    			
    			break;
    		case "get_history_list":
    			$phone 	= $this->input->post('phone');
    			$usid	= $this->input->post('usid');
    			
    			if ($phone){
	    			$query = $this->db->query("SELECT * FROM `sales` WHERE `customer_phone` = ? ORDER BY `datetime` DESC",array($phone));    				
    			} elseif ($usid){
	    			$query = $this->db->query("SELECT * FROM `sales` WHERE `usid` = ? ORDER BY `datetime` DESC",array($usid));
    			} else {
    				$query = $this->db->query("SELECT * FROM `sales` WHERE `session` = ? AND `type` = 'history' ORDER BY `datetime` DESC",array($this->user->data('terminal_session'), $today,$tomorrow));
    			}
    			
    			foreach ($query->result() as $queue){
    				$time = date('h:iA j/m/Y',strtotime($queue->datetime));
    				$total_items = $this->get_total_items($queue->id);
	   				$customer = $queue->customer ? $queue->customer . '<br />' : '';
	   				
	   				$synced = $queue->sync ? '&#10003; ' : '';
	   				
	   				if ($this->system->uses('Clinic')){
	   					if ($customer){
	    					$output .= "<li id=\"{$queue->id}\">
    								<strong>{$synced}{$customer}</strong>TXN{$queue->txn_no} - RM{$queue->amount}<br />
    								{$total_items} item(s) at {$time} 
    							</li>";
	   					} else {
	    					$output .= "<li id=\"{$queue->id}\">
    								<strong>{$synced}TXN{$queue->txn_no} - RM{$queue->amount}</strong><br />
    								{$total_items} item(s) at {$time} 
    							</li>";		   					
	   					}
    				} else {
    					$output .= "<li id=\"{$queue->id}\">
    							<strong>{$synced}{$customer}TXN{$queue->txn_no} - RM{$queue->amount} </strong><br />
    							{$total_items} item(s) at {$time} 
    						</li>";	    				
    				}
    							
    			}
    			
    			$obj['status'] = 'Success';
    			$obj['phone'] = $phone;
    			$obj['html'] = $output;
    			
    			echo json_encode($obj);
    		
    			break;
    		case "get_item_list":
    			$queue_id = $this->input->post('queue');
    			$type = $this->input->post('type');
    			
    			if (strpos($queue_id,'-') !== false){
    				if ($type == 'invoice'){
	    				$query = $this->db->query("SELECT `id` FROM `invoices` WHERE `txn_no` = ?", array($queue_id));
	    				$row = $query->row();
	    				$queue_id = $row->id;
    				} else {
		    			$query = $this->db->query("SELECT `id` FROM `sales` WHERE `txn_no` = ?", array($queue_id));
		    			$row = $query->row();
		    			$queue_id = $row->id;
	    			}
    			}
    			
    			if ($type == 'invoice'){
    			


    				$query = $this->db->query("SELECT * FROM `invoices` WHERE `id` = ?",array($queue_id));
    				$sale = $query->row();
    				
    				$query = $this->db->query("SELECT * FROM `contacts` WHERE `id` = ?", array($sale->contact_id));
    				$customer = $query->row();
    				
    				$currency = $this->system->config('currency');
    				$query = $this->db->query("SELECT * FROM `invoice_items` WHERE `invoice_id` = ?",array($queue_id));
    				
    				foreach ($query->result() as $item){

    					$act_item = $this->inv->get_item_by_id($item->item_id);
    					$qty_in_stock = $act_item->qty;
    					    					
    					if ($item->serial_no){
    						$serial_nos = '<br />SN: ' . $item->serial_no;
    					} else {
    						$serial_nos = '';
    					}
    
    					if ($this->system->config('sales_screen_cost')) $cost = " ({$currency}{$item->cost}) ";
    					if ($act_item->redeemable) $redeemable = '1';
    					else $redeemable = '0';
    					
    					if ($item->discount_value){
    						if ($item->discount_type == 'd') $discount = '-' . number_format($item->discount_value,2);
    						else $discount = $item->discount_value . '%';
    					} else {
    						$discount = '';
    					}
    					
    					$redeem_points = $act_item->redeem_points;
    					
    					$price = $item->delivered_price != 0 ? $item->delivered_price : $item->price;
    					
    					if ($this->system->uses('Clinic')){
	    					$output .= "<li class=\"\" redeemable=\"{$redeemable}\" points=\"{$redeem_points}\" id=\"{$item->id}\" qty=\"{$item->qty}\" name=\"{$act_item->name}\" price=\"{$act_item->price}\"><table class=\"vui-dt-row\"><tr>
	    						<td style=\"width: 50%\"><strong style=\"font-size: 11pt\">{$item->item_name}</strong<br />Dosage: {$item->clinic_dosage}<br />{$act_item->sku} {$cost} {$serial_nos}</td>
	    						<td style=\"width: 20%; font-weight: bold; font-size: 12pt; text-align: center;\">{$item->qty} <small>{$item->unit}</small><br /><small style=\"font-weight:normal; color: #AAA\">({$qty_in_stock})</small></td>
	    						<td style=\"width: 15%; font-weight: bold; font-size: 11pt; text-align: center;\">{$discount}</td>
	    						<td class=\"item-amount\" style=\"width: 20%; text-align: right;\">{$price}</td>
	    					</tr></table></li>";	    					
    					} else {
	    					if ($item->return){
		    					$return = ' [RETURNED]';
	    					} else {
		    					$return = '';
	    					}
	    					$output .= "<li class=\"\" redeemable=\"{$redeemable}\" points=\"{$redeem_points}\" id=\"{$item->id}\" qty=\"{$item->qty}\" name=\"{$act_item->name}\" price=\"{$act_item->price}\"><table class=\"vui-dt-row\"><tr>
	    						<td style=\"width: 50%\"><strong style=\"font-size: 11pt\">{$item->item_name} {$return}</strong><br />{$act_item->sku} {$cost} {$serial_nos}</td>
	    						<td style=\"width: 20%; font-weight: bold; font-size: 12pt; text-align: center;\">{$item->qty} <small>{$item->unit}</small><br /><small style=\"font-weight:normal; color: #AAA\">({$qty_in_stock})</small></td>
	    						<td style=\"width: 15%; font-weight: bold; font-size: 11pt; text-align: center;\">{$discount}</td>
	    						<td class=\"item-amount\" style=\"width: 20%; text-align: right;\">{$price}</td>
	    					</tr></table></li>";
    					}
    				}
    				
    				$obj['status']			= 'Success';
    				$obj['discount']		= $sale->discount == 'undefined' ? 0 : $sale->discount; 
    				$obj['discount_type']	= $sale->discount_type;
    				$obj['gross_profit']	= number_format(($sale->total_delivered != 0 ? $sale->total_delivered : $sale->total) - $sale->cost,2);
    				$obj['amount']			= $sale->total_delivered != 0 ? $sale->total_delivered : $sale->total;
    				$obj['delivery']		= $sale->shipping_amount;
    				$obj['shipping_id']		= $sale->shipping;
    				$obj['adjustment'] 		= $sale->adjustment;
    				$obj['taxes']			= $sale->total_tax;
    				$obj['tax_breakdown']	= json_decode($sale->tax);
    				$obj['customer']		= $customer;
    				$obj['remarks']			= $sale->remarks;
    				$obj['html'] 			= $output;
    				$obj['queue_id']		= $sale->id;
    			
    			
    			} else {

    				$query = $this->db->query("SELECT * FROM `sales` WHERE `id` = ?",array($queue_id));
    				$sale = $query->row();
    				
    				$query = $this->db->query("SELECT * FROM `contacts` WHERE `id` = ?", array($sale->customer_id));
    				$customer = $query->row();
    				
    				$currency = $this->system->config('currency');
    				$query = $this->db->query("SELECT * FROM `sale_items` WHERE `sale_id` = ?",array($queue_id));
    				foreach ($query->result() as $item){

    					$act_item 		= $this->inv->get_item_by_id($item->item_id);
    					$qty_in_stock 	= $act_item->qty;
    					
    					if ($item->serial_no){
    						$serial_nos = '<br />SN: ' . $item->serial_no;
    					} else {
    						$serial_nos = '';
    					}
    
    					if ($this->system->config('sales_screen_cost')) $cost = " ({$currency}{$item->cost}) ";
    					if ($act_item->redeemable) $redeemable = '1';
    					else $redeemable = '0';
    					
    					if ($item->discount_value){
    						if ($item->discount_type == 'd') $discount = '-' . number_format($item->discount_value,2);
    						else $discount = $item->discount_value . '%';
    					} else {
    						$discount = '';
    					}
    					
    					$redeem_points = $act_item->redeem_points;
    					if ($this->system->uses('Clinic')){
	    					if ($item->sku_select == 1){
	    						$output .= "<li class=\"\" redeemable=\"{$redeemable}\" points=\"{$redeem_points}\" id=\"{$item->id}\" qty=\"{$item->qty}\" name=\"{$act_item->name}\" price=\"{$act_item->price}\"><table class=\"vui-dt-row\"><tr>
	    							<td style=\"width: 50%\"><strong style=\"font-size: 11pt\">{$item->item_name}</strong><br />Dosage: {$item->clinic_dosage}<br />{$item->item_sku} {$cost} {$serial_nos}</td>
	    							<td style=\"width: 20%; font-weight: bold; font-size: 12pt; text-align: center;\">{$item->qty} <small>{$item->unit}</small><br /><small style=\"font-weight:normal; color: #AAA\">({$qty_in_stock})</small></td>
	    							<td style=\"width: 15%; font-weight: bold; font-size: 11pt; text-align: center;\">{$discount}</td>
	    							<td class=\"item-amount\" style=\"width: 20%; text-align: right;\">{$item->amount}</td>
	    						</tr></table></li>";
	    					} else {
	    						$qty_unit = $item->qty / $item->qty_fraction;
	    						$output .= "<li class=\"\" redeemable=\"{$redeemable}\" points=\"{$redeem_points}\" id=\"{$item->id}\" qty=\"{$item->qty}\" name=\"{$act_item->name}\" price=\"{$act_item->price}\"><table class=\"vui-dt-row\"><tr>
	    							<td style=\"width: 50%\"><strong style=\"font-size: 11pt\">{$item->item_name}</strong><br />Dosage: {$item->clinic_dosage}<br />{$item->item_sku2} {$cost} {$serial_nos}</td>
	    							<td style=\"width: 20%; font-weight: bold; font-size: 12pt; text-align: center;\">{$qty_unit} <small>{$item->unit}</small><br /><small style=\"font-weight:normal; color: #AAA\">({$qty_in_stock})</small></td>
	    							<td style=\"width: 15%; font-weight: bold; font-size: 11pt; text-align: center;\">{$discount}</td>
	    							<td class=\"item-amount\" style=\"width: 20%; text-align: right;\">{$item->amount}</td>
	    						</tr></table></li>";
	    					}
    					} else {
	    					if ($item->return){
		    					$return = ' [RETURNED]';
	    					} else {
		    					$return = '';
	    					}
        					if ($item->sku_select == 1){
	    						$output .= "<li class=\"\" redeemable=\"{$redeemable}\" points=\"{$redeem_points}\" id=\"{$item->id}\" qty=\"{$item->qty}\" name=\"{$act_item->name}\" price=\"{$act_item->price}\"><table class=\"vui-dt-row\"><tr>
	    							<td style=\"width: 50%\"><strong style=\"font-size: 11pt\">{$item->item_name} {$return}</strong><br />{$item->item_sku} {$cost} {$serial_nos}</td>
	    							<td style=\"width: 20%; font-weight: bold; font-size: 12pt; text-align: center;\">{$item->qty} <small>{$item->unit}</small><br /><small style=\"font-weight:normal; color: #AAA\">({$qty_in_stock})</small></td>
	    							<td style=\"width: 15%; font-weight: bold; font-size: 11pt; text-align: center;\">{$discount}</td>
	    							<td class=\"item-amount\" style=\"width: 20%; text-align: right;\">{$item->amount}</td>
	    						</tr></table></li>";
	    					} else {
	    						$qty_unit = $item->qty / $item->qty_fraction;
	    						$output .= "<li class=\"\" redeemable=\"{$redeemable}\" points=\"{$redeem_points}\" id=\"{$item->id}\" qty=\"{$item->qty}\" name=\"{$act_item->name}\" price=\"{$act_item->price}\"><table class=\"vui-dt-row\"><tr>
	    							<td style=\"width: 50%\"><strong style=\"font-size: 11pt\">{$item->item_name} {$return}</strong><br />{$item->item_sku2} {$cost} {$serial_nos}</td>
	    							<td style=\"width: 20%; font-weight: bold; font-size: 12pt; text-align: center;\">{$qty_unit} <small>{$item->unit}</small><br /><small style=\"font-weight:normal; color: #AAA\">({$qty_in_stock})</small></td>
	    							<td style=\"width: 15%; font-weight: bold; font-size: 11pt; text-align: center;\">{$discount}</td>
	    							<td class=\"item-amount\" style=\"width: 20%; text-align: right;\">{$item->amount}</td>
	    						</tr></table></li>";
	    					}

    					}
    				}
    				
    				$obj['status'] 			= 'Success';
    				$obj['discount']		= $d = $sale->discount == 'undefined' ? 0 : $sale->discount; 
    				$obj['discount_type'] 	= $d ? $sale->discount_type : '';
    				$obj['gross_profit'] 	= number_format($sale->amount - $sale->cost,2);
    				$obj['amount'] 			= str_replace(',','',number_format($this->Update_amount($queue_id),2));
    				$obj['delivery'] 		= $sale->shipping_amount ? $sale->shipping_amount : '';
    				$obj['tax_breakdown']	= json_decode($sale->taxes);
    				$obj['shipping_id']		= $sale->shipping;
    				$obj['taxes']			= $sale->tax_amount;
    				$obj['customer']		= $customer;
    				$obj['adjustment'] 		= $sale->adjustment;
    				$obj['remarks']			= $sale->remarks;
    				$obj['html'] 			= $output;
    				$obj['queue_id']		= $sale->id;
    				
    			}
    			
    			echo json_encode($obj);
    		
    			break;
    		case "search_items":
    			$name = $this->input->post('name');
    			
    			if ($this->system->config('warehouse_shared_inventory')){
	    			$query = $this->db->query("SELECT * FROM `inventory` WHERE `name` LIKE ?", array('%'.$name.'%'));	    			
    			} else {
	    			$query = $this->db->query("SELECT * FROM `inventory` WHERE `name` LIKE ? AND `warehouse_id` = ?", array('%'.$name.'%', $this->user->data('branch'))); 
    			}

    			foreach ($query->result() as $item){
    				$output .= "<li sku=\"{$item->sku}\">
    							<span class=\"price\">{$item->price}</span>
		    					{$item->name}
		    					</li>";
    			}
    			$obj['status'] = 'Success';
    			$obj['html'] = $output;
    			
    			echo json_encode($obj);
    			break;
    			
    		case "employee_clock_in":
    			$username = $this->input->post('username');
    			$password = $this->input->post('password');
    			
    			if ($employee_id = $this->user->verify_authentication($username, $password)){
    				$this->user->clock_in($employee_id);
    				$result->status = 'OK';
    			} else {
    				$result->status = 'Auth Failed';
    			}
    			
    			echo json_encode($result);
    			
    			break;
    		
    		case "employee_clock_out":
    			$username = $this->input->post('username');
    			$password = $this->input->post('password');
    			
    			if ($employee_id = $this->user->verify_authentication($username, $password)){
    				$co_status = $this->user->clock_out($employee_id);
    				
    				if ($co_status){
    					$result->status = 'OK';
    				} else {
    					$result->status = 'No CI Record';
    				}
    				
    			} else {
    				$result->status = 'Auth Failed';
    			}
    			
    			echo json_encode($result);
    			
    			break;
    			
    		case "clear_customer":
	    		$queue_id = $this->input->post('queue_id');			
    			$price_rules = json_decode($this->system->config('price_rules'));
    			
	    			
	    		$this->db->update('sales', array(
    			    'customer_id'	=> '',
    			    'customer'		=> ''
    			), "`id` = '{$queue_id}'");
	    		
	    		$query = $this->db->query("SELECT * FROM `sale_items` WHERE `sale_id` = ?", array($queue_id));
	    		foreach ($query->result() as $item){
	    		    $query = $this->db->query("SELECT * FROM `inventory` WHERE `id` = ?", array($item->item_id));
	    		    $actual_item = $query->row();
	    		    $item->price = $actual_item->price;
	    		    
	    		    $query = $this->db->query("SELECT * FROM `inventory_stock_quantities` WHERE `item_id` = ? AND `warehouse_id` = ?", array($item->item_id, $this->user->data('branch')));
	    		    $isq = $query->row();
	    		    
	    		    $item->cost = $isq->cost;
		    	    
		    	    $item->price_per_unit = $item->price;
		    	    $item->amount = $item->price_per_unit * $item->qty;
		    	    
		    	    $this->db->update('sale_items', array(
		    	    	'price_per_unit'	=> $item->price_per_unit,
		    	    	'margin'			=> $item->amount - $item->cost,
		    	    	'amount'			=> $item->amount
		    	    ), "`id` = '{$item->id}'");

	    		}

		    	
		    	$result->status = 'Success';
	    		

    			echo json_encode($result);
    		
    			break;
    			
    		case "enter_customer":
    			$id = $this->input->post('customer_id');
    			$queue_id = $this->input->post('queue_id');
    			
    			$consultant_id = $this->input->post('consultant_id');
    			
    			$price_rules = json_decode($this->system->config('price_rules'));
    			
    			
    			$query = $this->db->query("SELECT * FROM `contacts` WHERE `id` = ?", array($id));
    			if ($query->num_rows()){
	    			$customer = $query->row();
	    			
	    			$this->db->update('sales', array(
    					'customer_id'	=> $customer->id,
    					'customer'		=> $customer->company_name ? $customer->company_name . ' (' . $customer->contact_person . ')' : $customer->contact_person,
    					'member_id'		=> $customer->id,
    					'consultant_id'	=> $consultant_id
    				), "`id` = '{$queue_id}'");
    				
	    			
	    			$query = $this->db->query("SELECT * FROM `sale_items` WHERE `sale_id` = ?", array($queue_id));
	    			foreach ($query->result() as $item){
	    				$query = $this->db->query("SELECT * FROM `inventory` WHERE `id` = ?", array($item->item_id));
	    				$actual_item = $query->row();
	    				
	    				if ($customer->rank){
		    				$item->price = $actual_item->{'price'.$price_rules->{str_replace(' ','_',$customer->rank)}};
		    			} else {
			    			$item->price = $actual_item->price;
		    			}
		    			
		    			$query = $this->db->query("SELECT * FROM `inventory_stock_quantities` WHERE `item_id` = ? AND `warehouse_id` = ?", array($item->item_id, $this->user->data('branch')));
		    			$isq = $query->row();
		    			
		    			$effective_price = $this->effective_price($customer, $item->id);
    					if ($effective_price && $effective_price < $item_price){
	    					$item->price = $effective_price;
	    					
    					} else {
		    			
			    			$item->price_per_unit = $item->price;
			    			$item->amount = $item->price_per_unit * $item->qty;
		    			}
		    			
		    			$this->db->update('sale_items', array(
		    				'price_per_unit'	=> $item->price_per_unit,
		    				'margin'			=> $item->amount - $isq->cost,
		    				'amount'			=> $item->amount
		    			), "`id` = '{$item->id}'");

	    			}
		    			
	    			if ($contact->rank){
		    			$item->price = $item->{'price'.$price_rules->{str_replace(' ','_',$contact->rank)}};
		    		}
		    		
		    		$result->status = 'Success';
	    			
    			} else {
	    			$result->status = 'Failed';
    			}
    			
    			echo json_encode($result);
    			
    			break;
    		
    		case "get_customer":
    			$identifier = $this->input->post('identifier') ? $this->input->post('identifier') : 'ic';
    			$id 		= $this->input->post('id');
    			
    			
    			$query = $this->db->query("SELECT * FROM `contacts` WHERE {$identifier} = ?", array($id));
    			if ($query->num_rows()){
	    			$result->status = 'Success';
	    			$result->customer = $query->row();
	    				    			
    			} else {
	    			$result->status = 'Failed';
    			}
    			
    			echo json_encode($result);
    			
    			break;
    		case "search_customer_by_name":
    			$name 		= $this->input->post('name');
    			
    			$query = $this->db->query("SELECT * FROM `contacts` WHERE `contact_person` LIKE ? OR `company_name` LIKE ?", array('%'.$name.'%', '%'.$name.'%'));
    			if ($query->num_rows()){
	    			$result->status = 'Success';
	    			$result->customers = $query->result();
	    				    			
    			} else {
	    			$result->status = 'Failed';
    			}
    			
    			echo json_encode($result);
    		
    			break;
    			
    		case "get_delivery_charges":
    		
    			$queue_id = $this->input->post('queue');
    			$id = $this->input->post('id');
    			
    			$query = $this->db->query("SELECT * FROM `shipping` WHERE `id` = ?", array($id));
    			$service = $query->row();
    			
    			$query = $this->db->query("SELECT * FROM `sales` WHERE `id` = ?", array($queue_id));
    			$sale = $query->row();
    			
    			$query = $this->db->query("SELECT * FROM `sale_items` WHERE `sale_id` = ?", array($queue_id));
    			$items = $query->result();
    			foreach ($items as $item){
    				$ditem = null;
    				$ditem->qty = $item->qty * $item->qty_fraction;
    				$ditem->id = $item->item_id;
    				$ditems[] = $ditem;
    			}
    			
    			$query = $this->db->query("SELECT * FROM `contacts` WHERE `id` = ?", array($sale->customer_id));
    			$contact = $query->row();
    			
    			$charges = $this->shipping->get_delivery_charges($id, $contact->country, $contact->zipcode, $ditems);
    			
    			$amount = $sale->amount + $charges->total_weight;
    			
    			$sql = $this->db->update_string('sales',array(
    				'amount'			=> $amount,
    				'shipping'			=> $id,
    				'shipping_name'		=> $service->name,
    				'shipping_weight'	=> $charges->total_weight,
    				'shipping_amount'	=> $charges->total_rate
    			),"`id` = '$queue_id'");
    			$this->db->query($sql);
    			
    			$result->sale = $sale;
    			$result->contact = $contact;
    			$result->items = $ditems;
    			$result->service = $id;
    			$result->queue_id = $queue_id;
    			$result->charges = $charges;
    			$result->status = 'Success';
    			
    			echo json_encode($result);
    			
    	}
    }
    
    
    function Update_amount($queue_id){
    	$query = $this->db->query("SELECT SUM(`amount`) AS `total`, SUM(`cost`) AS `total_cost` FROM `sale_items` WHERE `sale_id` = ? GROUP BY `sale_id`", array($queue_id));
    	$amount = $query->row();

    	$query = $this->db->query("SELECT SUM(`amount`) AS `total`, SUM(`cost`) AS `total_cost` FROM `sale_items` WHERE `sale_id` = ? AND `taxable` = 1 GROUP BY `sale_id`", array($queue_id));
    	$taxable = $query->row();
		
		$query = $this->db->query("SELECT * FROM `sales` WHERE `id` = ?", array($queue_id));
    	$sale = $query->row();
    	
		$discount = $sale->discount;
    	$dtype = $sale->discount_type;

		$final = $amount->total;
		
    	$subtotal = $final;

    	if ($discount){
    		if ($dtype == 'p'){
    			$final = str_replace(',','',number_format($final * ((100 - $discount) / 100),2));
    			$discount_amount = str_replace(',','',number_format($final * $discount / 100,2));
    			$taxable->total = str_replace(',','',number_format($taxable->total * ((100 - $discount) / 100),2));
    		} else {
    			$final = str_replace(',','',number_format($final - $discount,2));
    			$discount_amount = str_replace(',','',number_format($discount,2));
    		}
    	}
    	


		$taxes = $this->tax->get_enabled_taxes();
    	foreach ($taxes as $tax){
	    	
	    	$sale_tax = null;
	    	
	    	if ($tax->name == 'GST' || $tax->name == 'VAT'){
		    	
		    	if ($tax->inclusive){
		    		$sale_tax->amount = number_format($tax_amount = ($tax->percentage / (100+$tax->percentage) * $taxable->total), 2);
		    	} else {
		    		$sale_tax->amount = number_format($tax_amount = ($tax->percentage / 100 * $taxable->total), 2);			    	
		    	}

	    		$sale_tax->name = $tax->name;
				$sale_tax->percentage = $tax->percentage;
				$sale_tax->id = $tax->id;
				$sale_tax->inclusive = $tax->inclusive;
				
				$taxes_amount += $tax_amount;
					
				if (!$tax->inclusive){
					$add_amount += $tax_amount;
				}
	    	} else {
				$sale_tax->amount = number_format($tax_amount = ($tax->percentage / 100 * $final), 2);
				$sale_tax->name = $tax->name;
				$sale_tax->percentage = $tax->percentage;
				$sale_tax->id = $tax->id;
				$sale_tax->inclusive = $tax->inclusive;
				
				$taxes_amount += $tax_amount;
				
				if (!$tax->inclusive){
					$add_amount += $tax_amount;
				}
	    	}
	    	
	    	$sale_taxes[] = $sale_tax;

    	}
    	
    	$final = $final + $add_amount;
    	
    	if ($this->system->config('rounding_adjust')){
    		list($ones, $cents) = explode('.',str_replace(',','',number_format($final,2)));
    		
    		if ($cents[1] == 1){
    			$cents -= 1;
    			$adjustment = -1;
    		} elseif ($cents[1] == 2){
    			$cents -= 2;
    			$adjustment = -2;
    		} elseif ($cents[1] == 3){
    			$cents += 2;
    			$adjustment = 2;
    		} elseif ($cents[1] == 4){
    			$cents += 1;
    			$adjustment = 1;
    		} elseif ($cents[1] == 6){
    			$cents -= 1;
    			$adjustment = -1;
    		} elseif ($cents[1] == 7){
    			$cents -= 2;
    			$adjustment = -2;
    		} elseif ($cents[1] == 8){
    			$cents += 2;
    			$adjustment = 2;
    		} elseif ($cents[1] == 9){
    			$cents += 1;
    			$adjustment = 1;
    		} else {
    			$adjustment = 0;
    		}
    	} else {
    		$adjustment = 0;
    	}
    	
    	$final = $final + ($adjustment / 100);
    			    	
    	$sql = $this->db->update_string('sales',array(
    		'amount'			=> $final,
    		'subtotal'			=> $subtotal,
    		'discount_amount'	=> $discount_amount,
    		'taxes'				=> json_encode($sale_taxes),
    		'taxable_amount'	=> $taxable_amount->total,
    		'tax_amount'		=> $taxes_amount,
    		'cost'				=> $amount->total_cost,
    		'adjustment'		=> $adjustment / 100
    	),"`id` = '$queue_id'");
    	$this->db->query($sql);
    	
    	return $final;
    }
    
    function Get_total_items($queue_id){
    	$query = $this->db->query("SELECT * FROM `sale_items` WHERE `sale_id` = ?",$queue_id);
    	return $query->num_rows();
    }
    
    function Pos_session_data(){
    	$user = $this->user->data();
    	$session->logged_in_time = date('h:i:sA d/m/Y',strtotime($user->terminal_last_login));
    	
    	$time_duration = time() - strtotime($user->terminal_last_login);
    	$hours = floor($time_duration / (60 * 60));
    	$minutes = floor(($time_duration / 60) - ($hours * 60));
    	if ($hours){
    		$session->logged_in_duration = $hours . ' Hour(s) ' . $minutes . ' Minute(s)';
    	} else {
    		$session->logged_in_duration = $minutes . ' Minute(s)';
    	}
    	$session->time = date('h:iA');
    	$session->logged_in_as = $user->username;
    	
    	echo json_encode($session);
    }
    
    function Pos_cash_count_data(){
    	$employee = $this->user->data();
    	$query = $this->db->query("SELECT * FROM `sales` WHERE `session` = ? AND `type` = 'history' ORDER BY `datetime` DESC",array($this->user->data('terminal_session')));	
    	foreach ($query->result() as $sale){
    		$total_sales += $sale->amount_cash;
    	}
    	
    	$total->expected = $total_sales + $this->user->terminal_data('till_deposit');

    	echo json_encode($total);
    }
    
    function Logout(){
    	if ($this->user->data('username') != $this->input->post('username')){
    		if ($this->user->check_password()){
    			$session = $this->user->data('terminal_session');
    			$data = $this->user->cashout();
    			
				foreach ($this->tax->get_enabled_taxes() as $tax){
					if ($tax->name == 'GST'){
						$gst_percent = $tax->percentage;
					}
				}
    			
    			if ($this->system->config('receipt_type') == '3 Inch'){
	    			
    				$query = $this->db->query("SELECT SUM(`amount_cash`) AS `total_cash`, SUM(`amount_cc`) AS `total_cc`, SUM(`amount_cheque`) AS `total_cheque`, SUM(`amount_bank_deposit`) AS `total_bank_deposit`, SUM(`amount_credit`) AS `total_credit`, SUM(`amount`) AS `total_sales`, SUM(`tax_amount`) AS `total_tax` FROM `sales` WHERE `session` = ? GROUP BY `session`",array($session));
    				$in = $query->row();
    				
    				

    				$output = "From: " . $data->last_login;
    				$output .= "<br />To: " . $data->last_logout;
    				$output .= "<br />Total Sales: " . $this->system->config('currency') . number_format($in->total_sales,2);
    				$output .= "<br />Total Tax: " . $this->system->config('currency') . number_format($in->total_tax,2);
					$output .= "<br />Total SR: " . $this->system->config('currency') . number_format($in->total_tax/($gst_percent/100),2);
					$output .= "<br />Total ZR: " . $this->system->config('currency') . number_format($in->total_sales - ($in->total_tax/($gst_percent/100)) - $in->total_tax,2);
    				$output .= "<br />Cash Out: " . $this->system->config('currency') . number_format($this->input->post('counted'),2);
    				$output .= "<br />Discrepancy: " . $this->system->config('currency') . number_format($data->discrepancy,2);
    				$output .= "<br />Session No: " . $session;
    				$output .= "<br />";
    				
    				
    				$query = $this->db->query("SELECT SUM(`qty`) AS `total_qty`  FROM `sale_items` WHERE `session` = ? GROUP BY `session` LIMIT 1",array($session));
    				$out = $query->row();
    
    				$output .= "<hr />";				
    				$output .= "<h3>Denominations</h3>";
    				$output .= "<hr />";
    				$output .= "Amount Cash: RM {$in->total_cash}<br />";
    				$output .= "Amount Credit Card: RM {$in->total_cc}<br />";
    				$output .= "Amount Cheque: RM {$in->total_cheque}<br />";
    				$output .= "Amount Bank In: RM {$in->total_bank_deposit}<br />";
    				$output .= "Amount Credit: RM {$in->total_credit}<br />";
    				$output .= "Total Item Sold: {$out->total_qty}<br />";

    			} else {
	    			
    				$query = $this->db->query("SELECT SUM(`amount_cash`) AS `total_cash`, SUM(`amount_cc`) AS `total_cc`, SUM(`amount_cheque`) AS `total_cheque`, SUM(`amount_bank_deposit`) AS `total_bank_deposit`, SUM(`amount_credit`) AS `total_credit`, SUM(`amount`) AS `total_sales`, SUM(`tax_amount`) AS `total_tax` FROM `sales` WHERE `session` = ? GROUP BY `session`",array($session));
    				$in = $query->row();
    			
    				$output = "From: " . $data->last_login;
    				$output .= "<br />To: " . $data->last_logout;
    				$output .= "<br />Total Sales: " . $this->system->config('currency') . number_format($in->total_sales,2);
    				$output .= "<br />Total Tax: " . $this->system->config('currency') . number_format($in->total_tax,2);
					$output .= "<br />Total SR: " . $this->system->config('currency') . number_format($in->total_tax/($gst_percent/100),2);
					$output .= "<br />Total ZR: " . $this->system->config('currency') . number_format($in->total_sales - ($in->total_tax/($gst_percent/100)) - $in->total_tax,2);
    				$output .= "<br />Cash Out: " . $this->system->config('currency') . number_format($this->input->post('counted'),2);
    				$output .= "<br />Discrepancy: " . $this->system->config('currency') . number_format($data->discrepancy,2);
    				$output .= "<br />Session No: " . $session;
    				$output .= "<br />";
    				
    				
    				$query = $this->db->query("SELECT SUM(`qty`) AS `total_qty`  FROM `sale_items` WHERE `session` = ? GROUP BY `session` LIMIT 1",array($session));
    				$out = $query->row();
    
    				$output .= "<hr />";				
    				$output .= "<h3>Denominations</h3>";
    				$output .= "<hr />";
    				$output .= "Amount Cash: RM {$in->total_cash}<br />";
    				$output .= "Amount Credit Card: RM {$in->total_cc}<br />";
    				$output .= "Amount Cheque: RM {$in->total_cheque}<br />";
    				$output .= "Amount Bank In: RM {$in->total_bank_deposit}<br />";
    				$output .= "Amount Credit: RM {$in->total_credit}<br />";
    				$output .= "Total Item Sold: {$out->total_qty}<br />";

    			
    			}
    			echo $output;
    		} else {
    			echo 'false1';
    		}
    	} else {
    		echo 'false2';
    	}
    }
    
      
    function Update_credit_transactions(){
    	$query = $this->db->query("SELECT * FROM `sales` WHERE `amount_credit` > 0");
    	foreach ($query->result() as $sale){
    		$customer_id = $sale->customer_id;
    		
    		
    		$query = $this->db->query("SELECT * FROM `customers` WHERE `id` = ?", array($customer_id));
    		$customer = $query->row();
    			
    	    $sql = $this->db->insert_string('invoices',array(
    			'date'			=> $sale->datetime,
    	    	'customer'		=> $customer->company_name,
    	    	'customer_id'	=> $customer->id,
    	    	'terms'			=> 'Credit',
    	    	'status'		=> 'Delivered',
    	    	'total'			=> $sale->amount,
    	    	'total_delivered' => $sale->amount,
    	    	'payment_status'=> 'Unpaid',
    	    	'amount_cash'	=> $sale->amount_cash,
    	    	'amount_cc'		=> $sale->amount_cc,
    	    	'amount_cheque'	=> $sale->amount_cheque,
    	    	'amount_credit'	=> $sale->amount_credit,
    	    	'paid_cash'		=> 1,
    	    	'paid_cc'		=> 1,
    	    	'paid_cheque'	=> 1,
    	    	'paid_credit'	=> 0,
    	    	'added_on'		=> date('Y-m-d H:i:s'),
    	    	'added_by'		=> $sale->username,
    	    	'no_do'			=> 1,
    	    	'sales_reference_id' => $sale->id
    	    ));
    	    
    	    $query = $this->db->query($sql);
    	    
    	    $invoice_id = $query->insert_id;
    	    
    	    $query = $this->db->query("SELECT * FROM `sale_items` WHERE `sale_id` = ?", array($sale->id));
    	    
    	    foreach ($query->result() as $item){
    	    	
    	    	$sql = $this->db->insert_string('invoice_items',array(
    	    		'invoice_id'		=> $invoice_id,
    	    		'date'				=> date('Y-m-d H:i:s'),
    	    		'item_id'			=> $item->item_id,
    	    		'qty'				=> $item->qty,
    	    		'price'				=> $item->amount,
    	    		'price_per_unit'	=> $item->price_per_unit,
    	    		'margin'			=> $item->margin,
    	    		'cost'				=> $item->cost,
    	    		'no_do'				=> 1
    	    	));
    	    	
    	    	$this->db->query($sql);

    	    }

    	}
    }
    
    function Item_search(){
    	$this->load->view('retail/search');
    }
    
        
    function Get_serial_no(){
	    $query = $this->db->query("SELECT COUNT(id) AS `last_id` FROM `sales` WHERE `terminal` = ?", array($this->user->terminal()));
	    $row = $query->row();
	    
	    $serial = ($this->client_side ? 'L' : '') . $this->user->terminal() . '-' . (10000 + $row->last_id + 1);
	    return $serial;
    }
    
    // GENERAL
 
    
	function Get_city_list(){
		$country = $this->input->post('country');
		$query = $this->db->query("SELECT * FROM `states` WHERE `country` = ? ORDER BY `state` ASC",array($country));
		
		foreach ($query->result() as $city){
			$html .= "<option value=\"{$city->state}\">{$city->state}</option>";
		}
		echo $html;
	}
	
	// CUSTOMER RELATED
	
	function Credit_balance(){
    	$customer_id = $this->input->post('customer_id');
    	if ($customer_id == 0) echo '0.00';
    	else echo $this->contact->get_credit_balance($customer_id);
    }
    
    function Credit_limit(){
    	$customer_id = $this->input->post('customer_id');
    	if ($customer_id == 0) echo '0.00';
    	else echo $this->contact->get_credit_limit($customer_id);
    }


	function Check_customer(){
		if (!$this->user->check_session()) return;
		
		$ic = $this->input->post('ic');
		$query = $this->db->query("SELECT * FROM `contacts` WHERE `ic` = ?", array($ic));
		if ($query->num_rows()){
			if ($this->system->uses('Clinic')){
				$query = $this->db->query("SELECT * FROM `patients` WHERE `ic` = ?", array($ic));
				if ($query->num_rows()){
					echo 'true';
					return;
				} else {
					echo 'false';
					return;
				}
			}
			echo 'true';
		} else {
			echo 'false';
		}
	}
	
	function Register(){
		if (!$this->user->check_session()) return;	
		
		$contact = $this->contact->get_contact_by_ic($this->input->post('ic'));
		
		if (!$contact){
			$query = $this->db->insert('contacts',array(
				'contact_person'		=> $this->input->post('name'),
				'ic'					=> $this->input->post('ic'),
				'is_customer'			=> 1,
				'contact_number'		=> $this->input->post('contact_number'),
				'address1'				=> $this->input->post('address1'),
				'address2'				=> $this->input->post('address2'),
				'city'					=> $this->input->post('city'),
				'zipcode'				=> $this->input->post('zipcode'),
				'state'					=> $this->input->post('state'),
				'country'				=> $this->input->post('country'),
				'tel'					=> $this->input->post('contact_number'),
				'general_email'			=> $this->input->post('email'),
				'user_type'				=> $this->input->post('user_type'),
				'added_on'				=> date('Y-m-d H:i:s'),
				'added_by'				=> $this->user->data('username'),
				'status'				=> 'Active'
			));
			
			$contact_id = $query->insert_id;
			
			if ($this->system->uses('Clinic')){
				$sql = $this->db->insert('patients',array(
					'contact_id'				=> $contact_id,
					'marital_status'			=> $this->input->post('marital_status'),
					'gender'					=> $this->input->post('gender'),
					'ic'						=> $this->input->post('ic'),
					'blood_type'				=> $this->input->post('blood_type'),			
					'weight'					=> $this->input->post('weight'),
					'emergency_contact'			=> $this->input->post('emergency_contact'),
					'height'					=> $this->input->post('height'),
					'allergy'					=> $this->input->post('allergy'),
					'spouse_ic'					=> $this->input->post('spouse_ic'),
					'added_on'					=> date('Y-m-d H:i:s'),
					'added_by'					=> $this->user->data('username')
				));
				
				$query = $this->db->query($sql);
			}
			
		} else {
		
			$contact_id = $contact->id;
			
			if ($this->system->uses('Clinic')){
				$query = $this->db->query("SELECT * FROM `patients` WHERE `contact_id` = ?", array($contact_id));
				if (!$query->num_rows()){
			
					$sql = $this->db->insert('patients',array(
						'contact_id'				=> $contact_id,
						'marital_status'			=> $this->input->post('marital_status'),
						'gender'					=> $this->input->post('gender'),
						'ic'						=> $this->input->post('ic'),
						'blood_type'				=> $this->input->post('blood_type'),			
						'weight'					=> $this->input->post('weight'),
						'emergency_contact'			=> $this->input->post('emergency_contact'),
						'height'					=> $this->input->post('height'),
						'allergy'					=> $this->input->post('allergy'),
						'spouse_ic'					=> $this->input->post('spouse_ic'),
						'added_on'					=> date('Y-m-d H:i:s'),
						'added_by'					=> $this->user->data('username')
					));
					
					$query = $this->db->query($sql);
				}
			}
			
		}

		
		
		echo '<script language="javascript" type="text/javascript">window.top.window.customerRegistered('.$id.');</script>';
		

	}
	
	function Member_points(){
    	$id = $this->input->post('id');
    	echo $this->contact->get_points_by_contact($id);
    }
    
	
	// BUSINESS LOGIC
	
	function Effective_price($customer, $item_id){
		// NO VALIDITY BY CONTACT
		if (!is_object($customer)) return;
		
		$query = $this->db->query("SELECT * FROM `sales_discount_rules` WHERE `contact` = ? AND `scope` = 'Customer' AND `date_validity` = 0", array($customer->id));
		foreach ($query->result() as $dr){
			if ($dr->is_performance_based){
				$from 	= strtotime(date('Y-m-d')) - ($dr->performance_duration * (60 * 60 * 24));
				$to 	= strtotime(date('Y-m-d'));
				
				$query 	= $this->db->query("SELECT SUM(`amount`) AS `total_sales` FROM `sales` WHERE `customer_id` = ? AND `type` = 'history' AND `datetime` >= ? AND `datetime` <= ?", array($customer->id, date('Y-m-d', $from), date('Y-m-d', $to) . ' 23:59:59'));
				$row	= $query->row();
				
				
				if (strtotime($dr->date_from) <= $from && strtotime($dr->date_to) >= $to && $row->total_sales >= $dr->performance_limit){
					$drs[] = $dr->id;					
				}				
			} else {
				$drs[] = $dr->id;				
			}

		}
		
		// WITH DATE VALIDITY BY CONTACT
		$query = $this->db->query("SELECT * FROM `sales_discount_rules` WHERE `contact` = ? AND `scope` = 'Customer' AND `date_validity` = 1 AND `date_from` <= ? AND `date_to` >= ?", array($customer->id, date('Y-m-d'), date('Y-m-d')));
		foreach ($query->result() as $dr){
			if ($dr->is_performance_based){
				$from 	= strtotime(date('Y-m-d')) - ($dr->performance_duration * (60 * 60 * 24));
				$to 	= strtotime(date('Y-m-d'));
				
				$query 	= $this->db->query("SELECT SUM(`amount`) AS `total_sales` FROM `sales` WHERE `customer_id` = ? AND `type` = 'history' AND `datetime` >= ? AND `datetime` <= ?", array($customer->id, date('Y-m-d', $from), date('Y-m-d', $to) . ' 23:59:59'));
				$row	= $query->row();
				
				
				if (strtotime($dr->date_from) <= $from && strtotime($dr->date_to) >= $to && $row->total_sales >= $dr->performance_limit){
					$drs[] = $dr->id;					
				}				
			} else {
				$drs[] = $dr->id;				
			}

		}

		// NO DATE VALIDITY BY RANK		
		$query = $this->db->query("SELECT * FROM `sales_discount_rules` WHERE FIND_IN_SET(?,`ranks`) AND `scope` = 'Rank' AND `date_validity` = 0", array($customer->rank));
		foreach ($query->result() as $dr){
			if ($dr->is_performance_based){
				$from 	= strtotime(date('Y-m-d')) - ($dr->performance_duration * (60 * 60 * 24));
				$to 	= strtotime(date('Y-m-d'));
				
				$query 	= $this->db->query("SELECT SUM(`amount`) AS `total_sales` FROM `sales` WHERE `customer_id` = ? AND `type` = 'history' AND `datetime` >= ? AND `datetime` <= ?", array($customer->id, date('Y-m-d', $from), date('Y-m-d', $to) . ' 23:59:59'));
				$row	= $query->row();
				
				
				if (strtotime($dr->date_from) <= $from && strtotime($dr->date_to) >= $to && $row->total_sales >= $dr->performance_limit){
					$drs[] = $dr->id;					
				}				
			} else {
				$drs[] = $dr->id;				
			}

		}

		// WITH DATE VALIDITY BY RANK
		$query = $this->db->query("SELECT `id` FROM `sales_discount_rules` WHERE FIND_IN_SET(?,`ranks`) AND `scope` = 'Rank' AND `date_validity` = 1 AND `date_from` <= ? AND `date_to` >= ?", array($customer->rank, date('Y-m-d'), date('Y-m-d')));
		foreach ($query->result() as $dr){
			if ($dr->is_performance_based){
				$from 	= strtotime(date('Y-m-d')) - ($dr->performance_duration * (60 * 60 * 24));
				$to 	= strtotime(date('Y-m-d'));
				
				$query 	= $this->db->query("SELECT SUM(`amount`) AS `total_sales` FROM `sales` WHERE `customer_id` = ? AND `type` = 'history' AND `datetime` >= ? AND `datetime` <= ?", array($customer->id, date('Y-m-d', $from), date('Y-m-d', $to) . ' 23:59:59'));
				$row	= $query->row();
				
				
				if (strtotime($dr->date_from) <= $from && strtotime($dr->date_to) >= $to && $row->total_sales >= $dr->performance_limit){
					$drs[] = $dr->id;					
				}				
			} else {
				$drs[] = $dr->id;				
			}

		}
		
		$dr_ids_string = implode(',', $drs);		
		$query = $this->db->query("SELECT * FROM `sales_discount_item_rules` WHERE FIND_IN_SET(`rule_id`, ?) AND `item_id` = ?", array($dr_ids_string, $item_id));
		
		
		foreach ($query->result() as $dr_item){
			$price[] = $dr_item->discount_price;	
		}
		
		sort($price, SORT_NUMERIC);
		
		return $price[0];
		
	}
	
	
	// SERVER API CALL FUNCTION
	
	function __request($request, $post){
		

		$res = fopen('CONN','r');
		$conn = fread($res, filesize('CONN'));
		fclose($res);
		
		$res = fopen('AUTHKEY','r');
		$auth_key = fread($res, filesize('AUTHKEY'));
		fclose($res);

		
		list($host, $terminal, $access_key) = explode('|', $conn);
		list($identifier, $key) = explode('/', $access_key);
		    
	    $post['_identifier']	= $identifier;
	    $post['_key']			= $key;
	    $post['_auth_key']		= $auth_key;
	    
		
		$opts = array('http' =>
		    array(
		        'method'  => 'POST',
		        'header'  => 'Content-type: application/x-www-form-urlencoded',
		        'content' => http_build_query($post)
		    )
		);
		
		$context  = stream_context_create($opts);
		
		$url = 'http://'.$host.'/os/api/'.$request;
		
		$result = file_get_contents($url, false, $context);
		
		$obj = json_decode($result);
		
		if (!is_object($obj)){
			return $result;
		} else {
			return $obj;
		}
		
	}
	
	// SYNCHRONIZATION
	
	function Get_latest_timestamp($table){
		if (!$this->client_side){
			return false;
		} else {
			$query			= $this->db->query("SELECT `lastchange` FROM `$table` ORDER BY `lastchange` DESC LIMIT 1");
			$ts				= $query->row();
			$data->status	= 'ok';
			$data->tb		= $table;
			$data->result	= $ts->lastchange;
			return json_encode($data);			
		}
	}
	
	function Sync_other($table){
		if (!$this->client_side){
			return false;
		} else {
			$data = json_decode($this->getLatestTimestamp($table),TRUE);
			$res = $this->__request('get_server_info_update', $data);
			
			if (!$res) return;
			
			foreach ($res->result as $item){
				# IF NOT EXIST ADD
				$query = $this->db->query("SELECT * FROM `$table` WHERE `id` = ?", array($item->id));
				
				if ($query->num_rows()){
					echo "<br/>UPDATE ITEM";
					$this->db->where('id', $item->id);
					$this->db->update($table, $item); 
					echo $item->id; 
				} else {
					echo "<br/>NEW ITEM";
					unset($item->id);
					$this->db->insert($table, $item); 
					echo $item->id; 
				} 
			}
		}
	}	
	
	function Sync(){
	    $query = $this->db->query("SELECT * FROM `sales` WHERE `sync` <> 1 AND `type` = 'history' LIMIT 10");
	    $sales = $query->result();
	    
	    
	    if (count($sales)){
	    
	    	foreach ($sales as $sale){
	    		$query = $this->db->query("SELECT * FROM `sale_items` WHERE `sale_id` = ?", array($sale->id));
	    		$sale_items = $query->result();
	    		
	    		$sale->sale_items = $sale_items;
	    		
	    		$sales_data[] = $sale;
	    	}
	    	
		    $res = $this->__request('push_sales_data', array(
		    	'sales'	=> json_encode($sales_data)
		    ));
		    
		    if (!is_object($res)){
		    	echo $res;
			    return;
		    }
		    
		    $sync_time 			= $res->result;
		    $client_sync_time 	= time();
		    
		    
		    foreach ($sales as $sale){
		    	$this->db->update('sales', array(
		    		'sync'				=> 1,
		    		'sync_time'			=> $sync_time,
		    		'client_sync_time'	=> $client_sync_time
		    	), "`id` = '{$sale->id}'");
		    }
		    
	    	echo 'UPDATED';	
		    
	    } else {
		    echo 'OK';
	    }
	    	    
    }


	// PRINT PROCESSOR
	
	function Print_processor($sd, $width){
	
		$this->load->helper('tp');
	
		define("CR", chr(0x0D));
		define("LF", chr(0x0A));
		define("SP", chr(0x20));
		define("HT", chr(0x09));
		define("ESC", chr(0x1B));
		define("GS", chr(0x1D));
		define("FS", chr(0x1C));
		
		$lines .= center_align(stripslashes($sd->company_data->name), floor($width)) . "\n";
		$lines .= center_align(stripslashes($sd->company_data->address1 . ', ' . $sd->company_data->address2), $width) . "\n";
		$lines .= center_align(stripslashes($sd->company_data->zipcode . ' ' . $sd->company_data->city . ', ' . $sd->company_data->state), $width) . "\n\n";
		$lines .= center_align("GST ID NO: " . $this->system->config('company_tax_no'), $width) . "\n\n";

		foreach ($sd->items as $item){
			if ($item->discount_type == 'p'){
				$disc = ' - ' . $item->discount_value . '%';	
			} elseif ($item->discount_type == 'd'){
				$disc = ' - ' . $sd->currency . $item->discount_value;
			} else {
				$disc = '';
			}
			$i_array[] = array($item->item_name . ' ['.$item->tax_code.'] ' . $disc, $item->qty, $item->amount);
			if ($item->item_sku){
				$i_array[] = array($item->item_sku,'','');
			}
			$xsubtotal += $item->amount;
		}

		$lines .= rstr('*',$width) . "\n";
		$lines .= "DATE: " . $sd->date . "\n";
		$lines .= "RCPT NO: " . $sd->txn_no . "\n";
		$lines .= "CASHIER: " . $sd->sale->username . "\n";

				
		$lines .= rstr('*',$width) . "\n";
		
		$bal_n = $width - 12;

		$lines .= columns($i_array, array(
				  	0 => array("align"=>"left","length"=>$bal_n),
				  	1 => array("align"=>"left","length"=>6),
				  	2 => array("align"=>"right","length"=>6)
				  )) . "\n";
		$lines .= rstr('*',$width) . "\n";
		
		$subtotal = $sd->sale->amount - $sd->sale->adjustment;

		$lines .= right_align("SUBTOTAL: " . $sd->currency . number_format($xsubtotal,2), $width, 0) . "\n";
		
		if ($sd->sale->discount != 0){
			if ($sd->sale->discount_type == 'p'){
				$disc_amount = number_format(($sd->sale->discount * $xsubtotal) / 100,2);
				$perc = $sd->sale->discount;
				$lines .= right_align("DISCOUNT {$perc}%: " . $sd->currency . $disc_amount, $width, 0) . "\n";
			}
			if ($sd->sale->discount_type == 'd'){
				$disc_amount = number_format($sd->sale->discount,2);
				$lines .= right_align("DISCOUNT: " .  $sd->currency . $disc_amount, $width, 0) . "\n";
			}
		}
		
		
		$lines .= right_align("GST: " . $sd->currency . number_format($sd->sale->tax_amount,2), $width, 0) . "\n";
		
		if ($sd->sale->adjustment != 0){
			$lines .= right_align("ROUNDING ADJUST: " . $sd->currency . number_format($sd->sale->adjustment,2), $width, 0) . "\n";			
		}
		

		$lines .= right_align("TOTAL: " . $sd->currency . number_format($sd->sale->amount,2), $width, 0) . "\n";

		$lines .= right_align("TENDERED: " . $sd->currency . number_format($sd->sale->amount_tendered,2), $width, 0) . "\n";
		$lines .= right_align("CHANGE: " . $sd->currency . number_format($sd->sale->amount_change,2), $width, 0) . "\n";
		$lines .= "\n";
		
		
		$contact = $sd->customer;
		
		if ($contact){
	    	$lines .= "\nMEMBER: ";
	    	$lines .= strtoupper($contact->company_name ? $contact->company_name : $contact->contact_person);
	    	$lines .= "\nMEMBER ID: " . $contact->ic;
	    	$lines .= "\n\n";
	    }

		
		if ($sd->sale->amount_cash != $sd->sale->amount){
			
			$lines .= center_align("* * PAYMENT BREAKDOWN * *", $width, 0) . "\n\n";
		
			if ($sd->sale->amount_cc){
				$lines .= left_align("CREDIT CARD (".$sd->card->name . "): " . $sd->currency . number_format($sd->sale->amount_cc,2), $width, 0) . "\n";
			}
	
			if ($sd->sale->amount_bank_deposit){
				$lines .= left_align("BANK DEPOSIT: " . $sd->currency . number_format($sd->sale->amount_bank_deposit,2), $width, 0) . "\n";
			}

			if ($sd->sale->amount_voucher){
				$lines .= left_align("VOUCHER: " . $sd->currency . number_format($sd->sale->amount_voucher,2), $width, 0) . "\n";
			}
			
			
		
		} 

		$lines .= "\n";
						
		$lines .= $sd->footer;
				
		return $lines;
	}
	
	function Serial_no($type, $warehouse_id){
		$warehouse = $warehouse_id ? $warehouse_id : $this->user->data('branch');
		$query = $this->db->query("SELECT `txn_no` FROM `$type` WHERE `warehouse_id` = ? ORDER BY `txn_no` DESC LIMIT 1", array($warehouse));
		$row = $query->row();
		
		list($w, $txn_no) = explode('-', $row->txn_no);
		
		if (!$txn_no){
			$next_id = $warehouse . '-' . 10001;
		} else {
			$next_id = $warehouse . '-' . ($txn_no + 1);
		}

		return $next_id;
	}

}