<html>
	
	<head>
		<title>Plexcloud - F&amp;B Cashout Reports</title>
		<style>
			body {
				font-family: sans-serif;
				font-size: 10pt;
			}
			table {
				width: 100%;
				border-collapse: collapse;
			}			
			
			table td {
				border-bottom: 1px solid #ddd;
				padding: 10px;
			}
			
			table tr:hover td {
				background: #eee;
			}
			
			table th {
				border-bottom: 2px solid #aaa;
				text-align: left;
				padding: 10px;
			}
		</style>
		<script type="text/javascript" src="<?php echo base_url(); ?>js/jquery.js"></script>
		<script type="text/javascript">
			
			$(document).ready(function(){
				
				$('input.update-gs').change(function(){
					var amount = $(this).val();
					var session = $(this).attr('rel');
					
					$(this).attr('disabled',true);
					var that = this;
					
					$.ajax({
						url: '<?php echo base_url(); ?>fnbpos/ugs',
						type: 'post',
						data: 'session='+session+'&amount='+amount,
						success: function(){
							$(that).removeAttr('disabled');
						}
						
					})
				})
				
				$('input.update-gst').change(function(){
					var amount = $(this).val();					
					var session = $(this).attr('rel');
					
					$(this).attr('disabled',true);
					var that = this;
					
					$.ajax({
						url: '<?php echo base_url(); ?>fnbpos/ugst',
						type: 'post',
						data: 'session='+session+'&amount='+amount,
						success: function(){
							$(that).removeAttr('disabled');
						}
						
					})
				})
				
			})
			
		</script>
	</head>
	<body style="text-align: center">
		<div style="width: 800px; margin: 0 auto; text-align: left;">
			<h1>F&amp;B Cashout Reports</h1>
			<table>
				<thead>
					<tr>
						<th>Date/Time</th>
						<th>Session</th>
						<?php if ($secret): ?>
						<th>Gross</th>
						<?php endif; ?>
						<th></th>
					</tr>
				</thead>
				<tbody>
					<?php foreach ($sessions as $session): ?>
					<tr>
						<td><?php echo $session->datetime; ?></td>
						<td><?php echo $session->session; ?></td>
						<?php if ($secret): ?>
						<td><input type="text" class="update-gs" rel="<?php echo $session->session; ?>" /></td>
						<?php endif; ?>

						<td style="text-align: right">
							<?php if ($secret): ?>
							<a target="_blank" href="<?php echo base_url(); ?>fnbpos/view_report/<?php echo $session->session; ?>/view">View / Print Report</a>
							<?php else: ?>
							<a href="<?php echo base_url(); ?>fnbpos/view_report/<?php echo $session->session; ?>">View / Print Report</a>							
							<?php endif; ?>
						</td>
					</tr>
					<?php endforeach; ?>
				</tbody>
			</table>
		</div>
	</body>
	
</html>