<!DOCTYPE HTML>
<html>

	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta http-equiv="Cache-Control" content="no-cache" />
		<meta http-equiv="Pragma" content="no-cache" />

		<base href="<?php echo base_url();?>" />
		<title><?php echo $this->system->config('company_name'); ?></title>
		<link rel="stylesheet" href="css/clinic/style.css" />
		<script type="text/javascript" src="js/clinic/jquery-1.4.3.min.js"></script>
		<script type="text/javascript" src="js/clinic/session.js"></script>

		<style>
		#container{
		}
		div.box {
			color: #FFF;
			float:left;
			width: 25%;
			height: 400px;
			text-align: center;
			box-shadow: 0 0 30px rgba(0,0,0,0.5) inset;
			background: rgba(0,0,0,0.5);
			
		}
		
		div.box h1 {
			font-weight: normal;
			padding-top: 20px;
		}
		
		.Qno{
			font-size: 70pt;
			font-family: Arial;
			
		}
		</style>
		<script type="text/javascript">
		
		function update_display(){

			cnt=1;
			$.ajax({
					url: 'clinic/check_queue',
			    	dataType: 'json',
			    	success: function (item){
			    		console.log(item);
				    	for (var i = 0; i < item.length; i++) { 
				    		int = i +1;
				    		var tar = item[i];
						    //alert(tar.id);
						    document.getElementById('perawat_'+int).innerHTML = tar.consultant_name;	
							document.getElementById('queue_'+int).innerHTML = tar.queue_no;						    
						}      
			    	}
			})

		}	
		
		$(document).ready(function(){
		
		
			setInterval(function(){
				update_display();// method to be executed;
			},1000);
		
		});
			
					
		</script>
	</head>
	
	<body>
		<div id="container">
		<div style="text-align:center;padding:30px 10px; background: #FFF; ">
			
			<?php if ($img_filename = $this->system->config('general_logo')): ?>
				<div style="text-align: center; padding: 5px 10px; "><img style="width: 230px;" src="<?php echo base_url(); ?>manager/assets/img/<?php echo $img_filename; ?>" /></div>
			<?php else: ?>
				<h3><?php echo $this->system->config('company_name'); ?>
			<?php endif; ?>			
			

		</div>

			<div class="box" id="box1">
				<table>
					<tr><h1>Perawat<p id="perawat_1"></p></h1></tr>
					<tr><p id="queue_1" class="Qno"></p></tr>
				</table>
			</div>
			
			<div class="box" id="box2">
				<table>
					<tr><h1>Perawat<p id="perawat_2"></p></h1></tr>
					<tr><p id="queue_2" class="Qno"></p></tr>
				</table>
			</div>
			
			<div class="box" id="box3">
				<table>
					<tr><h1>Perawat<p id="perawat_3"></p></h1></tr>
					<tr><p id="queue_3" class="Qno"></p></tr>
				</table>
			</div>
			
			<div class="box" id="box4">
				<table>
					<tr><h1>Perawat<p id="perawat_4"></p></h1></tr>
					<tr><p id="queue_4" class="Qno"></p></tr>
				</table>
			</div>

		</div>
	</body>
</html>	
	