<html>
<head>
	<link rel="stylesheet" href="<?php echo base_url(); ?>css/fnb/chit.css" type="text/css" />
</head>
<body>
	<h1>Cashout Report</h1>
	<table style="width: 100%">
		<tr>
			<td>From</td>
			<td style="text-align: right"><?php echo $from; ?></td>
		</tr>
		<tr>
			<td>To</td>
			<td style="text-align: right"><?php echo $to; ?></td>
		</tr>
		<tr>
			<td>Total Sales</td>
			<td style="text-align: right"><?php echo number_format($total_sales - $total_discount,2); ?></td>
		</tr>
		<tr>
			<td>Session No.</td>
			<td style="text-align: right"><?php echo $session_no; ?></td>		
		</tr>
		<tr>
			<td>Items Sold</td>
			<td style="text-align: right"><?php echo number_format($total_items); ?></td>		
		</tr>

	</table>
	<br /><br />
	<h3>Voided Sales</h3>
	<table style="width: 100%">
		<tr>
			<td>Total Voided Sales</td>
			<td style="text-align: right"><?php echo number_format($total_voided_sales); ?></td>
		</tr>
		<tr>
			<td>Total Voided Sales Amount</td>
			<td style="text-align: right"><?php echo number_format($total_voided_sales_amount,2); ?></td>
		</tr>
	</table>
	<br /><br />
	<h3>Voided Items</h3>
	<table style="width: 100%">
		<tr>
			<td>Total Voided Items</td>
			<td style="text-align: right"><?php echo number_format($total_voided_items); ?></td>
		</tr>
		<tr>
			<td>Total Voided Items Amount</td>
			<td style="text-align: right"><?php echo number_format($total_voided_item_amount,2); ?></td>
		</tr>
	</table>
	
	<br /><br />
	<h3>Category Breakdown</h3>
	<table style="width: 100%">
		<?php foreach ($categories as $category): ?>
		<tr>
			<td><?php echo $category->category; ?></td>
			<td style="text-align: right"><?php echo number_format($category->total_amount, 2); ?></td>
		</tr>
		<?php endforeach; ?>
	</table>
</body>
</html>