<html>
<head>
	<link media="print" rel="stylesheet" href="<?php echo base_url(); ?>css/fnb/chit.css" type="text/css" />
</head>
<body>

	
	<h3>Cashout Report</h3>
	
	<hr />
	
	<?php $report_name = $this->system->config('pos_sales_report_name'); ?>
	
	<?php if ($report_name): ?>
	
		<?php echo $report_name; ?>
		<hr />
	<?php endif; ?>
	
	
	<?php if ($this->system->config('pos_sales_report_no_print')): ?>
	
	<table style="width: 100%">
		<tr>
			<td>From</td>
			<td style="text-align: right"><?php echo $from; ?></td>
		</tr>
		<tr>
			<td>To</td>
			<td style="text-align: right"><?php echo $to; ?></td>
		</tr>
		<?php if ($this->system->config('report_running_numbers')): ?>
		<tr>
			<td>TXN Start</td>
			<td style="text-align: right"><?php echo $first_txn; ?></td>
		</tr>
		<tr>
			<td>TXN End</td>
			<td style="text-align: right"><?php echo $last_txn; ?></td>
		</tr>
		<?php endif; ?>
		
		<tr>
			<td>Session No.</td>
			<td style="text-align: right"><?php echo $session_no; ?></td>		
		</tr>

	</table>
	
	
	<?php else: ?>
	
	<table style="width: 100%">
		<tr>
			<td>From</td>
			<td style="text-align: right"><?php echo $from; ?></td>
		</tr>
		<tr>
			<td>To</td>
			<td style="text-align: right"><?php echo $to; ?></td>
		</tr>
		<?php if ($this->system->config('report_running_numbers')): ?>
		<tr>
			<td>TXN Start</td>
			<td style="text-align: right"><?php echo $first_txn; ?></td>
		</tr>
		<tr>
			<td>TXN End</td>
			<td style="text-align: right"><?php echo $last_txn; ?></td>
		</tr>
		<?php endif; ?>
		<tr>
			<td>Total Gross Sales</td>
			<td style="text-align: right"><?php echo number_format($total_sales,2); ?></td>
		</tr>
		<tr>
			<td>Total Discount Given</td>
			<td style="text-align: right"><?php echo number_format($total_discount,2); ?></td>
		</tr>
		<tr>
			<td>Total Adjustment</td>
			<td style="text-align: right"><?php echo number_format($total_adjustment, 2); ?></td>
		</tr>
		
		<?php if (!$this->system->config('pos_sales_hide_tax')): ?>
		
			<?php
				$query = $this->db->query("SELECT * FROM `tax` WHERE `name` = 'GST' OR `name` = 'SST' AND `enabled` = 1");
				$vat_gst = $query->row();
			?>
			<?php if ($vat_gst->inclusive): ?>
			<tr>
				<td>Total Evaluated Tax (Inclusive)</td>
				<td style="text-align: right"><?php echo number_format($total_sales * (6/106),2); ?></td>
			</tr>
			<tr>
				<td>Total Net Sales</td>
				<td style="text-align: right"><?php echo number_format($total_sales - ($total_sales * (6/106)),2); ?></td>
			</tr>
	
			<?php else: ?>
			<tr>
				<td>Total Accumulated Tax</td>
				<td style="text-align: right"><?php echo number_format($total_tax,2); ?></td>
			</tr>
			<tr>
				<td>Total Evaluated Tax</td>
				<td style="text-align: right"><?php echo number_format($total_net_sales * 0.06,2); ?></td>
			</tr>
			<tr>
				<td>Total Net Sales</td>
				<td style="text-align: right"><?php echo number_format($total_net_sales,2); ?></td>
			</tr>
	
			<?php endif; ?>
		
		<?php endif; ?>
		
		
		<tr>
			<td>Till Deposit</td>
			<td style="text-align: right"><?php echo number_format($deposited,2); ?></td>		
		</tr>
		<tr>
			<td>Counted in Till</td>
			<td style="text-align: right"><?php echo number_format($pm_breakdown->total_cash+$discrepancy+$deposited,2); ?></td>		
		</tr>
		<tr>
			<td>Cash Out</td>
			<td style="text-align: right"><?php echo number_format($pm_breakdown->total_cash+$discrepancy,2); ?></td>
		</tr>
		<tr>
			<td>Discrepancy</td>
			<td style="text-align: right"><?php echo number_format($discrepancy,2); ?></td>
		</tr>
		<tr>
			<td>Session No.</td>
			<td style="text-align: right"><?php echo $session_no; ?></td>		
		</tr>
		<tr>
			<td>Items Sold</td>
			<td style="text-align: right"><?php echo number_format($total_items); ?></td>		
		</tr>

	</table>
	
	<br /><br />
	<h3>Payment Breakdown</h3>
	<table style="width: 100%">
		<tr>
			<td>Cash</td>
			<td style="text-align: right"><?php echo number_format($pm_breakdown->total_cash,2); ?></td>
		</tr>
		<tr>
			<td>Credit Card</td>
			<td style="text-align: right"><?php echo number_format($pm_breakdown->total_cc,2); ?></td>
		</tr>
		<tr>
			<td>Voucher</td>
			<td style="text-align: right"><?php echo number_format($pm_breakdown->total_voucher,2); ?></td>
		</tr>
		<tr>
			<td>Cheque</td>
			<td style="text-align: right"><?php echo number_format($pm_breakdown->total_cheque,2); ?></td>
		</tr>

	</table>
	
	<br /><br />
	<h3>Voided Sales</h3>
	<table style="width: 100%">
		<tr>
			<td>Total Voided Sales</td>
			<td style="text-align: right"><?php echo number_format($total_voided_sales); ?></td>
		</tr>
		<tr>
			<td>Total Voided Sales Amount</td>
			<td style="text-align: right"><?php echo number_format($total_voided_sales_amount,2); ?></td>
		</tr>
	</table>
	<br /><br />
	<h3>Voided Items</h3>
	<table style="width: 100%">
		<tr>
			<td>Total Voided Items</td>
			<td style="text-align: right"><?php echo number_format($total_voided_items); ?></td>
		</tr>
		<tr>
			<td>Total Voided Items Amount</td>
			<td style="text-align: right"><?php echo number_format($total_voided_item_amount,2); ?></td>
		</tr>
	</table>
	
	<br /><br />
	<h3>Category Breakdown</h3>
	<table style="width: 100%">
		<?php foreach ($categories as $category): ?>
		<tr>
			<td><?php echo $category->category; ?></td>
			<td style="text-align: right"><?php echo number_format($category->total_amount, 2); ?></td>
		</tr>
		<?php endforeach; ?>
	</table>
	

	<?php $sc = $this->system->config('pos_substantive_categories'); ?>

	<?php if ($sc): $cats = explode(',',$sc); ?>
	
	
	<h3>Substantive Category Breakdown</h3>
	<table style="width: 100%">
		<?php foreach ($categories as $category): ?>
		<?php if (in_array($category->category, $cats)): ?>
		<tr>
			<td><?php echo $category->category; ?></td>
			<td style="text-align: right"><?php echo number_format($category->total_amount, 2); ?></td>
		</tr>
		<?php $total_substantive_sales += $category->total_amount; ?>
		<?php endif; ?>
		<?php endforeach; ?>
		<tr>
			<td>TOTAL</td>
			<td style="text-align: right"><?php echo number_format($total_substantive_sales, 2); ?></td>
		</tr>
	</table>
	
	<?php endif; ?>
	
	
	
	<?php endif; ?>
	
	
	
</body>
</html>