<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
	<head>
		<title>Plexcloud F&amp;B</title>
		
		<script type="text/javascript">
			var base_url = "<?php echo base_url(); ?>";
			var currency = "<?php echo $this->system->config('currency'); ?>";
			
			<?php if ($this->system->config('fnbpos_course_serving')): ?>
			var course_serving = 1;
			<?php else: ?>
			var course_serving = 0;			
			<?php endif; ?>
			var hide_pax = "<?php echo $this->system->config('fnbpos_hide_pax'); ?>";
			var card_no = "<?php echo $this->system->config('fnbpos_hide_cardno'); ?>";
		</script>
		<script type="text/javascript" src="<?php echo base_url(); ?>js/fnb/libqr.js"></script>
		<script type="text/javascript" src="<?php echo base_url(); ?>js/fnb/qrm.js"></script>
		<script type="text/javascript" src="<?php echo base_url(); ?>js/fnb/zepto.min.js?44"></script>
		<script type="text/javascript" src="<?php echo base_url(); ?>js/fnb/iphone-webframework.js?44"></script>
		<script type="text/javascript" src="<?php echo base_url(); ?>js/fnb/iphone-interactions.js?55"></script>
		<script type="text/javascript" src="<?php echo base_url(); ?>js/fnb/iphone-local-db.js?44"></script>
		<script type="text/javascript" src="<?php echo base_url(); ?>js/fnb/iscroll.js?44"></script>
		<script type="text/javascript" src="<?php echo base_url(); ?>js/fnb/shake.js?44"></script>
		
		<!--
		<link rel="apple-touch-icon" href="<?php echo base_url(); ?>images/plexcloud_icon.png" />
		<link rel="apple-touch-startup-image" href="<?php echo base_url(); ?>images/plexcloud_splash.png" />
		-->
		
		<!-- iPhone ICON -->
        <link href="<?php echo base_url(); ?>images/plexcloud-fnb-icon.png" sizes="57x57" rel="apple-touch-icon">
        <!-- iPhone (Retina) ICON-->
        <link href="<?php echo base_url(); ?>images/plexcloud-fnb-icon-retina.png" sizes="114x114" rel="apple-touch-icon">

        <!-- iPhone SPLASHSCREEN-->
        <link href="<?php echo base_url(); ?>images/plexcloud-fnb-splash.png" media="(device-width: 320px)" rel="apple-touch-startup-image">
        <!-- iPhone (Retina) SPLASHSCREEN-->
        <link href="<?php echo base_url(); ?>images/plexcloud-fnb-splash-retina.png" media="(device-width: 320px) and (-webkit-device-pixel-ratio: 2)" rel="apple-touch-startup-image">
        
        		
		<link rel="stylesheet" href="<?php echo base_url(); ?>css/fnb/iphone/style.css?46" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0;" > 
		<meta name="apple-mobile-web-app-capable" content="yes" />
		<meta name="apple-mobile-web-app-status-bar-style" content="black" />
		
		
	</head>
	<body ontouchmove="touchMove(event)" onload="load()">
	<div id="content">
		<div class="overlay"></div>
		<div class="explicit" style="z-index: 500; box-shadow: 0 0 3px rgba(0,0,0,0.5)"></div>
		<div class="topbar">
			<!-- <button rel="home" class="topbar-button" style="float: right; margin-right: 2px;">Resync</button> -->
			<button id="btn-logout" rel="home" class="topbar-button" style="float: left; margin-right: 35px;">Logout</button>

			<button id="btn-home" rel="table" class="topbar-button float-left">Back</button>
			<button id="btn-add-item" rel="table" class="topbar-button">Add Item</button>
			<button id="btn-back" class="topbar-button">Back</button>
			<span class="topbar-title"><a id="btn-resync">F&amp;B</a></span>
		</div>
		<div class="assign-table" style="position: fixed; display: none; color: #fff; padding: 10px; top: 0px; left: 0px; bottom: 0px; right: 0px; background: #000; z-index: 1000">

			<button style="float: right; margin-top: 10px" class="cancel-assign">Cancel</button>
			<h3>Assign Table</h3>
			
			<table style="width: 100%; margin-top: 30px">
				<tr>
					<td style="padding: 5px">Table Number</td>
					<td style="text-align: right"><span id="transfer-table-no" class="p-table-field" style="font-size: 15pt; width: 65px;"></span></td>
					<td><div class="p-btn" style="float: right; width: 100px">OK</div></td>							
				</tr>
			</table>
	
			<div class="numbers">
				<div class="p-btn">A</div>
				<div class="p-btn">B</div>
				<div class="p-btn">C</div>
				<br class="clearboth" />
				<div class="p-btn">1</div>
				<div class="p-btn">2</div>
				<div class="p-btn">3</div>
				<br class="clearboth" />
				<div class="p-btn">4</div>
				<div class="p-btn">5</div>
				<div class="p-btn">6</div>
				<br class="clearboth" />
				<div class="p-btn">7</div>
				<div class="p-btn">8</div>
				<div class="p-btn">9</div>
				<br class="clearboth" />
				<div class="p-btn">.</div>
				<div class="p-btn">0</div>
				<div class="p-btn">Clear</div>
				<br class="clearboth" />
			</div>

		</div>
		<div id="home" class="screen current" style="display: block">
			<p class="left-pad text-shadowed" style="color: #FFF">Logged in as <strong><?php echo $this->user->data('username'); ?></strong></p>
			<div class="p-btn-container" style="color: #FFF">
				
				<div class="tableno">
					<table style="width: 100%">
						<tr>
							<td style="padding: 5px">Table Number</td>
							<td style="text-align: right"><span class="p-table-field" style="font-size: 15pt; width: 65px;"></span></td>
							<?php if ($this->system->config('fnbpos_hide_pax') && $this->system->config('fnbpos_hide_cardno')): ?>
								<td><div class="p-btn" style="float: right; width: 100px">GO</div></td>
							<?php else: ?>
								<td><div class="p-btn" style="float: right; width: 100px">OK</div></td>							
							<?php endif; ?>
						</tr>
					</table>
	
					<div class="numbers">
						<div class="p-btn">A</div>
						<div class="p-btn">B</div>
						<div class="p-btn">C</div>
						<br class="clearboth" />
						<div class="p-btn">1</div>
						<div class="p-btn">2</div>
						<div class="p-btn">3</div>
						<br class="clearboth" />
						<div class="p-btn">4</div>
						<div class="p-btn">5</div>
						<div class="p-btn">6</div>
						<br class="clearboth" />
						<div class="p-btn">7</div>
						<div class="p-btn">8</div>
						<div class="p-btn">9</div>
						<br class="clearboth" />
						<div class="p-btn">.</div>
						<div class="p-btn">0</div>
						<div class="p-btn">Clear</div>
						<br class="clearboth" />
					</div>
				</div>
				
				<div class="cardno" style="display: none">
					
					<table style="width: 100%">
						<tr>
							<td style="padding: 5px">Card No</td>
							<td style="text-align: right"><span class="p-card-field" style="font-size: 15pt; width: 65px;"></span></td>
							<td><div class="p-btn" style="float: right; width: 100px">Save</div></td>
						</tr>
					</table>

					<div class="numbers">
						<br class="clearboth" />
						<div class="p-btn">1</div>
						<div class="p-btn">2</div>
						<div class="p-btn">3</div>
						<br class="clearboth" />
						<div class="p-btn">4</div>
						<div class="p-btn">5</div>
						<div class="p-btn">6</div>
						<br class="clearboth" />
						<div class="p-btn">7</div>
						<div class="p-btn">8</div>
						<div class="p-btn">9</div>
						<br class="clearboth" />
						<div class="p-btn">.</div>
						<div class="p-btn">0</div>
						<div class="p-btn">Clear</div>
						<br class="clearboth" />
					</div>
					<div>
						<div class="p-btn">Back</div>
					</div>
				</div>
				
				<div class="paxno" style="display: none">
					
					<table style="width: 100%">
						<tr>
							<td style="padding: 5px">No of Pax</td>
							<td style="text-align: right"><span class="p-pax-field" style="font-size: 15pt; width: 65px;"></span></td>
							<td><div class="p-btn" style="float: right; width: 100px">GO</div></td>
						</tr>
					</table>

					<div class="numbers">
						<br class="clearboth" />
						<div class="p-btn">1</div>
						<div class="p-btn">2</div>
						<div class="p-btn">3</div>
						<br class="clearboth" />
						<div class="p-btn">4</div>
						<div class="p-btn">5</div>
						<div class="p-btn">6</div>
						<br class="clearboth" />
						<div class="p-btn">7</div>
						<div class="p-btn">8</div>
						<div class="p-btn">9</div>
						<br class="clearboth" />
						<div class="p-btn">.</div>
						<div class="p-btn">0</div>
						<div class="p-btn">Clear</div>
						<br class="clearboth" />
					</div>
				</div>
			</div>
		

			<div class="scroller-container table-list" style="position: absolute; left: 10px; right: 10px; top: 90px; bottom: 50px; width: auto; height: auto;  display: none">
				<div id="scroller-table" style="min-height: 100%;">
					<ul class="list table-list">
					</ul>
				</div>
			</div>
			
			<div class="collapse-pane">Show Active Tables</div>
		</div>
		
		<div id="add-table" class="screen allow-back">
			<p class="left-pad text-shadowed"><strong class="white">Enter Table Number</strong></p>
			<input type="tel" id="in-table-number" maxlength="4" class="in" />
			<!--
			<p class="left-pad text-shadowed"><strong class="white">Enter Number of Pax</strong></p>
			<input type="tel" id="in-pax-number" maxlength="4" class="in" />
			-->
			<button id="btn-go-table" style="margin-top: 10px;">Go</button>
			<p class="left-pad text-shadowed table-errmsg" style="color: red"></p>
		</div>
		
		<div id="table" class="screen">
			<button id="btn-submit-orders" style="margin-top: 10px; float: right; width: auto; font-size: 10pt; display:none">Submit</button>
			
			<p class="left-pad text-shadowed"><strong class="white">Table #<span class="table-no"></span></strong></p>
			<p class="left-pad text-shadowed"><strong class="white">Card #<span class="card-no"></span></strong></p>
			<p class="left-pad text-shadowed"><strong class="white">Amount due: RM<span class="amount-due"></span></strong></p>
			<div class="scroller-container" style="height: auto; width: auto; position: absolute; left: 10px; right: 10px; top: 110px; bottom: 10px;">
				<div id="scroller-order" style="min-height: 100%">
					<ul class="list order-list">
				
					</ul>
					<br style="clear:both" />
				</div>
			</div>
			

			<button id="verify-order" style="margin-top: 10px; float: left; width: 145px; font-size: 10pt; display: none">Verify</button>
			<button id="cancel-order" style="margin-top: 10px; float: right; width: 145px; font-size: 10pt; display: none">Cancel</button>
		</div>
		
		<div id="menu" class="screen_overlay" style="height: 100%">
			<div class="btn-menu" style="position: absolute; bottom: 20px; left: 10px">
				<span class="alert" style="float: right; margin-left: 5px"></span>
				<button id="btn-menu-done" class="green" style="padding-left: 20px; padding-right: 20px">Done</button>
				<button id="btn-menu-back" class="" style="padding-left: 20px; padding-right: 20px; display: none">Back</button>
			</div>

			<div class="dropdown">
				<span class="arrow">&#x25bc;</span>
				<span class="current">Food</span>
				<div class="dropdown-content" style="z-index: 2000">
					<ul id="tab-menu" class="list">
						<?php foreach ($cd as $category): ?>
						<li class="category" rel="<?php echo $category->category; ?>"><?php echo $category->category; ?></li>
						<?php endforeach; ?>
					</ul>
				</div>
			</div>

			<div class="menu" style="position: absolute; top: 30px; right: 0px; left: 5px; bottom: 10px">
			    <ul class="select-list item-list" style="margin-top: 10px">
			    
			    </ul>
			    <ul class="select-list subcat" style="margin-top: 10px; display:none">
	
			    </ul>

			    <div class="item-options" style="display:none; box-sizing: border-box; margin-left: -3px">
			    	<p style="padding: 0 5px; height:30px">
			        	<strong class="cur-item-name"></strong> (<span class="cur-item-price"></span>) x <span class="cur-item-qty"></span><br /><span class="cur-item-option"></span>
			        </p>
			        <div style="height: 87px">
				        <button class="green float-right done-select" style="padding: 10px 28px; margin-right: 3px">Done</button>
				        <button class="float-right option-back" style="padding: 10px 28px;">Back</button>
				        <button class="red float-right clear-select" style="padding: 10px 28px">Clear</button>
				        <br style="clear: right" />						
				        <button class="float-right qty-deduct" style="padding: 10px 18px; width: 49%; box-sizing: border-box ">-</button>
				        <button class="float-left qty-add" style="padding: 10px 15px; width: 49%; box-sizing: border-box">+</button>

			        </div>
			        
			        <div style="height: 270px">
				        <ul id="scroller-options" class="select-list item-option" style="min-height: 270px">
				        
				        </ul>
				        <br style="clear:left" />
			        </div>
			        <br style="clear:both" />
	
			    </div>

			</div>

		</div>
		<div id="enter-price" class="screen_overlay" style="height: 440px">
			<p style="font-size: 12pt; height: 30px; padding-top: 3px"><input type="tel" id="in-price" class="in in-price" style="text-align: right; margin-right: 6px; width: 120px !important" readonly /><span style="padding: 7px 5px 0 5px; float: left; display: block; font-weight: bold">Price</span></p>
			<p style="font-size: 12pt; height: 30px; padding-top: 3px"><input type="tel" id="in-qty" class="in in-qty" style="text-align: right; margin-right: 6px; width: 120px !important" /><span style="padding: 7px 5px 0 5px; float: left; display: block; font-weight: bold;">Quantity</span></p>
			<!-- <button id="btn-price-done" class="green float-right" style="padding-left: 20px; padding-right: 20px">Done</button> -->
			<div class="price-numbers" style="padding-top: 5px; padding-bottom: 15px;">
				<div class="x-btn">1</div>
			    <div class="x-btn">2</div>
			    <div class="x-btn">3</div>
			    <br class="clearboth" />
			    <div class="x-btn">4</div>
			    <div class="x-btn">5</div>
			    <div class="x-btn">6</div>
			    <br class="clearboth" />
			    <div class="x-btn">7</div>
			    <div class="x-btn">8</div>
			    <div class="x-btn">9</div>
			    <br class="clearboth" />
			    <div class="x-btn">CLR</div>
			    <div class="x-btn">0</div>
			    <div class="x-btn">OK</div>
			    <br class="clearboth" />
			    <div class="x-btn" style="background: #333; color:#FFF">+</div>
			    <div class="x-btn" style="background: #333; color:#FFF">-</div>
			    <div class="x-btn" style="background: #333; color:#FFF">BACK</div>
			</div>
		</div>
		<div id="enter-option" class="screen_overlay" style="height: 440px">
			<p style="font-size: 12pt; height: 30px; padding-top: 3px"><input type="text" id="in-qty" class="in in-qty" style="text-align: left; margin-right: 6px; width: 120px !important" /><span style="padding: 7px 5px 0 5px; float: left; display: block; font-weight: bold;">Option</span></p>
			<p style="font-size: 12pt; height: 30px; padding-top: 3px"><input type="tel" id="in-price" class="in in-price" style="text-align: right; margin-right: 6px; width: 120px !important" readonly /><span style="padding: 7px 5px 0 5px; float: left; display: block; font-weight: bold">Price</span></p>
			<!-- <button id="btn-price-done" class="green float-right" style="padding-left: 20px; padding-right: 20px">Done</button> -->
			<div class="option-price-numbers" style="padding-top: 5px">
				<div class="x-btn">1</div>
			    <div class="x-btn">2</div>
			    <div class="x-btn">3</div>
			    <br class="clearboth" />
			    <div class="x-btn">4</div>
			    <div class="x-btn">5</div>
			    <div class="x-btn">6</div>
			    <br class="clearboth" />
			    <div class="x-btn">7</div>
			    <div class="x-btn">8</div>
			    <div class="x-btn">9</div>
			    <br class="clearboth" />
			    <div class="x-btn">CLR</div>
			    <div class="x-btn">0</div>
			    <div class="x-btn">DONE</div>
			    <br class="clearboth" />
			</div>
		</div>
	</div>
	<canvas style="display:none" id="qr-canvas"></canvas>
	</body>
</html>