<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title><?php echo $this->system->config('system_title'); ?> - POS Login</title>
		<link rel="stylesheet" href="<?php echo base_url(); ?>css/retail/style.css" />
		<link rel="stylesheet" href="<?php echo base_url(); ?>css/retail/login.css" />
		
		<script type="text/javascript" src="js/fnb/jquery-1.4.3.min.js"></script>
		
		
		<?php if ($this->system->config('plexcloud_id') && $this->system->is_local_ip()): ?>
		<!-- CLOUD DYNAMIC UPDATE -->		
		<script type="text/javascript">
			$(document).ready(function(){
				dynamicUpdate();
			})
			function dynamicUpdate(){
				console.log('DNS Update Request');
				$.ajax({
					url: 'http://www.plexcloud.com/<?php echo $this->system->config('plexcloud_id'); ?>/update.php',
					type: 'post',
					data: 'key=<?Php echo $this->system->config('plexcloud_key'); ?>',
					success: function(){
						console.log('DNS Updated');
						setTimeout(function(){
							dynamicUpdate();
						}, 10000);
					}
				})
			}
		</script>
		<?php endif; ?>
	</head>
	<body>
	<div id="container">
		<div id="login_container" class="middle">
			<?php if ($img_filename = $this->system->config('general_logo')): ?>
				<div style="text-align: center; padding: 5px 10px; "><img style="width: 230px;" src="<?php echo base_url(); ?>manager/assets/img/<?php echo $img_filename; ?>" /></div>
			<?php else: ?>
				<h3><?php echo $this->system->config('system_title'); ?></h3>
			<?php endif; ?>
			<p style="text-align: center; border-bottom: 1px solid #EEE; color: #BBB; padding-bottom: 10px;"><small>Powered by Plexcloud&trade; 360<sup>o</sup></small></p>
			<form method="post" action="<?php echo base_url(); ?>pos/auth" class="v-form">

			<fieldset style="border:none">
				<h2>Point-of-Sale Login</h2>
				<?php if ($notice): ?>
				<p class="v-warning"><?php echo $notice; ?></p>
				<?php endif; ?>
				<label for="username">Username</label><input type="text" style="width: 100%" name="username" id="username" class="v-text" />
				<label for="password">Password</label><input type="password" style="width: 100%" name="password" id="password" class="v-text" />
				<br class="v-clear" />
				<p style="padding-top: 6px"><button class="v-btn" style="margin-right: 6px">Log in</button></p>
			</fieldset>
			</form>

		</div>
	</div>
	</body>
</html>
