<!DOCTYPE HTML>
<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta http-equiv="Cache-Control" content="no-cache" />
		<meta http-equiv="Pragma" content="no-cache" />

		<base href="<?php echo base_url(); ?>" />
		<title><?php echo $this->system->config('company_name'); ?></title>
		<link rel="stylesheet" href="<?php echo base_url(); ?>css/retail/style.css" />
		
		<script type="text/javascript">
		// INITIALIZE VARIABLES
		
			// BASE URL
			var base_url 				= "<?php echo base_url(); ?>";
			
			// OTHER PARAMS
			var currency 				= "<?php echo $this->system->config('currency'); ?>";
			
			// DRAWER 
			var trigger_url 			= "<?php echo $trigger_url; ?>";
			var trigger_chars			= "<?php echo $terminal->trigger_chars; ?>";
			
			// VFD OR CUSTOMER DISPLAY
			var display_url 			= "<?php echo $display_url; ?>";
			var msg_welcome_1 			= "<?php echo $this->user->terminal_data('pd_welcome1'); ?>";
			var msg_welcome_2 			= "<?php echo $this->user->terminal_data('pd_welcome2'); ?>";
			var msg_thankyou 			= "<?php echo $this->user->terminal_data('pd_thankyou'); ?>";
			
			// RECEIPT PRINTER
			var printer_url				= "<?php echo $printer_url; ?>";
			
			// POS CONFIG
			var revert_level 			= "<?php echo $this->system->config('revert_level'); ?>";
			var discount_default 		= "<?php echo $this->system->config('discount_type_default'); ?>";
			var printing_optional 		= "<?php echo $this->system->config('receipt_printing'); ?>"
			var printing_external		= "<?php echo $print_ext; ?>";
			var custom_price_allowed 	= "<?php echo $this->system->config('custom_price_allowed'); ?>";
			var member_discount 		= "<?php echo $this->system->config('member_discount'); ?>";
			var rounding_adjust 		= "<?php echo $this->system->config('rounding_adjust'); ?>";
			
			// USER JSON DATA
			var user	 				= <?php echo json_encode($user); ?>;
			
			// TERMINAL ID
			var terminal				= "<?php echo $terminal->id; ?>";
			
			// INIT TIME DELTA
			var localTime 				= new Date().getTime();
			var serverTime 				= <?php echo microtime(true) * 1000; ?>;
			
			// CLINIC STATE
			var clinic					= "<?php echo $this->system->uses('Clinic'); ?>";
			
			// CLIENT SIDE
			var client_side				= <?php echo $client_side ? 'true' : 'false'; ?>;
			
			// ITEM VIEW
			var item_view				= '<?php echo $this->system->config('pos_retail_item_layout'); ?>';
			
		</script>
		<script type="text/javascript" src="js/retail/md5.js"></script>		
		<script type="text/javascript" src="js/retail/jquery-1.4.3.min.js"></script>
		<script type="text/javascript" src="js/retail/interactions.js"></script>
		<script type="text/javascript" src="js/retail/session.js"></script>
		<script type="text/javascript" src="js/retail/offline.js"></script>
		<script type="text/javascript" src="js/retail/localdb.js"></script>
		
		
		<?php if ($this->system->config('plexcloud_id') && $this->system->is_local_ip()): ?>
		<!-- CLOUD DYNAMIC UPDATE -->		
		<script type="text/javascript">
			$(document).ready(function(){
				dynamicUpdate();
			})
			function dynamicUpdate(){
				// console.log('DNS Update Request');
				$.ajax({
					url: 'http://www.plexcloud.com/<?php echo $this->system->config('plexcloud_id'); ?>/update.php',
					type: 'post',
					data: 'key=<?Php echo $this->system->config('plexcloud_key'); ?>',
					success: function(){
						// console.log('DNS Updated');
						setTimeout(function(){
							dynamicUpdate();
						}, 10000);
					}
				})
			}
		</script>
		<?php endif; ?>

	</head>
	<body>
		<div class="explicit notification" style="box-shadow: 0 2px 5px rgba(0,0,0,0.5); z-index: 1000; background: #FFF; border-radius: 10px; padding: 15px; top: 20px; right: 45px; position: absolute; width: 385px; text-align: left;">
			
		</div>
		
		<?php if ($this->system->config('receipt_type') == '3 Inch'): ?>
		<div id="receipt" class="receipt_print" style="width: 270px; color: black; text-align: left; z-index: 10000">
		<?php else: ?>
		<div id="receipt" class="receipt_print" style="width: 100%; color: black; text-align: left; z-index: 10000">		
		<?php endif; ?>
			<?php if (count($taxes)): ?>
			<span>TAX INVOICE</span>
			<?php else: ?>
			<span>OFFICIAL RECEIPT</span>
			<?php endif; ?>

			<h3 style="font-size: 12pt; text-align: center"><?php echo $branch->name; ?></h3>
			<p style="text-align: center">
				<?php echo $branch->address1; ?>, <?php echo $branch->address2; ?><br />
				<?php echo $branch->zipcode; ?> <?php echo $branch->city; ?>, <?php echo $branch->state; ?>	
			</p>
			<div id="receipt-container" style="border-top: 2px solid #000; padding-top: 10px">
				
			</div>

			<p style="text-align: center"><?php echo nl2br($terminal->printer_footer); ?></p>
		</div>


		
		<?php if ($this->system->config('receipt_type') == '3 Inch'): ?>
		<div id="report" style="display:none">
		<?php else: ?>
		<div id="report" style="display:none; width: 100%; color: black; text-align: left; z-index: 10000">				
		<?php endif; ?>
			<h3 style="margin: 5px; padding: 5px; font-size: 14pt;"><?php echo $this->system->config('receipt_header'); ?></h3>
			<span>CASH OUT REPORT</span>
			<hr />
			<p>Cashier: <?php echo $username; ?><span style="float: right"></span></p>
			<hr />
			<div class="report">
			
			</div>
			
		</div>
		
		<div class="overlay" style="z-index: 500"></div>
		
		<div id="keypad" style="width: 310px">
			<div class="vui-card" style="padding:10px 10px 10px 20px">
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="7" style="width:90px"><span></span>7</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="8" style="width:90px"><span></span>8</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="9" style="width:90px"><span></span>9</button>
				<br />
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="4" style="width:90px"><span></span>4</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="5" style="width:90px"><span></span>5</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="6" style="width:90px"><span></span>6</button>
				<br />
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="1" style="width:90px"><span></span>1</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="2" style="width:90px"><span></span>2</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="3" style="width:90px"><span></span>3</button>
				<br />
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="." style="width:90px"><span></span>.</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="0" style="width:90px"><span></span>0</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value=".00" style="width:90px"><span></span>.00</button>
				<br />
				<button class="vui-btn vui-btn-large vui-btn-grey touch-numpad" value="+" style="width:90px"><span></span>+</button>
				<button class="vui-btn vui-btn-large vui-btn-grey touch-numpad" value="-" style="width:90px"><span></span>-</button>
				<button class="vui-btn vui-btn-large vui-btn-red touch-numpad" value="delete" style="width:90px"><span></span>&laquo;</button>
				<br />

				<button class="vui-btn vui-btn-large vui-btn-green touch-numpad" value="return" id="return" style="width:270px"><span></span>ENTER</button>
			</div>
		</div>
		<div id="add-ok" style="width: 300px">
			<div class="vui-card" style="padding: 10px 20px">
			<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
				<tr>
	    			<td id="added-item" style="padding: 10px 0"></td>
	    			<td id="added-amount" style="padding: 10px 0; font-size: 20px; text-align:right">35.90</td>
	    		</tr>
	    		<tr style="border-top: 1px solid #009900">
	    			<td style="padding: 10px 0">Outstanding Total (RM)</td>
	    			<td class="outstanding-total" style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px">35.90</td>
	    		</tr>	
	    	</table>
	    	</div>
		</div>
		<div id="false-alert" style="width: 300px; display none">
			<div class="vui-card" style="padding: 10px 20px">
			<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
				<tr>
	    			<td style="padding: 10px 0" class="false-notice"></td>
	    			<td style="padding: 10px 0; font-size: 20px;"></td>
	    		</tr>
	    	</table>
	    	</div>		
		</div>
		<div id="add-failed" style="width: 300px">
			<div class="vui-card" style="padding: 10px 20px">
			<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
				<tr>
	    			<td style="padding: 10px 0">Item not found</td>
	    			<td style="padding: 10px 0; font-size: 20px;"></td>
	    		</tr>
	    		<tr style="border-top: 1px solid #990000">
	    			<td style="padding: 10px 0">Outstanding Total (RM)</td>
	    			<td class="outstanding-total" style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px">35.90</td>
	    		</tr>	
	    	</table>
	    	</div>		
		</div>
		<div id="prompt" class="vui-dialog" style="width: 500px; display: none; z-index: 9000">
			<div class="vui-card" style="padding: 10px 20px">
			<h3 style="margin-bottom: 5px; padding-bottom: 0; font-size: 16pt;"></h3>
			<p style="font-size: 12pt; padding-bottom: 10px;"></p>
			<hr />
			<div class="ok" style="text-align: center; margin-top: 10px;">
				<button style="width: 100px" class="vui-btn vui-btn-medium" id="prompt-ok">OK</button>
			</div>
			<div class="yesno" style="text-align: center; margin-top: 10px;">
				<button style="width: 100px" class="vui-btn vui-btn-medium" id="prompt-yes">Yes</button>
				<button style="margin-left: 10px; width: 100px" class="vui-btn vui-btn-medium" id="prompt-no">No</button>
			</div>
			</div>
		</div>
		<div id="clock-in-out" class="vui-dialog" style="padding-top: 50px; width: 540px">
			<div class="vui-card">
				<div style="padding: 10px 20px">

					<h3><button id="cico-close" class="vui-btn vui-btn-medium vui-btn escape-default" style="width: 120px; float:right; margin-right: 2px;"><span></span>Close</button>Clock In and Clock Out</h3>

					<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
						<tr>
							<td style="padding: 10px">Username</td>
							<td style="padding: 10px 0"><input type="text" id="ci-username" class="vui-number-large clock-in-username" style="width: 150px; text-align: left;" /></td>
							<td style="padding: 10px">Password</td>
							<td style="padding: 10px 0"><input type="password" id="ci-password" class="vui-number-large clock-in-password" style="width: 150px; text-align: left;" /></td>
						</tr>
					</table>
					<p>
						<button id="clock-in" class="vui-btn vui-btn-medium vui-btn" style="width: 120px; float: right"><span></span>Clock In</button>
						<button id="clock-out" class="vui-btn vui-btn-medium vui-btn" style="width: 120px"><span></span>Clock Out</button>
					</p>

				</div>
			</div>
		</div>
		
		<div id="customer-registration" class="vui-dialog" style="padding-top: 50px; width: 950px">
			<div class="vui-card">
				<div style="padding: 10px 20px">
					<h3><button id="customer-registration-close" class="vui-btn vui-btn-medium vui-btn escape-default" style="width: 120px; float:right; margin-right: 2px;"><span></span>Close</button>New Customer <?php echo $this->system->uses('Clinic') ? ' or Patient' : ''; ?></h3>
					<span style="color:red">* </span> denotes mandatory field.
					<iframe name="regframe" id="regframe" style="height: 1px; visibility: hidden"></iframe>
					<form method="post" action="pos/register" target="regframe">
					<table class="pad3" style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse; margin-top: 20px">
						<tr>
							<td style="width: 15%; text-align: right; padding-right: 10px">Name <span style="color:red">*</span></td>
							<td style="width: 35%"><input name="name" type="text" id="cr-name" class="vui-text mandatory" style="width: 250px; text-align: left" /></td>
							<td style="width: 15%; text-align: right; padding-right: 10px">IC <span style="color:red">*</span></td>
							<td style="width: 35%"><input name="ic" type="text" id="cr-ic" class="vui-text mandatory" style="width: 250px; text-align: left" /></td>
						</tr>
						<tr>
							<td colspan="4"><hr /></td>
						</tr>
						<tr>
							<td style="width: 15%; text-align: right; padding-right: 10px">Address 1</td>
							<td style="width: 35%" ><input name="address1" type="text" id="cr-address1" class="vui-text" style="width: 250px; text-align: left" /></td>
							<td style="width: 15%; text-align: right; padding-right: 10px">Address 2</td>
							<td style="width: 35%"><input name="address2" type="text" id="cr-address2" class="vui-text" style="width: 250px; text-align: left" /></td>
						</tr>
						<tr>
							<td style="width: 15%; text-align: right; padding-right: 10px">City</td>
							<td style="width: 35%"><input name="city" type="text" id="cr-city" class="vui-text" style="width: 250px; text-align: left" /></td>
							<td style="width: 15%; text-align: right; padding-right: 10px">Zipcode</td>
							<td style="width: 35%"><input name="zipcode" type="text" id="cr-zipcode" class="vui-text" style="width: 250px; text-align: left" /></td>
						</tr>
						<tr>
							<td style="width: 15%; text-align: right; padding-right: 10px">Country</td>
							<td style="width: 35%"><?php echo form_dropdown('country', $this->system->country_list(), $this->system->config('country'), 'class="v-country" id="cr-country" style="width: 265px"'); ?></td>
							<td style="width: 15%; text-align: right; padding-right: 10px">State</td>
							<td style="width: 35%"><?php echo form_dropdown('state', $this->system->state_list($this->system->config('country')), '', 'class="v-city" id="cr-state" style="width: 265px"'); ?></td>
						</tr>
						<tr>
							<td style="width: 15%; text-align: right; padding-right: 10px">Contact Number <span style="color:red">*</span></td>
							<td style="width: 35%"><input name="contact_number" type="text" id="cr-contactno" class="vui-text mandatory" style="width: 250px; text-align: left" /></td>
							<td style="width: 15%; text-align: right; padding-right: 10px">Email</td>
							<td style="width: 35%"><input name="email" type="text" id="cr-email" class="vui-text" style="width: 250px; text-align: left" /></td>
						</tr>
						<?php 
							$roles = explode(',', $this->system->config('pos_allowed_roles'));
							$roles_dropdown[] = "Select Role";
							foreach ($roles as $role){
								$roles_dropdown[$role] = $role;
							}
						?>
						<tr>
							<td style="width: 15%; text-align: right; padding-right: 10px">Nationality</td>
							<td style="width: 35%"><?php echo form_dropdown('country', $this->system->country_list(), $this->system->config('country'), 'class="" id="cr-nationality" style="width: 265px"'); ?></td>
							<td style="width: 15%; text-align: right; padding-right: 10px">Type</td>
							<td style="width: 35%"><?php echo form_dropdown('country', $roles_dropdown, '','class="" id="cr-role" style="width: 265px"'); ?></td>
						</tr>
					<?php if ($this->system->uses('Clinic')): ?>
						<tr>
							<td colspan="4"><hr /></td>
						</tr>
						<tr>
							<td style="width: 15%; text-align: right; padding-right: 10px">Gender</td>
							<td style="width: 35%"><?php echo form_dropdown('gender', array('Male'=>'Male','Female'=>'Female'),'','style="width: 265px" id="patient-marital-status"'); ?></td>
							<td style="width: 15%; text-align: right; padding-right: 10px">Marital Status</td>
							<td style="width: 35%"><?php echo form_dropdown('marital_status', array('Single'=>'Single','Married'=>'Married','Divorced'=>'Divorced'),'','style="width: 265px" id="patient-marital-status"'); ?></td>
						</tr>
						<tr>
							<td style="width: 15%; text-align: right; padding-right: 10px">Blood Type</td>
							<td style="width: 35%"><input name="blood_type" type="text" id="patient-blood-type" class="vui-text" style="width: 250px; text-align: left" /></td>
							<td style="width: 15%; text-align: right; padding-right: 10px">Allergy</td>
							<td style="width: 35%"><input name="allergy" type="text" id="patient-allergy" class="vui-text" style="width: 250px; text-align: left" /></td>
						</tr>
						<tr>
							<td style="width: 15%; text-align: right; padding-right: 10px">Height</td>
							<td style="width: 35%"><input name="height" type="text" id="patient-height" class="vui-text" style="width: 250px; text-align: left" /></td>
							<td style="width: 15%; text-align: right; padding-right: 10px">Weight</td>
							<td style="width: 35%"><input name="weight" type="text" id="patient-weight" class="vui-text" style="width: 250px; text-align: left" /></td>
						</tr>
						<tr>
							<td style="width: 15%; text-align: right; padding-right: 10px">Emergency Contact</td>
							<td style="width: 35%"><input name="emergency_contact" type="text" id="patient-ec" class="vui-text" style="width: 250px; text-align: left" /></td>
							<td style="width: 15%; text-align: right; padding-right: 10px">Spouse IC</td>
							<td style="width: 35%"><input name="spouce_ic" type="text" id="patient-spouce-ic" class="vui-text" style="width: 250px; text-align: left" /></td>
						</tr>

					<?php endif; ?>
						<tr>
							<td colspan="4"><hr /></td>
						</tr>
					</table>
					<div style="text-align: right">
						<button id="customer-register-complete" style="width: 120px;" class="vui-btn vui-btn-medium"><span></span>Done</button>
					</div>
					</form>
				</div>
			</div>
		</div>
		
		<div id="customer" class="vui-dialog" style="padding-top: 50px; width: 500px">
			<div class="vui-card">
				<div style="padding: 10px 20px">

					<h3><button id="customer-select-close" class="vui-btn vui-btn-medium vui-btn escape-default" style="width: 120px; float:right; margin-right: 2px;"><span></span>Close</button>Customer</h3>

					<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
					<?php if ($this->system->uses('Clinic')): ?>
						<tr>
							<td style="padding: 10px 0 ">Consultant</td>
							<td style="text-align: right; font-weight: bold; padding: 5px 0"><?php echo form_dropdown('consultant', $consultants,'','class="consultant" style="width: 215px; padding: 10px; font-size: 14pt;"'); ?></td>
						</tr>
					<?php endif; ?>
						<tr>
							<td style="padding: 10px 0">Customer ID</td>
							<td style="text-align: right; font-weight: bold; padding: 5px 0"><input type="text" class="vui-number-large customer-id" style="width: 200px; text-align: left;" /></td>
						</tr>
						<tr>
							<td style="padding: 10px 0">Name Search</td>
							<td style="text-align: right; font-weight: bold; padding: 5px 0"><input type="text" class="vui-number-large customer-name" style="width: 200px; text-align: left" /></td>
						</tr>
						
						<tr style="border-top: 1px solid #DDD; border-bottom: 1px solid #DDD; display: none" class="customer-search">
							<td colspan="2" class="search-result">
								<p>Search Result</p>
								<ul class="vui-select-list customer-list" style="height: 200px; margin: 0; padding: 0;">
									
								</ul>
							</td>
						</tr>

						<tr style="border-top: 1px solid #DDD; border-bottom: 1px solid #DDD" class="customer-details">
							<td colspan="2" class="">
								<h4 style="font-size: 12pt; margin-bottom: 0; padding-bottom: 5px;">Customer Details</h4>
								<div class="customer-info" style="padding: 5px 5px 10px 5px; font-weight: normal">
									<i>No Information</i>
								</div>
							</td>
						</tr>
					</table>
					<p style="text-align: right">
						<button id="customer-select-done" class="vui-btn vui-btn-medium vui-btn" style="width: 120px;"><span></span>Done</button>
					</p>

				</div>
			</div>
		</div>
		
		<div id="confirmation" class="vui-dialog" style="padding-top: 50px; width: 700px;">
			<div class="vui-card">
				<div style="padding: 10px 20px">
					
					<div class="credit-checkout">
						<h3>Credit Checkout</h3>
						<button class="confirm-done vui-btn vui-btn-medium vui-btn vui-btn-green" style="width: 110px; float: right;"><span></span>Done</button>
						<p class="credit-checkout-status"></p>
					</div>
					<div class="other-checkout">
						<h3 style="height: 50px"><button id="confirmation-print-receipt" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="width: 170px; float: right"><span></span>Print Receipt</button>Payment Confirmation</h3>
						<button  class="confirm-done vui-btn vui-btn-medium vui-btn vui-btn-green" style="width: 110px; float: right; margin-top: 120px"><span></span>Done</button>
						<div class="confirm-details" style="width: 475px">
							<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
								<tr>
									<td style="padding: 10px 0">Payment Status: Successful</td>
									<td style="padding: 10px 0"></td>
								</tr>
								<tr style="border-top: 1px solid #ccc">
									<td style="padding: 10px 0">Amount Due (RM)</td>
									<td class="pay-amount-due" style="text-align: right; font-weight: bold; font-size: 20px">45.00</td>
								</tr>		
								<tr>
									<td style="padding: 10px 0">Amount Tendered (RM)</td>
									<td class="pay-amount-tendered" style="text-align: right; font-weight: bold; font-size: 20px">50.00</td>
								</tr>
								<tr style="border-top: 1px solid #ccc">
									<td style="padding: 10px 0">Change (RM)</td>
									<td class="pay-amount-change" style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px">5.00</td>
								</tr>	
							</table>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		
		<div id="confirmation-redeem" class="vui-dialog" style="padding-top: 50px; width: 700px;">
			<div class="vui-card">
				<div style="padding: 10px 20px">
					<h3>Redeem Confirmation<button id="confirmation-print-receipt" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="width: 170px; margin-left: 128px"><span></span>Print Receipt</button></h3>
					<button id="confirm-done-redeem" class="vui-btn vui-btn-medium vui-btn vui-btn-green" style="width: 110px; float: right; margin-top: 50px"><span></span>Done</button>
					<div class="confirm-details" style="width: 475px">
						<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
							<tr>
								<td style="padding: 10px 0">Redemption Status: Successful</td>
								<td style="padding: 10px 0"></td>
							</tr>
							<tr style="border-top: 1px solid #ccc">
								<td style="padding: 10px 0">Amount Points</td>
								<td class="amount-points" style="text-align: right; font-weight: bold; font-size: 20px"></td>
							</tr>		
							<tr style="border-top: 1px solid #ccc">
								<td style="padding: 10px 0">Balance Points</td>
								<td class="balance-points" style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px"></td>
							</tr>	
						</table>
					</div>
				</div>
			</div>
		</div>
		
		<div id="pay" class="vui-dialog" style="width: 700px;">
			<div class="vui-card">
				<div style="padding: 10px 20px">
					<h3><button id="pay-back" class="vui-btn vui-btn-medium vui-btn vui-btn-dark escape-default" style="width: 80px; float: right"><span></span>Back</button>Checkout</h3>
					<div class="payment-method">
					<table style="width: 100%">
						<tr>
							<td>Payment method</td>
							<td style="width: 150px"><button id="pay-cash" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="width: 145px;"><span></span>Cash</button></td>
							<td style="width: 150px"><button id="pay-cancel" class="vui-btn vui-btn-medium vui-btn vui-btn-red" style="width: 145px;"><span></span>Cancel</button></td>
						</tr>
					</table>
					</div>
					<div class="payment-cash" style="display:none">
						<div class="payment-details" style="width: 475px">
							<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
	
								
								<tr>
									<td style="padding: 10px 0">Cash Amount</td>
									<td style="text-align: right; font-weight: bold; padding: 5px 0">
										<button class="vui-btn vui-btn-medium pay-full" style="width: 40px; float: right; margin-right: -50px;">&larr;</button>
										<input type="text" id="amount-tendered-input" class="vui-number-large money-in" style="width: 150px" />
									</td>
								</tr>
								<?php if ($this->system->config('checkout_cc')): ?>
								<tr>
									<td style="padding: 10px 0"><?php echo form_dropdown('cardtype',$cc_array, '', 'class="card-type" style="float:right; font-size: 12pt; width: 135px "'); ?>Credit Card Amount (RM)</td>
									<td style="text-align: right; font-weight: bold; padding: 5px 0"> 
										<input type="text" id="cc-amount-tendered-input" class="vui-number-large money-in" style="width: 150px" />
										<button class="vui-btn vui-btn-medium pay-full" style="width: 40px; float: right; margin-right: -50px;">&larr;</button>
									</td>
								</tr>
								<?php endif; ?>
								
								
								<?php if ($this->system->config('checkout_cheque')): ?>
								<tr>
									<td style="padding: 10px 0">Cheque Amount</td>
									<td style="text-align: right; font-weight: bold; padding: 5px 0">
										<button class="vui-btn vui-btn-medium pay-full" style="width: 40px; float: right; margin-right: -50px;">&larr;</button>
										<input type="text" id="cheque-amount-tendered-input" class="vui-number-large money-in" style="width: 150px" />
									</td>
								</tr>
								<?php endif; ?>
								
								
								<?php if ($this->system->config('checkout_bank_deposit')): ?>
								<tr>
									<td style="padding: 10px 0">Bank In</td>
									<td style="text-align: right; font-weight: bold; padding: 5px 0">
										<button class="vui-btn vui-btn-medium pay-full" style="width: 40px; float: right; margin-right: -50px;">&larr;</button>
										<input type="text" id="bank-deposit-amount-tendered-input" class="vui-number-large money-in" style="width: 150px" />
									</td>
								</tr>
								<?php endif; ?>
								
								<?php if ($this->system->config('checkout_voucher')): ?>
								<tr>
									<td style="padding: 10px 0">Voucher (RM)</td>
									<td style="text-align: right; font-weight: bold; padding: 5px 0">
										<button class="vui-btn vui-btn-medium pay-full" style="width: 40px; float: right; margin-right: -50px;">&larr;</button>
										<input type="text" id="voucher-amount-tendered-input" class="vui-number-large money-in" style="width: 150px" />
									</td>
								</tr>
								<?php endif; ?>
								
								
								<?php if ($this->system->config('checkout_credit')): ?>
								<tr class="credit-checkout" style="display: none">
										<td colspan="2"><hr /></td>
									</tr>
									<tr class="credit-checkout" style="display: none">
										<td style="padding: 10px 0"><?php echo form_dropdown('customer',$customers, '', 'class="customer" style="float:right; display:none; font-size: 12pt; width: 135px "'); ?> Credit Amount (RM)</td>
										<td style="text-align: right; font-weight: bold; padding: 5px 0"> 
											<button class="vui-btn vui-btn-medium pay-full" style="width: 40px; float: right; margin-right: -50px;">&larr;</button>
											<input type="text" id="credit-amount-tendered-input" class="vui-number-large money-in" style="width: 150px" />
										</td>
									</tr>
									<tr class="credit-checkout" style="display: none">
										<td colspan="2" style="padding: 10px 0">
											<table style="width: 100%">
												<tr>								
													<td style="width: 50%">Credit Balance RM<span class="credit_balance"></span></td>
													<td style="width: 50%">Credit Limit RM<span class="credit_limit"></span></td>
												</tr>
											</table>
										</td>
									</tr>
								<?php endif; ?>
								
								<tr>
									<td colspan="2"><hr /></td>
								</tr>
								
								<tr>
									<td style="padding: 10px 0">Subtotal</td>
									<td class="checkout-subtotal" style="text-align: right; font-weight: normal; font-size: 20px">0.00</td>
								</tr>
								
								<tr>
									<td style="padding: 10px 0">Discount</td>
									<td class="checkout-discount"style="text-align: right; font-weight: normal; font-size: 20px">0.00</td>
								</tr>
								
								<?php foreach ($taxes as $tax): ?>

								<tr>
									<td style="padding: 10px 0"><?php echo $tax->name; ?> (<?php echo $tax->percentage; ?>%)</td>
									<td rel="tax_<?php echo $tax->id; ?>" percentage="<?php echo $tax->percentage; ?>" class="checkout-tax" style="text-align: right; font-weight: normal; font-size: 20px">0.00</td>
								</tr>
								
								<?php endforeach; ?>
								
								
								<?php if ($this->system->config('checkout_delivery')): ?>
								<tr>
									<td style="padding: 10px 0"><?php echo form_dropdown('shippingtype',$shipping, '', 'class="shippingtype" style="float:right; font-size: 12pt; width: 135px; margin-top: -3px "'); ?>Delivery</td>
									<td class="checkout-delivery" style="text-align: right; font-weight: normal; font-size: 20px">0.00</td>
								</tr>
								
								<?php endif; ?>
								
								
								<?php if ($this->system->config('rounding_adjust')): ?>
								<tr>
									<td style="padding: 10px 0">Rounding Adjust</td>
									<td class="checkout-rounding-adjust" style="text-align: right; font-weight: bold; font-size: 20px">0.00</td>
								</tr>
								<?php endif; ?>
								
								<tr>
									<td style="padding: 10px 0">Grand Total</td>
									<td class="checkout-grand-total pay-amount-due" style="text-align: right; font-weight: bold; font-size: 20px">64.80</td>
								</tr>								
								
								<tr>
									<td colspan="2" style="border-top: 1px solid #DDD"></td>
								</tr>
								
								<tr>
									<td style="padding: 10px 0 10px 0">Change</td>
									<td class="pay-amount-balance" style="text-align: right; font-weight: bold; font-size: 20px"></td>
								</tr>

								<tr>
									<td colspan="2" style="border-top: 1px solid #DDD"></td>
								</tr>
								<tr>
									<td style="padding: 25px 0 0 0" colspan="2"><input type="text" class="vui-number-large usid" style="width: 290px; margin-top: -10px; text-align: left; float: right" />Unique Sale ID</td>
								</tr>
								<?php if ($this->system->config('customer_phone')): ?>
								<tr>
									<td style="padding: 25px 0 10px 0" colspan="2"><input type="text" class="vui-number-large customer-phone" style="width: 290px; margin-top: -10px; text-align: left; float: right" />Customer Phone</td>
								</tr>								
								<?php endif; ?>
								<?php if ($this->system->config('checkout_remarks')): ?>
								<tr>
									<td style="padding: 10px 0 10px 0" colspan="2"><input type="text" class="vui-number-large checkout-remarks" style="width: 290px; margin-top: -10px; text-align: left; float: right" />Remarks</td>
								</tr>								
								<?php endif; ?>
								
								

								
							</table>
							<p class="pay-alert" style="color:red"></p>

						</div>
							<button id="pay-process-cash" class="vui-btn vui-btn-medium vui-btn vui-btn-green return-default" style="width: 120px; float: right; margin-top: -40px">Process</button>

					
					</div>
					
					
					
				</div>
			</div>
		</div>
		
		
		<div id="redeem" class="vui-dialog" style="width: 700px; margin-top: 120px">
			<div class="vui-card">
				<div style="padding: 10px 20px">
					<h3><button id="redeem-back" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="width: 120px; float: right"><span></span>Back</button>Redemption</h3>
					<div class="redeem">
						<div class="redeem-details" style="width: 475px">
							<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
	
								
								<tr>
									<td style="padding: 10px 0">Item Points</td>
									<td class="item-points" style="text-align: right; font-weight: bold; font-size: 20px"></td>
								</tr>
								<tr>
									<td style="padding: 10px 0">Member No</td>
									<td style="text-align: right; font-weight: bold; padding: 5px 0"><input type="text" class="vui-number-large member-no" style="width: 150px;" /></td>
								</tr>								
								<tr>
									<td style="padding: 10px 0">Member Name</td>
									<td style="text-align: right; font-weight: bold; padding: 5px 0"><?php echo form_dropdown('member',$members, null, 'class="member" style="width: 250px;"'); ?></td>
								</tr>
								<tr>
									<td style="padding: 10px 0">Member Points</td>
									<td style="text-align: right; font-weight: bold; padding: 5px 0; font-size: 20px" class="member-points"></td>
								</tr>
								<tr style="border-top: 1px solid #DDD">
									<td style="padding: 10px 0">Points After Redemption</td>
									<td class="point-balance" style="text-align: right; font-weight: bold; font-size: 20px"></td>
								</tr>
								
							</table>
							<p class="redeem-alert" style="color:red"></p>

						</div>
							<button id="redeem-process" class="vui-btn vui-btn-medium vui-btn vui-btn-green return-default" style="width: 120px; float: right; margin-top: -40px; display: none"><span></span>Process</button>

					
					</div>
					
					
					
				</div>
			</div>
		</div>

		
		<div id="logout" class="vui-dialog" style="width: 775px; margin-top: 80px">
			<div class="vui-card cashcount" style="width: 760px; padding: 20px">
				<h3><button id="cancel-logout" class="vui-btn vui-btn-medium vui-btn vui-btn-dark escape-default" style="float: right; width: 100px"><span></span>Cancel</button>Cash Count</h3>
				<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
					<tr>
						<td style="padding: 10px 0">Expected in Till (RM)</td>
						<td style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px;"><span id="till-expected">0.00</span></td>
					</tr>
					<tr>
						<td style="padding: 10px 0">Denominations</td>
						<td style="width: 100px; padding: 10px 0">
							<table>
								<tr>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">RM100</td>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">RM50</td>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">RM10</td>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">RM5</td>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">RM1</td>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">50c</td>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">20c</td>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">10c</td>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">5c</td>
								</tr>
								<tr>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den" key="100" /></td>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den" key="50" /></td>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den" key="10" /></td>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den" key="5" /></td>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den" key="1" /></td>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den" key="0.5" /></td>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den" key="0.2" /></td>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den" key="0.1" /></td>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den" key="0.05" /></td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td>Counted in Till (RM)</td>
						<td><input id="till-count" type="text" class="vui-number-decimal vui-number-large" style="width: 100px; float:right" /></td>
					</tr>
					<tr style="border-top: 1px solid #ccc">
						<td style="padding: 10px 0">Discrepancy (RM)</td>
						<td style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px"><span id="till-discrepancy">0.00</span></td>
					</tr>
					<tr>
						<td style="padding: 10px 0">Till Deposit (RM)</td>
						<td style="text-align: right; font-size: 20px; font-weight: bold; padding: 5px 0" id="till-deposited"><?php echo str_replace(',','',number_format($this->user->terminal_data('till_deposit'),2)); ?></td>
					</tr>
					<tr style="border-top: 1px solid #ccc">
						<td style="padding: 10px 0">Total Cashout (RM)</td>
						<td style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px"><span id="till-remaining">0.00</span></td>
					</tr>
				</table>

				<h3 style="margin-top: 10px; padding-top: 30px; border-top: 1px solid #ccc">Verify</h3>
				<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
					<tr>
						<td style="padding: 10px 0">Username</td>
						<td style="padding: 10px 0"><input id="verify-username" type="text" class="vui-number-large" style="width: 150px; text-align: left" /></td>
						<td style="padding: 10px 0">Password</td>
						<td style="padding: 10px 0"><input id="verify-password" type="password" class="vui-number-large" style="width: 150px; text-align: left" /></td>
						<td style="padding: 10px 0"><button id="verify-btn" class="vui-btn vui-btn-medium vui-btn return-default" style="width: 120px; float:right; margin-right: 2px;"><span></span>Verify</button></td>
					</tr>
					<tr>
						<td colspan="4" class="errMsg"></td>
					</tr>
				</table>
				
			</div>
			<div class="vui-card cashcount-logout" style="width: 715px; padding: 20px; display: none">
				<h3>Logging Out</h3>
				<p>Your session will be logged out in 3 seconds.</p>
			</div>
		</div>
		
		<div id="permission" class="vui-dialog" style="width: 450px; margin-top: 100px">
			<div class="vui-card">
				<div style="padding: 10px 20px;">

				<h3><button id="cancel-permission" class="vui-btn vui-btn-medium vui-btn vui-btn-dark escape-default" style="float: right; width: 100px"><span></span>Cancel</button>Permission Required</h3>
				<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
					<tr>
						<td style="padding: 10px 0">Username</td>
						<td style="padding: 10px 0"><input id="access-username" type="text" class="vui-number-large" style="width: 150px; text-align: left" /></td>
					</tr>
					<tr>
						<td style="padding: 10px 0">Password</td>
						<td style="padding: 10px 0"><button id="verify-access-btn" class="vui-btn vui-btn-medium vui-btn return-default" style="width: 120px; float:right; margin-right: 2px;"><span></span>Verify</button><input id="access-password" type="password" class="vui-number-large" style="width: 150px; text-align: left" /></td>
					</tr>
					<tr>
						<td id="access-alert" colspan="2"></td>
					</tr>
				</table>
				
				</div>
			</div>
		</div>
		
		<div id="enter-price" class="vui-dialog" style="width: 440px; margin-top: 210px; z-index: 3000">
			<div class="vui-card">
				<div style="padding: 10px 20px;">

				<h3><button id="cancel-enter-price" class="vui-btn vui-btn-medium vui-btn vui-btn-dark escape-default" style="float: right; width: 100px"><span></span>Cancel</button>Enter Price</h3>
				<p class="enter-price-item"></p>
				<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
					<tr>
						<td style="padding: 10px 0">Price Per Unit (<?php echo $this->system->config('currency'); ?>)</td>
						<td style="padding: 10px 0"><input id="enter-item-price-pu" type="text" class="vui-number-large" style="width: 150px; text-align: right" /></td>
					</tr>

					<tr>
						<td style="padding: 10px 0">Price (<?php echo $this->system->config('currency'); ?>)</td>
						<td style="padding: 10px 0"><button id="enter-price-btn" class="vui-btn vui-btn-medium vui-btn" style="width: 120px; float:right; margin-right: 2px;"><span></span>OK</button><input id="enter-item-price" type="text" class="vui-number-large" style="width: 150px; text-align: right" /></td>
					</tr>
					<tr>
						<td id="access-alert" colspan="2"></td>
					</tr>

				</table>
				
				</div>
			</div>
		</div>
		
		
		<div id="enter-discount" class="vui-dialog" style="width: 440px; margin-top: 210px; z-index: 3000">
			<div class="vui-card">
				<div style="padding: 10px 20px;">

				<h3><button id="cancel-enter-discount" class="vui-btn vui-btn-medium vui-btn vui-btn-dark escape-default" style="float: right; width: 100px"><span></span>Cancel</button>Enter Discount</h3>
					<p class="enter-price-item"></p>
					<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">

						<tr class="discount-item">
							<td style="padding: 10px 0">Item Discount (<input type="radio" checked="checked" class="item-discount-p" name="item-discount-type" />% &nbsp; <input type="radio" class="item-discount-d" name="item-discount-type" /><?php echo $this->system->config('currency'); ?>)</td>
							<td style="padding: 10px 0; text-align: right"><input id="enter-item-discount" type="text" class="vui-number-decimal vui-number-large" style="width: 150px; text-align: right" /></td>
						</tr>
						<tr class="discount-total">
							<td style="padding: 10px 0">Total Discount (<input type="radio" checked="checked" class="total-discount-p" name="total-discount-type" />% &nbsp; <input type="radio" class="total-discount-d" name="total-discount-type" /><?php echo $this->system->config('currency'); ?>)</td>
							<td style="padding: 10px 0; text-align: right"><input id="enter-total-discount" type="text" class="vui-number-decimal vui-number-large" style="width: 150px; text-align: right" /></td>
						</tr>

						<tr>
							<td id="access-alert" colspan="2"></td>
						</tr>
					</table>
					<div style="height: 45px">
						<button id="enter-discount-btn" class="vui-btn vui-btn-medium vui-btn return-default" style="width: 120px; float:right; margin-right: 2px;"><span></span>OK</button>
					</div>
				</div>
			</div>
		</div>
		
		
		<div id="enter-serial-no" class="vui-dialog" style="width: 440px; margin-top: 230px; z-index: 3000">
			<div class="vui-card">
				<div style="padding: 10px 20px;">

				<h3>Enter Serial No</h3>
				<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
					
					<tr>
						<td style="padding: 10px 0">Serial No</td>
						<td style="padding: 10px 0"><button id="enter-serial-btn" class="vui-btn vui-btn-medium vui-btn" style="width: 120px; float:right; margin-right: 2px;"><span></span>OK</button><input id="enter-serial" type="text" class="vui-number-large" style="width: 150px; text-align: right" /></td>
					</tr>
					<tr>
						<td id="serial-alert" colspan="2"></td>
					</tr>

				</table>
				
				</div>
			</div>
		</div>

		
		<div id="inventory" class="vui-dialog" style="width: 825px;">
			<div class="vui-card" style="width: 810px">
				<div style="padding: 10px 20px;">
					<h3><button id="inventory-close" class="vui-btn vui-btn-medium vui-btn escape-default" style="width: 120px; float:right; margin-right: 2px;"><span></span>Close</button>Inventory</h3>
					<table style="width: 100%">
						<tr>
							<td style="width: 35px">Qty.</td>
							<td style="width: 100px; padding-right: 20px;"><input id="inventory-qty" type="text" class="vui-number-large vui-number-incdec" style="width: 92%" value="1" /></td>
							<td style="width: 50px">Barcode </td>
							<td style="padding-right: 10px;"><input id="inventory-sku" type="text" class="vui-number-large " style="width: 92%" /></td>
							<td style="width: 50px">Name </td>
							<td style="padding-right: 10px;"><input id="item-name" type="text" class="vui-number-large " style="width: 92%;text-align: left" /></td>
							<td style="width: 120px"><button id="inventory-add" class="vui-btn vui-btn-medium vui-btn-dark return-default" style="width: 120px"><span></span>Add</button></td>
						</tr>
					</table>
				</div>
				<div class="separator"></div>
				<div style="padding: 10px 20px;">
					
					<div id="browse" tabindex="99" >
						<p><strong>Quick Items</strong></p>
						<div class="browse-list quick-list cur-tab">
							<ul class="vui-select-list browse-list <?php if ($this->system->config('pos_retail_item_layout') == 'list') echo 'list-view'; ?>">
								<?php foreach ($quick_items as $item): ?>
								<li sku="<?php echo $item->sku; ?>"><?php echo $item->name; ?></li>
								<?php endforeach; ?>
							</ul>
						</div>
						<div class="browse-list name-search" style="display:none" >
							<ul class="vui-select-list browse-list <?php if ($this->system->config('pos_retail_item_layout') == 'list') echo 'list-view'; ?>">
								
							</ul>
						</div>
					</div>
				</div>
			</div>
		</div>
		
		
		<div style="padding: 0 31px">
				<div class="status">
					<table>
						<tr>
							<td style="width: 245px; text-align: center;">
								<img src="logo.png" alt="image" width="212" height="67" style="margin-top: 5px;" />
							</td>
							<td>Time<br /><strong class="session_time"> </strong></td>
							<td>Logged in as <strong class="session_logged_in_as"></strong> at <strong class="session_logged_in_time"></strong><br />Duration <strong class="session_logged_in_duration"></strong> Branch <strong><?php echo $branch->name; ?></strong> Terminal <strong><?php echo $terminal->name; ?></strong><br /><a href="<?php echo base_url(); ?>pos/all_reports" target="_blank" style="color: #FFF">Cash Out Reports</a></td>

							<?php if ($this->system->uses('HR')): ?>
							<td style="text-align:right"><button id="cico" class="vui-btn" style="width: 180px"><span></span>Clock In/Out</button></td>
							<?php endif; ?>
							<td style="text-align: right"><button class="vui-btn" id="logout-btn" style="width:190px">Cash Count &amp; Log<u>o</u>ut</button></td>
						</tr>
						
					</table>
				</div>
		</div>

		<div id="container" style="display:none">
			<div class="left">
				<div id="queues" class="vui-card" style="width:250px; height: 300px; position: relative;">
					<div style="box-shadow: 0 0 10px rgba(0,0,0,0.2) inset; border: 1px solid #ccc; background: #fff; width: 187px; padding: 10px; border-radius: 5px; position: absolute; bottom: 10px; left: 10px;" class="template-container">
						<a style="float: right; color: #1671b2; cursor: pointer;" id="save-template"><small>New</small></a>
						<a style="float: right; color: #1671b2; cursor: pointer; margin-right: 10px;" id="delete-template"><small>Delete</small></a>
						<strong><small>Template</small></strong><br />
						<div id="save-template-action" style="margin-top: 10px; display: none;">
							<button id="save-template-done" style="float: right; border-radius: 3px; background: #3e82cf; border: 1px solid #3e82cf; color: #fff;">Save</button>
							<button id="save-template-cancel" style="float: right; border-radius: 3px; background: #b62323; border: 1px solid #b62323; color: #fff;">&times;</button>
							<input placeholder="Template name" type="text" style="width: 100px; border-radius: 3px; border: 1px solid #ccc; padding: 3px 5px;" name="template" id="input-template-name" /> 
						</div>
						<div class="items-template" style="margin-top: 10px;">

						</div>
					</div>
					<ul class="vui-card-tab">
						<li id="queues-tab" style="width:50%"><span></span>Queues</li>
						<li id="history-tab" class="vui-current-tab" style="width:50%"><span></span>History</li>
					</ul>
					<br />
					<div>
					<ul id="queue-current" class="vui-select-list queue-list">

						
					</ul>
					<ul id="queue-history" class="vui-select-list queue-list" style="display:none">

						
					</ul>
					</div>
				</div>
			</div>
			<div class="right">
				<div class="items" style="margin-top: 17px">
					<div class="buttons" style="width: 220px;">
						<div class="qb">
							<span style="color: #FFF">Barcode </span><span class="qty" style="color: #FFF">x 1</span> <span style="color: green; display: none" class="founditem">Item added.</span><span style="color: red; display: none" class="noitem">No item found.</span><br />
							<input type="text" id="sku" class="vui-number-large" style="width: 205px" /><br /><br />
							<button	id="add-item" class="vui-btn vui-btn-large" style="width: 220px"><span></span><u>A</u>dd Item</button><br />
							<button id="add-queue" class="vui-btn vui-btn-large" style="width: 220px"><span></span>Add <u>Q</u>ueue</button><br />
							<?php if ($this->system->config('discount_allowed')): ?>
							<button id="discount" class="vui-btn vui-btn-large" style="width: 220px"><span></span><u>D</u>iscount</button><br />
							<?php endif; ?>

							<button id="customer-select" class="vui-btn vui-btn-large" style="width: 220px"><span></span><u>C</u>ustomer</button><br />
							<button id="add-customer" class="vui-btn vui-btn-large" style="width: 220px"><span></span>Add C<u>u</u>stomer</button><br />
						
							<button id="void-item" class="vui-btn vui-btn-large vui-btn-red" style="width: 220px"><span></span>Void Item</button><br />
							<!-- <button id="void-queue" class="vui-btn vui-btn-large vui-btn-red" style="width: 220px"><span></span>Void Queue</button><br /> -->
							<button id="checkout" class="vui-btn vui-btn-large vui-btn-green" style="width: 220px"><span></span>Checkout</button><br />
							<button id="redeem-btn" class="vui-btn vui-btn-large vui-btn-blue" style="width: 220px"><span></span><u>R</u>edeem</button><br />
							
							
						</div>
						<div class="hb" style="display:none">
							<span style="color: #FFF">TXN Number</span><br />
							<input type="text" class="vui-number-large txn-history" style="margin-top: 10px; width: 205px;" /><br /><br />
							
							<span style="color: #FFF">Invoice Number</span><br />
							<input type="text" class="vui-number-large inv-history" style="margin-top: 10px; width: 205px;" /><br /><br />
							
							<span style="color: #FFF">Unique Sale ID</span><br />
							<input type="text" class="vui-number-large txn-usid" style="margin-top: 10px; width: 205px;" /><br /><br />

							
							<?php if ($this->system->config('customer_phone')): ?>
							<span style="color: #FFF">Customer Phone</span><br />
							<input type="text" class="vui-number-large txn-customer-phone" style="margin-top: 10px; width: 205px;" /><br /><br />
							<?php endif; ?>

							<?php if ($this->system->config('sales_screen_gp')): ?>
							<span style="color: #FFF" class="gross-profit">Gross Profit <strong class="gross-profit-val"></strong></span><br />
							<br />
							<?php endif; ?>
							<?php if ($this->system->config('revert_allowed')): ?>
							<button id="return-queue" class="vui-btn vui-btn-large vui-btn-red" style="width: 220px; display: none"><span></span>Revert</button><br />
							<?php endif; ?>
							<button id="reprint-receipt" class="vui-btn vui-btn-large vui-btn-dark" style="width: 220px; margin-top: 10px;"><span></span>Reprint Receipt</button>
							
							<?php if ($this->system->config('checkout_remarks')): ?>
							<br /><br /><span style="color: #FFF" class="remarks">Remarks<br /><strong class="checkout-remarks"></strong></span><br />
							<?php endif; ?>

						</div>
					</div>

					<div id="items" class="vui-card" style="height: 300px">
						<ul class="vui-card-tab" style="width: inherit; height: 45px">
							<li style="width:inherit; text-align: left;">
								<div style="padding-left: 15px; font-size: 10pt">Customer: <small class="customer-name">N/A</small></div>
							</li>
						</ul>
						
						<div>
							<table class="vui-dt-header">
								<tr>
									<td style="width: 50%; padding-left: 15px">Item Details</td>
									<td style="width: 15%; text-align: center;">Quantity</td>
									<td style="width: 15%; text-align: center;">Discount</td>
									<td style="width: 20%; text-align: right; padding-right: 35px">Amount</td>
								</tr>
							</table>
							
							<ul id="item-list" class="vui-select-list item-list">

							</ul>
							
							<div class="grand-total">
								<p><span class="grand-total">0.00</span>TOTAL <span class="adjustment"></span></p>
								<p class="payment-info"></p>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</body>
</html>
