<html>
	<head>
		<title><?php echo $this->system->config('company_name'); ?></title>
		<link rel="stylesheet" href="<?php echo base_url(); ?>css/style.css" />
		<link rel="stylesheet" href="<?php echo base_url(); ?>css/print.css" media="print" />
		<script type="text/javascript">
			var base_url = "<?php echo base_url(); ?>";
		</script>
		<script type="text/javascript" src="<?php echo base_url(); ?>js/jquery-1.4.3.min.js"></script>
		<script type="text/javascript" src="<?php echo base_url(); ?>js/interactions.js"></script>
	</head>
	<body>

		<div class="overlay" style="z-index: 500"></div>
		
		<div id="inventory" class="vui-dialog" style="width: 825px;">
			<div class="vui-card" style="width: 810px">
				<div style="padding: 10px 20px;">
					<h3><button id="inventory-close" class="vui-btn vui-btn-medium vui-btn" style="width: 120px; float:right; margin-right: 2px;"><span></span>Close</button>Inventory</h3>
					<table style="width: 100%">
						<tr>
							<td style="width: 35px">Qty.</td>
							<td style="width: 100px; padding-right: 20px;"><input id="inventory-qty" type="text" class="vui-number-large vui-number-incdec" style="width: 100%" value="1" /></td>
							<td style="width: 50px">Barcode </td>
							<td style="padding-right: 10px;"><input id="inventory-sku" type="text" class="vui-number-large " style="width: 100%" /></td>
							<td style="width: 50px">Name </td>
							<td style="padding-right: 10px;"><input id="item-name" type="text" class="vui-number-large " style="width: 100%;text-align: left" /></td>
							<td style="width: 120px"><button id="inventory-add" class="vui-btn vui-btn-medium vui-btn-dark return-default" style="width: 120px"><span></span>Add</button></td>
						</tr>
					</table>
				</div>
				<div class="separator"></div>
				<div style="padding: 10px 20px;">
					
					<div id="browse">
						<p><strong>Quick Items</strong></p>
						<div class="browse-list quick-list">
							<ul class="vui-select-list browse-list">
								<?php foreach ($quick_items as $item): ?>
								<li sku="<?php echo $item->sku; ?>"><?php echo $item->name; ?></li>
								<?php endforeach; ?>
							</ul>
						</div>
						<div class="browse-list name-search" style="display:none" >
							<ul class="vui-select-list browse-list">
								
							</ul>
						</div>
					</div>
				</div>
			</div>
		</div>

		<div id="container">
			<div class="left">
				<img src="<?php echo $this->system->config('company_logo'); ?>" alt="image" width="212" height="67" style="margin-top: 25px; margin-left: 20px" />
				<br />
				<div id="queues" class="vui-card" style="width:250px; height: 300px; margin-top: 20px;">
					<ul class="vui-card-tab">
						<li id="queues-tab" style="width:100%">Results</li>
					</ul>
					<br />
				</div>
			</div>
			<div class="right">
				<div class="status" style="height: 60px; padding-top: 20px;">
					<span style="color: #FFF; font-size: 14pt">Search </span>
					<input type="text" id="search-term" class="vui-number-large" style="text-align: left; margin-top: 10px; width: 300px; margin-left: 10px; margin-right: 10px" />
					<span style="color: #FFF; font-size: 14pt">by</span>
					<select class="search-scope" style="font-size: 18pt; padding: 20px; border: 1px solid #DDD; width: 200px; margin-left: 10px">
						<option value="title">Title</option>
						<option value="isbn">ISBN</option>
						<option value="author">Author</option>
						<option value="publisher">Publisher</option>
					</select>
				</div>
				<div class="items" style="margin-top: 30px">
					<div class="buttons">
						<div class="qb">
														<br /><br />
							<button	id="add-item" class="vui-btn vui-btn-large" style="width: 220px"><span></span>Add Item</button><br />
							<button id="add-queue" class="vui-btn vui-btn-large" style="width: 220px"><span></span>Add Queue</button><br /><br /><br /><br />
						
							<button id="void-item" class="vui-btn vui-btn-large vui-btn-red" style="width: 220px"><span></span>Void Item</button><br />
							<!-- <button id="void-queue" class="vui-btn vui-btn-large vui-btn-red" style="width: 220px"><span></span>Void Queue</button><br /> -->
							<button id="checkout" class="vui-btn vui-btn-large vui-btn-green" style="width: 220px"><span></span>Checkout</button><br />
							<button id="redeem-btn" class="vui-btn vui-btn-large vui-btn-blue" style="width: 220px"><span></span>Redeem</button><br />

						</div>
						<div class="hb">
							<span style="color: #FFF">TXN Number</span><br />
							<input type="text" class="vui-number-large txn-history" style="margin-top: 10px; width: 220px;" /><br /><br />
							<?php if ($this->system->config('sales_screen_gp')): ?>
							<span style="color: #FFF" class="gross-profit">Gross Profit <strong class="gross-profit-val"></strong></span><br />
							<br />
							<?php endif; ?>
							<?php if ($this->system->config('revert_allowed')): ?>
							<button id="return-queue" class="vui-btn vui-btn-large vui-btn-red" style="width: 220px; display: none"><span></span>Revert</button><br />
							<?php endif; ?>
							<button id="reprint-receipt" class="vui-btn vui-btn-large vui-btn-dark" style="width: 220px; margin-top: 10px;"><span></span>Reprint Receipt</button>
						</div>
					</div>

					<div id="items" class="vui-card" style="height: 300px">
						<ul class="vui-card-tab" style="width: inherit; height: 45px">
							<li style="width:inherit; text-align: left;"><span style="width: inherit"></span>&nbsp;&nbsp;Items</li>
						</ul>
						
						<div>
							<table class="vui-dt-header">
								<tr>
									<td style="width: 55%; padding-left: 15px">Item Details</td>
									<td style="width: 15%; text-align: center;">Quantity</td>
									<td style="width: 30%; text-align: right; padding-right: 35px">Amount</td>
								</tr>
							</table>
							
							<ul id="item-list" class="vui-select-list item-list">

							</ul>
							
							<div class="grand-total">
								<p><span class="grand-total">0.00</span>Grand Total</p>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</body>
</html>
