<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title>Plexcloud Terminal Select</title>
		<base href="<?php echo base_url(); ?>" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0;" > 
		<meta name="apple-mobile-web-app-capable" content="yes" />
		<meta name="apple-mobile-web-app-status-bar-style" content="black" />
		<script type="text/javascript" src="<?php echo base_url(); ?>js/jquery.js"></script>
		<script type="text/javascript">

			$(document).ready(function(){
				$('a.reset').click(function(e){
					e.preventDefault();
					var href = $(this).attr('href');
					if (confirm('Are you sure you want to reset this terminal?')){
						location.href = href;
					}
				})
			})

		</script>
		<style>
			body {
				background: #333 url(images/bg.jpg);
				padding: 0;
				font-family: Arial;
				color: #BBB;
				text-shadow: 0 1px 0 rgba(0,0,0,1);
				font-size: 15pt;
			}
			
			#container {
				text-align: center;
				padding: 20px 0;
			}
			
			a.terminal-select {
				display: block;
				color: #555;
				text-shadow: 0 1px 0 rgba(255,255,255,1);
				font-size: 14pt;
				text-decoration: none;
				display: block;
				width: 280px;
				background: #555;
				padding: 20px 5px;
				margin: 0 auto;
				border-radius: 5px;
				margin-bottom: 10px;
				background: -webkit-linear-gradient(#ffffff 0%, #dedede 100%);
				background: -moz-linear-gradient(#ffffff 0%, #dedede 100%);
				background: linear-gradient(#ffffff 0%, #dedede 100%);
				font-weight: bold;
				box-shadow:  0 2px 2px rgba(0,0,0,0.5);
			}
			
			a.terminal-select:active {
				background: -webkit-linear-gradient(#dedede 0%, #ffffff 100%);
			}
			
			a.reset {
				color: red;
			}
			
			small {
				font-size: 9pt;
			}
		</style>
	</head>
	<body>
	<div id="container">
		<img src="logo.png" />
		<p>Select terminal to use</p>
		<?php if ($agent = $this->agent->is_mobile()): ?>
		
			<?php if ($this->system->uses('FnB')): ?>
			<a class="terminal-select" href="<?php echo base_url(); ?>iphone">F&amp;B Ordering Terminal</a>
			<?php endif; ?>

		<?php else: ?>
		
		
			<?php if ($this->system->uses('Sales')): ?>
			<a class="terminal-select" href="<?php echo base_url(); ?>pos">Point-of-Sale</a>
			
			<?php endif; ?>
			
			<?php if ($this->system->uses('FnB')): ?>
			<a class="terminal-select" href="<?php echo base_url(); ?>fnbpos">F&amp;B Point-of-Sale</a>
			<?php endif; ?>
	
	
			<?php if ($this->system->uses('FnB')): ?>
			<a class="terminal-select" href="<?php echo base_url(); ?>fnbpos/order_terminal">F&amp;B Ordering Terminal</a>
			<?php endif; ?>
			
			<?php if ($this->system->uses('FnB')): ?>
			<a class="terminal-select" href="<?php echo base_url(); ?>fnbpos/self_service_terminal">F&amp;B Self-Service Terminal</a>
			<?php endif; ?>
			
			<?php if ($this->system->uses('Clinic')): ?>
			<a class="terminal-select" href="<?php echo base_url(); ?>clinic">Clinic Consultation Terminal</a>
			<a class="terminal-select" href="<?php echo base_url(); ?>clinic/show_queue">Clinic Queue Screen</a>
			<?php endif; ?>
		
		<?php endif; ?>
		<br /><br />
		<?php if ($this->client_side): ?>
		<small><a class="reset" href="<?php echo base_url(); ?>terminal/reset">Reset Terminal</a></small>
		<?php endif; ?>
		
		<br /><br />
		<small>&copy; Plexcloud 2013. All rights reserved. </small>
		
	
	</div>
	</body>
</html>
