var last_sku;
var autoIncrementID = 1;
var autoIncrementItemID = 1;

function server_time(){
	var delta = serverTime - localTime;	
	return new Date().getTime() + delta;
}

function server_datetime(){
	var x = new Date(server_time());
	var datetime = x.getFullYear() + '-' + (x.getMonth() + 1) + '-' + x.getDate() + ' ' + x.getHours() + ':' + x.getMinutes() + ':' + x.getSeconds();
	return datetime;
}

function serialize(){
	var cur = new Date();
	var deltaYear = (cur.getFullYear() - 2012);
	
	var d3 = (deltaYear * 12) + cur.getMonth();
	
	cur.getTime();
	var sn = '' + d3 + cur.getHours() + cur.getMinutes() + (cur.getSeconds() <  9 ? '0' + cur.getSeconds() : cur.getSeconds()) + (cur.getMilliseconds()/100).toFixed(0);	
	return sn;
}



function offline_log_in(username, password, callback){
	getData('users', 'username = \'' + username + '\' AND password = \'' + calcMD5(password) + '\'', function(user){
		var user = true;
		if (!user){
			sysAlert('Incorrect Username or Password','SUBTLE');
			fadeSysAlert();
			try {
				callback(false);
				
			} catch (e){
				// do nothing
			}
		} else {
			sysAlert('Logging in','EXPLICIT');
			fadeSysAlert();
			try {
				callback(true);
			} catch (e){
				// do nothing
			}

		}
	})
	
}

function offline_add_queue(callback){
	var id = terminal + serialize();
	
	getData('sales','id = ' + id, function(item){
		if (!item){
						
			insertData('sales',{
			    'id'				: id,
			    'pseudo_id'			: id,
			    'type'				: 'queue',
			    'payment_status'	: 'Unpaid',
			    'username'			: user.username,
			    'user_id'			: user.id,
			    'terminal'			: terminal,
			    'session'			: user.session,
			    'sync'				: 0,
			    'client_sync_time'	: new Date().getTime()
			}, function(){
			    callback(id);
			});


		}
	})

	
}

function offline_item_found(item, qty, qty_fraction, sku, sku_select, match, callback){
	var obj = {};
	
	if (item['enter_price']) obj.enter_price = true;
	if (item['enter_serial']) obj.enter_serial = true;
	
	if (sku_select != 1){
		var sku2 = sku;
		var item_price = parseFloat(item['price'+sku_select]);
	} else {
		var sku2 = '';
		var item_price = parseFloat(item['price']);
	}
	
	var item_id = 0;
	var item_name = '';
	
	if (match){

		if (sku_select != 1){
			getData('sale_items',"item_sku2 = '"+sku2+"' AND sale_id = '"+currentQueue+"'",function(item){
				updateData('sale_items', {
					'qty'	: parseInt(item['qty']) + qty,
					'amount': parseFloat(item['amount']) + (item_price * (qty / qty_fraction))
				}, "id = '"+item.id+"'");
				
				item_id = item.id;
				item_name = item.name;

			}, function(){
			
				offline_update_amount(currentQueue, function(total){
				
					var obj = {
						'status'		: 'Success',
						'amount'		: total.toFixed(2),
						'qty'			: qty,
						'name'			: item_name,
						'price'			: item_price,
						'outstanding'	: total,
						'id'			: item_id
					}
					
					callback(obj);
				
				})
			
			});
			
		} else {
			getData('sale_items',"item_sku = '"+sku+"' AND sale_id = '"+currentQueue+"'", function(item){

				updateData('sale_items', {
					'qty'	: parseInt(item.qty) + parseInt(qty),
					'amount': (parseFloat(item.amount) + (item_price * qty)).toFixed(2)
				}, "id = '"+item.id+"'", function(){

					offline_update_amount(currentQueue, function(total){
						var total = parseFloat(total);
					
						var obj = {
							'status'		: 'Success',
							'amount'		: parseFloat(item.amount) + (item_price * qty),
							'qty'			: qty,
							'name'			: item.item_name,
							'price'			: item_price,
							'outstanding'	: total.toFixed(2),
							'id'			: item.id
						};

						callback(obj);
					});
				});
			});		
		}
	} else {

		
		var amount = item_price * (qty / qty_fraction);
		var id = serialize();
		
		insertData('sale_items', {
			'id'			: id,
			'item_id'		: item.id,
			'item_sku'		: item.sku,
			'sale_id'		: currentQueue,
			'pseudo_id'		: currentQueue,
			'item_sku2'		: sku2,
			'item_name'		: item.name,
			'unit'			: item.uom1,
			'qty'			: qty,
			'qty_fraction'	: qty_fraction,
			'sku_select'	: sku_select,
			'terminal'		: terminal,
			'sync'			: 0,
			'amount'		: amount.toFixed(2)
		}, function(){

			
			offline_update_amount(currentQueue, function(total){

				var obj = {
					'status'		: 'Success',
					'amount'		: amount.toFixed(2),
					'qty'			: qty,
					'name'			: item.name,
					'price'			: item_price,
					'outstanding'	: total,
					'id'			: id
				}
				
				
				callback(obj);
			
			})
		});
	}
}

function offline_add_item(queue_id, sku, qty, callback){
	if (sku.charAt(0) == 'x' || sku.charAt(0) == 'X'){
		qty = parseInt((sku.replace('x','')).replace('x','')) - 1;
		sku = last_sku;

		if (isNaN(qty)) sku = ''
	} else {
		last_sku = sku;
	}
	
	
	db.transaction(function(tx){
		tx.executeSql("SELECT * FROM inventory WHERE sku = '"+sku+"'",[], function(tx,res){
			console.log(res.rows.length);

			if (res.rows.length == 0){
				for (var i = 2; i <= 4; i++){
					tx.executeSql('SELECT * FROM inventory WHERE sku'+i+' = ?', [sku], function(tx,res){
						if (res.rows.length){

							var item = res.rows.item(0);
							var qty = qty * parseInt(item['loose_qty'+i]);
							var qty_fraction = parseInt(item['loose_qty'+i]);
							var sku_select = i;
							
							tx.executeSql("SELECT * FROM sale_items WHERE item_sku2 = ? AND sale_id = ?",[sku,queue_id],function(res,tx){
								if (res.rows.length) var match = true;
								else match = false;
								
								var si = res.rows.item(0);
								
								offline_item_found(item, qty, qty_fraction, sku, sku_select, match, callback);
							})
							
						}
					})
				}
			} else {
			
				var sku_select = 1;
				var qty_fraction = 1;
				var item = res.rows.item(0);
				
				tx.executeSql("SELECT * FROM sale_items WHERE item_sku = ? AND sale_id = ?",[sku,queue_id],function(tx,res){
					if (res.rows.length) var match = true;
					else match = false;
					
								
					offline_item_found(item, qty, qty_fraction, sku, sku_select, match, callback);
				})
			}
		
		})
	})

}

function offline_get_history_list(phone, callback){

	db.transaction(function(tx){
		tx.executeSql("SELECT * FROM sales WHERE type = 'history' ORDER BY id DESC",[],function(tx,res){
			var output = '';

			for (var i = 0; i < res.rows.length; i++){
				var sale = res.rows.item(i);

				var amount = parseFloat(sale.amount);
				if (!amount) amount = 0.00;
				
				if (amount){
					if (sale.pseudo_id != sale.id){
						output += "<li id=\""+sale.id+"\"><strong>&#x2713; TXN"+sale.id+" - RM"+amount.toFixed(2)+"</strong><br /><small>TXN-"+sale.pseudo_id+"</small></li>";
					} else {
						output += "<li id=\""+sale.id+"\"><strong>TXN"+sale.id+" - RM"+amount.toFixed(2)+"</strong></li>";
					}
				} else {
					if (sale.pseudo_id != sale.id){

						output += "<li id=\""+sale.id+"\"><strong>&#x2713; TXN"+sale.id+" - RM0.00</strong><br /><small>TXN-"+sale.pseudo_id+"</small>	</li>";
					} else {
						output += "<li id=\""+sale.id+"\"><strong>TXN"+sale.id+" - RM0.00</strong></li>";
					}
				}
			}
			
			var obj = {
				'html'	: output,
				'status': 'Success'
			}
			
			if (callback) callback(obj);
		});
	});				
}



function offline_get_queue_list(callback){

	db.transaction(function(tx){
		tx.executeSql("SELECT * FROM sales WHERE type = 'queue' ORDER BY id DESC",[],function(tx,res){
			var output = '';
			var x = 0;
			for (var i = 0; i < res.rows.length; i++){
				var sale = res.rows.item(i);
				var amount = parseFloat(sale.amount);
				if (!amount) amount = 0.00;

				if (amount){
					if (sale.pseudo_id != sale.id){
						output += "<li id=\""+sale.id+"\"><strong>&#x2713; TXN"+sale.id+" - RM"+amount.toFixed(2)+"</strong><br /><small>TXN-"+sale.pseudo_id+"</small></li>";
					} else {
						output += "<li id=\""+sale.id+"\"><strong>TXN"+sale.id+" - RM"+amount.toFixed(2)+"</strong></li>";
					}
				} else {
					if (sale.pseudo_id != sale.id){

						output += "<li id=\""+sale.id+"\"><strong>&#x2713; TXN"+sale.id+" - RM0.00</strong><br /><small>TXN-"+sale.pseudo_id+"</small>	</li>";
					} else {
						output += "<li id=\""+sale.id+"\"><strong>TXN"+sale.id+" - RM0.00</strong></li>";
					}
				}
				x++;
			}
			
			var obj = {
				'html'	: output,
				'status': 'Success',
				'count'	: x
			}
			
			if (callback) callback(obj);
		});
	});				
}

function offline_void_item(queue_id, item_id, callback){
	deleteRow('sale_items',"sale_id = '"+queue_id+"' AND id = '"+item_id+"'", function(){
		try {
			callback();
		} catch (err){
			// do nothing
		}
	});
}

function offline_get_item_list(queue_id, callback){
	db.transaction(function(tx){
		tx.executeSql("SELECT * FROM sales WHERE id = ?", [queue_id], function (tx,res){
			var sale = res.rows.item(0);
			
			tx.executeSql("SELECT * FROM sale_items WHERE sale_id = ?", [queue_id], function(tx,res){
				var output = '';
				for (var i = 0; i < res.rows.length; i++){
					var item = res.rows.item(i);
					
					if (item.serial_no && item.serial_no != 'null'){
						var serial_no = '<br />SN: ' + item.serial_no
					} else {
						var serial_no = '';
					}
					
					if (item.discount_value && item.discount_value != 'null'){
						if (item.discount_type == 'd') var discount = '-' + item.discount_value;
						else var discount = item.discount_value + '%';
					} else {
						var discount = '';
					}
					
					
					if (item.sku_select == 1){
						output += "<li class=\"\" id=\""+item.id+"\" qty=\""+item.qty+"\" name=\""+item.item_name+"\" price=\""+item.price_per_unit+"\"><table class=\"vui-dt-row\"><tr>	\
							<td style=\"width: 50%\"><strong style=\"font-size: 11pt\">"+item.item_name+"</strong><br />"+item.item_sku+" "+serial_no+"</td>	\
							<td style=\"width: 20%; font-weight: bold; font-size: 12pt; text-align: center;\">"+item.qty+" <small>"+item.unit+"</small><br /></td>	\
							<td style=\"width: 15%; font-weight: bold; font-size: 11pt; text-align: center;\">"+discount+"</td>	\
							<td class=\"item-amount\" style=\"width: 20%; text-align: right;\">"+item.amount+"</td>	\
						</tr></table></li>";
					} else {
						var qty_unit = item.qty / item.qty_fraction;
						output += "<li class=\"\" id=\""+item.id+"\" qty=\""+item.qty+"\" name=\""+item.item_name+"\" price=\""+item.price_per_unit+"\"><table class=\"vui-dt-row\"><tr>	\
							<td style=\"width: 50%\"><strong style=\"font-size: 11pt\">"+item.item_name+"</strong><br />"+item.item_sku2+" "+serial_no+"</td>	\
							<td style=\"width: 20%; font-weight: bold; font-size: 12pt; text-align: center;\">"+qty_unit+" <small>"+item.unit+"</small><br /></td>	\
							<td style=\"width: 15%; font-weight: bold; font-size: 11pt; text-align: center;\">"+discount+"</td>	\
							<td class=\"item-amount\" style=\"width: 20%; text-align: right;\">"+item.amount+"</td>	\
						</tr></table></li>";
					}
				}
				
				var obj =  {
					'status'		: 'Success',
					'discount'		: sale.discount ? sale.discount : 0,
					'discount_type'	: sale.discount_type,
					'amount'		: sale.amount,
					'adjustment'	: sale.adjustment ? sale.adjustment : 0,
					'html'			: output
				}
				
				
				if (callback) callback(obj);
			});
		});
	});
	
	
	
				
}

function offline_update_amount(queue_id, callback){
	db.transaction(function(tx){
		tx.executeSql("SELECT * FROM sale_items WHERE sale_id = ?",[queue_id], function(tx, res){
			var total = 0.00;
			for (var i = 0; i < res.rows.length; i++){
				var sale_item = res.rows.item(i);
				total += parseFloat(sale_item.amount);
			}
			
			updateData('sales',{'amount':total.toFixed(2)},'id = ' + queue_id, function(){
				try {
					callback(total.toFixed(2));
				} catch (err){
					// do nothing
				}
			})
		});
	})
}

function offline_cash_checkout(queue_id, data, callback){

	last_sku = '';
	
	db.transaction(function(tx){
		tx.executeSql('SELECT * FROM sales WHERE id = ?', [queue_id], function(tx, res){
			if (!res.rows.length) return;
			var sale = res.rows.item(0);
			console.log('SALE ENTRY');
			console.log(sale);
			
			var x = parseFloat(sale.amount);
			
			
			if (!sale.discount || sale.discount == 'null') discount = 0.00;
			else discount = parseFloat(sale.discount);
			
			console.log('DISCOUNT ' + discount);
			
			if (sale.discount_type == 'p'){
				var amount = (x * (((100 - discount)) / 100)).toFixed(2);
			} else {
				var amount = (x - discount).toFixed(2);
			}
			
			console.log(amount);
			
			var denom = amount.split('.');
			console.log('DENOM' + denom);
			
			var decimals = denom[1] + '';
			var secondDecimal = parseInt(decimals.charAt(1));
		
			if (secondDecimal <= 2){
				var newDec = 0;
				var addition = 0;
			} else if (secondDecimal <= 7){
				var newDec = 5;
				var addittion = 0;
			} else if (secondDecimal <= 9){
				var newDec = 0;
				var addition = 0.1;
			}
			
			var adjustedAmount = denom[0] + '.' + decimals[0] + newDec;
			adjustedAmount = parseFloat(adjustedAmount) + addition;
			
			
			
			var change = data.amount_tendered - adjustedAmount;
			var update = {
				'type'				: 'history',
				'payment_status'	: 'Paid',
				'amount_tendered'	: (parseFloat(data.amount_tendered)).toFixed(2),
				'amount_change'		: change.toFixed(2),
				'amount_cheque'		: data.amount_cheque,
				'amount_cash'		: data.amount_cash - change,
				'amount_credit'		: data.amount_cc,
				'amount'			: adjustedAmount.toFixed(2),
				'payment_method'	: 'Cash',
				'discount'			: discount,
				'discount_type'		: data.discount_type,
				'card_type'			: data.card_type,
				'customer_phone'	: data.customer_phone,
				'datetime'			: server_datetime()
				
			};
			console.log(update);
			updateData('sales',update,"id = " + queue_id, function(){
			
				// update sale items
				updateData('sale_items',{
					'sold'		: 1,
					'date'		: server_datetime(),
					'session'	: user.session
				}, "sale_id = " + queue_id, function(){
					
					var obj = {
						'tendered'		: (parseFloat(data.amount_tendered)).toFixed(2),
						'amount_credit'	: data.amount_credit,
						'amount_cc'		: data.amount_cc,
						'amount_cash'	: data.amount_cash,
						'amount_cheque'	: data.amount_cheque,
						'change'		: change.toFixed(2),
						'status'		: 'Success'
					}
					
					try {
						callback(obj);
					} catch (err){
						// do nothing
					}
					
				})
				
			});
		});
	});		

}


function offline_receipt(queue_id, callback){
	
	db.transaction(function(tx){
		tx.executeSql("SELECT * FROM sales WHERE id = ?", [queue_id], function(tx,res){
			var sale = res.rows.item(0);
			var output = sale.datetime;			
			
			// if (receipt_type == '3 Inch'){

				output += "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Rec No.: " + sale.id;
				output += "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Cashier: " + sale.username;
				output += "<hr />";
				output += "<table style=\"border-collapse: collapse; width: 100%; font-size: 8px\">";
				
				tx.executeSql("SELECT * FROM sale_items WHERE sale_id = ?", [queue_id], function(tx,res){
					var subtotal = grand_total = 0.00;
					for (var i = 0; i < res.rows.length; i++){
						var item = res.rows.item(i);						
					    output += "<tr><td style=\"width: 40%\"><strong style=\"font-size: 8pt\">"+item.item_name+"</strong><br />"+item.item_sku+"</td><td style=\"width: 22%; text-align: center;\">"+item.qty+"</td><td style=\"width: 23%; text-align: right;\">"+item.amount+"</td></tr>";
					    subtotal = grand_total += parseFloat(item.amount);
					    
					    var grand_total_display = (parseFloat(sale.amount)).toFixed(2);
						var discount_display = (grand_total - parseFloat(sale.amount)).toFixed(2);
						var amount_tendered_display = (parseFloat(sale.amount_tendered)).toFixed(2);
						var amount_change_display = (parseFloat(sale.amount_change)).toFixed(2);
						var subtotal_display = (parseFloat(sale.subtotal)).toFixed(2);
						var discount = (parseFloat(sale.discount)).toFixed(2);

					}
					
					output += "<tr style=\"border-top: 1px solid #333\"><td colspan=\"2\">Subtotal</td><td style=\"width: 23%; text-align: right\">"+subtotal_display+"</td></tr>";
					
					if (discount != 0){
					    if (sale.discount_type == 'p'){
					    	output += "<tr style=\"border-top: 1px solid #333\"><td colspan=\"2\">Discount "+discount+"%</td><td style=\"width: 23%; text-align: right;\">"+discount_display+"</td></tr>";
					    		
					    } else {
					    	var discount_d = discount
					    	output += "<tr style=\"border-top: 1px solid #333\"><td colspan=\"2\">Discount RM"+discount_d+"</td><td style=\"width: 23%; text-align: right;\">"+discount_display+"</td></tr>";
					    }
					}
					
					
					output += "<tr style=\"border-top: 1px solid #333\"><td colspan=\"2\">Grand Total</td><td style=\"width: 23%; text-align: right;\">"+grand_total_display+"</td></tr><tr><td colspan=\"2\">Amount Tendered</td><td style=\"width: 23%; text-align: right;\">"+amount_tendered_display+"</td></tr>";
					output +=  "<tr><td colspan=\"2\">Change</td><td style=\"width: 23%; text-align: right;\">"+amount_change_display+"</td></tr></table>";

					var obj = {'status': 'Success', 'html': output};

					callback(obj);
					
				});				
				

				
			// } else {
				
			// }
		})
	})
    
}

function offline_logout(username, password, deposited, counted, expected, discrepancy, callback){
	
}

function offline_void_queue(queue_id, callback){
	
}

function offline_return_to_queue(queue_id, callback){
	
}

function offline_manager_request(request, callback){
	
}

function offline_employee_clock_in(){

}

function offline_employee_clock_out(){

}

function offline_enter_discount(item_id, queue_id, discount_type, discount_value, to){

}
