// Settings

var currentScreen = 'home';
var currentCategory = '';
var currentSubcategory = '';
var currentItem = '';

// Globals
var itemOption = '';
var itemOptionDisplay = '';
var itemPrice = 0.00;
var itemSku = '';
var itemName = '';
var itemQty = 1;
var itemHasOptions = 0;
var tableNo = 0;
var paxNo = 0;
var saleId = 0;
var lastSaleId = 0;
var enterPriceItem = '';
var enterPriceRel = '';
var enterPriceSku = 0;
var doubleTap = false;
var doubleTapOption = null;
var moveStarted = false;
var moveInitial = 0;
var moving = false;
var deltaY = 0;
var	myScroll = null;
var currentCat = null;
var undoable = true;
var actualPrice = true;
var orderSubmitted = false;
var card_queue_id = '';
var lastItem = new Array();
var lastName = new Array()
var lastSku = new Array();
var lastQty = new Array();
var state = 'table';
var processQueue = new Array();
var assign_table = false;


var undoName = '';
var undoQty = '';
var undoItem = '';

var batteryLevel = 99;

// Set the battery status event listener
window.addEventListener('touchmove', function (event) {
	moving = true;
}, true);

function touchMove(e){
	e.preventDefault();
}


var orderScroll;
var tableScroll;
var optionsScroll;


// Events population when 
$(document).ready(function(){	

	window.top.scrollTo(0,1);	
	
	Update_routine();
	
	$('div.collapse-pane').on('tap',function(){
		$(this).removeClass('tap');
		
		if ($(this).hasClass('opened')){
			$(this).removeClass('opened').text('Show Active Tables');
			$('div.table-list').hide();
			$('div.p-btn-container').show();

		} else {
			$(this).addClass('opened').text('Hide Active Tables');
			$('div.p-btn-container').hide();
			$('div.table-list').show();
			tableScroll.refresh();
		}

	});
	
	$('div.x-btn').bind('touchstart', function(){
		$(this).addClass('tap');
	})
	
	$('div.x-btn').bind('touchend', function(){
		$(this).removeClass('tap');
	})
	
	
	$('div.x-btn').on('tap',function(){

		var xin = $(this).text();

		if (xin == 'OK'){
			var price = $('#enter-price input.in-price').val();
			var qty = $('#enter-price input.in-qty').val();
			
			if (!price){
				return ;
			}
			
			// Clear the price and quantity field
			$('input.in-price').val('');
			$('input.in-qty').val('1');
			
			var floatPrice = parseFloat(price);
			
			var priceOption = floatPrice.toFixed(2);
			
			if (itemHasOptions){
				$('#enter-price').hide();
				
		  		$('span.cur-item-qty').text(qty);
		  		$('span.cur-item-price').text(price);
		  		
		  		actualPrice = floatPrice;
				
			} else {
				// Add item to list with price and quantity
				addToList(enterPriceItem, enterPriceSku, '' + currency + priceOption, '' + currency + priceOption, price,qty);
				$(this).removeClass('current');
					
				// Alert item has been added
				alertAdd(enterPriceItem);
				
				$('#enter-price input.in-qty').val(1);
				$('#enter-price input.in-price').val('');
				
		  		$('span.cur-item-qty').text(qty);
		  		$('span.cur-item-price').text(price);
				
			}
			
			return;
		}
		
		if (xin == 'CLR'){
			$('input.in-price').val('');
			return;
		}
		
		if (xin == 'BACK'){
			$('#enter-price').hide();
			return;
		}
		
		if (xin == 'DONE'){
			var price = $('#enter-option input.in-price').val();
			var option = $('#enter-option input.in-qty').val();
			
			var item = $('<li name="'+itemName+'" sku="'+itemSku+'" class="option stay" option="'+option+'" price="'+price+'">'+option+'</li>');
			
			$('ul.item-option').find('br').remove();
			$('ul.item-option').append(item);
			$('ul.item-option').append('<br style="clear:left" />');
			
			optionsScroll.refresh();

			$('#enter-option input.in-price').val('');
			$('#enter-option input.in-qty').val('');
			
			$(item).trigger('tap');
			
			$('span.cur-item-option').text('');
	    	$('span.cur-item-price').text('');
	    	
	    	
	    	
	    	$('span.cur-item-option').text(itemOption);			
	    	$('span.cur-item-price').text(itemPrice.toFixed(2));

			
			$('#enter-option').hide();

			return;
		}
		
		if (xin == '+'){
			var qty = parseInt($('#enter-price input.in-qty').val());
			qty++;
			
			$('#enter-price input.in-qty').val(qty);
			return;
		}
		
		if (xin == '-'){
			var qty = parseInt($('#enter-price input.in-qty').val());
			qty--;
			
			if (qty <= 0) qty = 1;
			
			$('#enter-price input.in-qty').val(qty);
			return;
		}
		
		var curIn = $('input.in-price').val();
		curIn = curIn.replace('.','');
		
		var price = parseFloat(curIn + xin) / 100;
		
		$('input.in-price').val(price.toFixed(2)); 
		
		$('input.in-price').keyup();
	});
	
	
	$('div.p-btn').bind('touchstart', function(){
		$(this).addClass('tap');
	})
	
	$('div.p-btn').bind('touchend', function(){
		$(this).removeClass('tap');
	})

	
	$('div.p-btn').bind('touchend',function(){
		
		if ($(this).text() == 'Clear'){
			if (state == 'table'){
				$('span.p-table-field').text('');
			} else if (state == 'card'){
				$('span.p-card-field').text('');				
			} else {
				$('span.p-pax-field').text('');	
			}
			
		} else if ($(this).text() == 'Back'){
			$('span.p-table-field').text('');
			state = 'table';
			
			$('div.cardno').hide();
			$('div.tableno').show();
			
		} else if ($(this).text() == 'Save'){
			
			if (!hide_pax){
				$('.paxno').show();
				$('.tableno').hide();
			} else {
				var tn = $('span.p-table-field').text();
				var pax = $('span.p-pax-field').text();
				var cardno = $('span.p-card-field').text();

				
				
	
	
				$.ajax({
					url: base_url + 'iphone/ajax/check_table/',
					type: 'post',
					data: 'table_no='+tn+'&pax='+pax+'&cardno='+cardno,
					dataType: 'json',
					success: function (res){
						
						$('span.p-card-field').text('');				
						
						if (res.exists == true){
							if (confirm('Table exists. Continue?')){
								$('ul.order-list').html('');
								$('span.table-no').text(tableNo);
								$('span.amount-due').text('');
	
								// Clear undo queue
								var lastItem = new Array();
								var lastName = new Array();
								var lastSku = new Array();
								var lastQty = new Array();
							
								saleId = res.sale_id;
								updateTableItemList(res.sale_id);

								$('.cardno').hide();								
								$('.paxno').hide();
								$('.tableno').show();
								
								state = 'table';
	
							}
	
						} else {
							paxNo = pax;
							tableNo = tn;
							cardNo = cardno;
							$('ul.order-list').html('');
			
							// Set details to the screen to show current table no and clear amount due
							$('span.table-no').text(tableNo);

							$('span.amount-due').text('');
							createTable();
							
							state = 'table';
							
	
						}
					}
				});				
			}
			
		} else if ($(this).text() == 'OK'){
			var tn = $('span.p-table-field').text();
			$('span.p-card-field').text('');
			
			$.ajax({
				url: base_url + 'iphone/ajax/check_table/',
				type: 'post',
				data: 'table_no='+tn+'&pax='+pax+'&cardno='+cardno,
				dataType: 'json',
				success: function (res){
					if (res.exists == true){
						if (confirm('Table exists. Continue?')){
							$('ul.order-list').html('');
							$('span.table-no').text(tableNo);
							$('span.amount-due').text('');

							// Clear undo queue
							var lastItem = new Array();
							var lastName = new Array();
							var lastSku = new Array();
							var lastQty = new Array();
						
							saleId = res.sale_id;
							updateTableItemList(res.sale_id);
							
							$('.paxno').hide();
							$('.tableno').show();

						}

					} else {
						
						
						if (assign_table){
							$('div.assign-table').hide();
							var assign_to = $('#transfer-table-no').html();
							transferTable(card_queue_id, assign_to);
							goto('home');
						} else {
						
							if (!card_no){
								$('.paxno').show();
								$('.tableno').hide();	
								
								state = 'pax';			
				
							} else {
								$('.cardno').show();
								$('.tableno').hide();				
								
								state = 'card';			
							}
						
						}
						
						
						

					}
				}
			});
		
			
						
		} else if ($(this).text() == 'GO'){
			var tn = $('span.p-table-field').text();
			var pax = $('span.p-pax-field').text();
			var cardno = $('span.p-card-field').text();
			
			state = 'table';

			$.ajax({
				url: base_url + 'iphone/ajax/check_table/',
				type: 'post',
				data: 'table_no='+tn+'&pax='+pax+'&cardno='+cardno,
				dataType: 'json',
				success: function (res){
					if (res.exists == true){
						if (confirm('Table exists. Continue?')){
							$('ul.order-list').html('');
							$('span.table-no').text(tableNo);
							$('span.amount-due').text('');

							// Clear undo queue
							var lastItem = new Array();
							var lastName = new Array();
							var lastSku = new Array();
							var lastQty = new Array();
						
							saleId = res.sale_id;
							updateTableItemList(res.sale_id);
							
							$('.paxno').hide();
							$('.tableno').show();

						}

					} else {
						paxNo = pax;
						tableNo = tn;
						cardNo = cardno;
						$('ul.order-list').html('');
		
						// Set details to the screen to show current table no and clear amount due
						$('span.table-no').text(tableNo);
						$('span.amount-due').text('');
						createTable();
						
						

					}
				}
			});
			
			
		} else {
			if (state == 'table'){
				var curVal = $('span.p-table-field').text();
				var newVal = curVal + $(this).text();
				$('span.p-table-field').text(newVal);
				
			} else if (state == 'card'){
				var curVal = $('span.p-card-field').text();
				var newVal = curVal + $(this).text();
				$('span.p-card-field').text(newVal);
			} else {
				var curVal = $('span.p-pax-field').text();
				var newVal = curVal + $(this).text();
				$('span.p-pax-field').text(newVal);
				
			}
		}
	});
	

	
	$('input.in-qty').on('tap',function(){
		$(this).each(function(){
			this.select();
		});
	});
	
	$('span.topbar-title').on('tap',function(){
		$.ajax({
    		url: base_url + 'iphone/ajax/active_tables/',
    		type: 'post',
    		data: 'battery_level='+batteryLevel,
    		dataType: 'json',
    		success: function (json){
    			// Populate active tables to the table list
    			$('ul.table-list').html(json.html ? json.html : '');
    			
    		}
    	});
	});



	orderScroll = new iScroll('scroller-order');
	tableScroll = new iScroll('scroller-table');
	optionsScroll = new iScroll('scroller-options');

	// Start javascript application routine
	Update_routine();
	
    // Create a new instance of Shake event
    var myShakeEvent = new deviceShake();
	
	// Start the shake event instance
    myShakeEvent.start();
    
    // Set the shake event callback
    myShakeEvent.shakeEventDidOccur = function() {    
		// Check if undoable
        if (undoable){
        	// Get last undo queue item
        	undoName = lastName.shift();
        	undoQty = lastQty.shift();
        	undoItem = lastItem.shift();
        	
        	lastName.unshift(undoName);
        	lastQty.unshift(undoQty);
        	lastItem.unshift(undoItem);
        	
        	// Prompt undo to user
        	if (undoName){
		        if (confirm("Undo Order " + undoQty + " x " + undoName + "\n" + undoItem + " ?")) {
					undoOrder();
        		}
        	}
        }
    }
    
    $('input.in-price').keyup(function(){
		var val = $(this).val();
		raw = val.replace('.','');
		raw = val.replace('.','');

		raw = trimNumber(raw);
		raw = '' + raw;

    	if (raw.length > 2){
			var pos = raw.length - 2;
			var newval = '';
			for (var i = 0; i < raw.length; i++){
				if (pos - 1 == i){
					newval += raw.charAt(i) + '.';
				} else {
					newval += raw.charAt(i);
				}
			}
			$(this).val(newval);
			
		} else {
			$(this).val('0.'+raw);
		}

    });
    
    $('button.option-back').on('tap',function(){
    	$('div.item-options').hide();
    	$('ul.item-list').show();
    	$('div.btn-menu').show();
    	
		itemOption = '';
		itemOptionDisplay = '';
		itemPrice = 0.00;
		itemSku = '';
		itemName = '';
		itemQty = 1;

    });
    
    // Login button tap event
    $('#btn-login').on('tap',function(){
    	// Submit login form
    	$(this).parents('form').submit();
    });
	
	// Add quantity button tap event
	$('button.qty-add').on('tap',function(){
		// Increment item quantity by 1
		itemQty = itemQty + 1;;
		
		// Set quantity display to the current item quantity
		$('span.cur-item-qty').text(itemQty);
	});
	
	// Btn logout
	$('#btn-logout').on('tap',function(){
		window.location.href = base_url + 'iphone/logout';
	});
	
	// Deduct quantity button tap event
	$('button.qty-deduct').on('tap',function(){
		// Decrement item quantity by 1
		itemQty = itemQty - 1;
		
		// Check if item quantity deducted lower than 1. If lower than 1, revert back to 1
		if (itemQty < 1) itemQty = 1;
		
		// Set quantity display to the current item quantity
		$('span.cur-item-qty').text(itemQty);
	
	});
	
	
	// Clear option button tap event
	$('button.clear-select').on('tap',function(){
		// Clear item option
		itemOption = '';
		itemOptionDisplay = '';
		
		// Clear option display
		$('span.cur-item-option').text('');
		$('span.cur-item-price').text(actualPrice.toFixed(2));
		
		// Remove all selected state of options
		$('div.item-options li').removeClass('selected').removeClass('current').removeClass('vui-current');

		// Remove all double tap state
		doubleTap = false;
	});

	// Back button tap event binding
	$('#btn-back').on('tap',function(){
		// Update table list
		updateTableList();
		// Switch screen to home
		goto('home');
		$('span.p-table-field').text('');
	});
	
	// Home button tap event
	$('#btn-home').on('tap',function(){
		// Update list of tables
		updateTableList();
		// Switch screen to home		
		goto('home');
		$('span.p-table-field').text('');
	})

	// Add table button tap event
	$('#btn-add-table').on('tap',function(){
		// Go to add table screen and focus on the table number field
		goto('add-table');
		$('#in-table-number').focus();
		
	});
	
	// Add item button tap event
	$('#btn-add-item').on('tap',function(){
		// Show menu screen
		show('menu');
		// Trigger the dropdown
		$('div.dropdown').trigger('tap');
	});
	
	// Table number go button tap event
	$('#btn-go-table').on('tap',function(){
		// Retrieve table number from field
		tableNo = $('#in-table-number').val();
		paxNo = $('#in-pax-number').val();
		// Check if table number is empty
		if (tableNo == null){
			// If empty, show error message and focus on the table number field
			$('p.table-errmsg').text('Enter table number.');
			$('#in-table-number').focus();
			return;
		}
		// Clear the order list
		$('ul.order-list').html('');
		
		// Clear the table number field value
		$('#in-table-number').val('');
		
		// Set details to the screen to show current table no and clear amount due
		$('span.table-no').text(tableNo);
		$('span.amount-due').text('');
		
		// Create the table
		createTable();
		
	});	

	
	
	// Item customization done button tap event
	$('button.done-select').on('tap',function(){
		// Clear current item option
		itemOption = '';
		itemOptionDisplay = '';
		$('div.btn-menu').show();
		
		itemPrice = actualPrice;
		
		// Loop through all selected options
		$('div.item-options').find('li.selected').each(function(){
			
			// Retrieve option prices
			var price = parseFloat($(this).attr('price'));			
			if (!price) price = 0.00;

			// Retrieve the option
			var option = $(this).attr('option');
			var optionDisplay = $(this).text();

			// Check if item option is blank
			if (itemOption == ''){
				// If blank the option into item option
				itemOption = option;
				itemOptionDisplay = optionDisplay;
			} else {
				// If not blank, append the option with comma
				itemOption = itemOption + ',' + option;
				itemOptionDisplay = itemOptionDisplay + ',' + optionDisplay;
			}

			// Increment the item price with option price
			itemPrice = itemPrice + price;

		});
		
		alertAdd(itemName);
	
		// Hide the option screen
		$('div.scroller-wrapper').hide();
		$('div.item-options').hide();
		$('ul.item-list').show();
		
		// Add into the undo queues
		lastName.unshift(itemName);
		lastSku.unshift(itemSku);
		lastItem.unshift(itemOption);
		lastQty.unshift(itemQty);
		
		// Add into the order list
		addToList(itemName, itemSku, itemOption, itemOptionDisplay, itemPrice,itemQty);
		
		// Revert the item quantity to one after adding
		itemQty = 1;

	});

	
	
	// Item option tap event
	
	
	$('#btn-enter-price-plus').on('tap',function(){
		var qty = $('#enter-price input.in-qty').val();
		qty++;
		$('#enter-price input.in-qty').val(qty);
	});
	
	$('#btn-enter-price-minus').on('tap',function(){
		var qty = $('#enter-price input.in-qty').val();
		if (qty != 1) qty--;
		$('#enter-price input.in-qty').val(qty);
	});


	$('#btn-enter-price-back').on('tap',function(){	
		// Hide the custom price screen
		$('#enter-price').hide();
	
	});
	
	
	// Done custom price button
	$('#btn-price-done').on('tap',function(){
		// Retrieve the price and quantity
		var price = $('#enter-price input.in-price').val();
		var qty = $('#enter-price input.in-qty').val()
		
		if (!price){
			return ;
		}
		
		// Clear the price and quantity field
		$('#enter-price input.in-price').val('');
		$('#enter-price input.in-qty').val('1');
		
		var floatPrice = parseFloat(price);
		
		var priceOption = floatPrice.toFixed(2);
		
		// Add item to list with price and quantity
		addToList(enterPriceItem, enterPriceSku, '' + currency + priceOption, '' + currency + priceOption, price,qty);
		$(this).removeClass('current');
			
		// Alert item has been added
		alertAdd(enterPriceItem);
		
	
	});

		
	$('#btn-resync').on('tap', function(){
		resyncDB();
	})
	
	// Category drop down menu item tap event
	
	$('#tab-menu li').on('tap',function(){
		currentCategory = $(this).attr('rel');
		
		getSubcategories(currentCategory);

		$('div.scroller-wrapper').hide();

		$('#btn-menu-back').hide();
		
		$('ul.subcat').show();
		$('div.item-options').hide();
		$('ul.item-list').hide();
		
		// tableScroll = new iScroll('scroller-menu');
		
	})
		
	// Menu back button tap event
	$('#btn-menu-back').on('tap',function(){
		
		// Hide all item list
		$('ul.item-list').hide();
		$('ul.subcat').show();
		$('div.item-options').hide();
		
		// Hide menu back button
		$(this).hide();
	});
	
	
	// Dropdown list
	$('div.dropdown').on('tap',function(){
		// Check if dropdown already opened
		if ($(this).hasClass('opened')){
			// If opened, remove opened state and hide content
			$(this).removeClass('opened').children('div.dropdown-content').hide();
		} else {
			// If closed, add opened state and show content
			$('div.item-option-active').hide().removeClass('item-list-active');
			$(this).addClass('opened').children('div.dropdown-content').show();
		}
		$('div.scroller-wrapper').hide();
	});

	// Menu done button tap event
	$('#btn-menu-done').on('tap',function(){
		// Hide the menu and unbind the swipe scroll event of the item 
		hide('menu');
		// myScroll.destroy();
	});
	
	// Home button tap event
	$('#btn-home').on('tap',function(){
		// Go to home screen
		goto('home');
	});
	
	// Submit order tap event
	$('#btn-submit-orders').on('tap',function(){
		// Perform order submission
		$(this).hide();
		submitOrder();

	});
	
	$('.cancel-assign').live('tap',function(){
		assign_table = false;
		$('div.assign-table').hide();
		goto('home');
	})
	
	$('.assign-card').live('tap',function(){
		assign_table = true;
		card_queue_id = $(this).attr('rel');
		$('div.assign-table').show();
	})
	
	$('ul.item-option li').live('tap',function(){
		// Check if item moving
		
		if ($(this).hasClass('custom-option')){
			$('#enter-option').show();
			
			
			$('#enter-option input.in-qty').focus();
			
			$('input.in-price').val('');
			$('input.in-qty').val('');

			return;
		}
	    
	    if (!$(this).hasClass('selected')){
	
	
	    	if ($(this).hasClass('nonoverlap')){
	    		var overlapOption = $(this).attr('nonoverlap');
	    		$(this).parents('ul').find('li[nonoverlap='+overlapOption+']').removeClass('selected').removeClass('vui-selected');
	    	}
	    	
	    	$(this).addClass('selected').addClass('vui-selected');
	    
	    	itemPrice = parseFloat(actualPrice);
	    	
	    	$('span.cur-item-option').text('');
	    	$('span.cur-item-price').text('');
	    	
	    	var x = 0;			
	    	$(this).parents('ul').find('li.selected').each(function(){
	    		var price = parseFloat($(this).attr('price'));
	    		if (!price) price = 0.00;
	    		
	    		var option = $(this).text();
	
	    		itemPrice = itemPrice + price;
	
	    		if (x == 0){					
	    			itemOption = option;
	    		} else {
	    			itemOption = itemOption + ',' + option;
	    		}
	    		x++;
	    	})
	    	
	    	$('span.cur-item-option').text(itemOption);			
	    	$('span.cur-item-price').text(itemPrice.toFixed(2));
	
	    } else {
	    	$(this).removeClass('selected').removeClass('vui-selected').removeClass('current');
	    	itemOption = '';
	    	itemPrice = actualPrice;
	    	
	    	$(this).parents('ul.item-option').find('li.selected').each(function(){
	    		if (itemOption == ''){
	    			itemOption = $(this).text();
	    		} else {
	    			itemOption = itemOption + ',' + $(this).text();
	    		}
	
	    		var price = parseFloat($(this).attr('price'));
	    		if (!price) price = 0.00;
	    		itemPrice += price;
	    	});
	    	
	    	$('span.cur-item-option').text(itemOption);
	    	$('span.cur-item-price').text(itemPrice.toFixed(2));
	    	
	    	
	
	    }
	    
	    currentItemPrice = itemPrice;
	
	});
	
	
	
	
	$('li.food-item').live('tap',function(){
	
	  	var id = $(this).attr('rel');
	  	var rel = $(this).attr('rel');
	  	var price = parseFloat($(this).attr('price'));
	  	var name = $(this).attr('name');
	  	var sku = $(this).attr('sku');
	  			
	  	// If price is not set, set to 0.00
	  	if (!price) price = 0.00;
	  	
	  	itemHasOptions = false;
	  	
	  	// Check if item has customization option
	  	if ($(this).hasClass('no-option')){
	  		// If item has no customization option
	  		// Check if item requires custom price
	  		if ($(this).hasClass('enter-price')){
	  			// If require custom price
	  			// Set the custom price information from current item
	  			enterPriceItem = name;
	  			enterPriceRel = rel;
	  			enterPriceSku = sku;
	  			
	  			// Remove the current state of the item
	  			$(this).removeClass('current');
	
	  			// Set the quantity to 1 and focus on the custom item price field and show the custom price screen
	  			$('input.in-qty').val('1');
	
	  			$('#enter-price').show();
	  			
	  			
	  			
	  		} else {
	  			// If doesnt require custom price
	  			// Set the item quantity to 1
	  			itemQty = 1;
	
	  			// Add into the undo queue
	  			lastName.unshift(name);
	  			lastSku.unshift(sku);
	  			lastItem.unshift('');
	  			lastQty.unshift(1);
	
	  			// Add into order list
	  			addToList(name, sku, '', '', price,1);
	  			
	  			// Remove the current state of the time
	  			$(this).removeClass('current');
	  			
	  			// Alert item added
	  			alertAdd(name);
	  		}
	
	  	} else {
	  	
  			itemHasOptions = true;
  			
	  		// If item has customization
	  		
	  		// Remove the current state of the item
	  		$(this).removeClass('current');
	  		
	  		
	  		
	  		if ($(this).hasClass('enter-price')){
	  			// If require custom price
	  			// Set the custom price information from current item
	  			enterPriceItem = name;
	  			enterPriceRel = rel;
	  			enterPriceSku = sku;
	  			
	  			// Remove the current state of the item
	  			$(this).removeClass('current');
	
	  			// Set the quantity to 1 and focus on the custom item price field and show the custom price screen
	  			$('input.in-qty').val('1');
	
	  			$('#enter-price').show();
	  			

	  			
	  			
	  		} 
	  		
	  		
	  		// Set the item data information
	  		itemPrice = price;
	  		itemSku = sku;
	  		itemName = name;
	  		itemQty = 1;
	  		actualPrice = itemPrice;
	  		
	  		// Clear customization quantity and price display			
	  		$('span.cur-item-qty').text(itemQty);
	  		$('span.cur-item-price').text(itemPrice.toFixed(2));
	  		$('strong.cur-item-name').text(itemName);
	  		
	  		
	  		getItemOptions(id);
	
	  		
	  	}
	  	
	  	
	  	

	});
	
	 // Table list item tap event
	$('ul.table-list li').live('tap',function(){
	
	    // If not moving, get the current table id and update the table item list
	    saleId = $(this).attr('id');
	    updateTableItemList();
	    	
	    // Clear undo queue
	    var lastItem = new Array();
	    var lastName = new Array()
	    var lastSku = new Array();
	    var lastQty = new Array();
	
	});
	
	
	$('#verify-order').mouseup(function(){
		$('#verify-order').hide();
		$('#cancel-order').hide();
				
		$.ajax({
			url: base_url + 'iphone/ajax/verify_order',
			type: 'post',
			data: 'id='+saleId,
			dataType: 'json',
			success: function(res){
				updateTableItemList();
				$('#verify-order').hide();
				$('#cancel-order').hide();
			}
		})
	});
	
	$('#cancel-order').mouseup(function(){
		$('#verify-order').hide();
		$('#cancel-order').hide();
		
		$.ajax({
			url: base_url + 'iphone/ajax/cancel_order',
			type: 'post',
			data: 'id='+saleId,
			dataType: 'json',
			success: function(res){
				if (res.status == 'ok-noclear'){
					updateTableItemList();
				} else {
					updateTableItemList(saleId, function(){
						updateTableList();						
						goto('home');
					});
					

				}
			}
		})
	});
	
	
	// Update the table list when document loads
	updateTableList();

});



// AJAX Functions

// Update the active table list
function updateTableList(){

	$.ajax({
		url: base_url + 'iphone/ajax/active_tables/',
		dataType: 'json',
		success: function (json){
			// Populate the table list

			$('ul.table-list').html(json.html ? json.html : '');
			
			listUpdate();
			
		}
	});
	
	
}

// Update the current table item list
function updateTableItemList(sid, callback){
	if (sid) saleId = sid;
	$.ajax({
		url: base_url + 'iphone/ajax/get_item_list/',
		data: 'queue='+saleId,
		type: 'post',
		dataType: 'json',
		success: function (res){

			// Show table
			goto('table');
			
			
			// Update table number and amount due
			$('span.table-no').text(res.table_no);
			$('span.card-no').text(res.table_card_no);
			$('span.amount-due').text(res.amount);
			
			// Populate the item list into the order list
			$('ul.order-list').html(res.html ? res.html : '');
			
			var hasUnverified = false;
			$('ul.order-list li').each(function(){
				if ($(this).hasClass('unverified')) hasUnverified = true;
			})
			
			if (hasUnverified){
				$('#verify-order').show();
				$('#cancel-order').show();
			} else {
				$('#verify-order').hide();
				$('#cancel-order').hide();
			}
			
			try {
				callback();	
			} catch (e){
				// do nothing
			}
			
		}
	});
}

// Create new table 
function createTable(){
	


	$.ajax({
		url: base_url + 'iphone/ajax/create_table/',
		type: 'post',
		data: 'table_no=' + tableNo + '&pax='+paxNo+'&card_no='+cardNo,
		dataType: 'json',
		success: function (res){
			


			// If return failed status
			if (res.status == 'Failed'){
				// Show error message table already exists
				if (res.code == 1){
					state = 'card';
					alert('Card already exists.');
				} else if (res.code == 2){
					state = 'card';
					alert('Invalid table card.');					
				} else {
					alert('Table already exists.');
				}
				// Focus on the table number field
				$('#in-table-number').focus();


			} else {
				
				$('.paxno').hide();
				$('.cardno').hide();
				$('.tableno').show();

				// Clear the error message
				$('p.table-errmsg').text('');
				saleId = res.id;
				// Navigate to the table details
				goto('table');
			}
		}
	})
}

// Submit order 
function submitOrder(){
	// Post data variables
	var sku = '';
	var price = '';
	var option = '';
	var qty = '';
	
	
	// Loop increment default
	var x = 0;
	
	// Loop through all unsubmitted items from order list
	$('ul.order-list li.new-order').each(function(){
		if (x == 0){
			// Initially set the the post data variable with the values directly
			sku = $(this).attr('sku');
			price = $(this).attr('price');
			option = $(this).attr('option');
			qty = $(this).find('span').text();
		} else {
			// After initial item, append with a separator
			var curOpt = $(this).attr('option');
			if (!curOpt) curOpt = ' ';
			sku = sku + ',' + $(this).attr('sku');
			price = price + ',' + $(this).attr('price');
			option = option + '|' + curOpt;
			qty = qty + ',' + $(this).find('span').text();
		}
		// Increment
		x++;
	});
	
	// If the increment equals to 0
	if (x == 0){
		// There are no items to submit therefore alert the user
		alert("No items to submit.");
		return;
	}
	
	// if (orderSubmitted){
	//	alert('Order is being submitted.')
	//	return;
	// }
	
	orderSubmitted = true;

	
	// Prepare the post data
	var serial = new Date().getTime() + '' + Math.floor((Math.random()*99)+1) + '' + Math.floor((Math.random()*99)+1);
	
	var postData = 'sale_id='+saleId+'&sku='+sku+'&price='+price+'&option='+option+'&qty='+qty+'&serial='+serial;
	
	lastSaleId = saleId;
	
	// Perform ajax
	$.ajax({
		url: base_url + 'iphone/ajax/submit_order/',
		type: 'post',
		data: postData,
		success: function (){
			// When order submitted, update the table item list
			
			
			updateTableItemList();
			
			// Clear all undo queue
			lastItem = new Array();
			lastName = new Array()
			lastSku = new Array();
			lastQty = new Array();
			
			orderSubmitted = false;
			
			var sku = '';
			var price = '';
			var option = '';
			var qty = '';


			updateTableList();
			



		},
		complete: function(xhr, status){
			
			if (status == 'timeout'){
				alert('Order cannot be submitted at the moment due to no network connectivity. Order has been queued.');
				processQueue.unshift(postData);
				orderSubmitted = false;
				setTimeout('resubmitOrder()',5000);
			}

		}
	})
	

}

// Update routine
function Update_routine(){

	$.ajax({
		url: base_url + 'iphone/ajax/active_tables/',
		type: 'post',
		data: 'battery_level='+batteryLevel,
		dataType: 'json',
		success: function (json){
			// Populate active tables to the table list
			$('ul.table-list').html(json.html ? json.html : '');
							
			listUpdate();
			// Callback routine in 5 secs to update the active tables
			setTimeout('Update_routine(); ', 3000);
			batteryLevel -= (1/24);
		}
	});
}


// Add item to order list
function addToList(name, sku, option, optionDisplay, price, addQty){
	// Clear the current item data
	itemOption = '';
	itemOptionDisplay = '';
	itemPrice = 0.00;
	itemName = '';
	itemSku = '';
	
	// If add quantity is not set, set to 1
	if (!addQty) addQty = 1;
	
	// Clear item option name
	$('span.cur-item-option').text('');
	
	// Create an ID for the added item based on item code and options

	var id = '' + sku + option.replace(',','-');


	$('ul.order-list').prepend('<li id="'+id+'" class="order-item new-order" name="'+name+'" sku="'+sku+'" price="'+price+'" option="'+option+'"><span style="float:right; font-weight: bold">'+addQty+'</span><button class="red cancel-order" style="width: auto; padding: 4px 15px; font-size: 15pt; font-weight: bold; margin-right: 10px; -webkit-border-radius: 7px; float:left; margin-top: -7px; margin-left: -7px">-</button> '+name+' - '+optionDisplay+'</li>');
	
	// Update the list
	listUpdate();
	
	$('#btn-submit-orders').show();
	

	$('button.cancel-order').on('touchend',function(){
		// Retrieve the quantity of the current item
		var qty = parseInt($(this).parents('li').find('span').text());
		
		// Check the quantity 
		if (qty == 1){
			// If quantity equals to 1, then remove the item from order list
			$(this).parents('li').remove();
		} else {
			// If quantity is greater than one, decrement the item quantity by 1
			$(this).parents('li').find('span').text(qty - 1);
		}
		
		// Clear undo queue as undo continuity may differ
		var lastItem = new Array();
		var lastName = new Array()
		var lastSku = new Array();
		var lastQty = new Array();
		
		// Update the order list
		listUpdate();

	});
	

}

// Alert item added
function alertAdd(item){
	// Clear and show the item alert
	sysAlert(item,'EXPLICIT');
	fadeSysAlert();
	/*
	$('span.alert').text('').show();
	setTimeout(function(){
		$('span.alert').text(item).hide();
	}, '500');
	*/
}

// Undo the order
function undoOrder(){
	// Get the last ID
	var id = '' +lastSku.shift() + lastItem.shift().replace(',','-');
	// Get the quantity
	var qty = $('#'+id).find('span').text();
	// Get the last entered quantity
	var enteredQty = lastQty.shift();
	
	// Remove item the undo queue
	lastName.shift();
	
	// Check if item quantity is equals to the undo quantity
	if (qty == enteredQty){
		// If the last entered quantity equals to the current quantity
		// Remove item list
		$('#'+id).remove();

	} else {
		// Otherwise decrement the quantity by the undo quantity
		$('#'+id).find('span').text(qty-enteredQty);
	}
	
	// Update list
	listUpdate();
	
}

// Update list
function listUpdate(){
	// Make first and last item have rounded corners
	$('ul.list li').removeClass('topRounded').removeClass('bottomRounded');
	$('ul.list li:first-child').addClass('topRounded');
	$('ul.list li:last-child').addClass('bottomRounded');
	
	


}

function resubmitOrder(){
	var curPostData = processQueue.shift();
	processQueue.unshift(curPostData);

	// Perform ajax
	$.ajax({
		url: base_url + 'iphone/ajax/submit_order/',
		type: 'post',
		data: curPostData,
		success: function (){
			processQueue.shift();
			alert('Previous queue has been submitted.');
			if (processQueue.length != 0){
				resubmitOrder();
			}
			if (lastSaleId == saleId){
				updateTableItemList();			
			}

			
		},
		timeout: 5000,
		complete: function(xhr, status){
			if (status == 'timeout'){
				setTimeout('resubmitOrder()',5000);
			}
		}
	})

}


function transferTable(queue, to){
	var postdata = 'table_no='+to+'&merge=1&queue='+queue;
	$.ajax({
		url: base_url + 'iphone/ajax/transfer_table/',
		type: 'POST',
		datatype: 'json',
		data: postdata,
		success: function (json){
			if (json.status == 'Success'){
				
			}
		}
	})
}

function getSubcategories(category){
   	$('ul.item-list').html('');
	$('ul.subcat').html('Loading...');
	db.transaction(function(tx){
	    tx.executeSql('SELECT subcategory FROM inventory WHERE category = ? GROUP BY `subcategory`',[category], function(tx, res){
	    	if (res.rows.length){
		    	$('ul.subcat').html('');
	    		for (var i = 0; i < res.rows.length; i++){
	    			var row = res.rows.item(i);
		    		$('ul.subcat').append('<li class="subcat" rel="'+row.subcategory+'">'+row.subcategory+'</li>');	    	
				}
				
				
	    	} else {
		    	$('ul.subcat').html('No subcategories found.');
	    	}
	    	

			$('li.subcat').tap(function(){
				
				currentSubcategory = $(this).attr('rel');
		
				$('ul.subcat').hide();				
				$('ul.item-list').show();
				
				getItems(currentSubcategory, currentCategory);
				
				// Show the menu back button
				$('#btn-menu-back').show();
			});
		


		})
	});
		
}

function getItems(subcategory, category){
	$('ul.item-list').html('Loading...');
	db.transaction(function(tx){
	    tx.executeSql('SELECT * FROM inventory WHERE category = ? AND `subcategory` = ?',[category, subcategory], function(tx, res){
	    	if (res.rows.length){
		    	$('ul.item-list').html('');
	    		for (var i = 0; i < res.rows.length; i++){
	    			var row = res.rows.item(i);
	    			var no_option = '';
	    			
	    			if (row.has_options){
	    			
		    			if (row.options){
			    			eval('var x = ' + row.options);
			    			try {
				    			if (!x.length) no_option = 'no-option';
				    		} catch (e){
				    			// do nothing
				    		}
		    			} else {
			    			no_option = 'no-option';
		    			}
	    			} else {
		    			no_option = 'no-option';
	    			} 
	    			
	    			if (row.enter_price == 1) var enter_price = 'enter-price';
	    			else var enter_price = '';
	    			
		    		$('ul.item-list').append('<li price="'+row.item_price+'" sku="'+row.sku+'" name="'+row.name+'" class="food-item '+no_option+' '+enter_price+'" rel="'+row.id+'"><span>'+row.name+'</span></li>');	    	
				}
	    	} else {
		    	$('ul.item-list').html('No items found.');
	    	}

	    	

		})
	});
}

function getItemOptions(id){


	db.transaction(function(tx){
		tx.executeSql("SELECT * FROM inventory WHERE id = ?", [id], function(tx, res){
			var item = res.rows.item(0);
		
			var options = eval(item.options);
			var prices = eval(item.price);

			$('div.btn-menu').hide();			
			$('ul.item-list').hide();
			$('div.item-options').show();
			$('ul.item-option').html('').show();
			
			if (course_serving){
				$('ul.item-option').append('<li name="'+item.name+'" sku="'+item.sku+'" class="option stay" option="[I]" price="0">[I]</li>');
				$('ul.item-option').append('<li name="'+item.name+'" sku="'+item.sku+'" class="option stay" option="[II]" price="0">[II]</li>');
				$('ul.item-option').append('<li name="'+item.name+'" sku="'+item.sku+'" class="option stay" option="[III]" price="0">[III]</li>');
				$('ul.item-option').append('<li name="'+item.name+'" sku="'+item.sku+'" class="option stay" option="[IV]" price="0">[IV]</li>');
				$('ul.item-option').append('<li name="'+item.name+'" sku="'+item.sku+'" class="option stay" option="[V]" price="0">[V]</li>');
			}
			
			for (var i = 0; i < options.length; i++){
				var option			= options[i];
				var option_string	= option.replace(' ', '-');
				var price 			= prices[i];
				
				$('ul.item-option').append('<li name="'+item.name+'" sku="'+item.sku+'" class="option stay" option="'+option_string+'" price="'+price+'">'+option+'</li>');
				
			}
			
			$('ul.item-option').append('<li class="option custom-option">...</li><br style="clear:left" />');
			

			optionsScroll.refresh();
			
		})
	});
}

function trimNumber(s){
	return s.replace(/^0+/,'');
}


