<?php


class Autocomplete extends Controller {

	function search($type,$single=false){
		if ($single){
			$limit = 10;
			$search = $this->input->post('q');
		}
		
		switch($type){
			case "fnb_subcategory":

				$query = $this->db->query("SELECT `subcategory` FROM `fnb_inventory` WHERE `name` LIKE '$search%' GROUP BY `category` ORDER BY `subcategory` ASC");
				$items = $query->result();
				
				foreach ($items as $item){
					$response[] = array($item->subcategory, $item->subcategory);
				}
			
				break;
		
			case "fnb_category":
			
				$query = $this->db->query("SELECT `category` FROM `fnb_inventory` WHERE `name` LIKE '$search%' GROUP BY `category` ORDER BY `category` ASC");
				$items = $query->result();
				
				foreach ($items as $item){
					$response[] = array($item->category, $item->category);
				}
			
				break;
			
			case "item":
			
				$query = $this->db->query("SELECT * FROM `inventory` WHERE `name` LIKE '$search%' ORDER BY `name` ASC");
				$items = $query->result();
				
				foreach ($items as $item){
					$response[] = array($item->sku, $item->name);
				}
				
				break;
		
			case "tag":
				$query = $this->db->query("SELECT * FROM `tags` ORDER BY `name` ASC");
				$tags = $query->result();
				
				foreach ($tags as $tag){
					$response[] = array($tag->name, $tag->name);
				}
			
				break;
	
			case "country":
				$query = $this->db->query("SELECT * FROM `countries` ORDER BY `name` ASC");
				$countries = $query->result();
				
				foreach ($countries as $country){
					$response[] = array($country->name, $country->name);
				}
				break;
			case "user":
				$query = $this->db->query("SELECT * FROM `users` ORDER BY `username` ASC");
				$users = $query->result();
				
				foreach ($users as $user){
					$response[] = array($user->username, $user->firstname.' '.$user->lastname.' ('.$user->username.')');
				}			
				break;
			case "division":
				$divisions = explode(',',$this->system->config('company_divisions'));
				
				$response[] = array('General','General');
				foreach ($divisions as $division){
					$response[] = array($division, $division);
				}
			
				
			
				break;
			case "employees":
				$query = $this->db->query("SELECT * FROM `employees` ORDER BY `firstname` ASC");
				$employees = $query->result();
				foreach ($employees as $employee){
					$response[] = array($employee->id, $employee->firstname . ' ' . $employee->lastname);
				}
				break;
				
		}
		
		header('Content-type: application/json');
		echo json_encode($response);
	}
	
}