<?php

class Customers extends Controller {

	function Customers(){
		parent::Controller();
		$this->d['user'] = $this->user->data();
		$this->d['system'] = $this->system->config();
		$this->load->model('sale');
		$this->load->model('customer');
	}
	
	function Index(){
		$this->d['title'] = 'Customers';
		
		$this->d['customers'] = $this->customer->get_customers();
	
		$this->load->view('header', $this->d);
		$this->load->view('customers/index', $this->d);
		$this->load->view('footer');
	}
	
	function Settlement(){
		$query = $this->db->query("SELECT * FROM `settlements` ORDER BY `date` DESC");
		$this->d['settlements'] = $query->result();
		
		$this->load->view('customers/settlements', $this->d);
	}
	
	function Customers_filter(){

		if ($company = $this->input->post('company')) $filter[] = "`company_name` = ".$this->db->escape($company);
		if ($contact = $this->input->post('contact')) $filter[] = "`contact_person` LIKE ".$this->db->escape('%'.$contact.'%');
		
		$filter_string = implode(' AND ', $filter);
		if ($filter_string) $filter_string = 'WHERE ' . $filter_string;
		
		$this->d['customers'] = $this->customer->get_customers($filter_string);
		$this->load->view('customers/customers-filtered', $this->d);

	}

	
	function Add_settlement($do){
		if ($do == 'do'){
			$this->customer->add_settlement();
			echo '<script language="javascript" type="text/javascript">window.top.window.readyAdd(1);</script>';
		} else {
			$query = $this->db->query("SELECT * FROM `customers` ORDER BY `company_name` ASC");
			foreach ($query->result() as $customer){
				$customers[$customer->id] = $customer->company_name;
			}
			$this->d['customers'] = $customers;
			$this->load->view('customers/add_settlement',$this->d);
		}
	}
	
	function Elist(){
		$this->d['customers'] = $this->customer->get_customers();	
		$this->load->view('customers/list', $this->d);
	}
	
	function Add($do){
		if ($do == 'do'){
			$this->customer->add();
	 		echo '<script language="javascript" type="text/javascript">window.top.window.readyAdd(1);</script>';	
		} else {
			$this->load->view('customers/add');
		}
	}
	
	function Edit($id, $do){
		if ($do == 'do'){
			$this->customer->edit($id);
	 		echo '<script language="javascript" type="text/javascript">window.top.window.readyAdd(1);</script>';	
		
		} else {
			$this->d['customer'] = $this->customer->get_customer_by_id($id);
			$this->load->view('customers/edit', $this->d);
		}
	}
	
	function View($id){
		$this->d['customer'] = $this->customer->get_customer_by_id($id);
		$this->d['transactions'] = $this->customer->get_customer_transactions($id);
		$this->d['available'] = $this->customer->get_credit_balance($id);
		$this->load->view('customers/view', $this->d);
	}
	
	function Delete($id){
		$this->customer->delete($id);
		echo 'ok';
	}
	
	function Schedule(){
	
	}
	
	
	
	

}