<?php

class Services extends Controller {
	
	function Services(){
		parent::Controller();
		$this->d['user'] = $this->user->data();
		$this->d['system'] = $this->system->config();
		
		$this->load->model('service');
	}
	
	function Index(){
		$this->d['title'] = 'Services';
		$this->d['services'] = $this->service->get_services();
		
		
		$this->load->view('header', $this->d);
		$this->load->view('services/index', $this->d);
		$this->load->view('footer', $this->d);
	}
	
	function Elist(){
		$this->d['services'] = $this->service->get_services();
		$this->load->view('services/list', $this->d);
	}
	
	function Filter(){
		$this->load->view('services/filtered', $this->d);
	}
	
	function Add($do){
		if ($do == 'do'){
			$this->service->add();
	 		echo '<script language="javascript" type="text/javascript">window.top.window.readyAdd(1);</script>';	
		} else {
			$this->d['categories_dropdown'] = $this->service->get_categories(true);
			$this->d['subcategories_dropdown'] = $this->service->get_subcategories(true);

			$this->load->view('services/add', $this->d);
		}
	}
	
	function Edit($id, $do){
		if ($do == 'do'){
			$this->service->edit($id);
	 		echo '<script language="javascript" type="text/javascript">window.top.window.readyAdd(1);</script>';	
		} else {
			$this->d['service'] = $this->service->get_service_by_id($id);
			$this->d['categories_dropdown'] = $this->service->get_categories(true);
			$this->d['subcategories_dropdown'] = $this->service->get_subcategories(true);

			$this->load->view('services/edit', $this->d);
		}
	}
	
	function View($id){
		$this->d['service'] = $this->service->get_service_by_id($id);
		$this->load->view('services/view', $this->d);
	}
	
	function Delete($id){
		$this->service->delete($id);
		echo 'ok';
	}
	
	


}