<?php

class Asset extends Model {

	function Add_multiple($pv_id, $account_id){
		$aq_date 		= $this->input->post('acquisition_date');
		$am_date 		= $this->input->post('amortization_date');
		$cats			= $this->input->post('category');
		$subcats		= $this->input->post('subcategory');
		$cats_other		= $this->input->post('category_other');
		$subcats_other	= $this->input->post('subcategory_other');
		$names			= $this->input->post('name');
		$product_names	= $this->input->post('product_names');
		$barcodes		= $this->input->post('barcodes');
		$costs			= $this->input->post('costs');
		$residual_costs	= $this->input->post('residual_costs');
		$eval_interval	= $this->input->post('evaluation_interval');
		
		
		for ($i = 0; $i < count($this->input->post('name')); $i++){
		
			$acquisition_date	= $aq_date[$i];
			$amortization_date 	= $am_date[$i];
			$cat	 			= $cats[$i];
			$cat_other			= $cats_other[$i];
			$subcat				= $subcats[$i];
			$subcat_other		= $subcats_other[$i];
			$name				= $names[$i];
			$product_name		= $product_names[$i];
			$barcode			= $barcodes[$i];
			$cost				= $costs[$i];
			$residual_cost		= $residual_costs[$i];
			$evaluation_interval= $eval_interval[$i];

			list($day, $month, $year) = explode('/', $acquisition_date);
			$acquisition_date = $year . '-' . $month . '-' . $day;
		
			list($day, $month, $year) = explode('/', $amortization_date);
			$amortization_date = $year . '-' . $month . '-' . $day;
		

			if ($cat_other) $cat = $cat_other;
			if ($subcat_other) $subcat = $subcat_other;
	
			$sql = $this->db->insert_string('assets',array(
				'name'				=> $name,
				'product_name'		=> $product_name,
				'barcode'			=> $barcode,
				'category'			=> $cat,
				'subcategory'		=> $subcat,
				'acquisition_date'	=> $acquisition_date,
				'amortization_date'	=> $amortization_date,
				'evaluation_interval'=> $evaluation_ointerval,
				'cost'				=> $cost,
				'residual_cost'		=> $residual_cost,
				'added_on'			=> date('Y-m-d H:i:s'),
				'pv_id'				=> $pv_id,
				'account_id'		=> $account_id,
				'added_by'			=> $this->user->data('username')
			));	
		
			$query = $this->db->query($sql);
			
			$asset_id = $query->insert_id;
			
			
			
			
			$assets[] = $this->get_asset_by_id($asset_id);
		}
		
		foreach ($assets as $asset){
			$this->Create_depreciation_schedule($asset->id, $asset->cost, $asset->residual_cost, $asset->acquisition_date, $asset->amortization_date);
		}
		
		return $assets;
	}

	function Add(){
		list($day, $month, $year) = explode('/', $this->input->post('acquisition_date'));
		$acquisition_date = $year . '-' . $month . '-' . $day;
		
		list($day, $month, $year) = explode('/', $this->input->post('amortization_date'));
		$amortization_date = $year . '-' . $month . '-' . $day;
		
		$cat = $this->input->post('category');
		$cat_other = $this->input->post('category_other');
		if ($cat_other) $cat = $cat_other;
				
		$subcat = $this->input->post('subcategory');
		$subcat_other = $this->input->post('subcategory_other');
		if ($subcat_other) $subcat = $subcat_other;
	
		
		$sql = $this->db->insert_string('assets',array(
			'name'				=> $this->input->post('name'),
			'product_name'		=> $this->input->post('product_name'),
			'barcode'			=> $this->input->post('barcode'),
			'category'			=> $cat,
			'subcategory'		=> $subcat,
			'acquisition_date'	=> $acquisition_date,
			'amortization_date'	=> $amortization_date,
			'evaluation_interval'=> $this->input->post('evaluation_interval'),
			'cost'				=> $cost 		= $this->input->post('cost'),
			'residual_cost'		=> $residual	= $this->input->post('residual_cost'),
			'added_on'			=> date('Y-m-d H:i:s'),
			'added_by'			=> $this->user->data('username'),
			'reference'			=> $this->input->post('reference')
		));
		
		
		$query = $this->db->query($sql);
		
		$id = $query->insert_id;
		
		$this->create_depreciation_schedule($id, $cost, $residual, $acquisition_date, $amortization_date);
	}
	
	function Edit($id){	
		list($day, $month, $year) = explode('/', $this->input->post('acquisition_date'));
		$acquisition_date = $year . '-' . $month . '-' . $day;
		
		list($day, $month, $year) = explode('/', $this->input->post('amortization_date'));
		$amortization_date = $year . '-' . $month . '-' . $day;
		
		$cat = $this->input->post('category');
		$cat_other = $this->input->post('category_other');
		if ($cat_other) $cat = $cat_other;
				
		$subcat = $this->input->post('subcategory');
		$subcat_other = $this->input->post('subcategory_other');
		if ($subcat_other) $subcat = $subcat_other;
	

		$sql = $this->db->update_string('assets', array(
			'name'				=> $this->input->post('name'),
			'product_name'		=> $this->input->post('product_name'),
			'barcode'			=> $this->input->post('barcode'),
			'category'			=> $cat,
			'subcategory'		=> $subcat,
			'acquisition_date'	=> $acquisition_date,
			'amortization_date'	=> $amortization_date,
			'evaluation_interval'=> $this->input->post('evaluation_interval'),
			'cost'				=> $cost 		= $this->input->post('cost'),
			'residual_cost'		=> $residual 	= $this->input->post('residual_cost'),
			'modified_on'		=> date('Y-m-d H:i:s'),
			'modified_by'		=> $this->user->data('username')
		), "`id` = '{$id}'");
		
		$query = $this->db->query($sql);
		
		
		$this->create_depreciation_schedule($id, $cost, $residual, $acquisition_date, $amortization_date);
	}
	
	function Delete($id){
	
	}
	
	function Get_assets($filter){
		if ($filter){
			$query = $this->db->query("SELECT * FROM `assets` WHERE {$filter}");
		} else {
			$query = $this->db->query("SELECT * FROM `assets`");
		}
		return $query->result();
	}
	
	function Get_asset_by_id($id){
		$query = $this->db->query("SELECT * FROM `assets` WHERE `id` = ?", array($id));
		$asset = $query->row();
		
		$query = $this->db->query("SELECT * FROM `asset_depreciations` WHERE `asset_id` = ? ORDER BY `date` ASC", array($id));
		$asset->schedule = $query->result();
		
		return $asset;
		
	}
	
	function Get_asset_current_cost($asset_id){
	
	}
	
	function Get_categories($dropdown = false){
		$query = $this->db->query("SELECT `category` FROM `assets` GROUP BY `category` ORDER BY `category` ASC");
		if ($dropdown) $categories[] = "Select Category";
		foreach ($query->result() as $cat){
			$categories[$cat->category] = $cat->category;
		}
		$categories[0] = 'All';
		return $categories;
	}

	function Get_subcategories($dropdown = false){
		$query = $this->db->query("SELECT `subcategory` FROM `assets` GROUP BY `subcategory` ORDER BY `subcategory` ASC");
		if ($dropdown) $categories[] = "Select Subcategory";
		foreach ($query->result() as $cat){
			$categories[$cat->subcategory] = $cat->subcategory;
		}
		$categories[0] = 'All';
		return $categories;
	}
	
	function Current_value($asset){
		
		$month = (365.25 / 12) * (60 * 60 * 24);
		$a_duration = strtotime($asset->amortization_date) - strtotime($asset->acquisition_date);
		$n = floor($a_duration / ($asset->evaluation_interval * $month));
		
		$dpi = $asset->cost / $n;
		
		$c_duration = time() - strtotime($asset->acquisition_date);
		$n = floor($c_duration / ($asset->evaluation_interval * $month));
		
		$current_value = $asset->cost - ($dpi * $n);
		
		return $current_value;
	}
	
	function Update_assets_values(){
		$assets = $this->get_assets();
		
		foreach ($assets as $asset){
			$sql = $this->db->update_string('assets',array(
				'current_cost'	=> $this->current_value($asset)
			),"`id` = {$asset->id}");

			$this->db->query($sql);
		}
	}
	
	
	function Create_depreciation_schedule($asset_id, $cost, $residual, $aq_date, $am_date){
	
		$effective = $cost - $residual;
	
		$this->db->query("DELETE FROM `asset_depreciations` WHERE `asset_id` = ?", array($asset_id));
		
		$duration = strtotime($am_date) - strtotime($aq_date);
		$month = (60 * 60 * 24) * (365.25 / 12);
		
		$total_months = ceil($duration / $month);
		$atd = $effective / $total_months;
		
		$m = date('m', strtotime($aq_date));
		$y = date('Y', strtotime($aq_date));
		
		for ($i = 1; $i <= $total_months; $i++){
		
			$cost -= $atd;
			
			$cost_d = number_format($cost, 2);
			$atd_d = number_format($atd, 2);
			
			$date = date('d/m/Y',mktime(0,0,0,$m+($i-1),1,$y));

			
			$this->db->insert('asset_depreciations', array(
				'asset_id'				=> $asset_id,
				'date'					=> date('Y-m-d',mktime(0,0,0,$m+($i-1),1,$y)),
				'depreciation_amount'	=> $atd,
				'current_value'			=> $cost
			));
			
		}
	}

	function Get_total_depreciation($from, $to){
		
		$from 	= date('Y-m-01 00:00:00', strtotime($from));
		$to		= date('Y-m-t 23:59:59', strtotime($to));
	
		$query = $this->db->query("SELECT SUM(`depreciation_amount`) AS `total_depreciation` FROM `asset_depreciations` WHERE `date` >= ? AND `date` <= ?", array($from, $to));
		
		$depreciation = $query->row();
		
		return $depreciation->total_depreciation;
		
	}
}