<?php

class Customer extends Model {

	function Add(){
		$sql = $this->db->insert_string('customers',array(
			'company_name'	=> $this->input->post('company_name'),
			'reg_number'	=> $this->input->post('reg_number'),
			'address'		=> $this->input->post('address'),
			'contact_person'=> $this->input->post('contact_person'),			
			'contact_no'	=> $this->input->post('contact_no'),
			'credit_limit'	=> $this->input->post('credit_limit'),
			'status'		=> $this->input->post('status'),
			'remarks'		=> $this->input->post('remarks')
		));
		$this->db->query($sql);
	}
	
	
	function Add_settlement(){
		list($day,$month,$year) = explode('/', $this->input->post('date'));
		$date = $year . '/' . $month . '/' . $day;
		
		$sql = $this->db->insert_string('settlements',array(
			'date'			=> $date,
			'reference_no'	=> $this->input->post('reference_no'),
			'customer_id'	=> $this->input->post('customer_id'),
			'amount'		=> $this->input->post('amount'),
			'payment_method'=> $this->input->post('payment_method'),
			'remarks'		=> $this->input->post('remarks')
		));
		
		$this->db->query($sql);
	}
	
	function Delete_settlement($id){
		$this->db->query("DELETE FROM `settlements` WHERE `id` = ?", array($id));
		echo 'ok';
	}
	
	function Get_total_credit($customer_id){
		$query = $this->db->query("SELECT SUM(`amount_credit`) AS `total_credit` FROM `sales` WHERE `customer_id` = ? GROUP BY `customer_id`", array($customer_id));
		$credit = $query->row();
		
		$query = $this->db->query("SELECT SUM(`amount`) AS `total_settlement` FROM `settlement` WHERE `customer_id` = ? GROUP BY `customer_id`", array($customer_od));
		$settlement = $query->row();
		
		return $settlement->total_settlement - $credit->total_credit;
	}
	
	function Get_credit_balance($customer_id){
		$customer = $this->get_customer_by_id($customer_id);
		
		$query = $this->db->query("SELECT SUM(`amount_credit`) AS `total_credit` FROM `sales` WHERE `customer_id` = ? GROUP BY `customer_id`", array($customer_id));
		$credit = $query->row();
		
		
		return $customer->credit_limit - $credit->total_credit;
	
	}
	
	function Edit($id){
		$sql = $this->db->update_string('customers',array(
			'company_name'	=> $this->input->post('company_name'),
			'reg_number'	=> $this->input->post('reg_number'),
			'address'		=> $this->input->post('address'),
			'contact_person'=> $this->input->post('contact_person'),			
			'contact_no'	=> $this->input->post('contact_no'),
			'credit_limit'	=> $this->input->post('credit_limit'),
			'status'		=> $this->input->post('status'),
			'remarks'		=> $this->input->post('remarks')
		),"`id` = '$id'");
		$this->db->query($sql);
	
	}
	
	function Delete($id){
		$this->db->query("DELETE FROM `customers` WHERE `id` = ?", array($id));
	}
	
	function Get_customers($where){
		if ($where){
			$sql = "SELECT * FROM `customers` $where";
		} else {
			$sql = "SELECT * FROM `customers` ORDER BY `id` ASC";
		}
		
		$query = $this->db->query($sql);
		return $query->result();
	}
	
	function Get_customer_by_id($id){
		$query = $this->db->query("SELECT * FROM `customers` WHERE `id` = ?", array($id));
		return $query->row();
	}
	
	function Get_customer_transactions($customer_id){
		$query = $this->db->query("SELECT * FROM `invoices` WHERE `customer_id` = ? ORDER BY `date` DESC", array($customer_id));
		return $query->result();			
	}



}