<?php

class Memo extends Model {

	function Get_memos($where, $order){
		if ($where) $where = ' WHERE ' . $where;
		$query = $this->db->query('SELECT * FROM `memo` ' . $where . ' ' . $order);
		return $query->result();
	}
	
	function Get_memo_by_id($id){
		$query = $this->db->query("SELECT * FROM `memo` WHERE `id` = ?", array($id));
		return $query->row();
	}
	
	function Add_memo(){
		$query = $this->db->insert('memo', array(
			'title'		=> $this->input->post('title'),
			'memo'		=> $this->input->post('memo'),
			'added_on'	=> date('Y-m-d H:i:s'),
			'added_by'	=> $this->user->data('username')
		));
		
		return $query->insert_id;
	}
	
	function Edit_memo($id){
		$query = $this->db->update('memo', array(
			'title'		=> $this->input->post('title'),
			'memo'		=> $this->input->post('memo'),
			'modified_on'	=> date('Y-m-d H:i:s'),
			'modified_by'	=> $this->user->data('username')
		), "`id` = '$id'");
	}
	
	function Delete_memo($id){
		$this->db->query("DELETE FROM `memo` WHERE `id` = ?", array($id));
	}
	
}