<?php

class Plexterm extends Model {
	
	
	function rem_zri(){
		$query = $this->db->query("SELECT `sale_id` FROM `sale_items` WHERE `taxable` = 0 AND `tax_code` = 'SR' GROUP BY `sale_id`");

		foreach ($query->result() as $sales){
			$sales_id[] = $sale->sale_id;
		}
		
		$this->db->query("DELETE FROM `sale_items` WHERE `taxable` = 0 AND `tax_code` = 'SR'");
		
		foreach ($sales_id as $sale_id){
			$query = $this->db->query("SELECT * FROM `sales` WHERE `id` = ?", array($sale_id));
			$sale = $query->row();
			
			$query = $this->db->query("SELECT SUM(`amount`) AS `total` FROM `sale_items` WHERE `sale_id` = ?", array($sale_id));
			$new_amount = $query->row();
			
			$this->db->update('sales',array(
				'amount'				=> $new_amount->total,
				'amount_tendered'		=> $new_amount->total,
				'amount_cash'			=> $new_amount->total
			), array(
				'id'					=> $sale_id
			));
			
		}
		
	}
	

	function inv($tokens){
		$this->load->model('inv');
		
		echo '<b>#' . implode(' ',$tokens) . '</b>';
		
		echo '<br />   Result:<br /><br />';
		
		print_r($this->inv->{$tokens[1]}($tokens[2],$tokens[3],$tokens[4],$tokens[5]));


		echo '<br /><br />   --- DONE ---<br />   ';
	}
	
	
	function zfbd($tokens){
		echo '<b>#' . implode(' ',$tokens) . '</b>';
		
		$day = $tokens[1];
		$month = $tokens[2];
		$year = $tokens[3];
		

		if (!$day) return false;		
		if (!$month) return false;
		if (!$year) return false;
		
		
		$from 	= strtotime($year . '-' . $month . '-' . $day . ' 00:00:00');
		$to 	= strtotime(date('Y-m-d 23:59:59', $from));
		
		echo '<br />   From '.$from.' To '.$to;
		
		
		
		$this->db->update('fnb_sales', array(
			'amount'		=> 0,
			'tax_amount'	=> 0,
		),"`session` >= $from AND `session` <= $to");
		
		echo '<br /><br />   --- DONE ---<br />   ';
		
	}
	
	function zfb($tokens){
		echo '<b>#' . implode(' ',$tokens) . '</b>';
		
		$month = $tokens[1];
		$year = $tokens[2];
		
		if (!$month) return false;
		if (!$year) return false;
		
		
		$from 	= strtotime($year . '-' . $month . '-01 00:00:00');
		$to 	= strtotime(date('Y-m-t 23:59:59', $from));
		
		echo '<br />   From '.$from.' To '.$to;
		
		
		
		$this->db->update('fnb_sales', array(
			'amount'		=> 0,
			'tax_amount'	=> 0,
		),"`session` >= $from AND `session` <= $to");
		
		echo '<br /><br />   --- DONE ---<br />   ';
		
	}
	
	function set_fnb_sales($tokens){
		echo '<b>#' . implode(' ',$tokens) . '</b>';
		
		$date = $tokens[1];
		$time = $tokens[2];
		$amount = $tokens[3];
		
		$stime = strtotime($date . ' ' . $time . ':00:00');
		
		$query = $this->db->query("SELECT * FROM `fnb_sales` WHERE `session` > ? ORDER BY `session` ASC LIMIT 1", array($stime));
		$sale = $query->row();
		
		echo '<br />   Session Time ~ '. $stime . ': ' . number_format($amount,2);
		echo '<br />   First Occurring Session Time: '. $sale->session;
		
		echo '<br /><br />   --- DONE ---<br />   ';
		
	}
	
	
	function fnb_rit(){
		
		ini_set('max_execution_time', 5000);
		
		$query = $this->db->query("SELECT COUNT(`id`) AS `total` FROM `fnb_sales`");
		$count = $query->row();
		
		$n = ceil($count->total / 1000);
		
		
		for ($i = 0; $i < $n; $i++){
			$offset = $i * 1000;
			$query = $this->db->query("SELECT * FROM `fnb_sales` LIMIT $offset, 1000");
			$sales = $query->result();
			echo '<br />   ' . $sales[0]->txn_no;
			foreach ($sales as $sale){
				$id = $sale->id;
				$this->db->update('fnb_sales', array(
					'tax_amount'	=> $sale->amount * (6 / 106)
				),"`id` = '$id'");

			}
			echo ' - ' . $sale->txn_no;
			echo '<br />   --- BATCH '.$i.' ---<br />   ';
		}
		echo '<br /><br />   --- DONE ---<br />   ';
	}


	function help($tokens){
		if ($tokens[1]){
			echo '<b>#' . implode(' ',$tokens) . '</b>';
			switch($tokens[1]){
				
				case "propqty":
					echo '<br />   propqty help';
					echo '<br />   ------------';
					echo '<br />   <b>Usage:</b> propqty [cat:?] [subcat:?] [brand:?] [sku:?] [id:?]';
					echo '<br />';
					echo '<br />   <b>Options:</b>';
					echo '<br />   Perform action with filter.';
					echo '<br />   [cat:?]      Filter by category';
					echo '<br />   [subcat:?]   Filter by subcategory';
					echo '<br />   [brand:?]    Filter by brand';
					echo '<br />   [sku:?]      Filter by sku';
					echo '<br />   [id:?]       Filter by id';
					echo '<br />';
					echo '<br />   -- end of proqty help --';
					break;
					
				case "propcost":
					echo '<br />   propcost help';
					echo '<br />   -------------';
					echo '<br />   <b>Usage:</b> propcost from:? to:? [cat:?] [subcat:?] [brand:?] [sku:?] [id:?]';
					echo '<br />';
					echo '<br />   <b>Options:</b>';
					echo '<br />   Perform action with filter.';
					echo '<br />   from:?       Start sales date (format: YYYYMMDDHHMMSS)';
					echo '<br />   to:?         End sales date (format: YYYYMMDDHHMMSS)';
					echo '<br />   [cat:?]      Filter by category';
					echo '<br />   [subcat:?]   Filter by subcategory';
					echo '<br />   [brand:?]    Filter by brand';
					echo '<br />   [sku:?]      Filter by sku';
					echo '<br />   [id:?]       Filter by id';
					echo '<br />';
					echo '<br />   -- end of propcost help --';
					break;
					
				case "cat":
					echo '<br />   cat help';
					echo '<br />   --------';
					echo '<br />   <b>Usage:</b> cat ';
					echo '<br />';
					echo '<br />   <b>Options:</b>';
					echo '<br />   No options';
					echo '<br />';
					echo '<br />   -- end of cat help --';
					break;
					
				case "subcat":
					echo '<br />   subcat help';
					echo '<br />   -----------';
					echo '<br />   <b>Usage:</b> subcat ';
					echo '<br />';
					echo '<br />   <b>Options:</b>';
					echo '<br />   No options';
					echo '<br />';
					echo '<br />   -- end of subcat help --';
					break;
			
				case "brands":
					echo '<br />   brand help';
					echo '<br />   ----------';
					echo '<br />   <b>Usage:</b> brand ';
					echo '<br />';
					echo '<br />   <b>Options:</b>';
					echo '<br />   No options';
					echo '<br />';
					echo '<br />   -- end of brand help --';
					break;
					
				case "modules":
					echo '<br />   modules help';
					echo '<br />   ----------';
					echo '<br />   <b>Usage:</b> modules ';
					echo '<br />';
					echo '<br />   <b>Options:</b>';
					echo '<br />   No options';
					echo '<br />';
					echo '<br />   -- end of modules help --';
					break;
					
				case "modon":
					echo '<br />   modon help';
					echo '<br />   ----------';
					echo '<br />   <b>Usage:</b> modon ? ';
					echo '<br />';
					echo '<br />   <b>Options:</b>';
					echo '<br />   No options';
					echo '<br />';
					echo '<br />   -- end of modon help --';
					break;
					
				case "modoff":
					echo '<br />   modoff help';
					echo '<br />   ----------';
					echo '<br />   <b>Usage:</b> modoff ? ';
					echo '<br />';
					echo '<br />   <b>Options:</b>';
					echo '<br />   No options';
					echo '<br />';
					echo '<br />   -- end of modoff help --';
					break;
						
					
				default: 
					echo '<br />   No help topic found.';
					break;
			}
		} else {
		
			echo '<b>#help</b>';
			echo '<br />   List of commands';
			echo '<br />   ----------------';
			echo '<br />   cat        - List of categories';
			echo '<br />   subcat     - List of subcategories';
			echo '<br />   brand      - List of brands';
			echo '<br />   modules    - List of modules';
			echo '<br />   modon      - Turn on a module';
			echo '<br />   modoff     - Turn off a module';
			echo '<br />   propqty    - Repropagate inbound vs outbound quantity into inventory table.';
			echo '<br />   propcost   - Repropagate cost into sales database.';
			echo '<br />   propprice  - Repropagate price into sales database.';

			echo '<br />';
			echo '<br />   -- end of command list --';
		
		}
	}
	
	function modules($tokens){
		$query = $this->db->query("SELECT * FROM `modules` ORDER BY `name`");
		echo '<b>#' . implode(' ',$tokens) . '</b>';

		foreach ($query->result() as $module){
			if ($module->enabled || $module->common){
				echo '<br />   [ON]  ' . $module->name;		
			} else {
				echo '<br />   [OFF] ' . $module->name;					
			}
			
		}
		echo '<br />';
		echo '<br />   -- end of module list --';
	}
	
	function modon($tokens){
		$name = $tokens[1];
		echo '<b>#' . implode(' ',$tokens) . '</b>';
		
		if ($name == '*'){
			$this->db->query("UPDATE `modules` SET `enabled` = 1 WHERE `common` = 0");
			echo '<br />   All non-common modules has been turned ON.';
	
		} else {		
			$query = $this->db->query("SELECT * FROM `modules` WHERE `name` = ?", array($name));
			if (!$query->num_rows()){
				echo '<br />   Module not found.';
				return;
			} else {
				$module = $query->row();
				if ($module->common){
					echo '<br />   Module is common type and is always on.';
				} else {
					$this->db->update('modules',array('enabled'=>1),"`name` = " . $this->db->escape($name));
					echo "<br />   Module {$name} has been turned ON.";
				}
			}
		}
	}
	
	function modoff($tokens){
		$name = $tokens[1];
		echo '<b>#' . implode(' ',$tokens) . '</b>';
		
		if ($name == '*'){
			$this->db->query("UPDATE `modules` SET `enabled` = 0 WHERE `common` = 0");
			echo '<br />   All non-common modules has been turned OFF.';
		} else {
		
			$query = $this->db->query("SELECT * FROM `modules` WHERE `name` = ?", array($name));
			if (!$query->num_rows()){
				echo '<br />   Module not found.';
				return;
			} else {
				$module = $query->row();
				if ($module->common){
					echo '<br />   Module is common type and cannot be turned off.';
				} else {
					$this->db->update('modules',array('enabled'=>0),"`name` = " . $this->db->escape($name));
					echo "<br />   Module {$name} has been turned OFF.";
				}
			}
		}
	}
	
	function propqty($tokens){
	
		echo '<b>#' . implode(' ',$tokens) . '</b>';	
		
		$v = false;
		if ($tokens[1] == 'verbose') $v = true;
	
	    $query = $this->db->query("SELECT `id`, `name` FROM `warehouses`");
	    $warehouses = $query->result();
	    
	    if (!$this->system->config('warehouse_shared_inventory')){
	    	$independent = true;
	    	if ($v) echo '<br /> INDEPENDENT INVENTORY CONFIGURATION IS ACTIVE';
	    } else {
	    	$query = $this->db->query("SELECT * FROM `inventory`");
	    	$items = $query->result();
	    	
	    	if ($v) echo '<br /> SHARED INVENTORY CONFIGURATION IS ACTIVE';
	    }
	    
	    foreach ($warehouses as $warehouse){

	    	
	    	if ($independent){
	    		$query = $this->db->query("SELECT * FROM `inventory` WHERE `warehouse_id` = ?", array($warehouse->id));
	    		$items = $query->result();
	    	}

    		if ($v){
    			echo '<br /> WAREHOUSE: ' . $warehouse->name . ' ('.$warehouse->id.')';	    	
    			echo '<br /> ---------';
    		}

	    	foreach ($items as $item){
	    	
		    	$qty = $this->inv->get_item_quantity($item->id, $warehouse->id);

		    	if ($v){
	    			echo '<br /> ITEM: ' . $item->name;
	    			echo '<br /> SKU: ' . $item->sku;
	    			echo '<br /> QTY: ' . $qty;
	    			echo '<br />';
	    		}
	    		
	    		$query = $this->db->query("SELECT `id` FROM `inventory_stock_quantities` WHERE `item_id` = ? AND `warehouse_id` = ?", array($item->id, $warehouse->id));
	    		if ($query->num_rows()){
	    			$isq = $query->row();
	    			
	    			$this->db->update('inventory_stock_quantities', array(
	    				'item_id'		=> $item->id,
	    				'item_name'		=> $item->name,
	    				'item_sku'		=> $item->sku,
	    				'cost'			=> $item->cost,
	    				'alert_quantity'=> $item->alert_quantity,
	    				'qty' 			=> $qty
	    			), "`id` = '{$isq->id}'");
	    		} else {
	    			
	    			$this->db->insert('inventory_stock_quantities', array(
	    				'item_id'		=> $item->id,
	    				'item_name'		=> $item->name,
	    				'item_sku'		=> $item->sku,
	    				'cost'			=> $item->cost,
	    				'warehouse_id'	=> $warehouse->id,
	    				'alert_quantity'=> $item->alert_quantity,
	    				'qty'			=> $qty
	    			));
	    		}
	    	}
	    }
			
		

		echo '<br />   Item quantity propagation... DONE!';
	}
	
	function cat($tokens){
		$query = $this->db->query("SELECT `category` FROM `inventory` GROUP BY `category`");
		echo '<b>#' . implode(' ',$tokens) . '</b>';

		foreach ($query->result() as $cat){
			echo '<br />   ' . $cat->category;		
		}
		echo '<br />';
		echo '<br />   -- end of category list --';
	}
	
	function subcat($tokens){
		$query = $this->db->query("SELECT `subcategory` FROM `inventory` GROUP BY `subcategory`");
		echo '<b>#' . implode(' ',$tokens) . '</b>';

		foreach ($query->result() as $cat){
			echo '<br />   ' . $cat->subcategory;		
		}
		echo '<br />';
		echo '<br />   -- end of subcategory list --';
	}
	
	function brand($tokens){
		$query = $this->db->query("SELECT `brand` FROM `inventory` GROUP BY `brand`");
		echo '<b>#' . implode(' ',$tokens) . '</b>';

		foreach ($query->result() as $brand){
			echo '<br />   ' . $brand->brand;		
		}
		echo '<br />';
		echo '<br />   -- end of brand list --';
	}
	
	function item($tokens){
	
	}
	
	
	// host info
	function hostinfo($tokens){
		echo '<b>#' . implode(' ',$tokens) . '</b>';
		echo '<br />   Host            : ' . php_uname('n');
		echo '<br />   IP              : ' . $_SERVER['SERVER_ADDR'];
		echo '<br />';
	}
	
	// license
	
	function licinfo($tokens){
		$license = json_decode($this->system->config('license'));			

		echo '<b>#' . implode(' ',$tokens) . '</b>';
		echo '<br />   Licensee        : ' . $license->licensee;
		echo '<br />   License ID      : ' . $license->id;
		echo '<br />   License Date    : ' . $license->date;
		echo '<br />   Company Code    : ' . $license->company_code;
		echo '<br />   Registered Host : ' . $license->hostname;
		echo '<br />   Registered IP   : ' . $license->ip;
		echo '<br />';
	
	}
	
	function licverify($tokens){
		echo '<b>#' . implode(' ',$tokens) . '</b>';
		if (!$license_string = $this->system->get_license_string()){
			echo '<br />   Failed to verify license. License file not found.';
		} else {
			$license = json_decode($this->system->config('license'));			
			$vkey = md5(md5($license->date) . md5($license->id) . md5($license->licensee) . md5(php_uname('n'))) . md5($license->company_code);
			
			if ($license_string == $vkey){
				echo '<br />   License is verified.';
			} else {
				echo '<br />   Failed to verify license. This computer is not authorized to use plexcloud.';
			}
				
		}
	
	}
	
	function licset($tokens, $cmd){
		echo '<b>#' . implode(' ',$tokens) . '</b>';
		
		switch ($tokens[1]){
			case "licensee":
				$str = str_replace('licensee','',$cmd);
				$licensee = trim(str_replace('licset','',$str));
				$license = json_decode($this->system->config('license'));
				$license->licensee = $licensee;
				
				$this->system->set_config('license',json_encode($license));
				echo '<br />   Licensee : ' . $licensee;
				break;
			case "cc":
				$license = json_decode($this->system->config('license'));
				$license->company_code = $tokens[2];
				
				$this->system->set_config('license',json_encode($license));
				echo '<br />   Company Code : ' . $tokens[2];
				break;
			case "hostname":
				$license = json_decode($this->system->config('license'));
				$license->hostname = $tokens[2];
				
				$this->system->set_config('license',json_encode($license));
				echo '<br />   Hostname : ' . $tokens[2];
				break;
				
			case "id":
				$license = json_decode($this->system->config('license'));
				$license->id = $tokens[2];
				
				$this->system->set_config('license',json_encode($license));
				echo '<br />   License ID : ' . $tokens[2];
				break;
				
			case "date":
				$license = json_decode($this->system->config('license'));
				$license->date = $tokens[2];
				
				$this->system->set_config('license',json_encode($license));
				echo '<br />   License Date : ' . $tokens[2];
				break;
			case "ip":
				$license = json_decode($this->system->config('license'));
				$license->ip = $tokens[2];
				
				$this->system->set_config('license',json_encode($license));
				echo '<br />   IP Address : ' . $tokens[2];
				break;
			default:
	
				echo '<br />   Invalid argument.';
		}
		

	}
	
	function lic($tokens){
		echo '<b>#' . implode(' ',$tokens) . '</b>';
		
		if ($this->system->config('license_setup')){
			echo '<br />   License already setup.';
			// return;	
		}
		
		$license = json_decode($this->system->config('license'));
		
		if (!$license->licensee){
	    	echo '<br />   Licensee not set.';
	    	return;
	    }
	    
	    if (!$license->company_code){
	    	echo '<br />   Company Code not set.';
	    	return;
	    }
	    
	    if (!$license->id){
	    	echo '<br />   License ID not set.';
	    	return;
	    }
	    
	    if (!$license->hostname){
	    	echo '<br />   Hostname not set.';
	    	return;	
	    }
	    
	    if (date('Y') < 2011){
	    	echo '<br />   Date/Time Error. Check system date.';
	    	return;
	    }
	    /*
		if (!$license_string = $this->system->get_license_string()){
			echo '<br />   License file not found.';
		}
		*/
		
		
		switch ($tokens[1]){
			case "lease":
				$df 			= $tokens[2];
				$tenure_period 	= $tokens[3];
				
				$license = json_decode($this->system->config('license'));
				
				
				
				$df_year	= $df[0] . $df[1] . $df[2] . $df[3];
				$df_month	= $df[4] . $df[5];
				$df_day		= $df[6] . $df[7];
				
				$df_date 	= strtotime($df_year . '-' . $df_month . '-' . $df_day);
				
				
				if ($tenure_period){
					if (!is_numeric($tenure_period)){
						echo '<br />   Invalid argument. Invalid tenure period.';
						return;
					}
				} else {
					echo '<br />   Invalid argument. Require tenure period.';
					return;
				}
				
				$dt_date = $df_date + (60 * 60 * 24 * 365 * $tenure_period);
				
				if ($df_year < 2011){
					echo '<br />   Date/Time Error. Invalid license date.';
					return; 
				}
				
				echo '<br />   Validating lease period...DONE!';
				
				for ($i = 0; $i < $tenure_period * 12; $i++){
					$from_date = date('Y-m-d', mktime(0,0,0,$df_month+$i,$df_day,$df_year));
					$to_date = date('Y-m-d', mktime(0,0,0,$df_month+$i+1,$df_day-1,$df_year));
					
					$hash = pcrypt_encode($from_date, $key = pcrypt_encode($from_date.md5($license->id.md5($license->company_code)), $from_date));
					
					$sql = $this->db->insert_string('subscription', array(
						'from_date'		=> $from_date,
						'to_date'		=> $to_date,
						'status'		=> 'Inactive',
						'hash'			=> strtoupper($hash[0] . $hash[1] . $hash[2] . $hash[3] . $hash[4] . $hash[5] . $hash[6] . $hash[7] . $hash[9] . $hash[11] . $hash[12] . $hash[15])
					));
					$this->db->query($sql);
				}
				
				$this->system->set_config('license_setup', true);
				
				$license = json_decode($this->system->config('license'));
				$license->date = date('Y-m-d',$df_date);
				$license->type = 'Lease';
				$license->tenure = $tenure_period;
				$this->system->set_config('license',json_encode($license));


				echo '<br />   Setting up lease licensing... DONE!';
				break;
			case "outright":
				$df = $tokens[2];
				$key1 = $tokens[3];

				
				$df_date 	= strtotime($df);

				echo '<br />   ORK  : ' . $key1;
				echo '<br />   DKEY : ' . md5($df_date);
				echo '<br />   LKEY : ' . $license_string;
				echo '<br />   VKEY : ' . pcrypt_decode($key1, md5($df_date));
				
				if (pcrypt_decode($key1, md5($df_date)) == $license_string){
					echo '<br />   Outright purchase license key verification... DONE!';
					$this->system->set_config('license_setup', true);
				
					$license = json_decode($this->system->config('license'));
					$license->date = date('Y-m-d',$df_date);
					$license->type = 'Outright';
					$license->tenure = '';
					$this->system->set_config('license',json_encode($license));
					echo '<br />   Setting up outright licensing... DONE!';
				} else {
					echo '<br />   Invalid key.';
				
				}
			
				break;
			default: 
				echo '<br />   Invalid argument.';
				break;
		}
				
	}
	
	function licreset($tokens){
		echo '<b>#licreset</b>';
		
		if (strtoupper(md5($tokens[1])) == strtoupper($this->system->config('corepass'))){
			$this->db->query("TRUNCATE `subscription`");
			$this->system->set_config('license_setup', false);

			$license = json_decode($this->system->config('license'));
			$license->date = '';
			$license->type = '';
			$license->tenure = '';
			$this->system->set_config('license',json_encode($license));

			echo '<br />   System license has been reset.';
		} else {
			echo '<br />   Incorrect core password.<br />'; 
		}
			
	}
	
	function datetime($tokens){
		echo '<b>#' . implode(' ',$tokens) . '</b>';
		echo '<br />   ' . date('Y-m-d H:i:s');
	}
	
	function md5($tokens){
		echo '<b>#' . implode(' ',$tokens) . '</b>';
		echo '<br />   ' . md5($tokens[1]);
	}
	
	function sha1($tokens){
		echo '<b>#' . implode(' ',$tokens) . '</b>';
		echo '<br />   ' . sha1($tokens[1]);
	}

	
	function ip2dec($tokens){
		echo '<b>#' . implode(' ',$tokens) . '</b>';
		$ip = (double)(sprintf("%u", ip2long($tokens[1])));
		echo '<br />   ' . $ip;
	}

		
	function gk($tokens){
		echo '<b>#' . implode(' ',$tokens) . '</b>';
		$from_date = $tokens[1];
		$license_id = $tokens[2];
		$company_code = $tokens[3];
		
		echo '<br />   ' . pcrypt_encode($from_date.md5($license_id.md5($company_code)), $from_date);
	}
	
	function ork($tokens){
		echo '<b>#' . implode(' ',$tokens) . '</b>';
		if (!$license_string = $this->system->get_license_string()){
			echo '<br />   License file not found.';
			return;
		}
		
		$license = json_decode($this->system->config('license'));

		if (!$license->licensee){
	    	echo '<br />   Licensee not set.';
	    	return;
	    }
	    
	    if (!$license->company_code){
	    	echo '<br />   Company Code not set.';
	    	return;
	    }
	    
	    if (!$license->id){
	    	echo '<br />   License ID not set.';
	    	return;
	    }
	    
	    if (!$license->hostname){
	    	echo '<br />   Hostname not set.';
	    	return;	
	    }
	    
	    $df_date = strtotime($tokens[1]);
	    
	    
		
		$license = json_decode($this->system->config('license'));
		$vkey = md5(md5($tokens[1]) . md5($license->id) . md5(php_uname('n'))) . md5($license->company_code);
		
		echo '<br />   ORK  : ' . pcrypt_encode($license_string, md5($df_date));		
		echo '<br />   VKEY : ' . $vkey;
		echo '<br />   DKEY : ' . md5($df_date);

	}

	function licvkey($tokens){
		$date = $tokens[1];
		$license = json_decode($this->system->config('license'));
		$vkey = md5(md5($date) . md5($license->id) . md5(php_uname('n'))) . md5($license->company_code);
		echo '<b>#' . implode(' ',$tokens) . '</b>';
		echo '<br />   VKEY: ' . $vkey;		
		echo '<br />';
	}
	
	function set_dkcode($tokens){
		$char = $tokens[1];
		echo '<b>#' . implode(' ',$tokens) . '</b>';
		echo '<br />   Drawer kick code set to: ' . $tokens[1];
		echo '<br />';

	}
	
	function dklist($tokens){
		echo '<b>#' . implode(' ',$tokens) . '</b>';
		echo '<br />   Char: 27,112,0 ' . $vkey;
		echo '<br />';
	}
	
	function trigger_port(){
		echo '';
		
	}
	
	
	function exec($token){
		echo '<b>#exec</b>';
		
		$a = strtoupper(md5($token[1]));
		$b =  strtoupper($this->system->config('corepass'));
		
		if ($a == $b){
			array_shift($token);
			array_shift($token);
			$module = array_shift($token);
			$exec = array_shift($token);
			$this->load->model($module);
			
			echo '<br />Result:<br />';
			print_r($this->{$module}->{$exec}($token[0], $token[1], $token[2], $token[3]));
			

		} else {
			echo '<br />   Incorrect core password.<br />'; 
		}
	}

	
	function zeroinventory($token){
		echo '<b>#zeroinventory</b>';
		
		$a = strtoupper(md5($token[1]));
		$b =  strtoupper($this->system->config('corepass'));
		
		if ($a == $b){
			$this->db->query("TRUNCATE TABLE `inventory`");
			$this->db->query("TRUNCATE TABLE `inventory_stock_quantities`");
			$this->db->query("TRUNCATE TABLE `stock_adjustment`");
			$this->db->query("TRUNCATE TABLE `stock_count`");
			$this->db->query("TRUNCATE TABLE `stock_count_items`");
			echo '<br />   All inventory items has been cleared.<br />';
		} else {
			echo '<br />   Incorrect core password.<br />'; 
		}
	}
	
	function zerostock($tokens){
		echo '<b>#zerostock</b>';
		
		if (strtoupper(md5($tokens[1])) == strtoupper($this->system->config('corepass'))){
			$this->db->query("TRUNCATE TABLE `warehouse_movements`");
			$this->db->query("ALTER TABLE `warehouse_movements` AUTO_INCREMENT = 10001;");
			$this->db->query("TRUNCATE TABLE `warehouse_movement_items`");
			
			$query = $this->db->query("SELECT * FROM `inventory`");
			
			foreach ($query->result() as $item){

				$this->inv->update_quantity($item->id, 0, false);
			
			}

			echo '<br />   All inventory items stock has been set to zero.<br />';
		} else {
			echo '<br />   Incorrect core password.<br />'; 
		}
	
	}
	
	function zerodiscounts($token){
		echo '<b>#zerodiscounts</b>';
		
		$a = strtoupper(md5($token[1]));
		$b =  strtoupper($this->system->config('corepass'));
		
		if ($a == $b){

			$this->db->query("TRUNCATE TABLE `sales_discount_rules`");
			$this->db->query("ALTER TABLE `sales_discount_rules` AUTO_INCREMENT = 10001");
			$this->db->query("TRUNCATE TABLE `sales_discount_item_rules`");
			echo '<br />   All discounts has been cleared.<br />';
		} else {
			echo '<br />   Incorrect core password.<br />'; 
		}

		
	}
	
	
	function zerotags($token){
		echo '<b>#zerotags</b>';
		
		$a = strtoupper(md5($token[1]));
		$b =  strtoupper($this->system->config('corepass'));
		
		if ($a == $b){
			$this->db->query("TRUNCATE TABLE `tags`");
			echo '<br />   All tags has been cleared.<br />';
		} else {
			echo '<br />   Incorrect core password.<br />'; 
		}
	}


	function zerosales($token){
		echo '<b>#zerosales</b>';
		
		$a = strtoupper(md5($token[1]));
		$b =  strtoupper($this->system->config('corepass'));
		
		if ($a == $b){

			$query_lines = "
				TRUNCATE TABLE `quotes`; ALTER TABLE `quotes` AUTO_INCREMENT = 10001;
				TRUNCATE TABLE `quote_items`;
				TRUNCATE TABLE `credit_notes`; ALTER TABLE `credit_notes` AUTO_INCREMENT = 10001;
				TRUNCATE TABLE `credit_note_items`;
				TRUNCATE TABLE `invoices`; ALTER TABLE `invoices` AUTO_INCREMENT = 10001;
				TRUNCATE TABLE `invoice_items`;
				TRUNCATE TABLE `sales_order`;ALTER TABLE `sales_order` AUTO_INCREMENT = 10001;
				TRUNCATE TABLE `sales_order_items`;
				TRUNCATE TABLE `sales`; ALTER TABLE `sales` AUTO_INCREMENT = 10001;
				TRUNCATE TABLE `sale_items`;
				TRUNCATE TABLE `cash_count`;
				TRUNCATE TABLE `reverts`
			";
				
			$truncate = explode(';', $query_lines);

			foreach ($truncate as $sql){
				$this->db->query($sql);
			}
			
			$query = $this->db->query("SELECT * FROM `inventory`");			
			foreach ($query->result() as $item){
				$this->inv->update_quantity($item->id, 0, false);
			}


			echo '<br />   All transactions has been cleared.<br />';
		} else {
			echo '<br />   Incorrect core password.<br />'; 
		}
	
	}
	

	
	function zerotxn($token){
		echo '<b>#zerotxn</b>';
		
		$a = strtoupper(md5($token[1]));
		$b =  strtoupper($this->system->config('corepass'));
		
		if ($a == $b){

			$query_lines = "
				TRUNCATE TABLE `fnb_sales`; ALTER TABLE `fnb_sales` AUTO_INCREMENT = 10001;
				TRUNCATE TABLE `fnb_sale_items`;
				TRUNCATE TABLE `fnb_buffer_sales`; ALTER TABLE `fnb_buffer_sales` AUTO_INCREMENT = 10001;
				TRUNCATE TABLE `fnb_buffer_sale_items`;
				TRUNCATE TABLE `fnb_delivery_orders`; ALTER TABLE `fnb_delivery_orders` AUTO_INCREMENT = 10001;
				TRUNCATE TABLE `fnb_delivery_order_items`;
				TRUNCATE TABLE `quotes`; ALTER TABLE `quotes` AUTO_INCREMENT = 10001;
				TRUNCATE TABLE `quote_items`;
				TRUNCATE TABLE `credit_notes`; ALTER TABLE `credit_notes` AUTO_INCREMENT = 10001;
				TRUNCATE TABLE `credit_note_items`;
				TRUNCATE TABLE `debit_notes`; ALTER TABLE `debit_notes` AUTO_INCREMENT = 10001;
				TRUNCATE TABLE `debit_note_items`;
				TRUNCATE TABLE `invoices`; ALTER TABLE `invoices` AUTO_INCREMENT = 10001;
				TRUNCATE TABLE `invoice_items`;
				TRUNCATE TABLE `purchase_orders`;ALTER TABLE `purchase_orders` AUTO_INCREMENT = 10001;
				TRUNCATE TABLE `purchase_order_items`;
				TRUNCATE TABLE `sales_order`;ALTER TABLE `sales_order` AUTO_INCREMENT = 10001;
				TRUNCATE TABLE `sales_order_items`;
				TRUNCATE TABLE `salary_voucher`; ALTER TABLE `salary_voucher` AUTO_INCREMENT = 10001;
				TRUNCATE TABLE `salary_voucher_items`;
				TRUNCATE TABLE `salary_voucher_breakdown`;
				TRUNCATE TABLE `payment_vouchers`; ALTER TABLE `payment_vouchers` AUTO_INCREMENT = 10001;
				TRUNCATE TABLE `payment_voucher_items`;
				TRUNCATE TABLE `payment_voucher_breakdown`;
				TRUNCATE TABLE `receipts`; ALTER TABLE `receipts` AUTO_INCREMENT = 10001;
				TRUNCATE TABLE `receipt_items`;
				TRUNCATE TABLE `receipt_breakdown`;
				TRUNCATE TABLE `sales`; ALTER TABLE `sales` AUTO_INCREMENT = 10001;
				TRUNCATE TABLE `sale_items`;
				TRUNCATE TABLE `purchase_requests`; ALTER TABLE `purchase_requests` AUTO_INCREMENT = 10001;
				TRUNCATE TABLE `purchase_request_items`;
				TRUNCATE TABLE `warehouse_movements`; ALTER TABLE `warehouse_movements` AUTO_INCREMENT = 10001;
				TRUNCATE TABLE `warehouse_movement_items`; 
				TRUNCATE TABLE `cash_count`;
				TRUNCATE TABLE `reverts`;
				TRUNCATE TABLE `fnb_cash_count`;
				TRUNCATE TABLE `fnb_reverts`;
				
			";
				
			$truncate = explode(';', $query_lines);

			foreach ($truncate as $sql){
				if (trim($sql)){
					$this->db->query($sql);
				}
			}
			
			$query = $this->db->query("SELECT * FROM `inventory`");			
			foreach ($query->result() as $item){
				$this->inv->update_quantity($item->id, 0, false);
			}
			
			
			$this->db->query("TRUNCATE TABLE `account`");
			$this->db->query("TRUNCATE TABLE `account_closure`");
			$this->db->query("TRUNCATE TABLE `account_transactions`");



			echo '<br />   All transactions has been cleared.<br />';
		} else {
			echo '<br />   Incorrect core password.<br />'; 
		}
	
	}
	
	function zerocontacts($token){
		echo '<b>#zerocontacts</b>';
		
		$a = strtoupper(md5($token[1]));
		$b =  strtoupper($this->system->config('corepass'));
		
		if ($a == $b){
		
			$this->db->query("TRUNCATE TABLE `contacts`");
		
			echo '<br />   All contacts has been cleared.<br />';
		} else {
			echo '<br />   Incorrect core password.<br />'; 
		}

	}	
	
	function zerofnb($token){
		echo '<b>#zerofnb</b>';
		
		$a = strtoupper(md5($token[1]));
		$b =  strtoupper($this->system->config('corepass'));
		
		if ($a == $b){
		
			$this->db->query("TRUNCATE TABLE `fnb_delivery_order_items`");
			$this->db->query("TRUNCATE TABLE `fnb_delivery_orders`");
			$this->db->query("TRUNCATE TABLE `fnb_inventory`");
			$this->db->query("TRUNCATE TABLE `fnb_reverts`");
			$this->db->query("TRUNCATE TABLE `fnb_printer_map`");
			$this->db->query("TRUNCATE TABLE `fnb_category_options`");
			$this->db->query("TRUNCATE TABLE `fnb_subcategory_options`");
		
			echo '<br />   All food &amp; beverage information has been cleared.<br />';
		} else {
			echo '<br />   Incorrect core password.<br />'; 
		}

	}	
		
	function zeroservices($token){
		echo '<b>#zeroservices</b>';
		
		$a = strtoupper(md5($token[1]));
		$b =  strtoupper($this->system->config('corepass'));
		
		if ($a == $b){
		
			$this->db->query("TRUNCATE TABLE `services`");
			$this->db->query("ALTER TABLE `services` AUTO_INCREMENT = 10001");
		
			echo '<br />   All services has been cleared.<br />';
		} else {
			echo '<br />   Incorrect core password.<br />'; 
		}
	}
	
	function zeroassets($token){
		echo '<b>#zeroassets</b>';
		
		$a = strtoupper(md5($token[1]));
		$b =  strtoupper($this->system->config('corepass'));
		
		if ($a == $b){
		
			$this->db->query("TRUNCATE TABLE `assets`");
			$this->db->query("TRUNCATE TABLE `asset_depreciations`");
			$this->db->query("TRUNCATE TABLE `disposal_appreciation`");
			$this->db->query("TRUNCATE TABLE `disposal_depreciation`");
		
			echo '<br />   All assets has been cleared.<br />';
		} else {
			echo '<br />   Incorrect core password.<br />'; 
		}
	}
	
	function zeroemployees($token){
		echo '<b>#zeroemployees</b>';
		
		$a = strtoupper(md5($token[1]));
		$b =  strtoupper($this->system->config('corepass'));
		
		if ($a == $b){
		
			$this->db->query("TRUNCATE TABLE `employees`");
			$this->db->query("TRUNCATE TABLE `employee_cico`");
			$this->db->query("TRUNCATE TABLE `employee_documents`");
			$this->db->query("TRUNCATE TABLE `employee_dependents`");
			$this->db->query("TRUNCATE TABLE `employee_education`");
			$this->db->query("TRUNCATE TABLE `employee_emergency_contacts`");
			$this->db->query("TRUNCATE TABLE `employee_languages`");
			$this->db->query("TRUNCATE TABLE `employee_licenses`");
			$this->db->query("TRUNCATE TABLE `employee_skills`");
			$this->db->query("TRUNCATE TABLE `employee_work_experience`");
			$this->db->query("TRUNCATE TABLE `employment`");
			$this->db->query("TRUNCATE TABLE `leave`");
			$this->db->query("TRUNCATE TABLE `applicants`");
			$this->db->query("TRUNCATE TABLE `vacancies`");
			
		
			echo '<br />   All employee information has been cleared.<br />';
		} else {
			echo '<br />   Incorrect core password.<br />'; 
		}
	}
	
	function zeroaccounts($token){
		echo '<b>#zeroaccounts</b>';
		
		$a = strtoupper(md5($token[1]));
		$b =  strtoupper($this->system->config('corepass'));
		
		if ($a == $b){
		
			$this->db->query("TRUNCATE TABLE `account`");
			$this->db->query("TRUNCATE TABLE `account_closure`");
			$this->db->query("TRUNCATE TABLE `account_transactions`");
			$this->db->query("TRUNCATE TABLE `receipts`");
			$this->db->query("ALTER TABLE `receipts` AUTO_INCREMENT = 10001");
			$this->db->query("TRUNCATE TABLE `receipt_items`");
			$this->db->query("TRUNCATE TABLE `receipt_breakdown`");
			$this->db->query("TRUNCATE TABLE `salary_voucher`");
			$this->db->query("ALTER TABLE `salary_voucher` AUTO_INCREMENT = 10001");
			$this->db->query("TRUNCATE TABLE `salary_voucher_breakdown`");	
			$this->db->query("TRUNCATE TABLE `salary_voucher_items`");
			$this->db->query("TRUNCATE TABLE `payment_vouchers`");
			$this->db->query("ALTER TABLE `payment_vouchers` AUTO_INCREMENT = 10001");
			$this->db->query("TRUNCATE TABLE `payment_voucher_breakdown`");
			$this->db->query("TRUNCATE TABLE `payment_voucher_items`");

		
			echo '<br />   All accounts has been cleared.<br />';
		} else {
			echo '<br />   Incorrect core password.<br />'; 
		}

	}
	
	function zeroadmin($token){
		echo '<b>#zeroadmin</b>';
		
		$a = strtoupper(md5($token[1]));
		$b =  strtoupper($this->system->config('corepass'));
		
		if ($a == $b){
			

		
			echo '<br />   --- MASTER RESET COMPLETED ---';
		} else {
			echo '<br />   Incorrect core password.<br />'; 
		}
		
	}
	
	function masterreset($token){
		echo '<b>#masterreset</b><br />';
		
		$a = strtoupper(md5($token[1]));
		$b =  strtoupper($this->system->config('corepass'));
		
		if ($a == $b){
			echo '    ';
			$this->zerodiscounts($token);
			echo '    ';
			$this->zeroinventory($token);
			echo '    ';
			$this->zeroservices($token);
			echo '    ';
			$this->zerotxn($token);
			echo '    ';
			$this->zerocontacts($token);
			echo '    ';
			$this->zeroassets($token);
			echo '    ';
			$this->zeroaccounts($token);
			echo '    ';
			$this->zerotags($token);
			echo '    ';
			$this->zerofnb($token);

			
			$this->system->set_config('first_setup', 1);

		
			echo '<br />   --- MASTER RESET COMPLETED ---';
		} else {
			echo '<br />   Incorrect core password.<br />'; 
		}

	}
	
	function highestcost($token){
		echo '<b>#pocost</><br />';
		
		$a = strtoupper(md5($token[1]));
		$b =  strtoupper($this->system->config('corepass'));
		
		if ($a == $b){
			$query = $this->db->query("SELECT * FROM `purchase_order_items` WHERE `purchase_order_id` != 0 GROUP BY `item_id` ORDER BY `price_per_unit` DESC");
			foreach ($query->result() as $po_item){
				$this->db->query("UPDATE `inventory` SET `cost` = ? WHERE `id` = ?", array($po_item->price_per_unit, $po_item->item_id));
			}
			
			echo '<br />   Updated inventory with highest cost.';
		} else {
			echo '<br />   Incorrect core password.<br />'; 
		}
	}
	
	function latestcost($token){
		echo '<b>#latestcost</><br />';
		
		$a = strtoupper(md5($token[1]));
		$b =  strtoupper($this->system->config('corepass'));
		
		if ($a == $b){
			$query = $this->db->query("SELECT * FROM `purchase_order_items` WHERE `purchase_order_id` != 0 GROUP BY `item_id` ORDER BY `date` DESC");
			foreach ($query->result() as $po_item){
				$this->db->query("UPDATE `inventory` SET `cost` = ? WHERE `id` = ?", array($po_item->price_per_unit, $po_item->item_id));
			}
			
			echo '<br />   Updated inventory with latest cost.';
		} else {
			echo '<br />   Incorrect core password.<br />'; 
		}	
	}
	
	function resetavgcost($token){
		echo '<b>#resetavgcost</><br />';
		
		$a = strtoupper(md5($token[1]));
		$b =  strtoupper($this->system->config('corepass'));
		
		if ($a == $b){
			$this->db->query("UPDATE `inventory` SET `average_cost` = `cost`");
			echo '<br />   Items average cost has been set to its current cost.';
		} else {
			echo '<br />   Incorrect core password.<br />'; 
		}	
	}
	
	
	
	function batchitemresize($token){
		echo '<b>#batchitemresize</b><br />';
		$a = 1;
		$b = 1;
		
		$this->load->library('image_lib');
		
		if ($a == $b){
			if ($handle = opendir('../assets/items/')) {
			    while (false !== ($entry = readdir($handle))) {
			        if ($entry != "." && $entry != "..") {
			        	if (!is_dir($path . $entry)){
			       			
			       			if (strpos($entry, '_plex_standard300') || strpos($entry, '_plex_thumb50')){
			       				// file exists do nothing
			       			} else {
				       			
				       			$bn = basename($entry);
				       			$ext = substr(strrchr($entry,'.'),1);
				       			
				       			if (readfile('../assets/items/'.$bn.'_plex_standard300.'.$ext) || readfile('../assets/items/'.$bn.'_plex_thumb50.'.$ext)){
					       			// file exists do nothing
				       			} else {
					       			$files[] = $entry;
				       			}
				       			
			       			}
			        		
			        	}
			        }
			    }
			    closedir($handle);
			}
			
			foreach ($files as $file){
			
			// thumbnail config
			
				echo '<br />   Thumbnails created for ' . $file;
				
				$img_config['image_library']	= 'gd2';
				$img_config['source_image']		= '../assets/items/'.$file;
				$img_config['create_thumb']		= TRUE;
				$img_config['maintain_ratio']	= TRUE;
				$img_config['thumb_marker']		= '_plex_thumb50';
				$img_config['width']			= 50;
				$img_config['height']			= 50;

				$this->image_lib->initialize($img_config); 
				$this->image_lib->resize();
				$this->image_lib->clear();
				
				// standard size config
				
				$img_config['image_library']	= 'gd2';
				$img_config['source_image']		= '../assets/items/'.$file;
				$img_config['create_thumb']		= TRUE;
				$img_config['maintain_ratio']	= TRUE;
				$img_config['thumb_marker']		= '_plex_standard300';
				$img_config['width']			= 300;
				$img_config['height']			= 300;

				$this->image_lib->initialize($img_config); 
				$this->image_lib->resize();
				$this->image_lib->clear();
			
			}
			
			echo '<br />   Batch item resize is complete.';
		} else {
			echo '<br />   Incorrect core password.<br />'; 
		}	

		
	}
	
	function undo_system_transactions($token){
		$id = $token[1];
		
		$query = $this->db->query("SELECT * FROM `system_transactions` WHERE `id`=?",array($id));
		$item = $query->row();
		
		$module = $item->module;
		$action = $item->action;
		$type = $item->type;
		$record_id = $item->record_id;
		$record_data = $item->record_data;
		$record_data_decoded = json_decode($record_data);
		
		$sku = $record_data_decoded->{'sku'};
		# Check SKU Existence
		$query = $this->db->query("SELECT * FROM `inventory` WHERE `sku` =?", array($sku));
		if($query->num_rows()){
			echo "SKU $sku already exists!<br/>";
			echo "<b>Aborting undo_system_transactions $id</b><br/>";
			return;
		}
		if($module == "inventory"){
			if($action == 'delete'){
				$query = $this->db->query("SELECT * FROM `inventory` WHERE `id` = ?", array($record_id));
				if (!$query->num_rows()){
					foreach($record_data_decoded as $name => $value){
						$rev[$name] = $value;		
					}
					$this->db->insert($module, $rev);
					echo "$type $record_id reverted back into $module";
				} else {
					echo "ERROR: $type $record_id already exists in $module ";
				}	
				
			} else {
				echo "$action is not yet supported for this command";
			}
			
		} else {
			echo "$module is not yet supported for this command";
		}	
		
	}
	
	function retrieve_system_transactions($token){
		$id = $token[1];
		
		$query = $this->db->query("SELECT * FROM `system_transactions` WHERE `id`=?",array($id));
		$item = $query->row();
		if(!$query->num_rows()){
			echo "ID $id does not exist";
		} else {
			echo "<b>Details for ID - $id </b><br/>";
			$module = $item->module;
			$action = $item->action;
			$type = $item->type;
			$record_id = $item->record_id;
			$record_data = $item->record_data;
			$record_data_decoded = json_decode($record_data);
			echo "Module => $module <br/>";
			echo "Action => $action <br/>";
			echo "Type => $type <br/>";
			echo "Record Data(static) => $record_data<br/>";
			//echo "<marquee>$record_data </marquee> <br/>";
		}		
		
	}		
	
	function releaseterminal($token){
		echo '<b>#releaseterminal</b><br/>';
		$a = strtoupper(md5($token[2]));
		$b = strtoupper($this->system->config('corepass'));
		
		if($a == $b){
			echo "Releasing terminal for user $token[1]";
			
			$this->db->update('users',array(
				'terminal_active' => '',
				'terminal_type' => '',
				'terminal_last_login' => '',
				'terminal_ip' => '',
				'terminal_session' => '',
				'terminal_identifier' => ''
			),"`username` = '{$token[1]}'");
			
			
		}
	}
	
	function recalitemcost($token){
		echo '<b>#pocost</><br />';
		
		$a = strtoupper(md5($token[1]));
		$b =  strtoupper($this->system->config('corepass'));
		
		if ($a == $b){
			
			$this->db->query("UPDATE `sale_items` SET `cost` = (SELECT `cost` FROM `inventory_stock_quantities` WHERE `item_id` = sale_items.item_id AND `warehouse_id` = sale_items.warehouse_id LIMIT 1)");
			$this->db->query("UPDATE `sale_items` SET `cost` = `cost` * `qty`");
			$this->db->query("UPDATE `sale_items` SET `margin` = `amount` - `cost`");
			
			echo '<br />   Updated item transactions with current cost.';
		} else {
			echo '<br />   Incorrect core password.<br />'; 
		}
	
	}

	function recaltxncost($token){
		echo '<b>#pocost</><br />';
		
		$a = strtoupper(md5($token[1]));
		$b =  strtoupper($this->system->config('corepass'));
		
		if ($a == $b){
			
			$this->db->query("UPDATE `sales` SET `cost` = (SELECT SUM(`cost`) AS `cost` FROM `sale_items` WHERE `sale_id` = sale.id)");
			
			echo '<br />   Updated sales transactions with item cost.';
		} else {
			echo '<br />   Incorrect core password.<br />'; 
		}
	
	}
	
	function Updateisq(){
		echo '<b>#updateisq</b><br/>';
		$query = $this->db->query("SELECT * FROM `inventory_stock_quantities` WHERE `warehouse_id` = ?", array($this->user->data('branch')));
		foreach ($query->result() as $isq){
			
	    	$qty = $this->inv->get_item_quantity($isq->item_id, $warehouse->id);
	    	
	    	$this->db->query("UPDATE `inventory_stock_quantities` SET `qty` = ? WHERE `id` = ?", array($qty, $isq->id)); 
			
		}
		
		echo "Updated ISQ for Branch #" . $this->user->data('branch');
	}
	

}
