<?php

class Sale extends Model {

	function Sale(){
		parent::Model();
		$this->load->model('shipping');
	}
	
	// INVOICES
	
	function Pending_invoices(){
		$query = $this->db->query("SELECT * FROM `invoices` WHERE `status` = 'Penang' ORDER BY `date` ASC");
		return $query->result();
	}
	
	function Recalculate_invoice($txn_no){
		
		$invoice = $this->Get_invoice_by_id(null, $txn_no);
		
		foreach ($invoice->orders as $order){
			$t += $order->price;
			$td += $order->delivered_price; 
		}
		
		$grand_total = $t;
		$grand_total_d = $td;
		
		$grand_total = $grand_total + $invoice->handling_charges;
		$grand_total_d = $grand_total_d + $invoice->handling_charges;
		
		if ($invoice->adjustment_type == 'Add'){
			$grand_total += $invoice->adjustment;
			$grand_total_d += $invoice->adjustment;
		} else {
			$grand_total -= $invoice->adjustment;
			$grand_total_d -= $invoice->adjustment;
		}
		
		$taxes = json_decode($invoice->tax);
		foreach ($taxes as $tax){
			if ($tax->inclusive == 0){
				$grand_total += $tax->amount;
				$grand_total_d += $tax->amount;
			}
		}
		
		if ($invoice->status == 'Delivered'){
			$this->db->update('invoices', array(
				'total_delivered'	=> $grand_total,
				'total' 			=> $grand_total_d
			),"`txn_no` = '{$txn_no}'");
		} elseif ($invoice->status == 'Pending'){
			$this->db->update('invoices', array(
				'total' 			=> $grand_total_d
			),"`txn_no` = '{$txn_no}'");
		}
		echo $invoice->txn_no;
		echo "<br />";
		echo $grand_total;
		echo "<br />";
		echo $grand_total_d;
	}
	
	function Invoice_items_delivered($invoice_id){

		$delivered 	= $this->input->post('received_qty');
		$done		= $this->input->post('done');
		$type		= $this->input->post('type');
		$grand_total = 0;
		
		foreach ($delivered as $order_id => $qty){
			
			
			$query = $this->db->query("SELECT * FROM `invoice_items` WHERE `id` = ?", array($order_id));
			$order = $query->row();
			
			
			if ($order->type == 'product'){
				$item = $this->inv->get_item_by_id($order->item_id);
			
				if ($this->system->config('cost_update_method') == 'fifo'){
					$cost = $this->inv->get_fifo_cost($item->id, $qty);
				} else {
					$cost = $item->cost * $qty;
				}
				

				if ($order->discount_type == 'p'){
					$ppu = $order->price_per_unit * ((100 - $order->discount) / 100);
					$price = str_replace(',', '', number_format($qty * $ppu,2));
				} elseif ($order->discount_type == 'd'){
					$price = ($order->price_per_unit * $qty) - $order->discount;
					$ppu = $price / $qty;
				} else {
					$ppu = $order->price_per_unit;
					$price = $ppu * $qty;
				}
				
			
				$sql = $this->db->update_string('invoice_items', array(
					'cost'				=> $cost,
					'delivered' 		=> $qty,
					'delivered_price'	=> $price,
					'done'				=> $done[$order->id]
				), "`id` = '{$order_id}'");
		
				$this->db->query($sql);
						
				$grand_total += $price;
			

				$this->inv->update_item_cost($order->item_id);
				$this->inv->update_item_qty($order->item_id);
			
				$sql = $this->db->update_string('inventory',array(
	    			'last_sold'	=> date('Y-m-d H:i:s')
	    		),"`id` = '{$order->item_id}'");
	    	
		    	$this->db->query($sql);
		    } else {


				if ($order->discount_type == 'p'){
					$ppu = $order->price_per_unit * ((100 - $order->discount) / 100);
					$price = str_replace(',', '', number_format($qty * $ppu,2));
				} elseif ($order->discount_type == 'd'){
					$price = ($order->price_per_unit * $qty) - $order->discount;
					$ppu = $price / $qty;
				} else {
					$ppu = $order->price_per_unit;
					$price = $ppu * $qty;
				}
				

		    	$sql = $this->db->update_string('invoice_items', array(
					'cost'				=> $cost,
					'delivered' 		=> $qty,
					'delivered_price'	=> $price,
					'done'				=> $done[$order->id]
				), "`id` = '{$order_id}'");
		
				$this->db->query($sql);
				
		    	$grand_total += $price;
		    }
		
		}
		
		

		$query = $this->db->query("SELECT * FROM `invoices` WHERE `id` = ?", array($invoice_id));
		$invoice = $query->row();
		
		$query = $this->db->query("SELECT * FROM `invoice_items` WHERE `invoice_id` = ?", array($invoice_id));
		$grand_total = $grand_total + $invoice->handling_charges;
		
		if ($invoice->adjustment_type == 'Add'){
			$grand_total += $invoice->adjustment;
		} else {
			$grand_total -= $invoice->adjustment;
		}
		
		$taxes = json_decode($invoice->tax);
		foreach ($taxes as $tax){
			if ($tax->inclusive == 0){
				$grand_total += $tax->amount;
			}
		}
		
		$grand_total += $invoice->total_charges;
		
		$sql = $this->db->update_string('invoices', array(
			'total_delivered'	=> $grand_total 
		),"`id` = '{$invoice_id}'");
		
		$this->db->query($sql);
		
		$invoice = $this->sale->get_invoice_by_id($invoice_id);
		return $invoice;		
	}
	
	function Invoice_items_undelivered($invoice_id){
		
		$query = $this->db->query("SELECT * FROM `invoice_items` WHERE `invoice_id` = ?", array($invoice_id));
		
		$sql = $this->db->update_string('invoice_items', array(
			'delivered' => 0,
			'cost'		=> 0,
			'done'	   => 0
		), "`invoice_id` = '{$invoice_id}'");
		
		$this->db->query($sql);
		
		$query = $this->db->query("SELECT * FROM `invoice_items` WHERE `invoice_id` = ?", array($invoice_id));
		
		foreach ($query->result() as $order){
			$this->inv->update_item_cost($order->item_id);
			$this->inv->update_item_qty($order->item_id);
		}

		
		$sql = $this->db->update_string('invoices', array(
			'status' 			=> 'Pending',
			'total_delivered'	=> 0
		),"`id` = '{$invoice_id}'");
		
		$this->db->query($sql);
		
		$invoice = $this->sale->get_invoice_by_id($invoice_id);
		return $invoice;
	}
	
	
	function Invoice_set_paid($id, $date, $receipt_id, $contra_id){

		if (!$date){
			list($day, $month, $year) = explode('/', $this->input->post('payment_date'));
			$date = $year . '-' . $month . '-' . $day;
		} else {
			if (strpos($date,'/')){
				list($day, $month, $year) = explode('/', $date);
				$date = $year . '-' . $month . '-' . $day;
			}
		}
		
		
		$sql = $this->db->update_string('invoices',array(
			'payment_status'	=> 'Paid',
			'payment_reference'	=> $receipt_id,
			'payment_contra'	=> $contra_id,
			'payment_date'		=> $date
		),"`id` = '$id'");
		
		$this->db->query($sql);
		
		return $this->get_invoice_by_id($id);
	}


	function Invoice_set_unpaid($id){
		$sql = $this->db->update_string('invoices',array(
			'payment_status'	=> 'Unpaid',
			'payment_reference'	=> '',
			'payment_date'		=> '',
			'payment_contra'	=> ''
		),"`id` = '{$id}'");
		
		$this->db->query($sql);
		
		$invoice = $this->get_invoice_by_id($id);
		return $invoice;
	}
	
	function DO_update($id, $date, $tracking_no){

		if (!$date){
			list($day, $month, $year) = explode('/', $this->input->post('delivery_date'));
			$date = $year . '-' . $month . '-' . $day;
		} else {
			if (strpos($date,'/')){
				list($day, $month, $year) = explode('/', $date);
				$date = $year . '-' . $month . '-' . $day;
			}
		}
		
		$sql = $this->db->update_string('invoices',array(
			'delivery_tracking_no'	=> $tracking_no ? $tracking_no : $this->input->post('delivery_tracking_no'),
			'delivery_date'			=> $date
		),"`id` = '$id'");
		
		$this->db->query($sql);
		
		return $this->get_invoice_by_id($id);
	}


	function DO_pending($id){
		$sql = $this->db->update_string('invoices',array(
			'delivery_status'		=> 'Pending',
			'delivery_tracking_no'	=> '',
			'delivery_date'			=> ''
		),"`id` = '{$id}'");
		
		$this->db->query($sql);
		
		$invoice = $this->get_invoice_by_id($id);
		return $invoice;
	}




	function CN_set_paid($id, $date, $receipt_id, $contra_id){

		if (!$date){
			list($day, $month, $year) = explode('/', $this->input->post('payment_date'));
			$date = $year . '-' . $month . '-' . $day;
		} else {
			if (strpos($date,'/')){
				list($day, $month, $year) = explode('/', $date);
				$date = $year . '-' . $month . '-' . $day;
			}
		}
		
		$sql = $this->db->update_string('credit_notes',array(
			'payment_status'	=> 'Paid',
			'payment_reference'	=> $receipt_id,
			'payment_contra'	=> $contra_id,
			'payment_date'		=> $date
		),"`id` = '{$id}'");
		
		$this->db->query($sql);
		
		return $this->get_cn_by_id($id);
	}


	function CN_set_unpaid($id){
		$sql = $this->db->update_string('credit_notes',array(
			'payment_status'	=> 'Unpaid',
			'payment_reference'	=> '',
			'payment_contra'	=> '',
			'payment_date'		=> ''
		),"`id` = '{$id}'");
		
		$this->db->query($sql);
		
		$cn = $this->get_cn_by_id($id);
		return $cn;
	}



	function Get_invoices($filter){
		$query = $this->db->query("SELECT * FROM `invoices` {$filter}");

		return $query->result();
	}
	
	function Get_invoice_by_so_id($id){
		$query = $this->db->query("SELECT * FROM `invoices` WHERE `sales_order_id` = ?", array($id));
		return $query->result();
	}
	
	function Get_invoice_by_id($id, $txn_no){
		if ($txn_no){
			$query = $this->db->query("SELECT * FROM `invoices` WHERE `txn_no` = ?", array($txn_no));				
		} else {
			$query = $this->db->query("SELECT * FROM `invoices` WHERE `id` = ?", array($id));	
		}
		
		$invoice = $query->row();
		
		$query = $this->db->query("SELECT * FROM `invoice_items` WHERE `invoice_id` = ? ORDER BY `done` ASC", array($invoice->id));
		$orders = $query->result();
		
		if ($invoice->no_do){
			$query = $this->db->query("SELECT * FROM `sales` WHERE `id` = ?", array($invoice->sales_reference_id));
			$sale = $query->row();
			
			$query = $this->db->query("SELECT * FROM `sale_items` WHERE `sale_id` = ?", array($sale->id));
			$sale_items = $query->row();
		}
		

		
		foreach ($orders as $order_item){
			if ($order_item->type == 'product'){
				$products[$order_item->item_id] = $product = $this->inv->get_item_by_id($order_item->item_id);
				$sorted[$order_item->item_id] = $product->name;
				$unsorted_orders[] = $order_item;
			} elseif ($order_item->type == 'service') {
				
				$services[$order_item->service_id] = $service = $this->service->get_service_by_id($order_item->service_id);
				$sorted[$order_item->service_id] = $service->name;
				$unsorted_orders[] = $order_item;			
			}
		}

		asort($sorted);

		foreach ($sorted as $order_item_id => $product_name){
			$sorted_orders[] = $unsorted_orders[$order_item_id];
		}
		
		$invoice->orders = $unsorted_orders;
		$invoice->products = $products;
		$invoice->services = $services;
		$invoice->customer = $this->contact->get_contact_by_id($invoice->contact_id);
		$invoice->sale = $sale;
		$invoice->sale_items = $sale_items;

		return $invoice;
	}

	
	function Add_invoice(){	
		list($day, $month, $year) = explode('/', $this->input->post('date'));
		$date = $year . '-' . $month . '-' . $day . ' 12:00:00';

		$contact = $this->contact->get_contact_by_id($this->input->post('contact'));

		if ($duration = $this->input->post('duration')){
			$due_date = date('Y-m-d',strtotime($date)+((60*60*24)*$duration));
		} else {
			$due_date = null;
		}
		
		$address->address1	= $contact->address1;
		$address->address2	= $contact->address2;
		$address->zipcode	= $contact->zipcode;
		$address->city		= $contact->city;
		$address->state		= $contact->state;
		$address->country	= $contact->country;
		
		$delivery_address = $this->input->post('delivery');

		$tax = $this->input->post('tax');

		foreach ($tax as $id => $amount){
			$total_tax += $amount;
			$t = $this->tax->get_tax_by_id($id);
			$ntax = null;
			
			$ntax->percentage 	= $t->percentage;
			$ntax->id			= $id;
			$ntax->name			= $t->name;
			$ntax->inclusive	= $t->inclusive;
			$ntax->amount		= $amount;
			$taxes[] = $ntax;
		}
		
		$charge = $this->input->post('charge');

		foreach ($charge as $cid => $amount){
			$total_charges += $amount;
			$c = $this->tax->get_charge_by_id($cid);
			$ncharge = null;
			
			$ncharge->percentage 	= $c->percentage;
			$ncharge->id			= $cid;
			$ncharge->name			= $c->name;
			$ncharge->amount		= $amount;
			$charges[$cid] = $ncharge;
		}
		
		
		
		$sql = $this->db->insert_string('invoices',array(
			'txn_no'			=> $this->input->post('txn_no') ? $this->input->post('txn_no') : $this->serial_no('invoices'),
			'date'				=> $date,
			'due_date'			=> $due_date,
			'quote_id'			=> $quote_id = $this->input->post('quote_id'),
			'po_number'			=> $this->input->post('po_number'),
			'sales_order_id'	=> $so_id = $this->input->post('sales_order_id'),
			'number'			=> $this->input->post('number'),
			'contact_person'	=> $this->input->post('contact_person'),
			'contact'			=> $contact->company_name ? $contact->company_name : $contact->contact_person,
			'contact_id'		=> $contact->id,
			'referrer_contact_id'=> $this->input->post('referrer_contact_id'),
			'contact_address'	=> json_encode($address),
			'delivery_address'	=> json_encode($delivery_address),
			'delivery_status'	=> 'Pending',
			'shipping'			=> $this->input->post('shipping'),
			'shipping_id'		=> $this->input->post('shipping_id'),
			'terms'				=> $this->input->post('terms'),
			'duration'			=> $this->input->post('duration'),
			'payment_status'	=> 'Unpaid',
			'status'			=> 'Pending',
			'adjustment'		=> $this->input->post('adjustment'),
			'adjustment_type'	=> $this->input->post('adjustment_type'),
			'handling_charges'	=> $this->input->post('sh_charges'),
			'remarks'			=> $this->input->post('remarks'),
			'tax'				=> json_encode($taxes),
			'total_tax'			=> $total_tax,
			'charges'			=> json_encode($charges),
			'total_charges'		=> $total_charges,
			'total'				=> $this->input->post('grand_total'),
			'tags'				=> $tags = $this->input->post('tags'),
			'added_on'			=> date('Y-m-d H:i:s'),
			'added_by'			=> $this->user->data('username'),
			'consignment'		=> $this->input->post('consignment'),
			'warehouse_id'		=> $this->user->data('branch')
		));

		$query = $this->db->query($sql);
		
		$this->system->tag($tags);

		$invoice_id = $query->insert_id;
		
		if ($quote_id){
			$sql = $this->db->update_string('quotes', array(
				'invoice_id'	=> $invoice_id
			),"`id` = '{$quote_id}'");
			$this->db->query($sql);
		}
		
		if ($so_id){
			$sql = $this->db->update_string('sales_order', array(
				'invoice_id'	=> $invoice_id
			), "`id` = '{$so_id}'");
			$this->db->query($sql);
		}
		
		$items 				= $this->input->post('item_id');
		$item_type 			= $this->input->post('item_type');
		$item_ppu			= $this->input->post('item_net_price');
		$item_price 		= $this->input->post('item_totalnet_price');
		$item_name			= $this->input->post('item_name');
		$item_qty			= $this->input->post('item_qty');
		$item_description	= $this->input->post('item_description');
		$item_discount_type	= $this->input->post('item_discount_type');
		$item_discount		= $this->input->post('item_discount');
		$taxable			= $this->input->post('taxable');
		$tax_code			= $this->input->post('tax_code');
				
		for ($i = 0; $i < count($items); $i++){
			$name = explode('<',$item_name[$i]);
			$item_name_actual = $name[0];
			
			$sql = $this->db->insert_string('invoice_items',array(
				'invoice_id'		=> $invoice_id,
				'date'				=> $date,
				'type'				=> $item_type[$i],
				'item_name'			=> $item_name_actual,
				'item_description'	=> $item_description[$i],
				'item_id'			=> $item_type[$i] == 'product' ? $items[$i] : '',
				'service_id'		=> $item_type[$i] == 'service' ? $items[$i] : '',
				'qty'				=> $item_qty[$i],
				'price'				=> $item_price[$i],
				'price_per_unit'	=> $item_price[$i] / $item_qty[$i],
				'discount_type'		=> $item_discount_type[$i],
				'discount'			=> $item_discount[$i],
				'warehouse_id'		=> $this->user->data('branch'),
				'consignment'		=> $this->input->post('consignment'),
				'taxable'			=> $taxable[$i],
				'tax_code'			=> $tax_code[$i]
			));
			
			$this->db->query($sql);
			
		}
		
		return $this->get_invoice_by_id($invoice_id);
	}
	
	function Edit_invoice($id){
		list($day, $month, $year) = explode('/', $this->input->post('date'));
		$date = $year . '-' . $month . '-' . $day . ' 12:00:00';
		
		$contact = $this->contact->get_contact_by_id($this->input->post('contact'));
		
		if ($duration = $this->input->post('duration')){
			$due_date = date('Y-m-d',strtotime($date)+((60*60*24)*$duration));
		} else {
			$due_date = null;
		}
		
		$address->address1	= $contact->address1;
		$address->address2	= $contact->address2;
		$address->zipcode	= $contact->zipcode;
		$address->city		= $contact->city;
		$address->state		= $contact->state;
		$address->country	= $contact->country;
		
		$delivery_address = $this->input->post('delivery');
		
		$tax = $this->input->post('tax');

		foreach ($tax as $tid => $amount){
			$total_tax += $amount;
			$t = $this->tax->get_tax_by_id($tid);
			$ntax = null;
			
			$ntax->percentage 	= $t->percentage;
			$ntax->id			= $tid;
			$ntax->name			= $t->name;
			$ntax->inclusive	= $t->inclusive;
			$ntax->amount		= $amount;
			$taxes[] = $ntax;
		}


	
		$charge = $this->input->post('charge');

		foreach ($charge as $cid => $amount){
			$total_charges += $amount;
			$c = $this->tax->get_charge_by_id($cid);
			$ncharge = null;
			
			$ncharge->percentage 	= $c->percentage;
			$ncharge->id			= $cid;
			$ncharge->name			= $c->name;
			$ncharge->amount		= $amount;
			$charges[$cid] = $ncharge;
		}
		

		
		
		$data = array(
			'date'				=> $date,
			'due_date'			=> $due_date,
			'number'			=> $this->input->post('number'),
			'po_number'			=> $this->input->post('po_number'),
			'contact_person'	=> $this->input->post('contact_person'),
			'contact'			=> $contact->company_name ? $contact->company_name : $contact->contact_person,
			'contact_address'	=> json_encode($address),
			'delivery_address'	=> json_encode($delivery_address),
			'contact_id'		=> $contact->id,
			'referrer_contact_id'=> $this->input->post('referrer_contact_id'),
			'terms'				=> $this->input->post('terms'),
			'duration'			=> $this->input->post('duration'),
			'adjustment'		=> $this->input->post('adjustment'),
			'adjustment_type'	=> $this->input->post('adjustment_type'),
			'handling_charges'	=> $this->input->post('sh_charges'),
			'remarks'			=> $this->input->post('remarks'),
			'tax'				=> json_encode($taxes),
			'total_tax'			=> $total_tax,
			'total'				=> $this->input->post('grand_total'),
			'charges'			=> json_encode($charges),
			'total_charges'		=> $total_charges,
			'tags'				=> $tags = $this->input->post('tags'),
			'modified_on'		=> date('Y-m-d H:i:s'),
			'modified_by'		=> $this->user->data('username'),
			'warehouse_id'		=> $this->user->data('branch')
		);
		
		if ($this->input->post('txn_no')){
			$data['txn_no'] = $this->input->post('txn_no');
		}
		
		print_r($data);

		$sql = $this->db->update_string('invoices',$data ,"`id` = '{$id}'");

		$query = $this->db->query($sql);
				
		$this->system->tag($tags);
		
		$items 			= $this->input->post('item_id');
		$item_type 		= $this->input->post('item_type');
		$item_ppu		= $this->input->post('item_net_price');
		$item_price 	= $this->input->post('item_totalnet_price');
		$item_name		= $this->input->post('item_name');
		$item_qty		= $this->input->post('item_qty');
		$item_description	= $this->input->post('item_description');
		$item_discount_type	= $this->input->post('item_discount_type');
		$item_discount		= $this->input->post('item_discount');
		$taxable		= $this->input->post('taxable');
		$tax_code		= $this->input->post('tax_code');

		
		$this->db->query("DELETE FROM `invoice_items` WHERE `invoice_id` = ?", array($id));
				
		for ($i = 0; $i < count($items); $i++){
			$name = explode('<',$item_name[$i]);
			$item_name_actual = $name[0];

			$sql = $this->db->insert_string('invoice_items',array(
				'invoice_id'		=> $id,
				'date'				=> $date,
				'type'				=> $item_type[$i],
				'item_name'			=> $item_name_actual,
				'item_description'	=> $item_description[$i],
				'item_id'			=> $item_type[$i] == 'product' ? $items[$i] : '',
				'service_id'		=> $item_type[$i] == 'service' ? $items[$i] : '',
				'qty'				=> $item_qty[$i],
				'price'				=> $item_price[$i],
				'price_per_unit'	=> $item_price[$i] / $item_qty[$i],
				'discount_type'		=> $item_discount_type[$i],
				'discount'			=> $item_discount[$i],
				'warehouse_id'		=> $this->user->data('branch'),
				'taxable'			=> $taxable[$i],
				'tax_code'			=> $tax_code[$i]

			));
			
			$this->db->query($sql);
			
		}
		
		return $this->get_invoice_by_id($id);
	}
	
	function Delete_invoice($id){
		$invoice = $this->get_invoice_by_id($id);
		
		if ($invoice->sales_reference_id){
			$this->db->query("DELETE FROM `sales` WHERE `id` = ?", array($invoice->sales_reference_id));
			$this->db->query("DELETE FROM `sale_items` WHERE `sale_id` = ?", array($invoice->sales_reference_id));
		}
		
		$this->db->query("UPDATE `sales_order` SET `invoice_id` = '' WHERE `invoice_id` = ?", array($id));
		$this->db->query("UPDATE `quotes` SET `invoice_id` = '' WHERE `invoice_id` = ?", array($id));
		
		$this->db->query("DELETE FROM `invoices` WHERE `id` = ?", array($id));
		$this->db->query("DELETE FROM `invoice_items` WHERE `invoice_id` = ?", array($id));
		
		return $invoice;

	}

	// QUOTES

	function Get_quotes($filter){
		$query = $this->db->query("SELECT * FROM `quotes` $filter");
		return $query->result();
	}
	
	function Get_quote_by_id($id){

		$query = $this->db->query("SELECT * FROM `quotes` WHERE `id` = ?", array($id));
		$quote = $query->row();
			
		$query = $this->db->query("SELECT * FROM `quote_items` WHERE `quote_id` = ? ORDER BY `id` DESC", array($quote->id));
		$orders = $query->result();
		
		foreach ($orders as $order_item){
			if ($order_item->type == 'product'){
				$products[$order_item->item_id] = $product = $this->inv->get_item_by_id($order_item->item_id);
				$sorted[$order_item->item_id] = $product->name;
				$unsorted_orders[$order_item->item_id] = $order_item;
			} elseif ($order_item->type == 'service') {
				$services[$order_item->service_id] = $service = $this->service->get_service_by_id($order_item->service_id);
				$sorted[] = $service->name;
				$unsorted_orders[] = $order_item;			
			}
		}

		asort($sorted);

		foreach ($sorted as $order_item_id => $product_name){
			$sorted_orders[] = $unsorted_orders[$order_item_id];
		}		
		
		$quote->orders = $sorted_orders;
		$quote->products = $products;
		$quote->services = $services;

		return $quote;
	}

	
	function Add_quote(){
		list($day, $month, $year) = explode('/', $this->input->post('date'));
		$date = $year . '-' . $month . '-' . $day;

		$contact = $this->contact->get_contact_by_id($this->input->post('contact'));

		list($day, $month, $year) = explode('/', $this->input->post('due_date'));
		$due_date = $year . '-' . $month . '-' . $day;
		
		$address->address1	= $contact->address1;
		$address->address2	= $contact->address2;
		$address->zipcode	= $contact->zipcode;
		$address->city		= $contact->city;
		$address->state		= $contact->state;
		$address->country	= $contact->country;
		
		$contact = $this->contact->get_contact_by_id($this->input->post('contact'));

		$delivery_address = $this->input->post('delivery');
		
		$shipping = $this->shipping->get_service_by_id($this->input->post('shipping_id'));


		$sql = $this->db->insert_string('quotes',array(
			'txn_no'			=> $this->input->post('txn_no') ? $this->input->post('txn_no') : $this->serial_no('quotes'),		
			'date'				=> $date,
			'due_date'			=> $due_date,
			'number'			=> $this->input->post('number'),
			'contact_person'	=> $this->input->post('contact_person'),
			'contact'			=> $contact->company_name ? $contact->company_name : $contact->contact_person,
			'contact_id'		=> $contact->id,
			'contact_address'	=> json_encode($address),
			'delivery_address'	=> json_encode($delivery_address),
			'shipping'			=> $shipping->name,
			'shipping_id'		=> $shipping->id,
			'terms'				=> $this->input->post('terms'),
			'duration'			=> $this->input->post('duration'),
			'status'			=> 'Pending',
			'payment_status'	=> $this->input->post('payment_status'),
			'adjustment'		=> $this->input->post('adjustment'),
			'adjustment_type'	=> $this->input->post('adjustment_type'),
			'handling_charges'	=> $this->input->post('sh_charges'),
			'remarks'			=> $this->input->post('remarks'),
			'total'				=> $this->input->post('grand_total'),
			'tags'				=> $tags = $this->input->post('tags'),
			'warehouse_id'		=> $this->user->data('branch'),
			'added_on'			=> date('Y-m-d H:i:s'),
			'added_by'			=> $this->user->data('username')
		));

		$query = $this->db->query($sql);
		
		$this->system->tag($tags);

		$quote_id = $query->insert_id;
		
		$items 			= $this->input->post('item_id');
		$item_type 		= $this->input->post('item_type');
		$item_ppu		= $this->input->post('item_net_price');
		$item_price 	= $this->input->post('item_totalnet_price');
		$item_name		= $this->input->post('item_name');
		$item_qty		= $this->input->post('item_qty');
		$item_description	= $this->input->post('item_description');
		$item_discount_type	= $this->input->post('item_discount_type');
		$item_discount		= $this->input->post('item_discount');
				
		for ($i = 0; $i < count($items); $i++){
			$name = explode('<',$item_name[$i]);
			$item_name_actual = $name[0];

			$sql = $this->db->insert_string('quote_items',array(
				'quote_id'			=> $quote_id,
				'date'				=> $date,
				'type'				=> $item_type[$i],
				'item_name'			=> $item_name_actual,
				'item_description'	=> $item_description[$i],
				'item_id'			=> $item_type[$i] == 'product' ? $items[$i] : '',
				'service_id'		=> $item_type[$i] == 'service' ? $items[$i] : '',
				'qty'				=> $item_qty[$i],
				'price'				=> $item_price[$i],
				'price_per_unit'	=> $item_price[$i] / $item_qty[$i],
				'discount_type'		=> $item_discount_type[$i],
				'discount'			=> $item_discount[$i],
				'warehouse_id'		=> $this->user->data('branch')
			));
			
			$this->db->query($sql);
			
		}
		
		return $this->get_quote_by_id($quote_id);
	}
	
	function Edit_quote($id){
		list($day, $month, $year) = explode('/', $this->input->post('date'));
		$date = $year . '-' . $month . '-' . $day;
		
		$contact = $this->contact->get_contact_by_id($this->input->post('contact'));
		
		list($day, $month, $year) = explode('/', $this->input->post('due_date'));
		$due_date = $year . '-' . $month . '-' . $day;
		
		$address->address1	= $contact->address1;
		$address->address2	= $contact->address2;
		$address->zipcode	= $contact->zipcode;
		$address->city		= $contact->city;
		$address->state		= $contact->state;
		$address->country	= $contact->country;
		
		$delivery_address = $this->input->post('delivery');
		
		$shipping = $this->shipping->get_service_by_id($this->input->post('shipping_id'));

		
		$data = array(
			'date'				=> $date,
			'due_date'			=> $due_date,
			'number'			=> $this->input->post('number'),
			'contact'			=> $contact->company_name ? $contact->company_name : $contact->contact_person,
			'contact_person'	=> $this->input->post('contact_person'),
			'contact_id'		=> $contact->id,
			'contact_address'	=> json_encode($address),
			'delivery_address'	=> json_encode($delivery_address),
			'shipping'			=> $shipping->name,
			'shipping_id'		=> $shipping->id,
			'terms'				=> $this->input->post('terms'),
			'duration'			=> $this->input->post('duration'),
			'payment_status'	=> $this->input->post('payment_status'),
			'adjustment'		=> $this->input->post('adjustment'),
			'adjustment_type'	=> $this->input->post('adjustment_type'),
			'handling_charges'	=> $this->input->post('sh_charges'),
			'remarks'			=> $this->input->post('remarks'),
			'total'				=> $this->input->post('grand_total'),
			'tags'				=> $tags = $this->input->post('tags'),
			'modified_on'		=> date('Y-m-d H:i:s'),
			'modified_by'		=> $this->user->data('username'),
			'warehouse_id'		=> $this->user->data('branch')
		);
		
		if ($this->input->post('txn_no')){
			$data['txn_no'] = $this->input->post('txn_no');
		}
		
		$sql = $this->db->update_string('quotes', $data,"`id` = '$id'");


		$query = $this->db->query($sql);
		
		
		$this->system->tag($tags);
		
		$items 			= $this->input->post('item_id');
		$item_type 		= $this->input->post('item_type');
		$item_ppu		= $this->input->post('item_net_price');
		$item_price 	= $this->input->post('item_totalnet_price');
		$item_name		= $this->input->post('item_name');
		$item_qty		= $this->input->post('item_qty');
		$item_description	= $this->input->post('item_description');
		$item_discount_type	= $this->input->post('item_discount_type');
		$item_discount		= $this->input->post('item_discount');
		
		$this->db->query("DELETE FROM `quote_items` WHERE `quote_id` = ?", array($id));
				
		for ($i = 0; $i < count($items); $i++){
			$name = explode('<',$item_name[$i]);
			$item_name_actual = $name[0];

			$sql = $this->db->insert_string('quote_items',array(
				'quote_id'			=> $id,
				'date'				=> $date,
				'type'				=> $item_type[$i],
				'item_name'			=> $item_name_actual,
				'item_description'	=> $item_description[$i],
				'item_id'			=> $item_type[$i] == 'product' ? $items[$i] : '',
				'service_id'		=> $item_type[$i] == 'service' ? $items[$i] : '',
				'qty'				=> $item_qty[$i],
				'price'				=> $item_price[$i],
				'price_per_unit'	=> $item_price[$i] / $item_qty[$i],
				'discount_type'		=> $item_discount_type[$i],
				'discount'			=> $item_discount[$i],
				'warehouse_id'		=> $this->user->data('branch')
			));
			
			$this->db->query($sql);
			
		}
		
		return $this->get_quote_by_id($id);
	}
	
	function Delete_quote($id){
		$quote = $this->get_quote_by_id($id);
		
		$this->db->query("DELETE FROM `quotes` WHERE `id` = ?", array($id));
		$this->db->query("DELETE FROM `quote_items` WHERE `quote_id` = ?", array($id));
		
		$this->db->query("UPDATE `sales_order` SET `quote_id` = '' WHERE `quote_id` = ?", array($id));
		$this->db->query("UPDATE `invoices` SET `quote_id` = '' WHERE `quote_id` = ?", array($id));

		
		return $quote;

	}
	
	
	// SALES ORDER
	
	function Get_sos($filter){
		$query = $this->db->query("SELECT * FROM `sales_order` $filter");
		return $query->result();
	}
	
	function Get_so_by_id($id, $txn_no){
	
		if ($txn_no){
			$query = $this->db->query("SELECT * FROM `sales_order` WHERE `txn_no` = ?", array($txn_no));
		} else {
			$query = $this->db->query("SELECT * FROM `sales_order` WHERE `id` = ?", array($id));
		}
		$so = $query->row();
			
		$query = $this->db->query("SELECT * FROM `sales_order_items` WHERE `sales_order_id` = ? ORDER BY `done` ASC", array($so->id));
		$orders = $query->result();
		
		foreach ($orders as $order_item){
			if ($order_item->type == 'product'){
				$products[$order_item->item_id] = $product = $this->inv->get_item_by_id($order_item->item_id);
				$sorted[$order_item->item_id] = $product->name;
				$unsorted_orders[$order_item->item_id] = $order_item;
			} elseif ($order_item->type == 'service') {
				$services[$order_item->service_id] = $service = $this->service->get_service_by_id($order_item->service_id);
				$sorted[$order_item->service_id] = $service->name;
				$unsorted_orders[$order_item->service_id] = $order_item;			
			}
		}

		asort($sorted);

		foreach ($sorted as $order_item_id => $product_name){
			$sorted_orders[] = $unsorted_orders[$order_item_id];
		}		
		
		$so->orders = $sorted_orders;
		$so->products = $products;
		$so->services = $services;

		return $so;
	}

	
	function Add_so(){
		list($day, $month, $year) = explode('/', $this->input->post('date'));
		$date = $year . '-' . $month . '-' . $day;

		list($day, $month, $year) = explode('/', $this->input->post('due_date'));
		$due_date = $year . '-' . $month . '-' . $day;
		
		$contact = $this->contact->get_contact_by_id($this->input->post('contact'));

		$address->address1	= $contact->address1;
		$address->address2	= $contact->address2;
		$address->zipcode	= $contact->zipcode;
		$address->city		= $contact->city;
		$address->state		= $contact->state;
		$address->country	= $contact->country;
		
		$delivery_address = $this->input->post('delivery');
		
		$shipping = $this->shipping->get_service_by_id($this->input->post('shipping_id'));
		

		$sql = $this->db->insert_string('sales_order',array(
			'txn_no'			=> $this->input->post('txn_no') ? $this->input->post('txn_no') : $this->serial_no('sales_order'),
			'date'				=> $date,
			'due_date'			=> $due_date,
			'number'			=> $this->input->post('number'),
			'po_number'			=> $this->input->post('po_number'),
			'quote_id'			=> $quote_id = $this->input->post('quote_id'),
			'contact_person'	=> $this->input->post('contact_person'),
			'contact'			=> $contact->company_name ? $contact->company_name : $contact->contact_person,
			'contact_id'		=> $contact->id,
			'contact_address'	=> json_encode($address),
			'delivery_address'	=> json_encode($delivery_address),
			'terms'				=> $this->input->post('terms'),
			'duration'			=> $this->input->post('duration'),
			'status'			=> 'Pending',
			'payment_status'	=> $this->input->post('payment_status'),
			'adjustment'		=> $this->input->post('adjustment'),
			'adjustment_type'	=> $this->input->post('adjustment_type'),
			'handling_charges'	=> $this->input->post('sh_charges'),
			'remarks'			=> $this->input->post('remarks'),
			'total'				=> $this->input->post('grand_total'),
			'tags'				=> $tags = $this->input->post('tags'),
			'shipping'			=> $shipping->name,
			'shipping_id'		=> $shipping->id,
			'added_on'			=> date('Y-m-d H:i:s'),
			'added_by'			=> $this->user->data('username'),
			'warehouse_id'		=> $this->user->data('branch'),
			'consignment'		=> $this->input->post('terms') == 'Consignment' ? 1 : ''
		));
		
		$this->system->tag($tags);

		$query = $this->db->query($sql);

		$so_id = $query->insert_id;
		
		if ($quote_id){
			$sql = $this->db->update_string('quotes', array(
				'sales_order_id'	=> $so_id
			),"`id` = '{$quote_id}'");
			$this->db->query($sql);
		}
		

		
		$items 				= $this->input->post('item_id');
		$item_type 			= $this->input->post('item_type');
		$item_ppu			= $this->input->post('item_net_price');
		$item_price 		= $this->input->post('item_totalnet_price');
		$item_name			= $this->input->post('item_name');
		$item_qty			= $this->input->post('item_qty');
		$item_description	= $this->input->post('item_description');
		$item_discount_type	= $this->input->post('item_discount_type');
		$item_discount		= $this->input->post('item_discount');
				
		for ($i = 0; $i < count($items); $i++){
			$name = explode('<',$item_name[$i]);
			$item_name_actual = $name[0];

			$sql = $this->db->insert_string('sales_order_items',array(
				'sales_order_id'	=> $so_id,
				'date'				=> $date,
				'type'				=> $item_type[$i],
				'item_name'			=> $item_name_actual,
				'item_description'	=> $item_description[$i],
				'item_id'			=> $item_type[$i] == 'product' ? $items[$i] : '',
				'service_id'		=> $item_type[$i] == 'service' ? $items[$i] : '',
				'qty'				=> $item_qty[$i],
				'price'				=> $item_price[$i],
				'price_per_unit'	=> $item_price[$i] / $item_qty[$i],
				'discount_type'		=> $item_discount_type[$i],
				'discount'			=> $item_discount[$i],
				'warehouse_id'		=> $this->user->data('branch'),
				'consignment'		=> $this->input->post('terms') == 'Consignment' ? 1 : ''
			));
			
			$this->db->query($sql);
			
		}
		
		return $this->get_so_by_id($so_id);
	}
	
	function Edit_so($id){
		list($day, $month, $year) = explode('/', $this->input->post('date'));
		$date = $year . '-' . $month . '-' . $day;
		
		$contact = $this->contact->get_contact_by_id($this->input->post('contact'));
		
		list($day, $month, $year) = explode('/', $this->input->post('due_date'));
		$due_date = $year . '-' . $month . '-' . $day;
		
		$address->address1	= $contact->address1;
		$address->address2	= $contact->address2;
		$address->zipcode	= $contact->zipcode;
		$address->city		= $contact->city;
		$address->state		= $contact->state;
		$address->country	= $contact->country;
		
		$delivery_address = $this->input->post('delivery');
		

		$shipping = $this->shipping->get_service_by_id($this->input->post('shipping_id'));
		
		$data = array(
			'date'				=> $date,
			'due_date'			=> $due_date,
			'number'			=> $this->input->post('number'),
			'po_number'			=> $this->input->post('po_number'),
			'contact'			=> $contact->company_name ? $contact->company_name : $contact->contact_person,
			'contact_person'	=> $this->input->post('contact_person'),
			'contact_id'		=> $contact->id,
			'contact_address'	=> json_encode($address),
			'delivery_address'	=> json_encode($delivery_address),
			'terms'				=> $this->input->post('terms'),
			'duration'			=> $this->input->post('duration'),
			'payment_status'	=> $this->input->post('payment_status'),
			'adjustment'		=> $this->input->post('adjustment'),
			'adjustment_type'	=> $this->input->post('adjustment_type'),
			'handling_charges'	=> $this->input->post('sh_charges'),
			'remarks'			=> $this->input->post('remarks'),
			'total'				=> $this->input->post('grand_total'),
			'tags'				=> $tags = $this->input->post('tags'),
			'shipping'			=> $shipping->name,
			'shipping_id'		=> $shipping->id,
			'modified_on'		=> date('Y-m-d H:i:s'),
			'modified_by'		=> $this->user->data('username'),
			'consignment'		=> $this->input->post('terms') == 'Consignment' ? 1 : ''
		);
		
		if ($this->input->post('txn_no')){
			$data['txn_no'] = $this->input->post('txn_no');
		}
		
		$sql = $this->db->update_string('sales_order', $data ,"`id` = '$id'");		

		$query = $this->db->query($sql);
		
		$this->system->tag($tags);
		
		$items 				= $this->input->post('item_id');
		$item_type 			= $this->input->post('item_type');
		$item_ppu			= $this->input->post('item_net_price');
		$item_price 		= $this->input->post('item_totalnet_price');
		$item_name			= $this->input->post('item_name');
		$item_qty			= $this->input->post('item_qty');
		$item_description	= $this->input->post('item_description');
		$item_discount_type	= $this->input->post('item_discount_type');
		$item_discount		= $this->input->post('item_discount');
		
		$this->db->query("DELETE FROM `sales_order_items` WHERE `sales_order_id` = ?", array($id));
				
		for ($i = 0; $i < count($items); $i++){
			$name = explode('<',$item_name[$i]);
			$item_name_actual = $name[0];

			$sql = $this->db->insert_string('sales_order_items',array(
				'sales_order_id'	=> $id,
				'date'				=> $date,
				'type'				=> $item_type[$i],
				'item_name'			=> $item_name_actual,
				'item_description'	=> $item_description[$i],
				'item_id'			=> $item_type[$i] == 'product' ? $items[$i] : '',
				'service_id'		=> $item_type[$i] == 'service' ? $items[$i] : '',
				'qty'				=> $item_qty[$i],
				'price'				=> $item_price[$i],
				'price_per_unit'	=> $item_price[$i] / $item_qty[$i],
				'discount_type'		=> $item_discount_type[$i],
				'discount'			=> $item_discount[$i],
				'warehouse_id'		=> $this->user->data('branch'),
				'consignment'		=> $this->input->post('terms') == 'Consignment' ? 1 : ''
			));
			
			$this->db->query($sql);
			
		}
		
		return $this->get_so_by_id($id);
	}
	
	function Delete_so($id){
		$so = $this->get_so_by_id($id);
		
		$this->db->query("DELETE FROM `sales_order` WHERE `id` = ?", array($id));
		$this->db->query("DELETE FROM `sales_order_items` WHERE `sales_order_id` = ?", array($id));
		
		$this->db->query("UPDATE `invoices` SET `sales_order_id` = '' WHERE `sales_order_id` = ?", array($id));
		$this->db->query("UPDATE `quotes` SET `sales_order_id` = '' WHERE `sales_order_id` = ?", array($id));
		
		return $so;

	}
	
	// CASH SALES
	
	function Get_sales_transactions($from, $to){
		
		$sql = "SELECT * FROM `sales` WHERE `datetime` >= ? AND `datetime` <= ? AND `type` = 'history' ORDER BY `datetime` ASC";
		$query = $this->db->query($sql, array($from, $to, $from, $to));
		return $query->result();
	}

	function Get_transactions($from, $to){
		
		$sql = "SELECT 'Cash Sale' AS `details`, 'sale' AS `type`, `id` AS `reference_no`, `amount`, `amount` AS `amount_received`, `amount_cheque`, `amount_cc`, `amount_credit`, `amount_cash`, `datetime` FROM `sales` WHERE `datetime` >= ? AND `datetime` <= ? AND `type` = 'history' UNION
				SELECT `supplier` AS `details`,'purchase' AS `type`, `id` AS `reference_no`, `total` AS `amount`,`total_received` AS `amount_received`,  0 AS `amount_cheque`, 0 AS `amount_cc`, 0 AS `amount_credit`, 0 AS `amount_cash`,`date` AS `datetime` FROM `purchase_orders` WHERE `date` >= ? AND `date` <= ? AND `payment_status` = 'Paid'
				ORDER BY `datetime` ASC";
		$query = $this->db->query($sql, array($from, $to, $from, $to));
		return $query->result();
	}
	
	function Balance_to_date($date){
		$query = $this->db->query("SELECT SUM(`amount`) AS `total_sales` FROM `sales` WHERE `datetime` < ? AND `type` = 'history' GROUP BY `type`", array($date));
		$sales = $query->row();
		
		$query = $this->db->query("SELECT SUM(`total`) AS `total_purchases` FROM `purchase_orders` WHERE `datetime` < ? AND `status` = 'Paid' GROUP BY `status`", array($date));
		$purchase = $query->row();
		
		return $sales->total_sales - $purchase->total_purchases;
		
	}
	
	// CREDIT NOTES
	
	
	function Get_cn($where){
		if ($where){
			$sql = "SELECT * FROM `credit_notes` WHERE $where";

		} else {
			$sql = "SELECT * FROM `credit_notes` ORDER BY `date` DESC";
		}
		$query = $this->db->query($sql);
		return $query->result();
	}
	
	function Get_cn_by_id($id){
	
		$query = $this->db->query("SELECT * FROM `credit_notes` WHERE `id` = ?", array($id));
		$cn = $query->row();
		
		$query = $this->db->query("SELECT * FROM `credit_note_items` WHERE `credit_note_id` = '{$cn->id}' ORDER BY `done` ASC");
		$orders = $query->result();
		

		
		foreach ($orders as $order_item){
			$products[$order_item->item_id] = $product = $this->inv->get_item_by_id($order_item->item_id);
			$sorted[$order_item->item_id] = $product->name;
			$unsorted_orders[$order_item->item_id] = $order_item;
		}

		asort($sorted);

		foreach ($sorted as $order_item_id => $product_name){
			$sorted_orders[] = $unsorted_orders[$order_item_id];
		}		
		
		$cn->orders = $sorted_orders;
		$cn->products = $products;

		return $cn;
	}

	
	function Add_cn(){
	
		list($day, $month, $year) = explode('/', $this->input->post('date'));
		$date = $year . '-' . $month . '-' . $day;
		
		$contact = $this->contact->get_contact_by_id($this->input->post('contact'));
				
		$address->address1	= $contact->address1;
		$address->address2	= $contact->address2;
		$address->zipcode	= $contact->zipcode;
		$address->city		= $contact->city;
		$address->state		= $contact->state;
		$address->country	= $contact->country;
		
		$tax = $this->input->post('tax');

		foreach ($tax as $id => $amount){
			$total_tax += $amount;
			$t = $this->tax->get_tax_by_id($id);
			$ntax = null;
			
			$ntax->percentage 	= $t->percentage;
			$ntax->id			= $id;
			$ntax->name			= $t->name;
			$ntax->inclusive	= $t->inclusive;
			$ntax->amount		= $amount;
			$taxes[] = $ntax;
		}
		


		$sql = $this->db->insert_string('credit_notes',array(
			'txn_no'			=> $this->input->post('txn_no') ? $this->input->post('txn_no') : $this->serial_no('credit_notes'),
			'date'				=> $date,
			'terms'				=> $this->input->post('terms'),
			'dn_number'			=> $this->input->post('dn_number'),
			'contact'			=> $contact->company_name ? $contact->company_name : $contact->contact_person,
			'contact_id'		=> $this->input->post('contact'),
			'contact_address'	=> json_encode($address),
			'contact_person'	=> $this->input->post('contact_person'),
			'status'			=> 'Pending',
			'remarks'			=> $this->input->post('remarks'),
			'adjustment'		=> $this->input->post('adjustment'),
			'adjustment_type'	=> $this->input->post('adjustment_type'),
			'handling_charges'	=> $this->input->post('sh_charges'),
			'total'				=> $this->input->post('grand_total'),
			'tax'				=> json_encode($taxes),
			'total_tax'			=> $total_tax,
			'tags'				=> $tags = $this->input->post('tags'),
			'added_on'			=> date('Y-m-d H:i:s'),
			'added_by'			=> $this->user->data('username'),
			'payment_status'	=> 'Unpaid',
			'warehouse_id'		=> $this->user->data('branch')

		));

		$query = $this->db->query($sql);
		
		$this->system->tag($tags);

		$cn_id = $query->insert_id;
		
		$items 				= $this->input->post('item_id');
		$item_type 			= $this->input->post('item_type');
		$item_ppu			= $this->input->post('item_net_price');
		$item_price 		= $this->input->post('item_totalnet_price');
		$item_name			= $this->input->post('item_name');
		$item_qty			= $this->input->post('item_qty');
		$item_description	= $this->input->post('item_description');
		$item_discount_type	= $this->input->post('item_discount_type');
		$item_discount		= $this->input->post('item_discount');
		$taxable			= $this->input->post('taxable');
		$tax_code			= $this->input->post('tax_code');

				
		for ($i = 0; $i < count($items); $i++){
			$name = explode('<',$item_name[$i]);
			$item_name_actual = $name[0];

			$sql = $this->db->insert_string('credit_note_items',array(
				'credit_note_id'	=> $cn_id,
				'date'				=> $date,
				'item_id'			=> $items[$i],
				'item_name'			=> $item_name_actual,
				'item_description'	=> $item_description[$i],
				'qty'				=> $item_qty[$i],
				'price'				=> $item_price[$i],
				'price_per_unit'	=> $item_price[$i] / $item_qty[$i],
				'discount_type'		=> $item_discount_type[$i],
				'discount'			=> $item_discount[$i],
				'taxable'			=> $taxable[$i],
				'tax_code'			=> $tax_code[$i],
				'warehouse_id'		=> $this->user->data('branch')
			));
			
			$this->db->query($sql);
			
		}
		
		return $this->get_cn_by_id($cn_id);
	}
	
	function Edit_cn($id){

		list($day, $month, $year) = explode('/', $this->input->post('date'));
		$date = $year . '-' . $month . '-' . $day;
		
		$contact = $this->contact->get_contact_by_id($this->input->post('contact'));
				
		$address->address1	= $contact->address1;
		$address->address2	= $contact->address2;
		$address->zipcode	= $contact->zipcode;
		$address->city		= $contact->city;
		$address->state		= $contact->state;
		$address->country	= $contact->country;
		

		$tax = $this->input->post('tax');

		foreach ($tax as $id => $amount){
			$total_tax += $amount;
			$t = $this->tax->get_tax_by_id($id);
			$ntax = null;
			
			$ntax->percentage 	= $t->percentage;
			$ntax->id			= $id;
			$ntax->name			= $t->name;
			$ntax->inclusive	= $t->inclusive;
			$ntax->amount		= $amount;
			$taxes[] = $ntax;
		}

		$data = array(
			'terms'				=> $this->input->post('terms'),
			'date'				=> $date,
			'dn_number'			=> $this->input->post('cn_number'),
			'contact'			=> $contact->company_name ? $contact->company_name : $contact->contact_person,
			'contact_id'		=> $this->input->post('supplier'),
			'contact_address'	=> json_encode($address),
			'contact_person'	=> $this->input->post('contact_person'),
			'remarks'			=> $this->input->post('remarks'),
			'adjustment'		=> $this->input->post('adjustment'),
			'adjustment_type'	=> $this->input->post('adjustment_type'),
			'handling_charges'	=> $this->input->post('sh_charges'),
			'total'				=> $this->input->post('grand_total'),
			'tags'				=> $tags = $this->input->post('tags'),
			'modified_on'		=> date('Y-m-d H:i:s'),
			'modified_by'		=> $this->user->data('username'),
			'warehouse_id'		=> $this->user->data('branch')
		);
		
		
		if ($this->input->post('txn_no')){
			$data['txn_no'] = $this->input->post('txn_no');
		}
		
		$sql = $this->db->update_string('credit_notes', $data,"`id` = '$id'");
		


		$query = $this->db->query($sql);
		
		$this->system->tag($tags);
		
		$items 				= $this->input->post('item_id');
		$item_type 			= $this->input->post('item_type');
		$item_ppu			= $this->input->post('item_net_price');
		$item_price 		= $this->input->post('item_totalnet_price');
		$item_name			= $this->input->post('item_name');
		$item_qty			= $this->input->post('item_qty');
		$item_description	= $this->input->post('item_description');
		$item_discount_type	= $this->input->post('item_discount_type');
		$item_discount		= $this->input->post('item_discount');
		$taxable			= $this->input->post('taxable');
		$tax_code			= $this->input->post('tax_code');

		
		$this->db->query("DELETE FROM `credit_note_items` WHERE `credit_note_id` = ?", array($id));
		
				
		for ($i = 0; $i < count($items); $i++){
			$name = explode('<',$item_name[$i]);
			$item_name_actual = $name[0];

			$sql = $this->db->insert_string('credit_note_items',array(
				'credit_note_id'	=> $id,
				'item_id'			=> $items[$i],
				'item_name'			=> $item_name_actual,
				'item_description'	=> $item_description[$i],
				'qty'				=> $item_qty[$i],
				'price'				=> $item_price[$i],
				'price_per_unit'	=> $item_ppu[$i],
				'discount_type'		=> $item_discount_type[$i],
				'discount'			=> $item_discount[$i],
				'taxable'			=> $taxable[$i],
				'tax_code'			=> $tax_code[$i],
				'warehouse_id'		=> $this->user->data('branch')
			));
			
			$this->db->query($sql);
			
		}
		
		return $this->get_cn_by_id($id);
	}


	function Delete_cn($id){
		$cn = $this->get_cn_by_id($id);
		
		$this->db->query("DELETE FROM `credit_note_items` WHERE `credit_note_id` = ?", array($id));
		$this->db->query("DELETE FROM `credit_notes` WHERE `id`= ?", array($id));
		
		return $cn;
		
	}
	
	function CN_items_received($cn_id){

		$received 	= $this->input->post('received_qty');
		$done		= $this->input->post('done');
		$grand_total = 0;
		
		$cost_update_method = $this->system->config('cost_update_method');
		
		foreach ($received as $order_id => $qty){

			$query = $this->db->query("SELECT * FROM `credit_note_items` WHERE `id` = ?", array($order_id));
			$order = $query->row();
			
			$item = $this->inv->get_item_by_id($order->item_id);
			
			if ($this->system->config('cost_update_method') == 'fifo'){
				$cost = $this->inv->get_fifo_cost($item->id, $qty);
			} else {
				$cost = $item->cost * $qty;
			}

			
			$sql = $this->db->update_string('credit_note_items', array(
				'cost'				=> $cost,
				'received' 			=> $qty,
				'received_price'	=> $qty * $order->price_per_unit,
				'done'				=> $done[$order->id]
			), "`id` = '{$order_id}'");
		
			$this->db->query($sql);
			
			$this->inv->update_item_cost($order->item_id);
			$this->inv->update_item_qty($order->item_id);

			
			$grand_total += $qty * $order->price_per_unit;
		}
		
		

		$query = $this->db->query("SELECT * FROM `credit_notes` WHERE `id` = ?", array($cn_id));
		$cn = $query->row();
		
		$grand_total = $grand_total + $cn->handling_charges;
		
		if ($cn->adjustment_type == 'Add'){
			$grand_total += $cn->adjustment;
		} else {
			$grand_total -= $cn->adjustment;
		}
		
		$taxes = json_decode($cn->tax);
		foreach ($taxes as $tax){
			if ($tax->inclusive == "0"){
				$grand_total += $tax->amount;
			}
		}
		
		
		$sql = $this->db->update_string('credit_notes', array(
			'total_received'	=> $grand_total 
		),"`id` = '{$cn_id}'");
		
		$this->db->query($sql);
		
		return $this->get_cn_by_id($cn_id);
		
	}
	
	function CN_items_unreceived($cn_id){
		
		
		$query = $this->db->query("SELECT * FROM `credit_note_items` WHERE `credit_note_id` = ?", array($cn_id));
		
		$cost_update_method = $this->system->config('cost_update_method');
		
		$sql = $this->db->update_string('credit_note_items', array(
			'cost'				=> 0,
			'received' 			=> 0,
			'received_price'	=> 0,
			'done'	   			=> 0
		), "`credit_note_id` = '{$cn_id}'");
		
		$this->db->query($sql);
		
		$query = $this->db->query("SELECT * FROM `credit_note_items` WHERE `credit_note_id` = ?", array($cn_id));
		

		foreach ($query->result() as $order){
			$this->inv->update_item_cost($order->item_id);
			$this->inv->update_item_qty($order->item_id);

		}
		
		$sql = $this->db->update_string('credit_notes', array(
			'status' 			=> 'Pending',
			'total_received'	=> 0
		),"`id` = '{$cn_id}'");
		
		$this->db->query($sql);
		
		return $this->get_cn_by_id($cn_id);
	}
	
	
	function Add_discount_rule(){
	
		list($day, $month, $year) = explode('/', $this->input->post('date_from'));
		$date_from = $year . '-' . $month . '-' . $day;
		
		list($day, $month, $year) = explode('/', $this->input->post('date_to'));
		$date_to = $year . '-' . $month . '-' . $day;

		
		$sql = $this->db->insert_string('sales_discount_rules', array(
			'name'					=> $this->input->post('name'),
			'date_validity'			=> $this->input->post('date_validity'),
			'date_from'				=> $date_from,
			'date_to'				=> $date_to,
			'scope'					=> $this->input->post('scope'),
			'ranks'					=> implode(',', $this->input->post('ranks')),
			'contact'				=> $this->input->post('contact'),
			'is_performance_based'	=> $this->input->post('is_performance_based'),
			'performance_limit'		=> $this->input->post('performance_limit'),
			'performance_duration'	=> $this->input->post('performance_duration'),
			'remarks'				=> $this->input->post('remarks'),
			'tags'					=> $this->input->post('tags'),
			'added_on'				=> date('Y-m-d H:i:s'),
			'added_by'				=> $this->user->data('username')
		));
		
		$query = $this->db->query($sql);
		
		$id = $query->insert_id;
		
		$items 					= $this->input->post('item_id');
		$item_type		 		= $this->input->post('item_type');
		$item_name				= $this->input->post('item_name');
		$item_list_price		= $this->input->post('item_list_price');
		$item_discounted_price	= $this->input->post('item_discounted_price');
		$item_discount			= $this->input->post('item_discount');
		
		for ($i = 0; $i < count($items); $i++){
			$item_id = $items[$i];
			
			$sql = $this->db->insert_string('sales_discount_item_rules', array(
				'rule_id'				=> $id,
				'type'					=> $item_type[$i],
				'item_id'				=> $items[$i],
				'item_name'				=> $item_name[$i],
				'item_price'			=> $item_list_price[$i],
				'item_sku'				=> $item_sku[$i],
				'discount_percentage'	=> $item_discount[$i],
				'discount_price'		=> $item_discounted_price[$i],
				'date_from'				=> $date_from,
				'date_to'				=> $date_to,
				'applies_to'			=> $this->input->post('applies_to'),
				'is_performance_based'	=> $this->input->post('is_performance_based'),
				'performance_limit'		=> $this->input->post('performance_limit'),
				'performance_duration'	=> $this->input->post('performance_duration')
			));
			
			$this->db->query($sql);
			
		}
		
	}
	
	function Edit_discount_rule($id){
	
		list($day, $month, $year) = explode('/', $this->input->post('date_from'));
		$date_from = $year . '-' . $month . '-' . $day;
		
		list($day, $month, $year) = explode('/', $this->input->post('date_to'));
		$date_to = $year . '-' . $month . '-' . $day;
		
		$sql = $this->db->update_string('sales_discount_rules', array(
			'name'					=> $this->input->post('name'),
			'date_from'				=> $date_from,
			'date_to'				=> $date_to,
			'contact'				=> $this->input->post('contact'),
			'scope'					=> $this->input->post('scope'),
			'is_performance_based'	=> $this->input->post('is_performance_based'),
			'performance_limit'		=> $this->input->post('performance_limit'),
			'performance_duration'	=> $this->input->post('performance_duration'),
			'remarks'				=> $this->input->post('remarks'),
			'tags'					=> $this->input->post('tags'),
			'modified_on'			=> date('Y-m-d H:i:s'),
			'modified_by'			=> $this->user->data('username')
		),"`id` = '{$id}'");
		
		$query = $this->db->query($sql);
		
		$items 					= $this->input->post('item_id');
		$item_type		 		= $this->input->post('item_type');
		$item_name				= $this->input->post('item_name');
		$item_list_price		= $this->input->post('item_list_price');
		$item_discounted_price	= $this->input->post('item_discounted_price');
		$item_discount			= $this->input->post('item_discount');
		
		$this->db->query("DELETE FROM `sales_discount_item_rules` WHERE `rule_id` = ?", array($id));
		
		for ($i = 0; $i < count($items); $i++){
			$item_id = $items[$i];
			
			$sql = $this->db->insert_string('sales_discount_item_rules', array(
				'rule_id'				=> $id,
				'type'					=> $item_type[$i],
				'item_id'				=> $items[$i],
				'item_name'				=> $item_name[$i],
				'item_price'			=> $item_list_price[$i],
				'item_sku'				=> $item_sku[$i],
				'discount_percentage'	=> $item_discount[$i],
				'discount_price'		=> $item_discounted_price[$i],
				'date_from'				=> $date_from,
				'date_to'				=> $date_to,
				'applies_to'			=> $this->input->post('applies_to'),
				'is_performance_based'	=> $this->input->post('is_performance_based'),
				'performance_limit'		=> $this->input->post('performance_limit'),
				'performance_duration'	=> $this->input->post('performance_duration')
			));
			
			$this->db->query($sql);
			
		}
		
	}
	
	function Get_discount_rule_by_id($id){
		
		$query = $this->db->query("SELECT * FROM `sales_discount_rules` WHERE `id` = ?", array($id));		
		$dr = $query->row();
		
		$query = $this->db->query("SELECT * FROM `sales_discount_item_rules` WHERE `rule_id` = ?", array($id));
		$dr->items = $query->result();
		
		return $dr;
	}
	
	function Get_discount_rules($filter){
		$query = $this->db->query("SELECT * FROM `sales_discount_rules` $filter");
		return $query->result();
	}
	
	function Delete_discount_rule($id){
		$this->db->query("DELETE FROM `sales_discount_rules` WHERE `id` = ?", array($id));
		$this->db->query("DELETE FROM `sales_discount_item_rules` WHERE `rule_id` = ?", array($id));
	}
	
	// CHARTS

	function Daily_chart_data($date, $warehouse_id){
		if ($date){
			$datef = strtotime($date);
		} else {
			$datef = strtotime(date('Y-m-d'));
		}

		for($i = 0; $i < 48; $i++){
			$cur_date = date("Y-m-d H:i:s",$datef + ((60*60*0.5)*$i));
			$next_date = date("Y-m-d H:i:s",$datef + ((60*60*0.5)*($i+1))); 
			list($day,$month,$year) = explode('-',$cur_date);

			if ($warehouse_id) $wfilter = ' AND `warehouse_id` = ' . $this->db->escape($warehouse_id);
			
			$query = $this->db->query("SELECT * FROM `sales` WHERE `datetime` >= '$cur_date' AND `datetime` < '$next_date' AND `payment_status` = 'Paid' {$wfilter}");
			$gtotal = 0;
			if ($query->num_rows()){
				foreach ($query->result() as $sales){

					$gtotal += $sales->amount;
				}
			}
			
			$query = $this->db->query("SELECT * FROM `invoices` WHERE `date` >= '$cur_date' AND `date` < '$next_date' AND `payment_status` = 'Paid' {$wfilter}");
			$xtotal = 0;
			if ($query->num_rows()){
				foreach ($query->result() as $sales){

					$xtotal += $sales->total_delivered ? $sales->total_delivered : $sales->total;
				}
			}

					
			$data[$datef + ((60*60*0.5)*$i)] = $gtotal + $xtotal;
		}
		return $data;
	}
	
	function Daily_chart_data_online($date){
		if ($date){
			$datef = strtotime($date);
		} else {
			$datef = strtotime(date('Y-m-d'));
		}

		for($i = 0; $i < 48; $i++){
			$cur_date = date("Y-m-d H:i:s",$datef + ((60*60*0.5)*$i));
			$next_date = date("Y-m-d H:i:s",$datef + ((60*60*0.5)*($i+1))); 
			list($day,$month,$year) = explode('-',$cur_date);

			$query = $this->db->query("SELECT * FROM `invoices` WHERE `date` >= '$cur_date' AND `date` < '$next_date' AND `payment_status` = 'Paid'");
			$gtotal = 0;
			if ($query->num_rows()){
				foreach ($query->result() as $sales){

					$gtotal += $sales->total_delivered ? $sales->total_delivered : $sales->total;
				}
			}

					
			$data[$datef + ((60*60*0.5)*$i)] = $gtotal;
		}
		return $data;
	}

	function Chart_data($datefrom, $dateto){
	

		
		$duration = (strtotime($dateto) - strtotime($datefrom)) / (60 * 60 * 24);
		$datef = strtotime($datefrom);
		if ($duration > 50){
			$days_per_label = 2;
		} else if ($duration > 100){
			$days_per_label = 5;
		} else if ($duration > 200) {
			$days_per_label = 10;
		} else if ($duration > 300){
			$days_per_label = 30;
		} else {
			$days_per_label = 1;
		}
		
		for($i = 0; $i < $duration+1; $i++){
			$cur_date = date("Y-m-d",$datef + ((60*60*24)*$i));
			$next_date = date("Y-m-d",$datef + ((60*60*24)*($i+1))); 
			list($day,$month,$year) = explode('-',$cur_date);
			if ($cur_month != $month){
				$showmonth = true;
			} else {
				$showmonth = false;
			}

			$query = $this->db->query("SELECT * FROM `sales` WHERE `datetime` >= '$cur_date' AND `datetime` < '$next_date' AND `payment_status` = 'Paid'");
			$gtotal = 0;
			if ($query->num_rows()){
				foreach ($query->result() as $sales){

					$gtotal += $sales->amount;
				}
			}

					
			$data[$datef + ((60*60*24)*$i)] = $gtotal;
		}
		return $data;
	}
	
	function Get_sales_by_date($from, $to){
		$query = $this->db->query("SELECT * FROM `sales` WHERE `datetime` >= ? AND `datetime` < ? AND `payment_status` = 'Paid'", array($from, $to));
		return $query->result();
	}
	
	function Total_sales($from, $to){

		$query = $this->db->query("SELECT SUM(`amount`) as `total` FROM `sales` WHERE `datetime` >= ? AND `datetime` <= ?", array($from, $to));
		$cash_sales = $query->row();

		return ($sales->total + $cash_sales->total);
	}
	
	function Get_pending_invoices(){
		$query = $this->db->query("SELECT * FROM `invoices` WHERE `payment_status` = 'Unpaid' ORDER BY `contact` ASC, `date` ASC");
		return $query->result();
	}
	
	function Get_pending_invoices_by_contact($id){
		$query = $this->db->query("SELECT * FROM `invoices` WHERE `contact_id` = ? AND `payment_status` = 'Unpaid' ORDER BY `date` ASC", array($id));
		return $query->result();
	
	}
	
	function Get_invoices_by_contact($id, $date_from, $date_to, $where){
		if ($date_from == NULL && $date_to == null){
			if ($where) $where = ' AND ' . $where;
			$query = $this->db->query("SELECT * FROM `invoices` WHERE `contact_id` = ? {$where} ORDER BY `date` DESC", array($id));
			return $query->result();
		} else {
			$query = $this->db->query("SELECT SUM(`total`) AS `balance` FROM `invoices` WHERE `contact_id` = ? AND `date` < ?  GROUP BY `contact_id`", array($id, $date_from));
			$opening = $query->row();
		
			$query = $this->db->query("SELECT * FROM `invoices` WHERE `contact_id` = ? AND `date` >= ? AND `date` <= ? ORDER BY `date` ASC", array($id, $date_from, $date_to));
			$invoices = $query->result();
		
			$txn->opening_balance = $opening->balance;
			$txn->invoices = $invoices;
		
			return $txn;
		}
	}
	
	function Get_credit_notes_by_contact($id, $date_from, $date_to, $where){
		if ($date_from == NULL && $date_to == NULL){
			if ($where) $where = ' AND ' . $where;
			$query = $this->db->query("SELECT * FROM `credit_notes` WHERE `contact_Id` = ? {$where} ORDER BY `date` DESC", array($id));
			return $query->result();
		} else {
		
			$query = $this->db->query("SELECT SUM(`total`) AS `balance` FROM `credit_notes` WHERE `contact_id` = ? AND `date` < ? GROUP BY `contact_id`", array($id, $date_from));
			$opening = $query->row();
		
			$query = $this->db->query("SELECT * FROM `credit_notes` WHERE `contact_id` = ? AND `date` >= ? AND `date` <= ? ORDER BY `date` ASC", array($id, $date_from, $date_to));
			$credit_notes = $query->result();
		
			$txn->opening_balance = $opening->balance;
			$txn->credit_notes = $credit_notes;
		
			return $txn;
		}
	}
	
	
	function Get_payment_gateways($filter){
		if ($filter) $filter = ' WHERE ' . $filter;
		$query = $this->db->query("SELECT * FROM `payment_gateways` {$filter}");
		return $query->result();
	}
	
	function Get_payment_gateway_by_id($id){
		$query = $this->db->query("SELECT * FROM `payment_gateways` WHERE `id` = ?", array($id));
		return $query->row();
	}
	
	function Add_payment_gateway(){		
		$sql = $this->db->insert_string('payment_gateways', array(
			'name'				=> $this->input->post('name'),
			'namespace'			=> $this->input->post('namespace'),
			'description'		=> $this->input->post('description'),
			'initiate_script'	=> stripslashes($_REQUEST['initiate_script']),
			'callback_script'	=> stripslashes($_REQUEST['callback_script']),
			'status'			=> $this->input->post('status'),
			'percentage'		=> $this->input->post('percentage'),
			'added_on'			=> date('Y-m-d H:i:s'),
			'added_by'			=> $this->user->data('username')
		));
		
		$this->db->query($sql);
	}
	
	function Edit_payment_gateway($id){
		$sql = $this->db->update_string('payment_gateways', array(
			'name'				=> $this->input->post('name'),
			'namespace'			=> $this->input->post('namespace'),
			'description'		=> $this->input->post('description'),
			'initiate_script'	=> stripslashes($_REQUEST['initiate_script']),
			'callback_script'	=> stripslashes($_REQUEST['callback_script']),
			'status'			=> $this->input->post('status'),
			'percentage'		=> $this->input->post('percentage'),
			'added_on'			=> date('Y-m-d H:i:s'),
			'added_by'			=> $this->user->data('username')
		), "`id` = '{$id}'");
		
		$this->db->query($sql);		
	}
	
	function Delete_payment_gateway($id){
		$this->db->query("DELETE FROM `payment_gateways` WHERE `id` = ?", array($id));
	}
	
	function Serial_no($type, $warehouse_id){
		$warehouse = $warehouse_id ? $warehouse_id : $this->user->data('branch');
		$query = $this->db->query("SELECT `txn_no` FROM `$type` WHERE `warehouse_id` = ? ORDER BY `txn_no` DESC LIMIT 1", array($warehouse));
		$row = $query->row();
		
		list($w, $txn_no) = explode('-', $row->txn_no);
		
		if (!$txn_no){
			$next_id = $warehouse . '-' . 10001;
		} else {
			$next_id = $warehouse . '-' . ($txn_no + 1);
		}

		return $next_id;
	}
	
	function Get_sale_by_id($id){
		$query = $this->db->query("SELECT * FROM `sales` WHERE `id` = ?", array($id));
		$sale = $query->row();
		
		$query = $this->db->query("SELECT * FROM `sale_items` WHERE `sale_id` = ?", array($sale->id));
		$sale->items = $query->result();
		
		return $sale;
	}
	
	function Edit_sale($id){
	
		list($day, $month, $year) = explode('/', $this->input->post('date'));
		$date = $year . '-' . $month . '-' . $day;
		
		$this->db->update('sales', array(
			'datetime'		=> $date,
			'session'		=> $this->input->post('session'),
			'remarks'		=> $this->input->post('remarks')
		), "`id` = '{$id}'");
		
		$this->db->update('sale_items', array(
			'date'			=> $date,
			'session'		=> $this->input->post('session')
		), "`id` = '{$id}'");
		
		return $this->get_sale_by_id($id);
		
	}
	
	function Get_total_cc_fees($from, $to){
		
	}
		
		
	function Effective_price($customer, $item_id){
		// NO VALIDITY BY CONTACT
		if (!is_object($customer)) return;
		
		$query = $this->db->query("SELECT * FROM `sales_discount_rules` WHERE `contact` = ? AND `scope` = 'Customer' AND `date_validity` = 0", array($customer->id));
		foreach ($query->result() as $dr){
			if ($dr->is_performance_based){
				$from 	= strtotime(date('Y-m-d')) - ($dr->performance_duration * (60 * 60 * 24));
				$to 	= strtotime(date('Y-m-d'));
				
				$query 	= $this->db->query("SELECT SUM(`amount`) AS `total_sales` FROM `sales` WHERE `customer_id` = ? AND `type` = 'history' AND `datetime` >= ? AND `datetime` <= ?", array($customer->id, date('Y-m-d', $from), date('Y-m-d', $to) . ' 23:59:59'));
				$row	= $query->row();
				
				
				if (strtotime($dr->date_from) <= $from && strtotime($dr->date_to) >= $to && $row->total_sales >= $dr->performance_limit){
					$drs[] = $dr->id;					
				}				
			} else {
				$drs[] = $dr->id;				
			}

		}
		
		// WITH DATE VALIDITY BY CONTACT
		$query = $this->db->query("SELECT * FROM `sales_discount_rules` WHERE `contact` = ? AND `scope` = 'Customer' AND `date_validity` = 1 AND `date_from` <= ? AND `date_to` >= ?", array($customer->id, date('Y-m-d'), date('Y-m-d')));
		foreach ($query->result() as $dr){
			if ($dr->is_performance_based){
				$from 	= strtotime(date('Y-m-d')) - ($dr->performance_duration * (60 * 60 * 24));
				$to 	= strtotime(date('Y-m-d'));
				
				$query 	= $this->db->query("SELECT SUM(`amount`) AS `total_sales` FROM `sales` WHERE `customer_id` = ? AND `type` = 'history' AND `datetime` >= ? AND `datetime` <= ?", array($customer->id, date('Y-m-d', $from), date('Y-m-d', $to) . ' 23:59:59'));
				$row	= $query->row();
				
				
				if (strtotime($dr->date_from) <= $from && strtotime($dr->date_to) >= $to && $row->total_sales >= $dr->performance_limit){
					$drs[] = $dr->id;					
				}				
			} else {
				$drs[] = $dr->id;				
			}

		}

		// NO DATE VALIDITY BY RANK		
		$query = $this->db->query("SELECT * FROM `sales_discount_rules` WHERE FIND_IN_SET(?,`ranks`) AND `scope` = 'Rank' AND `date_validity` = 0", array($customer->rank));
		foreach ($query->result() as $dr){
			if ($dr->is_performance_based){
				$from 	= strtotime(date('Y-m-d')) - ($dr->performance_duration * (60 * 60 * 24));
				$to 	= strtotime(date('Y-m-d'));
				
				$query 	= $this->db->query("SELECT SUM(`amount`) AS `total_sales` FROM `sales` WHERE `customer_id` = ? AND `type` = 'history' AND `datetime` >= ? AND `datetime` <= ?", array($customer->id, date('Y-m-d', $from), date('Y-m-d', $to) . ' 23:59:59'));
				$row	= $query->row();
				
				
				if (strtotime($dr->date_from) <= $from && strtotime($dr->date_to) >= $to && $row->total_sales >= $dr->performance_limit){
					$drs[] = $dr->id;					
				}				
			} else {
				$drs[] = $dr->id;				
			}

		}

		// WITH DATE VALIDITY BY RANK
		$query = $this->db->query("SELECT `id` FROM `sales_discount_rules` WHERE FIND_IN_SET(?,`ranks`) AND `scope` = 'Rank' AND `date_validity` = 1 AND `date_from` <= ? AND `date_to` >= ?", array($customer->rank, date('Y-m-d'), date('Y-m-d')));
		foreach ($query->result() as $dr){
			if ($dr->is_performance_based){
				$from 	= strtotime(date('Y-m-d')) - ($dr->performance_duration * (60 * 60 * 24));
				$to 	= strtotime(date('Y-m-d'));
				
				$query 	= $this->db->query("SELECT SUM(`amount`) AS `total_sales` FROM `sales` WHERE `customer_id` = ? AND `type` = 'history' AND `datetime` >= ? AND `datetime` <= ?", array($customer->id, date('Y-m-d', $from), date('Y-m-d', $to) . ' 23:59:59'));
				$row	= $query->row();
				
				
				if (strtotime($dr->date_from) <= $from && strtotime($dr->date_to) >= $to && $row->total_sales >= $dr->performance_limit){
					$drs[] = $dr->id;					
				}				
			} else {
				$drs[] = $dr->id;				
			}

		}
		
		$dr_ids_string = implode(',', $drs);		
		$query = $this->db->query("SELECT * FROM `sales_discount_item_rules` WHERE FIND_IN_SET(`rule_id`, ?) AND `item_id` = ?", array($dr_ids_string, $item_id));
		
		
		foreach ($query->result() as $dr_item){
			$price[] = $dr_item->discount_price;	
		}
		
		sort($price, SORT_NUMERIC);
		
		return $price[0];
		
	}
	
}