<script type="text/javascript">


function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		$('form').clearForm();
		showDialog('ok','Settlement','New settlement entry has been added.');
		form_warning = false;
	} else if (status == 0) {
		showDialog('ok','Error','Settlement cannot be saved now. Please login again.');
		$('div.main_full').show();
		$('div.status').hide();
	} 
}

$(document).ready(function(){
	$('a.create').click(function(event){
		$(this).parents('form').submit();
		event.preventDefault();
	});
	
	$('form').submit(function(){
	
		var ok = true;
		$('input.mandatory').each(function(){
			if (!$(this).val()) ok = false;
		});
		
		if (!ok){
			showDialog('ok','Form Error','Please make sure you have filled the form correctly.');
			return false;
		}
		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
	

})

</script>
	<div class="toolbar">
		<h3 class="grid-title"><a href="customers/elist" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn target_main">Back</a>New Settlement Entry</h3>
	</div>
	<div class="status">
	
	</div>

	<div class="main_full">
		<div class="main-container">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>

		<form method="post" action="<?=base_url()?>customers/add_settlement/do" target="postframe">
			<h3>Settlement Information</h3>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Customer <span class="red">*</span></td>
						<td class="input"><?php echo form_dropdown('customer_id',$customers); ?></td>
					</tr>
					<tr>
						<td class="label">Date <span class="red">*</span></td>
						<td class="input"><input type="text" name="date" class="date mandatory" /></td>
					</tr>
					<tr>
						<td class="label">Reference No <span class="red">*</span></td>
						<td class="input"><input type="text" name="reference_no" class="v-text mandatory" /></td>
					</tr>
					<tr>
						<td class="label">Payment Method <span class="red">*</span></td>
						<td class="input">
							<?php echo form_dropdown('payment_method', array(
								'Cash'			=> 'Cash',
								'Credit Card'	=> 'Credit Card',
								'Bank-in'		=> 'Bank-in',
								'Cheque'		=> 'Cheque',
								'Other'			=> 'Other'
							));?>
						</td>					
					</tr>
					<tr>
						<td class="label">Amount <span class="red">*</span></td>
						<td class="input"><input type="text" name="amount" class="v-text mandatory" /></td>
					</tr>

				</tbody>
			</table>
			

			
			<h3>Remarks</h3>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Remarks</td>
						<td class="input"><textarea name="remarks" class="v-textarea"></textarea></td>
					</tr>
				</tbody>
			</table>
			
		
			<p>* Mandatory fields</p>
			<p class="general-form-action"><a class="v-btn create">Save</a></p>
			<br />
		</form>
		</div>
	</div>
