<?php if (!$this->user->has_access('customers')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

function filterItems(){
	var company = $('input.filter-company').val();
	var contact = $('input.filter-contact').val();
	
	$('table.grid_data tbody').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	
	$.ajax({
		url: base_url + 'customers/customers_filter',
		type: 'POST',
		data: 'company='+company+'&contact='+contact,
		success: function (result){
			$('div.main_full').html(result);
			$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
			populateEvents();
		}
	})
}

</script>
		<div class="toolbar">
			<h3 class="grid-title">
				<?php if ($this->user->has_permission('to_add','customers')): ?><a href="customers/add" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">Add Customer</a><?php endif; ?>
				Customers
			</h3>
			<div class="global-tabs filter" style="padding: 5px 5px; font-size: 10pt;">
				Company <input type="text" name="id" class="v-text filter-company" style="width: 130px; margin-right: 10px" />
				Contact Person <input type="text" name="name" class="v-text filter-contact" style="width: 130px; margin-right: 10px" />
				<a class="v-btn filter-btn">Filter</a>
			</div>
			<table class="grid">
				<thead>
					<tr>
						<th class="sortable" rel="0" style="width: 50px">ID</th>
						<th class="sortable" rel="1">Company Name</th>
						<th class="sortable" rel="2" style="width: 100px">Contact Person</th>
						<th class="sortable" rel="3" style="width: 100px">Contact No</th>
						<th class="sortable" rel="4" style="width: 100px">Credit Limit</th>
						<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
					</tr>
				</thead>
			</table>
		</div>
		<div class="main_full">
			<table class="grid grid_data">	
				<tbody>
					<?php $x = 0; foreach ($customers as $customer): $x++; ?>
					<tr<?php if ($x%2) echo ' class="alt"'; ?>>
						<td rel="0" style="width: 50px"><?php echo $customer->id; ?></td>
						<td rel="1"><?php echo $customer->company_name; ?></td>
						<td rel="2" style="width: 100px"><?php echo $customer->contact_person; ?></td>
						<td rel="3" style="width: 100px"><?php echo $customer->contact_no; ?></td>
						<td rel="4" style="width: 100px; text-align: right"><?php echo $customer->credit_limit; ?></td>
						<td style="width: 75px; padding: 0">
							<?php if ($this->user->has_permission('to_view','customers')): ?><a class="grid-action grid-action-view target_main" href="customers/view/<?=$customer->id?>"><span>View</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_edit','customers')): ?><a class="grid-action grid-action-edit target_main" href="customers/edit/<?=$customer->id?>"><span>Edit</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_delete', 'customers')): ?><a class="grid-action grid-action-delete" href="customers/delete/<?=$customer->id?>"><span>Delete</span></a><?php endif; ?>
						</td>
					</tr>
					<?php endforeach; ?>
				</tbody>
			</table>
		</div>