<?php if (!$this->user->has_permission('to_view','customers')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">


function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		$('form').clearForm();
		showDialog('ok','customers','New customer has been added.');
		form_warning = false;
	} else if (status == 0) {
		showDialog('ok','Error','customer cannot be saved now. Please login again.');
		$('div.main_full').show();
		$('div.status').hide();
	} 
}

$(document).ready(function(){
	$('a.create').click(function(event){
		$(this).parents('form').submit();
		event.preventDefault();
	});
	
	$('form').submit(function(){
	
		var ok = true;
		$('input.mandatory').each(function(){
			if (!$(this).val()) ok = false;
		});
		
		if (!ok){
			showDialog('ok','Form Error','Please make sure you have filled the form correctly.');
			return false;
		}
		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
	
	$('input.paid').click(function(){
		if ($(this).attr('checked')) paid = 1;
		else paid = 0;
		var id = $(this).attr('rel');
		
		var reference_no = $(this).parents('tr').find('input.reference_no').val();
		var payment_date = $(this).parents('tr').find('input.payment_date').val();
		var payment_method = $(this).parents('tr').find('select.payment_method').val();

				
		if (paid == 1){
		
			if (!reference_no){
				showDialog('ok','Error', 'Please enter reference no.');
				$(this).attr('checked',false);
				return;

			}
			
			if (!payment_date){
				showDialog('ok','Error', 'Please enter payment date.');
				$(this).attr('checked',false);
				return;
			}
			
			if (!payment_method){
				showDialog('ok','Error', 'Please enter payment method.');
				$(this).attr('checked',false);
				return;
			}

			$.ajax({
				url: base_url + 'sales/invoice_paid/'+id,
				data: 'reference_no=' + reference_no + '&payment_date=' + payment_date + '&payment_method=' + payment_method,
				type: 'post',
				success: function (){
					$('tr[rel='+id+']').find('span.paid').show();
					$('tr[rel='+id+']').find('span.unpaid').hide();
					
					$('tr[rel='+id+']').find('span.payment_reference').text(reference_no);
					$('tr[rel='+id+']').find('span.payment_date').text(payment_date);
					$('tr[rel='+id+']').find('span.payment_method').text(payment_method);
					
					showDialog('ok','Payment Status','Payment status for INV-' + id +' has been set to paid.');
					
				}
			});
		} else {
			$.ajax({
				url: base_url + 'sales/invoice_unpaid/'+id,
				type: 'post',
				success: function (){
					$('tr[rel='+id+']').find('span.unpaid').show();
					$('tr[rel='+id+']').find('span.paid').hide();
					
					$('tr[rel='+id+']').find('span.payment_reference').text('');
					$('tr[rel='+id+']').find('span.payment_date').text('');
					$('tr[rel='+id+']').find('span.payment_method').text('');

					showDialog('ok','Payment Status','Payment status for INV-' + id + ' has been set to unpaid.');
				}
			});
		
		}
	})
})

</script>
	<div class="status">
	
	</div>
	<div class="toolbar">
		<h3 class="grid-title"><a href="customers/elist" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn target_main">Back</a>Customer &raquo; <?php echo $customer->company_name; ?></h3>
		<div>
			<table class="general-form" style="padding-bottom: 0; margin-bottom: 0px;">
				<tbody>
					<tr class="four">
						<td class="label">Company Name</td>
						<td class="input"><?php echo $customer->company_name; ?></td>
						<td class="label">Registration Number</td>
						<td class="input"><?php echo $customer->reg_number; ?></td>
					</tr>
					<tr class="four">
						<td class="label">Address</td>
						<td class="input"><?php echo $customer->address; ?></td>
						<td class="label">Contact Person</td>
						<td class="input"><?php echo $customer->contact_person; ?></td>
					</tr>
					<tr class="four">
						<td class="label">Contact Number</td>
						<td class="input"><?php echo $customer->contact_no; ?></td>
						<td class="label">Credit Limit</td>
						<td class="input"><?php echo $customer->credit_limit; ?></td>
					</tr>
					<tr class="four">
						<td class="label">Status</td>
						<td class="input"><?php echo $customer->status; ?></td>
						<td class="label">Remarks</td>
						<td class="input"><?php echo $customer->remarks; ?></td>
					</tr>
					<tr class="four">
						<td class="label">Total Outstanding</td>
						<td class="input"><?php echo number_format($oustanding,2);?></td>
						<td class="label">Available Credit</td>
						<td class="input"><?php echo number_format($available,2);?></td>
					</tr>
										
				</tbody>
			</table>
			<table class="grid">
				<thead>
					<tr>
						<th style="width: 100px">Date</th>
						<th>Transaction</th>
						<th style="width: 100px">Amount</th>
						<th style="width: 120px">Payment Date</th>
						<th style="width: 120px">Payment Method</th>
						<th style="width: 120px">Reference No</th>
						<th style="width: 50px">Paid</th>
						<th style="width: 15px; padding: 0"></th>
					</tr>
				</thead>
			</table>

		</div>
	</div>
	<div class="main_full">


			<table class="grid grid_data">
				<tbody>
					<?php $x = 1; foreach ($transactions as $transaction): $x++; ?>
					<?php
						$balance = $transaction->debit + $transaction->credit;
						$total_debit = $transaction->debit;
						$total_credit = $transaction->credit;
					?>
					<tr rel="<?php echo $transaction->id; ?>" <?php if ($x%2==0) echo ' class="alt"'; ?> <?php if ($transaction->payment_status == 'Paid') echo 'paid="1"'; else echo 'paid="0"'; ?>>
						<td style="width: 100px;"><?php echo date('d/m/Y',strtotime($transaction->date)); ?></td>
						<td>INV-<?php echo $transaction->id; ?></td>
						<td style="width: 100px; text-align: right">
							<?php if ($transaction->no_do): ?>
								<?php echo number_format($transaction->amount_credit,2); ?>
							<?php else: ?>
								<?php echo number_format($transaction->total,2); ?>							
							<?php endif; ?>
						</td>
					<?php if ($transaction->payment_status == 'Paid'): ?>
						<td style="width: 120px">
							<span class="paid payment_date"><?php echo date('d/m/Y',strtotime($transaction->payment_date)); ?></span>
							<span class="unpaid" style="display:none"><input style="width: 92px" type="text" name="date" class="v-text date payment_date" /></span>
						</td>
						<td style="width: 120px">
							<span class="paid payment_method"><?php echo $transaction->payment_method; ?></span>
							<span class="unpaid" style="display:none"><?php echo form_dropdown('method', array('0'=>'Select','Cash'=>'Cash','Bank-in'=>'Bank-in','Cheque'=>'Cheque','Credit Card'=>'Credit Card'), $invoice->payment_method, 'class="v-dropdown payment_method" style="font-size: 10pt; width: 92px"'); ?></span>
						</td>
						<td style="width: 120px">
							<span class="paid payment_reference"><?php echo $transaction->payment_reference; ?></span>
							<span class="unpaid" style="display:none"><input style="width: 92px" type="text" name="reference_no" class="v-text reference_no" /></span>
						</td>
					<?php else: ?>						
						<td style="width: 120px">
							<span class="paid payment_date" style="display:none"><?php echo date('d/m/Y',strtotime($transaction->payment_date)); ?></span>
							<span class="unpaid"><input style="width: 92px" type="text" name="date" class="v-text date payment_date" /></span>
						</td>
						<td style="width: 120px">
							<span class="paid payment_method" style="display:none"><?php echo $transaction->payment_method; ?></span>
							<span class="unpaid"><?php echo form_dropdown('method', array('0'=>'Select','Cash'=>'Cash','Bank-in'=>'Bank-in','Cheque'=>'Cheque','Credit Card'=>'Credit Card'), $invoice->payment_method, 'class="v-dropdown payment_method" style="font-size: 10pt; width: 92px"'); ?></span>
						</td>
						<td style="width: 120px">
							<span class="paid payment_reference" style="display:none"><?php echo $transaction->payment_reference; ?></span>
							<span class="unpaid"><input style="width: 92px" type="text" name="reference_no" class="v-text reference_no" /></span>
						</td>

					<?php endif; ?>
						<td style="width: 50px;"><input type="checkbox" name="paid<?php echo $transaction->id; ?>" <?php if ($transaction->payment_status == 'Paid') echo 'checked="checked"'; ?> value="1" class="paid" rel="<?php echo $transaction->id; ?>" /> <span rel="<?php echo $transaction->id; ?>" class="status"></span></td>
					</tr>
					<?php endforeach; ?>
				</tbody>
			</table>
			
			
	</div>
