	<div class="toolbar">
		<h3 class="grid-title">Aged Receivables</h3>
		
    	<table class="grid tab-related aging-receivables">
    		<thead>
    			<tr>
    				<th style="width: 100px">Date</th>
    				<th>Invoice No</th>
    				<th style="width: 100px">Due Date</th>
    				<th style="width: 110px">Current</th>
    				<th style="width: 110px">1-30</th>
    				<th style="width: 110px">31-60</th>
    				<th style="width: 110px">61-90</th>
    				<th style="width: 110px">Over 90</th>
    				<th style="width: 15px; padding: 0"></th>

    			</tr>
    		</thead>
    	</table>
	</div>
	
	<div class="main_full">
		<table class="grid tab-related grid-data aging-receivables">
			<tbody>
				<?php $cid = ''; $x = 0; $day = 60 * 60 * 24; foreach ($receivables as $doc): ?>
				

				<?php 
					$paid = $this->account->Get_paid_amount('po',$doc->id); 
					$doc->total_delivered = $doc->total_delivered - $paid;
				?>
				
				<?php  if ($cid == ''): ?>

				<tr>
					<td style="width: 100px"></td>
					<td style="font-weight: bold;"><?php echo $doc->contact; ?></td>
					<td style="width: 100px"></td>
					<td style="width: 110px"></td>
					<td style="width: 110px"></td>
					<td style="width: 110px"></td>
					<td style="width: 110px"></td>
					<td style="width: 110px"></td>
				</tr>

				<?php $cid = $doc->contact_id; elseif ($cid != $doc->contact_id): ?>
				
				<tr class="foot">
					<td style="width: 100px"></td>
					<td></td>
					<td style="width: 100px; text-align: right"><strong>Subtotals</strong></td>
					<td style="width: 110px; text-align: right; font-weight: bold;"><?php echo number_format($ct0[$cid],2); ?></td>
					<td style="width: 110px; text-align: right; font-weight: bold;"><?php echo number_format($ct30[$cid], 2); ?></td>
					<td style="width: 110px; text-align: right; font-weight: bold;"><?php echo number_format($ct60[$cid], 2); ?></td>
					<td style="width: 110px; text-align: right; font-weight: bold;"><?php echo number_format($ct90[$cid], 2); ?></td>
					<td style="width: 110px; text-align: right; font-weight: bold;"><?php echo number_format($cto90[$cid], 2); ?></td>
				</tr>		

				<tr>
					<td style="width: 100px"></td>
					<td style="font-weight: bold;"><?php echo $doc->contact; ?></td>
					<td style="width: 100px"></td>
					<td style="width: 110px"></td>
					<td style="width: 110px"></td>
					<td style="width: 110px"></td>
					<td style="width: 110px"></td>
					<td style="width: 110px"></td>
				</tr>

				<?php $cid = $doc->contact_id; endif; ?>
				
				
				
				<?php
					if (!$doc->duration) $doc->due_date = $doc->date;
					
					$due_time = strtotime($doc->due_date);
					$t0 = $t30 = $t60 = $t90 = $to90 = 0;
					if ($due_time <= time()){
						$t0 = $doc->total_delivered ? $doc->total_delivered : $doc->total;
						$ct0[$doc->contact_id] += $t0;
						$tt0 += $t0;
					} elseif ($due_time <= time() + ($day * 30)){
						$t30 = $doc->total_delivered ? $doc->total_delivered : $doc->total;
						$ct30[$doc->contact_id] += $t30;
						$tt30 += $t30;
					} elseif ($due_time <= time() + ($day * 60)){
						$t60 = $doc->total_delivered ? $doc->total_delivered : $doc->total;
						$ct60[$doc->contact_id] += $t60;
						$tt60 += $t60;
					} elseif ($due_time <= time() + ($day * 90)){
						$t90 = $doc->total_delivered ? $doc->total_delivered : $doc->total;
						$ct90[$doc->contact_id] += $t90;
						$tt90 += $t90;
					} else {
						$to90 = $doc->total_delivered ? $doc->total_delivered : $doc->total;
						$cto90[$doc->contact_id] += $to90;
						$tto90 += $tto90;
					}					
				?>
				<tr class="list-item <?php echo $x%2 == 0 ? 'alt' : ''; ?>">
					<td style="width: 100px"><?php echo date('d/m/Y',strtotime($doc->date)); ?></td>
					<td>INV-<?php echo $doc->txn_no; ?></td>
					<td style="width: 100px"><?php echo date('d/m/Y',strtotime($doc->due_date)); ?></td>
					<td style="width: 110px; text-align: right"><?php echo number_format($t0,2); ?></td>
					<td style="width: 110px; text-align: right"><?php echo number_format($t30,2); ?></td>
					<td style="width: 110px; text-align: right"><?php echo number_format($t60,2); ?></td>
					<td style="width: 110px; text-align: right"><?php echo number_format($t90,2); ?></td>
					<td style="width: 110px; text-align: right"><?php echo number_format($to90,2); ?></td>
				</tr>
				<?php $x++; endforeach; ?>
				<tr class="foot">
					<td style="width: 100px"></td>
					<td></td>
					<td style="width: 100px; text-align: right"><strong>Subtotals</strong></td>
					<td style="width: 110px; text-align: right; font-weight: bold;"><?php echo number_format($ct0[$cid],2); ?></td>
					<td style="width: 110px; text-align: right; font-weight: bold;"><?php echo number_format($ct30[$cid], 2); ?></td>
					<td style="width: 110px; text-align: right; font-weight: bold;"><?php echo number_format($ct60[$cid], 2); ?></td>
					<td style="width: 110px; text-align: right; font-weight: bold;"><?php echo number_format($ct90[$cid], 2); ?></td>
					<td style="width: 110px; text-align: right; font-weight: bold;"><?php echo number_format($cto90[$cid], 2); ?></td>
				</tr>		
				<tr class="foot">
					<td style="width: 100px"></td>
					<td></td>
					<td style="width: 100px; text-align: right"><strong>TOTALS</strong></td>
					<td style="width: 110px; text-align: right; font-weight: bold;"><?php echo number_format($tt0,2); ?></td>
					<td style="width: 110px; text-align: right; font-weight: bold;"><?php echo number_format($tt30, 2); ?></td>
					<td style="width: 110px; text-align: right; font-weight: bold;"><?php echo number_format($tt60, 2); ?></td>
					<td style="width: 110px; text-align: right; font-weight: bold;"><?php echo number_format($tt90, 2); ?></td>
					<td style="width: 110px; text-align: right; font-weight: bold;"><?php echo number_format($tto90, 2); ?></td>
					
				</tr>
			</tbody>			
		</table>
	</div>