<?php if (!$this->user->has_access('settings')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var content;

function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Inventory','Configuration has been updated.');
	} else {
		showDialog('ok','Error','Settings could not be saved at the moment. Please try again later.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}

function readyClose(status,msg){
	$('div.main_full').show();
	$('div.status').hide();

	if (status == 1){
		showDialog('ok','Close Accounts','Closed accounts successfully!');
	} else {
		showDialog('ok','Error','Accounts could not be closed at the moment. Please try again later.');
	}

}

$(document).ready(function(){
	$('a.create').click(function(event){
		$('form.insert').submit();
		event.preventDefault();
	});
	
	$('a.close').click(function(){
		var date = $('input.year_end_date').val();
		if (!date){
			showDialog('ok','Close Accounts','Please enter year end date for accounts closure.');
			return;
		}
		showDialog('yesno','Close Accounts','Confirm close accounts on ' + date, function(){
			$('form.close').submit();
		}, function(){
			
		})
	})
});

</script>
		<div class="toolbar">
			<h3 class="grid-title">Settings</h3>
			<div class="global-tabs" style="padding: 5px">
				<a class="v-btn create">Save</a>
			</div>
		</div>
		<div class="status">
		
		</div>

		<div class="main_full">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>

		<form class="insert" method="post" action="<?=base_url()?>accounts/config/do" target="postframe" enctype="multipart/form-data">
			<table class="general-form" style="margin-bottom: 0">
				<!-- 
				<tr>
					<td style="padding: 5px; font-weight: bold; font-size: 11pt; background: #DDD; border-bottom: 1px solid #BBB; border-top: 1px solid #FFF;" colspan="2">General</td>
				</tr>
				<tr class="two">
					<td class="label">Year End Date</td>
					<td class="input"><input type="text" name="accounts_year_end" class="v-text date" />
				</tr>
				
				-->

				<tr>
					<td style="padding: 5px; font-weight: bold; font-size: 11pt; background: #DDD; border-bottom: 1px solid #BBB; border-top: 1px solid #FFF;" colspan="2">Accounts Integration</td>
				</tr>
				<tr class="two">
					<td class="label">Current Cash Account</td>
					<td class="input"><?php echo form_dropdown('integration[_CURR]', $asset_accounts, $integration['_CURR'], 'class="v-dropdown"'); ?></td>
				</tr>
				<tr class="two">
					<td class="label">Current Bank Account</td>
					<td class="input"><?php echo form_dropdown('integration[_BANK]', $asset_accounts, $integration['_BANK'], 'class="v-dropdown"'); ?></td>
				</tr>
				<tr class="two">
					<td class="label">Petty Cash Account</td>
					<td class="input"><?php echo form_dropdown('integration[_PCAA]', $asset_accounts, $integration['_PCAA'], 'class="v-dropdown"'); ?></td>
				</tr>
				<tr class="two">
					<td class="label">Cash Sales Account</td>
					<td class="input"><?php echo form_dropdown('integration[_CASH]', $income_accounts, $integration['_CASH'], 'class="v-dropdown"'); ?></td>
				</tr>
				<tr class="two">
					<td class="label">Credit Card Sales Account</td>
					<td class="input"><?php echo form_dropdown('integration[_CCSS]', $income_accounts, $integration['_CCSS'], 'class="v-dropdown"'); ?></td>
				</tr>
				<tr class="two">
					<td class="label">Cost of Sales Account</td>
					<td class="input"><?php echo form_dropdown('integration[_COGS]', $expense_accounts, $integration['_COGS'], 'class="v-dropdown"'); ?></td>
				</tr>		
				<tr class="two">
					<td class="label">Inventory Account</td>
					<td class="input"><?php echo form_dropdown('integration[_INVR]', $asset_accounts, $integration['_INVR'], 'class="v-dropdown"'); ?></td>
				</tr>		
				<tr class="two">
					<td class="label">Receivables Account</td>
					<td class="input"><?php echo form_dropdown('integration[_RCVB]', $asset_accounts, $integration['_RCVB'], 'class="v-dropdown"'); ?></td>
				</tr>
				<tr class="two">
					<td class="label">Payables Account</td>
					<td class="input"><?php echo form_dropdown('integration[_PAYB]', $liability_accounts, $integration['_PAYB'], 'class="v-dropdown"'); ?></td>				
				</tr>
				<tr class="two">
					<td class="label">Depreciation Account</td>
					<td class="input"><?php echo form_dropdown('integration[_DEPN]', $expense_accounts, $integration['_DEPN'], 'class="v-dropdown"'); ?></td>
				</tr>
				<tr class="two">
					<td class="label">Credit Card Fees</td>
					<td class="input"><?php echo form_dropdown('integration[_CCSR]', $expense_accounts, $integration['_CCSR'], 'class="v-dropdown"'); ?></td>
				</tr>
				<tr class="two">
					<td class="label">Input Tax</td>
					<td class="input"><?php echo form_dropdown('integration[_ITAX]', $asset_accounts, $integration['_ITAX'], 'class="v-dropdown"'); ?></td>
				</tr>
				<tr class="two">
					<td class="label">Output Tax</td>
					<td class="input"><?php echo form_dropdown('integration[_OTAX]', $liability_accounts, $integration['_OTAX'], 'class="v-dropdown"'); ?></td>
				</tr>
				<tr class="two">
					<td class="label">Employer Deduction</td>
					<td class="input"><?php echo form_dropdown('integration[_EMDA]', $expense_accounts, $integration['_EMDA'], 'class="v-dropdown"'); ?></td>
				</tr>
				<tr class="two">
					<td class="label">Tax Deduction</td>
					<td class="input"><?php echo form_dropdown('integration[_EMTD]', $expense_accounts, $integration['_EMTD'], 'class="v-dropdown"'); ?></td>
				</tr>
				<tr class="two">
					<td class="label">Retained Earnings</td>
					<td class="input"><?php echo form_dropdown('integration[_EARN]', $equity_accounts, $integration['_EARN'], 'class="v-dropdown"'); ?></td>
				</tr>
			</table>
		</form>		
		
		
		<form style="margin: 0" class="close" method="post" action="<?=base_url()?>accounts/close" target="postframe" enctype="multipart/form-data">
			<table class="general-form" style="margin: 0">
				<tr>
					<td style="padding: 5px; font-weight: bold; font-size: 11pt; background: #DDD; border-bottom: 1px solid #BBB; border-top: 1px solid #FFF;" colspan="2">Accounts Closure</td>
				</tr>
				<tr class="two">
					<td class="label">Last Closed</td>
					<td class="input"></td>
				</tr>
				<tr class="two">
					<td class="label">Year End</td>
					<td class="input">
						<input type="text" name="year_end_date" class="v-text date year_end_date" />
						<a class="v-btn close" style="margin-left: 30px;">Close Accounts</a>
					</td>
				</tr>
				
			</table>
		</form>
		</div>
