<script type="text/javascript">

$(document).ready(function(){
	$('a.back').click(function(){
		$('div.main_full').slideDown(500);
		$('div.report').slideUp(500);
		$('div.toolbar').show();
		
	});
});

</script>

		<p style="font-size: 12pt; padding: 20px 10px 20px 50px; background: #EEE; margin-bottom: 20px; margin-top: 0">
			<a class="v-dbtn back" style="float:right; padding: 0 25px; margin-top: -5px;">Back</a>
			PROFIT &amp; LOSS STATEMENT<br />
			<small>From <?=date('j F Y',strtotime($from)) ?> to <?=date('j F Y',strtotime($to)) ?></small>
		</p>
		<div style="padding-bottom: 50px">
		<table style="width: 550px; font-size: 10pt; margin-left: 50px; ">
			<tbody class="income"> 
				<tr>
					<td><strong>OPERATING REVENUE</strong></td>
					<td style="text-align:right"></td>
				</tr>
				
				<?php foreach($operating_income_accounts as $header => $subheader): ?>
				
				<!-- Header -->
				<tr>
					<td colspan="2"></td>			
				</tr>
				<tr>
					<td><strong><?=$header;?></strong></td>
					<td style="text-align:right"></td>
				</tr>
				<!-- End Header -->
				
				<!-- Subheader -->
				<?php $total = 0; foreach ($subheader as $subheader_name => $accounts): ?>
				<?php 
					$subheader_key = md5($subheader_name); 
					$subheader_id = 'sub_' . $subheader_key[0] . $subheader_key[1] . $subheader_key[2] . $subheader_key[5] . $subheader_key[6] . $subheader_key[7];
				?>
				<tr>
					<td style="padding-left: 10px"><?=$subheader_name?></td>
					<td class="<?=$subheader_id; ?>" style="text-align:right"><?=number_format($account->debit ? $account->debit : $account->credit,2); ?></td>
				</tr>
				<!-- End Subheader -->
				
				<!-- Accounts -->
				<?php $subtotal = 0; foreach ($accounts as $account): ?>
				
				<tr style="display:none">
					<td style="padding-left: 20px"><?=$account->name?></td>
					<td style="text-align:right"><?=number_format($account->debit ? $account->debit : $account->credit,2); ?></td>
				</tr>
				<?php 
					$subtotal += $account->debit - $account->credit; 
					$total += $account->debit - $account->credit; 
					$total_income += $account->debit - $account->credit; 
				?>
				<?php endforeach; ?>
				<?php if ($subtotal > 0): ?>
				<script type="text/javascript">$(function(){ $('td.<?=$subheader_id?>').text('<?=number_format($subtotal,2)?>') });</script>
				<?php endif; ?>
				<?php endforeach; ?>
				<!-- End Accounts -->
				
				<!-- Total -->
				<tr>
					<td><i>Total <?=$header;?></i></td>
					<td class="sub<?=$account->id; ?>" style="border-top: 1px solid #333; border-bottom: 1px solid #333; text-align:right"><?=number_format($total,2); ?></td>
				</tr>
				<!-- End Total -->
				
				<!-- Separator -->
				<tr>
					<td colspan="2"></td>
				</tr>
				<!-- End Separator -->
				
				<?php endforeach; ?>
				
				<tr>
					<td colspan="2"></td>
				</tr>
				<tr>
					<td><strong>TOTAL OPERATING REVENUE</strong></td>
					<td style="text-align:right; border-bottom: 3px double #333"><?=number_format($total_income,2); ?></td>
				</tr>
				<tr>
					<td colspan="2"><br /><br /></td>
				</tr>
			</tbody>
			
			
			
			
			<tbody class="cost_of_sales">			
				<tr>
					<td><strong>COST OF SALES</strong></td>
					<td style="text-align:right"></td>
				</tr>
				<?php foreach($cogs_accounts as $header => $subheader): ?>
				
				<!-- Header -->
				<tr>
					<td colspan="2"></td>			
				</tr>
				<!-- End Header -->
				
				<!-- Subheader -->
				<?php $total = 0; foreach ($subheader as $subheader_name => $accounts): ?>
				<?php 
					$subheader_key = md5($subheader_name); 
					$subheader_id = 'sube_' . $subheader_key[0] . $subheader_key[1] . $subheader_key[2] . $subheader_key[5] . $subheader_key[6] . $subheader_key[7];
				?>
				<tr>
					<td style="padding-left: 10px"><?=$subheader_name?></td>
					<td class="<?=$subheader_id; ?>" style="text-align:right"></td>
				</tr>
				<!-- End Subheader -->
				
				<!-- Accounts -->
				<?php $subtotal = 0; foreach ($accounts as $account): ?>
				<tr style="display:none">
					<td style="padding-left: 20px"><?=$account->name?></td>
					<td style="text-align:right"><?=number_format($account->credit ? $account->credit : $account->debit,2); ?></td>
				</tr>
				<?php 
					$subtotal += $account->credit - $account->debit; 
					$total += $account->credit - $account->debit; 
					$total_cogs += $account->credit - $account->debit; 
				?>
				<?php endforeach; ?>
				<?php if ($subtotal > 0): ?>
				<script type="text/javascript">$(function(){ $('td.<?=$subheader_id?>').text('<?=number_format($subtotal,2)?>') });</script>
				<?php endif; ?>
				<?php endforeach; ?>
				<!-- End Accounts -->
				
				<!-- Separator -->
				<tr>
					<td colspan="2"></td>
				</tr>
				<!-- End Separator -->
				
				<?php endforeach; ?>
				<tr>
					<td><strong>TOTAL COST OF SALES</strong></td>
					<td style="text-align:right; border-bottom: 3px double #333"><?=number_format($total_cogs,2); ?></td>
				</tr>
				<tr>
					<td colspan="2"><br /><br /></td>
				</tr>			
			</tbody>
			
			
			
			
			<tbody class="cost_of_sales">			
				<tr>
					<td><strong>VARIABLE OPERATING COSTS</strong></td>
					<td style="text-align:right"></td>
				</tr>
				<?php foreach($voc_accounts as $header => $subheader): ?>
				
				<!-- Header -->
				<tr>
					<td colspan="2"></td>			
				</tr>
				<!-- End Header -->
				
				<!-- Subheader -->
				<?php $total = 0; foreach ($subheader as $subheader_name => $accounts): ?>
				<?php 
					$subheader_key = md5($subheader_name); 
					$subheader_id = 'sube_' . $subheader_key[0] . $subheader_key[1] . $subheader_key[2] . $subheader_key[5] . $subheader_key[6] . $subheader_key[7];
				?>
				<tr>
					<td style="padding-left: 10px"><?=$subheader_name?></td>
					<td class="<?=$subheader_id; ?>" style="text-align:right"></td>
				</tr>
				<!-- End Subheader -->
				
				<!-- Accounts -->
				<?php $subtotal = 0; foreach ($accounts as $account): ?>
				<tr style="display:none">
					<td style="padding-left: 20px"><?=$account->name?></td>
					<td style="text-align:right"><?=number_format($account->credit ? $account->credit : $account->debit,2); ?></td>
				</tr>
				<?php 
					$subtotal += $account->credit - $account->debit; 
					$total += $account->credit - $account->debit; 
					$total_voc += $account->credit - $account->debit; 
				?>
				<?php endforeach; ?>
				<?php if ($subtotal > 0): ?>
				<script type="text/javascript">$(function(){ $('td.<?=$subheader_id?>').text('<?=number_format($subtotal,2)?>') });</script>
				<?php endif; ?>
				<?php endforeach; ?>
				<!-- End Accounts -->
				
				<!-- Separator -->
				<tr>
					<td colspan="2"></td>
				</tr>
				<!-- End Separator -->
				
				<?php endforeach; ?>
				<tr>
					<td><strong>TOTAL VARIABLE OPERATING COST</strong></td>
					<td style="text-align:right; border-bottom: 3px double #333"><?=number_format($total_voc,2); ?></td>
				</tr>
				<tr>
					<td colspan="2"><br /><br /></td>
				</tr>			
			</tbody>




			
			
			<tbody class="gross_profit">
				<tr>
					<td><strong>GROSS PROFIT</strong></td>
					<td style="text-align:right"></td>
				</tr>
						
				<tr>
					<td colspan="2"></td>
				</tr>
				<tr>
					<td><strong>TOTAL GROSS PROFIT</strong></td>
					<td style="text-align:right; border-bottom: 3px double #333"><?=number_format($gross_profit = $total_income - $total_cogs - $total_voc,2); ?></td>
				</tr>
				<tr>
					<td colspan="2"><br /><br /></td>
				</tr>	
			</tbody>
			
			
			<tbody class="expenses"> 
				<tr>
					<td><strong>FIXED OPERATING COSTS</strong></td>
					<td style="text-align:right"></td>
				</tr>
				
				<?php foreach($operating_expense_accounts as $header => $subheader): ?>
				
				<!-- Header -->
				<tr>
					<td colspan="2"></td>			
				</tr>
				<tr>
					<td><strong><?=$header;?></strong></td>
					<td style="text-align:right"></td>
				</tr>
				<!-- End Header -->
				
				<!-- Subheader -->
				<?php $total = 0; foreach ($subheader as $subheader_name => $accounts): ?>
				<?php 
					$subheader_key = md5($subheader_name); 
					$subheader_id = 'sube_' . $subheader_key[0] . $subheader_key[1] . $subheader_key[2] . $subheader_key[5] . $subheader_key[6] . $subheader_key[7];
				?>
				<tr>
					<td style="padding-left: 10px"><?=$subheader_name?></td>
					<td class="<?=$subheader_id; ?>" style="text-align:right"></td>
				</tr>
				<!-- End Subheader -->
				
				<!-- Accounts -->
				<?php $subtotal = 0; foreach ($accounts as $account): ?>
				<tr style="display:none">
					<td style="padding-left: 20px"><?=$account->name?></td>
					<td style="text-align:right"><?=number_format($account->credit ? $account->credit : $account->debit,2); ?></td>
				</tr>
				<?php 
					$subtotal += $account->credit - $account->debit; 
					$total += $account->credit - $account->debit; 
					$total_foc += $account->credit - $account->debit; 
				?>
				<?php endforeach; ?>
				<?php if ($subtotal > 0): ?>
				<script type="text/javascript">$(function(){ $('td.<?=$subheader_id?>').text('<?=number_format($subtotal,2)?>') });</script>
				<?php endif; ?>
				<?php endforeach; ?>
				<!-- End Accounts -->
				
				<!-- Total -->
				<tr>
					<td><i>Total <?=$header;?></i></td>
					<td class="sub<?=$account->id; ?>" style="border-top: 1px solid #333; border-bottom: 1px solid #333; text-align:right"><?=number_format($total,2); ?></td>
				</tr>
				<!-- End Total -->
				
				<!-- Separator -->
				<tr>
					<td colspan="2"></td>
				</tr>
				<!-- End Separator -->
				
				<?php endforeach; ?>
				
				<tr>
					<td colspan="2"></td>
				</tr>
				<tr>
					<td><strong>TOTAL FIXED OPERATING COSTS</strong></td>
					<td style="text-align:right; border-bottom: 3px double #333"><?=number_format($total_foc,2); ?></td>
				</tr>
				<tr>
					<td colspan="2"><br /></td>
				</tr>
				

			</tbody>
			
			
			
			<tbody class="expenses"> 
				<tr>
					<td><strong>OTHER EXPENSES </strong></td>
					<td style="text-align:right"></td>
				</tr>
				
				<?php foreach($non_operating_expense_accounts as $header => $subheader): ?>
				
				<!-- Header -->
				<tr>
					<td colspan="2"></td>			
				</tr>
				<tr>
					<td><strong><?=$header;?></strong></td>
					<td style="text-align:right"></td>
				</tr>
				<!-- End Header -->
				
				<!-- Subheader -->
				<?php $total = 0; foreach ($subheader as $subheader_name => $accounts): ?>
				<?php 
					$subheader_key = md5($subheader_name); 
					$subheader_id = 'sube_' . $subheader_key[0] . $subheader_key[1] . $subheader_key[2] . $subheader_key[5] . $subheader_key[6] . $subheader_key[7];
				?>
				<tr>
					<td style="padding-left: 10px"><?=$subheader_name?></td>
					<td class="<?=$subheader_id; ?>" style="text-align:right"></td>
				</tr>
				<!-- End Subheader -->
				
				<!-- Accounts -->
				<?php $subtotal = 0; foreach ($accounts as $account): ?>
				<tr style="display:none">
					<td style="padding-left: 20px"><?=$account->name?></td>
					<td style="text-align:right"><?=number_format($account->credit ? $account->credit : $account->debit,2); ?></td>
				</tr>
				<?php 
					$subtotal += $account->credit - $account->debit; 
					$total += $account->credit - $account->debit; 
					$total_expenses += $account->credit - $account->debit; 
				?>
				<?php endforeach; ?>
				<?php if ($subtotal > 0): ?>
				<script type="text/javascript">$(function(){ $('td.<?=$subheader_id?>').text('<?=number_format($subtotal,2)?>') });</script>
				<?php endif; ?>
				<?php endforeach; ?>
				<!-- End Accounts -->
				
				<!-- Total -->
				<tr>
					<td><i>Total <?=$header;?></i></td>
					<td class="sub<?=$account->id; ?>" style="border-top: 1px solid #333; border-bottom: 1px solid #333; text-align:right"><?=number_format($total,2); ?></td>
				</tr>
				<!-- End Total -->
				
				<!-- Separator -->
				<tr>
					<td colspan="2"></td>
				</tr>
				<!-- End Separator -->
				
				<?php endforeach; ?>
				
				<tr>
					<td colspan="2"></td>
				</tr>
				<tr>
					<td><strong>TOTAL OTHER EXPENSES</strong></td>
					<td style="text-align:right; border-bottom: 3px double #333"><?=number_format($total_expenses,2); ?></td>
				</tr>
				<tr>
					<td colspan="2"><br /></td>
				</tr>
				<tr>
					<td><strong>NET PROFIT (LOSS)</strong></td>
					<td style="text-align:right; border-bottom: 3px double #333"><?php if (($net_income = $gross_profit - $total_expenses - $total_foc) < 0) echo '('.number_format(str_replace('-','',$net_income),2).')'; else echo number_format($net_income,2); ?></td>
				</tr>

			</tbody>



			
			
			
					

		</table>
		</div>