
				<table class="grid grid_data">
					<tbody>
					<?php $x = 0; foreach ($journal_entries as $entry): ?>
						
						
						
						<?php if ($entry->type == 'Expenses'): ?>
						<tr class="list-item payment <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"><?php echo date('d/m/Y',strtotime($entry->datetime)); ?></td>
							<td style="width: 100px">General</td>
							<td class="dark" style="width: 150px">PV-<?php echo $entry->id; ?></td>
							<td>Expense to <?php echo $entry->account; ?></td>
							<td style="width: 150px"><?php echo $entry->account; ?></td>
							<td class="dark" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
							<td class="darker" style="width: 130px; text-align: right"></td>
						</tr>					
							<?php foreach ($entry->breakdown as $breakdown): ?>
							<tr class="list-item payment <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $breakdown->id; ?>">
								<td style="width: 100px"></td>
								<td style="width: 100px"></td>
								<td class="dark" style="width: 150px"><?php echo $breakdown->payment_reference; ?></td>
								<td>Payment by <?php echo $breakdown->payment_method; ?> from <?php echo $breakdown->account; ?></td>
								<td style="width: 150px"><?php echo $breakdown->account; ?></td>
								<td class="dark" style="width: 130px; text-align: right"></td>
								<td class="darker" style="width: 130px; text-align: right"><?php echo number_format($breakdown->amount,2); ?></td>
							</tr>	
							<?php endforeach; ?>
						<?php endif; ?>
						
						
						
						<?php if ($entry->type == 'Purchase of Stock'): ?>
						<tr class="list-item payment <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"><?php echo date('d/m/Y',strtotime($entry->datetime)); ?></td>
							<td style="width: 100px">Payment</td>
							<td class="dark" style="width: 150px">PV-<?php echo $entry->id; ?></td>
							<td>Payables to <?php echo $entry->contact; ?></td>
							<td style="width: 150px">Payables</td>
							<td class="dark" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
							<td class="darker" style="width: 130px; text-align: right"></td>
						</tr>
							<?php foreach ($entry->breakdown as $breakdown): ?>
							<tr class="list-item payment <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $breakdown->id; ?>">
								<td style="width: 100px"></td>
								<td style="width: 100px"></td>
								<td class="dark" style="width: 150px"><?php echo $breakdown->payment_reference; ?></td>
								<td>Paid by <?php echo $breakdown->payment_method; ?> from <?php echo $breakdown->account; ?></td>
								<td style="width: 150px"><?php echo $breakdown->account; ?></td>
								<td class="dark" style="width: 130px; text-align: right"></td>
								<td class="darker" style="width: 130px; text-align: right"><?php echo number_format($breakdown->amount,2); ?></td>
							</tr>	
							<?php endforeach; ?>
						<?php endif; ?>
						
						
						
						
						<?php if ($entry->type == 'Purchase of Asset'): ?>
						<tr class="list-item payment <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"><?php echo date('d/m/Y',strtotime($entry->datetime)); ?></td>
							<td style="width: 100px">Payment</td>
							<td class="dark" style="width: 150px">PV-<?php echo $entry->id; ?></td>
							<td>Purchase of <?php echo $entry->contact; ?></td>
							<td style="width: 150px">Asset</td>
							<td class="dark" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
							<td class="darker" style="width: 130px; text-align: right"></td>
						</tr>
							<?php foreach ($entry->breakdown as $breakdown): ?>
							<tr class="list-item payment <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $breakdown->id; ?>">
								<td style="width: 100px"></td>
								<td style="width: 100px"></td>
								<td class="dark" style="width: 150px"><?php echo $breakdown->payment_reference; ?></td>
								<td>Payment by <?php echo $breakdown->payment_method; ?> from <?php echo $breakdown->account; ?></td>
								<td style="width: 150px"><?php echo $breakdown->account; ?></td>
								<td class="dark" style="width: 130px; text-align: right"></td>
								<td class="darker" style="width: 130px; text-align: right"><?php echo number_format($breakdown->amount,2); ?></td>
							</tr>	
							<?php endforeach; ?>
						<?php endif; ?>
						
						
						<?php if ($entry->type == 'Income (Sales)'): ?>
						<tr class="list-item receipt <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"><?php echo date('d/m/Y',strtotime($entry->datetime)); ?></td>
							<td style="width: 100px">Receipts</td>
							<td class="dark" style="width: 150px">RC-<?php echo $entry->id; ?></td>
							<td>Payment from <?php echo $entry->contact; ?> </td>
							<td style="width: 150px">Receivables</td>
							<td class="dark" style="width: 130px; text-align: right"></td>
							<td class="darker" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
						</tr>
							<?php foreach ($entry->breakdown as $breakdown): ?>
							<tr class="list-item receipt <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $breakdown->id; ?>">
								<td style="width: 100px"></td>
								<td style="width: 100px"></td>
								<td class="dark" style="width: 150px"><?php echo $breakdown->payment_reference; ?></td>
								<td>Received by <?php echo $breakdown->payment_method; ?> to <?php echo $breakdown->account; ?></td>
								<td style="width: 150px"><?php echo $breakdown->account; ?></td>
								<td class="dark" style="width: 130px; text-align: right"><?php echo number_format($breakdown->amount,2); ?></td>
								<td class="darker" style="width: 130px; text-align: right"></td>
							</tr>	
							<?php endforeach; ?>
						<?php endif; ?>
						
						
						
						<?php if ($entry->type == 'Income (Non-Sales)'): ?>
						<tr class="list-item receipt <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"><?php echo date('d/m/Y',strtotime($entry->datetime)); ?></td>
							<td style="width: 100px">Receipts</td>
							<td class="dark" style="width: 150px">RC-<?php echo $entry->id; ?></td>
							<td>Received from <?php echo $entry->contact; ?> </td>
							<td style="width: 150px"><?php echo $entry->account; ?></td>
							<td class="dark" style="width: 130px; text-align: right"></td>
							<td class="darker" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
						</tr>
							<?php foreach ($entry->breakdown as $breakdown): ?>
							<tr class="list-item receipt <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $breakdown->id; ?>">
								<td style="width: 100px"></td>
								<td style="width: 100px"></td>
								<td class="dark" style="width: 150px"><?php echo $breakdown->payment_reference; ?></td>
								<td>Payment by <?php echo $breakdown->payment_method; ?> to <?php echo $breakdown->account; ?></td>
								<td style="width: 150px"><?php echo $breakdown->account; ?></td>
								<td class="dark" style="width: 130px; text-align: right"><?php echo number_format($breakdown->amount,2); ?></td>
								<td class="darker" style="width: 130px; text-align: right"></td>
							</tr>	
							<?php endforeach; ?>
						<?php endif; ?>
						
						
						<?php if ($entry->type == 'Invoice'): ?>
						<tr class="list-item sale <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"><?php echo date('d/m/Y',strtotime($entry->datetime)); ?></td>
							<td style="width: 100px">Sales</td>
							<td class="dark" style="width: 150px">INV-<?php echo $entry->id; ?></td>
							<td>Goods/Service sold to <?php echo $entry->contact; ?></td>
							<td style="width: 150px">Sales</td>
							<td class="dark" style="width: 130px; text-align: right"></td>
							<td class="darker" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
						</tr>
						<tr class="list-item sale <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"></td>
							<td style="width: 100px"></td>
							<td class="dark" style="width: 150px"></td>
							<td></td>
							<td style="width: 150px">Receivables</td>
							<td class="dark" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
							<td class="darker" style="width: 130px; text-align: right"></td>
						</tr>
						<?php endif; ?>
						
						
						<?php if ($entry->type == 'Purchase Order'): ?>
						<tr class="list-item purchase <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"><?php echo date('d/m/Y',strtotime($entry->datetime)); ?></td>
							<td style="width: 100px">Purchase</td>
							<td class="dark" style="width: 150px">PO-<?php echo $entry->id; ?></td>
							<td>Stocks purchased from <?php echo $entry->contact; ?></td>
							<td style="width: 150px">Inventory</td>
							<td class="dark" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
							<td class="darker" style="width: 130px; text-align: right"></td>
						</tr>
						<tr class="list-item purchase <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"></td>
							<td style="width: 100px"></td>
							<td class="dark" style="width: 150px"></td>
							<td></td>
							<td style="width: 150px">Payables</td>
							<td class="dark" style="width: 130px; text-align: right"></td>
							<td class="darker" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
						</tr>
						<?php endif; ?>
						
						
						<?php if ($entry->type == 'Debit Note'): ?>
						<tr class="list-item general <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"><?php echo date('d/m/Y',strtotime($entry->datetime)); ?></td>
							<td style="width: 100px">General</td>
							<td class="dark" style="width: 150px">DN-<?php echo $entry->id; ?></td>
							<td>Goods returned to <?php echo $entry->contact; ?></td>
							<td style="width: 150px">Inventory</td>
							<td class="dark" style="width: 130px; text-align: right"></td>
							<td class="darker" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
						</tr>
						<tr class="list-item general <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"></td>
							<td style="width: 100px"></td>
							<td class="dark" style="width: 150px"></td>
							<td></td>
							<td style="width: 150px">Receivables</td>
							<td class="dark" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
							<td class="darker" style="width: 130px; text-align: right"></td>
						</tr>
						<?php endif; ?>
						
						
						<?php if ($entry->type == 'Credit Note'): ?>
						<tr class="list-item general <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"><?php echo date('d/m/Y',strtotime($entry->datetime)); ?></td>
							<td style="width: 100px">General</td>
							<td class="dark" style="width: 150px">CN-<?php echo $entry->id; ?></td>
							<td>Goods returned from <?php echo $entry->contact; ?></td>
							<td style="width: 150px">Sale</td>
							<td class="dark" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
							<td class="darker" style="width: 130px; text-align: right"></td>
						</tr>
						<tr class="list-item general <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"></td>
							<td style="width: 100px"></td>
							<td class="dark" style="width: 150px"></td>
							<td></td>
							<td style="width: 150px">Payables</td>
							<td class="dark" style="width: 130px; text-align: right"></td>
							<td class="darker" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
						</tr>
						<?php endif; ?>
						
						
						
						<?php if ($entry->type == 'Wages'): ?>
						<tr class="list-item payment <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"><?php echo date('d/m/Y',strtotime($entry->datetime)); ?></td>
							<td style="width: 100px">Payment</td>
							<td class="dark" style="width: 150px">PS-<?php echo $entry->id; ?></td>
							<td><?php echo $entry->account; ?>&#39;s Salary</td>
							<td style="width: 150px">Wages</td>
							<td class="dark" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
							<td class="darker" style="width: 130px; text-align: right"></td>
						</tr>
							<?php foreach ($entry->breakdown as $breakdown): ?>
							<tr class="list-item payment <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $breakdown->id; ?>">
								<td style="width: 100px"></td>
								<td style="width: 100px"></td>
								<td class="dark" style="width: 150px"><?php echo $breakdown->payment_reference; ?></td>
								<td>Payment by <?php echo $breakdown->payment_method; ?> to <?php echo $breakdown->account; ?></td>
								<td style="width: 150px"><?php echo $breakdown->account; ?></td>
								<td class="dark" style="width: 130px; text-align: right"></td>
								<td class="darker" style="width: 130px; text-align: right"><?php echo number_format($breakdown->amount,2); ?></td>
							</tr>	
							<?php endforeach; ?>

						
						<?php endif; ?>
						
						
						
						<?php if ($entry->type == 'Sales'): ?>
						<tr class="list-item payment <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $entry->id; ?>">
							<td style="width: 100px"><?php echo date('d/m/Y',strtotime($entry->datetime)); ?></td>
							<td style="width: 100px">Sales</td>
							<td class="dark" style="width: 150px">PS-<?php echo $entry->id; ?></td>
							<td>Walk-in Sales</td>
							<td style="width: 150px">Sales</td>
							<td class="dark" style="width: 130px; text-align: right"></td>
							<td class="darker" style="width: 130px; text-align: right"><?php echo number_format($entry->amount,2); ?></td>
						</tr>
							<?php foreach ($entry->breakdown as $breakdown): ?>
							<tr class="list-item payment <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $breakdown->id; ?>">
								<td style="width: 100px"></td>
								<td style="width: 100px"></td>
								<td class="dark" style="width: 150px"><?php echo $breakdown->payment_reference; ?></td>
								<td>Payment by <?php echo $breakdown->payment_method; ?> to <?php echo $breakdown->account; ?></td>
								<td style="width: 150px"><?php echo $breakdown->account; ?></td>
								<td class="dark" style="width: 130px; text-align: right"></td>
								<td class="darker" style="width: 130px; text-align: right"><?php echo number_format($breakdown->amount,2); ?></td>
							</tr>	
							<?php endforeach; ?>

						
						<?php endif; ?>
						
						
					<?php $x++; endforeach; ?>
					</tbody>
				</table>
			