<?php
$acc = $this->account->get_accounts("1=1 ORDER BY `id` ASC");
foreach  ($acc as $account){
	$accounts[$account->id] = $account->name;
}	

?>

<script type="text/javascript">

var content;
var accId;
var accName;
var allocAmount;
var allocType;
var allocTotal = 0.00;
var curAcc;
var allocNo = 0;

function readyPost(action,status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		$('form').clearForm();
		$('table.alloc tbody tr').remove();
		showDialog('ok','Journal Entry','Journey entry has been recorded successfully.');
	} else if (status == 3){
		showDialog('ok','Error','Account number specified is already taken. Please choose another one.');
		$('div.main_full').show();
		$('div.status').hide();

	} else {
		showDialog('ok','Error','There has been an error recording the journal entry.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}


$(document).ready(function(){
	$('a.submit_btn').click(function(event){
		$(this).parents('form').submit();
		event.preventDefault();
	});
	
	$('select.account_type').change(function(){
		$('input[name=number_prefix]').val($(this).val());
	});
	
	$('form').submit(function(){
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
	
	$('input.v-date').change(function(){

	});
	
	$('a.filter').click(function(e){
		e.preventDefault();
		var url = generate_filter_url();
		goTo(url);
	})
	
	$('a.cancel').click(function(){
		var rel = $(this).attr('rel');
		showDialog('yesno','Delete Transaction','Are you sure you want to delete this transaction?', function(){
			$.ajax({
				url: 'accounts/delete_transaction/',
				type: 'post',
				data: 'id='+rel,
				success: function(){
					goTo(generate_filter_url());
				}
			})
		})
	})
});

function generate_filter_url(){
	var url = $('.filter').attr('url');
	var from = $('input[name=from]').val();
	var to = $('input[name=to]').val();
	var journal = $('select[name=journal]').val();

	var nurl = url + '/' + from.replace(/\//g,'-') + '/' + to.replace(/\//g,'-') + '/' + journal;
	return nurl;
}




</script>
	
	<div class="status">
	
	</div>

	<div class="toolbar">
		<h3 class="grid-title">
			Ledger Entries
		</h3>
		<div class="global-tabs" style="padding: 3px 5px; font-size: 10pt;">
			From <input style="width: 100px" value="<?php echo date('d/m/Y', strtotime($from)); ?>" type="text" name="from" class="v-text date" /> 
			To <input value="<?php echo date('d/m/Y', strtotime($to)); ?>" style="width: 100px" type="text" name="to" class="v-text date" /> 
			Journal <?php echo form_dropdown('journal', array(''=>'All Entries','General'=>'General','Payments'=>'Payments','Receipts'=>'Receipts','Sales'=>'Sales','Purchases'=>'Purchases'), $journal, 'class="v-dropdown" style="width: 150px"'); ?>
			<a url="accounts/ledger_entries/" href="" class="v-btn filter">Show</a>
		</div>
		<table id="coa" class="grid" rel="im">
			<thead>
				<tr>
					<th style="width: 80px">Date</th>
					<th style="width: 80px">Journal</th>
					<th style="width: 150px">Reference</th>
					<th style="width: 150px">Account</th>
					<th>Description</th>
					<th style="width: 120px">Dr</th>
					<th style="width: 120px">Cr</th>
					<th style="width: 60px"></th>
					<th style="width: 14px; padding: 0"></th>
				</tr>
			</thead>
		</table>
	</div>
	<div class="main_full">
		<table class="grid grid_data">
			
			<?php $i = 0; foreach ($entries as $txn): ?>
			<tr <?php if ($i%2 == 0) echo 'class="alt"'; ?>>
				<td style="width: 80px"><?php echo date('d/m/Y', strtotime($txn->date)); ?></td>
				<td style="width: 80px"><?php echo $txn->journal; ?></td>
				<td style="width: 150px"><?php echo $txn->reference; ?></td>
				<td style="width: 150px"><?php echo $accounts[$txn->account_id]; ?></td>
				<td><?php echo $txn->description; ?></td>
				<td style="width: 120px; text-align: right"><?php echo $txn->type == 'DR' ? number_format($txn->amount,2) : ''; ?></td>
				<td style="width: 120px; text-align: right"><?php echo $txn->type == 'CR' ? number_format($txn->amount,2) : ''; ?></td>
				<td style="width: 60px; text-align: center"><a style="font-size: 7pt" class="v-btn cancel" rel="<?php echo $txn->id; ?>">Delete</a></td>
			</tr>
			<?php $i++; endforeach;?>
		</table>

	</div>
