<script type="text/javascript">

var content;
var accId;
var accName;
var allocAmount;
var allocType;
var allocTotal = 0.00;
var curAcc;
var allocNo = 0;

function readyPost(action,status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		$('form').clearForm();
		$('table.alloc tbody tr').remove();
		showDialog('ok','New Account','Account has been created successfully.');
	} else if (status == 3){
		showDialog('ok','Error','Account number specified is already taken. Please choose another one.');
		$('div.main_full').show();
		$('div.status').hide();

	} else {
		showDialog('ok','Error','There has been an error recording the journal entry.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}


$(document).ready(function(){
	$('a.submit_btn').click(function(event){
		$(this).parents('form').submit();
		event.preventDefault();
	});
	
	$('select.account_type').change(function(){
		$('input[name=number_prefix]').val($(this).val());
		$('input[name=number]').change();
	});
	
	$('input[name=header]').click(function(){
		if ($(this).attr('checked')){
			$('tr.header').hide(); 
		} else {
			$('tr.header').show(); 		
		}
	});
	
	$('input[name=number]').change(function(){
		var prefix = $('input[name=number_prefix]').val();
		var remain = $('input[name=number]').val();
		$('td.accnum').text(prefix+remain);
	});
	
	
	$('input.header').click(function(){
		$('input.cash-postable').attr('disabled',true);
	});
	
	$('input.not-header').click(function(){
		$('input.cash-postable').removeAttr('disabled');
	})
	

});


</script>
	
	<div class="status">
	
	</div>
	<div class="toolbar">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
		<h3 class="grid-title"><a href="accounts/coa" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn target_main">Back</a>New Account</h3>
	</div>		
	<div class="main_full">

		<div class="main-container">

		<form method="post" action="<?=base_url()?>accounts/new_account/do" target="postframe">
			<h3 class="general-form-header">Account Details</h3>
			<table class="general-form">
				
				<tr>
					<td class="label">Type  <span class="red">*</span></td>
					<td class="input">
						<select name="type" class="account_type mandatory">
							<optgroup label="Asset">
								<option value="Cash/Bank Account">Cash/Bank Account</option>
								<option value="Other Asset">Other Asset</option>
							</optgroup>
							<optgroup label="Liability">
								<option value="Credit Card">Credit Card</option>
								<option value="Loan Account">Loan Account</option>
								<option value="Other Liability">Other Liability</option>
							</optgroup>
							<optgroup label="Equity">
								<option value="Equity">Equity</option>
							</optgroup>
							<optgroup label="Income">
								<option value="Operating Income (Sales)">Operating Income (Sales)</option>
								<option value="Non-Operating Income">Non-Operating Income</option>
							</optgroup>
							<optgroup label="Expenses">
								<option value="Cost of Sales">Cost of Sales</option>
								<option value="Operating Expense">Operating Expense</option>
								<option value="Non-Operating Expense">Non-Operating Expense</option>
							</optgroup>
						</select>
					</td>
				</tr>
				<tr>
					<td class="label">Account Name <span class="red">*</span></td>
					<td class="input"><input type="text" name="name" class="v-text mandatory" /></td>
				</tr>
				<tr>
					<td class="label">Account Number <span class="red">*</span></td>
					<td class="input"><input type="text" name="number" class="v-text mandatory" /></td>
				</tr>
				<tr>
					<td class="label">Opening Balance</td>
					<td class="input"><input type="text" name="opening_balance" class="v-text v-number-decimal" /></td>
				</tr>
			</table>
			
			<table class="general-form">
				<tr>
					<td class="label">Is Header Account</td>
					<td class="input">
						<input type="radio" class="not-header" name="is_header" value="No" checked="checked" /> No<br />
						<input type="radio" class="header" name="is_header" value="Header" /> Header<br />
						<input type="radio" class="header" name="is_header" value="Subheader" /> Subheader
					</td>
				</tr>

				<tr>
					<td class="label">Cash Postable</td>
					<td class="input"><input class="cash-postable" type="checkbox" name="cash_postable" value="1" /> Yes</td>
				</tr>

			</table>
			<a class="v-btn submit_btn">Save</a>
			<br />
		</form>
		</div>
	</div>
