	<div class="toolbar">
		<h3 class="grid-title">
			<a class="v-dbtn back_btn" style="float:right; padding:0 25px; margin-top: -1px" href="accounts/payment_purchase_edit/<?php echo $pv->id; ?>">Back</a>Payment Voucher #<?php echo $pv->id; ?>
			<a class="v-dbtn" style="float:right; padding:0 25px; margin-top: -1px; margin-right: 5px; font-weight: bold" href="javascript:window.print()">Print</a>
		</h3>
	</div>
	<div class="status">
	
	</div>

	<div class="main_full" style="background: #DDD">
	
			<div class="doc-pad" style="padding: 15px">
				<?php if ($pv->status == 'Voided'): ?>
				<div style="color: red; opacity: 0.1; font-size: 100pt; position: absolute; margin-top: 200px; margin-left: 120px;">
					VOIDED
				</div>
				<?php endif; ?>

				<div style="padding: 20px 0 10px 0; border-bottom: 1px solid #555; ">
					<h2 style="text-align: right; float: right; margin: 0; padding: 0">Payment Voucher</h2>
					<?php if ($logo = $this->system->config('company_logo')): ?>
					<img src="<?php echo base_url(); ?>../assets/img/<?php echo $logo; ?>" style="float: left; margin-right: 10px; width: 185px;" />
					<?php endif; ?>
					<p style="padding-left: 195px; margin: 0; ">
						<strong><?php echo $this->system->config('company_name'); ?></strong><br />
						<?php echo $this->system->config('company_address'); ?><br />
						<?php echo $this->system->config('company_contact'); ?>
					</p>
				</div>
				<div style="padding-top: 15px">
					<table class="general-form-print noborder">
						<tr>
							<td></td>
							<td style="width: 150px" class="label"><strong>PV Number</strong></td>
							<td style="width: 150px" class="pv-number input">PV-<?php echo $pv->txn_no ? $pv->txn_no : $pv->id; ?></td>
						</tr>
						<tr>
							<td></td>
							<td style="width: 150px" class="label"><strong>Date</strong></td>
							<td style="width: 150px" class="pv-date input"><?php echo date('d/m/Y',strtotime($pv->datetime)); ?></td>
						</tr>
					</table>
				</div>
				<div>
					<table class="general-form-print noborder">
						<tr>
							<td>Pay to: <?php echo $pv->contact ? $pv->contact : $pv->payee; ?></td>
							<td></td>
						</tr>
					</table>
					<table class="order-form-print">
						<thead>
							<tr>
								<th style="width: 50px">No</th>
								<th>Particulars</th>
								<th style="width: 150px">Amount</th>
							</tr>
						</thead>
						<tbody>
							<?php $x = 0; foreach ($pv->items as $item): $x++; ?>
							<tr>
								<td style="text-align: center"><?php echo $x; ?></td>
								<td><?php if ($item->po_id): ?>
									Payment for Purchase Order PO-<?php echo $item->po_id; ?>
									<?php elseif ($item->cn_id): ?>
									Payment for Credit Note CN-<?php echo $item->cn_id; ?>
									<?php elseif ($item->dn_id): ?>
									Contra with Debit Note DN-<?php echo $item->dn_id; ?>
									<?php elseif ($item->invoice_id): ?>
									Contra with Invoice INV-<?php echo $item->invoice_id; ?>
									<?php elseif ($item->asset_id): ?>
									<?php $asset = $this->asset->get_asset_by_id($item->asset_id); ?>
									Purchase of <?php echo $asset->name; ?>
									<?php else: ?>
									Payment for Ref No: <?php echo $item->reference; ?> &mdash; Payable <?php echo $item->amount_payable; ?>
									<?php endif; ?>
								</td>
								<td style="text-align: right">
									<?php if ($item->invoice_id || $item->dn_id) echo '-'; ?><?php echo number_format($item->amount,2); ?>
								</td>
							</tr>
							<?php 
								if ($item->po_id) $total += $item->amount; 
								elseif ($item->cn_id) $total += $item->amount; 
								elseif ($item->dn_id) $total -= $item->amount; 
								elseif ($item->invoice_id) $total -= $item->amount; 
								else $total += $item->amount;
								
								endforeach; 
							?>
							<?php if ($pv->tax != 0): ?>
							<tr class="foot">
								<td colspan="2"><strong>TAX (<?php echo $pv->tax_code; ?>)</strong></td>
								<td style="text-align: right"><?php echo number_format($pv->tax,2); ?></td>
							</tr>
							<?php endif; ?>
							<tr class="foot">
								<td colspan="2"><strong>TOTAL</strong></td>
								<td style="text-align: right"><?php echo number_format($pv->amount,2); ?></td>
							</tr>

						</tbody>
					</table>
					<div>
					
						<div style="width: 50%; float: right">

							<table class="general-form-print noborder">
								<tr>
									<td>Authorized by<br /><br /><br />..................................................................<br /><br />Name: <br /><br />Date: </td>
									<td>Received by<br /><br /><br />..................................................................<br /><br />Name: <br /><br />Date: </td>
								</tr>
							</table>
							
						</div>
						<div style="width: 45%">
						
							<h4>Denominations</h4>	
							<table  class="order-form-print">
								<thead>
									<tr>
										<th style="width: 50px">No</th>
										<th>Type</th>
										<th>Details</th>
										<th style="width: 150px">Amount</th>
									</tr>
								</thead>
								<tbody>
									<?php $x = 1; foreach ($pv->breakdown as $breakdown): ?>
									<tr>
										<td style="text-align: center"><?php echo $x; ?></td>
										<td><?php echo $breakdown->payment_method; ?></td>
										<td><?php echo $breakdown->payment_reference; ?></td>
										<td style="text-align: right"><?php echo number_format($breakdown->amount,2); ?></td>
									</tr>
									<?php $b_total += $breakdown->amount; endforeach; ?>
									<tr class="foot">
										<td colspan="3"><trong>TOTAL</strong></td>
										<td style="text-align: right"><?php echo number_format($b_total,2); ?></td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>
	</div>