	<div class="toolbar">
		<h3 class="grid-title">
			<a class="v-dbtn back_btn" style="float:right; padding:0 25px; margin-top: -1px" href="accounts/payment_purchase_edit/<?php echo $receipt->id; ?>">Back</a>Receipt #<?php echo $receipt->id; ?>
			<a class="v-dbtn" style="float:right; padding:0 25px; margin-top: -1px; margin-right: 5px; font-weight: bold" href="javascript:window.print()">Print</a>
		</h3>
	</div>
	<div class="status">
	
	</div>

	<div class="main_full" style="background: #DDD">
	
			<div class="doc-pad" style="padding: 15px">
				<?php if ($receipt->status == 'Voided'): ?>
				<div style="color: red; opacity: 0.1; font-size: 100pt; position: absolute; margin-top: 200px; margin-left: 120px;">
					VOIDED
				</div>
				<?php endif; ?>
				<div style="padding: 20px 0 10px 0; border-bottom: 1px solid #555; ">
					<h2 style="text-align: right; float: right; margin: 0; padding: 0">Receipt</h2>
					<?php if ($logo = $this->system->config('company_logo')): ?>
					<img src="<?php echo base_url(); ?>../assets/img/<?php echo $logo; ?>" style="float: left; margin-right: 10px; width: 185px;" />
					<?php endif; ?>
					<p style="padding-left: 195px; margin: 0; ">
						<strong><?php echo $this->system->config('company_name'); ?></strong><br />
						<?php echo $this->system->config('company_address'); ?><br />
						<?php echo $this->system->config('company_contact'); ?>
					</p>
				</div>
				<div style="padding-top: 15px">
					<table class="general-form-print noborder">
						<tr>
							<td></td>
							<td style="width: 150px" class="label"><strong>Receipt Number</strong></td>
							<td style="width: 150px" class="pv-number input">RC-<?php echo $receipt->id; ?></td>
						</tr>
						<tr>
							<td></td>
							<td style="width: 150px" class="label"><strong>Date</strong></td>
							<td style="width: 150px" class="pv-date input"><?php echo date('d/m/Y',strtotime($receipt->datetime)); ?></td>
						</tr>
					</table>
				</div>
				<div>
					<table class="general-form-print noborder">
						<tr>
							<td>Received from: <?php echo $receipt->contact ? $receipt->contact : $receipt->account; ?></td>
							<td></td>
						</tr>
					</table>
					<table class="order-form-print">
						<thead>
							<tr>
								<th style="width: 50px">No</th>
								<th>Particulars</th>
								<th style="width: 150px">Amount</th>
							</tr>
						</thead>
						<tbody>
							<?php $x = 0; foreach ($receipt->items as $item): $x++; ?>
							<tr>
								<td style="text-align: center"><?php echo $x; ?></td>
								<td>
									<?php if ($item->invoice_id): $invoice = $this->sale->get_invoice_by_id($item->invoice_id); ?>
									Received payment for Invoice INV-<?php echo $invoice->txn_no; ?>
									<?php elseif ($item->dn_id): $dn = $this->inv->get_dn_by_id($item->dn_id); ?>
									Received payment for Debit Note DN-<?php echo $dn->txn_no; ?>
									<?php elseif ($item->po_id): $po = $this->inv->get_po_by_id($item->po_id); ?>
									Contra with Purchase Order PO-<?php echo $po->txn_no; ?>
									<?php elseif ($item->cn_id): $cn = $this->sale->get_cn_by_id($item->cn_id); ?>
									Contra with Credit Note CN-<?php echo $cn->txn_no; ?>
									<?php else: ?>
									Payment for Ref No: <?php echo $item->reference; ?>
									<?php endif; ?>
								</td>
								<td style="text-align: right">
									<?php if ($item->po_id || $item->cn_id) echo '-'; ?><?php echo number_format($item->amount,2); ?>
								</td>
							</tr>
							<?php 
								if ($item->po_id) $total -= $item->amount; 
								elseif ($item->cn_id) $total -= $item->amount; 
								elseif ($item->dn_id) $total += $item->amount; 
								elseif ($item->invoice_id) $total += $item->amount; 
								else $total += $item->amount;
								
								endforeach; 
							?>
							<tr class="foot">
								<td colspan="2"><trong>TOTAL</strong></td>
								<td style="text-align: right"><?php echo number_format($receipt->amount,2); ?></td>
							</tr>

						</tbody>
					</table>


					<div>
					
						<div style="width: 50%; float: right">

							<table class="general-form-print noborder">
								<tr>
									<td>Authorized by<br /><br /><br />..................................................................<br /><br />Name: <br /><br />Date: </td>
									<td>Received by<br /><br /><br />..................................................................<br /><br />Name: <br /><br />Date: </td>
								</tr>
							</table>
							
						</div>
						<div style="width: 45%">
						
							<h4>Denominations</h4>	
							<table  class="order-form-print">
								<thead>
									<tr>
										<th style="width: 50px">No</th>
										<th>Type</th>
										<th>Details</th>
										<th style="width: 150px">Amount</th>
									</tr>
								</thead>
								<tbody>
									<?php $x = 1; foreach ($receipt->breakdown as $breakdown): ?>
									<tr>
										<td style="text-align: center"><?php echo $x; ?></td>
										<td><?php echo $breakdown->payment_method; ?></td>
										<td><?php echo $breakdown->payment_reference; ?></td>
										<td style="text-align: right"><?php echo number_format($breakdown->amount,2); $breakdown_total += $breakdown->amount; ?></td>
									</tr>
									<?php $x++; endforeach; ?>
									<tr class="foot">
										<td colspan="3"><trong>TOTAL</strong></td>
										<td style="text-align: right"><?php echo number_format($breakdown_total,2); ?></td>
									</tr>
								</tbody>
							</table>
						</div>
					</div>

				</div>
			</div>
	</div>