<script type="text/javascript">

var content;
var accId;
var accName;
var allocAmount;
var allocType;
var allocTotal = 0.00;
var curAcc;
var allocNo = 0;

function readyPost(action,status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		$('form').clearForm();
		$('table.alloc tbody tr').remove();
		showDialog('ok','Journal Entry','Journey entry has been recorded successfully.');
	} else if (status == 3){
		showDialog('ok','Error','Account number specified is already taken. Please choose another one.');
		$('div.main_full').show();
		$('div.status').hide();

	} else {
		showDialog('ok','Error','There has been an error recording the journal entry.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}


$(document).ready(function(){
	$('a.submit_btn').click(function(event){
		$(this).parents('form').submit();
		event.preventDefault();
	});
	
	$('select.account_type').change(function(){
		$('input[name=number_prefix]').val($(this).val());
	});
	
	$('form').submit(function(){
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
	
	$('input.v-date').change(function(){

	});
	
	$('a.filter').click(function(e){
		e.preventDefault();
		var url = generate_filter_url();
		goTo(url);
	})
	
	$('a.cancel').click(function(){
		var rel = $(this).attr('rel');
		showDialog('yesno','Delete Transaction','Are you sure you want to delete this transaction?', function(){
			$.ajax({
				url: 'accounts/delete_transaction/',
				type: 'post',
				data: 'id='+rel,
				success: function(){
					goTo(generate_filter_url());
				}
			})
		})
	})
});

function generate_filter_url(){
	var url = $('.filter').attr('url');
	var from = $('input[name=from]').val();
	var to = $('input[name=to]').val();
	var flag = $('select[name=flag]').val();

	var nurl = url + '/' + from.replace(/\//g,'-') + '/' + to.replace(/\//g,'-') + '/' + flag; 
	return nurl;
}




</script>
	
	<div class="status">
	
	</div>

	<div class="toolbar">
		<h3 class="grid-title">
			<a href="accounts/coa" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn target_main">Back</a>
			[<?php echo $account->id; ?>] <?php echo $account->name; ?> 
		</h3>
		<div class="global-tabs" style="padding: 3px 5px; font-size: 10pt;">
			From <input style="width: 100px" value="<?php echo date('d/m/Y', strtotime($from)); ?>" type="text" name="from" class="v-text date" /> To <input value="<?php echo date('d/m/Y', strtotime($to)); ?>" style="width: 100px" type="text" name="to" class="v-text date" /> 
			&nbsp; <?php echo form_dropdown('flag', array(1=>'All Entries',2=>'Reconciled Entries',3=>'Unreconciled Entries'), $flag, 'class="v-dropdown" style="width: 150px"'); ?>
			<a url="accounts/account_view/<?php echo $account->id; ?>" href="" class="v-btn filter">Show</a>
		</div>
		<table id="coa" class="grid" rel="im">
			<thead>
				<tr>
					<th style="width: 80px">Txn Date</th>
					<th style="width: 80px">Actual Date</th>
					<th style="width: 150px">Reference</th>
					<th>Description</th>
					<th style="width: 120px">Dr</th>
					<th style="width: 120px">Cr</th>
					<th style="width: 120px">Balance</th>
					<th style="width: 60px"></th>
					<th style="width: 14px; padding: 0"></th>
				</tr>
			</thead>
		</table>
	</div>
	<div class="main_full">
		<table class="grid grid_data">
			<tr>
				<td style="width: 80px"><?php echo date('d/m/Y', strtotime($from)); ?></td>
				<td style="width: 80px"></td>
				<td style="width: 150px"></td>
				<td>Balance</td>
				<td style="width: 120px"></td>
				<td style="width: 120px"></td>
				<td style="width: 120px; text-align: right"><?php echo number_format($balance,2); ?></td>	
				<td style="width: 60px"></td>
			</tr>
			<?php $i = 0; foreach ($transactions as $txn): ?>
			<?php
				$balance += $txn->type == 'DR' ? $txn->amount : 0 - $txn->amount; 	
			?>
			<tr <?php if (!$i%2) echo 'class="alt"'; ?>>
				<td style="width: 80px"><?php echo date('d/m/Y', strtotime($txn->date)); ?></td>
				<td style="width: 80px"><?php echo $txn->recon_date ? date('d/m/Y', strtotime($txn->recon_date)) : ''; ?></td>
				<td style="width: 150px"><?php echo $txn->reference; ?></td>
				<td><?php echo $txn->description; ?></td>
				<td style="width: 120px; text-align: right"><?php echo $txn->type == 'DR' ? number_format($txn->amount,2) : ''; ?></td>
				<td style="width: 120px; text-align: right"><?php echo $txn->type == 'CR' ? number_format($txn->amount,2) : ''; ?></td>
				<td style="width: 120px; text-align: right"><?php echo number_format($balance,2); ?></td>	
				<td style="width: 60px; text-align: center"><a style="font-size: 7pt" class="v-btn cancel" rel="<?php echo $txn->id; ?>">View</a></td>
			</tr>
			<?php $i++; endforeach;?>
		</table>

	</div>
