<?php if (!$this->user->has_access('Assets')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

function filterItems(){
	var company = $('input.filter-company').val();
	var contact = $('input.filter-contact').val();

	var is_supplier = $('input.is_supplier').attr('checked') ? 1 : 0;
	var is_customer = $('input.is_customer').attr('checked') ? 1 : 0;
	var is_debtor = $('input.is_debtor').attr('checked') ? 1 : 0;
	var is_creditor = $('input.is_creditor').attr('checked') ? 1 : 0;
	
	$('table.grid_data tbody').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	
	$.ajax({
		url: base_url + 'contacts/contacts_filter',
		type: 'POST',
		data: 'company='+company+'&contact='+contact+'&is_supplier='+is_supplier+'&is_customer='+is_customer+'&is_debtor='+is_debtor+'&is_creditor='+is_creditor,
		success: function (result){
			$('div.main_full').html(result);
			$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
			populateEvents();
		}
	})
}

</script>
			<div class="toolbar">
			<h3 class="grid-title">
				<?php if ($this->user->has_permission('to_create_asset','Assets')): ?><a href="assets_manager/add" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">Add Asset</a><?php endif; ?>
				Assets
			</h3>
			<table class="grid">
				<thead>
					<tr>
						<th class="sortable" rel="0" style="width: 60px">Asset ID</th>
						<th class="sortable" rel="1">Asset Name</th>
						<th class="sortable" rel="2" style="width: 100px">Acquisition Date</th>
						<th class="sortable" rel="3" style="width: 100px">Amortization Date</th>
						<th class="sortable" rel="4" style="width: 100px">Acquisition Cost</th>
						<th class="sortable" rel="5" style="width: 100px">Current Cost</th>
						<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
					</tr>
				</thead>
			</table>
		</div>
		<div class="main_full">
			<table class="grid grid_data">	
				<tbody>
					<?php $x = 0; foreach ($assets as $asset): $x++; ?>
					<tr<?php if ($x%2) echo ' class="alt"'; ?>>
						<td rel="0" style="width: 60px"><?php echo $asset->id; ?></td>
						<td rel="1"><?php echo $asset->name; ?></td>
						<td rel="2" style="width: 100px; text-align: right"><?php echo date('d/m/Y', strtotime($asset->acquisition_date)); ?></td>
						<td rel="3" style="width: 100px; text-align: right"><?php echo date('d/m/Y', strtotime($asset->amortization_date)); ?></td>
						<td rel="4" style="width: 100px; text-align: right"><?php echo $asset->cost; ?></td>
						<td rel="5" style="width: 100px; text-align: right"><?php echo $asset->current_cost; ?></td>
						<td style="width: 75px; padding: 0">
							<?php if ($this->user->has_permission('to_view_asset','Assets')): ?><a class="grid-action grid-action-view target_main" href="assets_manager/view/<?=$asset->id?>"><span>View</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_edit_asset','Assets')): ?><a class="grid-action grid-action-edit target_main" href="assets_manager/edit/<?=$asset->id?>"><span>Edit</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_delete_asset', 'Assets')): ?><a class="grid-action grid-action-delete" href="assets_manager/delete/<?=$asset->id?>"><span>Delete</span></a><?php endif; ?>
						</td>
					</tr>
					<?php endforeach; ?>
				</tbody>
			</table>
		</div>