<?php if (!$this->user->has_permission('to_view_asset','Assets')) die('You do not have the permissions to access this area.'); ?>

	<div class="status">
	
	</div>
	<div class="toolbar">
		<h3 class="grid-title"><a href="assets_manager/elist" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn target_main">Back</a>Asset &raquo; <?php echo $asset->name; ?></h3>

	</div>	
	<div class="main_full">
		<div class="main-container">
		    <table class="general-form">
				<tbody>
					<tr>
						<td class="label">Asset Name</td>
						<td class="input"><?php echo $asset->name; ?></td>
					</tr>
					<tr>
						<td class="label">Product Name</td>
						<td class="input"><?php echo $asset->product_name; ?></td>
					</tr>
					<tr>
						<td class="label">Cost</td>
						<td class="input"><?php echo $asset->cost; ?></td>
					</tr>
					<tr>
						<td class="label">Category</td>
						<td class="input"><?php echo $asset->category; ?></td>
					</tr>
					<tr>
						<td class="label">Subcategory</td>
						<td class="input"><?php echo $asset->subcategory; ?></td>
					</tr>
					<tr>
						<td class="label">Acquisition Date</td>
						<td class="input"><?php echo date('d/m/Y',strtotime($asset->acquisition_date)); ?></td>
					</tr>
					<tr>
						<td class="label">Amortization Date</td>
						<td class="input"><?php echo date('d/m/Y',strtotime($asset->amortization_date)); ?></td>
					</tr>
					<tr>
						<td class="label">Evaluation Interval</td>
						<td class="input">
							<?php switch ($asset->evaluation_interval){
								case "1": echo 'Every Month'; break;
								case "3": echo 'Every 3 Months'; break;
								case "6": echo 'Every 6 Months'; break;
								case "12": echo 'Every 12 Months'; break;
							}
							?>
						</td>
					</tr>
					<tr>
						<td class="label">Barcode</td>
						<td class="input"><?php echo $asset->barcode; ?></td>						
					</tr>
				</tbody>
			</table>
			
			<h3>Remarks</h3>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Remarks</td>
						<td class="input"><?php echo $asset->remarks; ?></td>
					</tr>
				</tbody>
			</table>
			
			
			<h3>Depreciation Schedule</h3>
			<table class="grid">
				<thead>
					<tr>
						<th style="width: 50px">Month</th>
						<th style="width: 100px">Date</th>
						<th style="width: 100px">Depn. Amount (<?php echo $this->system->config('currency'); ?>)</th>
						<th style="text-align: right;">Value (<?php echo $this->system->config('currency'); ?>)</th>
					</tr>
				</thead>
				<tbody>
					<?php foreach ($asset->schedule as $depn): $x++; ?>
					<tr <?php if ($x%2 == 0) echo 'class="alt"'; ?>>
						<td><?php echo $x; ?></td>
						<td><?php echo date('d/m/Y', strtotime($depn->date)); ?></td>
						<td style="text-align: right;"><?php echo number_format($depn->depreciation_amount,2); ?></td>
						<td style="text-align: right;"><?php echo number_format($depn->current_value,2); ?></td>
					</tr>
					<?php endforeach; ?>
				</tbody>
			</table>
		</div>
	</div>
