<?php if (!$this->user->has_permission('to_edit','Clinic')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">


function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Appointment','Appointment has been updated.');
		$('input.ic').focus();
		form_warning = false;
	} else if (status == 0) {
		showDialog('ok','Error','There has been an error saving the appointment.');
		$('div.main_full').show();
		$('div.status').hide();
	} 
}



$(document).ready(function(){
	

	$('a.create').click(function(event){
		$('form.insert').submit();
		event.preventDefault();
	});
	
	$('form').submit(function(){
	
		var ok = true;
		$('input.mandatory').each(function(){
			if (!$(this).val()) ok = false;
		});
		
		if (!ok){
			showDialog('ok','Error','Please make sure you have filled in the mandatory fields.');
			return false;
		}
		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
	
	
});

</script>
	<div class="status">
	
	</div>
	<div class="toolbar">
		<h3 class="grid-title"><a href="clinic/appointments" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn target_main">Back</a>Edit Appointment &raquo; <?php echo $appointment->title; ?></h3>
		<div class="global-tabs" style="padding: 3px 5px">
			<a class="v-btn create">Save Appointment</a>
		</div>
	</div>

	<div class="main_full">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing/empty/<?php echo mt_rand(10000,99999); ?>" style="width:0;height:0;border:0px solid #fff;"></iframe>

		<div class="main-container">


		<form class="insert" enctype="multipart/form-data" method="post" action="<?=base_url()?>clinic/appointment_edit/<?php echo $appointment->id; ?>/do" target="postframe">
			<div class="notice" style="margin-bottom: 15px">
			
			</div>
			
			<div id="item" class="tabs">
			<p><span style="color:red">*</span> Mandatory fields</p>
			<h3>Appointment Details</h3>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Patient <span class="red">*</span></td>
						<td class="input"><?php echo form_dropdown('patient', $this->klinik->patients_dropdown(true), $appointment->module_id, 'class="v-dropdown"'); ?></td>
					</tr>
					<tr>
						<td class="label">From <span class="red">*</span></td>
						<td class="input"><input value="<?php echo date('d/m/Y',strtotime($appointment->start)); ?>" style="width: 80px" type="text" name="start_date" class="v-text date mandatory" /> <input value="<?php echo date('h:iA',strtotime($appointment->start)); ?>" style="width: 60px" type="text" name="start_time" class="v-text time mandatory" /></td>
					</tr>
					<tr>
						<td class="label">To <span class="red">*</span></td>
						<td class="input"><input value="<?php echo date('d/m/Y',strtotime($appointment->end)); ?>" style="width: 80px" type="text" name="end_date" class="v-text date mandatory" /> <input value="<?php echo date('h:iA',strtotime($appointment->end)); ?>" style="width: 60px" type="text" name="end_time" class="v-text time mandatory" /></td>
					</tr>
					<tr>
						<td class="label">Notes</td>
						<td class="input"><textarea class="v-textarea" name="notes"><?php echo $appointment->notes; ?></textarea></td>
					</tr>
				</tbody>
			</table>
			
		</form>
		</div>
	</div>
