<?php if (!$this->user->has_permission('to_view','Clinic')) die('You do not have the permissions to access this area.'); ?>
<script>

$(document).ready(function(){
	$('ul.details-tabs a').click(function(e){
		e.preventDefault();
		$('div.tabs').hide();
		$($(this).attr('href')).show();
	});

	$('ul.details-tabs a.current').click();

})
</script>
	<div class="status">
	
	</div>
	<div class="toolbar">
		<h3 class="grid-title"><a href="clinic/patients" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn back_btn">Back</a>Patient &raquo; <?php echo $contact->contact_person; ?></h3>
		<div class="global-tabs">
			<ul class="details-tabs">
				<li><a class="details current" href="#details">Patient Details</a></li>
				<li><a class="history" href="#history">Patient History</a></li>
			</ul>
		</div>

	</div>

	<div class="main_full">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing/empty/<?php echo mt_rand(10000,99999); ?>" style="width:0;height:0;border:0px solid #fff;"></iframe>

		<div id="details" class="tabs" style="padding: 10px">
			<form>
				<h3>Identification Card Number (IC)</h3>
				<table class="general-form">
					<tbody>
						<tr>
							<td class="label">Identification Number</td>
							<td class="input"><?php echo $patient->ic; ?></td>
						</tr>
					</tbody>
				</table>		
				<h3>Contact Details</h3>
				<table class="general-form">
					<tbody>				
						<tr>
							<td class="label">Name </td>
							<td class="input"><?php echo $contact->contact_person; ?></td>
						</tr>
						
						<tr>
							<td class="label">Gender </td>
							<td class="input"><?php echo $patient->gender; ?></td>
						</tr>
						
						<tr>
							<td class="label">Address 1 </td>
							<td class="input"><?php echo $contact->address1; ?></td>
						</tr>
						<tr>
							<td class="label">Address 2</td>
							<td class="input"><?php echo $contact->address2; ?></td>
						</tr>
						<tr>
							<td class="label">City </td>
							<td class="input"><?php echo $contact->city; ?></td>
						</tr>
						<tr>
							<td class="label">Zipcode </td>
							<td class="input"><?php echo $contact->zipcode; ?></td>
						</tr>
						<tr>
							<td class="label">State/Province </td>
							<td class="input"><?php echo $contact->state; ?></td>
						</tr>
						<tr>
							<td class="label">Country </td>
							<td class="input"><?php echo $contact->country; ?></td>
						</tr>
						<tr>
							<td class="label">Email</td>
							<td class="input"><?php echo $contact->general_email; ?></td>
						</tr>
						<tr>
							<td class="label">Contact Number </td>
							<td class="input"><?php echo $contact->contact_number; ?></td>
						</tr>
	
						<tr>
							<td class="label">Marital Status </td>
							<td class="input"><?php echo $patient->marital_status; ?></td>
						</tr>
						
						<tr>
							<td class="label">Spouse's IC </td>
							<td class="input"><?php echo $patient->spouse_ic; ?></td>
						</tr>
					</tbody>
				</table>
				
				<h3>Health Details</h3>
				<table class="general-form">
						<tr>
							<td class="label">Blood Type </td>
							<td class="input"><?php echo $patient->blood_type; ?></td>
						</tr>
						<tr>
							<td class="label">Weight </td>
							<td class="input"><?php echo $patient->weight; ?></td>
						</tr>
	 					<tr>
							<td class="label">Height </td>
							<td class="input"><?php echo $patient->height; ?></td>
						</tr>	
						<tr>
							<td class="label">Allergy</td>
							<td class="input"><?php echo nl2br($patient->allergy); ?></td>
						</tr>									
				</table>
				<br/>
			</form>
		</div>
		
		<div id="history" class="tabs" style="padding: 10px">
			<div class="log-container">
			<?php $x = 0; foreach ($patient_history as $history): ?>
				<div <?php if ($x%2) echo 'style="background: #EEE"'; else echo 'style="background: #FFF"' ?> class="log">
					<div class="log-meta">Recorded on <?php echo date('h:iA d/m/Y', strtotime($history->added_on)); ?> by <?php echo $history->added_by; ?></div>
					<div class="log-subject">Problem</div>
					<div class="log-description">
						<?php echo $history->problem; ?>
					</div>
					<hr />
					<div class="log-subject">Physical Examination</div>
					<div class="log-description">
						<?php echo $history->physical_examination; ?>
					</div>
					<hr />
					<div class="log-subject">Diagnosis</div>
					<div class="log-description">
						<?php echo $history->diagnosis; ?>
					</div>
					<hr />
					<div class="log-subject">Treatment</div>
					<div class="log-description">
						<?php echo $history->treatment; ?>
					</div>
					<hr />
					<div class="log-subject">Medicine</div>
					<div class="log-description">
						<table>
						<?php $med_list = $meds[$history->sale_id]; ?>
						<?php foreach ($med_list as $med): ?>
							<tr>
								<td><?php echo $med->item_name; ?></td>
								<td style="padding-left: 10px"><?php echo $med->qty . ' ' . ($med->unit ? $med->unit : 'unit'); ?></td>
								<td style="padding-left: 10px"><?php echo $med->clinic_dosage; ?></td>
							</tr>
						<?php endforeach; ?>
						</table>
					</div>
				</div>
			<?php $x++; endforeach; ?>
			</div>
		</div>
	</div>
