<?php if (!$this->user->has_permission('to_create_contact','Contacts')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">


function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		$('form').clearForm();
		showDialog('ok','Contact','New contact has been added.');
		form_warning = false;
	} else if (status == 2){

		showDialog('ok','Error','Password length must be at least 6 characters long');
		$('div.main_full').show();
		$('div.status').hide();
		
	} else if (status == 0) {
		showDialog('ok','Error','Contact cannot be saved now. Please login again.');
		$('div.main_full').show();
		$('div.status').hide();
	} 
}

$(document).ready(function(){
	$('a.create').click(function(event){
		$('form.insert').submit();
		event.preventDefault();
	});
	
	$('form').submit(function(){
	
		var ok = true;
		$('input.mandatory').each(function(){
			if (!$(this).val()) ok = false;
		});
		
		if (!ok){
			showDialog('ok','Form Error','Please make sure you have filled the form correctly.');
			return false;
		}
		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>').show();
	});
	

})

</script>
	<div class="toolbar">
		<h3 class="grid-title"><a href="customers/elist" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn back_btn">Back</a>New Contact</h3>
		<div class="global-tabs" style="padding: 5px">
			<a class="v-btn create">Save Contact</a>
		</div>
	</div>
	<div class="status">
	
	</div>

	<div class="main_full">
		<div class="main-container">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>

		<form class="insert" method="post" action="<?=base_url()?>contacts/add/do" target="postframe">
			<h3>Contact Information</h3>
			<p><span class="red">*</span> Mandatory fields</p>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Company Name</td>
						<td class="input"><input type="text" name="company_name" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">Registration Number</td>
						<td class="input"><input type="text" name="company_registration" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">GST/VAT Number</td>
						<td class="input"><input type="text" name="tax_no" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">Contact Person <span class="red">*</span></td>
						<td class="input"><input type="text" name="contact_person" class="v-text mandatory" /></td>
					</tr>
					<tr>
						<td class="label">Contact Number</td>
						<td class="input"><input type="text" name="contact_number" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">Contact Type</td>
						<td class="input">
							<input type="checkbox" name="is_member" value="1" <?php if ($contact->is_member) echo 'checked="checked"'; ?> /> Member<br />
							<input type="checkbox" name="is_prospect" value="1" <?php if ($contact->is_prospect) echo 'checked="checked"'; ?> /> Prospect<br />
							<input type="checkbox" name="is_customer" value="1" <?php if ($contact->is_customer) echo 'checked="checked"'; ?> /> Customer<br />
							<input type="checkbox" name="is_agent" value="1" <?php if ($contact->is_agent) echo 'checked="checked"'; ?> /> Agent<br />
							<input type="checkbox" name="is_supplier" value="1" <?php if ($contact->is_supplier) echo 'checked="checked"'; ?> /> Supplier<br />
							<input type="checkbox" name="is_stakeholder" value="1" <?php if ($contact->is_stakeholder) echo 'checked="checked"'; ?> /> Stakeholder<br />
							<input type="checkbox" name="is_franchise" value="1" <?php if ($contact->is_franchise) echo 'checked="checked"'; ?> /> Franchise<br />

						</td>
					</tr>
					<tr>
						<td class="label">Contact Rank</td>
						<td class="input"><?php echo form_dropdown('rank', $ranks, $contact->rank, 'class="v-dropdown"'); ?> Other: <input value="" type="text" name="rank_other" class="v-txt" /></td>
					</tr>
					<tr>
						<td class="label">System Identification Number</td>
						<td class="input"><input type="text" name="ic" class="v-text" /></td>
					</tr>
				</tbody>
			</table>
			
			
			<?php if ($this->system->config('online_sales')): ?>
			<h3>Online Store Credentials</h3>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Email</td>
						<td class="input"><input value="<?php echo $contact->email; ?>" type="text" name="email" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">Password</td>
						<td class="input"><input type="text" name="password" class="v-text" /></td>
					</tr>
				</tbody>
			</table>
			<?php endif; ?>
			
			
			<h3>Contact Details</h3>
			<table class="general-form">
				<tbody>

					<tr>
						<td class="label">Address 1</td>
						<td class="input"><input type="text" name="address1" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">Address 2</td>
						<td class="input"><input type="text" name="address2" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">City</td>
						<td class="input"><input type="text" name="city" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">Zipcode</td>
						<td class="input"><input type="text" name="zipcode" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">State/Province</td>
						<td class="input"><?php echo form_dropdown('state',$this->system->state_list($this->system->config('country')), '', 'class="v-city v-dropdown"'); ?></td>
					</tr>
					<tr>
						<td class="label">Country</td>
						<td class="input"><?php echo form_dropdown('country',$this->system->country_list(), $this->system->config('country'),'class="v-country v-dropdown"'); ?></td>
					</tr>
					<tr>
						<td class="label">Email</td>
						<td class="input"><input value="<?php echo $contact->general_email; ?>" type="text" name="general_email" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">Telephone</td>
						<td class="input"><input type="text" name="tel" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">Fax</td>
						<td class="input"><input type="text" name="fax" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">Nationality</td>
						<td class="input"><?php echo form_dropdown('nationality',$this->system->country_list(), $this->system->config('country'),'class="v-dropdown mandatory"'); ?></td>
					</tr>		
					<tr>
						<td class="label">Credit Limit</td>
						<td class="input"><input type="text" name="credit_limit" class="v-text v-number-decimal" /></td>
					</tr>
					<tr>
						<td class="label">Credit Term</td>
						<td class="input"><input value="<?php echo $contact->credit_term; ?>" type="text" name="credit_term" class="v-text v-number-decimal" /></td>
					</tr>
					<tr>
						<td class="label">Discount Limit</td>
						<td class="input"><input value="<?php echo $contact->discount_limit; ?>" type="text" name="discount_limit" class="v-text v-number-decimal" /></td>
					</tr>
					<tr>
						<td class="label">Status <span class="red">*</span></td>
						<td class="input"><?php echo form_dropdown('status',array('Active'=>'Active','Inactive'=>'Inactive'),'', 'class="v-dropdown"'); ?></td>
					</tr>
					
					

					
				</tbody>
			</table>
			
			<h3>Tags</h3>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Tags</td>
						<td class="input"><input type="text" class="v-text autocomplete-tag" name="tags" /></td>
					</tr>
				</tbody>
			</table>



			<h3>Notes</h3>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Notes</td>
						<td class="input"><textarea name="remarks" class="v-textarea"><?php echo $contact->notes; ?></textarea></td>
					</tr>
				</tbody>
			</table>
			
			<h3>Remarks</h3>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Remarks</td>
						<td class="input"><textarea name="remarks" class="v-textarea"></textarea></td>
					</tr>
				</tbody>
			</table>
			
		

		</form>
		</div>
	</div>
