<?php if (!$this->user->has_permission('to_edit_case','Contacts')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">


function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Case','Case has been updated.');
		form_warning = false;
	} else if (status == 0) {
		showDialog('ok','Error','Case cannot be saved now. Please login again.');
		$('div.main_full').show();
		$('div.status').hide();
	} 
}

$(document).ready(function(){
	$('a.create').click(function(event){
		$('form.insert').submit();
		event.preventDefault();
	});
	
	$('form').submit(function(){
	
		var ok = true;
		$('input.mandatory').each(function(){
			if (!$(this).val()) ok = false;
		});
		
		if (!ok){
			showDialog('ok','Form Error','Please make sure you have filled the form correctly.');
			return false;
		}
		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>').show();
	});
	
	$('#global-sidebar-list li').removeClass('current');
	$('#global-sidebar-list a.contacts').parent('li').addClass('current');
});

</script>
	<div class="toolbar">
		<h3 class="grid-title"><a href="contacts/cases/<?php echo $contact->id;?>" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn target_main">Back</a>Edit Case &raquo; <?php echo $contact->company_name ? $contact->company_name : $contact->contact_person; ?></h3>
		<div class="global-tabs" style="padding: 5px;">
			<a class="v-btn create">Save Case</a>
		</div>
	</div>
	<div class="status">
	
	</div>

	<div class="main_full">
		<div class="main-container">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>

		<form class="insert" method="post" action="<?=base_url()?>contacts/edit_case/<?php echo $case->id; ?>/do" target="postframe">
			
			<h3>Case Information</h3>
			<p><span class="red">*</span> Mandatory fields</p>

			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Subject <span class="red">*</span></td>
						<td class="input"><input value="<?php echo $case->subject; ?>" type="text" name="subject" class="v-text mandatory" /></td>
					</tr>
					<tr>
						<td class="label">Status <span class="red">*</span></td>
						<td class="input"><?php echo form_dropdown('status',array('Pending'=>'Pending','Low'=>'Low','Medium'=>'Medium','High'=>'High','Closed Solved'=>'Closed Solved','Closed Unsolved'=>'Closed Unsolved'),$case->status, 'class="v-dropdown"'); ?></td>
					</tr>
					<tr>
						<td class="label">Description</td>
						<td class="input"><textarea name="description" class="v-textarea"><?php echo $case->description; ?></textarea></td>
					</tr>
					<tr>
						<td class="label">File Location</td>
						<td class="input"><input type="text" name="file_location" value="<?php echo $case->file_location; ?>" class="v-text" /></td>
					</tr>
					<tr>
						<td class="label">File Reference Number</td>
						<td class="input"><input type="tel" name="reference_no" value="<?php echo $case->reference_no; ?>" class="v-text" /></td>
					</tr>
				</tbody>
			</table>
		</form>
		</div>
	</div>
