<script type="text/javascript">

var currentCase;
var currentData;

$(document).ready(function(){
	
	$('input.file-ref-no').keypress(function(e){
		if (e.which == 13){
			var ref = $(this).val();
			getCase(ref);
		}
	})
	
	$('input.file-location').keypress(function(e){
		if (e.which == 13){
			var location = $(this).val();
			updateFileLocation(location);
		}
	})
	
	$('input.file-ref-no').focus();
	
	$('button.update-location').click(function(e){
		e.preventDefault();
		
		var location = $('input.file-location').val();
		
		updateFileLocation(location);
	})
	
})

function updateFileLocation(location){
	$.ajax({
		url: 'contacts/file_movement_update',
		type: 'post',
		data: 'id='+currentData.id+'&location='+location,
		success: function (res){
			if (res){
				var data = currentData;
				$('div.case-details').html('');
				$('div.case-details').append('<p><strong>Description</strong><br />'+(data.description).replace("\n",'<br />')+'</p>');
				$('div.case-details').append('<p><strong>Case Status</strong><br />'+data.status+'</p>');
				$('div.case-details').append('<p><strong>Log Status</strong><br />'+data.log_status+'</p>');
				$('div.case-details').append('<p><strong>File Location</strong><br />'+location+'</p>');
				$('div.case-details').append('<p class="v-success">File location has been updated.</p>');
			}
		}
	})
}

function getCase(ref){
	$.ajax({
		url: 'contacts/file_movement_case_select',
		type: 'post',
		data: 'ref='+ref,
		dataType: 'json',
		success: function (data){

			currentData = data;
			
			$('div.case-details').html('');
			$('div.case-details').append('<p><strong>Description</strong><br />'+(data.description).replace("\n",'<br />')+'</p>');
			$('div.case-details').append('<p><strong>Case Status</strong><br />'+data.status+'</p>');
			$('div.case-details').append('<p><strong>Log Status</strong><br />'+data.log_status+'</p>');
			$('div.case-details').append('<p><strong>File Location</strong><br />'+data.file_location+'</p>');
			
			$('input.file-location').focus();
		}
	})	
}

</script>
	<div class="toolbar">
		<h3 class="grid-title">File Movement</h3>
	</div>
	
	<div class="main_full">
		
		<div style="text-align: center; padding: 20px 10px 20px 25px; width: 320px; float: left">
			<strong>File Reference No</strong><br /><br />
			<input style="font-size: 14pt; width: 280px" type="text" class="v-text file-ref-no" />
			<div style="margin-top: 20px">
				<strong>New Location</strong><br /><br />
				<input style="font-size: 14pt; width: 280px" type="text" class="v-text file-location" />
			</div>
			<div style="margin-top: 20px">
				<button style="font-size: 11pt; width: 286px" class="v-btn update-location">Update Location</button>
			</div>
		</div>
		
		<div style="padding-left: 380px; padding-right: 20px; padding-top: 20px;">
			<div style="background: #eee; border-radius: 10px; padding: 10px;">
				<h3>Case Details</h3>
				<div class="case-details">
					<i>No case selected.</i>
				</div>
			</div>
		</div>
	
	</div>