<?php if (!$this->user->has_access('Contacts')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

function filterItems(){
	var company = $('input.filter-company').val();
	var contact = $('input.filter-contact').val();
	var number 	= $('input.filter-contact-number').val();
	var rank 	= $('select.filter-rank').val();
	
	var is_supplier = $('input.is_supplier').attr('checked') ? 1 : 0;
	var is_customer = $('input.is_customer').attr('checked') ? 1 : 0;
	var is_member = $('input.is_member').attr('checked') ? 1 : 0;
	var is_stakeholder = $('input.is_stakeholder').attr('checked') ? 1 : 0;
	var is_franchisee = $('input.is_franchisee').attr('checked') ? 1 : 0;
	var is_agent = $('input.is_agent').attr('checked') ? 1 : 0;
	var is_prospect = $('input.is_prospect').attr('checked') ? 1 : 0;
		
	$('table.grid_data tbody').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	
	$.ajax({
		url: base_url + 'contacts/contacts_filter',
		type: 'POST',
		data: 'company='+company+'&contact='+contact+'&is_supplier='+is_supplier+'&is_customer='+is_customer+'&is_prospect='+is_prospect+'&is_agent='+is_agent+'&is_member='+is_member+'&is_franchisee='+is_franchisee+'&is_stakeholder='+is_stakeholder+'&number='+number+'&rank='+rank,
		success: function (result){
			$('div.main_full').html(result);
			$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
			populateEvents();
		}
	})

}


</script>
		<div class="toolbar">
			<h3 class="grid-title">
				<?php if ($this->user->has_permission('to_create_contact','Contacts')): ?><a href="contacts/add" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">Add Contact</a><?php endif; ?>
				Contacts
			</h3>
			<div class="global-tabs" style="padding: 5px; font-size: 10pt">
				<a class="v-btn show-filter-controls icon-search">Search</a>
			</div>
	
			<div class="modal-filter-form filter" style="font-size: 10pt;">
				<div class="triangle"></div>
				<table>
					<tr>
						<td>Company</td>
						<td><input type="text" name="id" class="v-text filter-company" style="width: 130px" /></td>
					</tr>
					<tr>
						<td>Contact Person</td>
						<td><input type="text" name="name" class="v-text filter-contact" style="width: 130px" /></td>
					</tr>
					<tr>
						<td>Contact Number</td>
						<td><input type="text" name="number" class="v-text filter-contact-number" style="width: 130px" /></td>
					</tr>
					<tr>
						<td>Rank</td>
						<td>
							<?php echo form_dropdown('rank', $this->contact->get_ranks(true),'','class="filter-rank v-dropdown" style="width:135px"'); ?>
						</td>
					</tr>

					<tr>
						<td>Type</td>
						<td>
							<span class="filter-field"><label><input type="checkbox" class="is_member" name="is_member" value="1" /> Member</label></span><br />
							<span class="filter-field"><label><input type="checkbox" class="is_prospect" name="is_prospect" value="1" /> Prospect</label></span><br />
							<span class="filter-field"><label><input type="checkbox" class="is_agent" name="is_agent" value="1" /> Agent</label></span><br />
							<span class="filter-field"><label><input type="checkbox" class="is_customer" name="is_customer" value="1" /> Customer</label></span><br />
							<span class="filter-field"><label><input type="checkbox" class="is_supplier" name="is_supplier" value="1" /> Supplier</label></span><br />
							<span class="filter-field"><label><input type="checkbox" class="is_stakeholder" name="is_stakeholder" value="1" /> Stakeholder</label></span><br />
							<span class="filter-field"><label><input type="checkbox" class="is_franchisee" name="is_franchisee" value="1" /> Franchisee</label></span>
						</td>
					</tr>
				</table>
				<hr />
				<a class="v-btn filter-btn">Filter</a>
			</div>
			
			<table class="grid">
				<thead>
					<tr>
						<th class="sortable" rel="0" style="width: 50px">ID</th>
						<th class="sortable" rel="1">Company Name</th>
						<th class="sortable" rel="5" style="width: 100px">Rank</th>
						<th class="sortable" rel="2" style="width: 200px">Contact Person</th>
						<th class="sortable" rel="3" style="width: 100px">Contact No</th>
						<th class="sortable" rel="4" style="width: 100px">Credit Limit</th>
						<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
					</tr>
				</thead>
			</table>
		</div>
		<div class="main_full">
			<table class="grid grid_data">	
				<tbody>
					<?php $x = 0; foreach ($contacts as $contact): $x++; ?>
					<tr<?php if ($x%2) echo ' class="alt"'; ?>>
						<td rel="0" style="width: 50px"><?php echo $contact->id; ?></td>
						<td rel="1"><?php echo $contact->company_name ? $contact->company_name : '<i>'.$contact->contact_person.'</i>'; ?></td>
						<td rel="5" style="width: 100px"><?php echo $contact->rank ? $contact->rank : '<i>N/A</i>'; ?></td>
						<td rel="2" style="width: 200px"><?php echo $contact->contact_person; ?></td>
						<td rel="3" style="width: 100px"><?php echo $contact->contact_number; ?></td>
						<td rel="4" style="width: 100px; text-align: right"><?php echo $contact->credit_limit != 0 ? $contact->credit_limit : '<i>N/A</i>'; ?></td>
						<td style="width: 75px; padding: 0">
							<?php if ($this->user->has_permission('to_view_contact','Contacts')): ?><a class="grid-action grid-action-view target_main" href="contacts/view/<?=$contact->id?>"><span>View</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_edit_contact','Contacts')): ?><a class="grid-action grid-action-edit target_main" href="contacts/edit/<?=$contact->id?>"><span>Edit</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_delete_contact', 'Contacts')): ?><a class="grid-action grid-action-delete" href="contacts/delete/<?=$contact->id?>"><span>Delete</span></a><?php endif; ?>
						</td>
					</tr>
					<?php endforeach; ?>
				</tbody>
			</table>
		</div>