<script type="text/javascript">

$(document).ready(function(){
	
	$('ul.im-tabs a').click(function(e){
		e.preventDefault();
		var table = $(this).attr('href');
		$('div.main_full table').hide();
		$('div.main_full table.'+table).show();
	})

});

</script>

		<div class="toolbar">
			<div class="im-container">
				<h3 class="grid-title"><a href="dashboard/compose_im" class="v-btn target_main float_right" style="padding: 0 10px; font-weight: normal">Compose IM</a>My Instant Messages</h3>
				<div class="global-tabs">
					<ul class="im-tabs">
						<li><a class="im-inbox current" href="inbox">Inbox</a></li>
						<li><a class="im-sent" href="sent">Sent</a></li>
						<li><a class="im-draft" href="draft">Draft</a></li>
					</ul>
				</div>
				<table class="grid" rel="im">
					<thead>
						<tr>
							<th rel="1" class="sortable" style="width: 25px; padding: 0; text-align: center"><img src="<?php echo base_url()?>images/email-status.gif" alt="Status"></th>
							<th rel="2" class="sortable" style="width: 25px; padding: 0; text-align: center"><img src="<?php echo base_url()?>images/email-flag.gif" alt="Status"></th>
							<th rel="3" class="sortable" style="width: 150px;">From</th>
							<th rel="4" class="sortable">Subject</th>
							<?php if ($this->user->has_all_division_access()): ?>
								<th rel="5" class="sortable" style="width: 160px">Division</th>
							<?php endif;?>
							<th rel="6" class="sortable-date" style="width: 160px">Date</th>
							<th class="grid-action" style="text-align: center; width: 50px; padding: 0;"><img src="<?php echo base_url()?>images/email-action.gif" alt="Action"></th>
							<th style="padding: 0; width: 15px;"></th>
						</tr>
					</thead>
				</table>
			</div>
		</div>
		<div class="main_full">
			<table class="grid grid_data inbox">
		    	<tbody>
		    		<?php 
		    			$x = 0;
		    			foreach($im_list as $im): 
		    				if ($im->status == 'sent') $status = '<img src="'.base_url().'images/email-unseen.png" />';
		    				else if ($im->status == 'replied') $status = '<img src="'.base_url().'images/email-replied.png" />';
		    				else $status = '';
		    				$classes = '';
		    				$tofrom = $im->from;
		    		?>
		    		<tr class="grid-item list-item <?php echo $classes?> <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $im->id?>">
		    			<td rel="1" class="sortable" style="width: 25px; padding: 0; text-align: center"><?php echo $status?></td>
		    			<td rel="2" class="sortable" style="width: 25px; padding: 0; text-align: center"><img src="<?php echo base_url()?>images/<?php echo str_replace(' ','_',$im->priority)?>.gif" alt="<?php echo $task->priority?>" /></td>
		    			<td rel="3" class="sortable" style="width: 150px"><?php echo $tofrom?></td>
		    			<td rel="4" class="sortable"><?php echo $im->subject?></td>
		    			<?php if ($this->user->has_all_division_access()): ?>
		    				<td rel="5" class="sortable" style="width: 160px"><?php echo $im->division?></td>
		    			<?php endif;?>
		    			<td rel="6" class="sortable-date" time="<?php echo strtotime($im->datetime); ?>" style="width: 160px"><?php echo date('j M, Y',strtotime($im->datetime))?></td>
		    			<td class="grid-action" style="width: 50px; padding: 0">
		    				<a class="grid-action grid-action-view" href="dashboard/view_im/<?php echo $im->id?>"><span>View</span></a>
		    				<a class="grid-action grid-action-delete" href="dashboard/delete_im/<?php echo $im->id?>"><span>Delete</span></a>
		    			</td>
		    		</tr>
		    		<?php $x++; endforeach; ?>
		    	</tbody>
			</table>
			<table class="grid grid_data draft" style="display:none">
				<tbody>
		    		<?php 
		    			$x = 0;
		    			foreach($im_draft_list as $im): 
		    				if ($im->status == 'sent') $status = '<img src="'.base_url().'images/email-unseen.png" />';
		    				else if ($im->status == 'replied') $status = '<img src="'.base_url().'images/email-replied.png" />';
		    				else $status = '';
		    				$classes = '';
		    				$tofrom = $im->from;
		    		?>
		    		<tr class="grid-item list-item draft <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $im->id?>">
		    			<td rel="1" class="sortable" style="width: 25px; text-align: center; padding: 0"><?php echo $status?></td>
		    			<td rel="2" class="sortable" style="width: 25px; text-align: center; padding: 0"><img src="<?php echo base_url()?>images/<?php echo str_replace(' ','_',$im->priority)?>.gif" alt="<?php echo $task->priority?>" /></td>
		    			<td rel="3" class="sortable" style="width: 150px"><?php echo $tofrom?></td>
		    			<td rel="4" class="sortable"><?php echo $im->subject?></td>
		    			<?php if ($this->user->has_all_division_access()): ?>
		    				<td rel="5" class="sortable" style="width: 160px"><?php echo $im->division?></td>
		    			<?php endif;?>
		    			<td rel="6" class="sortable-date" time="<?php echo strtotime($im->datetime); ?>" style="width: 160px"><?php echo date('j M, Y',strtotime($im->datetime))?></td>
		    			<td class="grid-action" style="width: 50px; padding: 0">
		    				<a class="grid-action grid-action-view" href="dashboard/view_im/<?php echo $im->id?>"><span>View</span></a>
		    				<a class="grid-action grid-action-delete" href="dashboard/delete_im/<?php echo $im->id?>"><span>Delete</span></a>
		    			</td>
		    		</tr>

		    		<?php $x++; endforeach; ?>
				</tbody>
			</table>
			<table class="grid grid_data sent" style="display:none">
				<tbody>
		    		<?php 
		    			$x = 0;
		    			foreach($im_sent_list as $im): 
		    				if ($im->status == 'sent') $status = '<img src="'.base_url().'images/email-unseen.png" />';
		    				else if ($im->status == 'replied') $status = '<img src="'.base_url().'images/email-replied.png" />';
		    				else $status = '';
		    				$classes = '';
		    				$tofrom = $im->from;
		    		?>
		    		<tr class="grid-item list-item sent <?php echo $x%2 == 0 ? 'alt' : ''; ?>" rel="<?php echo $im->id?>">
		    			<td rel="1" class="sortable" style="width: 25px; text-align: center; padding: 0"><?php echo $status?></td>
		    			<td rel="2" class="sortable" style="width: 25px; text-align: center; padding: 0"><img src="<?php echo base_url()?>images/<?php echo str_replace(' ','_',$im->priority)?>.gif" alt="<?php echo $task->priority?>" /></td>
		    			<td rel="3" class="sortable" style="width: 150px"><?php echo $tofrom?></td>
		    			<td rel="4" class="sortable"><?php echo $im->subject?></td>
		    			<?php if ($this->user->has_all_division_access()): ?>
		    				<td rel="5" class="sortable" style="width: 160px"><?php echo $im->division?></td>
		    			<?php endif;?>
		    			<td rel="6" class="sortable-date" time="<?php echo strtotime($im->datetime); ?>" style="width: 160px"><?php echo date('j M, Y',strtotime($im->datetime))?></td>
		    			<td class="grid-action" style="width: 50px; padding: 0">
		    				<a class="grid-action grid-action-view" href="dashboard/view_im/<?php echo $im->id?>"><span>View</span></a>
		    				<a class="grid-action grid-action-delete" href="dashboard/delete_im/<?php echo $im->id?>"><span>Delete</span></a>
		    			</td>
		    		</tr>

		    		<?php $x++; endforeach; ?>
		    	</tbody>
			</table>
		</div>