<div id="dashboard-container">

	<div id="global-sidebar">
		<ul id="global-sidebar-list">
			<li class="current"><a href="dashboard/overview" class="overview">Overview</a></li>
			<li><a href="dashboard/calendar" class="icon-calendar">Calendar</a></li>
			<li><a href="dashboard/im" class="icon-im">Instant Message</a></li>
			<li><a href="dashboard/jobsheet" class="icon-jobsheet">Jobsheet</a></li>
			<li><a href="dashboard/schedule" class="icon-schedule">Schedule</a></li>
			<li><a href="dashboard/memo" class="icon-memo">Memo</a></li>
		</ul>
		
	</div>
	<div id="global-content">
		<div class="toolbar">
			<h3 class="grid-title">Dashboard Summary</h3>
		</div>
		<div class="main_full">
			
			<?php foreach ($widgets as $widget): ?>
			<div id="widget-<?php echo $widget->id; ?>" class="dashboard-widget" style="border: 1px solid #DDD; margin: 10px; border-radius: 5px;">
			</div>
			<script type="text/javascript">
				$(window).load(function(){
					$('#widget-<?php echo $widget->id; ?>').html('<p align="center"><img src="images/loading.gif"> Loading</p>');
					$.ajax({
						url: base_url + 'reports/generate_widget/' + <?php echo $widget->id; ?>,
						success: function (output){
							$('#widget-<?php echo $widget->id; ?>').html('<div class="container" style="display:none">'+output+'</div>');
							$('#widget-<?php echo $widget->id; ?> div.container').fadeIn();
						}
					})
				});
			</script>

			<?php endforeach; ?>
			
			<script type="text/javascript">
			
			$(document).ready(function(){
				
				$('div.dashboard-widget').each(function(){
				
					var width = $(this).width();
					if (width > 310){
						$(this).addClass('mobile-width-overflow');
					}
				})
				
			});
			
			</script>			
			
		</div>
	</div>
</div>