		<script type='text/javascript'>

		$('input[name=from_time]').timeEntry({spinnerImage: base_url+'images/spinnerDefault.png'});
		$('input[name=to_time]').timeEntry({spinnerImage: base_url+'images/spinnerDefault.png'});
		$('input[name=from_date]').dateEntry({dateFormat: 'dmy/',spinnerImage: base_url+'images/spinnerDefault.png'});
		$('input[name=to_date]').dateEntry({dateFormat: 'dmy/',spinnerImage: base_url+'images/spinnerDefault.png'});
		
		$('input[name=assign_type]').click(function(){
			if ($(this).val() == 'staff'){
				$('tr.staff_field').show();
			} else {
				$('tr.staff_field').hide();
			}
		});

		$(function(){
			$('div.global-tabs a').click(function(event){
				event.preventDefault();
				var action = $(this).attr('rel');
				var error = false;
				$('input[name=action]').val(action);
				if (action == 'discard'){
					readyPost(action,1);
					$('div.main_full').css('display','none');
				} else {
					if ($('input[name=task]').val() == ''){
						$('input[name=task]').focus();
						error = true;
					} else {
						if ($('input[name=from_date]').val() == ''){
							$('input[name=from_date]').focus();
							error = true;
						} else {
							if ($('input[name=to_date]').val() == ''){
								$('input[name=to_date]').focus();
								error = true;
							}	 
						}
					}
					if (!error){
						$(this).parents('form').submit();
						startPost(action);
						$('div.main_full').css('display','none');
					}
				}
			});
		});
		function startPost(action){
			if (action == 'discard'){
				$('div.status').html('<p style="padding: 10px"><img src="'+base_url+'images/loading.gif" style="vertical-align: middle" alt="loading" /> Discarding task</p>')
			} else if (action == 'save'){
				$('div.status').html('<p style="padding: 10px"><img src="'+base_url+'images/loading.gif" style="vertical-align: middle" alt="loading" /> Saving task</p>')
			} 
		}
		function readyPost(action,status,id){
			if (action == 'save'){
				if (status == 1){
					$('div.status').html('<p style="padding: 10px"><img src="'+base_url+'images/loading.gif" style="vertical-align: middle" alt="loading" /> Task saved</p>');
						setTimeout(function() { 
							$('div.main_full').css('display','block');
							$('div.main_full form').clearForm();
							$('div.status').html('');
							showDialog('ok','Task','Task has been saved');
						}, 500); 

				} else if (status == 0){
					$('div.status').html('<p style="padding: 10px"><img src="'+base_url+'images/loading.gif" style="vertical-align: middle" alt="loading" /> <span style="color:red">Saving task failed</span>. Redirecting...</p>');
						setTimeout(function() { 
							$('div.main_full').css('display','block');
							$('div.status').html('');
							showDialog('ok','Task','Failed to save task. Try again later.');
						}, 500); 
				}
			}
			if (action == 'discard'){
				$('div.status').html('<p style="padding: 10px"><img src="'+base_url+'images/loading.gif" style="vertical-align: middle" alt="loading" /> Task discarded successfully. Redirecting...</p>');
				setTimeout(function() { 
					$('div.main_full').css('display','block');
					$('div.main_full form').clearForm();
					$('div.status').html('');
				}, 500); 
			}
		}
	
		$(document).ready(function(){
			$('#global-sidebar-list li').removeClass('current');
			$('#global-sidebar-list a.jobsheet').parents('li').addClass('current');
		});

		</script>
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
		<div class="status"></div>
		

		<div class="toolbar">
			<form method="post" action="<?=base_url()?>dashboard/add_task" target="postframe">
			<h3 class="grid-title"><a class="v-dbtn target_main" style="float:right; padding:0 25px; margin-top: -1px" href="dashboard/jobsheet">Back</a>New Task</h3>
			<div class="global-tabs" style="padding: 2px 5px">
				<a class="v-btn" rel="save">Save Task</a>
				<!-- <a class="v-dbtn" rel="discard">Discard Task</a> -->
			</div>

				<table class="grid-form">
				    <tr>
				    	<td class="label">Task</td>
				    	<td class="input"><input type="text" name="task" class="v-text" /></td>
				    </tr>
				    <tr>
				    	<td class="label">Location</td>
				    	<td class="input"><input type="text" name="location" class="v-text" /></td>
				    </tr>
				    <?php if ($this->user->can_assign_task()):?>
				    <tr class="staff_field">
				    	<td class="label">Assign To</td> 
				    	<td class="input"><input type="text" name="user" class="v-text autocomplete-user" /></td>
				    </tr>
				    <?php endif; ?>
				    <tr>
				    	<td class="label">All Day Task</td>
				    	<td class="input"><input type="checkbox" name="allday" class="v-text" value="true" /></td>
				    </tr>
				    <tr>
				    	<td class="label">Begins on</td>
				    	<td class="input"><input style="width: 80px" type="text" name="from_date" class="v-text date" value="<?=date('d/m/Y')?>" /> <input style="width: 80px" type="text" name="from_time" class="v-text time" /></td>
				    </tr>
				    <tr>
				    	<td class="label">Ends on</td>
				    	<td class="input"><input style="width: 80px" type="text" name="to_date" class="v-text date" value="<?=date('d/m/Y')?>" /> <input style="width: 80px" type="text" name="to_time" class="v-text time" /></td>
				    </tr>
				    <tr>
				    	<td class="label">Priority</td>
				    	<td class="input"><?=form_dropdown('priority',array('Low'=>'Low','Normal'=>'Normal','High'=>'High','Very High'=>'Very High'),'','style="width: 80px" class="v-dropdown"')?></td>
				    </tr>
				    <tr>
				    	<td class="label">Status</td>
				    	<td class="input"><?=form_dropdown('status',array('Pending'=>'Pending','In Progress'=>'In Progress','Completed'=>'Completed','Incomplete'=>'Incomplete'),'','style="width: 80px" class="v-dropdown"')?></td>
				    </tr>
				</table>
				<input type="hidden" name="notes" />
			</form>
		</div>
		<div class="main_full">
			<div class="im-container">
				<div class="text-canvas">
					<textarea name="notes"></textarea>
					<script type='text/javascript'>
						$(function(){
							$('textarea').autogrow();
							
							$('textarea[name=notes]').keypress(function(){
								$('input[name=noets]').val($(this).val());
							})
						});
					</script>
				</div>
			</div>
			
		</div>
