<script type="text/javascript">

$(document).ready(function(){
	
	$('ul.schedule-tabs a').click(function(e){
		e.preventDefault();
		var type = $(this).attr('href');
		$('div.main_full table').hide();
		$('div.main_full table.'+type).show();
	});

});

</script>

	<div class="toolbar">
		<h3 class="grid-title"><a href="dashboard/new_schedule" class="target_main v-btn float_right" style="padding: 0 10px; font-weight: normal">Add New Schedule</a>Schedule</h3>
	    <div class="global-tabs">
			<div style="float: right; font-size: 9pt; padding: 3px 7px 0 7px;">
					<span><strong>Legend</strong></span> 
					<span class="calendar-meeting">Meeting</span> 
					<span class="calendar-appointment">Appointment</span> 
					<span class="calendar-schedule">Schedule</span>
			</div>
	    	<ul class="schedule-tabs">
	    		<li><a class="schedule-list current" href="schedule-list">Schedule</a></li>
	    		<li><a class="schedule-meeting" href="meeting">Meeting</a></li>
	    		<li><a class="schedule-appointment" href="appointment">Appointment</a></li>
	    	</ul>
	    </div>
	    

	    <table class="grid">
	    	<thead>
	    		<tr>
	    			<th rel="1" class="sortable" style="width: 25px; text-align: center; padding: 0"><img src="<?php echo base_url()?>images/email-status.gif" alt="Status"></th>
	    			<th rel="2" class="sortable" style="width: 25px; text-align: center; padding: 0"><img src="<?php echo base_url()?>images/email-flag.gif" alt="Status"></th>
	    			<th rel="3" class="sortable">Meeting / Appointment / Schedule</th>
	    			<th rel="4" class="sortable" style="width: 200px">Venue</th>
	    			<th rel="5" class="sortable-date" style="width: 140px">From</th>
	    			<th rel="6" class="sortable-date" style="width: 140px">To</th>
	    			<th rel="7" class="sortable" style="width: 100px">Status</th>
	    			<th class="grid-action" style="text-align: center; padding: 0; width: 75px;"><img src="<?php echo base_url()?>images/email-action.gif" alt="Action"></th>
	    			<th style="padding: 0; width: 15px; "></th>
	    		</tr>
	    	</thead>
	    </table>
	</div>
	
	<div class="main_full">
		
	    
	    <table class="grid grid_data schedule-list">
	    	<tbody>
	    	<?php $x = 0; foreach ($schedule_list as $schedule): ?>
	    		<tr class="list-item  item-<?php echo $schedule->type?> <?php echo $x%2 == 0 ? 'alt' : ''; ?>">
	    			<td rel="1" class="sortable" style="width: 25px; text-align:center; padding: 0;">
	    				<?php if ($schedule->new_to_user && $schedule->user == $user->username) echo '<img src="'.base_url().'images/email-unseen.png"' . '/>';?>
	    				<?php if ($schedule->new_to_assigner && $schedule->assigned_by == $user->username) echo '<img src="'.base_url().'images/email-unseen.png"' . '/>';?>
	    			</td>
	    			<td rel="2" class="sortable" style="width: 25px; text-align:center; padding: 0;"><img src="<?php echo base_url()?>images/<?php echo str_replace(' ','_',$schedule->priority)?>.gif" alt="<?php echo $schedule->priority?>" /></td>
	    			<td rel="3" class="sortable"><span class="calendar-<?php echo strtolower($schedule->type)?>"><?php echo $schedule->title?></span></td>
	    			<td rel="4" class="sortable" style="width: 200px;"><?php echo $schedule->location?></td>
	    			<?php if ($schedule->allday): ?>
		    			<td rel="5" class="sortable-date" style="width: 140px" time="<?php echo strtotime($schedule->start); ?>"><?php echo date('j M, Y',strtotime($schedule->start))?></td>
		    			<td rel="6" class="sortable-date" style="width: 140px" time="<?php echo strtotime($schedule->end); ?>"><?php echo date('j M, Y',strtotime($schedule->end))?></td>
	    			<?php else: ?>
	    				<td rel="5" class="sortable-date" style="width: 140px" time="<?php echo strtotime($schedule->start); ?>"><?php echo date('h:i A',strtotime($schedule->start))?> <?php echo date('d/m/Y') == date('d/m/Y',strtotime($schedule->start)) ? '' : date('j M, Y',strtotime($schedule->start))?></td>
	    				<td rel="6" class="sortable-date" style="width: 140px" time="<?php echo strtotime($schedule->end); ?>"><?php echo date('h:i A',strtotime($schedule->end))?> <?php echo date('d/m/Y') == date('d/m/Y',strtotime($schedule->end)) ? '' : date('j M, Y',strtotime($schedule->end))?></td>
	    			<?php endif; ?>
	    			<td rel="7" class="sortable" style="width: 100px"><span><?php echo $schedule->status?></span></td>
	    			<?php if ($schedule->user != $user->username): ?>
	    				<td class="grid-action" style="width:75px; padding: 0">
	    					<a class="grid-action grid-action-view target_main" href="dashboard/view_schedule/<?php echo $schedule->id?>"><span>View</span></a>
		    			</td>
			    	<?php else: ?>
		    			<td class="grid-action" style="width:75px; padding: 0">
		    				<a class="grid-action grid-action-view target_main" href="dashboard/view_schedule/<?php echo $schedule->id?>"><span>View</span></a>
	    					<a class="grid-action grid-action-delete" href="dashboard/delete_schedule/<?php echo $schedule->id?>"><span>Delete</span></a>
	    					<a class="grid-action grid-action-edit target_main" href="dashboard/edit_schedule/<?php echo $schedule->id?>"><span>Edit</span></a>
		    			</td>
			    	<?php endif; ?>
	    		</tr>
	    	<?php $x++; endforeach; ?>
	    	</tbody>
	    </table>
	    
	    <table class="grid grid_data meeting" style="display:none">
	    	<tbody>
	    	<?php $x = 0; foreach ($meeting_list as $schedule): ?>
	    		<tr class="list-item  item-<?php echo $schedule->type?> <?php echo $x%2 == 0 ? 'alt' : ''; ?>">
	    			<td rel="1" class="sortable" style="width: 25px; text-align:center; padding: 0;">
	    				<?php if ($schedule->new_to_user && $schedule->user == $user->username) echo '<img src="'.base_url().'images/email-unseen.png"' . '/>';?>
	    				<?php if ($schedule->new_to_assigner && $schedule->assigned_by == $user->username) echo '<img src="'.base_url().'images/email-unseen.png"' . '/>';?>
	    			</td>
	    			<td rel="2" class="sortable" style="width: 25px; text-align:center; padding: 0;"><img src="<?php echo base_url()?>images/<?php echo str_replace(' ','_',$schedule->priority)?>.gif" alt="<?php echo $schedule->priority?>" /></td>
	    			<td rel="3" class="sortable"><span class="calendar-<?php echo strtolower($schedule->type)?>"><?php echo $schedule->title?></span></td>
	    			<td rel="4" class="sortable" style="width: 200px;"><?php echo $schedule->location?></td>
	    			<?php if ($schedule->allday): ?>
		    			<td rel="5" class="sortable-date" style="width: 140px" time="<?php echo strtotime($schedule->start); ?>"><?php echo date('j M, Y',strtotime($schedule->start))?></td>
		    			<td rel="6" class="sortable-date" style="width: 140px" time="<?php echo strtotime($schedule->end); ?>"><?php echo date('j M, Y',strtotime($schedule->end))?></td>
	    			<?php else: ?>
	    				<td rel="5" class="sortable-date" style="width: 140px" time="<?php echo strtotime($schedule->start); ?>"><?php echo date('h:i A',strtotime($schedule->start))?> <?php echo date('d/m/Y') == date('d/m/Y',strtotime($schedule->start)) ? '' : date('j M, Y',strtotime($schedule->start))?></td>
	    				<td rel="6" class="sortable-date" style="width: 140px" time="<?php echo strtotime($schedule->end); ?>"><?php echo date('h:i A',strtotime($schedule->end))?> <?php echo date('d/m/Y') == date('d/m/Y',strtotime($schedule->end)) ? '' : date('j M, Y',strtotime($schedule->end))?></td>
	    			<?php endif; ?>
	    			<td rel="7" class="sortable" style="width: 100px"><span><?php echo $schedule->status?></span></td>
	    			<?php if ($schedule->user != $user->username): ?>
	    				<td class="grid-action" style="width:75px; padding: 0">
	    					<a class="grid-action grid-action-view target_main" href="dashboard/view_schedule/<?php echo $schedule->id?>"><span>View</span></a>
		    			</td>
			    	<?php else: ?>
		    			<td class="grid-action" style="width:75px; padding: 0">
		    				<a class="grid-action grid-action-view target_main" href="dashboard/view_schedule/<?php echo $schedule->id?>"><span>View</span></a>
	    					<a class="grid-action grid-action-delete" href="dashboard/delete_schedule/<?php echo $schedule->id?>"><span>Delete</span></a>
	    					<a class="grid-action grid-action-edit target_main" href="dashboard/edit_schedule/<?php echo $schedule->id?>"><span>Edit</span></a>
		    			</td>
			    	<?php endif; ?>
	    		</tr>
	    	<?php $x++; endforeach; ?>
	    	</tbody>
	    </table>
	    
	    <table class="grid grid_data" style="display:none">
	    	<tbody>
	    	<?php $x = 0; foreach ($all_list as $schedule): ?>
	    		<tr class="list-item  item-<?php echo $schedule->type?> <?php echo $x%2 == 0 ? 'alt' : ''; ?>">
	    			<td rel="1" class="sortable" style="width: 25px; text-align:center; padding: 0;">
	    				<?php if ($schedule->new_to_user && $schedule->user == $user->username) echo '<img src="'.base_url().'images/email-unseen.png"' . '/>';?>
	    				<?php if ($schedule->new_to_assigner && $schedule->assigned_by == $user->username) echo '<img src="'.base_url().'images/email-unseen.png"' . '/>';?>
	    			</td>
	    			<td rel="2" class="sortable" style="width: 25px; text-align:center; padding: 0;"><img src="<?php echo base_url()?>images/<?php echo str_replace(' ','_',$schedule->priority)?>.gif" alt="<?php echo $schedule->priority?>" /></td>
	    			<td rel="3" class="sortable"><span class="calendar-<?php echo strtolower($schedule->type)?>"><?php echo $schedule->title?></span></td>
	    			<td rel="4" class="sortable" style="width: 200px;"><?php echo $schedule->location?></td>
	    			<?php if ($schedule->allday): ?>
		    			<td rel="5" class="sortable-date" style="width: 140px" time="<?php echo strtotime($schedule->start); ?>"><?php echo date('j M, Y',strtotime($schedule->start))?></td>
		    			<td rel="6" class="sortable-date" style="width: 140px" time="<?php echo strtotime($schedule->end); ?>"><?php echo date('j M, Y',strtotime($schedule->end))?></td>
	    			<?php else: ?>
	    				<td rel="5" class="sortable-date" style="width: 140px" time="<?php echo strtotime($schedule->start); ?>"><?php echo date('h:i A',strtotime($schedule->start))?> <?php echo date('d/m/Y') == date('d/m/Y',strtotime($schedule->start)) ? '' : date('j M, Y',strtotime($schedule->start))?></td>
	    				<td rel="6" class="sortable-date" style="width: 140px" time="<?php echo strtotime($schedule->end); ?>"><?php echo date('h:i A',strtotime($schedule->end))?> <?php echo date('d/m/Y') == date('d/m/Y',strtotime($schedule->end)) ? '' : date('j M, Y',strtotime($schedule->end))?></td>
	    			<?php endif; ?>
	    			<td rel="7" class="sortable" style="width: 100px"><span><?php echo $schedule->status?></span></td>
	    			<?php if ($schedule->user != $user->username): ?>
	    				<td class="grid-action" style="width:75px; padding: 0">
	    					<a class="grid-action grid-action-view target_main" href="dashboard/view_schedule/<?php echo $schedule->id?>"><span>View</span></a>
		    			</td>
			    	<?php else: ?>
		    			<td class="grid-action" style="width:75px; padding: 0">
		    				<a class="grid-action grid-action-view target_main" href="dashboard/view_schedule/<?php echo $schedule->id?>"><span>View</span></a>
	    					<a class="grid-action grid-action-delete" href="dashboard/delete_schedule/<?php echo $schedule->id?>"><span>Delete</span></a>
	    					<a class="grid-action grid-action-edit target_main" href="dashboard/edit_schedule/<?php echo $schedule->id?>"><span>Edit</span></a>
		    			</td>
			    	<?php endif; ?>
	    		</tr>
	    	<?php $x++; endforeach; ?>
	    	</tbody>
	    </table>

	</div>