<?php if (!$this->user->has_access('editor')) die('You do not have the permissions to access this area.'); ?>


<script type="text/javascript" src="<?php echo base_url(); ?>js/editor.js"></script>

<div id="dashboard-container">
	<div class="shadow"></div>
	<div class="file-menu">
    	<ul>
    	</ul>
    </div>
    

	<div id="compile" class="global-modal-form" style="height: 350px; width: 500px">
		<div class="global-modal-form-body">
		<iframe id="postframe_edit" name="postframe_edit" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
		<h3>Compile</h3>
		<form class="edit_tax" action="settings/edit_tax/do" target="postframe_edit" method="post">
			<input type="hidden" name="id" />
			<table class="grid-form grid-form-transparent" style="font-size: 10pt">
				<tr>
					<td class="label">Project Name</label>
					<td></td>
				</tr>
				<tr>
					<td class="label">Version</td>
					<td><input type="text" name="version" class="v-text" /> Last compiled version: 2.5.1</td>
				</tr>
				<tr>
					<td class="label">Build No</td>
					<td><input type="text" name="build_no" class="v-text" /></td>
				</tr>
				<tr>
					<td class="label">Type</td>
					<td><?php echo form_dropdown('version_type',array('stable'=>'Stable','release'=>'Release'),'','class="v-dropdown"'); ?></td>
				</tr>
				<tr>
					<td class="label">Change Log</td>
					<td><textarea name="change_log" class="v-textarea" style="width: 100%; height: 160px"></textarea></td>
				</tr>
			</table>
			<hr />
			<p class="align-right action-button-all"><a class="v-dbtn compile-project">Compile</a> <a class="v-dbtn compile-discard">Cancel</a></p>
		</form>
		</div>
	</div>
	<div id="global-sidebar">

		<div class="box-wrap antiscroll-wrap">
			<div class="box file-list">
				<div class="antiscroll-inner">
					<div class="box-inner" style="position: relative !important; width: auto !important">
						<div class="select-wrap">
							<div class="select"></div>
						</div>
						<ul class="file-list">
							<li class="no-select" style="text-align: center; padding-top: 10px">No files</li>
						</ul>
					</div>
				</div>
			</div>
		</div>
	</div>
	
	
	<div id="global-content">
		<div class="toolbar">
			<h3 class="grid-title">
				<?php if ($this->user->has_permission('to_add','editor')): ?><a href="editor/add" class="v-btn add-profile target_main float_right" style="padding:0 10px; font-weight: normal">Add Profile</a><?php endif; ?>
				<a href="#" class="v-btn float_right close-profile" style="padding:0 10px; font-weight: normal; display:none">Close</a>
				<span>Editor Profiles</span>
			</h3>
			<div class="global-tabs" style="overflow-x: auto">
				<ul class="file-tabs">

				</ul>
			</div>
		</div>
		<div class="main_full" style="overflow-y:hidden; position: relative">
			<div class="loading">

			</div>
			<div class="no-file-selected">
				<p>No file selected.</p>
			</div>
			<div class="profiles" style="background: #333; box-shadow: 0 0 10px rgba(0,0,0,0.5) inset; height: 100%; width: 100%; position: absolute; z-index: 900">
			<?php foreach ($profiles as $profile): ?>
				<div class="profile" id="<?php echo $profile->id; ?>" style="width: 150px; height: 256px; float: left; text-align: center; margin: 30px 15px;">
					<img src="images/file.png" style="width: 100px; margin-bottom: 5px"><br />
					<span style="font-weight: bold; color: #FFF; margin-top: 10px; text-shadow: 0 0 3px rgba(0,0,0,1)"><?php echo $profile->name; ?></span>
				</div>
			<?php endforeach; ?>
			<br style="clear:left" />
			</div>
		
			<div class="text-editor">
				<textarea name="scratchpad" id="scratchpad" style="height: 100%"><?php echo $this->system->config('scratchpad'); ?></textarea>
				<script>
				    var editor = CodeMirror.fromTextArea(document.getElementById("scratchpad"), {
				    	lineNumbers: true,
				    	matchBrackets: true,
				    	mode: "application/x-httpd-php",
				    	indentUnit: 4,
				    	indentWithTabs: true,
				    	enterMode: "keep",
				    	tabMode: "shift",
				    	onKeyEvent: function(x,keyevent){

				    		try {
					    		okTimer.clearTimeout();
					    		routineXHR.abort();
				    		} catch (e){
				    			// do nothing
				    		}
				
				    		okToCheck = false;
				    		
				    		var text  = editor.getValue();
				    		
				    		$('.file-related').removeClass('disabled');
				
					    	var change = $.ajax({
						    	url: base_url + 'editor/ajax/scratchpad_change',
						    	type: 'post',
						    	data: 'text='+encodeURIComponent(text),
						    	success: function (text){
						    		okTimer = setTimeout(function(){
								    	okToCheck = true;					    		
						    		}, 1000);
				
						    	}
						    })
				    	},
				    	onCursorActivity: function(){
					    	
				    	}
				    });
				</script>
			</div>
			
		</div>
	</div>
</div>