<?php if (!$this->user->has_access('contacts')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var scroller;

function openProfile(profile_id){
	$('div.file-list ul').html('<li>Loading...</li>');
	$.ajax({
		url: base_url + 'editor/ajax/open_profile',
		type: 'post',
		data: 'id='+profile_id,
		dataType: 'json',
		success: function (data){			
			$('ul.file-list').html('');
			
			if (data.hasdir == 'true'){
				for (var i = 0; i < (data.directories).length; i++){
					var dir = data.directories[i];
					$('ul.file-list').append('<li path="'+dir+'" profile_id="'+profile_id+'" class="dir"><span>&#x25BA;</span>'+dir+'</li>');
				}
			}

			if (data.hasfile == 'true'){
				for (var i = 0; i < (data.files).length; i++){
					var file = data.files[i];
					$('ul.file-list').append('<li profile_id="'+profile_id+'" class="file">'+file+'</li>');
				}
			}
			
			scroller = $('div.box-wrap').antiscroll();

		}
	})
}

function rescaleFileList(){
	var offset = $('#header').height();
	$('#global-sidebar-list li').each(function(){
		offset += $(this).height();
	});
	var targetHeight = $(window).height() - offset;
	$('.box').css('height',targetHeight - 5);
	$('.antiscroll-inner').css('height',targetHeight - 5);
}

$(document).ready(function(){

	rescaleFileList();

	$(window).resize(function(){
		rescaleFileList();
	})
	
 	scroller = $('div.box-wrap').antiscroll();
 	
	$('div.profile').dblclick(function(){
		openProfile($(this).attr('id'));
	});
	
	
	$('li.dir span').live('click', function(){
		if ($(this).parent('li.dir').hasClass('opened')){
			$(this).html('&#x25BA');
			$(this).parent('li.dir').removeClass('opened').find('ul').hide();
		} else {
			$(this).parent('li.dir').dblclick();
		}
	})
	
	$('li.dir').live('dblclick',function(){
		var that = $(this);
		if ($(this).hasClass('opened')){

		} else {
			$(this).addClass('opened');
			var profile_id = $(this).attr('profile_id');
			var path = $(this).attr('path');
			
			console.log(encodeURIComponent(path));
	
			$.ajax({
				url: base_url + 'editor/ajax/file_list/',
				type: 'post',
				data: 'id='+profile_id+'&path='+encodeURIComponent(path),
				dataType: 'json',
				success: function (data){
					console.log(data);
				
					if (path.indexOf('/') == -1){ 
						$(that).html('<span>&#x25BC;</span>'+path);
					} else {
						var x = path.split('/');
						$(that).html('<span>&#x25BC;</span>'+x[x.length-1]);
					}
					$(that).append('<ul class="subdir"></ul>');
					
					if (data.hasdir == 'true'){
						for (var i = 0; i < (data.directories).length; i++){
						    var dir = data.directories[i];
						    $(that).children('ul.subdir').append('<li path="'+path+'/'+dir+'" profile_id="'+profile_id+'" class="dir"><span>&#x25BA;</span>'+dir+'</li>');
						}
					}

					if (data.hasfile == 'true'){
						for (var i = 0; i < (data.files).length; i++){
						    var file = data.files[i];
						    $(that).children('ul.subdir').append('<li profile_id="'+profile_id+'" class="file">'+file+'</li>');
						}
					}
					
					scroller.refresh();

				}
			})
		}
	})
})

</script>
		<div class="toolbar">
			<h3 class="grid-title">
				<?php if ($this->user->has_permission('to_add','editor')): ?><a href="editor/add" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">Add Profile</a><?php endif; ?>
				Editor Profiles
			</h3>
		</div>
		<div class="main_full" style="background: #333; box-shadow: 0 0 10px rgba(0,0,0,0.5) inset;">
			<?php foreach ($profiles as $profile): ?>
				<div class="profile" id="<?php echo $profile->id; ?>" style="width: 150px; height: 256px; float: left; text-align: center; padding: 30px 15px;">
					<img src="images/file.png" style="width: 100px; margin-bottom: 5px"><br />
					<span style="font-weight: bold; color: #FFF; margin-top: 10px; text-shadow: 0 0 3px rgba(0,0,0,1)"><?php echo $profile->name; ?></span>
				</div>
			<?php endforeach; ?>
			<br style="clear:left" />
		</div>
