
		<div class="toolbar">
			<h3 class="grid-title">
				<?php if ($this->user->has_permission('to_add','editor')): ?><a href="editor/add" class="v-btn add-profile target_main float_right" style="padding:0 10px; font-weight: normal">Add Profile</a><?php endif; ?>
				<a href="#" class="v-btn float_right close-profile" style="padding:0 10px; font-weight: normal; display:none">Close</a>
				<span>Editor Profiles</span>
			</h3>
			<div class="global-tabs" style="overflow-x: auto">
				<ul class="file-tabs">

				</ul>
			</div>
		</div>
		<div class="main_full" style="overflow-y:hidden; position: relative">
			<div class="loading">

			</div>
			<div class="no-file-selected">
				<p>No file selected.</p>
			</div>
			<div class="profiles" style="background: #333; box-shadow: 0 0 10px rgba(0,0,0,0.5) inset; height: 100%; width: 100%; position: absolute; z-index: 900">
			<?php foreach ($profiles as $profile): ?>
				<div class="profile" id="<?php echo $profile->id; ?>" style="width: 150px; height: 256px; float: left; text-align: center; margin: 30px 15px;">
					<img src="images/file.png" style="width: 100px; margin-bottom: 5px"><br />
					<span style="font-weight: bold; color: #FFF; margin-top: 10px; text-shadow: 0 0 3px rgba(0,0,0,1)"><?php echo $profile->name; ?></span>
				</div>
			<?php endforeach; ?>
			<br style="clear:left" />
			</div>
		
			<div class="text-editor">
				<textarea name="scratchpad" id="scratchpad" style="height: 100%"><?php echo $this->system->config('scratchpad'); ?></textarea>
				<script>
				    var editor = CodeMirror.fromTextArea(document.getElementById("scratchpad"), {
				    	lineNumbers: true,
				    	matchBrackets: true,
				    	mode: "application/x-httpd-php",
				    	indentUnit: 4,
				    	indentWithTabs: true,
				    	enterMode: "keep",
				    	tabMode: "shift",
				    	onKeyEvent: function(x,keyevent){

				    		try {
					    		okTimer.clearTimeout();
					    		routineXHR.abort();
				    		} catch (e){
				    			// do nothing
				    		}
				
				    		okToCheck = false;
				    		
				    		var text  = editor.getValue();
				    		
				    		$('.file-related').removeClass('disabled');
				
					    	var change = $.ajax({
						    	url: base_url + 'editor/ajax/scratchpad_change',
						    	type: 'post',
						    	data: 'text='+encodeURIComponent(text),
						    	success: function (text){
						    		okTimer = setTimeout(function(){
								    	okToCheck = true;					    		
						    		}, 1000);
				
						    	}
						    })
				    	},
				    	onCursorActivity: function(){
					    	
				    	}
				    });
				</script>
			</div>
			
		</div>
