<script type="text/javascript">
var changeXHR;
var okToCheck = true;
var routineXHR = new XMLHttpRequest();
var okTimer;

$(document).ready(function(){
	routineCheck();
});

function routineCheck(){

	routineXHR.onreadystatechange = function() {
		if(routineXHR.readyState == 4){
			if (okToCheck){
				var cursor = editor.getCursor();
				var sel = getSelection();
				var data = JSON.parse(routineXHR.responseText);
				console.log(data);
				console.log(routineXHR.responseText);
				editor.setValue(data.text);
				editor.setCursor(cursor);
				if (sel) editor.setSelection(sel.start, sel.end);
				
				

			}
			setTimeout(function(){
				routineCheck();
			}, 3000);
		}
	};
	routineXHR.open('GET',base_url + 'editor/ajax/scratchpad_check',true);
	routineXHR.send(null);

}

function getSelection(){

	var x = 0;
	var first, last;
	var display = 'none';
	
	$('div.CodeMirror-selected').each(function(){
		if (x == 0){
			display = $(this).parent('div').css('display');
			first = {
				cursor: 'first',
				left: parseInt($(this).css('left')),
				top: parseInt($(this).css('top')),
				width: parseInt($(this).css('width'))
			}
		} else {
			last = {
				cursor: 'last',
				left: parseInt($(this).css('left')),
				top: parseInt($(this).css('top')),
				width: parseInt($(this).css('width'))
			}
		}
		x++;
	});
	
	if (display == 'none') return false;
	
	if (x == 1){
		var res = {
			start: { 
				line: first.top / 13,
				ch: first.left / 8
			},
			end: {
				line: first.top / 13,
				ch: (first.left / 8) + (first.width / 8)
			}
		}
	} else if (x > 1) {
		var res = {
			start: { 
				line: first.top / 13,
				ch: first.left / 8
			},
			end: {
				line: last.top / 13,
				ch: (last.left / 8) + (last.width / 8)
			}
		}
		
	} else {
		return false;
	}
	
	return res;
}


</script>
	<div class="toolbar">
		<h3 class="grid-title">Scratchpad</h3>
	</div>
	<style>
	div.CodeMirror, div.CodeMirror-scroll {
		height: 100%;
	}
	</style>
	<div class="main_full" style="overflow-y:hidden">
		<textarea name="scratchpad" id="scratchpad" style="height: 100%"><?php echo $this->system->config('scratchpad'); ?></textarea>
		<script>
		    var editor = CodeMirror.fromTextArea(document.getElementById("scratchpad"), {
		    	lineNumbers: true,
		    	matchBrackets: true,
		    	mode: "application/x-httpd-php",
		    	indentUnit: 4,
		    	indentWithTabs: true,
		    	enterMode: "keep",
		    	tabMode: "shift",
		    	onKeyEvent: function(x,keyevent){
		    		console.log(keyevent);
		    		try {
			    		okTimer.clearTimeout();
			    		routineXHR.abort();
		    		} catch (e){
		    			// do nothing
		    		}

		    		okToCheck = false;
		    		
		    		var text  = editor.getValue();

			    	var change = $.ajax({
				    	url: base_url + 'editor/ajax/scratchpad_change',
				    	type: 'post',
				    	data: 'text='+encodeURIComponent(text),
				    	success: function (text){
				    		okTimer = setTimeout(function(){
						    	okToCheck = true;					    		
				    		}, 1000);

				    	}
				    })
		    	},
		    	onCursorActivity: function(){
			    	
		    	}
		    });
		</script>

	</div>