<?php if (!$this->user->has_permission('to_edit','employees')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">


function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Employees','Employee information has been updated.');
		form_warning = false;
	} else if (status == 0) {
		showDialog('ok','Error','Employee cannot be saved now. Please login again.');
		$('div.main_full').show();
		$('div.status').hide();
	} 
}

$(document).ready(function(){
	$('a.create').click(function(event){
		$(this).parents('form').submit();
		event.preventDefault();
	});
	
	$('form').submit(function(){
	
		var ok = true;
		$('input.mandatory').each(function(){
			if (!$(this).val()) ok = false;
		});
		
		if (!ok){
			showDialog('ok','Form Error','Please make sure you have filled the form correctly.');
			return false;
		}
		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
	

})

</script>
	<div class="status">
	
	</div>
	<div class="toolbar">
		<h3 class="grid-title"><a href="employees/elist" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn target_main">Back</a>Edit Employee &raquo; <?php echo $employee->firstname . ' '. $employee->lastname; ?></h3>
	</div>

	<div class="main_full">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
		<div class="main-container">

		<form method="post" action="<?=base_url()?>employees/edit/<?php echo $employee->id; ?>/do" target="postframe">
			<h3>Employee Information</h3>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">First Name <span class="red">*</span></td>
						<td class="input"><input value="<?php echo $employee->firstname; ?>" type="text" name="firstname" class="v-text mandatory" /></td>
					</tr>
					<tr>
						<td class="label">Last Name <span class="red">*</span></td>
						<td class="input"><input value="<?php echo $employee->lastname; ?>" type="text" name="lastname" class="v-text mandatory" /></td>
					</tr>
					<tr>
						<td class="label">IC Number <span class="red">*</span></td>
						<td class="input"><input value="<?php echo $employee->ic_no; ?>" type="text" name="ic_no" class="v-text mandatory" /></td>
					</tr>
					<tr>
						<td class="label">Address <span class="red">*</span></td>
						<td class="input"><input value="<?php echo $employee->address; ?>" type="text" name="address" class="v-text mandatory" /></td>
					</tr>
					<tr>
						<td class="label">Contact Number <span class="red">*</span></td>
						<td class="input"><input value="<?php echo $employee->contact_no; ?>" type="text" name="contact_no" class="v-text v-number mandatory" /></td>					
					</tr>
					<tr>
						<td class="label">Position <span class="red">*</span></td>
						<td class="input"><?php echo form_dropdown('position',array('Cashier'=>'Cashier','Manager'=>'Manager'), $employee->position, 'class="v-dropdown"'); ?></td>
					</tr>

					<tr>
						<td class="label">Employment Type <span class="red">*</span></td>
						<td class="input"><?php echo form_dropdown('type',array('Permanent'=>'Permanent','Part-time'=>'Part-time'),$employee->type, 'class="v-dropdown"'); ?></td>
					</tr>
					<tr>
						<td class="label">Employment Status <span class="red">*</span></td>
						<td class="input"><?php echo form_dropdown('status',array('Active'=>'Active','Suspended'=>'Suspended','Terminated'=>'Terminated','Resigned'=>'Resigned'),$employee->status, 'class="v-dropdown"'); ?></td>
					</tr>
					<tr>
						<td class="label">Employment Start Date <span class="red">*</span></td>
						<td class="input"><input value="<?php echo date('d/m/Y', strtotime($employee->employement_start_date)) == '01/01/1970' ? '' : date('d/m/Y',strtotime($employee->employment_start_date)); ?>" type="text" name="employment_start_date" class="v-text date mandatory" /></td>
					</tr>
					<tr>
						<td class="label">Employment End Date</td>
						<td class="input"><input value="<?php echo date('d/m/Y', strtotime($employee->employement_end_date)) == '01/01/1970' ? '' : date('d/m/Y',strtotime($employee->employment_end_date)); ?>" type="text" name="employment_end_date" class="v-text date" /></td>
					</tr>
					

					
				</tbody>
			</table>
			
			<h3>Tags</h3>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Tags</td>
						<td class="input"><input value="<?php echo tagcomplete($employee->tags); ?>" type="text" class="v-text autocomplete-tag" name="tags" /></td>
					</tr>
				</tbody>
			</table>
			
			<h3>Remarks</h3>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Remarks</td>
						<td class="input"><textarea name="remarks" class="v-textarea"><?php echo $employee->remarks; ?></textarea></td>
					</tr>
				</tbody>
			</table>
			
		
			<p>* Mandatory fields</p>
			<p class="general-form-action"><a class="v-btn create">Save</a></p>
			<br />
		</form>
		</div>
	</div>
