<script type="text/javascript">


function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		$('div.notice').html('<p class="v-success">Item has been updated.</p>');
		form_warning = false;
	} else if (status == 0) {
		$('div.notice').html('<p class="v-warning">Item SKU already exists.</p>');
		$('div.main_full').show();
		$('div.status').hide();
	} 
}

$(document).ready(function(){

	
	$('a.add-option').click(function(){
		$('tbody.options').append($(optionCell).clone());
	});
	

	$('input[name=product_search]').keypress(function(e){
		var code = (e.keyCode ? e.keyCode : e.which);
		if (code == 13){
			var t = $('#product-search select[name=st]').val();
			var q = $(this).val();
			var cid = $('select[name=contact]').val();
			

			$('#product-search div.modal-search-result table tbody').html('<tr><td colspan="4"><img src="'+base_url+'images/loading.gif" /> Searching</td></tr>')
			$.ajax({
				type: "POST",
				url: base_url + 'fnb/search_product/' + q + '/' + t + '/' + cid,
				success: function (html){
					$('#product-search div.modal-search-result table.grid_data').html(html);
					$('select.item-price-select').change();
				}			
			}); 
		}
	});
	
	$('a.product_search').click(function(){
		var t = $('#product-search select[name=st]').val();
		var q = $('input[name=product_search]').val();
		var cid = $('select[name=contact]').val();
			

		$('#product-search div.modal-search-result table tbody').html('<tr><td colspan="4"><img src="'+base_url+'images/loading.gif" /> Searching</td></tr>')
		$.ajax({
			type: "POST",
			url: base_url + 'fnb/search_product/' + q + '/' + t + '/' + cid,
			success: function (html){
				$('#product-search div.modal-search-result table.grid_data').html(html);
				$('select.item-price-select').change();
			}			
		}); 
	});
	
	$('select.product-search-type').keypress(function(e){
		if (code == 13){
			$('a.product_search').click();
		}		
	});
	
	$('a.add-product').click(function(event){
		event.preventDefault();
		showModalForm('product-search');
	});
		
	$('a.search-product-done').click(function(event){
		event.preventDefault();
		hideModalForm('product-search');
		
		var tr = $('input.product-item:checked').parents('tr');
		console.log(tr);
		
		$('input.linked_with').val($(tr).attr('name'));
		$('input.linked_id').val($(tr).attr('rel'));
		$('input[name=name]').val($(tr).attr('name'));
		$('input[name=sku]').val($(tr).attr('sku'));
		
		$('select[name=category]').val($(tr).find('td.category').text())
		$('select[name=subcategory]').val($(tr).find('td.subcategory').text())
		$('input[name=subcategory_other]').val($(tr).find('td.subcategory').text());
		$('input[name=category_other]').val($(tr).find('td.category').text());
		$('input[name=item_price]').val($(tr).find('span.selling-price').text());
	});
	
	$('a.clear-link').click(function(){
		$('input.linked_with').val('');
		$('input.linked_id').val('');
	});

	$('input.menu_sku').keypress(function(e){
		var sku = $(this).val();
		if (e.which == 13){
			$('div.order-options').html('<p><img src="images/loading.gif" /> Loading...</p>');
			$.ajax({
				url: 'fnb/get_item_options',
				type: 'post',
				data: 'sku='+sku,
				success: function (html){
					$('div.order-options').html(html);
				}
			})
		}
	})

})

</script>
	<div class="status">
	
	</div>
	
	<div class="toolbar">
		<h3 class="grid-title"><a href="fnb/items" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn target_main">Back</a>Edit Item &raquo; <?php echo $item->name; ?></h3>
		<div class="global-tabs" style="padding: 5px">
			<a class="v-btn create">Save</a>
		</div>

	</div>		
		
	<div class="main_full">

		<div class="main-container">

		<form method="post">
			<div class="notice" style="margin-bottom: 15px">
			
			</div>
			<h3>Item Information <a class="add-product v-btn" style="margin-left: 5px; margin-top: -3px">Link with Inventory Item</a></h3>
			<p><span class="red">*</span> Mandatory fields</p>

			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Menu Item Name <span class="red">*</span></td>
						<td class="input"><?php echo $item->name; ?></td>
					</tr>
					<tr>
						<td class="label">Category <span class="red">*</span></td>
						<td class="input"><?php echo $categories_dropdown; ?></td>
					</tr>
					<tr>
						<td class="label">Subcategory <span class="red">*</span></td>
						<td class="input"><?php echo $subcategories_dropdown; ?></td>
					</tr>
					<tr>
						<td class="label">Item Code</td>
						<td class="input"><?php echo $item->sku; ?></td>
					</tr>
					<tr>
						<td class="label">Item Price</td>
						<td class="input"><?php echo $item->item_price; ?></td>
					</tr>
					<tr>
						<td class="label">Enter Price</td>
						<td class="input"><?php if ($item->enter_price) echo 'Yes'; ?></td>
					</tr>
					<tr>
						<td class="label">Printer Override</td>
						<td class="input"><?php echo $item->printer; ?></td>
					</tr>

				</tbody>
			</table>
			<?php 			
				$prices = json_decode($item->price);
				$options = json_decode($item->options);
			?>			
			
			<h3>Order Option and Price</h3>
			<div class="order-options">
				<table class="general-form">
					<tbody class="options">
						<?php for ($i = 0; $i < count($prices); $i++): ?>
						<tr class="four option">
							<td class="label option">Option</td>
							<td class="input"><?php echo $options[$i]; ?></td>
							<td class="label">Price <span class="red">*</span></td>
							<td class="input"><?php echo $prices[$i]; ?></td>
						</tr>
						<?php endfor; ?>
					</tbody>
				</table>
			</div>
			
			<h3>Description &amp; Remarks</h3>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Description</td>
						<td class="input"><?php echo $item->description; ?></td>
					</tr>
					<tr>
						<td class="label">Remarks</td>
						<td class="input"><?php echo $item->remarks; ?></td>
					</tr>
				</tbody>
			</table>
			
		
		</form>
		</div>
	</div>
