
<script type="text/javascript">
	$(document).ready(function(){
		$("table.grid_data tr:even").addClass("alt");
	})
</script>		
<div class="toolbar">
	<h3 class="grid-title">
		<?php if ($this->user->has_permission("to_create_admission","Healthcare")): ?><a href="Healthcare/new_admission" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">New Admissions</a><?php endif; ?>
		Admissions
	</h3>
	<div class="global-tabs" style="padding: 5px; font-size: 10pt">
		<a class="v-btn show-filter-controls icon-search">Search</a>
	</div>
	<table class="grid">
		<thead>
			<tr>
				<th class="sortable" rel="1" style="width:auto">Name</th>
				<th class="sortable" rel="2" style="width:200px">Agent</th>
				<th class="sortable" rel="3" style="width:100px">Phone</th>
				<th class="sortable" rel="4" style="width:100px">Email</th>
				<th class="sortable" rel="5" style="width:100px">Date of Birth</th>
				<th class="sortable" rel="6" style="width:100px">State</th>
				<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
				<th style="width: 15px; padding: 0;"></th>
			</tr>
		</thead>
	</table>
</div>    
<div class="main_full">
	<table class="grid grid_data">	
		<tbody>
			<?php $x = 0; foreach ($admissions as $admission): $x++; ?>

			<tr>
				<td rel="1" style="width:auto"><?php echo $admission->name; ?></td>
				<td rel="2" style="width:200px"><?php echo $admission->agent_id; ?></td>
				<td rel="3" style="width:100px"><?php echo $admission->phone; ?></td>
				<td rel="4" style="width:100px"><?php echo $admission->email; ?></td>
				<td rel="5" style="width:100px"><?php echo date("d/m/Y",strtotime($admission->dob)); ?></td>
				<td rel="6" style="width:100px"><?php echo $admission->state; ?></td>
				<td style="width: 75px; padding:0">
					<?php if ($this->user->has_permission("to_view_admission","Healthcare")): ?><a class="grid-action grid-action-view target_main" href="Healthcare/view_admission/<?=$admission->id?>"><span>View</span></a><?php endif; ?>
					<?php if ($this->user->has_permission("to_edit_admission","Healthcare")): ?><a class="grid-action grid-action-edit target_main" href="Healthcare/edit_admission/<?=$admission->id?>"><span>Edit</span></a><?php endif; ?>
					<?php if ($this->user->has_permission("to_delete_admission", "Healthcare")): ?><a class="grid-action grid-action-delete" href="Healthcare/delete_admission/<?=$admission->id?>/do"><span>Delete</span></a><?php endif; ?>
				</td>
			</tr>			
			<?php endforeach; ?>
		</tbody>
	</table>
</div>
