<script type="text/javascript">

var content;
var employeeID = '<?php echo $employee->id?>';

function readyPost(action,status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		$('table.alloc tbody tr').remove();
		showDialog('ok','Add Employee','Employee has been added successfully.');
	} else {
		showDialog('ok','Error','There has been an error adding the employee.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}

function populateDeleteEvents(){
	$('a.grid-action-delete').click(function(event){
		event.preventDefault();
		delete_href = $(this).attr('href');
		delete_id = $(this).parents('tr').attr('rel');
		delete_tid = $(this).parents('table').attr('rel');
		delete_tr = $(this).parents('tr');
		
		showDialog('yesno','Delete','Confirm delete?', function(){
				$.ajax({type: "POST",
					url: base_url+delete_href,
					success: function(html){

						if (html == 'ok'){
							$(delete_tr).fadeOut(500,'swing',function(){ $(this).remove() });
						} else {
							showDialog('ok','Error','There was a problem deleting the record from the database.');
						}
					}
				});
			},
			function(){
			
			});
	});
}

function startUpload(){
	document.getElementById('select-file').style.display = 'none';
	document.getElementById('file-upload-process').style.display = '';
	return true;
}

function stopUpload(success){
	var result = '';
	if (success == 1){
		result = '<span class="select-file-msg">The file was uploaded successfully</span>';
	} else {
		result = '<span class="select-file-emsg">There was an error during file upload</span>';
	}
	document.getElementById('file-upload-process').style.display = 'none';
	document.getElementById('select-file').style.display = '';
	document.getElementById('select-file').innerHTML = result + '<input type="text" name="path" style="width: 100%; margin-bottom: 10px;"/><br /><a href="#select" class="v-btn select-file">Select File</a> <a href="#save" class="v-btn upload-file">Upload</a><input type="file" name="file_upload" class="select-file-input" style="visibility: hidden; height: 0px; padding: 0; margin: 0" />';
	$('a.lcms-submit').click(function(event){
		event.preventDefault();
		$(this).parents('form').submit();
	});
	populateFormEvents();
	return true;   
}

$(document).ready(function(){
	$('a.submit_btn').click(function(event){
		$('form.update').submit();
		event.preventDefault();
	});
	
	$('select.account_type').change(function(){
		$('input[name=number_prefix]').val($(this).val());
	});
	
	$('form').submit(function(){
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
	
	$('a.select-file').click(function(event){
		$('input.select-file-input').click();
	});
	
	$('input.select-file-input').change(function(){
		$('input[name=path]').val($(this).val());
	});
	
	
	$('input[name=path]').focus(function(){
		$(this).blur();
	});
	
	$('a.upload-file').click(function(event){
		event.preventDefault();
		$(this).parents('form').submit();
	});
	
	$('ul.category-tabs a').click(function(e){
		e.preventDefault();
		$('div.tabs').hide();
		$($(this).attr('href')).show();
	});
	
	$('a.add-supervisor').click(function(){
		showModalForm('add-supervisor');
	});
	
	$('a.discard-supervisor').click(function(){
		hideModalForm('add-supervisor');
	});
	
	$('a.save-supervisor').click(function(){
		var supervisorID = $('select[name=supervisor_id]').val();
		var method = $('select[name=supervisor_reporting_method]').val();
		if (supervisorID == '0'){
			showDialog('ok','Error','You must select a supervisor from the list.');
			return;
		}
				
		$.ajax({
			url: base_url + 'hr/ajax/add_supervisor',
			data: 'employee_id='+employeeID+'&supervisor_id='+supervisorID+'&method='+method,
			type: 'POST',
			success: function (res){
				if (res == 'failed'){
					showDialog('ok','Error','There has been an error adding the supervisor. Please try again later.');
				} else if (res == 'invalid'){
					showDialog('ok','Invalid','Supervisor cannot be the same as the employee.');
				} else {
					var data = res.split('|');
					showDialog('ok','Saved','Supervisor has been added.');
					hideModalForm('add-supervisor');
					$('table.supervisor tbody').append('<tr><td>'+data[0]+'</td><td>'+method+'</td><td><a class="grid-action grid-action-delete" href="hr/delete_supervisor/'+employeeID+'/'+data[1]+'"><span>Delete</span></a></td></tr>');
					populateDeleteEvents();
				}
			}
		});
	});
	
	$('a.add-subordinate').click(function(){
		showModalForm('add-subordinate');
	});
	
	$('a.discard-subordinate').click(function(){
		hideModalForm('add-subordinate');
	});
	
	$('a.save-subordinate').click(function(){
		var subordinateID = $('select[name=subordinate_id]').val();
		var method = $('select[name=subordinate_reporting_method]').val();
		if (subordinateID == '0'){
			showDialog('ok','Error','You must select a subordinate from the list.');
			return;
		}
				
		$.ajax({
			url: base_url + 'hr/ajax/add_subordinate',
			data: 'employee_id='+employeeID+'&subordinate_id='+subordinateID+'&method='+method,
			type: 'POST',
			success: function (res){
				if (res == 'failed'){
					showDialog('ok','Error','There has been an error adding the subordinate. Please try again later.');
				} else if (res == 'invalid'){
					showDialog('ok','Invalid','Subordinate cannot be the same as the employee.');
				} else {
					var data = res.split('|');
					showDialog('ok','Saved','Subordinate has been added.');
					hideModalForm('add-subordinate');
					$('table.subordinate tbody').append('<tr><td>'+data[0]+'</td><td>'+method+'</td><td><a class="grid-action grid-action-delete" href="hr/delete_supervisor/'+data[1]+'/'+employeeID+'"><span>Delete</span></a></td></tr>');
					populateDeleteEvents();
				}
			}
		});
	});
	
	
	
	$('a.add-dependent').click(function(){
		showModalForm('add-dependent');
	});
	
	$('a.discard-dependent').click(function(){
		hideModalForm('add-dependent');
	});
	
	$('a.save-dependent').click(function(){
		var name 			= $('#add-dependent input[name=name]').val();
		var relationship 	= $('#add-dependent input[name=relationship]').val();
		var dob				= $('#add-dependent input[name=dob]').val();
		if (name.trim() == ''){
			showDialog('ok','Error','You must at least enter a dependent name.');
			return;
		}
				
		$.ajax({
			url: base_url + 'hr/ajax/add_dependent',
			data: 'name='+name+'&relationship='+relationship+'&dob='+dob+'&employee_id='+employeeID,
			type: 'POST',
			success: function (res){
				if (res == 'failed'){
					showDialog('ok','Error','There has been an error adding the dependent. Please try again later.');
				} else {
					showDialog('ok','Saved','Dependent has been added.');
					hideModalForm('add-dependent');
					$('table.dependent tbody').append('<tr><td>'+name+'</td><td>'+relationship+'</td><td>'+dob+'</td><td><a class="grid-action grid-action-edit" href="'+res+'"><span>Edit</span></a> <a class="grid-action grid-action-delete" href="hr/delete_dependent/'+employeeID+'/'+res+'"><span>Delete</span></a></td></tr>');
					populateDeleteEvents();
				}
				$('#add-dependent input[name=name]').val('');
				$('#add-dependent input[name=relationship]').val('');
				$('#add-dependent input[name=dob]').val('');
			}
		});
	});
	
	
	$('a.add-contact').click(function(){
		showModalForm('add-contact');
	});
	
	$('a.discard-contact').click(function(){
		hideModalForm('add-contact');
	});
	
	$('a.save-contact').click(function(){
		var name 			= $('#add-contact input[name=name]').val();
		var relationship 	= $('#add-contact input[name=relationship]').val();
		var homePhone	 	= $('#add-contact input[name=home_phone]').val();
		var workPhone	 	= $('#add-contact input[name=work_phone]').val();
		var mobile		 	= $('#add-contact input[name=mobile]').val();

		if (name.trim() == ''){
			showDialog('ok','Error','You must at least enter a dependent name.');
			return;
		}
				
		$.ajax({
			url: base_url + 'hr/ajax/add_contact',
			data: 'name='+name+'&relationship='+relationship+'&home_phone='+homePhone+'&work_phone='+workPhone+'&mobile='+mobile+'&employee_id='+employeeID,
			type: 'POST',
			success: function (res){
				if (res == 'failed'){
					showDialog('ok','Error','There has been an error adding the emergency contact. Please try again later.');
				} else {
					showDialog('ok','Saved','Emergency contact has been added.');
					hideModalForm('add-contact');
					$('table.contact tbody').append('<tr><td>'+name+'</td><td>'+relationship+'</td><td>'+homePhone+'</td><td>'+mobile+'</td><td>'+workPhone+'</td><td><a class="grid-action grid-action-edit" href="'+res+'"><span>Edit</span></a> <a class="grid-action grid-action-delete" href="hr/delete_dependent/'+employeeID+'/'+res+'"><span>Delete</span></a></td></tr>');
					populateDeleteEvents();
				}
				$('#add-contact input[name=name]').val('');
				$('#add-contact input[name=relationship]').val('');
				$('#add-contact input[name=home_phone]').val('');
				$('#add-contact input[name=work_phone]').val('');
				$('#add-contact input[name=mobile]').val('');
			}
		});
	});
	

	$('a.add-work-experience').click(function(){
		showModalForm('add-work-experience');
	});
	
	$('a.discard-work-experience').click(function(){
		hideModalForm('add-work-experience');
	});
	
	$('a.save-work-experience').click(function(){
		var employer		= $('#add-work-experience input[name=employer]').val();
		var from			= $('#add-work-experience input[name=start_date]').val();
		var to			 	= $('#add-work-experience input[name=end_date]').val();
		var jobTitle	 	= $('#add-work-experience input[name=job_title]').val();
		var remarks		 	= $('#add-work-experience textarea[name=remarks]').val();
		var internal		= $('#add-work-experience input[name=internal]').val();

		if (employer.trim() == '' || jobTitle.trim() == ''){
			showDialog('ok','Error','You must at least enter an employer name and job title.');
			return;
		}
				
		$.ajax({
			url: base_url + 'hr/ajax/add_work_experience',
			data: 'employer='+employer+'&from='+from+'&to='+to+'&job_title='+jobTitle+'&remarks='+remarks+'&internal='+internal+'&employee_id='+employeeID,
			type: 'POST',
			success: function (res){
				if (res == 'failed'){
					showDialog('ok','Error','There has been an error adding the work experience. Please try again later.');
				} else {
					showDialog('ok','Saved','Work experience has been added.');
					hideModalForm('add-work-experience');
					$('table.work-experience tbody').append('<tr><td>'+employer+'</td><td>'+from+'</td><td>'+to+'</td><td>'+jobTitle+'</td><td>'+remarks+'</td><td><a class="grid-action grid-action-edit" href="'+res+'"><span>Edit</span></a> <a class="grid-action grid-action-delete" href="hr/delete_work_experience/'+employeeID+'/'+res+'"><span>Delete</span></a></td></tr>');
					populateDeleteEvents();
				}
				$('#add-work-experience input[name=employer]').val('');
				$('#add-work-experience input[name=start_date]').val('');
				$('#add-work-experience input[name=end_date]').val('');
				$('#add-work-experience input[name=job_title]').val('');
				$('#add-work-experience textarea[name=remarks]').val('');
				$('#add-work-experience input[name=internal]').val('');
			}
		});
	});
	
	$('a.add-education').click(function(){
		showModalForm('add-education');
	});
	
	$('a.discard-education').click(function(){
		hideModalForm('add-education');
	});
	
	$('a.save-education').click(function(){
		var education		= $('#add-education input[name=education]').val();
		var from			= $('#add-education input[name=start_date]').val();
		var to			 	= $('#add-education input[name=end_date]').val();
		var major		 	= $('#add-education input[name=major]').val();
		var year		 	= $('#add-education input[name=year]').val();
		var gpaScore		= $('#add-education input[name=gpa_score]').val();

		if (education.trim() == ''){
			showDialog('ok','Error','You must at least enter an education.');
			return;
		}
				
		$.ajax({
			url: base_url + 'hr/ajax/add_education',
			data: 'education='+education+'&from='+from+'&to='+to+'&major='+major+'&year='+year+'&gpa_score='+gpaScore+'&employee_id='+employeeID,
			type: 'POST',
			success: function (res){
				if (res == 'failed'){
					showDialog('ok','Error','There has been an error adding the education. Please try again later.');
				} else {
					showDialog('ok','Saved','Education has been added.');
					hideModalForm('add-education');
					$('table.education tbody').append('<tr><td>'+education+'</td><td>'+major+'</td><td>'+year+'</td><td>'+gpaScore+'</td><td>'+from+'</td><td>'+to+'</td><td><a class="grid-action grid-action-edit" href="'+res+'"><span>Edit</span></a> <a class="grid-action grid-action-delete" href="hr/delete_education/'+employeeID+'/'+res+'"><span>Delete</span></a></td></tr>');
					populateDeleteEvents();
				}
				$('#add-education input[name=education]').val('');
				$('#add-education input[name=start_date]').val('');
				$('#add-education input[name=end_date]').val('');
				$('#add-education input[name=major]').val('');
				$('#add-education input[name=year]').val('');
				$('#add-education input[name=gpa_score]').val('');
			}
		});
	});
	
	
	$('a.add-skill').click(function(){
		showModalForm('add-skill');
	});
	
	$('a.discard-skill').click(function(){
		hideModalForm('add-skill');
	});
	
	$('a.save-skill').click(function(){
		var skill	= $('#add-skill input[name=skill]').val();
		var yoe		= $('#add-skill input[name=years_of_experience]').val();
		var remarks	= $('#add-skill textarea[name=remarks]').val();

		if (skill.trim() == ''){
			showDialog('ok','Error','You must at least enter a skill.');
			return;
		}
				
		$.ajax({
			url: base_url + 'hr/ajax/add_skill',
			data: 'skill='+skill+'&yoe='+yoe+'&remarks='+remarks+'&employee_id='+employeeID,
			type: 'POST',
			success: function (res){
				if (res == 'failed'){
					showDialog('ok','Error','There has been an error adding the skill. Please try again later.');
				} else {
					showDialog('ok','Saved','Skill has been added.');
					hideModalForm('add-skill');
					$('table.skill tbody').append('<tr><td>'+skill+'</td><td>'+yoe+'</td><td>'+remarks+'</td><td><a class="grid-action grid-action-edit" href="'+res+'"><span>Edit</span></a> <a class="grid-action grid-action-delete" href="hr/delete_skill/'+employeeID+'/'+res+'"><span>Delete</span></a></td></tr>');
					populateDeleteEvents();
				}
				$('#add-skill input[name=skill]').val('');
				$('#add-skill input[name=years_of_experience]').val('');
				$('#add-skill textarea[name=remarks]').val('');

			}
		});
	});
	
	
	$('a.add-language').click(function(){
		showModalForm('add-language');
	});
	
	$('a.discard-language').click(function(){
		hideModalForm('add-language');
	});
	
	$('a.save-language').click(function(){
		var language	= $('#add-language input[name=language]').val();
		var fluency		= $('#add-language input[name=fluency]').val();
		var competency	= $('#add-language input[name=competency]').val();

		if (language.trim() == ''){
			showDialog('ok','Error','You must at least enter a language.');
			return;
		}
				
		$.ajax({
			url: base_url + 'hr/ajax/add_language',
			data: 'language='+language+'&fluency='+fluency+'&competency='+competency+'&employee_id='+employeeID,
			type: 'POST',
			success: function (res){
				if (res == 'failed'){
					showDialog('ok','Error','There has been an error adding the language. Please try again later.');
				} else {
					showDialog('ok','Saved','Language has been added.');
					hideModalForm('add-language');
					$('table.language tbody').append('<tr><td>'+language+'</td><td>'+fluency+'</td><td>'+competency+'</td><td><a class="grid-action grid-action-edit" href="'+res+'"><span>Edit</span></a> <a class="grid-action grid-action-delete" href="hr/delete_language/'+employeeID+'/'+res+'"><span>Delete</span></a></td></tr>');
					populateDeleteEvents();
				}
				$('#add-language input[name=language]').val('');
				$('#add-language input[name=fluency]').val('');
				$('#add-language input[name=competency]').val('');
			}
		});
	});
	
	
	
	
	$('a.add-license').click(function(){
		showModalForm('add-license');
	});
	
	$('a.discard-license').click(function(){
		hideModalForm('add-license');
	});
	
	$('a.save-license').click(function(){
		var type	= $('#add-license input[name=type]').val();
		var from	= $('#add-license input[name=start_date]').val();
		var to		= $('#add-license input[name=end_date]').val();

		if (type.trim() == ''){
			showDialog('ok','Error','You must at least enter the license type.');
			return;
		}
				
		$.ajax({
			url: base_url + 'hr/ajax/add_license',
			data: 'type='+type+'&to='+to+'&from='+from+'&employee_id='+employeeID,
			type: 'POST',
			success: function (res){
				if (res == 'failed'){
					showDialog('ok','Error','There has been an error adding the license. Please try again later.');
				} else {
					showDialog('ok','Saved','License has been added.');
					hideModalForm('add-license');
					$('table.license tbody').append('<tr><td>'+license+'</td><td>'+from+'</td><td>'+to+'</td><td><a class="grid-action grid-action-edit" href="'+res+'"><span>Edit</span></a> <a class="grid-action grid-action-delete" href="hr/delete_language/'+employeeID+'/'+res+'"><span>Delete</span></a></td></tr>');
					populateDeleteEvents();
				}
				$('#add-license input[name=type]').val('');
				$('#add-license input[name=start_date]').val('');
				$('#add-license input[name=end_date]').val('');

			}
		});
	});

});


</script>
	

<div id="add-supervisor" class="global-modal-form" style="height: 135px">
	<div class="global-modal-form-body">
	<h3>Add Supervisor</h3>
	<table class="grid-form grid-form-transparent">
		<tr>
			<td class="label">Supervisor</label>
			<td><?php echo form_dropdown('supervisor_id',$employee_list)?></td>
		</tr>
		<tr>
			<td class="label">Reporting</label>
			<td><?php echo form_dropdown('supervisor_reporting_method',array('Direct'=>'Direct','Indirect'=>'Indirect'))?></td>
		</tr>
	</table>
	<hr />
	<p class="align-right"><a class="v-dbtn save-supervisor">Save</a> <a class="v-dbtn discard-supervisor">Discard</a></p>
	</div>
</div>

<div id="add-subordinate" class="global-modal-form" style="height: 135px">
	<div class="global-modal-form-body">
	<h3>Add Subordinate</h3>
	<table class="grid-form grid-form-transparent">
		<tr>
			<td class="label">Subordinate</label>
			<td><?php echo form_dropdown('subordinate_id',$employee_list)?></td>
		</tr>
		<tr>
			<td class="label">Reporting</label>
			<td><?php echo form_dropdown('subordinate_reporting_method',array('Direct'=>'Direct','Indirect'=>'Indirect'))?></td>
		</tr>
	</table>
	<hr />
	<p class="align-right"><a class="v-dbtn save-subordinate">Save</a> <a class="v-dbtn discard-subordinate">Discard</a></p>
	</div>
</div>


<div id="add-contact" class="global-modal-form" style="height: 230px">
	<div class="global-modal-form-body">
	<h3>Add Emergency Contact</h3>
	<table class="grid-form grid-form-transparent">
		<tr>
			<td class="label">Name</label>
			<td><input type="text" class="v-text" style="width: 80%" name="name" /></td>
		</tr>
		<tr>
			<td class="label">Relationship</label>
			<td><input type="text" class="v-text" name="relationship" /></td>
		</tr>
		<tr>
			<td class="label">Home Phone</label>
			<td><input type="text" class="v-text" name="home_phone" /></td>
		</tr>
		<tr>
			<td class="label">Work Phone</label>
			<td><input type="text" class="v-text" name="work_phone" /></td>
		</tr>
		<tr>
			<td class="label">Mobile</label>
			<td><input type="text" class="v-text" name="mobile" /></td>
		</tr>

	</table>
	<hr />
	<p class="align-right"><a class="v-dbtn save-contact">Save</a> <a class="v-dbtn discard-contact">Discard</a></p>
	</div>
</div>


<div id="edit-contact" class="global-modal-form" style="height: 230px">
	<div class="global-modal-form-body">
	<h3>Edit Emergency Contact</h3>
	<table class="grid-form grid-form-transparent">
		<tr>
			<td class="label">Name</label>
			<td><input type="text" class="v-text" style="width: 80%" name="name" /></td>
		</tr>
		<tr>
			<td class="label">Relationship</label>
			<td><input type="text" class="v-text" name="relationship" /></td>
		</tr>
		<tr>
			<td class="label">Home Phone</label>
			<td><input type="text" class="v-text" name="home_phone" /></td>
		</tr>
		<tr>
			<td class="label">Work Phone</label>
			<td><input type="text" class="v-text" name="work_phone" /></td>
		</tr>
		<tr>
			<td class="label">Mobile</label>
			<td><input type="text" class="v-text" name="mobile" /></td>
		</tr>

	</table>
	<hr />
	<p class="align-right"><a class="v-dbtn save-contact">Save</a> <a class="v-dbtn discard-contact">Discard</a></p>
	</div>
</div>

<div id="add-dependent" class="global-modal-form" style="height: 170px">
	<div class="global-modal-form-body">
	<h3>Add Dependent</h3>
	<table class="grid-form grid-form-transparent">
		<tr>
			<td class="label">Name</label>
			<td><input type="text" class="v-text" style="width: 80%" name="name" /></td>
		</tr>
		<tr>
			<td class="label">Relationship</label>
			<td><input type="text" class="v-text" style="width: 80%" name="relationship" /></td>
		</tr>
		<tr>
			<td class="label">Date of Birth</label>
			<td><input type="text" class="v-text date" name="dob" /></td>
		</tr>

	</table>
	<hr />
	<p class="align-right"><a class="v-dbtn save-dependent">Save</a> <a class="v-dbtn discard-dependent">Discard</a></p>
	</div>
</div>

<div id="edit-dependent" class="global-modal-form" style="height: 170px">
	<div class="global-modal-form-body">
	<h3>Edit Dependent</h3>
	<table class="grid-form grid-form-transparent">
		<tr>
			<td class="label">Name</label>
			<td><input type="text" class="v-text" style="width: 80%" name="name" /></td>
		</tr>
		<tr>
			<td class="label">Relationship</label>
			<td><input type="text" class="v-text" style="width: 80%" name="relationship" /></td>
		</tr>
		<tr>
			<td class="label">Date of Birth</label>
			<td><input type="text" class="date v-text" name="dob" /></td>
		</tr>

	</table>
	<hr />
	<p class="align-right"><a class="v-dbtn save-dependent">Save</a> <a class="v-dbtn discard-dependent">Discard</a></p>
	</div>
</div>


<div id="add-work-experience" class="global-modal-form" style="height: 270px">
	<div class="global-modal-form-body">
	<h3>Add Work Experience</h3>
	<table class="grid-form grid-form-transparent">
		<tr>
			<td class="label">Employer</label>
			<td><input type="text" class="v-text" style="width: 80%" name="employer" /></td>
		</tr>
		<tr>
			<td class="label">Start Date</label>
			<td><input type="text" class="date v-text" name="start_date" /></td>
		</tr>
		<tr>
			<td class="label">End Date</label>
			<td><input type="text" class="date v-text" name="end_date" /></td>
		</tr>
		<tr>
			<td class="label">Job Title</label>
			<td><input type="text" class="v-text" style="width: 80%" name="job_title" /></td>
		</tr>
		<tr>
			<td class="label">Remarks</label>
			<td><textarea name="remarks" class="v-textarea" style="width: 80%"></textarea></td>
		</tr>
		<tr>
			<td class="label">Internal</label>
			<td><input type="checkbox" name="internal" value="1" /></td>
		</tr>

	</table>
	<hr />
	<p class="align-right"><a class="v-dbtn save-work-experience">Save</a> <a class="v-dbtn discard-work-experience">Discard</a></p>
	</div>
</div>

<div id="edit-work-experience" class="global-modal-form" style="height: 270px">
	<div class="global-modal-form-body">
	<h3>Edit Work Experience</h3>
	<table class="grid-form grid-form-transparent">
		<tr>
			<td class="label">Employer</label>
			<td><input type="text" class="v-text" style="width: 80%" name="employer" /></td>
		</tr>
		<tr>
			<td class="label">Start Date</label>
			<td><input type="text" class="date v-text" name="start_date" /></td>
		</tr>
		<tr>
			<td class="label">End Date</label>
			<td><input type="text" class="date v-text" name="end_date" /></td>
		</tr>
		<tr>
			<td class="label">Job Title</label>
			<td><input type="text" class="v-text" style="width: 80%" name="job_title" /></td>
		</tr>
		<tr>
			<td class="label">Remarks</label>
			<td><textarea name="remarks" class="v-textarea"></textarea></td>
		</tr>
		<tr>
			<td class="label">Internal</label>
			<td><input type="checkbox" name="internal" value="1" /></td>
		</tr>

	</table>
	<hr />
	<p class="align-right"><a class="v-dbtn save-work-experience">Save</a> <a class="v-dbtn discard-work-experience">Discard</a></p>
	</div>
</div>


<div id="add-education" class="global-modal-form" style="height: 265px">
	<div class="global-modal-form-body">
	<h3>Add Education</h3>
	<table class="grid-form grid-form-transparent">
		<tr>
			<td class="label">Education</label>
			<td><input type="text" class="v-text" style="width: 80%" name="education" /></td>
		</tr>
		<tr>
			<td class="label">Major/Specialization</label>
			<td><input type="text" class="v-text" style="width: 80%" name="major" /></td>
		</tr>
		<tr>
			<td class="label">Year</label>
			<td><input type="text" class="v-text" name="year" /></td>
		</tr>
		<tr>
			<td class="label">GPA/Score</label>
			<td><input type="text" class="v-text" name="gpa_score" /></td>
		</tr>
		<tr>
			<td class="label">From</label>
			<td><input type="text" class="date v-text" name="start_date" /></td>
		</tr>
		<tr>
			<td class="label">To</label>
			<td><input type="text" class="date v-text" name="end_date" /></td>
		</tr>
	</table>
	<hr />
	<p class="align-right"><a class="v-dbtn save-education">Save</a> <a class="v-dbtn discard-education">Discard</a></p>
	</div>
</div>



<div id="edit-education" class="global-modal-form" style="height: 265px">
	<div class="global-modal-form-body">
	<h3>Edit Education</h3>
	<table class="grid-form grid-form-transparent">
		<tr>
			<td class="label">Education</label>
			<td><input type="text" class="v-text" style="width: 80%" name="education" /></td>
		</tr>
		<tr>
			<td class="label">Major/Specialization</label>
			<td><input type="text" class="v-text" style="width: 80%" name="major" /></td>
		</tr>
		<tr>
			<td class="label">Year</label>
			<td><input type="text" class="v-text" name="year" /></td>
		</tr>
		<tr>
			<td class="label">GPA/Score</label>
			<td><input type="text" class="v-text" name="gpa_score" /></td>
		</tr>
		<tr>
			<td class="label">From</label>
			<td><input type="text" class="date v-text" name="start_date" /></td>
		</tr>
		<tr>
			<td class="label">To</label>
			<td><input type="text" class="date v-text" name="end_date" /></td>
		</tr>
	</table>
	<hr />
	<p class="align-right"><a class="v-dbtn save-education">Save</a> <a class="v-dbtn discard-education">Discard</a></p>
	</div>
</div>



<div id="add-skill" class="global-modal-form" style="height: 190px">
	<div class="global-modal-form-body">
	<h3>Add Skill</h3>
	<table class="grid-form grid-form-transparent">
		<tr>
			<td class="label">Skill</label>
			<td><input type="text" class="v-text" style="width: 80%" name="skill" /></td>
		</tr>
		<tr>
			<td class="label">Years of Experience</label>
			<td><input type="text" class="v-text" name="years_of_experience" /></td>
		</tr>
		<tr>
			<td class="label">Remarks</label>
			<td><textarea name="remarks" class="v-textarea"></textarea></td>
		</tr>
	</table>
	<hr />
	<p class="align-right"><a class="v-dbtn save-skill">Save</a> <a class="v-dbtn discard-skill">Discard</a></p>
	</div>
</div>


<div id="edit-skill" class="global-modal-form" style="height: 190px">
	<div class="global-modal-form-body">
	<h3>Edit Skill</h3>
	<table class="grid-form grid-form-transparent">
		<tr>
			<td class="label">Skill</label>
			<td><input type="text" class="v-text" style="width: 80%" name="skill" /></td>
		</tr>
		<tr>
			<td class="label">Years of Experience</label>
			<td><input type="text" class="v-text" name="years_of_experience" /></td>
		</tr>
		<tr>
			<td class="label">Remarks</label>
			<td><textarea name="remarks" class="v-textarea"></textarea></td>
		</tr>
	</table>
	<hr />
	<p class="align-right"><a class="v-dbtn save-skill">Save</a> <a class="v-dbtn discard-skill">Discard</a></p>
	</div>
</div>


<div id="add-language" class="global-modal-form" style="height: 175px">
	<div class="global-modal-form-body">
	<h3>Add Language</h3>
	<table class="grid-form grid-form-transparent">
		<tr>
			<td class="label">Language</label>
			<td><input type="text" class="v-text" style="width: 80%" name="language" /></td>
		</tr>
		<tr>
			<td class="label">Fluency</label>
			<td><input type="text" class="v-text" style="width: 80%" name="fluency" /></td>
		</tr>
		<tr>
			<td class="label">Competency</label>
			<td><input type="text" class="v-text" style="width: 80%" name="competency" /></td>
		</tr>
	</table>
	<hr />
	<p class="align-right"><a class="v-dbtn save-language">Save</a> <a class="v-dbtn discard-language">Discard</a></p>
	</div>
</div>


<div id="edit-language" class="global-modal-form" style="height: 175px">
	<div class="global-modal-form-body">
	<h3>Edit Language</h3>
	<table class="grid-form grid-form-transparent">
		<tr>
			<td class="label">Language</label>
			<td><input type="text" class="v-text" style="width: 80%" name="language" /></td>
		</tr>
		<tr>
			<td class="label">Fluency</label>
			<td><input type="text" class="v-text" style="width: 80%" name="fluency" /></td>
		</tr>
		<tr>
			<td class="label">Competency</label>
			<td><input type="text" class="v-text" style="width: 80%" name="competency" /></td>
		</tr>
	</table>
	<hr />
	<p class="align-right"><a class="v-dbtn save-language">Save</a> <a class="v-dbtn discard-language">Discard</a></p>
	</div>
</div>


<div id="add-license" class="global-modal-form" style="height: 175px">
	<div class="global-modal-form-body">
	<h3>Add License</h3>
	<table class="grid-form grid-form-transparent">
		<tr>
			<td class="label">Type</label>
			<td><input type="text" class="v-text" style="width: 80%" name="type" /></td>
		</tr>
		<tr>
			<td class="label">From</label>
			<td><input type="text" class="date v-text" name="start_date" /></td>
		</tr>
		<tr>
			<td class="label">To</label>
			<td><input type="text" class="date v-text" name="end_date" /></td>
		</tr>
	</table>
	<hr />
	<p class="align-right"><a class="v-dbtn save-license">Save</a> <a class="v-dbtn discard-license">Discard</a></p>
	</div>
</div>


<div id="edit-license" class="global-modal-form" style="height: 175px">
	<div class="global-modal-form-body">
	<h3>Edit License</h3>
	<table class="grid-form grid-form-transparent">
		<tr>
			<td class="label">Type</label>
			<td><input type="text" class="v-text" style="width: 80%" name="type" /></td>
		</tr>
		<tr>
			<td class="label">From</label>
			<td><input type="text" class="date v-text" name="start_date" /></td>
		</tr>
		<tr>
			<td class="label">To</label>
			<td><input type="text" class="date v-text" name="end_date" /></td>
		</tr>
	</table>
	<hr />
	<p class="align-right"><a class="v-dbtn save-license">Save</a> <a class="v-dbtn discard-license">Discard</a></p>
	</div>
</div>


	<div class="toolbar">
		<h3 class="grid-title"><a class="v-dbtn target_main" style="float:right; padding:0 25px; margin-top: -1px" href="hr/employee">Back</a>Edit Employee</h3>
		<div class="global-tabs" style="padding: 3px 5px">
			<a class="v-btn submit_btn">Save</a>
		</div>
		<div class="global-tabs">
			<ul class="category-tabs">
				<li><a class="personal current" href="#personal">Personal</a></li>
				<li><a class="employment" href="#employment">Employment</a></li>
				<li><a class="qualifications" href="#qualifications">Qualifications</a></li>
				<li><a class="documents" href="#documents">Documents</a></li>
			</ul>
		</div>
	</div>
	<div class="status">
	
	</div>
	<div class="main_full">	
		<iframe id="postframe" name="postframe" src="<?php echo base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
		<div class="main-container">
			<form class="update" method="post" action="<?php echo base_url()?>hr/edit_employee/<?php echo $employee->id; ?>/do" target="postframe">		
			<div id="personal" class="tabs">
				<h3 class="general-form-header">Link with User</h3>
				<table class="general-form">
					<tr class="two">
						<td class="label">User</td>
						<td class="input"><?php echo form_dropdown('user',$unlinked_users,$user,'class="v-dropdown"'); ?>
					</tr>
				</table>
			
			
				<h3 class="general-form-header">Employee Details</h3>
				<table class="general-form">
					<tr class="four">
						<td class="label">First Name <span class="red">*</span></td>
						<td class="input"><input type="text" name="firstname" class="v-text" value="<?php echo $employee->firstname?>" /></td>
						<td class="label">Last Name <span class="red">*</span></td>
						<td class="input"><input type="text" name="lastname" class="v-text" value="<?php echo $employee->lastname?>"/></td>
					</tr>
					<tr class="two">
						<td class="label">NRIC/Passport <span class="red">*</span></td>
						<td class="input" colspan="3"><input type="text" name="ic_no" class="v-text mandatory" value="<?php echo $employee->ic_no?>"/></td>
					</tr>
					<tr class="four">
						<td class="label">Gender</td>
						<td class="input"><?php echo form_dropdown('gender', array(0 => 'Select Gender', 'Male' => 'Male', 'Female' => 'Female'), $employee->gender, 'class="v-dropdown" style="width: 100%"')?></td>
						<td class="label">Marital Status</td>
						<td class="input"><?php echo form_dropdown('marital_status', array('Select Marital Status','Single'=>'Single','Married'=>'Married','Divorced'=>'Divorced','Widowed'=>'Widowed'), $employee->marital_status,'class="v-dropdown" style="width: 100%"')?></td>
					</tr>
					<tr class="four">
						<td class="label">Date of Birth</td>
						<td class="input"><input type="text" name="dob" class="date" value="<?php echo $employee->dob == '0000-00-00' ? '' : date('d/m/Y',strtotime($employee->dob))?>" /></td>
						<td class="label">Nationality</td>
						<td class="input"><input type="text" name="nationality" class="v-text" value="<?php echo $employee->nationality?>" /></td>

					</tr>
					<tr class="four">
						<td class="label">Race</td>
						<td class="input"><input type="text" name="race" class="v-text" value="<?php echo $employee->race?>" /></td>
						<td class="label">Home Phone</td>
						<td class="input"><input type="text" name="home_phone" class="v-text" value="<?php echo $employee->home_phone?>" /></td>
					</tr>
					<tr class="four">

						<td class="label">Mobile</td>
						<td class="input"><input type="text" name="mobile" class="v-text" value="<?php echo $employee->mobile?>" /></td>
						<td class="label">Work Phone</td>
						<td class="input"><input type="text" name="work_phone" class="v-text" value="<?php echo $employee->work_phone?>" /></td>
					</tr>
					<tr class="four">
						<td class="label">Work Email</td>
						<td class="input"><input type="text" name="work_email" class="v-text" value="<?php echo $employee->work_email?>"/></td>
						<td class="label">Other Email</td>
						<td class="input"><input type="text" name="other_email" class="v-text" value="<?php echo $employee->other_email?>" /></td>
					</tr>				
					
				</table>
				
				<h3>Tags</h3>
				<table class="general-form">
					<tbody>
						<tr>
							<td class="label">Tags</td>
							<td class="input"><input value="<?php echo tagcomplete($employee->tags); ?>" type="text" class="v-text autocomplete-tag" name="tags" /></td>
						</tr>
					</tbody>	
				</table>	
				
				<h3 class="general-form-header">Photo</h3>
				<table class="general-form">
					<tr class="two">
						<td class="label">Photo</td>
						<td class="input"><input type="file" name="photo" class="v-text" /></td>
					</tr>
				</table>
		
				<h3 class="general-form-header">Home Address</h3>
				<table class="general-form">
					<tr class="four">
						<td class="label">Address 1</td>
						<td class="input"><input type="text" name="address_1" class="v-text" value="<?php echo $employee->address1?>" /></td>
						<td class="label">Address 2</td>
						<td class="input"><input type="text" name="address_2" class="v-text" value="<?php echo $employee->address2?>"/></td>
					</tr>
					<tr class="four">
						<td class="label">City</td>
						<td class="input"><input type="text" name="city" class="v-text" value="<?php echo $employee->city?>"/></td>
						<td class="label">Postcode</td>
						<td class="input"><input type="text" name="postcode" class="v-text" value="<?php echo $employee->zipcode?>"/></td>
					</tr>
					<tr class="four">
						<td class="label">State</td>
						<td class="input"><?php echo form_dropdown('stateprov', $this->system->state_list($employee->country), $employee->stateprov,'class="v-dropdown v-city" style="width: 100%"'); ?></td>
						<td class="label">Country</td>
						<td class="input"><?php echo form_dropdown('country', $this->system->country_list(), $employee->country, 'class="v-dropdown v-country" style="width: 100%"'); ?></td>
					</tr>
				</table>
				
				<h3 class="general-form-header"><a class="add-dependent v-btn">Add</a> Dependents</h3>
				<table class="grid dependent" rel="im">
					<thead>
						<tr>
							<th>Name</th>
							<th>Relationship</th>
							<th>Date of Birth</th>
							<th class="grid-action" style="text-align: center"><img src="<?php echo base_url()?>images/email-action.gif" alt="Action" /></th>
						</tr>
					</thead>
					<tbody>
					<?php foreach ($employee->dependents as $dependent): ?> 
						<tr>
							<td><?php echo $dependent->name?></td>
							<td><?php echo $dependent->relationship?></td>
							<td><?php echo $dependent->dob == '0000-00-00' ? '' : date('d/m/Y',strtotime($dependent->dob))?></td>
							<td>
								<a class="grid-action grid-action-edit" href="<?php echo $dependent->id?>"><span>Edit</span></a>
								<a class="grid-action grid-action-delete" href="hr/delete_dependent/<?php echo $employee->id?>/<?php echo $dependent->id?>"><span>Delete</span></a>
							</td>
						</tr>
					<?php endforeach; ?>
					</tbody>
				</table>
				<br />
				
				
				<h3 class="general-form-header"><a class="add-contact v-btn">Add</a> Emergency Contacts</h3>
				<table class="grid contact">
					<thead>
						<tr>
							<th>Name</th>
							<th>Relationship</th>
							<th>Home Phone</th>
							<th>Mobile</th>
							<th>Work Phone</th>
							<th class="grid-action" style="text-align: center"><img src="<?php echo base_url()?>images/email-action.gif" alt="Action" /></th>
						</tr>
					</thead>
					<tbody>
					<?php foreach ($employee->emergency_contacts as $contact): ?> 
						<tr>
							<td><?php echo $contact->name?></td>
							<td><?php echo $contact->relationship?></td>
							<td><?php echo $contact->home_phone?></td>
							<td><?php echo $contact->mobile?></td>
							<td><?php echo $contact->work_phone?></td>
							<td>
								<a class="grid-action grid-action-edit" href="<?php echo $contact->id?>"><span>Edit</span></a>
								<a class="grid-action grid-action-delete" href="hr/delete_contact/<?php echo $employee->id?>/<?php echo $contact->id?>"><span>Delete</span></a>
							</td>
						</tr>
					<?php endforeach; ?>
					</tbody>

				</table>
				<br />
				
				<br />
			</div>
			
			<div id="employment" class="tabs" style="display:none">
				<h3>Employment</h3>
				<table class="general-form">
					<tr class="four">
						<td class="label">Job Title</td>
						<td class="input"><input type="text" name="job_title" class="v-text" value="<?php echo $employee->employment->job_title?>" /></td>
						<td class="label">Status</td>
						<td class="input"><?php echo form_dropdown('status',array('Select Status','Probation'=>'Probation','Active'=>'Active','Suspended'=>'Suspended','Resigned'=>'Resigned'), $employee->employment->status, 'class="v-dropdown" style="width: 100%"')?></td>
					</tr>
					<tr class="four">
						<td class="label">Employment date</td>
						<td class="input"><input type="text" name="date" class="v-text date" value="<?php echo $employee->employment->date == '0000-00-00' ? '' :  date('d/m/Y',strtotime($employee->employment->date))?>" /></td>
						<td class="label">Employment type</td>
						<td class="input"><?php echo form_dropdown('type',array('Select Type','Full-time'=>'Full-time','Part-time'=>'Part-time'), $employee->employment->type, 'class="v-dropdown" style="width: 100%"')?></td>
					</tr>
					<tr class="four">
						<td class="label">EPF No</td>
						<td class="input"><input type="text" name="epf_id" class="v-text" value="<?php echo $employee->epf_id; ?>" /></td>
						<td class="label">SOCSO No</td>
						<td class="input"><input type="text" name="socso_id" class="v-text" value="<?php echo $employee->socso_id; ?>" /></td>
					</tr>
					<tr class="four">
						<td class="label">Income Tax No</td>
						<td class="input" colspan="3"><input type="text" name="tax_id" class="v-text" value="<?php echo $employee->tax_id; ?>" /></td>
					</tr>
				</table>
				
				<h3>Salary</h3>
				<table class="general-form">
					<tr class="four">
						<td class="label">Pay Frequency</td>
						<td class="input"><?php echo form_dropdown('pay_frequency', array('Select Frequency', 'Daily'=>'Daily','Weekly'=>'Weekly','Bi-weekly'=>'Bi-weekly','Semi-monthly'=>'Semi-monthly','Monthly'=>'Monthly'), $employee->employment->pay_frequency, 'class="v-dropdown" style="width: 100%"')?></td>
						<td class="label">Basic Salary</td>
						<td class="input"><input type="text" name="basic_salary" class="v-text" value="<?php echo $employee->employment->basic_salary?>" /></td>
					</tr>
					<tr class="four">
						<td class="label">Minimum Salary</td>
						<td class="input"><input type="text" name="minimum_salary" class="v-text" value="<?php echo $employee->employment->minimum_salary?>" /></td>
						<td class="label">Maximum Salary</td>
						<td class="input"><input type="text" name="maximum_salary" class="v-text" value="<?php echo $employee->employment->maximum_salary?>" /></td>
					</tr>
					<tr class="four">
						<td class="label">Salary Category</td>
						<td class="input"><?php echo form_dropdown('salary_category', $salary_categories, $employee->salary_category, 'class="v-dropdown" style="width: 100%"'); ?></td>
						<td class="label">New Salary Category</td>
						<td class="input"><input type="text" name="new_salary_category" class="v-text" /></td>
					</tr>
				</table>
				
				
				<h3><a style="padding: 3px 8px" class="v-btn add-supervisor">Add</a> Supervisor</h3>
				<table class="grid supervisor">
					<thead>
						<tr>
							<th>Name</th>
							<th>Reporting Method</th>
							<th class="grid-action" style="text-align: center"><img src="<?php echo base_url()?>images/email-action.gif" alt="Action" /></th>
						</tr>
					</thead>
					<tbody>
					<?php foreach ($employee->supervisors as $supervisor): ?> 
						<tr>
							<td><?php echo $supervisor->supervisor?></td>
							<td><?php echo $supervisor->reporting_method?></td>
							<td>
								<a class="grid-action grid-action-delete dependent-delete" href="hr/delete_supervisor/<?php echo $employee->id?>/<?php echo $supervisor->supervisor_id?>"><span>Delete</span></a>
							</td>
						</tr>
					<?php endforeach; ?>
					</tbody>
				</table>
				
				<br />
			
				<h3><a style="padding: 3px 8px" class="v-btn add-subordinate">Add</a> Subordinates</h3>
				<table class="grid subordinate">
					<thead>
						<tr>
							<th>Name</th>
							<th>Reporting Method</th>
							<th class="grid-action" style="text-align: center"><img src="<?php echo base_url()?>images/email-action.gif" alt="Action" /></th>
						</tr>
					</thead>
					<tbody>
					<?php foreach ($employee->subordinates as $subordinate): ?> 
						<tr>
							<td><?php echo $subordinate->subordinate?></td>
							<td><?php echo $subordinate->reporting_method?></td>
							<td>
								<a class="grid-action grid-action-delete dependent-delete" href="hr/delete_supervisor/<?php echo $subordinate->subordinate_id?>/<?php echo $employee->id?>"><span>Delete</span></a>
							</td>
						</tr>
					<?php endforeach; ?>
					</tbody>

				</table>
				
				
			</div>
		
			</form>
			
			<div id="qualifications" class="tabs" style="display:none">
				<h3><a style="padding: 3px 8px" class="v-btn add-work-experience">Add</a> Work Experience</h3>
				<table class="grid work-experience">
					<thead>
						<tr>
							<th>Employer</th>
							<th>From</th>
							<th>To</th>
							<th>Job Title</th>
							<th>Remarks</th>
							<th class="grid-action" style="text-align: center"><img src="<?php echo base_url()?>images/email-action.gif" alt="Action" /></th>
						</tr>
					</thead>
					<tbody>
						<?php foreach ($employee->work_experience as $work_experience): ?>
						<tr>
							<td><?php echo $work_experience->employer?></td>
							<td><?php echo date('d/m/Y', strtotime($work_experience->start_date))?></td>
							<td><?php echo date('d/m/Y', strtotime($work_experience->end_date))?></td>
							<td><?php echo $work_experience->job_title?></td>
							<td><?php echo $work_experience->remarks?></td>
							<td>
								<a class="grid-action grid-action-edit" href="<?php echo $work_experience->id?>"><span>Edit</span></a>
								<a class="grid-action grid-action-delete" href="hr/delete_work_experience/<?php echo $employee->id?>/<?php echo $work_experience->id?>"><span>Delete</span></a>
							</td>
						</tr>
						<?php endforeach; ?>
					</tbody>				
				</table>
				
				<br />
				<h3><a style="padding: 3px 8px" class="v-btn add-education">Add</a> Education</h3>
				<table class="grid education">
					<thead>
						<tr>
							<th>Education</th>
							<th>Major</th>
							<th>Year</th>
							<th>GPA/Score</th>
							<th>From</th>
							<th>To</th>
							<th class="grid-action" style="text-align: center"><img src="<?php echo base_url()?>images/email-action.gif" alt="Action" /></th>
						</tr>
					</thead>
					<tbody>
						<?php foreach ($employee->education as $education): ?>
						<tr>
							<td><?php echo $education->education?></td>
							<td><?php echo $education->major?></td>
							<td><?php echo $education->year?></td>
							<td><?php echo $education->gpa_score?></td>
							<td><?php echo date('d/m/Y', strtotime($education->start_date))?></td>
							<td><?php echo date('d/m/Y', strtotime($education->end_date))?></td>
							<td>
								<a class="grid-action grid-action-edit" href="<?php echo $education->id?>"><span>Edit</span></a>
								<a class="grid-action grid-action-delete" href="hr/delete_education/<?php echo $employee->id?>/<?php echo $education->id?>"><span>Delete</span></a>
							</td>
						</tr>
						<?php endforeach; ?>
					</tbody>				
				</table>
				
				<br />
				<h3><a style="padding: 3px 8px" class="v-btn add-skill">Add</a> Skills</h3>
				<table class="grid skill">
					<thead>
						<tr>
							<th>Skills</th>
							<th>Year of Experience</th>
							<th>Remarks</th>
							<th class="grid-action" style="text-align: center"><img src="<?php echo base_url()?>images/email-action.gif" alt="Action" /></th>
						</tr>
					</thead>
					<tbody>
						<?php foreach ($employee->skills as $skill): ?>
						<tr>
							<td><?php echo $skill->skill?></td>
							<td><?php echo $skill->years_of_experience?></td>
							<td><?php echo $skill->remarks?></td>
							<td>
								<a class="grid-action grid-action-edit" href="<?php echo $skill->id?>"><span>Edit</span></a>
								<a class="grid-action grid-action-delete" href="hr/delete_skill/<?php echo $skill->id?>/<?php echo $skill->id?>"><span>Delete</span></a>
							</td>
						</tr>
						<?php endforeach; ?>
					</tbody>				
				</table>
				
				<br />
				<h3><a style="padding: 3px 8px" class="v-btn add-language">Add</a> Languages</h3>
				<table class="grid language">
					<thead>
						<tr>
							<th>Language</th>
							<th>Fluency</th>
							<th>Competency</th>
							<th class="grid-action" style="text-align: center"><img src="<?php echo base_url()?>images/email-action.gif" alt="Action" /></th>
						</tr>
					</thead>
					<tbody>
						<?php foreach ($employee->languages as $language): ?>
						<tr>
							<td><?php echo $language->language?></td>
							<td><?php echo $language->fluency?></td>
							<td><?php echo $language->competency?></td>
							<td>
								<a class="grid-action grid-action-edit" href="<?php echo $language->id?>"><span>Edit</span></a>
								<a class="grid-action grid-action-delete" href="hr/delete_language/<?php echo $employee->id?>/<?php echo $language->id?>"><span>Delete</span></a>
							</td>
						</tr>
						<?php endforeach; ?>
					</tbody>				
				</table>
				
				<br />
				<h3><a style="padding: 3px 8px" class="v-btn add-license">Add</a> License</h3>
				<table class="grid license">
					<thead>
						<tr>
							<th>Type</th>
							<th>From</th>
							<th>To</th>
							<th class="grid-action" style="text-align: center"><img src="<?php echo base_url()?>images/email-action.gif" alt="Action" /></th>
						</tr>
					</thead>
					<tbody>
						<?php foreach ($employee->licenses as $license): ?>
						<tr>
							<td><?php echo $license->type?></td>
							<td><?php echo date('d/m/Y', strtotime($license->start_date))?></td>
							<td><?php echo date('d/m/Y', strtotime($license->end_date))?></td>
							<td>
								<a class="grid-action grid-action-edit" href="<?php echo $license->id?>"><span>Edit</span></a>
								<a class="grid-action grid-action-delete" href="hr/delete_license/<?php echo $employee->id?>/<?php echo $license->id?>"><span>Delete</span></a>
							</td>
						</tr>
						<?php endforeach; ?>
					</tbody>				
				</table>
			</div>
			
		
			<div id="documents" class="tabs" style="display:none">
				<div class="file-upload-control" style="width: 200px">
					<form action="<?php echo base_url()?>hr/upload_document/<?php echo $employee->id;?>" method="post" enctype="multipart/form-data" target="file_upload_target" onsubmit="startUpload()">
						<h4>Select file to upload</h4>
						<img id="file-upload-process" src="<?php echo base_url()?>images/loading.gif" style="display:none" />
						<div id="select-file">
							<input type="text" name="path" style="width: 100%; margin-bottom: 10px;"/><br />
							<a href="#select" class="v-btn select-file">Select File</a>
							<a href="#save" class="v-btn upload-file">Upload</a>
							<input type="file" name="file_upload" class="select-file-input" style="visibility: hidden; height: 0px; padding: 0; margin: 0" />
						</div>
						<iframe id="file_upload_target" name="file_upload_target" src="#" style="width:0;height:0;border:0px solid #fff;"></iframe>
					</form>
				</div>

			</div>
		
		
		</div>
	</div>
