<?php if (!$this->user->has_access('HR')) die('You do not have the permissions to access this area.'); ?>
<div id="dashboard-container">
	<div id="global-sidebar">
		<div class="global-sidebar-control">
			<a href="hr/config" class="target_main settings-button"><img src="<?=base_url()?>images/settings_button.gif" /></a>
		</div>
		<ul id="global-sidebar-list">
			<li class="current"><a href="hr/overview" class="overview">Overview</a></li>
			<?php if ($this->user->has_permission('to_view_employee','HR')): ?>
			<li><a href="hr/employee" class="employee">Employee</a></li>
			<?php endif; ?>
			<?php if ($this->user->has_permission('to_view_leaves','HR')): ?>
			<li><a href="hr/leave" class="leave">Leave</a></li>
			<?php endif; ?>
			<?php if ($this->user->has_permission('to_view_pay_slip','HR')): ?>
			<li><a href="hr/payroll" class="leave">Payroll</a></li>
			<li><a href="hr/salary_vouchers" class="sv">Pay Slips</a></li>
			<?php endif; ?>
			<?php if ($this->user->has_permission('to_view_recruitment','HR')): ?>
			<li><a href="hr/recruitment" class="recruitments">Recruitment</a></li>
			<?php endif; ?>
		</ul>
		<div id="global_sidebar_controls">
		
		</div>
	</div>
	<div id="global-content">
		<div class="toolbar">
		<h3 class="grid-title">Pending Leave Application</h3>
		<table class="grid" rel="im">
			<thead>
				<tr>
					<th>Employee Name</th>
					<th style="width: 100px">Type</th>
					<th style="width: 100px">From</th>
					<th style="width: 100px">To</th>
					<th style="width: 100px">Status</th>
					<th style="width: 200px">Remarks</th>
					<th style="width: 75px; text-align: center" class="grid-action"><img src="<?=base_url()?>images/email-action.gif" alt="Action" /></th>
					<th style="width: 15px; padding: 0;"></th>
				</tr>
			</thead>
		</table>
		</div>
		<div class="main_full">
		<table class="grid grid_data">
			<tbody>
				<?php foreach ($leave_list as $leave): ?>
				<tr class="list-item">
					<td><?=$leave->firstname . ' ' .  $leave->lastname?></td>
					<td style="width: 100px"><?=$leave->type?></td>
					<td style="width: 100px"><?=date('d/m/Y',strtotime($leave->from))?></td>
					<td style="width: 100px"><?=date('d/m/Y',strtotime($leave->to))?></td>
					<td style="width: 100px"><?=$leave->status?></td>
					<td style="width: 200px"><?=$leave->remarks?></td>
					<td style="width: 75px">
						<?php if ($this->user->has_permission('to_process_leave','HR')): ?><a class="grid-action grid-action-approve target_main" href="hr/approve_leave/<?=$leave->id?>"><span>Approve</span></a><?php endif; ?>
						<?php if ($this->user->has_permission('to_view_leave','HR')): ?><a class="grid-action grid-action-view target_main" href="hr/view_leave/<?=$leave->id?>"><span>View</span></a><?php endif; ?>
						<?php if ($this->user->has_permission('to_edit_leave','HR')): ?><a class="grid-action grid-action-edit target_main" href="hr/edit_leave/<?=$leave->id?>"><span>Edit</span></a><?php endif; ?>

					</td>
				</tr>
				<?php endforeach; ?>
			</tbody>
		</table>

		</div>
	</div>
</div>