<script type="text/javascript">

var content;
var accId;
var accName;
var allocAmount;
var allocType;
var allocTotal = 0.00;
var curAcc;
var allocNo = 0;

function readyPost(action,status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		$('form').clearForm();
		$('table.alloc tbody tr').remove();
		showDialog('ok','Add Employee','Employee has been added successfully.');
	} else {
		showDialog('ok','Error','There has been an error adding the employee.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}


$(document).ready(function(){
	$('a.submit_btn').click(function(event){
		$(this).parents('form').submit();
		event.preventDefault();
	});
	
	$('select.account_type').change(function(){
		$('input[name=number_prefix]').val($(this).val());
	});
	
	$('form').submit(function(){
		var passed = true;
		$('input.mandatory').each(function(){
			if (!$(this).val().trim()){
				passed = false;
			}
		});
	
		if (!passed){
			showDialog('ok','Error','Please ensure you have filled in all required fields.');
			return false;
		}
		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
	
});


</script>
	
	<div class="status">
	
	</div>
	<div class="toolbar">
		<iframe id="postframe" name="postframe" src="<?php echo base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
		<h3 class="grid-title">
			<a class="v-dbtn target_main" style="float:right; padding:0 25px; font-weight: normal" href="hr/employee">Back</a>
			Add Employee
		</h3>
	</div>
	<div class="main_full">
		<div class="main-container">

		<form method="post" action="<?php echo base_url()?>hr/add_employee/do" target="postframe">
			<h3 class="general-form-header">Link with User</h3>
			<table class="general-form">
				<tr class="two">
					<td class="label">User</td>
					<td class="input"><?php echo form_dropdown('user',$unlinked_users,'','class="v-dropdown"'); ?>
				</tr>
			</table>
			<h3 class="general-form-header">Employee Details</h3>
			<table class="general-form">
				<tr class="four">
					<td class="label">First Name <span class="red">*</span> </td>
					<td class="input"><input type="text" name="firstname" class="v-text mandatory" /></td>
					<td class="label">Last Name <span class="red">*</span></td>
					<td class="input"><input type="text" name="lastname" class="v-text mandatory" /></td>
				</tr>
				<tr class="two">
					<td class="label">NRIC/Passport <span class="red">*</span></td>
					<td class="input" colspan="3"><input type="text" name="ic_no" class="v-text mandatory" value="<?php echo $employee->ic_no?>"/></td>
				</tr>
				<tr class="four">
					<td class="label">Gender</td>
					<td class="input"><?php echo form_dropdown('gender', array(0 => 'Select Gender', 'Male' => 'Male', 'Female' => 'Female'),'','class="v-select" style="width: 100%"')?></td>
					<td class="label">Marital Status</td>
					<td class="input"><?php echo form_dropdown('marital_status',array('Select Marital Status','Single'=>'Single','Married'=>'Married','Divorced'=>'Divorced','Widowed'=>'Widowed'), 'default','class="v-select" style="width: 100%"')?></td>

				</tr>
				<tr class="four">
					<td class="label">Date of Birth</td>
					<td class="input"><input type="text" name="dob" class="v-text date" /></td>
					<td class="label">Nationality</td>
					<td class="input"><input type="text" name="nationality" class="v-text" /></td>

				</tr>
				<tr class="four">
					<td class="label">Race</td>
					<td class="input"><input type="text" name="race" class="v-text" /></td>
					<td class="label">Home Phone</td>
					<td class="input"><input type="text" name="home_phone" class="v-text" /></td>
				</tr>
				<tr class="four">
					<td class="label">Mobile</td>
					<td class="input"><input type="text" name="mobile" class="v-text" /></td>
					<td class="label">Work Phone</td>
					<td class="input"><input type="text" name="work_phone" class="v-text" /></td>
				</tr>
				<tr class="four">

					<td class="label">Work Email</td>
					<td class="input"><input type="text" name="work_email" class="v-text" /></td>
					<td class="label">Other Email</td>
					<td class="input"><input type="text" name="other_email" class="v-text" /></td>
				</tr>
				<tr class="four">

					<td class="label">Photo</td>
					<td class="input"><input type="file" name="photo" class="v-text" /></td>
					<td colspan="2"></td>
				</tr>				
				
			</table>
			<h3 class="general-form-header">Home Address</h3>
			<table class="general-form">
				<tr class="four">
					<td class="label">Address 1</td>
					<td class="input"><input type="text" name="address_1" class="v-text" /></td>
					<td class="label">Address 2</td>
					<td class="input"><input type="text" name="address_2" class="v-text" /></td>
				</tr>
				<tr class="four">
					<td class="label">City</td>
					<td class="input"><input type="text" name="city" class="v-text" /></td>
					<td class="label">Postcode</td>
					<td class="input"><input type="text" name="postcode" class="v-text" /></td>
				</tr>
				<tr class="four">
					<td class="label">State</td>
					<td class="input"><input type="text" name="stateprov" class="v-text" /></td>
					<td class="label">Country</td>
					<td class="input"><input type="text" name="country" class="v-text" /></td>
				</tr>
			</table>
			
			<h3>Tags</h3>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Tags</td>
						<td class="input"><input value="<?php echo tagcomplete($employee->tags); ?>" type="text" class="v-text autocomplete-tag" name="tags" /></td>
					</tr>
				</tbody>
			</table>

			<p class="general-form-action"><a class="v-btn submit_btn">Save Employee</a></p>
			<br />
		</form>
		</div>
	</div>
