
		<h3 class="grid-title">Summary</h3>
		<div class="chart-container chart-one-third">
			<h3 class="chart-header">Employees By Division</h3>
			<?=$job_by_division_chart?>
		</div>
		<div class="chart-container chart-one-third">
			<h3 class="chart-header">Employees By Gender</h3>
			<?=$job_by_gender_chart?>
		</div>
		<div class="chart-container chart-one-third">
			<h3 class="chart-header">Statistics</h3>
			<table class="stats">
				<tr>
					<td>Total Employees</td>
					<td><?=$total_employees?></td>
				</tr>
				<tr class="odd">
					<td>Total Leaves This Month</td>
					<td><?=$total_leave_this_month?></td>
				</tr>
				<tr>
					<td>Total Leaves Last Month</td>
					<td><?=$total_leave_last_month?></td>
				</tr>
				<tr class="odd">
					<td>Total Active Recruitments</td>
					<td><?=$total_active_recruitment?></td>
				</tr>
				<tr>
					<td>Total Closed Recruitments</td>
					<td><?=$total_closed_recruitment?></td>
				</tr>

			</table>
		</div>
		<br class="clearboth" />
		<h3 class="grid-title">Pending Leave Application</h3>
		<table class="grid" rel="im">
			<thead>
				<tr>
					<th>Employee Name</th>
					<th>Type</th>
					<th>From</th>
					<th>To</th>
					<th>Status</th>
					<th>Remarks</th>
					<th class="grid-action" style="text-align: center"><img src="<?=base_url()?>images/email-action.gif" alt="Action" /></th>
				</tr>
			</thead>
			<tbody>
				<?php foreach ($leave_list as $leave): ?>
				<tr class="list-item">
					<td><?=$leave->firstname . ' ' .  $leave->lastname?></td>
					<td><?=$leave->type?></td>
					<td><?=date('d/m/Y',strtotime($leave->from))?></td>
					<td><?=date('d/m/Y',strtotime($leave->to))?></td>
					<td><?=$leave->status?></td>
					<td><?=$leave->remarks?></td>
					<td style="width: 75px">
						<a class="grid-action grid-action-approve target_main" href="hr/approve_leave/<?=$leave->id?>"><span>Approve</span></a>
						<a class="grid-action grid-action-view target_main" href="hr/view_leave/<?=$leave->id?>"><span>View</span></a>
						<a class="grid-action grid-action-edit target_main" href="hr/edit_leave/<?=$leave->id?>"><span>Edit</span></a>
					</td>
				</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
		<br />

