<?php if (!$this->user->has_permission('to_view_pay_slip','HR')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var filtered = false;

reload_data = '';

$(document).ready(function(){
	$('.upload').click(function(){
		$('.file').click();
	})
	
	$('.file').change(function(){
		$(this).parents('form').submit();
	})
})

function uploadStatus(msg){
	showDialog('ok','File Upload', msg);
}

function filterItems(){
	var date_from = $('input.filter-date-from').val();
	var date_to = $('input.filter-date-to').val();
	
	$('table.grid tbody').html('<td colspan="4" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	
	$.ajax({
		url: base_url + 'hr/payroll_filter',
		type: 'POST',
		data: 'date_from='+date_from+'&date_to='+date_to,
		success: function (result){
			reload_data = 'date_from='+date_from+'&date_to='+date_to;
			$('#global-content').html(result);
			populateEvents();
			filtered = true;
		}
	})
}

function reloadGrid(){
	$.ajax({
		url: base_url + 'hr/payroll_filter',
		type: 'POST',
		data: reload_data,
		success: function (result){
			$('div.main_full').html(result);
			$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
			populateEvents();
			
			if (reload_sort){
				$('th.sortable[rel='+reload_sort+']').addClass(reload_order).click();
			}
			
		}
	});
}

</script>
		<div class="toolbar">
			<h3 class="grid-title">
				<?php if ($this->user->has_permission('to_add_pay_slip','HR')): ?>
					
					<a href="hr/add_payslip" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">New Pay Slip</a>
					<iframe id="uploadframe" name="uploadframe" style="display:none"></iframe>
					<form target="uploadframe" method="post" action="hr/ajax/upload_csv_timesheet" enctype="multipart/form-data" style="float: right">
						<input style="display:none" class="file" type="file" name="file" />
						<a class="v-btn upload" style="font-weight: normal; padding:4px 10px 3px 10px; margin-right: 5px;">Upload Timesheet</a>
					</form>
				<?php endif; ?>
				
				Payroll
			</h3>
			<div class="global-tabs filter" style="padding: 3px 5px; font-size: 10pt">
    			<span>From <input type="text" name="date_from" class="v-text date filter-date-from" style="width: 80px" /></span>
    			<span style="margin-left: 10px">To <input type="text" name="date_to" class="v-text date filter-date-to" style="width: 80px; " /></span>
    			<a class="v-btn filter-btn search">Filter</a>

			</div>
			<table class="grid" rel="im">
				<thead>
					<tr>
						<th>Employee Name</th>
						<th style="width: 150px">Job Title</th>
						<th style="width: 150px">Pay Slip Status</th>
						<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action" /></th>
						<th style="width: 15px; padding: 0"></th>
					</tr>
				</thead>
			</table>
		</div>
		<div class="main_full">
			<table class="grid grid_data">
				<tbody>
					<?php $x = 0; foreach ($employees as $employee):?>
					<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
						<td><?php echo $employee->firstname . ' ' .  $employee->lastname?></td>
						<td style="width: 150px"><?php echo $employee->job_title?></td>
						<td style="width: 150px"><?php if ($svs[$employee->id]) echo $svs[$employee->id]->status; else echo 'Unprepared'; ?></td>
						<td style="width: 75px; padding: 0">
							<?php if ($this->user->has_permission('to_view','HR')): ?><a class="grid-action grid-action-view target_main" href="hr/view_employee/<?=$employee->id?>"><span>View</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_delete','HR')): ?><a class="grid-action grid-action-delete target_main" href="hr/delete_employee/<?=$employee->id?>"><span>Delete</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_edit','HR')): ?><a class="grid-action grid-action-edit target_main" href="hr/edit_employee/<?=$employee->id?>"><span>Edit</span></a><?php endif; ?>
						</td>
					</tr>
					<?php  $x++; endforeach; ?>
				</tbody>
			</table>					
		</div>
