<script type="text/javascript">

var content;
var itemCount = 1;

function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		$('form').clearForm();
		showDialog('ok','New Purchase Order','New purchase order has been created.');
		$('input.extraCharges').val('0.00');
		$('input.adjustment').val('0.00');
		
		$('table.order-form tbody').html('');
		calculateTotal();
	} else {
		showDialog('ok','Error','There has been an error adding the purchase order.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}

$(document).ready(function(){

	$('input').attr('disabled',true).css('border','none');
	$('textarea').attr('disabled',true).css('border','none');
	$('select').attr('disabled',true).hide();
	itemEvents();
	$('input.item_qty').change();
	
	
	$('a.submit_btn').click(function(event){
		$(this).parents('form').submit();
		event.preventDefault();
	});
	

	
	$('form').submit(function(){
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
	
	$('input[name=product_search]').keypress(function(e){
		var code = (e.keyCode ? e.keyCode : e.which);
		if (code == 13){
			var t = $('select[name=st]').val();
			var q = $(this).val();
			$('div.modal-search-result table tbody').html('<tr><td colspan="4"><img src="'+base_url+'images/loading.gif" /> Searching</td></tr>')
			$.ajax({
				type: "POST",
				url: base_url + 'inventory/search_product/' + q + '/' + t,
				success: function (html){
	
					$('div.modal-search-result table tbody').html(html);
				}			
			}); 
		}
	});
	
	$('a.add-product').click(function(event){
		event.preventDefault();
		showModalForm('product-search');
	});
	
	$('a.add-product-item').click(function(event){
		event.preventDefault();
		$('input.product-items').each(function(){
			if ($(this).attr('checked')){
				addItem($(this).val(),'product');
			}
		});
		itemEvents();
		calculateTotal();
	});
	
	$('a.search-product-done').click(function(event){
		event.preventDefault();
		hideModalForm('product-search');
	});
	
	$('input.extraCharges').change(function(){
		calculateTotal();
	});

	$('input.adjustment').change(function(){
		calculateTotal();
	});
	
	
	
	$('select[name=adjustment_type]').change(function(){
		calculateTotal();
	});
	
	
	$('input[name=copy]').click(function(){
		if ($(this).val() == 'shipping'){
			$('input[name=billing_address1]').val($('input[name=shipping_address1]').val());
			$('input[name=billing_address2]').val($('input[name=shipping_address2]').val());
			$('input[name=billing_city]').val($('input[name=shipping_city]').val());
			$('input[name=billing_postcode]').val($('input[name=shipping_postcode]').val());
			$('input[name=billing_state]').val($('input[name=shipping_state]').val());
			$('input[name=billing_country]').val($('input[name=shipping_country]').val());

		} else {
			$('input[name=shipping_address1]').val($('input[name=billing_address1]').val());
			$('input[name=shipping_address2]').val($('input[name=billing_address2]').val());
			$('input[name=shipping_city]').val($('input[name=billing_city]').val());
			$('input[name=shipping_postcode]').val($('input[name=billing_postcode]').val());
			$('input[name=shipping_state]').val($('input[name=billing_state]').val());
			$('input[name=shipping_country]').val($('input[name=billing_country]').val());
		
		}
	});

	
	itemEvents();
});

function calculateTotal(){
	var netTotal = parseFloat(0);
	var grandTotal = parseFloat(0);
	$('td.item_net_price').each(function(){
		netTotal = netTotal + parseFloat($(this).html());
	});
	
	netTotal = netTotal.toFixed(2);
	var charges = $('input.extraCharges').val();
	if (!charges) charges = 0;
	var adjustmentType = $('select[name=adjustment_type]').val();
	var adjustment = $('input.adjustment').val();
	if (!adjustment) adjustment = 0;

	if (adjustmentType == "Add"){
		grandTotal = parseFloat(netTotal) + 0 + parseFloat(charges) + parseFloat(adjustment);
	} else {
		grandTotal = parseFloat(netTotal) + 0 + parseFloat(charges) - parseFloat(adjustment);
	}
	grandTotal = parseFloat(grandTotal).toFixed(2);
	$('td.final_net_total').html(netTotal);
	$('td.final_grand_total').html(grandTotal);
	$('input[name=grand_total]').val(grandTotal);
}

function addItem(itemId,type){
	switch (type){
		case 'product':
			var price = $('tr[rel='+itemId+'] span.product-price').html();
			if (!price) price = '0.00';
			var name = $('tr[rel='+itemId+'] span.product-name').html();
			var desc = '';
			var instock = $('tr[rel='+itemId+'] span.quantity-in-stock').html();
			
			$('table.order-form tbody').append('<tr class="order-item" rel="'+itemCount+'">				\
						<td class="tool" style="width: 65px">																\
							<input type="hidden" name="item_id[]" value="'+itemId+'" />	\
							<input type="hidden" name="item_type[]" value="product">		\
							<input type="hidden" name="item_name[]" value="'+name+'">		\
							<input type="hidden" name="item_discount_type[]" />			\
							<input type="hidden" name="item_discount_value[]" />			\
							<input type="hidden" name="item_qty_in_stock[]" />				\
							<input type="hidden" class="item_net_price" name="item_net_price[]" value="'+price+'" />			\
							<input type="hidden" class="item_totalnet_price" name="item_totalnet_price[]" value="'+price+'" />			\
							<a class="remove" >Remove Item</a> 										\
						</td>																		\
						<td>																		\
							<p class="item_name">'+name+'</p>										\
						</td>																		\
						<td class="item_qty_in_stock">'+instock+'</td>								\
						<td><input type="text" class="item_qty v-number" name="item_qty[]" value="1" /></td>		\
						<td class="prices">															\
							<input type="text" class="item_list_price v-number-decimal" value="'+price+'" />	<br />	\
							Discount <label style="display:inline" ><input type="radio" class="discount_type" name="item_discount_type['+itemCount+']" value="p" style="display:inline;width: auto" /> (%)</label>				\
							<label style="display:inline" ><input type="radio" class="discount_type" name="item_discount_type['+itemCount+']" value="d" style="display:inline;width: auto" /> (-)</label>				\
							<input type="text" name="discount[]" class="item_discount v-number-decimal" value="0" />					\
						</td>																		\
						<td class="calculated">														\
							<p class="item_total_price">'+price+'</p>					\
							<p class="item_price_discount">0.00</p>						\
						</td>															\
						<td class="item_net_price">'+price+'</td>						\
					</tr>	');
					

			itemCount++;
		break;
		case 'service':
			$('table.order-form tbody').append('<tr class="order-item" rel="'+itemCount+'">		\
						<td>																	\
							<input type="hidden" name="item_id['+itemCount+']" />				\
							<input type="hidden" name="item_list_price['+itemCount+']" />		\
							<input type="hidden" name="item_qty_in_stock['+itemCount+']" />		\
						</td>													\
						<td>													\
							<p class="item_name"></p>							\
							<textarea class="item_details"></textarea>			\
						</td>													\
						<td class="item_qty_in_stock">N/A</td>					\
						<td><input type="text" name="item_qty" /></td>			\
						<td>													\
							<input type="text" name="item_list_price" />		\
							<p style="text-align: right">(-) Discount:</p>		\
							<p>Total (-):</p>									\
						</td>													\
						<td>													\
							<p class="item_list_price>0.00</p>					\
							<p class="item_price_discount">0.00</p>				\
							<p class="item_price_discounted">0.00</p>			\
							<p class="item_ind_tax">0.00</p>					\
						</td>													\
						<td class="item_net_price">0.00</td>					\
					</tr>	');
		break;
	}
}

function itemEvents(){

	$('input.item_list_price').change(function(){
		$('input.item_qty').change();
	});
	
	$('input.item_qty').change(function(){
		var discounted = 0;
		var netTotal = 0;
		var itemNo = $(this).parents('tr').attr('rel');
		var itemQty = parseInt($(this).val());
		var itemPrice = $('tr[rel='+itemNo+']').children('td.prices').children('input.item_list_price').val();
		var total = parseFloat(itemQty * itemPrice) + 0.00;
		var discountType = $('tr[rel='+itemNo+']').children('td.prices').children('label').children('input.discount_type:checked').val();
		var discountVal =  $('tr[rel='+itemNo+']').children('td.prices').children('input.item_discount').val();
		if (discountType == 'p'){
			var discounted = parseFloat(((discountVal) / 100) * total).toFixed(2);
			var netTotal = total - discounted;
		} else if (discountType == 'd'){
			var discounted = parseFloat(discountVal).toFixed(2);
			var netTotal = total - discounted;
		} else {
			var netTotal = total;
			var discounted = '0.00';
		}
		total = total.toFixed(2);
		netTotal = parseFloat(netTotal).toFixed(2);

		$('tr[rel='+itemNo+']').children('td.tool').children('input.item_totalnet_price').val(total);
		$('tr[rel='+itemNo+']').children('td.tool').children('input.item_net_price').val(netTotal);
		$('tr[rel='+itemNo+']').children('td.calculated').children('p.item_total_price').html(total);
		$('tr[rel='+itemNo+']').children('td.calculated').children('p.item_price_discount').html('-'+discounted);
		$('tr[rel='+itemNo+']').children('td.item_net_price').html(netTotal);

		calculateTotal();
	});
	
	$('input.discount_type').change(function(){
		$('input.item_qty').change();
		calculateTotal();
	});
	
	$('input.item_discount').change(function(){
		$('input.item_qty').change();
		calculateTotal();
	});
	
	$('a.remove').click(function(){
		$(this).parents('tr').remove();
	});

}



</script>
	<div class="status">
	
	</div>
	<div id="product-search" class="global-modal-form">
		<div class="global-modal-form-body">
			<h3>Product Search</h3>
			<table class="grid-form grid-form-transparent">
				<tr>
					<td class="label">Search</label>
					<td><input type="text" name="product_search" class="text" /> in <?=form_dropdown('st',array('Product Name'=>'Product Name','SKU'=>'SKU'))?></td>
				</tr>
			</table>
			<div class="modal-search-result">
				<table class="grid">
					<thead>
						<tr>
							<th>Product Name</th>
							<th>In Stock</th>
							<th>Unit Price (<?php echo $this->system->config('currency'); ?>)</th>
						</tr>
					</thead>
					<tbody>
					
					</tbody>
				</table>
			</div>
			<hr />
			<p style="padding: 10px 0;"><a class="v-dbtn add-product-item">Add</a> <a class="v-dbtn search-product-done">Done</a></p>
		</div>
	</div>
		

	<div class="main_full">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
		<h3 class="grid-title"><a class="v-dbtn target_main" style="float:right; padding:0 25px; margin-top: -1px" href="inventory/purchase_orders">Back</a>Purchase Order #<?php echo $po->number; ?></h3>
		<div class="main-container">
			
			<h2>Purchase Order</h2>
			<form method="post" target="postframe">

			<table class="general-form-print">
				<tr class="four">
					<td class="label">PO Number</td>
					<td class="input"><?php echo $po->number; ?></td>
					<td class="label">Date</td>
					<td class="input"><?php echo date('d/m/Y',strtotime($po->date)); ?></td>
				</tr>

				<tr class="four">
					<td class="label">Supplier</td>
					<td class="input"><?php echo $po->supplier; ?></td>
					<td class="label">Status</td>
					<td class="input"><?php echo $po->status; ?></td>
				</tr>
				<tr class="four">
					<td class="label">Terms</td>
					<td class="input"><?php echo $po->terms; ?></td>
					<td class="label">Credit Duration (days)</td>
					<td class="input"><?php echo $po->duration; ?></td>
				</tr>
			</table>
			
			
			
			
			<table class="order-form-print">
				<thead>
					<tr class="main-header">
						<th style="width:50%" colspan="2">Item Details</th>
						<th style="width:35%" colspan="2"></th>
						<th style="width:15%" colspan="1"></th>
					</tr>
					<tr class="sub-header">
						<th>Item</th>
						<th>Quantity</th>
						<th>List Price (<?php echo $this->system->config('currency'); ?>)</th>
						<th>Total (<?php echo $this->system->config('currency'); ?>)</th>
						<th>Net Price (<?php echo $this->system->config('currency'); ?>)</th>
					</tr>
				</thead>
				<tfoot>
					<tr>
						<td class="final" colspan="4">Net Total</td>
						<td class="final_net_total">0.00</td>
					</tr>
					<tr>
						<td class="final" colspan="4">(+) Shipping &amp; Handling Charges</td>
						<td><input type="text" name="sh_charges" class="extraCharges" value="<?=$po->handling_charges?>" /></td>
					</tr>
					<tr>
						<td class="final" colspan="4">Adjustment (<?php if ($adjustment_type == 'Add') echo '+'; else echo '-'?>)<?=form_dropdown('adjustment_type',array('Add'=>'Add','Deduct'=>'Deduct'), $po->adjustment_type)?></td>
						<td><input type="text" name="adjustment" class="adjustment" value="<?=$po->adjustment?>" /></td>
					</tr>
					<tr>
						<td class="final" colspan="4"><strong>GRAND TOTAL</strong></td>
						<td class="final_grand_total" style="font-weight: bold"><?=$po->total?></td>
					</tr>

				</tfoot>
				<tbody>
				<?php
					$products = $po->products;
				?>
				<?php $x = 0; foreach($po->orders as $order): ?>
					<tr class="order-item" rel="<?=$x?>">
																		
						<td>																		
							<p class="item_name" style="padding: 2px 0; margin: 0; font-weight: bold"><?=$products[$order->item_id]->name?></p>										
							<p style="padding: 2px 0; margin: 0"><?=$products[$order->item_id]->sku?></p>
						</td>																		
						<td><input type="text" name="item_qty[<?=$x?>]" style="font-size: 9pt; width: 30px" class="item_qty" value="<?=$order->qty?>" /></td>		
						<td class="prices">															
							<input type="text" class="item_list_price" style="font-size: 9pt" value="<?=$order->price_per_unit?>" />	<br />	
							&nbsp;Discount 
							
							<label style="display:none" ><input type="radio" class="discount_type" name="item_discount_type[<?=$x?>]" value="p" <?php if ($order->discount_type == 'p') echo 'checked="checked"'?> style="display:inline;width: auto" /> (%)</label>				
							<label style="display:none" ><input type="radio" class="discount_type" name="item_discount_type[<?=$x?>]" value="d" <?php if ($order->discount_type == 'd') echo 'checked="checked"'?>style="display:inline;width: auto" /> (-)</label>
							<?php if ($order->discount_type == 'p') echo '%'; else '-'; ?>
							<input type="text" name="discount[<?=$x?>]" style="width: 30px" class="item_discount" value="<?=$order->discount?>" />					
						</td>																		
						<td class="calculated">														
							<p class="item_total_price" style="padding: 2px 0; margin: 0"><?=$order->price?></p>				
							<p class="item_price_discount" style="padding: 2px 0; margin: 0">0.00</p>						
						</td>															
						<td class="item_net_price">0.00</td>						
					</tr>	
				<?php $x++; endforeach; ?>			

				</tbody>
			</table>
			<input type="hidden" name="grand_total" />
			
			
			<h3 class="general-form-title">Remarks</h3>
			<?php echo $po->remarks; ?>
			
			
			<br />
		</form>
		</div>
	</div>
