<?php if (!$this->user->has_permission('to_edit','inventory')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var content;

function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Supplier','Supplier information has been updated.');
		form_warning = false;
	} else if (status == 0) {
		showDialog('ok','Error','There has been an error adding the purchase order.');
		$('div.main_full').show();
		$('div.status').hide();
	} 
}

$(document).ready(function(){
	$('a.create').click(function(event){
		$(this).parents('form').submit();
		event.preventDefault();
	});
	
	$('form').submit(function(){
	
		var ok = true;
		$('input.mandatory').each(function(){
			if (!$(this).val()) ok = false;
		});
		
		if (!ok){
			showDialog('ok','Error','Please make sure you have filled in the mandatory fields.');
			return false;
		}
		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
})

</script>
	<div class="status">
	
	</div>
	<div class="toolbar">
		<h3 class="grid-title"><a href="inventory/suppliers" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn back_btn">Back</a>Edit Supplier Information &raquo; <?php echo $supplier->name; ?> </h3>
	</div>
	<div class="main_full">
		<iframe id="postframe" name="postframe" src="<?php echo base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>

		<div class="main-container">

		<form method="post" action="<?php echo base_url()?>inventory/edit_supplier/<?php echo $supplier->id; ?>/do" target="postframe">
			<h3>Supplier Information</h3>
			<table class="general-form">
				<tr class="two">
					<td class="label">Company Name <span class="red">*</span></td>
					<td class="input"><input value="<?php echo $supplier->name; ?>" type="text" name="name" class="v-text mandatory" /></td>
				</tr>
				<tr class="two">
					<td class="label">Contact Person <span class="red">*</span></td>
					<td class="input"><input value="<?php echo $supplier->contact_person; ?>" type="text" name="contact_person" class="v-text mandatory" /></td>
				</tr>
				<tr class="two">
					<td class="label">Contact Number <span class="red">*</span></td>
					<td class="input"><input value="<?php echo $supplier->contact_number; ?>" type="text" name="contact_number" class="v-text mandatory" /></td>
				</tr>				
				<tr>
					<td class="label">Payment Terms</td>
					<td class="input"><input value="<?php echo $supplier->terms; ?>" type="text" name="terms" class="v-text" /></td>					
				</tr>
				<tr class="two">
					<td class="label">Address 1</td>
					<td class="input"><input value="<?php echo $supplier->address1; ?>" type="text" name="address1" class="v-text" /></td>
				</tr>
				<tr class="two">
					<td class="label">Address 2</td>
					<td class="input"><input value="<?php echo $supplier->address2; ?>" type="text" name="address2" class="v-text" /></td>
				</tr>
				<tr class="two">
					<td class="label">City</td>
					<td class="input"><input value="<?php echo $supplier->city; ?>" type="text" name="city" class="v-text" /></td>
				</tr>
				<tr class="two">
					<td class="label">Postcode</td>
					<td class="input"><input value="<?php echo $supplier->zipcode; ?>" type="text" name="zipcode" class="v-text" /></td>
				</tr>
				<tr class="two">
					<td class="label">State</td>
					<td class="input"><input value="<?php echo $supplier->state; ?>" type="text" name="state" class="v-text" /></td>
				</tr>
				<tr class="two">
					<td class="label">Country</td>
					<td class="input"><input value="<?php echo $supplier->country; ?>" type="text" name="country" class="v-text" /></td>
				</tr>
				<tr class="two">
					<td class="label">Telephone</td>
					<td class="input"><input value="<?php echo $supplier->tel; ?>" type="text" name="tel" class="v-text" /></td>
				</tr>
				<tr class="two">
					<td class="label">Fax</td>
					<td class="input"><input value="<?php echo $supplier->fax; ?>" type="text" name="fax" class="v-text" /></td>
				</tr>
				<tr class="two">
					<td class="label">Description</td>
					<td class="input"><input value="<?php echo $supplier->description; ?>" type="text" name="description" class="v-text" /></td>
				</tr>
				
			</table>
			
			<h3>Remarks</h3>
			<table class="general-form">
				<tr class="two">
					<td class="label">Remarks</td>
					<td class="input"><textarea name="remarks" class="text"><?php echo $supplier->remarks; ?></textarea></td>
				</tr>

			</table>
			
			<p>* Mandatory fields</p>
			<a class="v-btn create">Save</a>
			<br />
		</form>
		</div>
	</div>
