<?php if (!$this->user->has_permission('to_view','inventory')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var content;

function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Supplier','Supplier information has been updated.');
		form_warning = false;
	} else if (status == 0) {
		showDialog('ok','Error','There has been an error adding the purchase order.');
		$('div.main_full').show();
		$('div.status').hide();
	} 
}

$(document).ready(function(){
	$('a.create').click(function(event){
		$(this).parents('form').submit();
		event.preventDefault();
	});
	
	$('form').submit(function(){
	
		var ok = true;
		$('input.mandatory').each(function(){
			if (!$(this).val()) ok = false;
		});
		
		if (!ok){
			showDialog('ok','Error','Please make sure you have filled in the mandatory fields.');
			return false;
		}
		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
})

</script>
	<div class="status">
	
	</div>
	<div class="toolbar">
		<h3 class="grid-title"><a href="inventory/suppliers" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn back_btn">Back</a>Supplier Information &raquo; <?php echo $supplier->name; ?> </h3>
		<div>
			<table class="general-form" style="margin-bottom: 0">
				<tr class="four">
					<td class="label">Company Name <span class="red">*</span></td>
					<td class="input"><?php echo $supplier->name; ?></td>
					<td class="label">Contact Person <span class="red">*</span></td>
					<td class="input"><?php echo $supplier->contact_person; ?></td>
				</tr>
				<tr class="four">
					<td class="label">Contact Number <span class="red">*</span></td>
					<td class="input"><?php echo $supplier->contact_number; ?></td>
					<td class="label">Payment Terms</td>
					<td class="input"><?php echo $supplier->terms; ?></td>					
				</tr>
				<tr class="four">
					<td class="label">Telephone</td>
					<td class="input"><?php echo $supplier->tel; ?></td>
					<td class="label">Fax</td>
					<td class="input"><?php echo $supplier->fax; ?></td>
				</tr>
				<tr class="four">
					<td class="label">Description</td>
					<td class="input"><?php echo $supplier->description; ?></td>
					<td class="label"></td>
					<td class="input"></td>
				</tr>
			</table>
		</div>
		
		<h3 class="grid-title">Ordered Items</h3>
		<table class="grid">
			<thead>
				<tr>
					<th class="sortable" rel="1" style="width: 120px">SKU</th>
					<th class="sortable" rel="2">Item</th>
					<th class="sortable" rel="3" style="width: 100px">Category</th>
					<th class="sortable" rel="4" style="width: 100px">Subcategory</th>
					<th class="sortable" rel="5" style="width: 100px">Brand</th>
					<th class="sortable" rel="6" style="width: 100px">Current Cost</th>
					<th class="sortable" rel="7" style="width: 100px">Current Price</th>
					<th class="sortable" rel="8" style="width: 100px">Qty in Stock</th>
					<th style="width: 15px"></th>
				</tr>
			</thead>
		</table>

	</div>
	
	<div class="main_full">
		
		
		<table class="grid grid-data">
			<tbody>

				<?php $x=0; foreach ($items as $item): ?>
				<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
					<td rel="1" style="width: 120px;"><?php echo $item->sku; ?></td>
					<td rel="2"><?php echo $item->name; ?></td>
					<td rel="3" style="width: 100px;"><?php echo $item->category; ?></td>
					<td rel="4" style="width: 100px;"><?php echo $item->subcategory; ?></td>
					<td rel="5" style="width: 100px;"><?php echo $item->brand; ?></td>
					<td rel="6" style="width: 100px; text-align: right;"><?php echo number_format($item->cost,2); ?></td>
					<td rel="7" style="width: 100px; text-align: right;"><?php echo number_format($item->price,2); ?></td>
					<td rel="8" style="width: 100px; text-align: right;"><?php echo $item->qty; ?></td>
				</tr>
				<?php $x++; endforeach; ?>
			</tbody>
		</table>


	</div>