<?php if (!$this->user->has_access('Branches')) die('You do not have the permissions to access this area.'); ?>

	<div class="toolbar">
		<h3 class="grid-title">
			<?php if ($this->user->has_permission('to_add','Branches')): ?><a href="inventory/warehouse_add" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">New Warehouse</a><?php endif; ?>
			Warehouses	
		</h3>
		<table class="grid">
			<thead>
				<th class="sortable-date" rel="1" style="width: 100px">Warehouse ID</th>
				<th class="sortable" rel="2">Warehouse Name</th>
				<th class="sortable" rel="3" style="width: 100px">Zipcode</th>
				<th class="sortable" rel="4" style="width: 200px">City, State</th>
				<th class="grid-action" style="text-align: center; width: 50px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
				<th style="width: 15px; padding: 0px"></th>
			</thead>
		</table>
	</div>
	<div class="main_full">
		<table class="grid grid_data">
			<tbody>
				<?php $x=0; foreach ($warehouses as $warehouse): ?>
				<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
					<td class="sortable-date" rel="1" time="<?php echo $warehouse->id; ?>" style="width: 100px"><?php echo $warehouse->id; ?></td>
					<td class="sortable" rel="2"><?php echo $warehouse->name; ?></td>
					<td class="sortable" rel="3" style="width: 100px;"><?php echo $warehouse->zipcode; ?></td>
					<td class="sortable" rel="4" style="width: 200px;"><?php echo $warehouse->city . ', ' . $warehouse->state; ?></td>
     		    	<td style="width: 50px; padding: 0;">
			    		<?php if ($this->user->has_permission('to_edit','Branches')): ?><a class="grid-action grid-action-edit" href="inventory/warehouse_edit/<?=$warehouse->id?>"><span>Edit</span></a><?php endif; ?>
			    		<?php if ($this->user->has_permission('to_delete','Branches') && $warehouse->id != 1): ?><a class="grid-action grid-action-delete" href="inventory/warehouse_delete/<?=$warehouse->id?>/do"><span>Delete</span></a><?php endif; ?>
    		    	</td>
				</tr>
				<?php $x++ ;endforeach; ?>
			</tbody>
		</table>
	</div>