<?php if (!$this->user->has_permission('to_view_debit_note','Inventory')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var content;
var itemCount = 1;

function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Items Returned','Debit note items returned.');
		if (!$('a.receiveBtn').hasClass('receiveBtn')){
			var unreceiveBtn = '<a class="v-btn target_main receiveBtn" style="padding: 3px 15px" href="inventory/dn_unreceive/<?php echo $dn->id; ?>">Undo Return Items</a>';
			$('div.control').append(unreceiveBtn);
		}
		
		$('input.extraCharges').val('0.00');
		$('input.adjustment').val('0.00');
		
		$('table.order-form tbody').html('');
		form_warning = false;
		populateEvents();
	} else {
		showDialog('ok','Error','There has been an error returning debit note items.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}

$(document).ready(function(){

	$('input').attr('disabled',true).css('border','none');
	$('input.receipt_no').attr('disabled',false).css('border','1px solid #DDD');
	$('input.receipt_date').attr('disabled',false).css('border','1px solid #DDD');
	$('textarea').attr('disabled',true).css('border','none');
	$('select').attr('disabled',true).hide();
	$('select[name=status]').attr('disabled',false).show();
	itemEvents();
	$('input.item_qty').change();
	
	$('input.received_qty').attr('disabled',false).css('border','1px solid #DDD');
	$('input.checkbox_done').attr('disabled',false);
	
	$('input.v-number-negative').live('keypress',function(event){
		var key = event.which;
		var keychar = String.fromCharCode(key);
		if ((key==null) || (key==0) || (key==8) ||  (key==9) || (key==13) || (key==27) ) return true;
		else if ((("0123456789-").indexOf(keychar) > -1)) return true;
		else event.preventDefault();
	});

	
	
	$('a.submit_btn').click(function(event){
		showDialog('yesno','Return Items','Mark this Debit Note as <strong>Returned</strong>?', function(){
			$('select[name=status]').val('Returned');
			$('select[name=status]').change();
			$('form').submit();
		}, function(){
			$('select[name=status]').val('Partially Returned');
			$('select[name=status]').change();
			$('form').submit();
		})
		
		event.preventDefault();
	});	

	
	$('form').submit(function(){
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
	
	$('input[name=product_search]').keypress(function(e){
		var code = (e.keyCode ? e.keyCode : e.which);
		if (code == 13){
			var t = $('select[name=st]').val();
			var q = $(this).val();
			$('div.modal-search-result table tbody').html('<tr><td colspan="4"><img src="'+base_url+'images/loading.gif" /> Searching</td></tr>')
			$.ajax({
				type: "POST",
				url: base_url + 'inventory/search_product/' + q + '/' + t,
				success: function (html){
	
					$('div.modal-search-result table tbody').html(html);
				}			
			}); 
		}
	});
	
	$('a.add-product').click(function(event){
		event.preventDefault();
		showModalForm('product-search');
	});
	
	$('a.add-product-item').click(function(event){
		event.preventDefault();
		$('input.product-items').each(function(){
			if ($(this).attr('checked')){
				addItem($(this).val(),'product');
			}
		});
		itemEvents();
		calculateTotal();
	});
	
	$('a.search-product-done').click(function(event){
		event.preventDefault();
		hideModalForm('product-search');
	});
	
	$('input.extraCharges').change(function(){
		calculateTotal();
	});

	$('input.adjustment').change(function(){
		calculateTotal();
	});
	
	
	
	$('select[name=adjustment_type]').change(function(){
		calculateTotal();
	});
	
	
	$('input[name=copy]').click(function(){
		if ($(this).val() == 'shipping'){
			$('input[name=billing_address1]').val($('input[name=shipping_address1]').val());
			$('input[name=billing_address2]').val($('input[name=shipping_address2]').val());
			$('input[name=billing_city]').val($('input[name=shipping_city]').val());
			$('input[name=billing_postcode]').val($('input[name=shipping_postcode]').val());
			$('input[name=billing_state]').val($('input[name=shipping_state]').val());
			$('input[name=billing_country]').val($('input[name=shipping_country]').val());

		} else {
			$('input[name=shipping_address1]').val($('input[name=billing_address1]').val());
			$('input[name=shipping_address2]').val($('input[name=billing_address2]').val());
			$('input[name=shipping_city]').val($('input[name=billing_city]').val());
			$('input[name=shipping_postcode]').val($('input[name=billing_postcode]').val());
			$('input[name=shipping_state]').val($('input[name=billing_state]').val());
			$('input[name=shipping_country]').val($('input[name=billing_country]').val());
		
		}
	});

	$('a.set-paid').click(function(e){
		
		e.preventDefault();
		
		var href = $(this).attr('href');
		var receipt_no = $('input.receipt_no').val();
		var receipt_date = $('input.receipt_date').val();
		
		if (!receipt_no){
			showDialog('ok','Error','Please enter reference no.');			
			return;
		}
		
		if (!receipt_date){
			showDialog('ok','Error','Please enter receipt date.');			
			return;
		}

		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');

		$.ajax({
			url: base_url + href,
			data: 'receipt_no=' + receipt_no + '&receipt_date=' + receipt_date,
			type: 'POST',
			success: function (html){
				$('#global-content').html(html).show();
				$('div.status').hide();
				populateEvents();
			}
		})
	});
	
	$('select[name=status]').change(function(){
		var id = $(this).attr('rel');
		var status = $(this).val();
		
		if (status == 'Returned'){
			$('.received-related').hide();
		} else {
			$('.received-related').show();
		}


		$.ajax({
			url: base_url + 'inventory/dn_update_status/'+ id,
			type: 'POST',
			data: 'status='+status,
			success: function (){
				showDialog('ok','Status Update','Debit note status has been set to ' + status + '.');
			}
		})
	})
		
	$('a.receive_same').click(function(){
		$('input.received_qty').each(function(){
			$(this).val($(this).attr('qty'));
		});
		
		$('input.received_qty').change();
	});
	
	itemEvents();
	$('input.received_qty').change();

	var status = $('select[name=status]').val();
	if (status == 'Returned'){
		$('.received-related').hide();
	} else {
		$('.received-related').show();
	}
	

});

function calculateTotal(){

}

function calculateTotalReceived(){
	var netTotal = parseFloat(0);
	var grandTotal = parseFloat(0);
	$('td.item_net_price').each(function(){
		netTotal = netTotal + parseFloat($(this).html());
	});
	
	netTotal = netTotal.toFixed(2);
	var charges = $('input.extraCharges').val();
	if (!charges) charges = 0;
	var adjustmentType = $('select[name=adjustment_type]').val();
	var adjustment = $('input.adjustment').val();
	if (!adjustment) adjustment = 0;

	if (adjustmentType == "Add"){
		grandTotal = parseFloat(netTotal) + 0 + parseFloat(charges) + parseFloat(adjustment);
	} else {
		grandTotal = parseFloat(netTotal) + 0 + parseFloat(charges) - parseFloat(adjustment);
	}
	grandTotal = parseFloat(grandTotal).toFixed(2);
	$('td.final_net_total_received').html(netTotal);
	$('td.final_grand_total_received').html(grandTotal);
	$('input[name=grand_total_received]').val(grandTotal);
}


function itemEvents(){

	$('input.item_list_price').change(function(){
		$('input.item_qty').change();
	});
	
	$('input.item_qty').change(function(){
		
	});
	
	$('input.received_qty').change(function(){

		var discounted = 0;
		var netTotal = 0;
		var itemNo = $(this).parents('tr').attr('rel');
		var itemQty = parseInt($(this).val());
		var itemPrice = $('tr[rel='+itemNo+']').children('td.prices').children('input.item_list_price').val();
		var total = parseFloat(itemQty * itemPrice) + 0.00;
		var discountType = $('tr[rel='+itemNo+']').children('td.prices').children('label').children('input.discount_type:checked').val();
		var discountVal =  $('tr[rel='+itemNo+']').children('td.prices').children('input.item_discount').val();
		if (discountType == 'p'){
			var discounted = parseFloat(((discountVal) / 100) * total).toFixed(2);
			var netTotal = total - discounted;
		} else if (discountType == 'd'){
			var discounted = parseFloat(discountVal).toFixed(2);
			var netTotal = total - discounted;
		} else {
			var netTotal = total;
			var discounted = '0.00';
		}
		total = total.toFixed(2);
		netTotal = parseFloat(netTotal).toFixed(2);

		$('tr[rel='+itemNo+']').children('td.tool').children('input.item_totalnet_price').val(total);
		$('tr[rel='+itemNo+']').children('td.tool').children('input.item_net_price').val(netTotal);
		$('tr[rel='+itemNo+']').children('td.calculated').children('p.item_total_price').html(total);
		$('tr[rel='+itemNo+']').children('td.calculated').children('p.item_price_discount').html('-'+discounted);
		$('tr[rel='+itemNo+']').children('td.item_net_price').html(netTotal);

		calculateTotalReceived();
	});
	
	
	
	$('input.discount_type').change(function(){
		$('input.item_qty').change();
		calculateTotal();
	});
	
	$('input.item_discount').change(function(){
		$('input.item_qty').change();
		calculateTotal();
	});
	


	
	$('a.remove').click(function(){
		$(this).parents('tr').remove();
	});

}
</script>

<?php 
	
	
$taxes = json_decode($dn->tax);
foreach ($taxes as $tax) $tax_n++;


$base = 16;

$tnc = nl2br($this->system->config('dn_tnc'));
$tnc_lines = explode('<br />', $tnc);
$lines = 1;
foreach ($tnc_lines as $line){
	$lines++;
	$lines += floor(strlen($line) / 140);
}
$footer = nl2br($this->system->config('dn_footer'));
$footer_lines = explode('<br />', $footer);
foreach ($tnc_lines as $line){
	$lines++;
	$lines += floor(strlen($line) / 140);
}

$reduce = ceil($lines / 4);

$n = $base - $reduce;

$number_of_pages = ceil(count($dn->orders)/ $n);
if ($number_of_pages == 0) $number_of_pages = 1;

?>				
	<div class="toolbar">
		<h3 class="grid-title">
			<a class="v-dbtn target_main" style="float:right; padding:0 25px; margin-top: -1px" href="inventory/debit_notes">Back</a>Debit Note #<?php echo $dn->txn_no; ?>
			<a class="v-dbtn" style="float:right; padding:0 25px; margin-top: -1px; margin-right: 5px; font-weight: bold" href="javascript:window.print()">Print</a>
			<a class="v-dbtn" style="float:right; padding:0 25px; margin-top: -1px; margin-right: 5px; font-weight: bold" href="inventory/dn_pdf/<?php echo $dn->id; ?>">Download PDF</a>
		</h3>
		<?php if ($this->user->has_permission('to_process_debit_note','Inventory')): ?>
			<div class="global-tabs" style="padding: 5px 5px 3px 5px">
	
				<small>Status</small> <?php echo form_dropdown('status', array('Pending'=>'Pending','Partially Returned'=>'Partially Returned','Returned'=>'Returned'), $dn->status, 'rel="'.$dn->id.'" class="v-dropdown" style="margin-right: 10px; width: 130px; font-size: 10pt"'); ?>
				<a class="v-btn received-related receive_same">Quantity as To Return</a>
				<a class="v-btn received-related submit_btn receive_btn">Return Items</a>
			</div>
		<?php endif; ?>
		<div class="global-tabs" style="padding: 5px;">
		<?php if ($this->system->uses('Accounts')): ?>
			<?php if ($dn->payment_status == 'Paid'): ?>
				<?php if ($dn->payment_contra): ?>
					<small style="margin-right: 10px;">Contra on <strong><?php echo date('d/m/Y',strtotime($dn->payment_date)); ?></strong>. Reference No: <strong><a class="pv" rel="<?php echo $dn->id;?>">PV-<?php echo $dn->payment_contra; ?></a></strong></small>
					<a class="v-btn target_main set-unpaid" style="padding: 3px 15px" href="inventory/DN_unpaid/<?php echo $dn->id; ?>">Set as Unpaid</a>			
				<?php else: ?>
					<small style="margin-right: 10px;">Paid on <strong><?php echo date('d/m/Y',strtotime($dn->payment_date)); ?></strong>. Reference No: <strong><a class="rc" rel="<?php echo $dn->id;?>">RC-<?php echo $dn->payment_reference; ?></a></strong></small>
					<a class="v-btn target_main set-unpaid" style="padding: 3px 15px" href="inventory/DN_unpaid/<?php echo $dn->id; ?>">Set as Unpaid</a>
				<?php endif; ?>
			<?php else: ?>
				<small>Debit note is <strong>Unpaid</strong>.</small>
			<?php endif; ?>
		<?php else: ?>
			<?php if ($this->user->has_permission('to_process_debit_note','Inventory')): ?>
				<?php if ($dn->payment_status == 'Paid'): ?>
						<small style="margin-right: 10px;">Paid on <strong><?php echo date('d/m/Y',strtotime($dn->payment_date)); ?></strong>. Reference No: <strong><?php echo $dn->payment_reference; ?></strong></small>			
						<a class="v-btn target_main set-unpaid" style="padding: 3px 15px" href="inventory/dn_unpaid/<?php echo $dn->id; ?>">Set as Unpaid</a>			
				<?php else: ?>
						<small>Debit note is <strong>Unpaid</strong>. Payment Date <input type="text" name="p-date" class="receipt_date v-text date" style="width: 80px;" /> &nbsp; Reference No. <input type="text" class="v-text receipt_no" name="receipt_reference" style="width: 80px;" /> <a class="v-btn set-paid" href="inventory/dn_paid/<?php echo $dn->id; ?>">Set to Paid</a></small>					
				<?php endif; ?>		
			<?php endif; ?>
		
		<?php endif; ?>
		</div>
	</div>
	<div class="status">
	
	</div>

	<div class="main_full" style="background: #DDD">
	<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
	<div class="doc-pad" style="padding: 15px">
		<form method="post" action="<?php echo base_url(); ?>inventory/dn_receive/<?php echo $dn->id; ?>" target="postframe">
			<div style="padding: 20px 0 10px 0; border-bottom: 1px solid #555; ">
				<h2 style="text-align: right; float: right; margin: 0; padding: 0">Debit Note<br /><small>Page 1 of <?php echo $number_of_pages; ?></small></h2>
				<?php if ($logo = $this->system->config('company_logo')): ?>
				<img src="<?php echo base_url(); ?>../assets/img/<?php echo $logo; ?>" style="float: left; margin-right: 10px; width: 180px; margin-right: 20px" />
				<?php endif; ?>
				<div style="padding-left: 200px">
								<?php if($warehouse->id):?>
									<strong><?php echo $warehouse->name; ?></strong><br />
									<?php 
										$CompanyAddress = $warehouse->address1."<br/>".$warehouse->address2."<br/>".$warehouse->zipcode." ".$warehouse->city."<br/".$warehouse->state."<br/>";
										$CompanyContact = "Tel: ".$warehouse->tel." | ".$warehouse->email;
										echo nl2br($CompanyAddress);
										echo nl2br($CompanyContact);
									?>
								<?php else:?>
									<strong><?php echo $this->system->config('company_name'); ?></strong><br />
									<?php echo nl2br($this->system->config('company_address')); ?><br />
									<?php echo nl2br($this->system->config('company_contact')); ?>
								<?php endif?>
							</div>
				<div style="clear:left"></div>
			</div>
			
			<br class="clearboth" />

				<table class="noborder" style="font-size: 10pt; margin: 10px 0 15px 0; float: right !important; width: 250px !important">
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Date</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo date('d/m/Y',strtotime($dn->date)); ?></td>
	
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">DN Number</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo 'DN-' . $dn->txn_no; ?></td>
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">CN Number</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $dn->cn_number; ?></td>
					</tr>
	
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Terms</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $dn->terms; ?></td>
					</tr>	
					
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Contact Person</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $dn->contact_person; ?></td>
					</tr>	

				</table>
				
				
				<p style="margin: 10px 0; padding: 0">
				<strong>ATTN: <?php echo $supplier->contact_person ? $supplier->contact_person . '<br />' : ''; ?></strong>
	    		    <?php echo $supplier->company_name ? $supplier->company_name . '<br />' : ''; ?>
	    		    <?php $address = json_decode($dn->supplier_address); ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
	    		</p>
								
				
				
				<table class="order-form-print" style="margin-bottom: 5px">
					<thead>
						<tr class="main-header">
							<th colspan="8">Item Details</th>
						</tr>
						<tr class="sub-header">
							<th style="width: 20px;">No</th>
							<th style="width: 40px;">Done</th>
							<th>Item</th>
							<th style="width: 90px;">Qty To Return</th>
							<th style="width: 85px;">Qty Returned</th>
							<th style="width: 80px;">List Price (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="width: 90px;">Total (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="width: 90px;">Net Price (<?php echo $this->system->config('currency'); ?>)</th>
						</tr>
					</thead>
					
	
	
					<tbody>
					<?php
						$products = $dn->products;
					?>
					<?php $y = 1; $x = 0; foreach($dn->orders as $order): ?>
<?php if ($x == $n): $y++; ?>
						
						</tbody>
					</table>
			
				<table style="font-size: 9pt; width: 100%; margin-top: 3px" class="general noborder">
					<tbody>
						<tr>
							<td rowspan="5"><div class="form-box" style="padding: 10px; height: 50px; width: 300px; border: 1px solid #ddd;"><strong>Remarks</strong><br /><?php echo str_replace("\r\n",'<br />', str_replace("\n",'<br />',$dn->remarks));; ?></div></td>
							<td></td>
							<td style="text-align: right; font-weight: bold">To Return</td>
							<td style="text-align: right; font-weight: bold">Returned</td>
						</tr>
						<tr>
							<td style="text-align: right; padding-rigth: 10px" class="final">Net Total</td>
							<?php 
								$net_total = $dn->total + $dn->handling_charges;
								
								foreach($taxes as $tax){
									if($tax->inclusive){
										$taxamount	=	0;
									}else{
										$taxamount	=	$tax->amount;	
									}
									
								}
	
								if ($dn->adjustment_type == 'Add'){
									$net_total = $net_total - $dn->adjustment;
								} else {
									$net_total = $net_total + $dn->adjustment;
								}
								
								$net_total -= $dn->handling_charges;
								$net_total -= $taxamount;
								
							?>
							<td class="final_net_total" style="text-align: right; width: 90px"><?php echo str_replace(',','',number_format($net_total,2)); ?></td>
							<td class="final_net_total_received" style="text-align: right; width: 90px">0.00</td>
						</tr>
						<tr>
							<td style="text-align: right; " class="final">(+) Shipping &amp; Handling Charges</td>
							<td><input type="text" name="sh_charges" class="extraCharges" style="text-align: right; width: 90px" value="<?=$dn->handling_charges?>" /></td>
							<td><input type="text" name="sh_charges" class="extraCharges" style="text-align: right; width: 90px" value="<?=$dn->handling_charges?>" /></td>
						</tr>
						<?php foreach ($taxes as $tax): $percentage = $tax->percentage; ?>
						<tr>
							<td style="text-align: right;" class="final"> <?php echo $tax->name; ?> <?php echo $tax->inclusive ? 'Inclusive' : ''; ?> (<?php echo number_format($tax->percentage); ?>%)</td>
							<td style="text-align: right; width: 90px"><?php echo number_format($tax->amount,2); ?></td>
							<td style="text-align: right; width: 90px" class="tax" inclusive="<?php echo $tax->inclusive ? '1' : '0'; ?>"><?php echo number_format($tax->amount,2); ?></td>
						</tr>
						<?php endforeach; ?>
						<tr>
							<td style="text-align: right;" class="final">Adjustment (<?php if ($adjustment_type == 'Add') echo '+'; else echo '-'?>)<?=form_dropdown('adjustment_type',array('Add'=>'Add','Deduct'=>'Deduct'), $dn->adjustment_type)?></td>
							<td><input type="text" name="adjustment" class="adjustment" style="text-align: right; width: 90px" value="<?=$dn->adjustment?>" /></td>
							<td><input type="text" name="adjustment" class="adjustment" style="text-align: right; width: 90px" value="<?=$dn->adjustment?>" /></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="final"><strong>GRAND TOTAL</strong></td>
							<td class="final_grand_total" style="font-weight: bold; text-align: right; width: 90px; border-top: 2px solid #000;"><?=$dn->total?></td>
							<td class="final_grand_total_received" style="font-weight: bold; text-align: right; width: 90px; border-top: 2px solid #000"><?=$dn->total_delivered?></td>
						</tr>
					</tbody>
				</table>
			
			<hr />
				
			<strong>Terms &amp; Conditions</strong>
			<p class="fineprint" style="font-size: 8pt; line-height: 100%"><?php echo $tnc; ?></p>
			<hr />
			<div style="font-size: 8pt; line-height: 100%"><?php echo $footer; ?></div>
				
			<hr class="<?php if ($number_of_pages != 1) echo 'formfeed'; ?>" />
			
		
			<div style="margin: 50px 0; border-top: 3px dashed #EEE" class="no-print"></div>

			<div style="padding: 0px 0 10px 0; border-bottom: 1px solid #555; ">
				<h2 style="text-align: right; float: right; margin: 0; padding: 0">Debit Note<br /><small>Page 2 of <?php echo $number_of_pages; ?></small></h2>
				<?php if ($logo = $this->system->config('company_logo')): ?>
				<img src="<?php echo base_url(); ?>../assets/img/<?php echo $logo; ?>" style="float: left; margin-right: 10px; width: 180px; margin-right: 20px" />
				<?php endif; ?>
				
				<div style="padding-left: 200px">
					<strong><?php echo $this->system->config('company_name'); ?></strong><br />
					<?php echo nl2br($this->system->config('company_address')); ?><br />
					<?php echo nl2br($this->system->config('company_contact')); ?>
				</div>
				<div style="clear:left"></div>
			</div>
			
			<br class="clearboth" />

				<table class="noborder" style="font-size: 10pt; margin: 10px 0 15px 0; float: right !important; width: 250px !important">
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Date</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo date('d/m/Y',strtotime($dn->date)); ?></td>
	
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">DN Number</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo 'DN-' . $dn->txn_no; ?></td>
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">CN Number</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $dn->cn_number; ?></td>
					</tr>
	
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Terms</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $dn->terms; ?></td>
					</tr>	
					
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Contact Person</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $dn->contact_person; ?></td>
					</tr>	

				</table>
				
				
				<p style="margin: 10px 0; padding: 0">
				<strong>ATTN: <?php echo $supplier->contact_person ? $supplier->contact_person . '<br />' : ''; ?></strong>
	    		    <?php echo $supplier->company_name ? $supplier->company_name . '<br />' : ''; ?>
	    		    <?php $address = json_decode($dn->supplier_address); ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
	    		</p>

					
				<table class="order-form-print" style="margin-bottom: 5px">
					<thead>
						<tr class="main-header">
							<th colspan="8">Item Details</th>
						</tr>
						<tr class="sub-header">
							<th style="width: 20px;">No</th>
							<th style="width: 40px;">Done</th>
							<th>Item</th>
							<th style="width: 90px;">Qty To Return</th>
							<th style="width: 85px;">Qty Returned</th>
							<th style="width: 80px;">List Price (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="width: 90px;">Total (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="width: 90px;">Net Price (<?php echo $this->system->config('currency'); ?>)</th>
						</tr>	
					</thead>
					<tbody>
<?php endif; ?>
<?php if ($x%$n == 0 && $x !=$n && $x != 0): $y++; ?>
						
	
					</tbody>
				</table>
					
			
				<table style="font-size: 9pt; width: 100%; margin-top: 3px" class="general noborder">
					<tbody>
						<tr>
							<td rowspan="5"><div class="form-box" style="padding: 10px; height: 50px; width: 300px; border: 1px solid #ddd;"><strong>Remarks</strong><br /><?php echo str_replace("\r\n",'<br />', str_replace("\n",'<br />',$dn->remarks));; ?></div></td>
							<td></td>
							<td style="text-align: right; font-weight: bold">To Return</td>
							<td style="text-align: right; font-weight: bold">Returned</td>
						</tr>
						<tr>
							<td style="text-align: right; padding-rigth: 10px" class="final">Net Total</td>
							<?php 
								$net_total = $dn->total + $dn->handling_charges;
								
								foreach($taxes as $tax){
									if($tax->inclusive){
										$taxamount	=	0;
									}else{
										$taxamount	=	$tax->amount;	
									}
									
								}
	
								if ($dn->adjustment_type == 'Add'){
									$net_total = $net_total - $dn->adjustment;
								} else {
									$net_total = $net_total + $dn->adjustment;
								}
								
								$net_total -= $dn->handling_charges;
								$net_total -= $taxamount;
								
							?>
							<td class="final_net_total" style="text-align: right; width: 90px"><?php echo str_replace(',','',number_format($net_total,2)); ?></td>
							<td class="final_net_total_received" style="text-align: right; width: 90px">0.00</td>
						</tr>
						<tr>
							<td style="text-align: right; " class="final">(+) Shipping &amp; Handling Charges</td>
							<td><input type="text" name="sh_charges" class="extraCharges" style="text-align: right; width: 90px" value="<?=$dn->handling_charges?>" /></td>
							<td><input type="text" name="sh_charges" class="extraCharges" style="text-align: right; width: 90px" value="<?=$dn->handling_charges?>" /></td>
						</tr>
						<?php foreach ($taxes as $tax): $percentage = $tax->percentage; ?>
						<tr>
							<td style="text-align: right;" class="final"> <?php echo $tax->name; ?> <?php echo $tax->inclusive ? 'Inclusive' : ''; ?> (<?php echo number_format($tax->percentage); ?>%)</td>
							<td style="text-align: right; width: 90px"><?php echo number_format($tax->amount,2); ?></td>
							<td style="text-align: right; width: 90px" class="tax" inclusive="<?php echo $tax->inclusive ? '1' : '0'; ?>"><?php echo number_format($tax->amount,2); ?></td>
						</tr>
						<?php endforeach; ?>
						<tr>
							<td style="text-align: right;" class="final">Adjustment (<?php if ($adjustment_type == 'Add') echo '+'; else echo '-'?>)<?=form_dropdown('adjustment_type',array('Add'=>'Add','Deduct'=>'Deduct'), $dn->adjustment_type)?></td>
							<td><input type="text" name="adjustment" class="adjustment" style="text-align: right; width: 90px" value="<?=$dn->adjustment?>" /></td>
							<td><input type="text" name="adjustment" class="adjustment" style="text-align: right; width: 90px" value="<?=$dn->adjustment?>" /></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="final"><strong>GRAND TOTAL</strong></td>
							<td class="final_grand_total" style="font-weight: bold; text-align: right; width: 90px; border-top: 2px solid #000;"><?=$dn->total?></td>
							<td class="final_grand_total_received" style="font-weight: bold; text-align: right; width: 90px; border-top: 2px solid #000"><?=$dn->total_delivered?></td>
						</tr>
					</tbody>
				</table>
			
			<hr />
				
			<strong>Terms &amp; Conditions</strong>
			<p class="fineprint" style="font-size: 8pt; line-height: 100%"><?php echo $tnc; ?></p>
			<hr />
			<div style="font-size: 8pt; line-height: 100%"><?php echo $footer; ?></div>

				
			<hr class="<?php if ($number_of_pages != 1) echo 'formfeed'; ?>" />
			
		
			<div style="margin: 50px 0; border-top: 3px dashed #EEE" class="no-print"></div>
		
			<div style="padding: 0 0 10px 0; border-bottom: 1px solid #555; ">
				<h2 style="text-align: right; float: right; margin: 0; padding: 0">Debit Note<br /><small>Page <?php echo $y; ?> of <?php echo $number_of_pages; ?></small></h2>
				<?php if ($logo = $this->system->config('company_logo')): ?>
				<img src="<?php echo base_url(); ?>../assets/img/<?php echo $logo; ?>" style="float: left; margin-right: 10px; width: 180px; margin-right: 20px" />
				<?php endif; ?>
				
				<div style="padding-left: 200px">
					<strong><?php echo $this->system->config('company_name'); ?></strong><br />
					<?php echo nl2br($this->system->config('company_address')); ?><br />
					<?php echo nl2br($this->system->config('company_contact')); ?>
				</div>
				<div style="clear:left"></div>
			</div>
			
			<br class="clearboth" />

				<table class="noborder" style="font-size: 10pt; margin: 10px 0 15px 0; float: right !important; width: 250px !important">
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Date</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo date('d/m/Y',strtotime($dn->date)); ?></td>
	
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">DN Number</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo 'DN-' . $dn->txn_no; ?></td>
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">CN Number</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $dn->cn_number; ?></td>
					</tr>
	
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Terms</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $dn->terms; ?></td>
					</tr>	
					
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Contact Person</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $dn->contact_person; ?></td>
					</tr>	

				</table>
				
				
				<p style="margin: 10px 0; padding: 0">
				<strong>ATTN: <?php echo $supplier->contact_person ? $supplier->contact_person . '<br />' : ''; ?></strong>
	    		    <?php echo $supplier->company_name ? $supplier->company_name . '<br />' : ''; ?>
	    		    <?php $address = json_decode($dn->supplier_address); ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
	    		</p>

					
				<table style="margin-bottom: 2px; " class="order-form-print <?php if ($y != $number_of_pages) echo 'formfeed'; ?>"  style="margin-bottom: 5px">
					<thead>
						<tr class="main-header">
							<th colspan="8">Item Details</th>
						</tr>
						<tr class="sub-header">
							<th style="width: 20px;">No</th>
							<th style="width: 40px;">Done</th>
							<th>Item</th>
							<th style="width: 90px;">Qty To Return</th>
							<th style="width: 85px;">Qty Returned</th>
							<th style="width: 80px;">List Price (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="width: 90px;">Total (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="width: 90px;">Net Price (<?php echo $this->system->config('currency'); ?>)</th>
						</tr>	
					</thead>
					<tbody>
	
	
						<?php endif; ?>
						
						<tr class="order-item" rel="<?=$x?>">
							<td style="text-align: center; width: 20px"><?php echo $x+1; ?></td>
							<td style="text-align: center; width: 40px"><input class="checkbox_done" type="checkbox" <?php if ($order->done) echo 'checked="checked"'; ?> name="done[<?php echo $order->id; ?>]" value="1" /></td>
							<td>																		
								<p class="item_name" style="padding: 2px 0; margin: 0; font-weight: bold"><?=$products[$order->item_id]->name ? $products[$order->item_id]->name  : $order->item_name; ?></p>										
								<p style="padding: 2px 0; margin: 0"><?=$products[$order->item_id]->sku?></p>
							</td>																		
							<td style="text-align: center; width: 85px">
								<input type="text" name="item_qty[<?=$x?>]" style="font-size: 9pt; width: 50px; text-align: center" class="item_qty" value="<?=$order->qty?>" /><br />
							</td>
							<td style="text-align: center; width: 85px">
								<input type="text" class="v-text received_qty" name="received_qty[<?=$order->id?>]" qty="<?=$order->qty?>" style="font-size: 9pt; width: 50px; text-align: center" class="receive_qty" value="<?= $dn->status == 'Returned' ? ($dn->no_do ? $order->qty : $order->received) : 0?>" />
							</td>		
							<td class="prices" style="width:80px">															
								<input type="text" class="item_list_price" style="font-size: 9pt" value="<?=$order->price_per_unit?>" />	<br />	
								&nbsp;Discount 
								
								<label style="display:none" ><input type="radio" class="discount_type" name="item_discount_type[<?=$x?>]" value="p" <?php if ($order->discount_type == 'p') echo 'checked="checked"'?> style="display:inline;width: auto" /> (%)</label>				
								<label style="display:none" ><input type="radio" class="discount_type" name="item_discount_type[<?=$x?>]" value="d" <?php if ($order->discount_type == 'd') echo 'checked="checked"'?>style="display:inline;width: auto" /> (-)</label>
								<?php if ($order->discount_type == 'p') echo '%'; else '-'; ?>
								<input type="text" name="discount[<?=$x?>]" style="width: 30px" class="item_discount" value="<?=$order->discount?>" />					
							</td>																		
							<td class="calculated" style="width: 90px">
								<p class="item_total_price" style="padding: 2px 0; margin: 0; text-align: right"><?=$order->price?></p>				
								<p class="item_price_discount" style="padding: 2px 0; margin: 0; text-align: right">0.00</p>						
							</td>															
							<td class="item_net_price" style="text-align: right; width: 90px">0.00</td>						
						</tr>	
					<?php $x++; endforeach; ?>			
	
					</tbody>
				</table>
				<table style="font-size: 9pt; width: 100%; margin-top: 3px" class="general noborder">
					<tbody>
						<tr>
							<td rowspan="5"><div class="form-box" style="padding: 10px; height: 50px; width: 300px; border: 1px solid #ddd;"><strong>Remarks</strong><br /><?php echo str_replace("\r\n",'<br />', str_replace("\n",'<br />',$dn->remarks));; ?></div></td>
							<td></td>
							<td style="text-align: right; font-weight: bold">To Return</td>
							<td style="text-align: right; font-weight: bold">Returned</td>
						</tr>
						<tr>
							<td style="text-align: right; padding-rigth: 10px" class="final">Net Total</td>
							<?php 
								$net_total = $dn->total + $dn->handling_charges;
								
								foreach($taxes as $tax){
									if($tax->inclusive){
										$taxamount	=	0;
									}else{
										$taxamount	=	$tax->amount;	
									}
									
								}
	
								if ($dn->adjustment_type == 'Add'){
									$net_total = $net_total - $dn->adjustment;
								} else {
									$net_total = $net_total + $dn->adjustment;
								}
								
								$net_total -= $dn->handling_charges;
								$net_total -= $taxamount;
								
							?>
							<td class="final_net_total" style="text-align: right; width: 90px"><?php echo str_replace(',','',number_format($net_total,2)); ?></td>
							<td class="final_net_total_received" style="text-align: right; width: 90px">0.00</td>
						</tr>
						<tr>
							<td style="text-align: right; " class="final">(+) Shipping &amp; Handling Charges</td>
							<td><input type="text" name="sh_charges" class="extraCharges" style="text-align: right; width: 90px" value="<?=$dn->handling_charges?>" /></td>
							<td><input type="text" name="sh_charges" class="extraCharges" style="text-align: right; width: 90px" value="<?=$dn->handling_charges?>" /></td>
						</tr>
						<?php foreach ($taxes as $tax): $percentage = $tax->percentage; ?>
						<tr>
							<td style="text-align: right;" class="final"> <?php echo $tax->name; ?> <?php echo $tax->inclusive ? 'Inclusive' : ''; ?> (<?php echo number_format($tax->percentage); ?>%)</td>
							<td style="text-align: right; width: 90px"><?php echo number_format($tax->amount,2); ?></td>
							<td style="text-align: right; width: 90px" class="tax" inclusive="<?php echo $tax->inclusive ? '1' : '0'; ?>"><?php echo number_format($tax->amount,2); ?></td>
						</tr>
						<?php endforeach; ?>
						<tr>
							<td style="text-align: right;" class="final">Adjustment (<?php if ($adjustment_type == 'Add') echo '+'; else echo '-'?>)<?=form_dropdown('adjustment_type',array('Add'=>'Add','Deduct'=>'Deduct'), $dn->adjustment_type)?></td>
							<td><input type="text" name="adjustment" class="adjustment" style="text-align: right; width: 90px" value="<?=$dn->adjustment?>" /></td>
							<td><input type="text" name="adjustment" class="adjustment" style="text-align: right; width: 90px" value="<?=$dn->adjustment?>" /></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="final"><strong>GRAND TOTAL</strong></td>
							<td class="final_grand_total" style="font-weight: bold; text-align: right; width: 90px; border-top: 2px solid #000;"><?=$dn->total?></td>
							<td class="final_grand_total_received" style="font-weight: bold; text-align: right; width: 90px; border-top: 2px solid #000"><?=$dn->total_delivered?></td>
						</tr>
					</tbody>
				</table>
				
				<hr />
				
				<strong>Terms &amp; Conditions</strong>
				<p class="fineprint" style="font-size: 8pt; line-height: 100%"><?php echo $tnc; ?></p>
				<hr />
				<div style="font-size: 8pt; line-height: 100%"><?php echo $footer; ?></div>

				
				<input type="hidden" name="grand_total" />
				
				<hr />
				
				<table style="font-size: 9pt; width: 100%; margin-top: 10px;" class="noborder">
					<tr>
						<td style="width: 50%; text-align: center">Authorized by</td>
						<td style="width: 50%; text-align: center">Received by</td>
					</tr>
					<tr>
						<td style="text-align: center; vertical-align: top"><br /><br />.....................................................<br /><?php echo $this->system->config('company_name'); ?></td>
						<td style="text-align: center; vertical-align: top"><br /><br />......................................................</td>
					</tr>
	
				</table>
				

			</form>
		</div>
	</div>
