<?php if (!$this->user->has_access('Inventory')) die('You do not have the permissions to access this area.'); ?>

<div>
	<div id="global-sidebar">
		<ul id="global-sidebar-list">
			<div class="global-sidebar-control">
				<?php if ($this->user->has_permission('to_view_settings','Inventory')): ?>
				<a style="margin-right: 5px;" href="inventory/config" class="target_main settings-button"><img src="<?=base_url()?>images/settings_button.gif" /></a>
				<?php endif; ?>
			</div>
			
				<li class="current"><a href="inventory/overview" class="overview">Overview</a></li>
			<?php if ($this->user->has_permission('to_view_item','Inventory')): ?>
				<li><a href="inventory/items" class="inventory">Items</a></li>
			<?php endif; ?>
			<?php if ($this->user->has_permission('to_view_stock_movement','Inventory')): ?>
				<li><a href="inventory/stock_movements">Stock Movements</a></li>
			<?php endif; ?>
			<?php if ($this->user->has_permission('to_view_stock_count', 'Inventory')): ?>
				<li><a href="inventory/stock_count" class="st">Stock Count</a></li>
			<?php endif;?>

		</ul>
	</div>

	<div id="floating-doc-container" style="width: 100%; position: fixed; height: 80%; text-align: center; z-index: 3000; display:none">
		
	</div>	
	<div id="global-content">
		<script type="text/javascript">
			
		$(document).ready(function(){
			$('a.overview').click();
		})
		
		reload_data = 'limit=100';
		cell_update_url = 'inventory/update_cell';

		function filterItems(){
			var sku = $('input.filter-sku').val();
			var name = $('input.filter-name').val();
			var category = $('select.filter-category').val();
			var subcategory = $('select.filter-subcategory').val();
			
			$('table.grid_data tbody').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
			
			var postdata = 'sku='+sku+'&name='+name+'&category='+category+'&subcategory='+subcategory;
			reload_data = postdata;
			
			$.ajax({
				url: base_url + 'inventory/items_filter',
				type: 'POST',
				data: postdata,
				success: function (result){
					$('div.main_full').html(result);
					$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
					populateEvents();
				}
			});
		}
		
		function reloadGrid(){
			$.ajax({
				url: base_url + 'inventory/items_filter',
				type: 'POST',
				data: reload_data,
				success: function (result){
					reload_data = 'sku='+sku+'&name='+name+'&category='+category+'&subcategory='+subcategory;
					
					$('div.main_full').html(result);
					$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
					populateEvents();
					
					if (reload_sort){
						$('th.sortable[rel='+reload_sort+']').addClass(reload_order).click();
					}
					
				}
			});
		}
		
		</script>
	
	</div>
</div>