<?php if (!$this->user->has_permission('to_view_item','Inventory')) die('You do not have the permissions to access this area.'); ?>

<script type="text/javascript">

var filtered = false;

reload_data = 'limit=100';
cell_update_url = 'inventory/update_cell';

function filterItems(){
	var sku = $('input.filter-sku').val();
	var name = $('input.filter-name').val();
	var category = $('select.filter-category').val();
	var subcategory = $('select.filter-subcategory').val();
	
	if ($('input.filter-alert').attr('checked')) var alert = 1;
	else var alert = 0;
	
	$('table.grid_data tbody').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	
	$.ajax({
		url: base_url + 'inventory/items_filter',
		type: 'POST',
		data: 'sku='+sku+'&name='+name+'&category='+category+'&subcategory='+subcategory+'&alert='+alert,
		success: function (result){
			reload_data = 'sku='+sku+'&name='+name+'&category='+category+'&subcategory='+subcategory+'&alert='+alert;
			$('div.main_full').html(result);
			$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
			populateEvents();
			
			filtered = true;
		}
	})
}

function reloadGrid(){
	$.ajax({
		url: base_url + 'inventory/items_filter',
		type: 'POST',
		data: reload_data,
		success: function (result){
			$('div.main_full').html(result);
			$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
			populateEvents();
			
			if (reload_sort){
				$('th.sortable[rel='+reload_sort+']').addClass(reload_order).click();
			}
			
		}
	});
}

</script>
<style>
.hidden{display:none};
</style>
<?php if($this->user->has_permission('to_view_cost','Inventory')){
	$HideCost="";
}else{
	$HideCost="hidden";
}
?>
		<div class="toolbar">
			<h3 class="grid-title">
				<?php if ($this->user->has_permission('to_create_item','Inventory')): ?><a href="inventory/item_add" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">New Item</a><?php endif; ?>
				Items
			</h3>
			
			<div class="global-tabs" style="padding: 5px; font-size: 10pt">
				<a class="v-btn show-filter-controls icon-search">Search</a>
			</div>

			<div class="modal-filter-form filter" style="font-size: 10pt;">
				<div class="triangle"></div>
				<table>
					<tr>
						<td>SKU</td>
						<td><input type="text" name="sku" class="v-text filter-sku" style="width: 100px; margin-right: 5px" /></td>
					</tr>
					<tr>
						<td>Item Name</td>
						<td><input type="text" name="name" class="v-text filter-name" style="width: 100px; margin-right: 5px" /></td>
					</tr>
					<tr>
						<td>Category</td>
						<td><?php echo form_dropdown('category', $categories_dropdown, '', 'class="v-dropdown filter-category" style="margin-right: 10px; font-size: 10pt; width: 70px"'); ?></td>
					</tr>
					<tr>
						<td>Subcategory</td>
						<td><?php echo form_dropdown('subcategory', $subcategories_dropdown, '', 'class="v-dropdown filter-subcategory" style="margin-right: 10px; font-size: 10pt; width: 70px"'); ?></td>
					</tr>
					<tr>
						<td>Alert</td>
						<td><input type="checkbox" value="1" name="alert" class="filter-alert" /></td>
					</tr>
				</table>
				<hr />
				<a class="v-btn filter-btn">Filter</a>
			</div>
			
			<table class="grid">
				<thead>
					<tr>
						<th class="sortable" rel="1" style="width: 110px">Item SKU</th>
						<th class="sortable" rel="2">Item Name</th>
						<th class="sortable" rel="3" style="width: 100px">Category</th>
						<th class="sortable" rel="4" style="width: 100px">Subcategory</th>
						<?php if ($this->user->has_permission('to_view_cost','Inventory')): ?>
						<th class="<?php echo $HideCost;?> sortable" rel="5" style="width: 70px">Cost (<?php echo $this->system->config('currency'); ?>)</th>
						<?php endif; ?>
						<th class="sortable" rel="6" style="width: 70px">Price (<?php echo $this->system->config('currency'); ?>)</th>
						<?php if ($this->user->has_permission('to_view_cost','Inventory')): ?>
						<th class="sortable" rel="7" style="width: 70px">Margin (%)</th>
						<?php endif; ?>
						<th class="sortable" rel="8" style="width: 70px">Qty in Stock</th>
						<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
					</tr>
				</thead>
			</table>
		</div>

		<div class="main_full">
			<table class="grid grid_data">
    			<?php
    				if ($this->user->has_permission('to_edit_item','Inventory')) $editable = 'editable';
    			?>    			
    			<tbody>
    				<?php $x=0; foreach ($items as $item):  ?>
    				<tr rel="<?php echo $item->id; ?>" <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
      					<td rel="1" class="<?php echo $editable; ?>" value="<?php echo $item->sku; ?>" type="v-text" field="sku" style="width: 110px"><?php echo $item->sku; ?></td>
    					<td rel="2" class="<?php echo $editable; ?> truncate" value="<?php echo $item->name; ?>" type="v-text" field="name" title="<?php echo $item->name; ?>"><?php echo $item->name; ?></td>
    					<td rel="3" class="<?php echo $editable; ?>" value="<?php echo $item->category; ?>" type="v-text" field="category" style="width: 100px"><?php echo $item->category; ?></td>
    					<td rel="4" class="<?php echo $editable; ?>" value="<?php echo $item->subcategory; ?>" type="v-text" field="subcategory" style="width: 100px"><?php echo $item->subcategory; ?></td>
    					<?php if ($this->user->has_permission('to_view_cost','Inventory')): ?>
    					<td rel="5" class="<?php echo $HideCost; ?> <?php if ($this->user->has_permission('to_change_cost','Inventory')) echo 'editable'; ?> cost" value="<?php echo $item->cost; ?>" type="v-number-decimal" field="cost" style="text-align: right; width: 70px"><?php echo $item->cost; ?></td>
    					<?php endif; ?>
    					<td rel="6" callback="recalculateMargin(id,val)" class="editable" value="<?php echo $item->price; ?>" type="v-number-decimal" field="price" style="text-align: right; width: 70px"><?php echo $item->price; ?></td>
    					<?php if ($this->user->has_permission('to_view_cost','Inventory')): ?>
						<td rel="7" class="margin" style="text-align: right; width: 70px"><?php echo number_format(($item->price-$item->cost) / $item->price * 100,2); ?></td>
						<?php endif; ?>
    					<td rel="8" class="<?php if ($this->user->has_permission('to_adjust_quantity','Inventory')) echo 'editable' ?>" value="<?php echo $item->qty; ?>" type="v-number" field="qty" style="text-align: right; width: 70px"><?php echo $item->qty; ?></td>    					
     					<td style="width: 75px; padding: 0;">
    						<?php if ($this->user->has_permission('to_view_item','Inventory')): ?><a class="grid-action grid-action-view" href="inventory/item_view/<?=$item->id?>"><span>View</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_edit_item','Inventory')): ?><a class="grid-action grid-action-edit" href="inventory/item_edit/<?=$item->id?>"><span>Edit</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_delete_item','Inventory')): ?><a class="grid-action grid-action-delete" href="inventory/item_delete/<?=$item->id?>"><span>Delete</span></a><?php endif; ?>
    					</td>
	   				</tr>
    				<?php $x++; endforeach; ?>
    			</tbody>
    		</table>
		</div>
