<?php if (!$this->user->has_permission('to_view_stock_movement','Inventory')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var content;
var itemCount = 1;

function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Items Received','Purchase order items received.');
		if (!$('a.receiveBtn').hasClass('receiveBtn')){
			var unreceiveBtn = '<a class="v-btn target_main receiveBtn" style="padding: 3px 15px" href="inventory/PO_unreceive/<?php echo $wm->id; ?>">Unreceive Items</a>';
			$('div.control').append(unreceiveBtn);
		}
		
		$('table.order-form tbody').html('');
		form_warning = false;
		populateEvents();
	} else {
		showDialog('ok','Error','There has been an error adding the purchase order.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}

$(document).ready(function(){

	$('a.receive_same').click(function(){
		$('input.received_qty').each(function(){
			$(this).val($(this).attr('qty')).change();
			
		});
	});


	$('div.main_full input').attr('disabled',true).css('border','none');
	$('div.main_full select').attr('disabled',true).hide();
	$('div.main_full textarea').attr('disabled',true).css('border','none');


	itemEvents();
	$('input.item_qty').change();
	
	$('input.received_qty').attr('disabled',false).css('border','1px solid #DDD');
	$('input.checkbox_done').attr('disabled',false);
	
	
	$('a.submit_btn').click(function(event){
		$('form').submit();
		event.preventDefault();
	});
	

	
	$('form').submit(function(){
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
	
	$('input[name=product_search]').keypress(function(e){
		var code = (e.keyCode ? e.keyCode : e.which);
		if (code == 13){
			var t = $('select[name=st]').val();
			var q = $(this).val();
			$('div.modal-search-result table tbody').html('<tr><td colspan="4"><img src="'+base_url+'images/loading.gif" /> Searching</td></tr>')
			$.ajax({
				type: "POST",
				url: base_url + 'inventory/search_product/' + q + '/' + t,
				success: function (html){
	
					$('div.modal-search-result table tbody').html(html);
				}			
			}); 
		}
	});
	
	$('a.add-product').click(function(event){
		event.preventDefault();
		showModalForm('product-search');
	});
	
	$('a.add-product-item').click(function(event){
		event.preventDefault();
		$('input.product-items').each(function(){
			if ($(this).attr('checked')){
				addItem($(this).val(),'product');
			}
		});
		itemEvents();
		calculateTotal();
	});
	
	$('a.search-product-done').click(function(event){
		event.preventDefault();
		hideModalForm('product-search');
	});
	
	$('input.extraCharges').change(function(){
		calculateTotal();
	});

	$('input.adjustment').change(function(){
		calculateTotal();
	});
	
	
	
	$('select[name=adjustment_type]').change(function(){
		calculateTotal();
	});
	
	
	$('input[name=copy]').click(function(){
		if ($(this).val() == 'shipping'){
			$('input[name=billing_address1]').val($('input[name=shipping_address1]').val());
			$('input[name=billing_address2]').val($('input[name=shipping_address2]').val());
			$('input[name=billing_city]').val($('input[name=shipping_city]').val());
			$('input[name=billing_postcode]').val($('input[name=shipping_postcode]').val());
			$('input[name=billing_state]').val($('input[name=shipping_state]').val());
			$('input[name=billing_country]').val($('input[name=shipping_country]').val());

		} else {
			$('input[name=shipping_address1]').val($('input[name=billing_address1]').val());
			$('input[name=shipping_address2]').val($('input[name=billing_address2]').val());
			$('input[name=shipping_city]').val($('input[name=billing_city]').val());
			$('input[name=shipping_postcode]').val($('input[name=billing_postcode]').val());
			$('input[name=shipping_state]').val($('input[name=billing_state]').val());
			$('input[name=shipping_country]').val($('input[name=billing_country]').val());
		
		}
	});

	$('a.set-paid').click(function(e){
		
		e.preventDefault();
		
		var href = $(this).attr('href');
		var payment_reference = $('input.payment_reference').val();
		var payment_date = $('input.payment_date').val();
		var payment_account = $('select.payment_account').val();
		var payment_method = $('select.payment_method').val();
		
		if (!payment_reference){
			showDialog('ok','Error','Please enter payment reference no.');
			return;
		}
		
		if (!payment_date){
			showDialog('ok','Error','Please enter payment date.');			
			return;
		}
		
		if (!payment_account){
			// showDialog('ok','Error','Please select payment account.');
		}
		
		

		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');

		$.ajax({
			url: base_url + href,
			data: 'payment_reference=' + payment_reference + '&payment_date=' + payment_date + '&payment_account=' + payment_account + '&payment_method=' + payment_method,
			type: 'POST',
			success: function (html){
				$('#global-content').html(html).show();
				$('div.status').hide();
				populateEvents();
			}
		})
	});
	
	$('select[name=status]').change(function(){
		var id = $(this).attr('rel');
		var status = $(this).val();
		
		if (status == 'Received'){
			$('.received-related').hide();
		} else {
			$('.received-related').show();
		}

		$.ajax({
			url: base_url + 'inventory/wm_update_status/'+ id,
			type: 'POST',
			data: 'status='+status,
			success: function (){
				showDialog('ok','Status Update','Stock movement status has been set to ' + status + '.');
			}
		})
	})
	

	$('a.pv').click(function(){
		var id = $(this).attr('rel');

		$.ajax({
			url: base_url + 'inventory/ajax/pv',
			data: 'id='+id,
			type: 'post',
			success: function (res){
				$('#floating-doc-container').html(res).show();
			}
		})
	});
	
	itemEvents();
	$('input.received_qty').change();
	


	var status = $('select[name=status]').val();
	
	if (status == 'Received'){
		$('.received-related').hide();
	} else {
		$('.received-related').show();
	}
	
	form_warning = false;

});

function calculateTotal(){

}

function calculateTotalReceived(){
	var netTotal = parseFloat(0);
	var grandTotal = parseFloat(0);
	$('td.item_net_price').each(function(){
		netTotal = netTotal + parseFloat($(this).html());
	});
	
	netTotal = netTotal.toFixed(2);
	var charges = $('input.extraCharges').val();
	if (!charges) charges = 0;
	var adjustmentType = $('select[name=adjustment_type]').val();
	var adjustment = $('input.adjustment').val();
	if (!adjustment) adjustment = 0;

	if (adjustmentType == "Add"){
		grandTotal = parseFloat(netTotal) + 0 + parseFloat(charges) + parseFloat(adjustment);
	} else {
		grandTotal = parseFloat(netTotal) + 0 + parseFloat(charges) - parseFloat(adjustment);
	}
	grandTotal = parseFloat(grandTotal).toFixed(2);
	$('td.final_net_total_received').html(netTotal);
	$('td.final_grand_total_received').html(grandTotal);
	$('input[name=grand_total_received]').val(grandTotal);
	
	
}



function itemEvents(){

	$('input.item_list_price').change(function(){
		$('input.item_qty').change();
	});
	
	$('input.item_qty').change(function(){
		
	});
	
	$('input.received_qty').change(function(){

		var discounted = 0;
		var netTotal = 0;
		var itemNo = $(this).parents('tr').attr('rel');
		var itemQty = parseInt($(this).val());
		var itemPrice = $('tr[rel='+itemNo+']').children('td.prices').children('input.item_list_price').val();
		var total = parseFloat(itemQty * itemPrice) + 0.00;
		var discountType = $('tr[rel='+itemNo+']').children('td.prices').children('label').children('input.discount_type:checked').val();
		var discountVal =  $('tr[rel='+itemNo+']').children('td.prices').children('input.item_discount').val();
		if (discountType == 'p'){
			var discounted = parseFloat(((discountVal) / 100) * total).toFixed(2);
			var netTotal = total - discounted;
		} else if (discountType == 'd'){
			var discounted = parseFloat(discountVal).toFixed(2);
			var netTotal = total - discounted;
		} else {
			var netTotal = total;
			var discounted = '0.00';
		}
		total = total.toFixed(2);
		netTotal = parseFloat(netTotal).toFixed(2);

		$('tr[rel='+itemNo+']').children('td.tool').children('input.item_totalnet_price').val(total);
		$('tr[rel='+itemNo+']').children('td.tool').children('input.item_net_price').val(netTotal);
		$('tr[rel='+itemNo+']').children('td.calculated').children('p.item_total_price').html(total);
		$('tr[rel='+itemNo+']').children('td.calculated').children('p.item_price_discount').html('-'+discounted);
		$('tr[rel='+itemNo+']').children('td.item_net_price').html(netTotal);

		calculateTotalReceived();
	});
	
	
	
	$('input.discount_type').change(function(){
		$('input.item_qty').change();
		calculateTotal();
	});
	
	$('input.item_discount').change(function(){
		$('input.item_qty').change();
		calculateTotal();
	});
	
	
	$('a.remove').click(function(){
		$(this).parents('tr').remove();
	});

}

<?php 

$number_of_pages = ceil(count($wm->orders)/18);

if ($number_of_pages == 0) $number_of_pages = 1;

?>



</script>
	
		
	<div class="toolbar">
		<h3 class="grid-title">
			<a class="v-dbtn back_btn" style="float:right; padding:0 25px; margin-top: -1px" href="inventory/stock_movements">Back</a>Stock Movement Note #<?php echo $wm->id; ?>
			<a class="v-dbtn" style="float:right; padding:0 25px; margin-top: -1px; margin-right: 5px; font-weight: bold" href="javascript:window.print()">Print</a>
		</h3>
		<?php if ($this->user->has_permission('to_process_stock_movement','Inventory')): ?>
		<div class="global-tabs" style="padding: 5px 5px 3px 5px">
			<small>Status</small> <?php echo form_dropdown('status', array('Pending'=>'Pending','Moved'=>'Moved'), $wm->status, 'rel="'.$wm->id.'" class="v-dropdown" style="margin-right: 10px; width: 130px; font-size: 10pt"'); ?>
		</div>
		<?php endif; ?>
	</div>
	<div class="status">
	
	</div>

	<div class="main_full" style="background: #DDD">

		<div class="doc-pad" style="padding: 15px">
			<div style="padding: 20px 0 10px 0; border-bottom: 1px solid #555; ">
				<h2 style="text-align: right; float: right; margin: 0; padding: 0">Stock Movement Note<br /><small>Page 1 of <?php echo $number_of_pages; ?></small></h2>
	
				<?php if ($logo = $this->system->config('company_logo')): ?>
				<img src="<?php echo base_url(); ?>../assets/img/<?php echo $logo; ?>" style="float: left; margin-right: 10px; width: 185px;" />
				<?php endif; ?>
				
	
				<p style="padding-left: 195px; margin: 0; ">
					<?php if($warehouse->id):?>
						<strong><?php echo $warehouse->name; ?></strong><br />
						<?php 
							$CompanyAddress = $warehouse->address1."<br/>".$warehouse->address2."<br/>".$warehouse->zipcode." ".$warehouse->city."<br/".$warehouse->state."<br/>";
							$CompanyContact = "Tel: ".$warehouse->tel." | ".$warehouse->email;
							echo nl2br($CompanyAddress);
							echo nl2br($CompanyContact);
						?>
					<?php else:?>
						<strong><?php echo $this->system->config('company_name'); ?></strong><br />
						<?php echo nl2br($this->system->config('company_address')); ?><br />
						<?php echo nl2br($this->system->config('company_contact')); ?>
					<?php endif?>				
				</p>
			</div>
			
			<br class="clearboth" />
			<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
			
			<form method="post" target="postframe">

				<table class="general-form-print noborder" style="margin: 0px 0 15px 0;">
					<tr class="four">
						<td style="width: 25%"><strong>Move From:</strong><br /><?php echo $wm->from_warehouse_name; ?><br />
							<?php echo nl2br($wm->from_warehouse_address); ?>
						</td>
						<td style="width: 25%"><strong>Move To:</strong/><br /><?php echo $wm->to_warehouse_name; ?><br />
							<?php echo nl2br($wm->to_warehouse_address); ?>
						</td>
						<td style="vertical-align: top" class="label">Date</td>
						<td style="vertical-align: top"><?php echo date('d/m/Y',strtotime($wm->delivered_date)); ?></td>
	
					</tr>
					
	
				</table>
				
				
				
				
				<table class="order-form-print <?php if ($number_of_pages != 1) echo 'formfeed'; ?>" style="margin-bottom: 5px">
					<thead>
						<tr class="main-header">
							<th colspan="8">Item Details</th>
						</tr>
						<tr class="sub-header">
							<th style="width: 20px;">No</th>
							<th>Item</th>
							<th style="width: 85px;">Qty Moved</th>
						</tr>
					</thead>
					
	
	
					<tbody>
					<?php $y = 1; $x = 0; foreach($wm->items as $order): ?>
						<?php if ($x == 18): $y++; ?>
						
						</tbody>
					</table>
					
					
			<div style="height: 30px" class="no-print"></div>		
			<div style="padding: 0px 0 10px 0; border-bottom: 1px solid #555; ">
				<h2 style="text-align: right; float: right; margin: 0; padding: 0">Stock Movement Notes<br /><small>Page 2 of <?php echo $number_of_pages; ?></small></h2>
	
				<?php if ($logo = $this->system->config('company_logo')): ?>
				<img src="<?php echo base_url(); ?>../assets/img/<?php echo $logo; ?>" style="float: left; margin-right: 10px; width: 185px;" />
				<?php endif; ?>
				
	
				<p style="padding-left: 195px; margin: 0; ">
					<strong><?php echo $this->system->config('company_name'); ?></strong><br />
					<?php echo $this->system->config('company_address'); ?><br />
					<?php echo $this->system->config('company_contact'); ?>
				</p>
			</div>
			
			<br class="clearboth" />

			


				<table class="general-form-print noborder" style="margin: 0px 0 15px 0;">
					<tr class="four">
						<td style="width: 25%"><strong>Move From:</strong><br /><?php echo $wm->from_warehouse_name; ?><br />
							<?php echo nl2br($wm->from_warehouse_address); ?>
						</td>
						<td style="width: 25%"><strong>Move To:</strong/><br /><?php echo $wm->to_warehouse_name; ?><br />
							<?php echo nl2br($wm->to_warehouse_address); ?>
						</td>
						<td style="vertical-align: top" class="label">Date</td>
						<td style="vertical-align: top"><?php echo date('d/m/Y',strtotime($wm->delivered_date)); ?></td>
	
					</tr>
					
	
				</table>
					
				<table class="order-form-print <?php if (2 != $number_of_pages) echo 'formfeed'; ?>" style="margin-bottom: 5px">
					<thead>
						<tr class="main-header">
							<th colspan="8">Item Details</th>
						</tr>
						<tr class="sub-header">
							<th style="width: 20px;">No</th>
							<th>Item</th>
							<th style="width: 85px;">Qty Moved</th>
						</tr>	
					</thead>
					<tbody>
					<?php endif; ?>
						
						
						<?php if ($x%18 == 0 && $x != 18 && $x != 0): $y++; ?>
						
	
					</tbody>
				</table>
					
					
					
			<div style="height: 30px" class="no-print"></div>		
			<div style="padding: 0 0 10px 0; border-bottom: 1px solid #555; ">
				<h2 style="text-align: right; float: right; margin: 0; padding: 0">Stock Movement Note<br /><small>Page <?php echo $y; ?> of <?php echo $number_of_pages; ?></small></h2>
	
				<?php if ($logo = $this->system->config('company_logo')): ?>
				<img src="<?php echo base_url(); ?>../assets/img/<?php echo $logo; ?>" style="float: left; margin-right: 10px; width: 185px;" />
				<?php endif; ?>
				
	
				<p style="padding-left: 195px; margin: 0; ">
					<strong><?php echo $this->system->config('company_name'); ?></strong><br />
					<?php echo $this->system->config('company_address'); ?><br />
					<?php echo $this->system->config('company_contact'); ?>
				</p>
			</div>
			
			<br class="clearboth" />
				<table class="general-form-print noborder" style="margin: 0px 0 15px 0;">
					<tr class="four">
						<td style="width: 25%"><strong>Move From:</strong><br /><?php echo $wm->from_warehouse_name; ?><br />
							<?php echo nl2br($wm->from_warehouse_address); ?>
						</td>
						<td style="width: 25%"><strong>Move To:</strong/><br /><?php echo $wm->to_warehouse_name; ?><br />
							<?php echo nl2br($wm->to_warehouse_address); ?>
						</td>
						<td style="vertical-align: top" class="label">Date</td>
						<td style="vertical-align: top"><?php echo date('d/m/Y',strtotime($wm->delivered_date)); ?></td>
	
					</tr>
					
	
				</table>
					
				<table style="margin-bottom: 2px; " class="order-form-print <?php if ($y != $number_of_pages) echo 'formfeed'; ?>"  style="margin-bottom: 5px">
					<thead>
						<tr class="main-header">
							<th colspan="8">Item Details</th>
						</tr>
						<tr class="sub-header">
							<th style="width: 20px;">No</th>
							<th>Item</th>
							<th style="width: 85px;">Qty Moved</th>
						</tr>	
					</thead>
					<tbody>
	
	
						<?php endif; ?>
						
						<tr class="order-item" rel="<?=$x?>">
							<td style="text-align: center; width: 20px"><?php echo $x+1; ?></td>
							<td>																		
								<p class="item_name" style="padding: 2px 0; margin: 0; font-weight: bold"><?=$order->item_name; ?></p>										
								<p style="padding: 2px 0; margin: 0"><?=$order->item_sku?></p>
							</td>																		
							<td style="text-align: center; width: 85px">
								<?=$order->qty?>
							</td>					
						</tr>	
					<?php $x++; endforeach; ?>			
	
					</tbody>
				</table>
				
				<input type="hidden" name="grand_total" />
				
				

				

			</form>
		</div>
	</div>
