
		<div class="toolbar">
			<h3 class="grid-title">Payables</h3>
			<table class="grid">
				<thead>
					<tr>
						<th style="width: 100px">PO/Invoice No.</th>
						<th style="width: 100px">Date</th>
						<th style="width: 100px">Due Date</th>
						<th>Supplier</th>
						<th style="width: 100px">Payment Terms</th>
						<th style="width: 100px">Status</th>
						<th style="width: 150px">Amount (<?php echo $this->system->config('currency'); ?>)</th>							
						<th style="width: 15px; padding: 0;"></th>
					</tr>
				</thead>
			</table>
		</div>
		<div class="main_full">				
				<table class="grid">
					<tbody>
						<?php $x = 0; foreach ($payables as $po):?>
						<tr <?php echo $x%2 == 0 ? 'class="alt"': ''; ; ?>>
							<td style="width: 100px"><?php echo 'PO-' . $po->id; ?></td>
							<td style="width: 100px"><?php echo date('d/m/Y',strtotime($po->date)); ?></td>
							<td style="width: 100px"><?php echo ($due_date = date('d/m/Y',strtotime($po->due_date))) == '01/01/1970' ? 'Not Applicable' : $due_date; ?></td>
							<td><?php echo $po->supplier; ?></td>
							<td style="width: 100px"><?php echo $po->terms == 'Credit' ? $po->duration . ' days': 'Cash'; ?></td>
							<td style="width: 100px"><?php echo $po->status; ?></td>
							<td style="width: 150px; text-align: right"><?php echo number_format($amount = $po->total_received ? $po->total_received : $po->total,2); ?></td>
							
						</tr>
						<?php
							$grand_total += $amount;
						?>
						<?php  $x++; endforeach; ?>
						<tr class="total">
							<td style="text-align: right;" colspan="6" class="dark">Grand Total</td>
							<td style="text-align: right; font-weight: bold; width: 150px" class="dark"><?php echo number_format($grand_total,2); ?></td>
						</tr>
					</tbody>
				</table>

			
		</div>