<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<meta http-equiv="Cache-Control" content="no-cache" />
		<meta http-equiv="Pragma" content="no-cache" />
		<title>Plexcloud&trade; - plexterm 1.0</title>
		<script type="text/javascript">var base_url = "<?=base_url()?>";</script>
		<script type="text/javascript" src="<?=base_url()?>js/jquery.js"></script>
		<style>
			body {
				font-family: Arial, Helvetica, sans-serif;
				font-size: 10pt;
				margin: 0;
				padding: 0;
			}
			input:active {
				outline: none;
				border: none;
			}
			#term {
				padding: 10px;
			}
			
			div.user {
				background: #333;
				color: #FFF;
				padding: 10px;
				border-top: 2px solid red;
			}
			
			div.user p {
				padding: 0;
				margin: 0;
			}
			
			div.user a {
				color: #999;
			}
		</style>
		<script type="text/javascript">
			var cmds = [];
			var cur_cmd = 0;
			$(document).ready(function(){
				$(window).resize(function(){
					var winHeight = $(window).height();
					$('div.output-container').height(winHeight - 100);
				});
				
				$(window).resize();
				$('input.cli-input').keydown(function(e){
					if (e.keyCode == 38){
						if (cur_cmd < cmds.length){
							$(this).val(cmds[cur_cmd]);							
							cur_cmd++;
						} else {
							cur_cmd = cmds.length - 1;
						}

					}
					if (e.keyCode == 40){
						cur_cmd--;
						if (cur_cmd >= 0){
							$(this).val(cmds[cur_cmd]);
						} else {
							cur_cmd = 0;
							$(this).val('');
						}
					}
				
				});
				
				$('input.cli-input').keypress(function(e){
					if (e.which == 13){
						$(this).attr('disabled',true).css('background','#EEE');
						cmd = $.trim($(this).val());
						
						cmds.unshift(cmd);
						cur_cmd = 0;
						
						if (cmd == 'clear'){
							$('div.output-container').html('');
							$('input.cli-input').attr('disabled',false).css('background','#FFF');
							$(this).val('');
							return;
						}
						
						$.ajax({
							url: base_url + 'sys/term',
							type: 'post',
							data: 'cmd='+cmd,
							success: function (res){
								$('div.output-container').append(res);
								$('input.cli-input').attr('disabled',false).css('background','#FFF').val('');
								
								$("div.output-container").animate({ scrollTop: $("div.output-container")[0].scrollHeight }, 200);
								

							}
						})
						
						
						
					}
				});
			});
			
		
		</script>
		
	</head>
	<body>
	<div id="container">
		<div class="user">
			<span style="float:left">plexcloud&trade; - plexterm 1.0</span>
			<p style="text-align: right">Logged in as <strong><?php echo $this->user->data('username')?></strong>. <?php echo anchor('logout','Logout','class="v-btn"'); ?></p>
		</div>		
		
		<div id="term">
			<div class="input">
				<input type="text" name="cli_input" class="cli-input" style="width: 100%; padding: 3px; font-size: 11pt; border: 1px solid #DDD; outline: none" />
			</div>
			<div class="output-container" style="overflow-y: scroll; border: 1px solid #DDD; padding: 5px; font-family: courier; font-size: 8pt;">
				<div class="output">
					<strong>Plexterm 1.0</strong><br />
					For list of commands type <i>help</i>.
				</div>
			</div>

		</div>
	</div>
	</body>
</html>