<?php if (!$this->user->has_permission('to_create_report_module','Reports')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var filtered = false;

reload_data = 'limit=100';

function filterItems(){
	var number 			= $('input.filter-number').val();
	var date_from 		= $('input.filter-date-from').val();
	var date_to 		= $('input.filter-date-to').val();
	var payment_status 	= $('select.filter-payment-status').val();
	var status 			= $('select.filter-status').val();
	var term 			= $('select.filter-term').val();

	
	$('table.grid tbody').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	$.ajax({
		url: base_url + 'inventory/dn_filter',
		type: 'POST',
		data: 'number='+number+'&date_from='+date_from+'&date_to='+date_to+'&payment_status='+payment_status+'&status='+status+'&term='+term,
		success: function (result){
			reload_data = 'number='+number+'&date_from='+date_from+'&date_to='+date_to+'&payment_status='+payment_status+'&status='+status+'&term='+term;
			$('div.main_full').html(result);
			populateEvents();
		}
	});
}

function reloadGrid(){
	$.ajax({
		url: base_url + 'inventory/dn_filter',
		type: 'POST',
		data: reload_data,
		success: function (result){
			$('div.main_full').html(result);
			$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
			populateEvents();
			
			if (reload_sort){
				$('th.sortable[rel='+reload_sort+']').addClass(reload_order).click();
			}
			
		}
	});
}

</script>
		<div class="toolbar">
			<h3 class="grid-title">
				<?php if ($this->user->has_permission('to_create_report_module','Reports')): ?><a href="reports/add" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">New Report</a><?php endif; ?>
				Reports &amp; Configuration
			</h3>
    		
    		<table class="grid">
    			<thead>
    				<tr>
    					<th class="sortable" rel="1" style="width: 200px">Report</th>
    					<th class="sortable" rel="3" style="width: 80px">Type</th>
    					<th class="sortable" rel="2">Description</th>
						<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
    				</tr>
    			</thead>
    		</table>
		</div>
		
		<div class="main_full">
			<table class="grid grid_data">
				<tbody>
					<?php $x=0; foreach ($reports as $report): ?>
					<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
						<td rel="1" class="sortable" style="width: 200px"><?php echo $report->name; ?></td>
						<td rel="3" class="sortable" style="width: 80px"><?php echo $report->type ? $report->type : 'Report'; ?></td>
						<td rel="2" class="sortable"><?php echo $report->description; ?></td>
						<td style="width: 75px; padding: 0">
							<?php if ($this->user->has_permission('to_edit_report_module','Reports')): ?><a class="grid-action grid-action-edit target_main" href="reports/edit/<?=$report->id?>"><span>Edit</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_delete_report_module','Reports')): ?><a class="grid-action grid-action-delete" href="reports/delete/<?=$report->id?>/do"><span>Delete</span></a><?php endif; ?>
						</td>
					</tr>
					<?php $x++; endforeach; ?>
				</tbody>
			</table>
		</div>