<?php if (!$this->user->has_permission('to_add','reports')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">


function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Reports','Report has been updated.');
		form_warning = false;
	} else if (status == 0) {
		showDialog('ok','Error','Report cannot be saved now. Please login again.');
		$('div.main_full').show();
		$('div.status').hide();
	} 
}

$(document).ready(function(){
	$('a.create').click(function(event){
		$('form.insert').submit();
		event.preventDefault();
	});
	
	$('form').submit(function(){
	
		var ok = true;
		$('input.mandatory').each(function(){
			if (!$(this).val()) ok = false;
		});
		
		if (!ok){
			showDialog('ok','Form Error','Please make sure you have filled the form correctly.');
			return false;
		}
		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>').show();
	});
	

})

</script>
	<div class="toolbar">
		<h3 class="grid-title"><a href="reports/config" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn back_btn">Back</a>Edit Report &raquo; <?php echo $report->name; ?></h3>
		<div class="global-tabs" style="padding: 3px 5px">
			<a class="v-btn create">Save Report</a>
		</div>
	</div>
	<div class="status">
	
	</div>

	<div class="main_full">
		<div class="main-container">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>

		<form class="insert" method="post" action="<?=base_url()?>reports/edit/<?php echo $report->id; ?>/do" target="postframe">
			<h3>Report Information</h3>
			<p><span class="red">*</span> Mandatory fields</p>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Report Name <span class="red">*</span></td>
						<td class="input"><input value="<?php echo $report->name; ?>" type="text" name="name" class="v-text mandatory" /></td>
					</tr>
					<tr>
						<td class="label">Type</td>
						<td class="input"><?php echo form_dropdown('type', array('Report'=>'Report','Widget'=>'Widget'),$report->type,'class="v-dropdown"'); ?></td>
					</tr>
					<tr>
						<td class="label">Description</td>
						<td class="input"><textarea name="description" class="v-textarea"><?php echo $report->description; ?></textarea></td>
					</tr>
					<tr>
						<td class="label">Modules Required</td>
						<td class="input">
							<?php $report_modules = strpos($report->modules, ',') ? explode(',', $report->modules) : array($report->modules); ?>
							<?php foreach ($this->system->get_modules() as $module): ?>
								<input <?php if (in_array($module->name, $report_modules)) echo 'checked="checked"'; ?> type="checkbox" name="modules[]" value="<?php echo $module->name; ?>" /> <?php echo $module->name; ?><br />
							<?php endforeach; ?>
						</td>						
					</tr>
					<tr>
						<td class="label">Allow Front-end Access</td>
						<td class="input">
							<input type="checkbox" name="frontend" value="1" <?php if ($report->frontend) echo 'checked'; ?>  /> Yes
						</td>
					</tr>
					<tr>
						<td class="label">Process Script</td>
						<td class="input" style="padding: 1px 0px">
							<textarea id="process_code" name="process_script" style="font-family: courier" class="v-textarea"><?php echo htmlentities($report->process_script); ?></textarea>
							<script>
								var editor = CodeMirror.fromTextArea(document.getElementById("process_code"), {
									lineNumbers: true,
									matchBrackets: true,
									mode: "text/x-php",
									indentUnit: 4,
									indentWithTabs: true,
									enterMode: "keep",
									tabMode: "shift"
								});
							</script>
						</td>
					</tr>
					<tr>
						<td class="label">Display Script</td>
						<td class="input" style="padding: 1px 0px">
							<textarea id="display_code" name="display_script" style="font-family: courier" class="v-textarea"><?php echo htmlentities($report->display_script); ?></textarea>
							<script>
								var editor = CodeMirror.fromTextArea(document.getElementById("display_code"), {
									lineNumbers: true,
									matchBrackets: true,
									mode: "application/x-httpd-php",
									indentUnit: 4,
									indentWithTabs: true,
									enterMode: "keep",
									tabMode: "shift"
								});
							</script>
						</td>
					</tr>
					<tr>
						<td class="label">Filters Script</td>
						<td class="input" style="padding: 1px 0px">
							<textarea id="filters_code" name="filters" style="font-family: courier" class="v-textarea"><?php echo htmlentities($report->filters); ?></textarea>
							<script>
								var editor = CodeMirror.fromTextArea(document.getElementById("filters_code"), {
									lineNumbers: true,
									matchBrackets: true,
									mode: "application/x-httpd-php",
									indentUnit: 4,
									indentWithTabs: true,
									enterMode: "keep",
									tabMode: "shift"
								});
							</script>
						</td>
					</tr>
				</tbody>
			</table>
			

		</form>
		</div>
	</div>
