<?php if (!$this->user->has_access('reports')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

$(document).ready(function(){

	$('div.filter input').keypress(function(e){
		
		if (e.which == 13) filterItems();
	});
	
	$('div.filter select').keypress(function(e){
		if (e.which == 13) filterItems();
	});
	
	$('a.filter-btn').click(function(){
		filter();
	});
});

function filter(){
	var date_from = $('input.filter-date-from').val();
	var date_to = $('input.filter-date-to').val();

	$('div.main_full').hide()
	$('div.status').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>').show();
	
	
	$.ajax({
		url: base_url + 'reports/turnover',
		type: 'POST',
		data: 'date_from='+date_from+'&date_to='+date_to,
		success: function (result){
			$('#global-content').html(result);
			populateEvents();
		}
	});
}

</script>

	<div class="toolbar">
		<h3 class="grid-title">Turnover</h3>
		<div class="global-tabs filter" style="padding: 5px 5px; font-size: 10pt;">
			Date from <input type="text" name="date_from" value="<?php echo date('d/m/Y',strtotime($from)); ?>" class="v-text date filter-date-from" style="width: 130px; margin-right: 10px" />
			to <input type="text" name="date_to" value="<?php echo date('d/m/Y',strtotime($to)); ?>" class="v-text date filter-date-to" style="width: 130px; margin-right: 10px" /> <a class="v-btn filter-btn search">Filter</a>
		</div>
	</div>
	<div class="status">
	
	</div>

	<div class="main_full">
		<div class="report" style="padding: 15px">
		<h2 style="text-align: center; margin-bottom: 0; padding-bottom: 0">Turnover</h2>
		<p style="text-align: center; padding-bottom: 10px; margin-bottom: 20px; border-bottom: 1px solid #CCC">Date Range: <?php echo date('l, F j, Y',strtotime($from)); ?> - <?php echo date('l, F j, Y',strtotime($to)); ?></p>
		
		<table class="grid">
			<thead>
				<tr>
					<th style="width: 200px">Date</th>
					<th style="width: 100px">Sales (<?php echo $this->system->config('currency'); ?>)</th>
					<th style="width: 100px">Margin (<?php echo $this->system->config('currency'); ?>)</th>
					<th style="width: 100px">Margin (%)</th>
					<th>Sales</th>
					<th>Margin</th>
				</tr>
			</thead>
			<tbody>
				<?php $x = 0; foreach ($sales as $sale): ?>
				<tr <?php echo $x%2 != 0 ? 'class="alt"' : ''; ?>>
					<td style="width: 200px"><?php echo date('l, F j, Y',strtotime($sale->date)); ?></td>
					<td style="text-align: right"><?php echo number_format($sale->total_sales,2); ?></td>
					<td style="text-align: right"><?php echo number_format($sale->total_margin,2); ?></td>
					<td style="text-align: right"><?php echo number_format(($sale->total_margin/$sale->total_sales)*100,2); ?>%</td>
					<td style="width: 200px">
						<div style="height: 15px; background: #E0E8ED">
							<div class="turnover-chart" style="background:#7f98a6; height: 15px; float: right; width: <?php echo round(($sale->total_sales / $max_sale) * 200) ?>px"></div>
						</div>
					</td>
					<td style="width: 100px"><?php echo $item->total_qty; ?>
						<div style="height: 15px; background: #E0E8ED">
							<div class="turnover-chart" style="background:#7f98a6; height: 15px; width: <?php echo round(($sale->total_margin / $max_margin) * 100) ?>px"></div>
						</div>
					</td>
				</tr>
				<?php $x++; $total_sales += $sale->total_sales; $total_margin += $sale->total_margin; endforeach; ?>
				<tr style="background: #EEE" class="total">
					<td></td>
					<td style="text-align: right;"><strong><?php echo number_format($total_sales,2); ?></strong></td>
					<td style="text-align: right;"><strong><?php echo number_format($total_margin,2); ?></strong></td>
					<td style="text-align: right;"><strong><?php echo number_format($total_margin/$total_sales*100,2); ?>%</strong></td>
					<td></td>
					<td></td>
				</tr>
			</tbody>
		</table>
		</div>
	</div>