<?php if (!$this->user->has_permission('to_view_credit_note','Sales')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var filtered = false;

reload_data = 'limit=100';

function filterItems(){
	var number 			= $('input.filter-number').val();
	var date_from 		= $('input.filter-date-from').val();
	var date_to 		= $('input.filter-date-to').val();
	var payment_status 	= $('select.filter-payment-status').val();
	var status 			= $('select.filter-status').val();
	var term 			= $('select.filter-term').val();

	
	$('table.grid tbody').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	$.ajax({
		url: base_url + 'inventory/dn_filter',
		type: 'POST',
		data: 'number='+number+'&date_from='+date_from+'&date_to='+date_to+'&payment_status='+payment_status+'&status='+status+'&term='+term,
		success: function (result){
			reload_data = 'number='+number+'&date_from='+date_from+'&date_to='+date_to+'&payment_status='+payment_status+'&status='+status+'&term='+term;
			$('div.main_full').html(result);
			populateEvents();
		}
	});
}

function reloadGrid(){
	$.ajax({
		url: base_url + 'inventory/dn_filter',
		type: 'POST',
		data: reload_data,
		success: function (result){
			$('div.main_full').html(result);
			$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
			populateEvents();
			
			if (reload_sort){
				$('th.sortable[rel='+reload_sort+']').addClass(reload_order).click();
			}
			
		}
	});
}

</script>
		<div class="toolbar">
			<h3 class="grid-title">
				<?php if ($this->user->has_permission('to_create_credit_note','Sales')): ?><a href="sales/cn_add" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">New Credit Note</a><?php endif; ?>
				Credit Notes
			</h3>
    		<div class="global-tabs" style="padding: 5px; font-size: 10pt">
				<a class="v-btn show-filter-controls icon-search">Search</a>
			</div>
	
			<div class="modal-filter-form filter" style="font-size: 10pt;">
				<div class="triangle"></div>
				<table>
					<tr>
		    			<td>CN No.</td>
		    			<td><input type="text" name="number" class="v-text filter-number" style="width: 80px;" /></td>
					</tr>
					<tr>
						<td>From</td>
						<td><input type="text" name="date_from" class="v-text date filter-date-from" style="width: 80px" /></td>
					</tr>
					<tr>
						<td>To</td>
						<td><input type="text" name="date_to" class="v-text date filter-date-to" style="width: 80px" /></td>
					</tr>
					<tr>
						<td>Term</td>
						<td><?php echo form_dropdown('term', array('Select','Cash'=>'Cash','Credit'=>'Credit'), '', 'class="v-dropdown filter-term" style="width: 130px; font-size: 10pt"'); ?></td>
					</tr>
					<tr>
						<td>Contact</td>
						<td><?php echo form_dropdown('contact', $contacts_dropdown, '', 'class="v-dropdown filter-supplier" style="width: 110px; font-size: 10pt"'); ?></td>
					</tr>
					<tr>
		    			<td>Status</td>
		    			<td><?php echo form_dropdown('status', array('Select','Pending'=>'Pending','Partially Received'=>'Partially Received','Received'=>'Received'), '', 'class="v-dropdown filter-status" style="width: 110px; font-size: 10pt"'); ?></td>
					</tr>
				</table>
    			<hr />
    			<a class="v-btn filter-btn search">Filter</a>
    		</div>
    		<table class="grid">
    			<thead>
    				<tr>
    					<th class="sortable-date" rel="1" style="width: 90px">CN No.</th>
    					<th class="sortable" rel="2" style="width: 90px">DN No.</th>
    					<th class="sortable-date" rel="3" style="width: 90px">Date</th>
    					<th class="sortable" rel="4">Contacts</th>
    					<th class="sortable" rel="5" style="width: 90px">Term</th>
    					<th class="sortable" rel="6" style="width: 90px">Status</th>
    					<th class="sortable" rel="7" style="width: 90px">Payment</th>
    					<th class="sortable" rel="8" style="width: 100px">Amount (<?php echo $this->system->config('currency'); ?>)</th>							
						<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
    				</tr>
    			</thead>
    		</table>
		</div>
		
		<div class="main_full">
			<table class="grid grid_data">
				<tbody>
					<?php $x=0; foreach ($cns as $cn): ?>
					<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
						<td rel="1" class="sortable-date" time="<?php echo $cn->txn_no; ?>" style="width: 90px"><?php echo 'CN-' . $cn->txn_no; ?></td>
						<td rel="2" class="sortable" style="width: 90px"><?php echo $cn->dn_number ?  $cn->dn_number : 'N/A'; ?></td>
						<td rel="3" class="sortable-date" time="<?php echo strtotime($cn->date); ?>" style="width: 90px"><?php echo date('d/m/Y',strtotime($cn->date)); ?></td>
						<td rel="4" class="sortable"><?php echo $cn->contact; ?></td>
						<td rel="5" class="sortable" style="width: 90px"><?php echo $cn->terms; ?></td>
						<td rel="6" class="sortable" style="width: 90px"><?php echo $cn->status; ?></td>
						<td rel="7" class="sortable" style="width: 90px"><?php echo $cn->payment_contra ? 'Contra' : $cn->payment_status; ?></td>
						<td rel="8" class="sortable" style="text-align: right; width: 100px"><?php echo $cn->total_received == 0 ? $cn->total : $cn->total_received; ?></td>
						<td style="width: 75px; padding: 0">
							<?php if ($this->user->has_permission('to_view_credit_note','Sales')): ?><a class="grid-action grid-action-view target_main" href="sales/cn_view/<?=$cn->id?>"><span>View</span></a><?php endif; ?>
							<?php if ($cn->status == 'Pending'): ?>
							<?php if ($this->user->has_permission('to_edit_credit_note','Sales')): ?><a class="grid-action grid-action-edit target_main" href="sales/cn_edit/<?=$cn->id?>"><span>Edit</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_delete_credit_note','Sales')): ?><a class="grid-action grid-action-delete" href="sales/cn_delete/<?=$cn->id?>"><span>Delete</span></a><?php endif; ?>
							<?php endif; ?>
						</td>
					</tr>
					<?php $x++; endforeach; ?>
					<?php if ($x == 0): ?>
					<tr class="alt">
						<td colspan="9"><strong>There are no Credit Notes.</strong></td>
					</tr>
					<?php endif; ?>
				</tbody>
			</table>
		</div>