<?php if (!$this->user->has_permission('to_view_settings','Sales')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var content;

function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Sales','Configuration has been updated.');
	} else {
		showDialog('ok','Error','Settings could not be saved at the moment. Please try again alter.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}

$(document).ready(function(){
	$('a.create').click(function(event){
		$('form.insert').submit();
		event.preventDefault();
	});
});

</script>
		<div class="toolbar">
			<h3 class="grid-title">Sales Settings</h3>
			<?php if ($this->user->has_permission('to_manage_settings','Sales')): ?>
			<div class="global-tabs" style="padding: 5px">
				<a class="v-btn create">Save</a>
			</div>
			<?php endif; ?>
		</div>
		<div class="status">
		
		</div>

		<div class="main_full">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>

		<form class="insert" <?php if ($this->user->has_permission('to_manage_settings','Sales')): ?> method="post" action="<?=base_url()?>sales/config/do" target="postframe" enctype="multipart/form-data"<?php endif; ?>>
			<table class="general-form">
				<tr>
					<td style="padding: 5px; font-weight: bold; font-size: 11pt; background: #DDD; border-bottom: 1px solid #BBB; border-top: 1px solid #FFF;" colspan="2">General</td>
				</tr>
				<tr class="two">
					<td class="label">Quote Terms &amp; Conditions</td>
					<td class="input"><textarea name="quote_tnc" class="v-textarea"><?=$this->system->config('quote_tnc')?></textarea></td>
				</tr>
				<tr class="two">
					<td class="label">Quote Footer</td>
					<td class="input"><textarea name="quote_footer" class="v-textarea"><?=$this->system->config('quote_footer')?></textarea></td>
				</tr>
				<tr class="two">
					<td class="label">Sales Order Terms &amp; Conditions</td>
					<td class="input"><textarea name="so_tnc" class="v-textarea"><?=$this->system->config('so_tnc')?></textarea></td>
				</tr>
				<tr class="two">
					<td class="label">Sales Order Footer</td>
					<td class="input"><textarea name="so_footer" class="v-textarea"><?=$this->system->config('so_footer')?></textarea></td>
				</tr>		
				<tr class="two">
					<td class="label">Invoice Terms &amp; Conditions</td>
					<td class="input"><textarea name="invoice_tnc" class="v-textarea"><?=$this->system->config('invoice_tnc')?></textarea></td>
				</tr>
				<tr class="two">
					<td class="label">Invoice Footer</td>
					<td class="input"><textarea name="invoice_footer" class="v-textarea"><?=$this->system->config('invoice_footer')?></textarea></td>
				</tr>
				<tr class="two">
					<td class="label">Delivery Order Terms &amp; Conditions</td>
					<td class="input"><textarea name="do_tnc" class="v-textarea"><?=$this->system->config('do_tnc')?></textarea></td>
				</tr>
				<tr class="two">
					<td class="label">Delivery Order Footer</td>
					<td class="input"><textarea name="do_footer" class="v-textarea"><?=$this->system->config('do_footer')?></textarea></td>
				</tr>
				<tr class="two">
					<td class="label">Credit Note Terms &amp; Conditions</td>
					<td class="input"><textarea name="cn_tnc" class="v-textarea"><?=$this->system->config('cn_tnc')?></textarea></td>
				</tr>
				<tr class="two">
					<td class="label">Credit Note Footer</td>
					<td class="input"><textarea name="cn_footer" class="v-textarea"><?=$this->system->config('cn_footer')?></textarea></td>
				</tr>
				<tr class="two">
					<td class="label">Member Registration Terms &amp; Conditions</td>
					<td class="input"><textarea name="member_tnc" class="v-textarea"><?=$this->system->config('member_tnc')?></textarea></td>
				</tr>
				<tr class="two">
					<td class="label">Online Sales Terms &amp; Conditions</td>
					<td class="input"><textarea name="online_sales_tnc" class="v-textarea"><?=$this->system->config('online_sales_tnc')?></textarea></td>
				</tr>
				<?php if ($this->system->uses('Inventory')): ?>
				<tr class="two">
					<td class="label">Price Rules</td>
					<td class="input">
						<?php $price_rules = json_decode($this->system->config('price_rules')); ?>
						<?php foreach ($this->contact->get_ranks() as $rank): ?>
						<?php echo form_dropdown('price_rules['.str_replace(' ','_',$rank).']', array(''=>'Selling Price 1','_2'=>'Selling Price 2','_3'=>'Selling Price 3','_4'=>'Selling Price 4','cost'=>'Cost'),$price_rules->{str_replace(' ', '_',$rank)}, 'class="v-dropdown"'); ?> for <?php echo $rank; ?><br />
						<?php endforeach; ?>
					</td>
				</tr>
				<?php endif; ?>
				<tr>
					<td style="padding: 5px; font-weight: bold; font-size: 11pt; background: #DDD; border-bottom: 1px solid #BBB; border-top: 1px solid #FFF;" colspan="2">Point-of-Sale</td>
				</tr>
				<tr  class="two">
					<td class="label">Credit Card Checkout</td>
					<td class="input"><input type="checkbox" name="checkout_cc" value="1" <?php if ($this->system->config('checkout_cc')) echo 'checked="checked"'; ?> /> Yes</td>
				</tr>
				<tr class="two">
					<td class="label">Cheque Checkout</td>
					<td class="input"><input type="checkbox" name="checkout_cheque" value="1" <?php if ($this->system->config('checkout_cheque')) echo 'checked="checked"'; ?> /> Yes</td>
				</tr>
				<tr class="two">
					<td class="label">Bank Deposit Checkout</td>
					<td class="input"><input type="checkbox" name="checkout_bank_deposit" value="1" <?php if ($this->system->config('checkout_bank_deposit')) echo 'checked="checked"'; ?> /> Yes</td>
				</tr>
				<tr class="two">
					<td class="label">Voucher Checkout</td>
					<td class="input"><input type="checkbox" name="checkout_voucher" value="1" <?php if ($this->system->config('checkout_voucher')) echo 'checked="checked"'; ?> /> Yes</td>
				</tr>
				<tr  class="two">
					<td class="label">Credit Checkout</td>
					<td class="input"><input type="checkbox" name="checkout_credit" value="1" <?php if ($this->system->config('checkout_credit')) echo 'checked="checked"'; ?>/> Yes</td>
				</tr>
				<tr class="two">
					<td class="label">Delivery Checkout</td>
					<td class="input"><input type="checkbox" name="checkout_delivery" value="1" <?php if ($this->system->config('checkout_delivery')) echo 'checked="checked"'; ?>/> Yes</td>
				</tr>
				<tr class="two">
					<td class="label">Checkout with Remarks</td>
					<td class="input"><input type="checkbox" name="checkout_remarks" value="1" <?php if ($this->system->config('checkout_remarks')) echo 'checked="checked"'; ?>/> Yes</td>
				</tr>
				<tr  class="two">
					<td class="label">Lower than cost checkout</td>
					<td class="input"><input type="checkbox" name="checkout_ltc" value="1" <?php if ($this->system->config('checkout_ltc')) echo 'checked="checked"'; ?>/> Yes</td>
				</tr>				
				<tr  class="two">
					<td class="label">Discount allowed</td>
					<td class="input"><input type="checkbox" name="discount_allowed" value="1" <?php if ($this->system->config('discount_allowed')) echo 'checked="checked"'; ?>/> Yes</td>
				</tr>
				<tr  class="two">
					<td class="label">Discount type default</td>
					<td class="input"><?php echo form_dropdown('discount_type_default',array('p'=>'Percentage (%)','d'=>'Amount ('.$this->system->config('currency').')'), $this->system->config('discount_type_default'), 'class="v-dropdown"'); ?></td>
				</tr>
				<tr class="two">
					<td class="label">Custom Price</td>
					<td class="input"><input type="checkbox" name="custom_price_allowed" value="1" <?php if ($this->system->config('custom_price_allowed')) echo 'checked="checked"'; ?>/> Yes</td>
				</tr>
				<tr class="two">
					<td class="label">Show Cost at Sales Screen</td>
					<td class="input"><input type="checkbox" name="sales_screen_cost" value="1" <?php if ($this->system->config('sales_screen_cost')) echo 'checked="checked"'; ?>/> Yes</td>
				</tr>
				<tr class="two">
					<td class="label">Show Gross Profit at Sales Screen</td>
					<td class="input"><input type="checkbox" name="sales_screen_gp" value="1" <?php if ($this->system->config('sales_screen_gp')) echo 'checked="checked"'; ?>/> Yes</td>
				</tr>
				<tr  class="two">
					<td class="label">Revert allowed</td>
					<td class="input"><input type="checkbox" name="revert_allowed" value="1" <?php if ($this->system->config('revert_allowed')) echo 'checked="checked"'; ?>/> Yes</td>
				</tr>
				<tr  class="two">
					<td class="label">Revert Level</td>
					<td class="input"><?php echo form_dropdown('revert_level',array('Manager'=>'Manager','Cashier'=>'Cashier'), $this->system->config('revert_level'), 'class="v-dropdown"'); ?></td>
				</tr>
				<tr  class="two">
					<td class="label">Revert by Keycard</td>
					<td class="input"><input type="checkbox" name="revert_keycard" value="1" <?php if ($this->system->config('revert_keycard')) echo 'checked="checked"'; ?> /> Yes </td>
				</tr>
				<tr  class="two">
					<td class="label">Receipt Type</td>
					<td class="input"><?php echo form_dropdown('receipt_type',array('3 Inch'=>'Thermal Printer','Regular Printer'=>'Regular Printer'), $this->system->config('receipt_type'), 'class="v-dropdown"'); ?></td>
				</tr>
				<tr  class="two">
					<td class="label">Hide Cashout Values</td>
					<td class="input"><input type="checkbox" name="report_cashout_hide" <?php if ($this->system->config('report_cashout_hide')) echo 'checked'; ?> /> Yes</td>
				</tr>
				<tr  class="two">
					<td class="label">Report Type</td>
					<td class="input"><?php echo form_dropdown('report_type',array('Summary'=>'Summary','Summary Categorically'=>'Summary Categorically','Complete'=>'Complete','Complete Categorically'=>'Complete Categorically',''=>'No Report'), $this->system->config('report_type'), 'class="v-dropdown"'); ?></td>
				</tr>
				
				<tr class="two">
					<td class="label">Secondary Report Categories</td>
					<td class="input">
						<input class="v-text" type="text" name="report_secondary_categories" value="<?php echo $this->system->config('report_secondary_categories'); ?>" />
						<small style="color:#AAA">Categories separated by comma ','</small>
					</td>
				</tr>
				<tr class="two">
					<td class="label">Show Transaction Number Range in Report</td>
					<td class="input">
						<input <?php if ($this->system->config('report_running_numbers')) echo 'checked="checked"'; ?> type="checkbox" name="report_running_numbers" value="1" /> Yes
					</td>
				</tr>
				<tr class="two">
					<td class="label">Member Points</td>
					<td class="input"><input type="checkbox" name="member_points" value="1" <?php if ($this->system->config('member_points')) echo 'checked="checked"'; ?>/> Enabled</td>
				</tr>
				<tr class="two">
					<td class="label">Member Minimum Amount (<?php echo $this->system->config('currency'); ?>)</td>
					<td class="input"><input type="text" name="member_minimum_amount" class="v-number-decimal" value="<?php echo $this->system->config('member_minimum_amount'); ?>" /></td>
				</tr>
				<tr class="two">
					<td class="label">Member Minimum Point</td>
					<td class="input"><input type="text" name="member_minimum_point" class="v-number-decimal" value="<?php echo $this->system->config('member_minimum_point'); ?>" /></td>
				</tr>
				<tr class="two">
					<td class="label">Member Discount (%)</td>
					<td class="input"><input type="text" name="member_discount" class="v-number-decimal" value="<?php echo $this->system->config('member_discount'); ?>" /></td>
				</tr>
				<tr class="two">
					<td class="label">Phone Field</td>
					<td class="input"><input type="checkbox" name="customer_phone" value="1" <?php if ($this->system->config('customer_phone')) echo 'checked="checked"'; ?>/> Yes</td>				
				</tr>
				<tr class="two">
					<td class="label">Rounding Adjust</td>
					<td class="input"><input type="checkbox" name="rounding_adjust" value="1" <?php if ($this->system->config('rounding_adjust')) echo 'checked="checked"'; ?>/> Yes</td>				
				</tr>
				<tr>
					<td class="label">Allowed Roles Registration</td>
					<td class="input">
						<input type="text" class="v-text" name="pos_allowed_roles" value="<?php echo $this->system->config('pos_allowed_roles'); ?>" />
						<small style="color:#AAA">Roles allowed to be registered in the Point-of-Sale screen separated by comma ','</small>
					</td>
				</tr>
				<tr>
					<td class="label">Retail Item Search Layout</td>
					<td class="input">
						<?php echo form_dropdown('pos_retail_item_layout',array('grid'=>'Grid View','list'=>'List View'), $this->system->config('pos_retail_item_layout'), 'class="v-dropdown"'); ?>
					</td>
				</tr>
				
				<tr>
					<td class="label">Sales report by query number </td>
					<td class="input">
						<input type="checkbox" name="pos_sales_report_no_print" value="1" <?php if ($this->system->config('pos_sales_report_no_print')) echo 'checked="checked"'; ?> /> Yes
					</td>
				</tr>

				<tr>
					<td class="label">Exclude taxes in sales report </td>
					<td class="input">
						<input type="checkbox" name="pos_sales_hide_tax" value="1" <?php if ($this->system->config('pos_sales_hide_tax')) echo 'checked="checked"'; ?> /> Yes
					</td>
				</tr>
				
				<tr>
					<td class="label">Report name in sales report </td>
					<td class="input">
						<input type="text" class="v-text" name="pos_sales_report_name" value="<?php echo $this->system->config('pos_sales_report_name'); ?>" />
					</td>
				</tr>
				
				<tr>
					<td class="label">Substantive sales categories </td>
					<td class="input">
						<input type="text" class="v-text" name="pos_substantive_categories" value="<?php echo $this->system->config('pos_substantive_categories'); ?>" />
					</td>
				</tr>
				
				<?php if ($this->system->uses('FnB')): ?>
				<tr>
					<td style="padding: 5px; font-weight: bold; font-size: 11pt; background: #DDD; border-bottom: 1px solid #BBB; border-top: 1px solid #FFF;" colspan="2">F&amp;B POS Settings</td>
				</tr>
				<tr class="two">
					<td class="label">POS Secondary Display</td>
					<td class="input"><input type="checkbox" name="fnbpos_secondary_display" <?php if ($this->system->config('fnbpos_secondary_display')) echo 'checked'; ?> value="1" /> Yes</td>
				</tr>
				<tr class="two">
					<td class="label">Print Items Individually</td>
					<td class="input">
						<input type="checkbox" name="fnb_print_items_individually" value="1" <?php if ($this->system->config('fnb_print_items_individually')) echo 'checked'; ?> /> Yes</td>
					</td>
				</tr>
				<tr class="two">
					<td class="label">Service Charge (%)</td>
					<td class="input"><input placeholder="Enter percentage" type="type" name="fnbpos_service_charge" value="<?php echo $this->system->config('fnbpos_service_charge'); ?>" class="v-text v-number" /></td>
				</tr>
				<tr class="two">
					<td class="label">No Service Charge on Instant Sale</td>
					<td class="input"><input type="checkbox" name="fnbpos_no_sc_is" <?php echo $this->system->config('fnbpos_no_sc_is') ? 'checked' : ''; ?> /> Yes</td>
				</tr>
				<tr class="two">
					<td class="label">Alert Idle Table Duration (min)</td>
					<td class="input"><input placeholder="Enter duration in minutes" type="type" name="fnbpos_idle_table_duration" value="<?php echo $this->system->config('fnbpos_idle_table_duration'); ?>" class="v-text v-number" /></td>
				</tr>
				<tr class="two">
					<td class="label">Idle Logout Duration (sec)</td>
					<td class="input"><input placeholder="Enter duration in seconds" type="type" name="fnbpos_logout_timeout" value="<?php echo $this->system->config('fnbpos_logout_timeout'); ?>" class="v-text v-number" /></td>
				</tr>
				<tr class="two">
					<td class="label">Cash Transactions Only</td>
					<td class="input"><input value="1" type="checkbox" name="fnbpos_cash_only" <?php echo $this->system->config('fnbpos_cash_only') ? 'checked' : ''; ?> /> Yes</td>
				</tr>
				<tr class="two">
					<td class="label">Hide Pax Count Input</td>
					<td class="input"><input value="1" type="checkbox" name="fnbpos_hide_pax" <?php echo $this->system->config('fnbpos_hide_pax') ? 'checked' : ''; ?> /> Yes</td>
				</tr>
				<tr class="two">
					<td class="label">Hide Card No Input</td>
					<td class="input"><input value="1" type="checkbox" name="fnbpos_hide_cardno" <?php echo $this->system->config('fnbpos_hide_cardno') ? 'checked' : ''; ?> /> Yes</td>
				</tr>

				<tr class="two">
					<td class="label">Course Serving</td>
					<td class="input"><input type="checkbox" name="fnbpos_course_serving" <?php echo $this->system->config('fnbpos_course_serving') ? 'checked' : ''; ?> /> Yes</td>
				</tr>
				<tr class="two">
					<td class="label">Discount with customer only</td>
					<td class="input"><input type="checkbox" name="fnbpos_discount_with_customer" <?php echo $this->system->config('fnbpos_discount_with_customer') ? 'checked' : ''; ?> /> Yes</td>
				</tr>
				<tr class="two">
					<td class="label">Disable discount by amount</td>
					<td class="input"><input type="checkbox" name="fnbpos_discount_no_amount" <?php echo $this->system->config('fnbpos_discount_no_amount') ? 'checked' : ''; ?> /> Yes</td>
				</tr>
				<tr class="two">
					<td class="label">Discount default value</td>
					<td class="input"><input type="type" name="fnbpos_discount_default" value="<?php echo $this->system->config('fnbpos_discount_default'); ?>" class="v-text" /></td>
				</tr>
				<tr class="two">
					<td class="label">Void Reasons</td>
					<td class="input"><textarea class="v-textarea" name="fnbpos_void_reason"><?php echo $this->system->config('fnbpos_void_reason'); ?></textarea>
					<small style="color:#AAA">Each reason separated by a line</small>
					</td>
				</tr>
				<tr>
					<td style="padding: 5px; font-weight: bold; font-size: 11pt; background: #DDD; border-bottom: 1px solid #BBB; border-top: 1px solid #FFF;" colspan="2">F&amp;B Printer Settings</td>
				</tr>
				<tr class="two">
					<td class="label">Print Instant Sales Orders</td>
					<td class="input"><input type="checkbox" name="print_is" value="1" <?php if ($this->system->config('print_is')) echo 'checked="checked"'; ?>/> Yes</td>
				</tr>
				<tr class="two">
					<td class="label">Print Take Away Orders</td>
					<td class="input"><input type="checkbox" name="print_ta" value="1" <?php if ($this->system->config('print_ta')) echo 'checked="checked"'; ?>/> Yes</td>
				</tr>
				<tr class="two">
					<td class="label">Print Processor CLI</td>
					<td class="input"><input type="text" name="fnbpos_print_cli" class="v-text" value="<?php echo $this->system->config('fnbpos_print_cli'); ?>" /></td>
				</tr>
				<tr class="two">
					<td class="label">Paper Size</td>
					<td class="input"><?php echo form_dropdown('fnbpos_print_paper_size', array('80mm'=>'80mm','70mm'=>'70mm','58mm'=>'58mm'), $this->system->config('fnbpos_print_paper_size'), 'class="v-dropdown"'); ?></td>
				</tr>
				<tr class="two">
					<td class="label">Waiter's Order Chit Printer</td>
					<td class="input">
						<input class="v-text" type="text" name="fnbpos_reroute_wtc" value="<?php echo $this->system->config('fnbpos_reroute_wtc'); ?>" />
					</td>
				</tr>
				<tr  class="two">
					<td class="label">Mobile Table Display Mode </td>
					<td class="input"><?php echo form_dropdown('fnbpos_mtd_mode',array('numeric'=>'Numeric Table Only','alphanumeric'=>'Alphanumeric Table Only','any'=>'Any'), $this->system->config('fnbpos_mtd_mode') ? $this->system->config('fnbpos_mtd_mode') : 'any', 'class="v-dropdown"'); ?></td>
				</tr>
				<?php endif; ?>
				<tr>
					<td style="padding: 5px; font-weight: bold; font-size: 11pt; background: #DDD; border-bottom: 1px solid #BBB; border-top: 1px solid #FFF;" colspan="2">Online Sales</td>
				</tr>
				<tr class="two">
					<td class="label">Enable Online Sales</td>
					<td class="input"><input type="checkbox" name="online_sales" value="1" <?php if ($this->system->config('online_sales')) echo 'checked="checked"'; ?>/> Yes</td>				
				</tr>
				<tr class="two">
					<td class="label">Minimum Online Purchase</td>
					<td class="input"><input type="text" class="v-text" name="online_sales_min_purchase" value="<?php echo $this->system->config('online_sales_min_purchase'); ?>" /><small style="color: #AAA">Total Minimum Purchase.</small></td>
				</tr>
				<tr class="two">
					<td class="label">Reserve Orders Duration (days)</td>
					<td class="input"><input type="text" class="v-number" name="online_sales_so_duration" value="<?php echo $this->system->config('online_sales_so_duration'); ?>" /><small style="color: #AAA">Number of days to hold ordered items.</small></td>
				</tr>
				<tr class="two">
					<td class="label">Item Limit Per Page</td>
					<td class="input"><input type="text" class="v-text v-number" name="online_sales_item_limit_per_page" value="<?php echo $this->system->config('online_sales_item_limit_per_page'); ?>" /></td>
				</tr>
				<tr class="two">
					<td class="label">API Key</td>
					<td class="input"><input type="text" class="v-text" name="online_sales_api_key" value="<?php echo $this->system->config('online_sales_api_key'); ?>" readonly="readonly" /></td>				
				</tr>
				<tr class="two">
					<td class="label">Allowed Domains</td>
					<td class="input"><input type="text" class="v-text" name="online_sales_allowed_domains" value="<?php echo $this->system->config('online_sales_allowed_domains'); ?>" /><small style="color: #AAA">Multiple domains separated by comma.</small></td>				
				</tr>
				<tr class="two">
					<td class="label">Facebook Login</td>
					<td class="input"><input type="checkbox" name="online_sales_fb_login" value="1" <?php if ($this->system->config('online_sales_fb_login')) echo 'checked="checked"'; ?> /></td>
				</tr>
				<tr class="two">
					<td class="label">Facebook App ID</td>
					<td class="input"><input type="text" class="v-text" name="online_sales_fb_app_id" value="<?php echo $this->system->config('online_sales_fb_app_id'); ?>" /></td>
				</tr>
				<tr class="two">
					<td class="label">Facebook App Secret</td>
					<td class="input"><input type="text" class="v-text" name="online_sales_fb_app_secret" value="<?php echo $this->system->config('online_sales_fb_app_secret'); ?>" /></td>
				</tr>
				<tr class="two">
					<td class="label">Responder Transactions BCC Email</td>
					<td class="input"><input type="text" class="v-text" name="online_sales_responder_txn_email" value="<?php echo $this->system->config('online_sales_responder_txn_email'); ?>" /><small style="color: #AAA">The email where all email transactions will be sent a copy to.</small></td>
				</tr>
				<tr class="two">
					<td class="label">Responder Sender Name</td>
					<td class="input"><input type="text" class="v-text" name="online_sales_responder_name" value="<?php echo $this->system->config('online_sales_responder_name'); ?>" /><small style="color: #AAA">The sender name that will appear in the mail responder.</small></td>
				</tr>
				<tr class="two">
					<td class="label">Responder Email Address</td>
					<td class="input"><input type="text" class="v-text" name="online_sales_responder_email" value="<?php echo $this->system->config('online_sales_responder_email'); ?>" /><small style="color: #AAA">The email that will appear in the mail responder.</small></td>
				</tr>
				<tr class="two">
					<td class="label">Responder Email Password</td>
					<td class="input"><input type="password" class="v-text" name="online_sales_responder_password" value="<?php echo $this->system->config('online_sales_responder_password'); ?>" /><small style="color: #AAA">The password to access the responder email.</small></td>
				</tr>
				<tr class="two">
					<td class="label">Responder Email Hostname</td>
					<td class="input"><input type="text" class="v-text" name="online_sales_responder_hostname" value="<?php echo $this->system->config('online_sales_responder_hostname'); ?>" /><small style="color: #AAA">SMTP Hostname for the responder email.</small></td>
				</tr>
				<tr class="two">
					<td class="label">Responder Email Port</td>
					<td class="input"><input type="text" class="v-text" name="online_sales_responder_port" value="<?php echo $this->system->config('online_sales_responder_port'); ?>" /><small style="color: #AAA">SMTP Port for the responder email. Default: 25 or 587.</small></td>
				</tr>

				<tr class="two">
					<td class="label">New Registration Email Subject</td>
					<td class="input"><input type="text" class="v-text" name="online_sales_email_new_registration_subject" value="<?php echo $this->system->config('online_sales_email_new_registration_subject'); ?>" /></td>
				</tr>

				<tr class="two">
					<td class="label">New Registration Email<br /><br />
						<table class="general-form" style="font-size: 8pt;">
							<thead>
								<tr>
									<th>Variable</th>
									<th>Description</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>{name}</td>
									<td>Member/customer name</td>
								</tr>
								<tr>
									<td>{email}</td>
									<td>Member/customer email</td>
								</tr>
								<tr>
									<td>{password}</td>
									<td>Member/customer password</td>
								</tr>
								<tr>
									<td>{link}</td>
									<td>Verification link</td>
								</tr>
							</tbody>
						</table>
					</td>
					<td class="input">
						<textarea style="height: 200px" class="v-textarea" name="online_sales_email_new_registration"><?php echo $this->system->config('online_sales_email_new_registration'); ?></textarea>
					</td>
				</tr>
				<tr class="two">
					<td class="label">Password Reset Email Subject</td>
					<td class="input"><input type="text" class="v-text" name="online_sales_email_password_reset_subject" value="<?php echo $this->system->config('online_sales_email_password_reset_subject'); ?>" /></td>
				</tr>
				<tr class="two">
					<td class="label">Password Reset Email<br /><br />
						<table class="general-form" style="font-size: 8pt;">
							<thead>
								<tr>
									<th>Variable</th>
									<th>Description</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>{name}</td>
									<td>Member/customer name</td>
								</tr>
								<tr>
									<td>{email}</td>
									<td>Member/customer email</td>
								</tr>
								<tr>
									<td>{temp_pass}</td>
									<td>Member/customer temporary password</td>
								</tr>
							</tbody>
						</table>
					</td>
					<td class="input">
						<textarea style="height: 200px" class="v-textarea" name="online_sales_email_password_reset"><?php echo $this->system->config('online_sales_email_password_reset'); ?></textarea>
					</td>
				</tr>
				<tr class="two">
					<td class="label">New Order Email Subject</td>
					<td class="input"><input type="text" class="v-text" name="online_sales_email_new_order_subject" value="<?php echo $this->system->config('online_sales_email_new_order_subject'); ?>" /></td>
				</tr>

				<tr class="two">
					<td class="label">New Order Email<br /><br />
						<table class="general-form" style="font-size: 8pt;">
							<thead>
								<tr>
									<th>Variable</th>
									<th>Description</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>{name}</td>
									<td>Member/customer name</td>
								</tr>
								<tr>
									<td>{mobile}</td>
									<td>Member/customer mobile number</td>
								</tr>
								<tr>
									<td>{email}</td>
									<td>Member/customer email</td>
								</tr>
								<tr>
									<td>{order_no}</td>
									<td>Order no</td>
								</tr>
								<tr>
									<td>{datetime}</td>
									<td>Date &amp; time</td>
								</tr>
								<tr>
									<td>{bill_addr}</td>
									<td>Bill address</td>
								</tr>
								<tr>
									<td>{delivery_addr}</td>
									<td>Delivery address</td>
								</tr>
								<tr>
									<td>{gateway}</td>
									<td>Assigned payment gateway</td>
								</tr>
								<tr>
									<td>{shipping}</td>
									<td>Shipping method</td>
								</tr>
								<tr>
									<td>{warehouse}</td>
									<td>Warehouse purchased from</td>
								</tr>
								<tr>
									<td>{order_table}</td>
									<td>Tabular order details</td>
								</tr>
							</tbody>
						</table>
					</td>
					<td class="input">
						<textarea style="height: 300px" class="v-textarea" name="online_sales_email_new_order"><?php echo $this->system->config('online_sales_email_new_order'); ?></textarea>
					</td>
				</tr>
				<tr class="two">
					<td class="label">Back-office Order Email Subject</td>
					<td class="input"><input type="text" class="v-text" name="online_sales_email_new_order_bo_subject" value="<?php echo $this->system->config('online_sales_email_new_order_bo_subject'); ?>" /></td>
				</tr>

				<tr class="two">
					<td class="label">Back-office Order Email<br /><br />
						<table class="general-form" style="font-size: 8pt;">
							<thead>
								<tr>
									<th>Variable</th>
									<th>Description</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>{name}</td>
									<td>Member/customer name</td>
								</tr>
								<tr>
									<td>{mobile}</td>
									<td>Member/customer mobile number</td>
								</tr>
								<tr>
									<td>{email}</td>
									<td>Member/customer email</td>
								</tr>
								<tr>
									<td>{order_no}</td>
									<td>Order no</td>
								</tr>
								<tr>
									<td>{datetime}</td>
									<td>Date &amp; time</td>
								</tr>
								<tr>
									<td>{bill_addr}</td>
									<td>Bill address</td>
								</tr>
								<tr>
									<td>{delivery_addr}</td>
									<td>Delivery address</td>
								</tr>
								<tr>
									<td>{gateway}</td>
									<td>Assigned payment gateway</td>
								</tr>
								<tr>
									<td>{shipping}</td>
									<td>Shipping method</td>
								</tr>
								<tr>
									<td>{warehouse}</td>
									<td>Warehouse purchased from</td>
								</tr>
								<tr>
									<td>{order_table}</td>
									<td>Tabular order details</td>
								</tr>
							</tbody>
						</table>
					</td>
					<td class="input">
						<textarea style="height: 300px" class="v-textarea" name="online_sales_email_new_order_bo"><?php echo $this->system->config('online_sales_email_new_order_bo'); ?></textarea>
					</td>
				</tr>
				
				<tr class="two">
					<td class="label">Order Status Subject</td>
					<td class="input"><input type="text" class="v-text" name="online_sales_email_order_status_subject" value="<?php echo $this->system->config('online_sales_email_order_status_subject'); ?>" /></td>
				</tr>

				<tr class="two">
					<td class="label">Order Status<br /><br />
						<table class="general-form" style="font-size: 8pt;">
							<thead>
								<tr>
									<th>Variable</th>
									<th>Description</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td>{name}</td>
									<td>Member/customer name</td>
								</tr>
								<tr>
									<td>{mobile}</td>
									<td>Member/customer mobile number</td>
								</tr>
								<tr>
									<td>{email}</td>
									<td>Member/customer email</td>
								</tr>
								<tr>
									<td>{order_no}</td>
									<td>Order no</td>
								</tr>
								<tr>
									<td>{delivery_status}</td>
									<td>Delivery order status</td>
								</tr>
								<tr>
									<td>{delivery_ref}</td>
									<td>Delivery tracking no</td>
								</tr>
								<tr>
									<td>{delivery_date}</td>
									<td>Delivery tracking no</td>
								</tr>
								<tr>
									<td>{shipping}</td>
									<td>Shipping method</td>
								</tr>
								<tr>
									<td>{warehouse}</td>
									<td>Warehouse purchased from</td>
								</tr>
							</tbody>
						</table>
					</td>
					<td class="input">
						<textarea style="height: 300px" class="v-textarea" name="online_sales_email_order_status"><?php echo $this->system->config('online_sales_email_order_status'); ?></textarea>
					</td>
				</tr>
				<tr class="two">
					<td class="label">Responder Email CSS</td>
					<td class="input">
						<textarea style="height: 200px" class="v-textarea" name="online_sales_email_css"><?php echo $this->system->config('online_sales_email_css'); ?></textarea>
					</td>
				</tr>

				
			</table>
		</form>		
		</div>
