<?php if (!$this->user->has_permission('to_view_delivery_order','Sales')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var content;
var itemCount = 1;


$(document).ready(function(){

	$('#global-sidebar-list li').removeClass('current');
	$('#global-sidebar-list a.do').parents('li').addClass('current');


	$('a.receive_same').click(function(){
		$('input.received_qty').each(function(){
			$(this).val($(this).attr('qty')).change();
			
		});
	});
	
	$('div.main_full input').attr('disabled',true).css('border','none');
	$('div.main_full textarea').attr('disabled',true).css('border','none');
	$('div.main_full select').attr('disabled',true).hide();

	itemEvents();
	$('input.item_qty').change();
	
	$('input.received_qty').attr('disabled',false).css('border','1px solid #DDD');
	$('input.checkbox_done').attr('disabled',false);

	

	$('a.set-deliver').click(function(e){
		
		e.preventDefault();
		
		var href = $(this).attr('href');
		var delivery_reference = $('input.delivery_tracking_no').val();
		var delivery_date = $('input.delivery_date').val();

		
		if (!delivery_reference){
			showDialog('ok','Error','Please enter tracking no.');			
			return;
		}
		
		if (!delivery_date){
			showDialog('ok','Error','Please enter delivery date.');			
			return;
		}

		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');

		$.ajax({
			url: base_url + href,
			data: 'delivery_tracking_no=' + delivery_reference + '&delivery_date=' + delivery_date,
			type: 'POST',
			success: function (html){
				$('#global-content').html(html).show();
				$('div.status').hide();
				populateEvents();
			}
		})
	});
	
	$('select[name=delivery_status]').change(function(){
		var id = $(this).attr('rel');
		var status = $(this).val();
		
		if (status == 'Delivered'){
			$('.received-related').hide();
		} else {
			$('.received-related').show();
		}
		
		$('strong.delivery_status').text(status);

		$.ajax({
			url: base_url + 'sales/do_update_status/'+ id,
			type: 'POST',
			data: 'status='+status,
			success: function (){
				showDialog('ok','Status Update','Delivery order status has been set to ' + status + '.');
			}
		})
	})
	
	
	itemEvents();
	$('input.received_qty').change();

	var status = $('select[name=delivery_status]').val();
	if (status == 'Delivered'){
		$('.received-related').hide();
	} else {
		$('.received-related').show();
	}

	<?php if ($invoice->no_do): ?>
	$('input.received_qty').attr('disabled','disabled');
	<?php endif; ?>
	
	form_warning = false;

});

function calculateTotal(){

}

function calculateTotalReceived(){
	var netTotal = parseFloat(0);
	var grandTotal = parseFloat(0);
	$('td.item_net_price').each(function(){
		netTotal = netTotal + parseFloat($(this).html());
	});
	
	netTotal = netTotal.toFixed(2);
	var charges = $('input.extraCharges').val();
	if (!charges) charges = 0;
	var adjustmentType = $('select[name=adjustment_type]').val();
	var adjustment = $('input.adjustment').val();
	if (!adjustment) adjustment = 0;

	if (adjustmentType == "Add"){
		grandTotal = parseFloat(netTotal) + 0 + parseFloat(charges) + parseFloat(adjustment);
	} else {
		grandTotal = parseFloat(netTotal) + 0 + parseFloat(charges) - parseFloat(adjustment);
	}
	grandTotal = parseFloat(grandTotal).toFixed(2);
	$('td.final_net_total_received').html(netTotal);
	$('td.final_grand_total_received').html(grandTotal);
	$('input[name=grand_total_received]').val(grandTotal);
}

function itemEvents(){

	$('input.item_list_price').change(function(){
		$('input.item_qty').change();
	});
	
	$('input.item_qty').change(function(){
		
	});
	

	
	
	
	$('input.discount_type').change(function(){
		$('input.item_qty').change();
		calculateTotal();
	});
	
	$('input.item_discount').change(function(){
		$('input.item_qty').change();
		calculateTotal();
	});
	
	
	$('a.remove').click(function(){
		$(this).parents('tr').remove();
	});

}

</script>

<?php 

$base = 16;

$tnc = nl2br($this->system->config('do_tnc'));
$tnc_lines = explode('<br />', $tnc);
$lines = 1;
foreach ($tnc_lines as $line){
	$lines++;
	$lines += floor(strlen($line) / 140);
}
$footer = nl2br($this->system->config('do_footer'));
$footer_lines = explode('<br />', $footer);
foreach ($tnc_lines as $line){
	$lines++;
	$lines += floor(strlen($line) / 140);
}

$reduce = ceil($lines / 4);

$n = $base - $reduce;

$number_of_pages = ceil(count($invoice->orders)/ $n);
if ($number_of_pages == 0) $number_of_pages = 1;

?>
	
		
	<div class="toolbar">
		<h3 class="grid-title">
			<a class="v-dbtn target_main back-btn" style="float:right; padding:0 25px; margin-top: -1px" href="sales/dos">Back</a>Delivery Order #<?php echo $invoice->txn_no; ?>
			<a class="v-dbtn" style="float:right; padding:0 25px; margin-top: -1px; margin-right: 5px; font-weight: bold" href="javascript:window.print()">Print</a>
			<a class="v-dbtn" style="float:right; padding:0 25px; margin-top: -1px; margin-right: 5px; font-weight: bold" href="sales/do_pdf/<?php echo $invoice->id; ?>">Download PDF</a>
		</h3>
		<div class="global-tabs" style="padding: 5px 5px 3px 5px;">
			<a class="v-btn target_main" style="float:right; padding:0 15px; margin-top: -1px" href="sales/invoice_view/<?php echo $invoice->id; ?>/do">Go to Invoice</a>			
			<?php if ($this->user->has_permission('to_process_delivery_order','Sales')): ?>
				<?php if (!$invoice->no_do): ?>
				<small>Status</small> <?php echo form_dropdown('delivery_status', array('Pending'=>'Pending','In Progress'=>'In Progress','Delivered'=>'Delivered','Ready for Pick-up'=>'Ready for Pick-up'), $invoice->delivery_status, 'rel="'.$invoice->id.'" class="v-dropdown" style="margin-right: 10px; width: 130px; font-size: 10pt"'); ?>
				<?php endif; ?>
			<?php endif; ?>
		</div>
		<?php if ($this->user->has_permission('to_process_delivery_order','Sales')): ?>
		<div class="global-tabs" style="padding: 5px">
			<?php if (!$invoice->delivery_tracking_no): ?>
				<small>Delivery Order is <strong class="delivery_status">Pending</strong>. Delivery Date <input value="<?php echo date('d/m/Y'); ?>" type="text" name="p-date" class="delivery_date v-text date" style="width: 80px;" /> &nbsp; Tracking No. <input type="text" class="v-text delivery_tracking_no" name="receipt_reference" style="width: 80px;" /> <a class="v-btn set-deliver" href="sales/do_update/<?php echo $invoice->id; ?>">Update</a></small>					
			<?php else: ?>
				<small style="margin-right: 10px;">Delivered on <strong><?php echo date('d/m/Y',strtotime($invoice->delivery_date)); ?></strong>. Tracking No: <strong><?php echo $invoice->delivery_tracking_no; ?></strong></small>			
				<a class="v-btn target_main set-unpaid" style="padding: 3px 15px" href="sales/do_pending/<?php echo $invoice->id; ?>">Set as Pending</a>			

			<?php endif; ?>

		</div>

		<div class="global-tabs" style="padding: 5px">
			<?php if ($invoice->notification): $notifications = json_decode($invoice->notification); $notification = $notifications[count($notifications)-1];  ?>
				<small style="margin-right: 10px;">Notification was sent at <strong><?php echo date('d/m/Y', strtotime($notification->datetime)); ?></strong> by <strong><?php echo $notification->by; ?></strong> with the status <strong><?php echo $notification->status; ?></strong>.</small>  <a class="target_main v-btn" href="sales/send_status_notification/<?php echo $invoice->id; ?>">Resend Notification</a>
			<?php else: ?>
				<a class="v-btn target_main" href="sales/send_status_notification/<?php echo $invoice->id; ?>">Send Notification</a>
			<?php endif; ?>
		</div>
		<?php endif; ?>
	</div>
	<div class="status">
	
	</div>

	<div class="main_full" style="background: #DDD">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
		<div class="doc-pad" style="padding: 15px">
			<form method="post" target="postframe">
			<div style="padding: 20px 0 10px 0; border-bottom: 1px solid #555; ">
				<h2 style="text-align: right; float: right; margin: 0; padding: 0">Delivery Order<br /><small>Page 1 of <?php echo $number_of_pages; ?></small></h2>
				<?php if ($logo = $this->system->config('company_logo')): ?>
				<img src="<?php echo base_url(); ?>../assets/img/<?php echo $logo; ?>" style="float: left; margin-right: 10px; width: 180px; margin-right: 20px" />
				<?php endif; ?>
				
				<div style="padding-left: 200px">
					<strong><?php echo $this->system->config('company_name'); ?></strong><br />
					<?php echo nl2br($this->system->config('company_address')); ?><br />
					<?php echo nl2br($this->system->config('company_contact')); ?>
				</div>
				<div style="clear:left"></div>
			</div>
			
			<br class="clearboth" />			
			


				<table class="noborder" style="font-size: 10pt; margin: 10px 0 15px 0; float: right !important; width: 250px !important">
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Date</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo date('d/m/Y',strtotime($invoice->date)); ?></td>
	
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">INV/DO Number</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo 'INV/DO-' . $invoice->txn_no; ?></td>
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">PO Number</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->po_number; ?></td>
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Contact Person</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->contact_person; ?></td>
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Shipping</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->shipping; ?></td>
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Tracking Number</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->delivery_tracking_no; ?></td>
					</tr>
	
				</table>
				
				<div class="delivery_to" style="float: right !important; margin: 10px 0; width: 250px !important;">
	    		    <?php $address = json_decode($invoice->delivery_address); ?>
					<strong>Delivery To: <?php echo $address->name ? $address->name . '<br />' : ''; ?></strong>
					<?php echo $address->mobile ? 'Contact No: ' . $address->mobile . '<br />' : ''; ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
				</div>
			
				
				<p style="margin: 10px 0; padding: 0">
				<strong>ATTN: <?php echo $contact->contact_person ? $contact->contact_person . '<br />' : ''; ?></strong>
	    		    <?php echo $contact->company_name ? $contact->company_name . '<br />' : ''; ?>
	    		    <?php $address = json_decode($invoice->contact_address); ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
	    		</p>
			
				
				
				<table class="order-form-print" style="margin-bottom: 5px">
					<thead>
						<tr class="main-header">
							<th colspan="4">Item Details</th>
						</tr>
						<tr class="sub-header">
							<th style="width: 20px;">No</th>
							<th style="width: 40px;">Done</th>
							<th>Item</th>
							<th style="width: 85px;">Qty</th>
						</tr>	
					</thead>
					
	
	
					<tbody>
					<?php
						$products = $invoice->products;
					?>
					<?php $y = 1; $x = 0; foreach($invoice->orders as $order): ?>
<?php if ($x == $n): $y++; ?>
						
						</tbody>
					</table>
					
				
			
			<hr />
				
			<strong>Terms &amp; Conditions</strong>
			<p class="fineprint" style="font-size: 8pt; line-height: 100%"><?php echo $tnc; ?></p>
			<hr />
			<div style="font-size: 8pt; line-height: 100%;"><?php echo $footer; ?></div>

				
			<hr class="<?php if ($number_of_pages != 1) echo 'formfeed'; ?>" />
			
		
			<div style="margin: 50px 0; border-top: 3px dashed #EEE" class="no-print"></div>

					
			<div style="padding: 0px 0 10px 0; border-bottom: 1px solid #555; ">
				<h2 style="text-align: right; float: right; margin: 0; padding: 0">Invoice<br /><small>Page 2 of <?php echo $number_of_pages; ?></small></h2>
				<?php if ($logo = $this->system->config('company_logo')): ?>
				<img src="<?php echo base_url(); ?>../assets/img/<?php echo $logo; ?>" style="float: left; margin-right: 10px; width: 180px; margin-right: 20px" />
				<?php endif; ?>
				
				<div style="padding-left: 200px">
					<strong><?php echo $this->system->config('company_name'); ?></strong><br />
					<?php echo nl2br($this->system->config('company_address')); ?><br />
					<?php echo nl2br($this->system->config('company_contact')); ?>
				</div>
				<div style="clear:left"></div>
			</div>
			
			<br class="clearboth" />			
			


				<table class="noborder" style="font-size: 10pt; margin: 10px 0 15px 0; float: right !important; width: 250px !important">
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Date</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo date('d/m/Y',strtotime($invoice->date)); ?></td>
	
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">INV/DO Number</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo 'INV/DO-' . $invoice->txn_no; ?></td>
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">PO Number</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->po_number; ?></td>
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Contact Person</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->contact_person; ?></td>
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Shipping</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->shipping; ?></td>
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Tracking Number</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->delivery_tracking_no; ?></td>
					</tr>

				</table>
				
				<div class="delivery_to" style="float: right !important; margin: 10px 0; width: 250px !important;">
	    		    <?php $address = json_decode($invoice->delivery_address); ?>
					<strong>Delivery To: <?php echo $address->name ? $address->name . '<br />' : ''; ?></strong>
					<?php echo $address->mobile ? 'Contact No: ' . $address->mobile . '<br />' : ''; ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
				</div>
			
				
				<p style="margin: 10px 0; padding: 0">
				<strong>ATTN: <?php echo $contact->contact_person ? $contact->contact_person . '<br />' : ''; ?></strong>
	    		    <?php echo $contact->company_name ? $contact->company_name . '<br />' : ''; ?>
	    		    <?php $address = json_decode($invoice->contact_address); ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
	    		</p>
			
					
				<table class="order-form-print" style="margin-bottom: 5px">
					<thead>
						<tr class="main-header">
							<th colspan="4">Item Details</th>
						</tr>
						<tr class="sub-header">
							<th style="width: 20px;">No</th>
							<th style="width: 40px;">Done</th>
							<th>Item</th>
							<th style="width: 85px;">Qty</th>
						</tr>	
					</thead>
					<tbody>
					<?php endif; ?>
						
						
<?php if ($x%$n == 0 && $x != $n && $x != 0): $y++; ?>
						
	
					</tbody>
				</table>
			
			
			<hr />
				
			<strong>Terms &amp; Conditions</strong>
			<p class="fineprint" style="font-size: 8pt; line-height: 100%"><?php echo $tnc; ?></p>
			<hr />
			<div style="font-size: 8pt; line-height: 100%;"><?php echo $footer; ?></div>

				
			<hr class="<?php if ($number_of_pages != 1) echo 'formfeed'; ?>" />
			
		
			<div style="margin: 50px 0; border-top: 3px dashed #EEE" class="no-print"></div>

					
			<div style="padding: 0 0 10px 0; border-bottom: 1px solid #555; ">
				<h2 style="text-align: right; float: right; margin: 0; padding: 0">Delivery Order<br /><small>Page <?php echo $y; ?> of <?php echo $number_of_pages; ?></small></h2>
				<?php if ($logo = $this->system->config('company_logo')): ?>
				<img src="<?php echo base_url(); ?>../assets/img/<?php echo $logo; ?>" style="float: left; margin-right: 10px; width: 180px; margin-right: 20px" />
				<?php endif; ?>
				
				<div style="padding-left: 200px">
					<strong><?php echo $this->system->config('company_name'); ?></strong><br />
					<?php echo nl2br($this->system->config('company_address')); ?><br />
					<?php echo nl2br($this->system->config('company_contact')); ?>
				</div>
				<div style="clear:left"></div>
			</div>
			
			<br class="clearboth" />			
			


				<table class="noborder" style="font-size: 10pt; margin: 10px 0 15px 0; float: right !important; width: 250px !important">
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Date</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo date('d/m/Y',strtotime($invoice->date)); ?></td>
	
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">INV/DO Number</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo 'INV/DO-' . $invoice->txn_no; ?></td>
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">PO Number</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->po_number; ?></td>
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Contact Person</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->contact_person; ?></td>
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Shipping</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->shipping; ?></td>
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Tracking Number</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->delivery_tracking_no; ?></td>
					</tr>

				</table>
				
				<div class="delivery_to" style="float: right !important; margin: 10px 0; width: 250px !important;">
	    		    <?php $address = json_decode($invoice->delivery_address); ?>
					<strong>Delivery To: <?php echo $address->name ? $address->name . '<br />' : ''; ?></strong>
					<?php echo $address->mobile ? 'Contact No: ' . $address->mobile . '<br />' : ''; ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
				</div>
			
				
				<p style="margin: 10px 0; padding: 0">
				<strong>ATTN: <?php echo $contact->contact_person ? $contact->contact_person . '<br />' : ''; ?></strong>
	    		    <?php echo $contact->company_name ? $contact->company_name . '<br />' : ''; ?>
	    		    <?php $address = json_decode($invoice->contact_address); ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
	    		</p>
			
				<table style="margin-bottom: 2px; " class="order-form-print"  style="margin-bottom: 5px">
					<thead>
						<tr class="main-header">
							<th colspan="4">Item Details</th>
						</tr>
						<tr class="sub-header">
							<th style="width: 20px;">No</th>
							<th style="width: 40px;">Done</th>
							<th>Item</th>
							<th style="width: 85px;">Qty</th>
						</tr>	
					</thead>
					<tbody>
	
	
						<?php endif; ?>
						
						<?php if ($order->type == 'product'): ?>
						<tr class="order-item" rel="<?=$x?>">
							<td style="text-align: center; width: 20px"><?php echo $x+1; ?></td>
							<td style="text-align: center; width: 40px"><input class="checkbox_done" type="checkbox" <?php if ($order->done) echo 'checked="checked"'; ?> name="done[<?php echo $order->id; ?>]" value="1" /></td>
							<td>																		
								<p class="item_name" style="padding: 2px 0; margin: 0; font-weight: bold"><?=$products[$order->item_id]->name ? $products[$order->item_id]->name  : $order->item_name; ?></p>
								<p style="padding: 2px 0; margin: 0"><?=$products[$order->item_id]->sku?></p>
							</td>																		
							<td style="text-align: center; width: 85px">
								<input type="text" readonly="readonly" class="v-text received_qty" name="received_qty[<?=$order->id?>]" qty="<?=$order->qty?>" style="font-size: 9pt; width: 50px; text-align: center" class="receive_qty" value="<?= ($invoice->status == 'Delivered' || $invoice->status == 'Partially Delivered') ? ($invoice->no_do ? $order->qty : $order->delivered) : 0?>" />
							</td>		
												
						</tr>
						<?php else: ?>
						<tr class="order-item" rel="<?=$x?>">
							<td style="text-align: center; width: 20px"><?php echo $x+1; ?></td>
							<td style="text-align: center; width: 40px"><input style="display:none" class="checkbox_done" type="checkbox" <?php if ($order->done) echo 'checked="checked"'; ?> name="done[<?php echo $order->id; ?>]" value="1" /></td>
							<td>																		
								<p class="item_name" style="padding: 2px 0; margin: 0; font-weight: bold"><?=$order->item_name; ?></p>	
								<p style="padding: 2px 0; margin: 0"><?=nl2br($order->item_description)	?></p>
							</td>																		

							<td style="text-align: center; width: 85px">
								<input type="text" readonly="readonly" class="v-text received_qty" name="received_qty[<?=$order->id?>]" qty="<?=$order->qty?>" style="font-size: 9pt; width: 50px; text-align: center; display:none" class="receive_qty" value="1" />
								N/A
							</td>		
											
						</tr>
						<?php endif; ?>
					<?php $x++; endforeach; ?>			
	
					</tbody>
				</table>
				
				<hr />
				
				<strong>Terms &amp; Conditions</strong>
				<p class="fineprint" style="font-size: 8pt; line-height: 100%"><?php echo $tnc; ?></p>
				<hr />
				<div style="font-size: 8pt; line-height: 100%;"><?php echo $footer; ?></div>

								
				<input type="hidden" name="grand_total" />
				
				<hr />
				
				<table style="font-size: 9pt; width: 100%; margin-top: 10px;" class="noborder">
					<tr>
						<td style="width: 50%; text-align: center">Authorized by</td>
						<td style="width: 50%; text-align: center">Received by</td>
					</tr>
					<tr>
						<td style="text-align: center; vertical-align: top"><br /><br />.....................................................<br /><?php echo $this->system->config('company_name'); ?></td>
						<td style="text-align: center; vertical-align: top"><br /><br />......................................................</td>
					</tr>
	
				</table>
				

			</form>
		</div>
	</div>
