<?php if (!$this->user->has_permission('to_create_discount_rule','Sales')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var content;
var itemCount = 0;
var listItem = $('tr.order-item').clone();

function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		$('form').clearForm();
		showDialog('ok','Discount Rule','Discount rule has been created.');
		$('input.extraCharges').val('0.00');
		$('input.adjustment').val('0.00');
		
		$('table.order-form tbody').html('');
		calculateTotal();
		form_warning = false;
	} else {
		showDialog('ok','Error','There has been an error adding the discount rule.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}

$(document).ready(function(){

	$('a.select_all').click(function(){
		$('input.product-items').attr('checked',true)
	});
	

	$('a.unselect_all').click(function(){
		$('input.product-items').removeAttr('checked')
	});

	$('select.scope_type').change(function(){
		var type = $(this).val();
		if (type == 'Rank'){
			$('tr.scope_type').hide();
			$('tr.scope_rank').show();
		} else {
			$('tr.scope_type').hide();
			$('tr.scope_customer').show();
		}
	})

	$('input.date_validity').change(function(){
		if ($(this).attr('checked')){
			$('tr.date_validity').show();
			$('tr.date_validity input').addClass('mandatory');
		} else {
			$('tr.date_validity').hide();
			$('tr.date_validity input').removeClass('mandatory');
		}
	})

	$('tr.order-item').remove();
	
	$('input[name=is_performance_based]').click(function(){
		if ($(this).attr('checked')){
			$('tr.performance').show();
		} else {
			$('tr.performance').hide();
		}
		
	});
	
	$('a.submit_btn').click(function(event){
		$('form.insert').submit();
		event.preventDefault();
	});
	
	$('a.target_dialog').live('click',function(e){
		e.preventDefault();
		
		var href = $(this).attr('href');
		$.ajax({
			url: base_url + href,
			success: function (res){
				$('#new-item div.global-modal-form-body').html(res);
				hideModalForm('product-search');
				showModalForm('new-item');
			}
		})
	})
	
	$('a.done-new-item').live('click',function(e){
		e.preventDefault();
		hideModalForm('new-item');
		showModalForm('product-search');
		$('a.product_search').click();
	})
	
	$('a.done-new-service').live('click',function(e){
		e.preventDefault();
		hideModalForm('new-service');
		showModalForm('service-search');
		$('a.service_search').click();
	})
	
	$('input.margin').live('change',function(){
		var margin = parseFloat($(this).val());
		var cost = parseFloat($(this).parents('td').find('input.item_list_price').val());
		var selling = (100 * cost) / (100 - margin);
		
		$(this).parents('td').find('input.item_selling_price').val(selling.toFixed(2));
		
	});
	
	$('input.item_selling_price').live('change',function(){
		var cost = parseFloat($(this).parents('td').find('input.item_list_price').val());
		var selling = parseFloat($(this).val());
		var gp = selling - cost;
		var margin = gp / selling * 100;
		
		$(this).parents('td').find('input.margin').val(margin.toFixed(2));	
	});
	
	$('form').submit(function(){
	
		var ok = true;
		$('input.mandatory').each(function(){
			if (!$(this).val()) ok = false;
		});
		
		if (!ok){
			showDialog('ok','Error','Please make sure you have filled in the mandatory fields.');
			return false;
		}
		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
	
	$('input[name=product_search]').keypress(function(e){
		var code = (e.keyCode ? e.keyCode : e.which);
		if (code == 13){
			var t = $('#product-search select[name=st]').val();
			var q = $(this).val();
			var cid = $('select[name=contact]').val();
			
			$('#product-search div.modal-search-result table tbody').html('<tr><td colspan="4"><img src="'+base_url+'images/loading.gif" /> Searching</td></tr>')
			$.ajax({
				type: "POST",
				url: base_url + 'sales/search_discount_product/' + q + '/' + t + '/' + cid,
				success: function (html){
					
	
					$('#product-search div.modal-search-result table.grid_data').html(html);
				}			
			}); 
		}
	});
	
	$('a.product_search').click(function(){

		$('#product-search div.modal-search-result table tbody').html('<tr><td colspan="4"><img src="'+base_url+'images/loading.gif" /> Searching</td></tr>');
		
		var t = $('#product-search select[name=st]').val();
		var q = $('input[name=product_search]').val();
		var cid = $('select[name=contact]').val();
		
		$.ajax({
			type: "POST",
			url: base_url + 'sales/search_discount_product/' + q + '/' + t + '/' + cid,
			success: function (html){
					alert(html);
				$('#product-search div.modal-search-result table.grid_data').html(html);
			}			
		}); 
	});
	
	
	
	
	$('input[name=service_search]').keypress(function(e){
		var code = (e.keyCode ? e.keyCode : e.which);
		if (code == 13){
			var q = $(this).val();
			$('#service-search div.modal-search-result table tbody').html('<tr><td colspan="2"><img src="'+base_url+'images/loading.gif" /> Searching</td></tr>')
			$.ajax({
				type: "POST",
				url: base_url + 'sales/search_service/' + q,
				success: function (html){
	
					$('#service-search div.modal-search-result table.grid_data').html(html);
				}			
			}); 
		}
	});
	
	$('a.service_search').click(function(){
		var q = $('input[name=service_search]').val();
		$('#service-search div.modal-search-result table tbody').html('<tr><td colspan="2"><img src="'+base_url+'images/loading.gif" /> Searching</td></tr>')
		$.ajax({
			type: "POST",
			url: base_url + 'sales/search_service/' + q,
			success: function (html){
	
				$('#service-search div.modal-search-result table.grid_data').html(html);
			}			
		});
	});
	
	
	
	$('a.add-product').click(function(event){
		event.preventDefault();
		showModalForm('product-search');
	});
	
	$('a.add-product-item').click(function(event){
		event.preventDefault();
		$('input.product-items').each(function(){
			if ($(this).attr('checked')){
				addItem($(this).val(),'product');
			}
		});
		itemEvents();
		calculateTotal();
	});
	
	$('a.add-service').click(function(event){
		event.preventDefault();
		showModalForm('service-search');
	});
	
	$('a.add-service-item').click(function(event){
		event.preventDefault();
		$('input.service-items').each(function(){
			if ($(this).attr('checked')){
				addItem($(this).val(),'service');
			}
		});
		itemEvents();
		calculateTotal();
	});
	
	$('a.search-product-done').click(function(event){
		event.preventDefault();
		hideModalForm('product-search');
	});
	
	$('a.search-service-done').click(function(event){
		event.preventDefault();
		hideModalForm('service-search');
	});
	
	$('input.extraCharges').change(function(){
		calculateTotal();
	});

	$('input.adjustment').change(function(){
		calculateTotal();
	});
	
	$('select[name=adjustment_type]').change(function(){
		calculateTotal();
	});

	
	itemEvents();
	
	$('select.item-price-select').live('change',function(){
		$(this).parents('tr').find('span.selling-price').text($(this).val());
		$(this).parents('tr').find('span.product-price').text($(this).val());
	});
	
	$('input.item_discount').live('change',function(){
		var discount = parseFloat($(this).val());
		if (!discount) discount = 0.00;
		
		var price = parseFloat($(this).parents('tr').find('input.item_list_price').val());
		if (!price) price = 0.00;
		
		var discounted = ((100-discount) * price) / 100;
		$(this).parents('tr').find('input.item_discounted_price').val(discounted.toFixed(2));
	});
	
	$('input.item_discounted_price').live('change',function(){
		var discounted_price = parseFloat($(this).val());
		if (!discounted_price) discounted_price = 0.00;
		
		$(this).val(discounted_price.toFixed(2));
		
		var price = parseFloat($(this).parents('tr').find('input.item_list_price').val());
		if (!price) price = 0.00;
		
		var discount = ((price - discounted_price) / price) * 100;
		if (discount <= 0){
			showDialog('ok','Discount Error','Discounted price must not be more than list price.');
			$(this).val(price);
			$(this).parents('tr').find('input.item_discount').val(0.00);
			$(this).focus();
			this.select();
			return;
		}
		$(this).parents('tr').find('input.item_discount').val(discount.toFixed(2));
		
	});
});

function calculateTotal(){
	var netTotal = parseFloat(0);
	var grandTotal = parseFloat(0);
	
	$('td.item_net_price').each(function(){
		netTotal = netTotal + parseFloat($(this).html());
	});
	
	netTotal = netTotal.toFixed(2);

	var charges = $('input.extraCharges').val();
	if (!charges) charges = 0;
	
	var adjustment = $('input.adjustment').val();
	if (!adjustment) adjustment = 0;

	var adjustmentType = $('select[name=adjustment_type]').val();	
	if (adjustmentType == "Add"){
		grandTotal = parseFloat(netTotal) + 0 + parseFloat(charges) + parseFloat(adjustment);
	} else {
		grandTotal = parseFloat(netTotal) + 0 + parseFloat(charges) - parseFloat(adjustment);
	}
	
	grandTotal = parseFloat(grandTotal).toFixed(2);

	$('td.final_net_total').html(netTotal);
	$('td.final_grand_total').html(grandTotal);
	$('input[name=grand_total]').val(grandTotal);

}

function addItem(itemId,type){
	form_warning = true;
	switch (type){
		case 'product':
			var itemNetPrice = $('#product-search tr[rel='+itemId+'] span.product-price').html();
			if (!itemNetPrice) itemNetPrice = '0.00';
			
			var itemSellingPrice = $('#product-search tr[rel='+itemId+'] span.selling-price').html();
			if (!itemSellingPrice) itemSellingPrice = '0.00';
			
			var itemName = $('#product-search tr[rel='+itemId+'] span.product-name').html();
			var desc = '';
			
			var qtyInStock = $('#product-search tr[rel='+itemId+'] span.quantity-in-stock').html();
			var qty = $('#product-search tr[rel='+itemId+'] input.qty').val();
			
			var itemTotalPrice = qty * itemNetPrice;
			itemTotalPrice = itemTotalPrice.toFixed(2);
			
			if ($('table.order-form tr.product[itemid='+itemId+']').hasClass('order-item')) return;
			
			newListItem = $(listItem).clone();
			$(newListItem).addClass('product');			
			$(newListItem).attr('itemid',itemId);
			$(newListItem).attr('rel',itemCount);
			$(newListItem).find('input.item_id').val(itemId);
			$(newListItem).find('input.item_type').val('product');
			$(newListItem).find('input.item_name').val(itemName);
			$(newListItem).find('input.item_qty').val(qty);
			$(newListItem).find('input.item_net_price').val(itemNetPrice);
			$(newListItem).find('input.item_list_price').val(itemNetPrice);
			$(newListItem).find('input.item_totalnet_price').val(itemTotalPrice);
			$(newListItem).find('td.item_name').append(itemName);
			$(newListItem).find('td.item_name input.item_name').val(itemName).hide();
			$(newListItem).find('td.item_name textarea').hide();

			$(newListItem).find('td.item_qty_in_stock').html(qtyInStock);
			$(newListItem).find('p.item_total_price').val(itemNetPrice);
			
						
			$('table.order-form tbody').append(newListItem);

			itemEvents();
					
			$('tr[rel='+itemCount+']').find('input.item_qty').change();
			itemCount++;
		break;
		case 'service':
			var servicePrice = $('#service-search tr[rel='+itemId+'] span.service-price').html();
			if (!servicePrice) servicePrice = '0.00';
						
			// if ($('table.order-form tr.service[itemid='+itemId+']').hasClass('order-item')) return;
			
			var serviceName = $('#service-search tr[rel='+itemId+'] span.service-name').text();
			var serviceDesc = $('#service-search tr[rel='+itemId+'] span.service-description').text();;

			
			newListItem = $(listItem).clone();
			$(newListItem).addClass('service');
			$(newListItem).attr('itemid',itemId);
			$(newListItem).attr('rel',itemCount);
			$(newListItem).find('input.item_id').val(itemId);
			$(newListItem).find('input.item_type').val('service');
			$(newListItem).find('input.item_name').val(serviceName);
			$(newListItem).find('input.item_qty').val(1).hide();			
			$(newListItem).find('input.item_net_price').val(servicePrice);
			$(newListItem).find('input.item_list_price').val(servicePrice);
			$(newListItem).find('input.item_totalnet_price').val(servicePrice);
			$(newListItem).find('td.item_name input.item_name').val(serviceName);
			$(newListItem).find('td.item_name textarea').val(serviceDesc);
			
			
			$(newListItem).find('td.item_qty').append('<p style="text-align: center">N/A</a>');
			$(newListItem).find('td.item_qty_in_stock').html('N/A');
			$(newListItem).find('p.item_total_price').val(servicePrice);
			
						
			$('table.order-form tbody').append(newListItem);

			itemEvents();
					
			$('tr[rel='+itemCount+']').find('input.item_qty').change();
			itemCount++;
		break;
	}
	
	renameDiscountFields();
}


function renameDiscountFields(){
	var x = 0;
	$('input.discount_type').each(function(){
		var n = Math.floor(x / 2);
		$(this).attr('name','item_discount_type['+n+']');
		
		x++;
	});
}


function itemEvents(){

	$('input.item_list_price').unbind('change');
	$('input.item_list_price').change(function(){
		$('input.item_qty').change();
	});
	
	$('input.item_qty').unbind('change');
	$('input.item_qty').change(function(){
		
		var itemNo 			= $(this).parents('tr').attr('rel');
		var itemQty 		= parseInt($(this).val());
		var itemPrice 		= $(this).parents('tr').find('input.item_list_price').val();
		
		var total 			= parseFloat(itemQty * itemPrice) + 0.00;
		var netTotal 		= 0;
		
		var discounted 		= 0;
		var discountType 	= $(this).parents('tr').find('input.discount_type:checked').val();
		var discountVal 	= $(this).parents('tr').find('input.item_discount').val();
		
		if (discountType == 'p'){
			var discounted = parseFloat(((discountVal) / 100) * total).toFixed(2);
			var netTotal = total - discounted;
		} else if (discountType == 'd'){
			var discounted = parseFloat(discountVal).toFixed(2);
			var netTotal = total - discounted;
		} else {
			var netTotal = total;
			var discounted = '0.00';
		}
		
		
		total = total.toFixed(2);
		netTotal = parseFloat(netTotal).toFixed(2);

		$(this).parents('tr').find('input.item_totalnet_price').val(total);
		$(this).parents('tr').find('p.item_total_price').html(total);
		$(this).parents('tr').find('p.item_price_discount').html('-'+discounted);
		$(this).parents('tr').find('td.item_net_price').html(netTotal);
		$(this).parents('tr').find('input.item_net_price').val(itemPrice);
		
		calculateTotal();
	});
	
	$('input.discount_type').unbind('change');
	$('input.discount_type').change(function(){
		$('input.item_qty').change();
		calculateTotal();
	});
	
	$('input.item_discount').unbind('change');
	$('input.item_discount').change(function(){
		$('input.item_qty').change();
		calculateTotal();
	});
	
	$('a.remove').unbind('click');
	$('a.remove').click(function(){
		$(this).parents('tr').remove();
		var x = 0;
		$('input.rdp').each(function(){
			$(this).attr('name','item_discount_type['+x+']');
			x++;
		});
		
		x = 0;
		$('input.rdd').each(function(){
			$(this).attr('name','item_discount_type['+x+']');
			x++;
		});

		itemCount = x;
		
		renameDiscountFields();
	});
	
}

</script>
	<div class="status">
	
	</div>
	<div id="new-item" class="global-modal-form">
		<div class="global-modal-form-body">
		
		</div>		
	</div>
	
	<div id="service-search" class="global-modal-form">
		<div class="global-modal-form-body">
			<h3>Service Search</h3>
			<table class="grid-form grid-form-transparent">
				<tr>
					<td class="label" style="width: 50px; padding: 0;">Search</label>
					<td><input type="text" name="service_search" class="text v-text" /> <a class="v-btn service_search">Search</a></td>
				</tr>
			</table>
			<table class="grid">
				<thead>
					<tr>
						<th class="sortable" rel="1">Service</th>
						<th class="sortable" rel="2" style="width: 60px">Price (<?php echo $this->system->config('currency'); ?>)</th>
						<th style="width: 14px; padding: 0;"></th>
					</tr>
				</thead>
			</table>
			<div class="modal-search-result" style="overflow-y:scroll">
				<table class="grid grid_data">
					
				</table>
			</div>
			<hr />
			<p style="padding: 10px 0;"><a class="v-dbtn add-service-item">Add</a> <a class="v-dbtn search-service-done">Done</a></p>
		</div>
	</div>
	
	<div id="product-search" class="global-modal-form" style="height: 425px;">
		<div class="global-modal-form-body">
			<h3>Item Search</h3>
			<table class="grid-form grid-form-transparent">
				<tr>
					<td class="label" style="width: 50px; padding: 0;">Search</label>
					<td><input type="text" name="product_search" class="text v-text" /> in <?=form_dropdown('st',array('SKU'=>'SKU','Product Name'=>'Product Name'))?> <a class="v-btn product_search">Search</a></td>
				</tr>
			</table>
			<table class="grid">
				<thead>
					<tr>
						<th class="sortable" rel="1">Product Name</th>
						<th class="sortable" rel="3" style="width: 60px">In Stock</th>
						<th class="sortable" rel="4" style="width: 100px">Price (<?php echo $this->system->config('currency'); ?>)</th>
						<th style="width: 14px; padding: 0;"></th>
					</tr>
				</thead>
			</table>
			<div class="modal-search-result" style="overflow-y:scroll">
				<table class="grid grid_data">
					
				</table>
			</div>
			<a class="v-btn select_all">Select All</a> <a class="v-btn unselect_all">Unselect All</a>
			<hr />
			<p style="padding: 10px 0;"><a class="v-dbtn add-product-item">Add</a> <a class="v-dbtn search-product-done">Done</a></p>
		</div>
	</div>
			
	<div class="toolbar">
		<h3 class="grid-title"><a class="v-dbtn back_btn" style="float:right; padding:0 25px; margin-top: -1px" href="sales/discount_rules">Back</a>Add Discount Rule</h3>
		<div class="global-tabs" style="padding: 5px">
			<a class="v-btn submit_btn">Save Discount Rule</a>
		</div>
	</div>

	<div class="main_full">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>

		<div class="main-container">

		<form class="insert" method="post" action="<?=base_url()?>sales/dr_add/do" target="postframe">
			<h3 class="general-form-header">Discount Rule Information</h3>
			<table class="general-form">
				<tr class="four">
					<td class="label">Name <span class="red">*</span></td>
					<td class="input" colspan="3" style="width: 75%"><input type="text" name="name" class="v-text mandatory" /></td>
				</tr>
				<tr class="four">
					<td class="label">Has Date Validity</td>
					<td class="input" colspan="3" style="width: 75%"><input type="checkbox" name="date_validity" class="date_validity" value="1" /> Yes</td>
				</tr>
				<tr class="four date_validity" style="display:none">
					<td class="label">Valid From <span class="red">*</span></td>
					<td class="input"><input type="text" name="date_from" class="v-text date" /></td>
					<td class="label">Valid To <span class="red">*</span></td>
					<td class="input"><input type="text" name="date_to" class="v-text date" /></td>
				</tr>
				<tr class="four">
					<td class="label">Performance Based</td>
					<td class="input" colspan="3" style="width: 75%"><input type="checkbox" name="is_performance_based" value="1" /> Yes</td>
				</tr>
				<?php 
					for ($i = 1; $i <= 60; $i++){
						$purchase_duration[$i] = $i == 1 ? $i . ' day' : $i . ' days';
					}
				?>
				<tr class="four performance" style="display:none">
					<td class="label">Total Purchases (<?php echo $this->system->config('currency'); ?>) <span class="red">*</span></td>
					<td class="input"><input type="text" name="performance_limit" class="v-number-decimal" /></td>
					<td class="label">Purchase Duration <span class="red">*</span></td>
					<td class="input"><?=form_dropdown('performance_duration',$purchase_duration,'','class="v-dropdown" style="width: 100%"'); ?></td>
				</tr>
				<tr class="four">
					<td class="label">Scope Type</td>
					<td class="input" colspan="3" style="width: 75%"><?php echo form_dropdown('scope', array('Rank'=>'Rank','Customer'=>'Customer'),'','class="v-dropdown scope_type"'); ?>
				</tr>
				<tr class="four scope_type scope_rank">
					<td class="label">Ranks <span class="red">*</span></td>
					<td class="input" colspan="3" style="width: 75%">
						<?php foreach ($this->contact->get_ranks() as $rank): ?>
						<input type="checkbox" name="ranks[]" value="<?php echo $rank; ?>" /> <?php echo $rank; ?><br />
						<?php endforeach; ?>
					</td>
				</tr>
				<tr class="four scope_type scope_customer" style="display: none">
					<td class="label">Customer <span class="red">*</span></td>
					<td class="input" colspan="3" style="width: 75%">
						<?php echo form_dropdown('contact', $this->contact->contacts_dropdown(true),'','class="v-dropdown"'); ?>
					</td>
				</tr>
			</table>
			
			<h3 class="general-form-title">Items</h3>
			<table class="order-form">
				<thead>
					<tr class="main-header">
						<th colspan="7">Item Details</th>
					</tr>
					<tr class="sub-header">
						<th style="width: 20px"><img src="<?=base_url()?>images/email-action.gif" alt="Action" /></th>
						<th>Item</th>
						<th style="width: 150px">List Price (<?php echo $this->system->config('currency'); ?>)</th>
						<th style="width: 150px">Discounted Price (<?php echo $this->system->config('currency'); ?>)</th>
						<th style="width: 150px">Percentage (%)</th>
					</tr>
				</thead>
				<tfoot>
					<tr>
						<td colspan="5" style="padding: 10px 5px">
							<?php if ($this->system->uses('Inventory')): ?><a class="add-product v-btn" href="#search-product">Add Item</a><?php endif; ?>
							<?php if ($this->system->uses('Services')): ?><a class="add-service v-btn" href="#search-service">Add Service</a><?php endif; ?>
						</td>

					</tr>
				</tfoot>
				<tbody>
			
			
			
	<tr class="order-item">	
		<td class="item_tool">	
			<input type="hidden" class="item_id" name="item_id[]" />	
			<input type="hidden" class="item_type" name="item_type[]" value="product" />	
			<input type="hidden" class="item_qty_in_stock" name="item_qty_in_stock[]" />	
			<input type="hidden" class="item_net_price" name="item_net_price[]" />	
			<input type="hidden" class="item_totalnet_price" name="item_totalnet_price[]" />	
			<a class="remove grid-action grid-action-delete-tx" ><span>Remove Item</span></a>
		</td>	
		<td class="item_name">
			<input type="text" class="v-text item_name" name="item_name[]" />
		</td>	
		<td class="item_prices">	
			<input style="width: 95%; float:right; text-align: right" type="text" name="item_list_price[]" readonly class="item_list_price v-number-decimal" value="0.00" />
		</td>	
		<td class="item_discounted"	>	
			<input style="width: 95%; float:right; text-align: right" type="text" name="item_discounted_price[]" class="item_discounted_price v-number-decimal" value="0.00" />
		</td>	
		<td class="item_discount" style="text-align: right">
			<input style="width: 95%; float:right; text-align: right" type="text" name="item_discount[]" class="item_discount v-number-decimal" value="0.00" />
		</td>
	</tr>					



				</tbody>
			</table>


			<input type="hidden" name="grand_total" />
			
			<h3>Tags</h3>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Tags</td>
						<td class="input"><input value="<?php echo tagcomplete($dr->tags); ?>" type="text" class="v-text autocomplete-tag" name="tags" /></td>
					</tr>
				</tbody>
			</table>
			
			<h3 class="general-form-title">Remarks</h3>
			<table class="general-form">
				<tr>
					<td class="label">Remarks</td>
					<td class="input"><textarea name="remarks"></textarea></td>
				</tr>
			</table>
			
			
			<br />
		</form>
		</div>
	</div>
