<?php 
	
	
$charges = json_decode($invoice->charges);
foreach ($charges as $charge) $tax_n++;

$total_charges = 0;
foreach ($charges as $charge) $total_charges += $charge->amount;


$taxes = json_decode($invoice->tax);
foreach ($taxes as $tax) $tax_n++;

$base = 16;

$tnc = nl2br($this->system->config('invoice_tnc'));
$tnc_lines = explode('<br />', $tnc);
$lines = 1;
foreach ($tnc_lines as $line){
	$lines++;
	$lines += floor(strlen($line) / 140);
}
$footer = nl2br($this->system->config('invoice_footer'));
$footer_lines = explode('<br />', $footer);
foreach ($tnc_lines as $line){
	$lines++;
	$lines += floor(strlen($line) / 140);
}

$reduce = ceil($lines / 4);

$n = $base - $reduce;

$number_of_pages = ceil(count($invoice->orders)/ $n);
if ($number_of_pages == 0) $number_of_pages = 1;

?>
<html>
	
	<head>
		<base href="<?php echo base_url(); ?>" />
		<link rel="stylesheet" href="css/tables.css" />
		<style>
			
			body {
				font-family: Arial, sans-serif;
				font-size: 7.5pt;
			}
			
			table {
				font-size: 7.5pt !important;
			}
			
			h2 {
				font-size: 11pt !important;
			}
			
			.formfeed {
				page-break-after: always !important;
			}
			
			p.fineprint {
				font-size: 6pt !important;
			}
		
		</style>
	</head>
	
	<body>	
	
	<div class="main_full">



			<div style="padding: 0 0 10px 0; border-bottom: 1px solid #555; ">
				<table style="width: 100%">
					<tr>
						<td style="width: 200px">
							<?php if ($logo = $this->system->config('company_logo')): ?>
							<img src="../assets/img/<?php echo $logo; ?>" style="width: 180px;" />
							<?php endif; ?>

						</td>
						<td>
							<div>
								<strong><?php echo $this->system->config('company_name'); ?></strong><br />
								<?php echo nl2br($this->system->config('company_address')); ?><br />
								<?php echo nl2br($this->system->config('company_contact')); ?>
							</div>
							
						</td>
						<td>
							<h2 style="text-align: right; margin: 0; padding: 0">Tax Invoice<br /><small>Page 1 of <?php echo $number_of_pages; ?></small></h2>
						</td>
					</tr>
				</table>
			</div>
			
			
			<table style="width: 100%">
				<tr>
					<td style="width: 33%; vertical-align: top">
						<p style="margin: 10px 0; padding: 0">
						<strong>ATTN: <?php echo $contact->contact_person ? $contact->contact_person . '<br />' : ''; ?></strong>
			    		    <?php echo $contact->company_name ? $contact->company_name . '<br />' : ''; ?>
							Contact No: <?php echo $contact->contact_number ? $contact->contact_number : 'N/A'; ?><br />			    		    
			    		    <?php $address = json_decode($invoice->contact_address); ?>
			    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
			    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
			    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
			    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
			    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
			    		    <?php echo $address->country ? $address->country : ''; ?>
			    		</p>
					</td>
					<td style="width: 33%; vertical-align: top">
						<div class="delivery_to" style="margin: 10px 0; width: 250px !important; display: none">
			    		    <?php $address = json_decode($invoice->delivery_address); ?>
							<strong>Delivery To:<br /><?php echo $address->name ? $address->name . '<br />' : ''; ?></strong>
							<?php echo $address->mobile ? 'Contact No: ' . $address->mobile . '<br />' : ''; ?>
			    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
			    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
			    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
			    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
			    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
			    		    <?php echo $address->country ? $address->country : ''; ?>
						</div>
					</td>

					<td style="width: 33%; vertical-align: top">
						<table class="noborder" style="font-size: 10pt; margin: 10px 0 15px 0; width: 100%">
							<tr class="two">
								<td style="font-weight: bold;" class="label">Date</td>
								<td style="border-bottom: 1px solid #bbb" class="input"><?php echo date('j F Y',strtotime($invoice->date)); ?></td>
			
							</tr>
							<tr class="two">
								<td style="font-weight: bold;" class="label">Invoice Number</td>
								<td style="border-bottom: 1px solid #bbb" class="input"><?php echo 'INV-' . $invoice->txn_no; ?></td>
							</tr>
							<tr class="two">
								<td style="font-weight: bold;" class="label">PO Number</td>
								<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->po_number; ?></td>
							</tr>
			
							<tr class="two">
								<td style="font-weight: bold;" class="label">Terms</td>
								<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->terms; ?> <?php if ($invoice->terms == 'Credit') echo "({$invoice->duration} days)"; ?></td>
							</tr>
							<tr class="two">
								<td style="font-weight: bold;" class="label">Contact Person</td>
								<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->contact_person; ?></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
				
				
				<table class="order-form-print" style="margin-bottom: 5px">
					<thead>
						<tr class="main-header">
							<th colspan="6">Item Details</th>
						</tr>
						<tr class="sub-header">
							<th style="width: 20px;">No</th>
							<th>Item</th>
							<th style="width: 65px;">Qty</th>
							<th style="width: 65px;">Unit Price (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="width: 65px;">Total (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="width: 65px;">Net Price (<?php echo $this->system->config('currency'); ?>)</th>
						</tr>
					</thead>
					
	
	
					<tbody>
					<?php
						$products = $invoice->products;
					?>
					<?php $y = 1; $x = 0; foreach($invoice->orders as $order): ?>
<?php if ($x == $n): $y++; ?>
						
						</tbody>
					</table>
					
				<table style="font-size: 9pt; width: 100%; margin-top: 3px" class="general noborder">
					<tbody>
						<tr>
							<td rowspan="<?php echo (5 + $tax_n); ?>"><div class="form-box" style="padding: 10px; height: 50px; width: 300px; border: 1px solid #ddd;"><strong>Remarks</strong><br /><?php echo str_replace("\r\n",'<br />', str_replace("\n",'<br />',$invoice->remarks));; ?></div></td>
							<td></td>
						</tr>
						<tr>
							<td style="text-align: right; padding-rigth: 10px" class="final">Total Before Tax and Charges</td>
							<?php 
								$net_total = $invoice->total + $invoice->handling_charges;
								$net_delivered_total = $invoice->total_delivered + $invoice->handling_charges;
								
								if ($invoice->adjustment_type == 'Add'){
									$net_total = $net_total - $invoice->adjustment;
									$net_delivered_total = $net_delivered_total - $invoice->adjustment;
								} else {
									$net_total = $net_total + $invoice->adjustment;
									$net_delivered_total = $net_delivered_total + $invoice->adjustment;
								}
								
								$net_total -= $invoice->handling_charges + $invoice->total_tax + $total_charges;
								$net_delivered_total -= $invoice->handling_charges + $invoice->total_tax;

							?>
							<td class="final_net_total" style="text-align: right; width: 65px"><?php echo str_replace(',','',number_format($net_total,2)); ?></td>
						</tr>
						<?php foreach ($charges as $charge): $percentage = $charge->percentage; ?>
						<?php if ($charge->name && $charge->amount != 0): ?>
						<tr>
							<td style="text-align: right;" class="final"> <?php echo $charge->name; ?>  (<?php echo $charge->percentage; ?>%)</td>
							<td style="text-align: right; width: 90px" class="charge"><?php echo number_format($charge->amount,2); ?></td>
						</tr>
						<?php endif; ?>
						<?php endforeach; ?>
						<?php foreach ($taxes as $tax): $percentage = $tax->percentage; ?>
						<tr>
							<td style="text-align: right;" class="final"> <?php echo $tax->name; ?> <?php echo $tax->inclusive ? 'Inclusive' : ''; ?> (<?php echo number_format($tax->percentage); ?>%)</td>
							<td style="text-align: right; width: 90px"><?php echo number_format($tax->amount,2); ?></td>
						</tr>
						<?php endforeach; ?>
						<tr>
							<td style="text-align: right; " class="final"> Delivery &amp; Handling Charges</td>
							<td style="text-align: right; "><?=$invoice->handling_charges?></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="final">Adjustment (<?php if ($invoice->adjustment_type == 'Add') echo '+'; else echo '-'?>)</td>
							<td style="text-align: right; "><?=$invoice->adjustment?></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="final"><strong>GRAND TOTAL</strong></td>
							<td class="final_grand_total" style="font-weight: bold; text-align: right; width: 65px; border-top: 2px solid #000;"><?=$invoice->total; ?></td>
						</tr>
					</tbody>
				</table>
			
			<hr />
				
			<strong>Terms &amp; Conditions</strong>
			<p class="fineprint" style="font-size: 8pt; line-height: 100%"><?php echo $tnc; ?></p>
				<hr />
				<div style="font-size: 8pt; line-height: 100%;"><?php echo $footer; ?></div>

				
			<hr class="<?php if ($number_of_pages != 1) echo 'formfeed'; ?>" />
			
		
			<!-- <div style="margin: 50px 0; border-top: 3px dashed #EEE" class="no-print"></div> -->

					
			<div style="padding: 0 0 10px 0; border-bottom: 1px solid #555; ">
				<table style="width: 100%">
					<tr>
						<td style="width: 200px">
							<?php if ($logo = $this->system->config('company_logo')): ?>
							<img src="../assets/img/<?php echo $logo; ?>" style="width: 180px;" />
							<?php endif; ?>

						</td>
						<td>
							<div>
								<strong><?php echo $this->system->config('company_name'); ?></strong><br />
								<?php echo nl2br($this->system->config('company_address')); ?><br />
								<?php echo nl2br($this->system->config('company_contact')); ?>
							</div>
							
						</td>
						<td>
							<h2 style="text-align: right; margin: 0; padding: 0">Tax Invoice<br /><small>Page 2 of <?php echo $number_of_pages; ?></small></h2>
						</td>
					</tr>
				</table>
			</div>
			
			<br class="clearboth" />			
			


			
			<table style="width: 100%">
				<tr>
				
					<td style="width: 33%; vertical-align: top">
						<p style="margin: 10px 0; padding: 0">
						<strong>ATTN: <?php echo $contact->contact_person ? $contact->contact_person . '<br />' : ''; ?></strong>
			    		    <?php echo $contact->company_name ? $contact->company_name . '<br />' : ''; ?>
							Contact No: <?php echo $contact->contact_number ? $contact->contact_number : 'N/A'; ?><br />
			    		    <?php $address = json_decode($invoice->contact_address); ?>
			    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
			    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
			    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
			    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
			    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
			    		    <?php echo $address->country ? $address->country : ''; ?>
			    		</p>
					</td>
					<td style="width: 33%; vertical-align: top">
						<div class="delivery_to" style="margin: 10px 0; width: 250px !important; display:none">
			    		    <?php $address = json_decode($invoice->delivery_address); ?>
							<strong>Delivery To:<br /><?php echo $address->name ? $address->name . '<br />' : ''; ?></strong>
							<?php echo $address->mobile ? 'Contact No: ' . $address->mobile . '<br />' : ''; ?>
			    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
			    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
			    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
			    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
			    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
			    		    <?php echo $address->country ? $address->country : ''; ?>
						</div>
					</td>
					
					<td style="width: 33%; vertical-align: top">
						<table class="noborder" style="font-size: 10pt; margin: 10px 0 15px 0; width: 100%">
							<tr class="two">
								<td style="font-weight: bold;" class="label">Date</td>
								<td style="border-bottom: 1px solid #bbb" class="input"><?php echo date('j F Y',strtotime($invoice->date)); ?></td>
			
							</tr>
							<tr class="two">
								<td style="font-weight: bold;" class="label">Invoice Number</td>
								<td style="border-bottom: 1px solid #bbb" class="input"><?php echo 'INV-' . $invoice->txn_no; ?></td>
							</tr>
							<tr class="two">
								<td style="font-weight: bold;" class="label">PO Number</td>
								<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->po_number; ?></td>
							</tr>
			
							<tr class="two">
								<td style="font-weight: bold;" class="label">Terms</td>
								<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->terms; ?> <?php if ($invoice->terms == 'Credit') echo "({$invoice->duration} days)"; ?></td>
							</tr>
							<tr class="two">
								<td style="font-weight: bold;" class="label">Contact Person</td>
								<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->contact_person; ?></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
			
					
				<table class="order-form-print" style="margin-bottom: 5px">
					<thead>
						<tr class="main-header">
							<th colspan="6">Item Details</th>
						</tr>
						<tr class="sub-header">
							<th style="width: 20px;">No</th>
							<th>Item</th>
							<th style="width: 65px;">Qty</th>
							<th style="width: 65px;">Unit Price (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="width: 65px;">Total (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="width: 65px;">Net Price (<?php echo $this->system->config('currency'); ?>)</th>
						</tr>	
					</thead>
					<tbody>
					<?php endif; ?>
						
						
<?php if ($x%$n == 0 && $x != $n && $x != 0): $y++; ?>
						
	
					</tbody>
				</table>
					
				<table style="font-size: 9pt; width: 100%; margin-top: 3px" class="general noborder">
					<tbody>
						<tr>
							<td rowspan="<?php echo (5 + $tax_n); ?>"><div class="form-box" style="padding: 10px; height: 50px; width: 300px; border: 1px solid #ddd;"><strong>Remarks</strong><br /><?php echo str_replace("\r\n",'<br />', str_replace("\n",'<br />',$invoice->remarks));; ?></div></td>
							<td style="text-align: right; font-weight: bold"></td>
						</tr>
						<tr>
							<td style="text-align: right; padding-rigth: 10px" class="final">Total Before Tax and Charges</td>
							<?php 
								$net_total = $invoice->total + $invoice->handling_charges;
								$net_delivered_total = $invoice->total_delivered + $invoice->handling_charges;
								
								if ($invoice->adjustment_type == 'Add'){
									$net_total = $net_total - $invoice->adjustment;
									$net_delivered_total = $net_delivered_total - $invoice->adjustment;
								} else {
									$net_total = $net_total + $invoice->adjustment;
									$net_delivered_total = $net_delivered_total + $invoice->adjustment;
								}
								
								$net_total -= $invoice->handling_charges + $invoice->total_tax + $total_charges;
								$net_delivered_total -= $invoice->handling_charges + $invoice->total_tax;

							?>
							<td class="final_net_total" style="text-align: right; width: 65px"><?php echo str_replace(',','',number_format($net_total,2)); ?></td>
						</tr>
						<?php foreach ($charges as $charge): $percentage = $charge->percentage; ?>
						<?php if ($charge->name && $charge->amount != 0): ?>
						<tr>
							<td style="text-align: right;" class="final"> <?php echo $charge->name; ?>  (<?php echo $charge->percentage; ?>%)</td>
							<td style="text-align: right; width: 90px" class="charge"><?php echo number_format($charge->amount,2); ?></td>
						</tr>
						<?php endif; ?>
						<?php endforeach; ?>
						<?php foreach ($taxes as $tax): $percentage = $tax->percentage; ?>
						<tr>
							<td style="text-align: right;" class="final"> <?php echo $tax->name; ?> <?php echo $tax->inclusive ? 'Inclusive' : ''; ?> (<?php echo number_format($tax->percentage); ?>%)</td>
							<td style="text-align: right; width: 90px"><?php echo number_format($tax->amount,2); ?></td>
						</tr>
						<?php endforeach; ?>
						<tr>
							<td style="text-align: right; " class="final"> Delivery &amp; Handling Charges</td>
							<td style="text-align: right; "><?=$invoice->handling_charges?></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="final">Adjustment (<?php if ($invoice->adjustment_type == 'Add') echo '+'; else echo '-'?>)</td>
							<td style="text-align: right; "><?=$invoice->adjustment?></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="final"><strong>GRAND TOTAL</strong></td>
							<td class="final_grand_total" style="font-weight: bold; text-align: right; width: 65px; border-top: 2px solid #000;"><?=$invoice->total; ?></td>
						</tr>
					</tbody>
				</table>
			
			<hr />
				
			<strong>Terms &amp; Conditions</strong>
			<p class="fineprint" style="font-size: 8pt; line-height: 100%"><?php echo $tnc; ?></p>
				<hr />
				<div style="font-size: 8pt; line-height: 100%;"><?php echo $footer; ?></div>

				
			<hr class="<?php if ($number_of_pages != 1) echo 'formfeed'; ?>" />
			
		
			<!-- <div style="margin: 50px 0; border-top: 3px dashed #EEE" class="no-print"></div> -->

					
			<div style="padding: 0 0 10px 0; border-bottom: 1px solid #555; ">
				<table style="width: 100%">
					<tr>
						<td style="width: 200px">
							<?php if ($logo = $this->system->config('company_logo')): ?>
							<img src="../assets/img/<?php echo $logo; ?>" style="width: 180px;" />
							<?php endif; ?>

						</td>
						<td>
							<div>
								<strong><?php echo $this->system->config('company_name'); ?></strong><br />
								<?php echo nl2br($this->system->config('company_address')); ?><br />
								<?php echo nl2br($this->system->config('company_contact')); ?>
							</div>
							
						</td>
						<td>
							<h2 style="text-align: right; margin: 0; padding: 0">Tax Invoice<br /><small>Page <?php echo $y; ?> of <?php echo $number_of_pages; ?></small></h2>
						</td>
					</tr>
				</table>
			</div>
			
			<br class="clearboth" />			
			

			
			<table style="width: 100%">
				<tr>
				
					<td style="width: 33%; vertical-align: top">
						<p style="margin: 10px 0; padding: 0">
						<strong>ATTN: <?php echo $contact->contact_person ? $contact->contact_person . '<br />' : ''; ?></strong>
			    		    <?php echo $contact->company_name ? $contact->company_name . '<br />' : ''; ?>
							Contact No: <?php echo $contact->contact_number ? $contact->contact_number : 'N/A'; ?><br />
			    		    <?php $address = json_decode($invoice->contact_address); ?>
			    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
			    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
			    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
			    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
			    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
			    		    <?php echo $address->country ? $address->country : ''; ?>
			    		</p>
					</td>
					<td style="width: 33%; vertical-align: top">
						<div class="delivery_to" style="margin: 10px 0; width: 250px !important; display:none">
			    		    <?php $address = json_decode($invoice->delivery_address); ?>
							<strong>Delivery To:<br /><?php echo $address->name ? $address->name . '<br />' : ''; ?></strong>
							<?php echo $address->mobile ? 'Contact No: ' . $address->mobile . '<br />' : ''; ?>
			    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
			    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
			    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
			    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
			    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
			    		    <?php echo $address->country ? $address->country : ''; ?>
						</div>
					</td>
					
					<td style="width: 33%; vertical-align: top">
						<table class="noborder" style="font-size: 10pt; margin: 10px 0 15px 0; width: 100%">
							<tr class="two">
								<td style="font-weight: bold;" class="label">Date</td>
								<td style="border-bottom: 1px solid #bbb" class="input"><?php echo date('j F Y',strtotime($invoice->date)); ?></td>
			
							</tr>
							<tr class="two">
								<td style="font-weight: bold;" class="label">Invoice Number</td>
								<td style="border-bottom: 1px solid #bbb" class="input"><?php echo 'INV-' . $invoice->txn_no; ?></td>
							</tr>
							<tr class="two">
								<td style="font-weight: bold;" class="label">PO Number</td>
								<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->po_number; ?></td>
							</tr>
			
							<tr class="two">
								<td style="font-weight: bold;" class="label">Terms</td>
								<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->terms; ?> <?php if ($invoice->terms == 'Credit') echo "({$invoice->duration} days)"; ?></td>
							</tr>
							<tr class="two">
								<td style="font-weight: bold;" class="label">Contact Person</td>
								<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->contact_person; ?></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
			
						
				<table style="margin-bottom: 2px; " class="order-form-print"  style="margin-bottom: 5px">
					<thead>
						<tr class="main-header">
							<th colspan="6">Item Details</th>
						</tr>
						<tr class="sub-header">
							<th style="width: 20px;">No</th>
							<th>Item</th>
							<th style="width: 65px;">Qty</th>
							<th style="width: 65px;">Unit Price (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="width: 65px;">Total (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="width: 65px;">Net Price (<?php echo $this->system->config('currency'); ?>)</th>
						</tr>	
					</thead>
					<tbody>
	
	
						<?php endif; ?>
						
						<?php if ($order->type == 'product'): ?>
						<?php
							if ($order->discount_type == 'p') $dc = $order->price * ($order->discount / 100);
							elseif ($order->discount_type == 'd') $dc = $order->discount;
							$tax_summary[$order->tax_code] += ($order->price - $dc);
							$tax_code_taxable[$order->tax_code] += $order->taxable;
						?>

						<tr class="order-item" rel="<?=$x?>">
							<td style="text-align: center; width: 20px"><?php echo $x+1; ?></td>
							<td>																		
								<p class="item_name" style="padding: 2px 0; margin: 0; font-weight: bold"><?=$products[$order->item_id]->name ? $products[$order->item_id]->name  : $order->item_name; ?></p>
								<p style="padding: 2px 0; margin: 0"><?=$products[$order->item_id]->sku?></p>
								<p style="padding: 2px 0; margin: 0"><?=nl2br($order->item_description)	?></p>
							</td>																		
							<td style="text-align: center; width: 65px">
								<?=$order->qty?>
							</td>
							<td class="prices" style="width:65px">															
								<?=$order->price_per_unit?><br />	
								Discount 
								<?php if ($order->discount_type == 'p') echo '%'; else '-'; ?><?=$order->discount?>
							</td>																		
							<td class="calculated" style="width: 65px">
								<p class="item_total_price" style="padding: 2px 0; margin: 0; text-align: right"><?=$order->price?></p>				
								<p class="item_price_discount" style="padding: 2px 0; margin: 0; text-align: right">
									<?php 
										$discount = 0;
										if ($order->discount_type == 'p'){
											echo $discount = str_replace(',','',number_format($order->price * ($order->discount / 100),2)); 
										} else {
											echo $discount = str_replace(',','',number_format($order->discount,2)); 											
										}
									?>
								</p>						
							</td>															
							<td class="item_net_price" style="text-align: right; width: 65px"><?php echo str_replace(',','',number_format($order->price - $discount,2)); ?></td>						
						</tr>
						<?php else: ?>
						<?php
							if ($order->discount_type == 'p') $dc = $order->price * ($order->discount / 100);
							elseif ($order->discount_type == 'd') $dc = $order->discount;
							$tax_summary[$order->tax_code] += ($order->price - $dc);
							$tax_code_taxable[$order->tax_code] += $order->taxable;
						?>
						<tr class="order-item" rel="<?=$x?>">
							<td style="text-align: center; width: 20px"><?php echo $x+1; ?></td>
							<td>																		
								<p class="item_name" style="padding: 2px 0; margin: 0; font-weight: bold"><?=$order->item_name; ?></p>	
								<p style="padding: 2px 0; margin: 0"><?=nl2br($order->item_description)	?></p>
							</td>																		
							<td style="text-align: center; width: 65px">
								N/A
							</td>
							<td style="text-align: center; width: 65px">
								N/A
							</td>		
							<td class="prices" style="width:65px; text-align: center">															
								<input type="text" class="item_list_price" style="font-size: 9pt" value="<?=str_replace(',','',number_format($order->price_per_unit,2))?>" />	<br />	
								&nbsp;Discount 
								
								<label style="display:none" ><input type="radio" class="discount_type" name="item_discount_type[<?=$x?>]" value="p" <?php if ($order->discount_type == 'p') echo 'checked="checked"'?> style="display:inline;width: auto" /> (%)</label>				
								<label style="display:none" ><input type="radio" class="discount_type" name="item_discount_type[<?=$x?>]" value="d" <?php if ($order->discount_type == 'd') echo 'checked="checked"'?>style="display:inline;width: auto" /> (-)</label>
								<?php if ($order->discount_type == 'p') echo '%'; else '-'; ?>
								<input type="text" name="discount[<?=$x?>]" style="width: 30px" class="item_discount" value="<?=$order->discount?>" />					
							</td>																		
							<td class="calculated" style="width: 65px">
								<p class="item_total_price" style="padding: 2px 0; margin: 0; text-align: right"><?=$order->price?></p>				
								<p class="item_price_discount" style="padding: 2px 0; margin: 0; text-align: right">
									<?php 
										$discount = 0;
										if ($order->discount_type == 'p'){
											echo $discount = str_replace(',','',number_format($order->price * ($order->discount / 100),2)); 
										} else {
											echo $discount = str_replace(',','',number_format($order->discount,2)); 											
										}
									?>
								</p>						
							</td>															
							<td class="item_net_price" style="text-align: right; width: 65px"><?php echo str_replace(',','',number_format($order->price - $discount,2)); ?></td>
						</tr>
						<?php endif; ?>
					<?php $x++; endforeach; ?>			
	
					</tbody>
				</table>
				<table style="font-size: 9pt; width: 100%; margin-top: 3px" class="general noborder">
					<tbody>
						<tr>
							<td rowspan="<?php echo (5 + $tax_n); ?>"><div class="form-box" style="padding: 10px; height: 50px; width: 300px; border: 1px solid #ddd;"><strong>Remarks</strong><br /><?php echo str_replace("\r\n",'<br />', str_replace("\n",'<br />',$invoice->remarks));; ?></div></td>
							<td style="text-align: right; font-weight: bold"></td>
						</tr>
						<tr>
							<td style="text-align: right; padding-rigth: 10px" class="final">Total Before Tax and Charges</td>
							<?php 
								$net_total = $invoice->total + $invoice->handling_charges;
								$net_delivered_total = $invoice->total_delivered + $invoice->handling_charges;
								
								if ($invoice->adjustment_type == 'Add'){
									$net_total = $net_total - $invoice->adjustment;
									$net_delivered_total = $net_delivered_total - $invoice->adjustment;
								} else {
									$net_total = $net_total + $invoice->adjustment;
									$net_delivered_total = $net_delivered_total + $invoice->adjustment;
								}
								
								$net_total -= $invoice->handling_charges + $invoice->total_tax + $total_charges;
								$net_delivered_total -= $invoice->handling_charges + $invoice->total_tax;

							?>
							<td class="final_net_total" style="text-align: right; width: 65px"><?php echo str_replace(',','',number_format($net_total,2)); ?></td>
						</tr>
						<?php foreach ($charges as $charge): $percentage = $charge->percentage; ?>
						<?php if ($charge->name && $charge->amount != 0): ?>
						<tr>
							<td style="text-align: right;" class="final"> <?php echo $charge->name; ?>  (<?php echo $charge->percentage; ?>%)</td>
							<td style="text-align: right; width: 90px" class="charge"><?php echo number_format($charge->amount,2); ?></td>
						</tr>
						<?php endif; ?>
						<?php endforeach; ?>
						<?php foreach ($taxes as $tax): $percentage = $tax->percentage; ?>
						<tr>
							<td style="text-align: right;" class="final"> <?php echo $tax->name; ?> <?php echo $tax->inclusive ? 'Inclusive' : ''; ?> (<?php echo number_format($tax->percentage); ?>%)</td>
							<td style="text-align: right; width: 90px"><?php echo number_format($tax->amount,2); ?></td>
						</tr>
						<?php endforeach; ?>
						<tr>
							<td style="text-align: right; " class="final"> Delivery &amp; Handling Charges</td>
							<td style="text-align: right; "><?=$invoice->handling_charges?></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="final">Adjustment (<?php if ($invoice->adjustment_type == 'Add') echo '+'; else echo '-'?>)</td>
							<td style="text-align: right; "><?=$invoice->adjustment?></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="final"><strong>GRAND TOTAL</strong></td>
							<td class="final_grand_total" style="font-weight: bold; text-align: right; width: 65px; border-top: 2px solid #000;"><?=$invoice->total; ?></td>
						</tr>
					</tbody>
				</table>
				
				<hr />
				
				<?php if (count($taxes)): ?>
				<table style="width: 100%; ">
					<thead>
						<tr>
							<th style="text-align: left">Tax Code</th>
							<th style="text-align: left">Rate</th>
							<th style="text-align: left">Amount Taxable (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="text-align: right">Tax (<?php echo $this->system->config('currency'); ?>)</th>
						</tr>
					</thead>
					<tbody>
					<?php foreach ($taxes as $tax){
						}
					?>
					<?php foreach ($tax_summary as $tax_code => $amount): ?>
					<?php
						$pct = ($tax_code_taxable[$tax_code] ? $percentage  : 0);
						if ($tax->inclusive){
							$amount = ($amount + $total_charges) / 106 * 100;
							
						} else {
							$amount = $amount + $total_charges;
						}
					?>
					<tr>
						<td style="text-align: left"><?php echo $tax_code; ?></td>
						<td style="text-align: left"><?php echo $pct = ($tax_code_taxable[$tax_code] ? $percentage  : 0); ?>%</td>
						<td style="text-align: left"><?php echo number_format($amount,2); ?></td>
						<td style="text-align: right"><?php echo number_format($amount*$pct/100,2); ?></td>
					</tr>
					<?php endforeach; ?>
					</tbody>
				</table>
				<?php endif; ?>
				
				<input type="hidden" name="grand_total" />
				
				<hr />
				
				<strong>Terms &amp; Conditions</strong>
				<p class="fineprint" style="font-size: 8pt; line-height: 100%"><?php echo $tnc; ?></p>
				<hr />
				<div style="font-size: 8pt; line-height: 100%;"><?php echo $footer; ?></div>

				
				<table style="font-size: 9pt; width: 100%; margin-top: 10px;" class="noborder">
					<tr>
						<td style="width: 50%; text-align: center">Authorized by</td>
						<td style="width: 50%; text-align: center">Received by</td>
					</tr>
					<tr>
						<td style="text-align: center; vertical-align: top"><br /><br />.....................................................<br /><?php echo $this->system->config('company_name'); ?></td>
						<td style="text-align: center; vertical-align: top"><br /><br />......................................................</td>
					</tr>
	
				</table>
				
				
				

	</div>
	
	</body>
	
</html>
