<?php if (!$this->user->has_permission('to_view_invoice','Sales')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var content;
var itemCount = 1;
var statusCallback;

function readyAdd(status){
	if (status == 1){
		showDialog('ok','Items Update','Invoice items delivered.', function(){
			setTimeout(function(){
				$('div.main_full').show();
				$('div.status').hide();

				statusCallback();
			}, 400);
		});
		if (!$('a.receiveBtn').hasClass('receiveBtn')){
			var unreceiveBtn = '<a class="v-btn target_main receiveBtn" style="padding: 3px 15px" href="sales/invoice_undeliver/<?php echo $invoice->id; ?>">Undeliver Items</a>';
			$('div.control').append(unreceiveBtn);
		}
		
		$('table.order-form tbody').html('');
		form_warning = false;
		populateEvents();
	} else {
		showDialog('ok','Error','There has been an error updating the invoice.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}


$(document).ready(function(){

	$('#global-sidebar-list li').removeClass('current');
	$('#global-sidebar-list a.invoices').parents('li').addClass('current');


	$('a.receive_same').click(function(){
		$('input.received_qty').each(function(){
			$(this).val($(this).attr('qty')).change();
			
		});
	});
	
	$('div.main_full input').attr('disabled',true).css('border','none');
	$('div.main_full textarea').attr('disabled',true).css('border','none');
	$('div.main_full select').attr('disabled',true).hide();

	itemEvents();
	$('input.item_qty').change();
	
	$('input.received_qty').attr('disabled',false).css('border','1px solid #DDD');
	$('input.checkbox_done').attr('disabled',false);
	
	
	$('a.submit_btn').click(function(event){
		showDialog('yesno','Deliver Items','Mark this invoice as <strong>Delivered</strong>?', function(){

			statusCallback = function(){
				$('select[name=status]').val('Delivered');
				$('select[name=status]').change();
				statusCallback = null;
			}
			$('form').submit();
		}, function(){
			statusCallback = function(){
				$('select[name=status]').val('Partially Delivered');
				$('select[name=status]').change();
				statusCallback = null;
			}
			$('form').submit();
		})
		
		event.preventDefault();
	});
	

	
	$('form').submit(function(){
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>').show();;
	});
	
	
	$('a.set-paid').click(function(e){
		
		e.preventDefault();
		
		var href = $(this).attr('href');
		var receipt_reference = $('input.receipt_reference').val();
		var receipt_date = $('input.receipt_date').val();

		
		if (!receipt_reference){
			showDialog('ok','Error','Please enter reference no.');			
			return;
		}
		
		if (!receipt_date){
			showDialog('ok','Error','Please enter payment date.');			
			return;
		}

		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');

		$.ajax({
			url: base_url + href,
			data: 'receipt_reference=' + receipt_reference + '&receipt_date=' + receipt_date,
			type: 'POST',
			success: function (html){
				$('#global-content').html(html).show();
				$('div.status').hide();
				populateEvents();
			}
		})
	});
	
	$('select[name=status]').change(function(){
		var id = $(this).attr('rel');
		var status = $(this).val();
		
		if (status == 'Delivered'){
			$('.received-related').hide();
			$('.received-related-opp').show();
		} else {
			$('.received-related').show();
			$('.received-related-opp').hide();
		}

		$.ajax({
			url: base_url + 'sales/invoice_update_status/'+ id,
			type: 'POST',
			data: 'status='+status,
			success: function (){
				showDialog('ok','Status Update','Invoice status has been set to ' + status + '.');
			}
		})
	});
	
	
	itemEvents();
	$('input.received_qty').change();

	var status = $('select[name=status]').val();
	if (status == 'Delivered'){
		$('.received-related').hide();
	} else {
		$('.received-related').show();
	}

	<?php if ($invoice->no_do): ?>
	$('input.received_qty').attr('disabled','disabled');
	<?php endif; ?>
	
	form_warning = false;

});

function calculateTotal(){

}

function calculateTotalReceived(){
	var netTotal = parseFloat(0);
	var grandTotal = parseFloat(0);
	$('td.item_net_price').each(function(){
		netTotal = netTotal + parseFloat($(this).html());
	});
	
	netTotal = netTotal.toFixed(2);
	
	
	var adjustmentType = $('select[name=adjustment_type]').val();
	var adjustment = $('input.adjustment').val();
	if (!adjustment) adjustment = 0;
	

	var totalTax = 0.00;
	$('td.tax').first().each(function(){
		var tax = parseFloat($(this).html());
		if ($(this).attr('inclusive') == '0'){
			totalTax += tax;
		}
	})
	
	var charges = $('td.charge').first().html();
	if (!charges) charges = 0;
	else charges = parseFloat(charges);
	

	if (adjustmentType == "Add"){
		grandTotal = parseFloat(netTotal) + 0 + charges + parseFloat(adjustment) + totalTax;
	} else {
		grandTotal = parseFloat(netTotal) + 0 + charges - parseFloat(adjustment) + totalTax;
	}
	

	
	grandTotal = parseFloat(grandTotal).toFixed(2);
	$('td.final_net_total_received').html(netTotal);
	$('td.final_grand_total_received').html(grandTotal);
	$('input[name=grand_total_received]').val(grandTotal);
}

function itemEvents(){

	$('input.item_list_price').change(function(){
		$('input.item_qty').change();
	});
	
	$('input.item_qty').change(function(){
		
	});
	
	$('input.received_qty').change(function(){

		var discounted = 0;
		var netTotal = 0;
		var itemNo = $(this).parents('tr').attr('rel');
		var itemQty = parseInt($(this).val());
		var itemPrice = $('tr[rel='+itemNo+']').find('input.item_list_price').val();
		var total = parseFloat(itemQty * itemPrice) + 0.00;
		var discountType = $('tr[rel='+itemNo+']').find('input.discount_type:checked').val();
		var discountVal =  $('tr[rel='+itemNo+']').find('input.item_discount').val();
		if (discountType == 'p'){
			var discounted = parseFloat(((discountVal) / 100) * total).toFixed(2);
			var netTotal = total - discounted;
		} else if (discountType == 'd'){
			var discounted = parseFloat(discountVal).toFixed(2);
			var netTotal = total - discounted;
		} else {
			var netTotal = total;
			var discounted = '0.00';
		}
		total = total.toFixed(2);
		netTotal = parseFloat(netTotal).toFixed(2);

		$('tr[rel='+itemNo+']').children('td.tool').children('input.item_totalnet_price').val(total);
		$('tr[rel='+itemNo+']').children('td.tool').children('input.item_net_price').val(netTotal);
		$('tr[rel='+itemNo+']').children('td.calculated').children('p.item_total_price').html(total);
		if (discounted > 0){
			$('tr[rel='+itemNo+']').children('td.calculated').children('p.item_price_discount').html('-'+discounted);
		} else {
			$('tr[rel='+itemNo+']').children('td.calculated').children('p.item_price_discount').html('');
		}
		$('tr[rel='+itemNo+']').children('td.item_net_price').html(netTotal);

		calculateTotalReceived();
	});
	
	
	
	$('input.discount_type').change(function(){
		$('input.item_qty').change();
		calculateTotal();
	});
	
	$('input.item_discount').change(function(){
		$('input.item_qty').change();
		calculateTotal();
	});
	
	
	$('a.remove').click(function(){
		$(this).parents('tr').remove();
	});

}

</script>

<?php 
$charges = json_decode($invoice->charges);
foreach ($charges as $charge) $tax_n++;
$taxes = json_decode($invoice->tax);
foreach ($taxes as $tax) $tax_n++;


$base = 16;

$tnc = nl2br($this->system->config('invoice_tnc'));
$tnc_lines = explode('<br />', $tnc);
$lines = 1;
foreach ($tnc_lines as $line){
	$lines++;
	$lines += floor(strlen($line) / 140);
}
$footer = nl2br($this->system->config('invoice_footer'));
$footer_lines = explode('<br />', $footer);
foreach ($tnc_lines as $line){
	$lines++;
	$lines += floor(strlen($line) / 140);
}

$reduce = ceil($lines / 4);

$n = $base - $reduce;

$number_of_pages = ceil(count($invoice->orders)/ $n);
if ($number_of_pages == 0) $number_of_pages = 1;

?>
	
		
	<div class="toolbar">
		<h3 class="grid-title">
			<a class="v-dbtn target_main" style="float:right; padding:0 25px; margin-top: -1px" href="sales/invoices">Back</a>Invoice #<?php echo $invoice->txn_no; ?>
			<a class="v-dbtn" style="float:right; padding:0 25px; margin-top: -1px; margin-right: 5px; font-weight: bold" href="javascript:window.print()">Print</a>
			<a class="v-dbtn" style="float:right; padding:0 25px; margin-top: -1px; margin-right: 5px; font-weight: bold" href="sales/invoice_pdf/<?php echo $invoice->id; ?>">Download PDF</a>
		</h3>
		<div class="global-tabs" style="padding: 5px 5px 3px 5px;">
			<?php if ($this->user->has_permission('to_view_sales_order','Sales')): ?>
				<?php if ($invoice->sales_order_id): ?>
				<a class="v-btn target_main" style="float:right; padding:0 15px; margin-top: -1px" href="sales/so_view/<?php echo $invoice->sales_order_id; ?>/do">Go to Sales Order</a>			
				<?php endif; ?>
			<?php endif; ?>
			
			<?php if ($this->user->has_permission('to_view_delivery_order','Sales')): ?>
				<a class="v-btn received-related-opp target_main" style="float:right; padding:0 15px; margin-top: -1px; margin-right: 5px;" href="sales/do_view/<?php echo $invoice->id; ?>/do">Go to Delivery Order</a>						
			<?php endif; ?>

			<?php if ($this->user->has_permission('to_process_invoice','Sales')): ?>
				<?php if (!$invoice->no_do): ?>
				<a class="v-btn received-related receive_same">Quantity as Ordered</a>	
				<a class="v-btn received-related submit_btn receive_btn">Deliver Items</a>
				<small>Status</small> <?php echo form_dropdown('status', array('Pending'=>'Pending','Partially Delivered'=>'Partially Delivered','Delivered'=>'Delivered'), $invoice->status, 'rel="'.$invoice->id.'" class="v-dropdown" style="margin-right: 10px; width: 130px; font-size: 10pt"'); ?>
				<?php endif; ?>
						
			<?php endif; ?>
		</div>
		<div class="global-tabs" style="padding: 5px;">
		
		<?php if ($this->system->uses('Accounts')): ?>
			<?php if ($invoice->payment_status == 'Paid'): ?>
				<?php if ($invoice->payment_contra): ?>
					<small style="margin-right: 10px;">Contra on <strong><?php echo date('d/m/Y',strtotime($invoice->payment_date)); ?></strong>. Reference No: <strong><a class="pv" rel="<?php echo $invoice->txn_no;?>">PV-<?php echo $invoice->payment_contra; ?></a></strong></small>
					<a class="v-btn target_main set-unpaid" style="padding: 3px 15px" href="sales/invoice_unpaid/<?php echo $invoice->id; ?>">Set as Unpaid</a>			
				<?php else: ?>
					<small style="margin-right: 10px;">Paid on <strong><?php echo date('d/m/Y',strtotime($invoice->payment_date)); ?></strong>. Reference No: <strong><a class="rc" rel="<?php echo $invoice->txn_no;?>">RC-<?php echo $invoice->payment_reference; ?></a></strong></small>
					<a class="v-btn target_main set-unpaid" style="padding: 3px 15px" href="sales/invoice_unpaid/<?php echo $invoice->id; ?>">Set as Unpaid</a>
				<?php endif; ?>
			<?php else: ?>
				<small>Invoice is <strong>Unpaid</strong>.</small>
				
			<?Php endif; ?>
		<?php else: ?>
			<?php if ($this->user->has_permission('to_process_invoice','Sales')): ?>
				<?php if ($invoice->payment_status == 'Paid'): ?>
						<small style="margin-right: 10px;">Paid on <strong><?php echo date('d/m/Y',strtotime($invoice->payment_date)); ?></strong>. Reference No: <strong><?php echo $invoice->payment_reference; ?></strong></small>			
						<a class="v-btn target_main set-unpaid" style="padding: 3px 15px" href="sales/invoice_unpaid/<?php echo $invoice->id; ?>">Set as Unpaid</a>			
				<?php else: ?>
						<small>Invoice is <strong>Unpaid</strong>. Payment Date <input type="text" name="p-date" class="receipt_date v-text date" style="width: 80px;" /> &nbsp; Reference No. <input type="text" class="v-text receipt_reference" name="receipt_reference" style="width: 80px;" /> <a class="v-btn set-paid" href="sales/invoice_paid/<?php echo $invoice->id; ?>">Set to Paid</a></small>					
				<?php endif; ?>
			<?php endif; ?>
		
		<?php endif; ?>
		</div>

		<?php if ($this->user->has_permission('to_process_invoice','Sales')): ?>		
			<?php if ($invoice->sales_order_id): ?>		
			<div class="global-tabs" style="padding: 5px">
	
					<?php if ($so->notification): $notifications = json_decode($so->notification); $notification = $notifications[count($notifications)-1];  ?>
						<small style="margin-right: 10px;">Notification was sent at <strong><?php echo date('d/m/Y', strtotime($notification->datetime)); ?></strong> by <strong><?php echo $notification->by; ?></strong> with the payment status <strong><?php echo $notification->status; ?></strong>.</small>  <a class="target_main v-btn" href="sales/send_order_notification/<?php echo $so->id; ?>">Resend Notification</a>
					<?php else: ?>
						<a class="v-btn target_main" href="sales/send_order_notification/<?php echo $so->id; ?>">Send Notification</a>
					<?php endif; ?>
	
			</div>
			<?php endif; ?>
		<?php endif; ?>
	</div>
	<div class="status" style="padding: 100px">
	
	</div>

	<div class="main_full" style="background: #DDD">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
		<div class="doc-pad" style="padding: 15px">
			<form method="post" action="<?php echo base_url(); ?>sales/invoice_deliver/<?php echo $invoice->id; ?>" target="postframe">
			<div style="padding: 20px 0 10px 0; border-bottom: 1px solid #555; ">
				<h2 style="text-align: right; float: right; margin: 0; padding: 0">Tax Invoice<br /><small>Page 1 of <?php echo $number_of_pages; ?></small></h2>
				<?php if ($logo = $this->system->config('company_logo')): ?>
				<img src="<?php echo base_url(); ?>../assets/img/<?php echo $logo; ?>" style="float: left; margin-right: 10px; width: 180px; margin-right: 20px" />
				<?php endif; ?>
				
				<div style="padding-left: 200px">
					<strong><?php echo $this->system->config('company_name'); ?></strong><br />
					<?php echo nl2br($this->system->config('company_address')); ?><br />
					<?php echo nl2br($this->system->config('company_contact')); ?>
				</div>
				<div style="clear:left"></div>
			</div>
			
			<br class="clearboth" />			
			


				<table class="noborder" style="font-size: 10pt; margin: 10px 0 15px 0; float: right !important; width: 250px !important">
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Date</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo date('j F Y',strtotime($invoice->date)); ?></td>
	
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Invoice Number</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo 'INV-' . $invoice->txn_no; ?></td>
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">PO Number</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->po_number; ?></td>
					</tr>
	
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Terms</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->terms; ?> <?php if ($invoice->terms == 'Credit') echo "({$invoice->duration} days)"; ?></td>
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Contact Person</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->contact_person; ?></td>
					</tr>
	
				</table>
				
				<div class="delivery_to" style="float: right !important; margin: 10px 0; width: 250px !important; display:none">
	    		    <?php $address = json_decode($invoice->delivery_address); ?>
					<strong>Delivery To: <?php echo $address->name ? $address->name . '<br />' : ''; ?></strong>
					<?php echo $address->mobile ? 'Contact No: ' . $address->mobile . '<br />' : ''; ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
				</div>
			
				
				<p style="margin: 10px 0; padding: 0">
				<strong>ATTN: <?php echo $contact->contact_person ? $contact->contact_person . '<br />' : ''; ?></strong>
	    		    <?php echo $contact->company_name ? $contact->company_name . '<br />' : ''; ?>
	    		    Contact No: <?php echo $contact->contact_number ? $contact->contact_number : 'N/A'; ?><br />
	    		    <?php $address = json_decode($invoice->contact_address); ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
	    		</p>
			
				
				
				<table class="order-form-print" style="margin-bottom: 5px">
					<thead>
						<tr class="main-header">
							<th colspan="8">Item Details</th>
						</tr>
						<tr class="sub-header">
							<th style="width: 20px;">No</th>
							<th style="width: 40px;">Done</th>
							<th>Item</th>
							<th style="width: 85px;">Qty Ordered</th>
							<th style="width: 85px;">Qty Delivered</th>
							<th style="width: 80px;">Unit Price (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="width: 90px;">Discount (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="width: 90px;">Price (<?php echo $this->system->config('currency'); ?>)</th>
						</tr>
					</thead>
					
	
	
					<tbody>
					<?php
						$products = $invoice->products;
					?>
					<?php $y = 1; $x = 0; foreach($invoice->orders as $order): ?>
<?php if ($x == $n): $y++; ?>
						
						</tbody>
					</table>
					
					<table style="font-size: 9pt; width: 100%; margin-top: 3px" class="general noborder">
					<tbody>
						<tr>
							<td rowspan="<?php echo (5 + $tax_n); ?>"><div class="form-box" style="padding: 10px; height: 50px; width: 300px; border: 1px solid #ddd;"><strong>Remarks</strong><br /><?php echo str_replace("\r\n",'<br />', str_replace("\n",'<br />',$invoice->remarks));; ?></div></td>
							<td></td>
							<td style="text-align: right; font-weight: bold">Ordered</td>
							<td style="text-align: right; font-weight: bold">Delivered</td>
						</tr>
						<tr>
							<td style="text-align: right; padding-rigth: 10px" class="final">Total</td>
							<?php 
								$net_total	=	$invoice->total;
								#$net_total_display = $invoice->total + $invoice->handling_charges;
								foreach($taxes as $tax){
									if($tax->inclusive){
										$taxamount	=	0;
									}else{
										$taxamount	=	$tax->amount;	
									}
									
								}
								
								$total_charges = 0;
								foreach ($charges as $charge) $total_charges += $charge->amount;
								
								$net_total_display	=	$net_total - $taxamount;
								if ($invoice->adjustment_type == 'Add'){
									$net_total_display = $net_total_display - $invoice->adjustment;
								} else {
									$net_total_display = $net_total_display + $invoice->adjustment;
								}
								
								$net_total_display = $net_total_display - $invoice->handling_charges - $total_charges;

								
							?>
							<td class="final_net_total" style="text-align: right; width: 90px"><?php echo str_replace(',','',number_format($net_total_display,2)); ?></td>
							<td class="final_net_total_received" style="text-align: right; width: 90px">0.00</td>
						</tr>
						<tr>
							<td style="text-align: right; " class="final"> Delivery &amp; Handling Charges</td>
							<td><input type="text" name="sh_charges" class="extraCharges" style="text-align: right; width: 90px" value="<?=$invoice->handling_charges?>" /></td>
							<td><input type="text" name="sh_charges" class="extraCharges" style="text-align: right; width: 90px" value="<?=$invoice->handling_charges?>" /></td>
						</tr>
						<?php foreach ($charges as $charge): $percentage = $charge->percentage; ?>
						<tr>
							<td style="text-align: right;" class="final"> <?php echo $charge->name; ?>  (<?php echo $charge->percentage; ?>%)</td>
							<td style="text-align: right; width: 90px"><?php echo number_format($charge->amount,2); ?></td>
							<td style="text-align: right; width: 90px" class="charge"><?php echo number_format($charge->amount,2); ?></td>
						</tr>
						<?php endforeach; ?>
						<?php foreach ($taxes as $tax): $percentage = $tax->percentage; ?>
						<tr>
							<td style="text-align: right;" class="final"> <?php echo $tax->name; ?> <?php echo $tax->inclusive ? 'Inclusive' : ''; ?> (<?php echo number_format($tax->percentage); ?>%)</td>
							<td style="text-align: right; width: 90px"><?php echo number_format($tax->amount,2); ?></td>
							<td style="text-align: right; width: 90px" class="tax" inclusive="<?php echo $tax->inclusive ? '1' : '0'; ?>"><?php echo number_format($tax->amount,2); ?></td>
						</tr>
						<?php endforeach; ?>
						<tr>
							<td style="text-align: right;" class="final">Adjustment (<?php if ($adjustment_type == 'Add') echo '+'; else echo '-'?>)<?=form_dropdown('adjustment_type',array('Add'=>'Add','Deduct'=>'Deduct'), $invoice->adjustment_type)?></td>
							<td><input type="text" name="adjustment" class="adjustment" style="text-align: right; width: 90px" value="<?=$invoice->adjustment?>" /></td>
							<td><input type="text" name="adjustment" class="adjustment" style="text-align: right; width: 90px" value="<?=$invoice->adjustment?>" /></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="final"><strong>GRAND TOTAL</strong></td>
							<td class="final_grand_total" style="font-weight: bold; text-align: right; width: 90px; border-top: 2px solid #000;"><?=$invoice->total; ?></td>
							<td class="final_grand_total_received" style="font-weight: bold; text-align: right; width: 90px; border-top: 2px solid #000"><?=$invoice->total_delivered; ?></td>
						</tr>
						<!--
						<?php if ($this->system->uses('Accounts')): ?>
						<?php $paid_amount = $this->account->Get_paid_amount('invoice',$invoice->id); ?>
						<?php if ($paid_amount): ?>
						<tr>
							<td style="text-align: right;" class="final">Amount Paid</td>
							<td class="amount_paid" style="text-align: right; width: 90px;"><?=$paid_amount; ?></td>
							<td class="amount_paid" style="text-align: right; width: 90px;"><?=$paid_amount; ?></td>
						</tr>
						<?php endif; ?>
						<tr>
							<td style="text-align: right;" class="final">Outstanding</td>
							<td class="amount_paid" style="text-align: right; width: 90px; "><?=number_format($invoice->total-$paid_amount,2); ?></td>
							<td class="amount_paid" style="text-align: right; width: 90px; "><?=number_format($invoice->total_delivered-$paid_amount,2); ?></td>
						</tr>
						<?php endif; ?>
						-->
					</tbody>
				</table>
			
			<hr />
				
			<strong>Terms &amp; Conditions</strong>
			<p class="fineprint" style="font-size: 8pt; line-height: 100%"><?php echo $tnc; ?></p>
			<hr />
			<div style="font-size: 8pt; line-height: 100%;"><?php echo $footer; ?></div>

				
			<hr class="<?php if ($number_of_pages != 1) echo 'formfeed'; ?>" />
			
		
			<div style="margin: 50px 0; border-top: 3px dashed #EEE" class="no-print"></div>

					
			<div style="padding: 0px 0 10px 0; border-bottom: 1px solid #555; ">
				<h2 style="text-align: right; float: right; margin: 0; padding: 0">Tax Invoice<br /><small>Page 2 of <?php echo $number_of_pages; ?></small></h2>
				<?php if ($logo = $this->system->config('company_logo')): ?>
				<img src="<?php echo base_url(); ?>../assets/img/<?php echo $logo; ?>" style="float: left; margin-right: 10px; width: 180px; margin-right: 20px" />
				<?php endif; ?>
				
				<div style="padding-left: 200px">
					<strong><?php echo $this->system->config('company_name'); ?></strong><br />
					<?php echo nl2br($this->system->config('company_address')); ?><br />
					<?php echo nl2br($this->system->config('company_contact')); ?>
				</div>
				<div style="clear:left"></div>
			</div>
			
			<br class="clearboth" />			
			


				<table class="noborder" style="font-size: 10pt; margin: 10px 0 15px 0; float: right !important; width: 250px !important">
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Date</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo date('j F Y',strtotime($invoice->date)); ?></td>
	
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Invoice Number</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo 'INV-' . $invoice->txn_no; ?></td>
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">PO Number</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->po_number; ?></td>
					</tr>
	
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Terms</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->terms; ?> <?php if ($invoice->terms == 'Credit') echo "({$invoice->duration} days)"; ?></td>
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Contact Person</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->contact_person; ?></td>
					</tr>
	
				</table>
				
				<div class="delivery_to" style="float: right !important; margin: 10px 0; width: 250px !important; display:none">
	    		    <?php $address = json_decode($invoice->delivery_address); ?>
					<strong>Delivery To: <?php echo $address->name ? $address->name . '<br />' : ''; ?></strong>
					<?php echo $address->mobile ? 'Contact No: ' . $address->mobile . '<br />' : ''; ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
				</div>
			
				
				<p style="margin: 10px 0; padding: 0">
				<strong>ATTN: <?php echo $contact->contact_person ? $contact->contact_person . '<br />' : ''; ?></strong>
	    		    <?php echo $contact->company_name ? $contact->company_name . '<br />' : ''; ?>
	    		    Contact No: <?php echo $contact->contact_number ? $contact->contact_number : 'N/A'; ?><br />
	    		    <?php $address = json_decode($invoice->contact_address); ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
	    		</p>
			
					
				<table class="order-form-print" style="margin-bottom: 5px">
					<thead>
						<tr class="main-header">
							<th colspan="8">Item Details</th>
						</tr>
						<tr class="sub-header">
							<th style="width: 20px;">No</th>
							<th style="width: 40px;">Done</th>
							<th>Item</th>
							<th style="width: 85px;">Qty Ordered</th>
							<th style="width: 85px;">Qty Delivered</th>
							<th style="width: 80px;">Unit Price (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="width: 90px;">Discount (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="width: 90px;">Price (<?php echo $this->system->config('currency'); ?>)</th>
						</tr>	
					</thead>
					<tbody>
					<?php endif; ?>
						
						
<?php if ($x%$n == 0 && $x != $n && $x != 0): $y++; ?>
						
	
					</tbody>
				</table>
					
			<table style="font-size: 9pt; width: 100%; margin-top: 3px" class="general noborder">
					<tbody>
						<tr>
							<td rowspan="<?php echo (5 + $tax_n); ?>"><div class="form-box" style="padding: 10px; height: 50px; width: 300px; border: 1px solid #ddd;"><strong>Remarks</strong><br /><?php echo str_replace("\r\n",'<br />', str_replace("\n",'<br />',$invoice->remarks));; ?></div></td>
							<td></td>
							<td style="text-align: right; font-weight: bold">Ordered</td>
							<td style="text-align: right; font-weight: bold">Delivered</td>
						</tr>
						<tr>
							<td style="text-align: right; padding-rigth: 10px" class="final">Total</td>
							<?php 
								$net_total	=	$invoice->total;
								#$net_total_display = $invoice->total + $invoice->handling_charges;
								foreach($taxes as $tax){
									if($tax->inclusive){
										$taxamount	=	0;
									}else{
										$taxamount	=	$tax->amount;	
									}
									
								}
								
								$total_charges = 0;
								foreach ($charges as $charge) $total_charges += $charge->amount;
								
								$net_total_display	=	$net_total - $taxamount;
								if ($invoice->adjustment_type == 'Add'){
									$net_total_display = $net_total_display - $invoice->adjustment;
								} else {
									$net_total_display = $net_total_display + $invoice->adjustment;
								}
								
								$net_total_display = $net_total_display - $invoice->handling_charges - $total_charges;

								
							?>
							<td class="final_net_total" style="text-align: right; width: 90px"><?php echo str_replace(',','',number_format($net_total_display,2)); ?></td>
							<td class="final_net_total_received" style="text-align: right; width: 90px">0.00</td>
						</tr>
						<tr>
							<td style="text-align: right; " class="final"> Delivery &amp; Handling Charges</td>
							<td><input type="text" name="sh_charges" class="extraCharges" style="text-align: right; width: 90px" value="<?=$invoice->handling_charges?>" /></td>
							<td><input type="text" name="sh_charges" class="extraCharges" style="text-align: right; width: 90px" value="<?=$invoice->handling_charges?>" /></td>
						</tr>
						<?php foreach ($charges as $charge): $percentage = $charge->percentage; ?>
						<tr>
							<td style="text-align: right;" class="final"> <?php echo $charge->name; ?>  (<?php echo $charge->percentage; ?>%)</td>
							<td style="text-align: right; width: 90px"><?php echo number_format($charge->amount,2); ?></td>
							<td style="text-align: right; width: 90px" class="charge"><?php echo number_format($charge->amount,2); ?></td>
						</tr>
						<?php endforeach; ?>
						<?php foreach ($taxes as $tax): $percentage = $tax->percentage; ?>
						<tr>
							<td style="text-align: right;" class="final"> <?php echo $tax->name; ?> <?php echo $tax->inclusive ? 'Inclusive' : ''; ?> (<?php echo number_format($tax->percentage); ?>%)</td>
							<td style="text-align: right; width: 90px"><?php echo number_format($tax->amount,2); ?></td>
							<td style="text-align: right; width: 90px" class="tax" inclusive="<?php echo $tax->inclusive ? '1' : '0'; ?>"><?php echo number_format($tax->amount,2); ?></td>
						</tr>
						<?php endforeach; ?>
						<tr>
							<td style="text-align: right;" class="final">Adjustment (<?php if ($adjustment_type == 'Add') echo '+'; else echo '-'?>)<?=form_dropdown('adjustment_type',array('Add'=>'Add','Deduct'=>'Deduct'), $invoice->adjustment_type)?></td>
							<td><input type="text" name="adjustment" class="adjustment" style="text-align: right; width: 90px" value="<?=$invoice->adjustment?>" /></td>
							<td><input type="text" name="adjustment" class="adjustment" style="text-align: right; width: 90px" value="<?=$invoice->adjustment?>" /></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="final"><strong>GRAND TOTAL</strong></td>
							<td class="final_grand_total" style="font-weight: bold; text-align: right; width: 90px; border-top: 2px solid #000;"><?=$invoice->total; ?></td>
							<td class="final_grand_total_received" style="font-weight: bold; text-align: right; width: 90px; border-top: 2px solid #000"><?=$invoice->total_delivered; ?></td>
						</tr>
						<!--
						<?php if ($this->system->uses('Accounts')): ?>
						<?php $paid_amount = $this->account->Get_paid_amount('invoice',$invoice->id); ?>
						<?php if ($paid_amount): ?>
						<tr>
							<td style="text-align: right;" class="final">Amount Paid</td>
							<td class="amount_paid" style="text-align: right; width: 90px;"><?=$paid_amount; ?></td>
							<td class="amount_paid" style="text-align: right; width: 90px;"><?=$paid_amount; ?></td>
						</tr>
						<?php endif; ?>
						<tr>
							<td style="text-align: right;" class="final">Outstanding</td>
							<td class="amount_paid" style="text-align: right; width: 90px; "><?=number_format($invoice->total-$paid_amount,2); ?></td>
							<td class="amount_paid" style="text-align: right; width: 90px; "><?=number_format($invoice->total_delivered-$paid_amount,2); ?></td>
						</tr>
						<?php endif; ?>
						-->
					</tbody>
				</table>
			
			<hr />
				
			<strong>Terms &amp; Conditions</strong>
			<p class="fineprint" style="font-size: 8pt; line-height: 100%"><?php echo $tnc; ?></p>
			<hr />
			<div style="font-size: 8pt; line-height: 100%;"><?php echo $footer; ?></div>

				
			<hr class="<?php if ($number_of_pages != 1) echo 'formfeed'; ?>" />
			
		
			<div style="margin: 50px 0; border-top: 3px dashed #EEE" class="no-print"></div>

					
			<div style="padding: 0 0 10px 0; border-bottom: 1px solid #555; ">
				<h2 style="text-align: right; float: right; margin: 0; padding: 0">Tax Invoice<br /><small>Page <?php echo $y; ?> of <?php echo $number_of_pages; ?></small></h2>
				<?php if ($logo = $this->system->config('company_logo')): ?>
				<img src="<?php echo base_url(); ?>../assets/img/<?php echo $logo; ?>" style="float: left; margin-right: 10px; width: 180px; margin-right: 20px" />
				<?php endif; ?>
				
				<div style="padding-left: 200px">
					<strong><?php echo $this->system->config('company_name'); ?></strong><br />
					<?php echo nl2br($this->system->config('company_address')); ?><br />
					<?php echo nl2br($this->system->config('company_contact')); ?>
				</div>
				<div style="clear:left"></div>
			</div>
			
			<br class="clearboth" />			
			


				<table class="noborder" style="font-size: 10pt; margin: 10px 0 15px 0; float: right !important; width: 250px !important">
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Date</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo date('j F Y',strtotime($invoice->date)); ?></td>
	
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Invoice Number</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo 'INV-' . $invoice->txn_no; ?></td>
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">PO Number</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->po_number; ?></td>
					</tr>
	
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Terms</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->terms; ?> <?php if ($invoice->terms == 'Credit') echo "({$invoice->duration} days)"; ?></td>
					</tr>
					<tr class="two">
						<td style="font-weight: bold; width: 100px" class="label">Contact Person</td>
						<td style="border-bottom: 1px solid #bbb" class="input"><?php echo $invoice->contact_person; ?></td>
					</tr>
	
				</table>
				
				<div class="delivery_to" style="float: right !important; margin: 10px 0; width: 250px !important; display:none">
	    		    <?php $address = json_decode($invoice->delivery_address); ?>
					<strong>Delivery To: <?php echo $address->name ? $address->name . '<br />' : ''; ?></strong>
					<?php echo $address->mobile ? 'Contact No: ' . $address->mobile . '<br />' : ''; ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
				</div>
			
				
				<p style="margin: 10px 0; padding: 0">
				<strong>ATTN: <?php echo $contact->contact_person ? $contact->contact_person . '<br />' : ''; ?></strong>
	    		    <?php echo $contact->company_name ? $contact->company_name . '<br />' : ''; ?>
	    		    Contact No: <?php echo $contact->contact_number ? $contact->contact_number : 'N/A'; ?><br />
	    		    <?php $address = json_decode($invoice->contact_address); ?>
	    		    <?php echo $address->address1 ? $address->address1 . '<br />' : ''; ?>
	    		    <?php echo $address->address2 ? $address->address2 . '<br />' : ''; ?>
	    		    <?php echo $address->zipcode ? $address->zipcode : ''; ?>
	    		    <?php echo $address->city ? $address->city . '<br />' : ''; ?>
	    		    <?php echo $address->state ? $address->state . '<br />' : ''; ?>
	    		    <?php echo $address->country ? $address->country : ''; ?>
	    		</p>
			
				<table style="margin-bottom: 2px; " class="order-form-print"  style="margin-bottom: 5px">
					<thead>
						<tr class="main-header">
							<th colspan="8">Item Details</th>
						</tr>
						<tr class="sub-header">
							<th style="width: 20px;">No</th>
							<th style="width: 40px;">Done</th>
							<th>Item</th>
							<th style="width: 85px;">Qty Ordered</th>
							<th style="width: 85px;">Qty Delivered</th>
							<th style="width: 80px;">Unit Price (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="width: 90px;">Discount (<?php echo $this->system->config('currency'); ?>)</th>
							<th style="width: 90px;">Price (<?php echo $this->system->config('currency'); ?>)</th>
						</tr>	
					</thead>
					<tbody>
	
	
						<?php endif; ?>
						
						<?php if ($order->type == 'product'): ?>
						
						<tr class="order-item" rel="<?=$x?>">
							<td style="text-align: center; width: 20px"><?php echo $x+1; ?></td>
							<td style="text-align: center; width: 40px"><input class="checkbox_done" type="checkbox" <?php if ($order->done) echo 'checked="checked"'; ?> name="done[<?php echo $order->id; ?>]" value="1" /></td>
							<td>																		
								<p class="item_name" style="padding: 2px 0; margin: 0; font-weight: bold"><?=$order->item_name; ?><?= $this->system->uses('tax') ? " [$order->tax_code]" : ""; ?></p>
								<p style="padding: 2px 0; margin: 0"><?=$products[$order->item_id]->sku?></p>
								<?=nl2br($order->item_description)	?>
							</td>																		
							<td style="text-align: center; width: 85px">
								<input type="text" name="item_qty[<?=$x?>]" style="font-size: 9pt; width: 50px; text-align: center" class="item_qty" value="<?=$order->qty?>" /><br />
							</td>
							<td style="text-align: center; width: 85px">
								<input type="text" class="v-text received_qty" name="received_qty[<?=$order->id?>]" qty="<?=$order->qty?>" style="font-size: 9pt; width: 50px; text-align: center" class="receive_qty" value="<?= $invoice->status == 'Delivered' ? ($invoice->no_do ? $order->qty : $order->delivered) : 0?>" />
							</td>		
							<td class="prices" style="width:80px;text-align: center">															
								<input type="text" class="item_list_price" style="font-size: 9pt" value="<?=str_replace(',','',number_format($order->price_per_unit,2))?>" />	<br />	
								<div style="display:none">
									&nbsp;Discount 
									<label style="display:none" ><input type="radio" class="discount_type" name="item_discount_type[<?=$x?>]" value="p" <?php if ($order->discount_type == 'p') echo 'checked="checked"'?> style="display:inline;width: auto" /> (%)</label>				
									<label style="display:none" ><input type="radio" class="discount_type" name="item_discount_type[<?=$x?>]" value="d" <?php if ($order->discount_type == 'd') echo 'checked="checked"'?>style="display:inline;width: auto" /> (-)</label>
									<?php if ($order->discount_type == 'p') echo '%'; else '-'; ?>
									<input type="text" name="discount[<?=$x?>]" style="width: 30px" class="item_discount" value="<?=$order->discount?>" />					
								</div>
							</td>																		
							<td class="calculated" style="width: 90px">
								<p class="item_total_price" style="padding: 2px 0; margin: 0; text-align: right; display:none"><?=$order->price?></p>				
								<p class="item_price_discount" style="padding: 2px 0; margin: 0; text-align: right">0.00</p>						
							</td>															
							<td class="item_net_price" style="text-align: right; width: 90px">0.00</td>						
						</tr>
						<?php
							if ($order->discount_type == 'p') $dc = $order->price * ($order->discount / 100);
							elseif ($order->discount_type == 'd') $dc = $order->discount;
							$tax_summary[$order->tax_code] += ($order->price - $dc);
							$tax_code_taxable[$order->tax_code] += $order->taxable;
						?>
						<?php else: ?>
						<tr class="order-item" rel="<?=$x?>">
							<td style="text-align: center; width: 20px"><?php echo $x+1; ?></td>
							<td style="text-align: center; width: 40px"><input style="display:none" class="checkbox_done" type="checkbox" <?php if ($order->done) echo 'checked="checked"'; ?> name="done[<?php echo $order->id; ?>]" value="1" /></td>
							<td>																		
								<p class="item_name" style="padding: 2px 0; margin: 0; font-weight: bold"><?=$order->item_name; ?></p>	
								<p style="padding: 2px 0; margin: 0"><?=nl2br($order->item_description)	?></p>
							</td>																		
							<td style="text-align: center; width: 85px">
								<input type="text" name="item_qty[<?=$x?>]" style="font-size: 9pt; width: 50px; text-align: center; display: none" class="item_qty" value="1" />
								N/A
							</td>
							<td style="text-align: center; width: 85px">
								<input type="text" class="v-text received_qty" name="received_qty[<?=$order->id?>]" qty="<?=$order->qty?>" style="font-size: 9pt; width: 50px; text-align: center; display:none" class="receive_qty" value="1" />
								N/A
							</td>		
							<td class="prices" style="width:80px;text-align: center">															
								<input type="text" class="item_list_price" style="font-size: 9pt" value="<?=str_replace(',','',number_format($order->price_per_unit,2))?>" />	<br />	
								<div style="display:none">
									&nbsp;Discount 									
									<label style="display:none" ><input type="radio" class="discount_type" name="item_discount_type[<?=$x?>]" value="p" <?php if ($order->discount_type == 'p') echo 'checked="checked"'?> style="display:inline;width: auto" /> (%)</label>				
									<label style="display:none" ><input type="radio" class="discount_type" name="item_discount_type[<?=$x?>]" value="d" <?php if ($order->discount_type == 'd') echo 'checked="checked"'?>style="display:inline;width: auto" /> (-)</label>
									<?php if ($order->discount_type == 'p') echo '%'; else '-'; ?>
									<input type="text" name="discount[<?=$x?>]" style="width: 30px" class="item_discount" value="<?=$order->discount?>" />					
								</div>
							</td>																		
							<td class="calculated" style="width: 90px">
								<p class="item_total_price" style="padding: 2px 0; margin: 0; text-align: right; display:none"><?=$order->price?></p>				
								<p class="item_price_discount" style="padding: 2px 0; margin: 0; text-align: right">0.00</p>						
							</td>															
							<td class="item_net_price" style="text-align: right; width: 90px">0.00</td>						
						</tr>
						<?php
							if ($order->discount_type == 'p') $dc = $order->price * ($order->discount / 100);
							elseif ($order->discount_type == 'd') $dc = $order->discount;
							$tax_summary[$order->tax_code] += ($order->price - $dc);
							$tax_code_taxable[$order->tax_code] += $order->taxable;
						?>
						<?php endif; ?>
					<?php $x++; endforeach; ?>			
	
					</tbody>
				</table>
				<table style="font-size: 9pt; width: 100%; margin-top: 3px" class="general noborder">
					<tbody>
						<tr>
							<td rowspan="<?php echo (5 + $tax_n); ?>"><div class="form-box" style="padding: 10px; height: 50px; width: 300px; border: 1px solid #ddd;"><strong>Remarks</strong><br /><?php echo str_replace("\r\n",'<br />', str_replace("\n",'<br />',$invoice->remarks));; ?></div></td>
							<td></td>
							<td style="text-align: right; font-weight: bold">Ordered</td>
							<td style="text-align: right; font-weight: bold">Delivered</td>
						</tr>
						<tr>
							<td style="text-align: right; padding-rigth: 10px" class="final">Total</td>
							<?php 
								$net_total	=	$invoice->total;
								#$net_total_display = $invoice->total + $invoice->handling_charges;
								foreach($taxes as $tax){
									if($tax->inclusive){
										$taxamount	=	0;
									}else{
										$taxamount	=	$tax->amount;	
									}
									
								}
								
								$total_charges = 0;
								foreach ($charges as $charge) $total_charges += $charge->amount;
								
								$net_total_display	=	$net_total - $taxamount;
								if ($invoice->adjustment_type == 'Add'){
									$net_total_display = $net_total_display - $invoice->adjustment;
								} else {
									$net_total_display = $net_total_display + $invoice->adjustment;
								}
								
								$net_total_display = $net_total_display - $invoice->handling_charges - $total_charges;
							
								
							
								
							?>
							<td class="final_net_total" style="text-align: right; width: 90px"><?php echo str_replace(',','',number_format($net_total_display,2)); ?></td>
							<td class="final_net_total_received" style="text-align: right; width: 90px">0.00</td>
						</tr>
						<tr>
							<td style="text-align: right; " class="final"> Delivery &amp; Handling Charges</td>
							<td><input type="text" name="sh_charges" class="extraCharges" style="text-align: right; width: 90px" value="<?=$invoice->handling_charges?>" /></td>
							<td><input type="text" name="sh_charges" class="extraCharges" style="text-align: right; width: 90px" value="<?=$invoice->handling_charges?>" /></td>
						</tr>
						<?php foreach ($charges as $charge): $percentage = $charge->percentage; ?>
						<tr>
							<td style="text-align: right;" class="final"> <?php echo $charge->name; ?>  (<?php echo $charge->percentage; ?>%)</td>
							<td style="text-align: right; width: 90px"><?php echo number_format($charge->amount,2); ?></td>
							<td style="text-align: right; width: 90px" class="charge"><?php echo number_format($charge->amount,2); ?></td>
						</tr>
						<?php endforeach; ?>
						<?php foreach ($taxes as $tax): $percentage = $tax->percentage; ?>
						<tr>
							<td style="text-align: right;" class="final"> <?php echo $tax->name; ?> <?php echo $tax->inclusive ? 'Inclusive' : ''; ?> (<?php echo number_format($tax->percentage); ?>%)</td>
							<td style="text-align: right; width: 90px"><?php echo number_format($tax->amount,2); ?></td>
							<td style="text-align: right; width: 90px" class="tax" inclusive="<?php echo $tax->inclusive ? '1' : '0'; ?>"><?php echo number_format($tax->amount,2); ?></td>
						</tr>
						<?php endforeach; ?>
						<tr>
							<td style="text-align: right;" class="final">Adjustment (<?php if ($adjustment_type == 'Add') echo '+'; else echo '-'?>)<?=form_dropdown('adjustment_type',array('Add'=>'Add','Deduct'=>'Deduct'), $invoice->adjustment_type)?></td>
							<td><input type="text" name="adjustment" class="adjustment" style="text-align: right; width: 90px" value="<?=$invoice->adjustment?>" /></td>
							<td><input type="text" name="adjustment" class="adjustment" style="text-align: right; width: 90px" value="<?=$invoice->adjustment?>" /></td>
						</tr>
						<tr>
							<td style="text-align: right;" class="final"><strong>GRAND TOTAL</strong></td>
							<td class="final_grand_total" style="font-weight: bold; text-align: right; width: 90px; border-top: 2px solid #000;"><?=$invoice->total; ?></td>
							<td class="final_grand_total_received" style="font-weight: bold; text-align: right; width: 90px; border-top: 2px solid #000"><?=$invoice->total_delivered; ?></td>
						</tr>
						<!--
						<?php if ($this->system->uses('Accounts')): ?>
						<?php $paid_amount = $this->account->Get_paid_amount('invoice',$invoice->id); ?>
						<?php if ($paid_amount): ?>
						<tr>
							<td style="text-align: right;" class="final">Amount Paid</td>
							<td class="amount_paid" style="text-align: right; width: 90px;"><?=$paid_amount; ?></td>
							<td class="amount_paid" style="text-align: right; width: 90px;"><?=$paid_amount; ?></td>
						</tr>
						<?php endif; ?>
						<tr>
							<td style="text-align: right;" class="final">Outstanding</td>
							<td class="amount_paid" style="text-align: right; width: 90px; "><?=number_format($invoice->total-$paid_amount,2); ?></td>
							<td class="amount_paid" style="text-align: right; width: 90px; "><?=number_format($invoice->total_delivered-$paid_amount,2); ?></td>
						</tr>
						<?php endif; ?>
						-->
					</tbody>
				</table>
				
				<hr />
				<?php if (count($taxes)): ?>
				<table class="general" style="width: 100%; ">
					<thead>
						<tr>
							<th>Tax Code</th>
							<th>Rate</th>
							<th>Amount Taxable</th>
							<th style="text-align: right">Tax</th>
						</tr>
					</thead>
					<tbody>
					<?php foreach ($tax_summary as $tax_code => $amount): ?>
					<?php
						$pct = ($tax_code_taxable[$tax_code] ? $percentage  : 0);
						if ($tax->inclusive){
							$amount = ($amount + $total_charges) / 106 * 100;
							
						} else {
							$amount = $amount + $total_charges;
						}
					?>
					<tr>
						<td><?php echo $tax_code; ?></td>
						<td><?php echo $pct; ?>%</td>
						<td><?php echo number_format($amount,2); ?></td>
						<td style="text-align: right"><?php echo number_format($amount*$pct/100,2); ?></td>
					</tr>
					<?php endforeach; ?>
					</tbody>
				</table>
				<?php endif; ?>
				
				
				<hr />
				
				<strong>Terms &amp; Conditions</strong>
				<p class="fineprint" style="font-size: 8pt; line-height: 100%"><?php echo $tnc; ?></p>
				<hr />
				<div style="font-size: 8pt; line-height: 100%;"><?php echo $footer; ?></div>
				
				<input type="hidden" name="grand_total" />
				
				<hr />
				
				<table style="font-size: 9pt; width: 100%; margin-top: 10px;" class="noborder">
					<tr>
						<td style="width: 50%; text-align: center">Authorized by</td>
						<td style="width: 50%; text-align: center">Received by</td>
					</tr>
					<tr>
						<td style="text-align: center; vertical-align: top"><br /><br />.....................................................<br /><?php echo $this->system->config('company_name'); ?></td>
						<td style="text-align: center; vertical-align: top"><br /><br />......................................................</td>
					</tr>
	
				</table>
				
				

			</form>
		</div>
	</div>
