<?php if (!$this->user->has_access('Sales')) die('You do not have the permissions to access this area.'); ?>

<script type="text/javascript">

$(document).ready(function(){
	
	$('ul.category-tabs a').click(function(e){
		e.preventDefault();
		$('div.tabs').hide();
		$($(this).attr('href')).show();
	});

	$('ul.category-tabs a.current').click();
	
});

</script>
		<div class="toolbar">
			<h3 class="grid-title">Currently Pending</h3>
			<div class="global-tabs">
			    <ul class="category-tabs">
			    	<li><a style="width: 130px" class="invoices current" href="#invoices">Invoices <?php echo count($pending_invoices) ? '(' . count($pending_invoices) .')' : ''; ?></a></li>
			    	<li><a style="width: 130px" class="sos" href="#sos">Sales Orders <?php echo count($pending_sos) ? '(' . count($pending_sos) .')' : ''; ?></a></li>
			    </ul>
			</div>
    		<table class="grid">
    			<thead>
    				<tr>
    					<th class="sortable" rel="1" style="width: 90px">Document No.</th>
    					<th class="sortable-date" rel="2" style="width: 90px">Date</th>
    					<th class="sortable" rel="3" >Customer</th>
    					<th class="sortable" rel="4" style="width: 90px">Term</th>
    					<th class="sortable" rel="5" style="width: 90px">Status</th>
    					<th class="sortable" rel="6" style="width: 90px">Payment</th>
    					<th class="sortable" rel="7" style="width: 100px">Amount (<?php echo $this->system->config('currency'); ?>)</th>							
						<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
    				</tr>
    			</thead>
    		</table>
		</div>
		
		<div class="main_full">
		
			<div class="tabs" id="sos">
				<table class="grid grid_data">
					<tbody>
						<?php $x=0; foreach ($pending_sos as $so): ?>
						<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
							<td rel="1" style="width: 90px"><?php echo 'SO-' . $so->txn_no; ?></td>
							<td rel="2" time="<?php echo strtotime($so->date);?>" style="width: 90px"><?php echo date('d/m/Y',strtotime($so->date)); ?></td>
							<td rel="3"><?php echo $so->contact; ?></td>
							<td rel="4" style="width: 90px"><?php echo $so->terms == 'Credit' ? $so->duration . ' days': 'Cash'; ?></td>
							<td rel="5" style="width: 90px"><?php echo $so->status; ?></td>
							<td rel="6" style="width: 90px">N/A</td>
							<td rel="7" style="text-align: right; width: 100px">
							<?php echo $so->total_received == 0 ? $so->total : $so->total_received; ?>
							</td>
							<td style="width: 75px; padding: 0">
								<?php if ($this->user->has_permission('to_view','sales')): ?><a class="grid-action grid-action-view" href="sales/so_view/<?=$so->id?>"><span>View</span></a><?php endif; ?>
								<?php if ($invoice->status == 'Pending'): ?>
								<?php if ($this->user->has_permission('to_edit','sales')): ?><a class="grid-action grid-action-edit" href="sales/so_edit/<?=$so->id?>"><span>Edit</span></a><?php endif; ?>
								<?php if ($this->user->has_permission('to_delete','sales')): ?><a class="grid-action grid-action-delete" href="sales/so_delete/<?=$so->id?>"><span>Delete</span></a><?php endif; ?>
								<?php endif; ?>
							</td>
						</tr>
						<?php $x++; endforeach; ?>
					</tbody>
				</table>
			</div>

		
			<div class="tabs" id="invoices">
				<table class="grid grid_data">
					<tbody>
						<?php $x=0; foreach ($pending_invoices as $invoice): ?>
						<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
							<td rel="1" style="width: 90px"><?php echo 'INV-' . $invoice->txn_no; ?></td>
							<td rel="2" time="<?php echo strtotime($invoice->date);?>" style="width: 90px"><?php echo date('d/m/Y',strtotime($invoice->date)); ?></td>
							<td rel="3"><?php echo $invoice->contact; ?></td>
							<td rel="4" style="width: 90px"><?php echo $invoice->terms == 'Credit' ? $invoice->duration . ' days': 'Cash'; ?></td>
							<td rel="5" style="width: 90px"><?php echo $invoice->status; ?></td>
							<td rel="6" style="width: 90px"><?php echo $invoice->payment_status; ?></td>
							<td rel="7" style="text-align: right; width: 100px">
							<?php echo $invoice->total_received == 0 ? $invoice->total : $invoice->total_received; ?>
							</td>
							<td style="width: 75px; padding: 0">
								<?php if ($this->user->has_permission('to_view','sales')): ?><a class="grid-action grid-action-view" href="sales/invoice_view/<?=$invoice->id?>"><span>View</span></a><?php endif; ?>
								<?php if ($invoice->status == 'Pending'): ?>
								<?php if ($this->user->has_permission('to_edit','sales')): ?><a class="grid-action grid-action-edit" href="sales/invoice_edit/<?=$invoice->id?>"><span>Edit</span></a><?php endif; ?>
								<?php if ($this->user->has_permission('to_delete','sales')): ?><a class="grid-action grid-action-delete" href="sales/invoice_delete/<?=$invoice->id?>"><span>Delete</span></a><?php endif; ?>
								<?php endif; ?>
							</td>
						</tr>
						<?php $x++; endforeach; ?>
					</tbody>
				</table>
			</div>

		</div>