<?php if (!$this->user->has_permission('to_edit_payment_gateway','Sales')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">


function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Payment Gateway','Payment gateway has been updated.');
		form_warning = false;
	} else if (status == 0) {
		showDialog('ok','Error','Payment gateway cannot be saved now. Please login again.');
		$('div.main_full').show();
		$('div.status').hide();
	} 
}

$(document).ready(function(){
	$('a.create').click(function(event){
		$('form.insert').submit();
		event.preventDefault();
	});
	
		
	$('form').submit(function(){
	
		var ok = true;
		$('input.mandatory').each(function(){
			if (!$(this).val()) ok = false;
		});
		
		if (!ok){
			showDialog('ok','Form Error','Please make sure you have filled the form correctly.');
			return false;
		}
		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>').show();
	});
	

})

</script>
	<div class="toolbar">
		<h3 class="grid-title"><a href="sales/payment_gateways" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn target_main">Back</a>Payment Gateway &raquo; <?php echo $pg->name; ?></h3>
		<div class="global-tabs" style="padding: 3px 5px">
			<a class="v-btn create">Save Payment Gateway</a>
		</div>

	</div>
	<div class="status">
	
	</div>

	<div class="main_full">
		<div class="main-container">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>

		<form class="insert" method="post" action="<?=base_url()?>sales/pg_edit/<?php echo $pg->id; ?>/do" target="postframe">
			<h3>Payment Gateway Information</h3>
			<p><span class="red">*</span> Mandatory fields</p>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Name <span class="red">*</span></td>
						<td class="input"><input value="<?php echo $pg->name; ?>" type="text" name="name" class="v-text mandatory" /></td>
					</tr>
					<tr>
						<td class="label">Namespace <span class="red">*</span></td>
						<td class="input"><input value="<?php echo $pg->namespace; ?>" type="text" name="namespace" class="v-text mandatory" /></td>
					</tr>
					<tr>
						<td class="label">Description</td>
						<td class="input"><textarea name="description" class="v-textarea"><?php echo $pg->description; ?></textarea></td>
					</tr>
					<tr>
						<td class="label">Transaction Charge (%) <span class="red">*</span></td>
						<td class="input"><input value="<?php echo $pg->percentage; ?>" type="text" name="percentage" class="v-text mandatory" /></td>
					</tr>
					<tr>
						<td class="label">Initiate Script <span class="red">*</span></td>
						<td class="input" style="padding: 1px 0px">
							<textarea id="initiate_code" name="initiate_script" class="v-textarea mandatory"><?php echo $pg->initiate_script; ?></textarea>
							<script>
								var editor = CodeMirror.fromTextArea(document.getElementById("initiate_code"), {
									lineNumbers: true,
									matchBrackets: true,
									mode: "text/x-php",
									indentUnit: 4,
									indentWithTabs: true,
									enterMode: "keep",
									tabMode: "shift"
								});
							</script>
						</td>
					</tr>
					<tr>
						<td class="label">Callback Script <span class="red">*</span></td>
						<td class="input" style="padding: 1px 0px">
							<textarea id="callback_code" name="callback_script" class="v-textarea mandatory"><?php echo $pg->callback_script; ?></textarea>
							<script>
								var editor = CodeMirror.fromTextArea(document.getElementById("callback_code"), {
									lineNumbers: true,
									matchBrackets: true,
									mode: "text/x-php",
									indentUnit: 4,
									indentWithTabs: true,
									enterMode: "keep",
									tabMode: "shift"
								});
							</script>
						</td>
					</tr>
					<tr>
						<td class="label">Status <span class="red">*</span></td>
						<td class="input"><?php echo form_dropdown('status', array('Inactive'=>'Inactive','Active'=>'Active'), $pg->status); ?></td>
					</tr>
				</tbody>
			</table>
		</form>
		</div>
	</div>
