<?php if (!$this->user->has_permission('to_view_payment_gateway','Sales')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">


function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Payment Gateway','Payment gateway has been updated.');
		form_warning = false;
	} else if (status == 0) {
		showDialog('ok','Error','Payment gateway cannot be saved now. Please login again.');
		$('div.main_full').show();
		$('div.status').hide();
	} 
}

$(document).ready(function(){
	$('a.create').click(function(event){
		$('form.insert').submit();
		event.preventDefault();
	});
	
		
	$('form').submit(function(){
	
		var ok = true;
		$('input.mandatory').each(function(){
			if (!$(this).val()) ok = false;
		});
		
		if (!ok){
			showDialog('ok','Form Error','Please make sure you have filled the form correctly.');
			return false;
		}
		
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>').show();
	});
	

})

</script>
	<div class="toolbar">
		<h3 class="grid-title"><a href="sales/payment_gateways" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn back_btn">Back</a>Payment Gateway &raquo; <?php echo $pg->name; ?></h3>

	</div>
	<div class="status">
	
	</div>

	<div class="main_full">
		<div class="main-container">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>

		<form>
			<h3>Payment Gateway Information</h3>
			<p><span class="red">*</span> Mandatory fields</p>
			<table class="general-form">
				<tbody>
					<tr>
						<td class="label">Name</td>
						<td class="input"><?php echo $pg->name; ?></td>
					</tr>
					<tr>
						<td class="label">Namespace</td>
						<td class="input"><?php echo $pg->namespace; ?></td>
					</tr>
					<tr>
						<td class="label">Description</td>
						<td class="input"><?php echo $pg->description; ?></td>
					</tr>
					<tr>
						<td class="label">Transaction Charge (%) </td>
						<td class="input"><?php echo $pg->percentage; ?></td>
					</tr>
					<tr>
						<td class="label">Initiate Script</td>
						<td class="input"><textarea name="initiate_script" readonly="readonly" class="v-textarea mandatory"><?php echo $pg->initiate_script; ?></textarea></td>
					</tr>
					<tr>
						<td class="label">Callback Script</td>
						<td class="input"><textarea name="callback_script" readonly="readonly" class="v-textarea mandatory"><?php echo $pg->callback_script; ?></textarea></td>
					</tr>
					<tr>
						<td class="label">Status</td>
						<td class="input"><?php echo $pg->status; ?></td>
					</tr>
				</tbody>
			</table>
		</form>
		</div>
	</div>
