
<?php if (!$this->user->has_permission('to_view_quotation','Sales')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

reload_data = 'limit=100';

function filterItems(){
	var number = $('input.filter-number').val();
	var date_from = $('input.filter-date-from').val();
	var date_to = $('input.filter-date-to').val();
	var status = $('select.filter-status').val();
	var term = $('select.filter-term').val();
	var contact = $('select.filter-contact').val();

	
	$('table.grid tbody').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	
	$.ajax({
		url: base_url + 'sales/quotes_filter',
		type: 'POST',
		data: 'number='+number+'&date_from='+date_from+'&date_to='+date_to+'&status='+status+'&term='+term+'&contact='+contact,
		success: function (result){
			$('div.main_full').html(result);
			populateEvents();
		}
	})
}

function reloadGrid(){
	$.ajax({
    	url: base_url + 'sales/quotes_filter',
    	type: 'POST',
    	data: reload_data,
    	success: function (result){
    		$('div.main_full').html(result);
    		$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
    		populateEvents();
    		
    		if (reload_sort){
    			$('th.sortable[rel='+reload_sort+']').addClass(reload_order).click();
    		}
    		
    	}
    });
}

</script>
		<div class="toolbar">
			<h3 class="grid-title">

				<?php if ($this->user->has_permission('to_create_quotation','Sales')): ?>
						<a href="sales/quote_add" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">New Quote</a>
				<?php endif; ?>
				Quotes
			</h3>
			
			
			<div class="global-tabs" style="padding: 5px; font-size: 10pt">
				<a class="v-btn show-filter-controls icon-search">Search</a>
			</div>
	
			<div class="modal-filter-form filter" style="font-size: 10pt;">
				<div class="triangle"></div>
				<table>
					<tr>					
		    			<td>Quote No.</td>
		    			<td><input type="text" name="number" class="v-text filter-number" style="width: 80px;" /></td>
					</tr>
					<tr>
		    			<td>From</td>
		    			<td><input type="text" name="date_from" class="v-text date filter-date-from" style="width:80px;" /></td>
					</tr>
					<tr>
		    			<td>To</td>
		    			<td><input type="text" name="date_to" class="v-text date filter-date-to" style="width: 80px;" /></td>
					</tr>
					<tr>
		    			<td>Customer</td>
		    			<td><?php echo form_dropdown('contact', $contacts_dropdown, '', 'class="v-dropdown filter-contact" style="width: 105px; font-size: 10pt"'); ?></td>
					</tr>
					<tr>
						<td>Status</td>
						<td><?php echo form_dropdown('status', array('Select','Created'=>'Created','Pending'=>'Pending','Pending Revision'=>'Pending Revision','Rejected'=>'Rejected','Accepted'=>'Accepted'), '', 'class="v-dropdown filter-status" style="width: 105px; font-size: 10pt"'); ?></td>
					</tr>
				</table>
				<hr />
    			<a class="v-btn filter-btn search">Filter</a>
			</div>
    		
    		<table class="grid">
    			<thead>
    				<tr>
    					<th class="sortable-date" rel="1" style="width: 90px">Quote No.</th>
    					<th class="sortable-date" rel="2" style="width: 90px">Date</th>
    					<th class="sortable" rel="3" >Contact</th>
    					<th class="sortable" rel="4" style="width: 90px">Status</th>
    					<th class="sortable" rel="5" style="width: 100px">Amount (<?php echo $this->system->config('currency'); ?>)</th>							
						<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
    				</tr>
    			</thead>
    		</table>
		</div>
		
		<div class="main_full">
			<table class="grid grid_data">
				<tbody>
					<?php $x=0; foreach ($quotes as $quote): ?>
					<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ?>>
						<td rel="1" class="sortable-date" time="<?php echo $quote->txn_no; ?>" style="width: 90px"><?php echo 'QUO-' . $quote->txn_no; ?></td>
						<td rel="2" class="sortable-date" time="<?php echo strtotime($quote->date);?>" style="width: 90px"><?php echo date('d/m/Y',strtotime($quote->date)); ?></td>
						<td rel="3" class="sortable"><?php echo $quote->contact; ?></td>
						<td rel="4" class="sortable" style="width: 90px"><?php echo $quote->status; ?></td>
						<td rel="5" class="sortable" style="text-align: right; width: 100px"><?php echo $quote->total_received == 0 ? $quote->total : $quote->total_received; ?></td>
						<td style="width: 75px; padding: 0">
							<?php if ($this->user->has_permission('to_view_quotation','Sales')): ?><a class="grid-action grid-action-view" href="sales/quote_view/<?=$quote->id?>"><span>View</span></a><?php endif; ?>
							<?php if ($quote->status != 'Accepted' || $quote->status != 'Rejected'): ?>
							<?php if ($this->user->has_permission('to_edit_quotation','Sales')): ?><a class="grid-action grid-action-edit" href="sales/quote_edit/<?=$quote->id?>"><span>Edit</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_delete_quotation','Sales')): ?><a class="grid-action grid-action-delete" href="sales/quote_delete/<?=$quote->id?>"><span>Delete</span></a><?php endif; ?>
							<?php endif; ?>
						</td>
					</tr>
					<?php $x++; endforeach; ?>
					<?php if ($x == 0): ?>
					<tr class="alt">
						<td colspan="6"><strong>There are no Quotes.</strong></td>
					</tr>
					<?php endif; ?>
				</tbody>
			</table>
		</div>