	<table class="grid grid_data">
			<tbody>
				<?php $x = 0; foreach ($transactions as $tx): ?>
				
				
				<?php if ($tx->amount_cc == 0 && $tx->amount_cheque == 0 && $tx->amount_credit == 0 && $tx->amount_bank_deposit == 0): ?>
				<tr <?php echo $x%2 == 0 ? 'class="alt"': ''; ; ?>>
					<td style="width: 150px"><?php echo date('d/m/Y h:iA',strtotime($tx->datetime)); ?></td>
					<td style="width: 150px"><a href="sales/edit_sales/<?php echo $tx->id; ?>" class="target_main"><?php echo 'SA-'.$tx->txn_no; ?></a></td>
					<td>Cash 
						<?php 
							if ($tx->customer_id): 
								echo ' - ' . ($contacts[$tx->customer_id]->company_name ? $contacts[$tx->customer_id]->company_name . ' (' . $contacts[$tx->customer_id]->contact_person .')': $contacts[$tx->customer_id]->contact_person);
							endif;
						?>	
					</td>
					<td style="width: 100px; text-align: right"><?php echo number_format($tx->amount,2); ?></td>
					<td style="width: 100px; text-align: right"><?php echo number_format($tx->amount - $tx->cost,2); ?></td>			
					<?php 
						$total_debit += $tx->amount;
						$total_gp += $tx->amount - $tx->cost;
					?>
				</tr>

				
				<?php else: ?>
				
				<?php
					$date = date('d/m/Y h:iA',strtotime($tx->datetime));
					if ($this->user->has_permission('to_edit_cash_sales','Sales')){
						$ref = '<a href="sales/edit_sales/'.$tx->id.'" class="target_main">' . 'SA-'.$tx->txn_no . '<a/>';
					} else {
						$ref = 'SA-'.$tx->txn_no;
					}
					$total_gp += $tx->amount - $tx->cost;
					$gp = number_format($tx->amount - $tx->cost,2);
				
					if ($tx->customer_id): 
						$cust = ' - ' . ($contacts[$tx->customer_id]->company_name ? $contacts[$tx->customer_id]->company_name . ' (' . $contacts[$tx->customer_id]->contact_person .')': $contacts[$tx->customer_id]->contact_person);
					endif;
				?>	
				
				<?php if ($tx->amount_cash > 0): ?>

				<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ; ?>>
					<td style="width: 150px"><?php echo $date; ?></td>
					<td style="width: 150px"><?php echo $ref; ?></td>
					<td><?php echo 'Cash' . $cust ?></td>
					<td style="width: 100px; text-align: right"><?php echo number_format($tx->amount_cash,2); ?></td>
					<td style="width: 100px; text-align: right"><?php echo $gp; ?></td>			
					<?php 
						$total_debit += $tx->amount_cash;
						$date = $ref = null;
						$gp = null;
						$cust = null;
					?>
				</tr>
				<?php endif; ?>
				
				<?php if ($tx->amount_credit > 0): ?>
				<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ; ?>>
					<td style="width: 150px"><?php echo $date; ?></td>
					<td style="width: 150px"><?php echo $ref; ?></td>
					<td><?php echo 'Credit' . $cust ?></td>
					<td style="width: 100px; text-align: right"><?php echo number_format($tx->amount_credit,2); ?></td>
					<td style="width: 100px; text-align: right"><?php echo $gp; ?></td>			
					<?php 
						$total_debit += $tx->amount_credit;
						$date = $ref = null;
						$gp = null;
						$cust = null;
					?>
				</tr>
				<?php endif; ?>
				
				<?php if ($tx->amount_cheque > 0): ?>
				<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ; ?>>
					<td style="width: 150px"><?php echo $date; ?></td>
					<td style="width: 150px"><?php echo $ref; ?></td>
					<td><?php echo 'Cheque Payment' . $cust ?></td>
					<td style="width: 100px; text-align: right"><?php echo number_format($tx->amount_cheque,2); ?></td>
					<td style="width: 100px; text-align: right"><?php echo $gp; ?></td>			
					<?php 
						$total_debit += $tx->amount_cheque;
						$date = $ref = null;
						$gp = null;
						$cust = null;
					?>
				</tr>
				<?php endif; ?>
				
				
				<?php if ($tx->amount_bank_deposit > 0): ?>
				<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ; ?>>
					<td style="width: 150px"><?php echo $date; ?></td>
					<td style="width: 150px"><?php echo $ref; ?></td>
					<td><?php echo 'Bank Deposit' . $cust; ?></td>
					<td style="width: 100px; text-align: right"><?php echo number_format($tx->amount_bank_deposit,2); ?></td>
					<td style="width: 100px; text-align: right"><?php echo $gp; ?></td>			
					<?php 
						$total_debit += $tx->amount_bank_deposit;
						$date = $ref = null;
						$gp = null;
						$cust = null;
					?>
				</tr>
				<?php endif; ?>


				<?php if ($tx->amount_cc > 0): ?>
				<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ; ?>>
					<td style="width: 150px"><?php echo $date; ?></td>
					<td style="width: 150px"><?php echo $ref; ?></td>
					<td><?php echo 'Credit Card Payment' . $cust; ?></td>
					<td style="width: 100px; text-align: right"><?php echo number_format($tx->amount_cc,2); ?></td>
					<td style="width: 100px; text-align: right"><?php echo $gp; ?></td>			
					<?php 
						$total_debit += $tx->amount_cc;
						$date = $ref = null;
						$gp = null;
						$cust = null;
					?>
				</tr>
				<?php endif; ?>

					
				<?php endif; ?>
				<?php $x++; endforeach; ?>
				<tr class="total">
					<td style="text-align: right" colspan="3">Total</td>
					<td class="dark" style="text-align: center; width: 100px"><?php echo number_format($total_debit, 2); ?></td>
					<td class="dark" style="text-align: center; width: 100px"><?php echo number_format($total_gp, 2); ?></td>
				</tr>
			</tbody>
		</table>
