<?php if (!$this->user->has_permission('to_view_cash_sales','Sales')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

$(document).ready(function(){

	$('div.filter input').keypress(function(e){
		
		if (e.which == 13) filterItems();
	});
	
	$('div.filter select').keypress(function(e){
		if (e.which == 13) filterItems();
	});
	
	$('a.filter-btn').click(function(){
		filterItems();
	});
});

function filterItems(){
	var date_from 	= $('input.filter-date-from').val();
	var date_to 	= $('input.filter-date-to').val();
	var time_from 	= $('input.filter-time-from').val();
	var time_to 	= $('input.filter-time-to').val();
	var receipt_no 	= $('input.receipt-no').val();
	
	$('table.grid tbody').html('<td colspan="5" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	
	$.ajax({
		url: base_url + 'sales/sales_filter',
		type: 'POST',
		data: 'date_from='+date_from+'&date_to='+date_to+'&time_from='+time_from+'&time_to='+time_to+'&receipt_no='+receipt_no,
		success: function (result){
			$('div.main_full').html(result);
		}
	})
}

</script>

	<div class="toolbar">
		<h3 class="grid-title">Sales</h3>
		<div class="global-tabs" style="padding: 5px; font-size: 10pt">
			<a class="v-btn show-filter-controls icon-search">Search</a>
		</div>
	
		<div class="modal-filter-form filter" style="font-size: 10pt;">
			<div class="triangle"></div>
			<table>
				<tr>
					<td>From</td>
					<td><input value="<?php echo $date_from; ?>" type="text" name="date_from" class="v-text date filter-date-from" style="width: 75px;" /> 
						<input value="<?php echo $time_from; ?>" type="text" name="time_from" class="v-text time filter-time-from" style="width: 75px;" />
					</td>
				</tr>
				<tr>
					<td>To</td>
					<td>
						<input value="<?php echo $date_to; ?>" type="text" name="date_to" class="v-text date filter-date-to" style="width: 75px;" />
						<input value="<?php echo $time_to; ?>" type="text" name="time_to" class="v-text time filter-time-to" style="width: 75px;" />
					</td>
				</tr>
				<tr>
					<td>Receipt No.</td>
					<td><input type="text" name="receipt_no" class="v-text receipt-no" style="width: 75px" /></td>
				</tr>
			</table>
			<hr />
			<a class="v-btn filter-btn search">Filter</a>
		</div>
		<table class="grid">
			<thead>
				<tr>
					<th style="width: 150px">Date</th>
					<th style="width: 150px">Reference No.</th>
					<th>Transaction Details</th>
					<th style="width: 100px">Amount (<?php echo $this->system->config('currency'); ?>)</th>
					<th style="width: 100px">Gross Profit (<?php echo $this->system->config('currency'); ?>)</th>
					<th style="width: 15px; padding: 0"></th>
				</tr>
			</thead>
		</table>
	</div>
	<div class="main_full">
		<table class="grid grid_data">
			<tbody>
				<?php $x = 0; foreach ($transactions as $tx): ?>
				
				
				<?php if ($tx->amount_cc == 0 && $tx->amount_cheque == 0 && $tx->amount_credit == 0 && $tx->amount_bank_deposit == 0): ?>
				<tr <?php echo $x%2 == 0 ? 'class="alt"': ''; ; ?>>
					<td style="width: 150px"><?php echo date('d/m/Y h:iA',strtotime($tx->datetime)); ?></td>
					<td style="width: 150px"><a href="sales/edit_sales/<?php echo $tx->id; ?>" class="target_main"><?php echo 'SA-'.$tx->txn_no; ?></a></td>
					<td>Cash 
						<?php 
							if ($tx->customer_id): 
								echo ' - ' . ($contacts[$tx->customer_id]->company_name ? $contacts[$tx->customer_id]->company_name . ' (' . $contacts[$tx->customer_id]->contact_person .')': $contacts[$tx->customer_id]->contact_person);
							endif;
						?>	
					</td>
					<td style="width: 100px; text-align: right"><?php echo number_format($tx->amount,2); ?></td>
					<td style="width: 100px; text-align: right"><?php echo number_format($tx->amount - $tx->cost,2); ?></td>			
					<?php 
						$total_debit += $tx->amount;
						$total_gp += $tx->amount - $tx->cost;
					?>
				</tr>

				
				<?php else: ?>
				
				<?php
					$date = date('d/m/Y h:iA',strtotime($tx->datetime));
					if ($this->user->has_permission('to_edit_cash_sales','Sales')){
						$ref = '<a href="sales/edit_sales/'.$tx->id.'" class="target_main">' . 'SA-'.$tx->txn_no . '<a/>';
					} else {
						$ref = 'SA-'.$tx->txn_no;
					}
					$total_gp += $tx->amount - $tx->cost;
					$gp = number_format($tx->amount - $tx->cost,2);
				
					if ($tx->customer_id): 
						$cust = ' - ' . ($contacts[$tx->customer_id]->company_name ? $contacts[$tx->customer_id]->company_name . ' (' . $contacts[$tx->customer_id]->contact_person .')': $contacts[$tx->customer_id]->contact_person);
					endif;
				?>	
				
				<?php if ($tx->amount_cash > 0): ?>

				<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ; ?>>
					<td style="width: 150px"><?php echo $date; ?></td>
					<td style="width: 150px"><?php echo $ref; ?></td>
					<td><?php echo 'Cash' . $cust ?></td>
					<td style="width: 100px; text-align: right"><?php echo number_format($tx->amount_cash,2); ?></td>
					<td style="width: 100px; text-align: right"><?php echo $gp; ?></td>			
					<?php 
						$total_debit += $tx->amount_cash;
						$date = $ref = null;
						$gp = null;
						$cust = null;
					?>
				</tr>
				<?php endif; ?>
				
				<?php if ($tx->amount_credit > 0): ?>
				<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ; ?>>
					<td style="width: 150px"><?php echo $date; ?></td>
					<td style="width: 150px"><?php echo $ref; ?></td>
					<td><?php echo 'Credit' . $cust ?></td>
					<td style="width: 100px; text-align: right"><?php echo number_format($tx->amount_credit,2); ?></td>
					<td style="width: 100px; text-align: right"><?php echo $gp; ?></td>			
					<?php 
						$total_debit += $tx->amount_credit;
						$date = $ref = null;
						$gp = null;
						$cust = null;
					?>
				</tr>
				<?php endif; ?>
				
				<?php if ($tx->amount_cheque > 0): ?>
				<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ; ?>>
					<td style="width: 150px"><?php echo $date; ?></td>
					<td style="width: 150px"><?php echo $ref; ?></td>
					<td><?php echo 'Cheque Payment' . $cust ?></td>
					<td style="width: 100px; text-align: right"><?php echo number_format($tx->amount_cheque,2); ?></td>
					<td style="width: 100px; text-align: right"><?php echo $gp; ?></td>			
					<?php 
						$total_debit += $tx->amount_cheque;
						$date = $ref = null;
						$gp = null;
						$cust = null;
					?>
				</tr>
				<?php endif; ?>
				
				
				<?php if ($tx->amount_bank_deposit > 0): ?>
				<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ; ?>>
					<td style="width: 150px"><?php echo $date; ?></td>
					<td style="width: 150px"><?php echo $ref; ?></td>
					<td><?php echo 'Bank Deposit' . $cust; ?></td>
					<td style="width: 100px; text-align: right"><?php echo number_format($tx->amount_bank_deposit,2); ?></td>
					<td style="width: 100px; text-align: right"><?php echo $gp; ?></td>			
					<?php 
						$total_debit += $tx->amount_bank_deposit;
						$date = $ref = null;
						$gp = null;
						$cust = null;
					?>
				</tr>
				<?php endif; ?>


				<?php if ($tx->amount_cc > 0): ?>
				<tr <?php echo $x%2 == 0 ? 'class="alt"' : ''; ; ?>>
					<td style="width: 150px"><?php echo $date; ?></td>
					<td style="width: 150px"><?php echo $ref; ?></td>
					<td><?php echo 'Credit Card Payment' . $cust; ?></td>
					<td style="width: 100px; text-align: right"><?php echo number_format($tx->amount_cc,2); ?></td>
					<td style="width: 100px; text-align: right"><?php echo $gp; ?></td>			
					<?php 
						$total_debit += $tx->amount_cc;
						$date = $ref = null;
						$gp = null;
						$cust = null;
					?>
				</tr>
				<?php endif; ?>

					
				<?php endif; ?>
				<?php $x++; endforeach; ?>
				<tr class="total">
					<td style="text-align: right" colspan="3">Total</td>
					<td class="dark" style="text-align: center; width: 100px"><?php echo number_format($total_debit, 2); ?></td>
					<td class="dark" style="text-align: center; width: 100px"><?php echo number_format($total_gp, 2); ?></td>
				</tr>
			</tbody>
		</table>
	</div>