<?php if (!$this->user->has_access('Services')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

function filterItems(){
	var company = $('input.filter-company').val();
	var contact = $('input.filter-contact').val();

	var is_supplier = $('input.is_supplier').attr('checked') ? 1 : 0;
	var is_customer = $('input.is_customer').attr('checked') ? 1 : 0;
	var is_debtor = $('input.is_debtor').attr('checked') ? 1 : 0;
	var is_creditor = $('input.is_creditor').attr('checked') ? 1 : 0;
	
	$('table.grid_data tbody').html('<td colspan="7" style="text-align: center; padding: 20px"><img src="'+base_url+'images/loading.gif" /> Loading</td>');
	
	
	$.ajax({
		url: base_url + 'contacts/contacts_filter',
		type: 'POST',
		data: 'company='+company+'&contact='+contact+'&is_supplier='+is_supplier+'&is_customer='+is_customer+'&is_debtor='+is_debtor+'&is_creditor='+is_creditor,
		success: function (result){
			$('div.main_full').html(result);
			$('th.sortable').removeClass('sort-asc').removeClass('sort-desc');
			populateEvents();
		}
	})
}

</script>
		<div class="toolbar">
			<h3 class="grid-title">
				<?php if ($this->user->has_permission('to_create_service','Services')): ?><a href="services/add" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">Add Service</a><?php endif; ?>
				Services
			</h3>
			<table class="grid">
				<thead>
					<tr>
						<th class="sortable" rel="0">Service</th>
						<th class="sortable" rel="1" style="width: 150px">Category</th>
						<th class="sortable" rel="2" style="width: 150px">Subcategory</th>
						<th class="sortable" rel="3" style="width: 100px">Cost</th>
						<th class="sortable" rel="4" style="width: 100px">Price</th>
						<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
						<th style="width: 15px; padding: 0;"></th>
					</tr>
				</thead>
			</table>
		</div>
		<div class="main_full">
			<table class="grid grid_data">	
				<tbody>
					<?php $x = 0; foreach ($services as $service): $x++; ?>
					<tr<?php if ($x%2) echo ' class="alt"'; ?>>
						<td rel="0"><?php echo $service->name; ?></td>
						<td rel="1" style="width: 150px"><?php echo $service->category; ?></td>
						<td rel="2" style="width: 150px"><?php echo $service->subcategory; ?></td>
						<td rel="4" style="width: 100px; text-align: right"><?php echo $service->cost; ?></td>
						<td rel="5" style="width: 100px; text-align: right"><?php echo $service->price; ?></td>
						<td style="width: 75px; padding: 0">
							<?php if ($this->user->has_permission('to_view_service','Services')): ?><a class="grid-action grid-action-view target_main" href="services/view/<?=$service->id?>"><span>View</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_edit_service','Services')): ?><a class="grid-action grid-action-edit target_main" href="services/edit/<?=$service->id?>"><span>Edit</span></a><?php endif; ?>
							<?php if ($this->user->has_permission('to_delete_service', 'Services')): ?><a class="grid-action grid-action-delete" href="services/delete/<?=$service->id?>"><span>Delete</span></a><?php endif; ?>
						</td>
					</tr>
					<?php endforeach; ?>
				</tbody>
			</table>
		</div>