<script type="text/javascript">
var name;
var type;
var cc;
var effect;
var tax;
$(document).ready(function(){

	$('a.new-cc').click(function(event){
		event.preventDefault();
		hideModalForm('edit-cc');
		showModalForm('new-cc');
	});
	
	$('#new-cc form').submit(function(){
		if (!$('#new-cc input[name=name]').val()){
			$('#new-cc input[name=name]').focus();
			return false;
		}

		name = $('#new-cc input[name=name]').val();
		cc = $('#new-cc input[name=percentage]').val();
		tax = $('#new-cc input[name=tax]').val();
		effect = $('#new-cc input[name=enabled][checked=true]').val();
		
		if (effect == 1) effect = 'Yes';
		else effect = 'No';

		if (cc == 0){
			showDialog('ok','Error','cc value cannot be 0.');
			return false;
		}
		
		hideModalForm('new-cc');
	});
	
	$('#edit-cc').submit(function(){
		if (!$('#edit-cc input[name=name]').val()){
			$('#edit-cc input[name=name]').focus();
			return false;
		}
		name = $('#edit-cc input[name=name]').val();
		cc = $('#edit-cc input[name=percentage]').val();
		tax = $('#edit-cc input[name=tax]').val();
		effect = $('#edit-cc input[name=enabled][checked=true]').val();
		
		if (effect == 1) effect = 'Yes';
		else effect = 'No';
		
		if (cc == 0){
			showDialog('ok','Error','cc value cannot be 0.');
			return false;
		}
		hideModalForm('edit-cc');
	});
	
	populatePageActions();
});

function populatePageActions(){
	populateEvents();
	
	$('a.grid-action-edit-form').click(function(e){

		var rel = $(this).parents('tr').attr('rel');
		hideModalForm('new-cc');
		showModalForm('edit-cc');
		var name = $(this).parents('tr').children('td.name').text();
		var type = $(this).parents('tr').children('td.type').text();
		var percentage = $(this).parents('tr').children('td.percentage').text();
		var effect = $(this).parents('tr').children('td.effect').text();

		$('#edit-cc form input[name=name]').val(name);

		if (type == 'Product and Services'){
			$('#edit-cc form select[name=type]').attr('selectedIndex','1');
		} else {
			$('#edit-cc form select[name=type]').attr('selectedIndex','0');		
		}
		
		$('#edit-cc form input[name=percentage]').val(percentage);
		
		if (effect == 'Yes'){
			$('#edit-cc form input[name=enabled][value=1]').attr('checked',true);
		} else {
			$('#edit-cc form input[name=enabled][value=0]').attr('checked',true);
		}

		$('#edit-cc form input[name=id]').val(rel);
		
		e.preventDefault();
	});
	
	$('a.cc-save').click(function(){
		$(this).parents('form').submit();
	});
	
	$('#new-cc a.cc-discard').click(function(){
		hideModalForm('new-cc');
		$('form.new-cc').clearForm();
	});
	
	$('#edit-cc a.cc-discard').click(function(){
		hideModalForm('edit-cc');
		$('form.edit-cc').clearForm();
	});

	
}

function readyAdd(state,id){
	if (state == 'success'){
		goTo('settings/credit_cards');
	} else {
		showDialog('ok','Error','There has been an error creating new cc.');
	}
}

function readyEdit(state, id){
	if (state == 'success'){
		goTo('settings/credit_cards');
	} else {
		showDialog('ok','Error','There has been an error updating the cc.');
	}
}


</script>



	
	
<div id="edit-cc" class="global-modal-form" style="height: 210px; width: 350px">
	<div class="global-modal-form-body">
	<iframe id="postframe_edit" name="postframe_edit" src="<?php echo base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
	<h3>Edit Credit Card</h3>
	<form class="edit_cc" action="settings/edit_cc/do" target="postframe_edit" method="post">
		<input type="hidden" name="id" />
		<table class="grid-form grid-form-transparent" style="font-size: 10pt;">
			<tr>
				<td class="label cc-name">Type</label>
				<td><input type="text" name="name" class="v-text" style="width: 100%" /></td>
			</tr>
			<tr>
				<td class="label">Percentage</td>
				<td><input type="text" name="percentage" class="v-text v-number-decimal" /> %</td>
			</tr>
			<tr>
				<td class="label">Tax</td>
				<td><input type="text" name="tax" class="v-text v-number-decimal" /> %</td>
			</tr>
			<tr>
				<td class="label">In Effect</td>
				<td>
					<label><input type="radio" name="enabled" value="1" /> Yes</label>
					<label><input type="radio" name="enabled" value="0" /> No</label>
				</td>
			</tr>
		</table>
		<hr />
		<p class="align-right action-button-all"><a class="v-dbtn cc-save">Save</a> <a class="v-dbtn cc-discard">Cancel</a></p>
		<p class="align-right action-button-cancel" style="display:none"><a class="v-dbtn cc-discard">Close</a></p>
	</form>
	</div>
</div>

<div id="new-cc" class="global-modal-form" style="height: 210px; width: 350px">
	<div class="global-modal-form-body">
	<iframe id="postframe" name="postframe" src="<?php echo base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
	<h3>New Credit Card</h3>
	<form class="add_cc" action="settings/add_cc/do" target="postframe" method="post">
		<input type="hidden" name="id" />
		<table class="grid-form grid-form-transparent" style="font-size: 10pt">
			<tr>
				<td class="label cc-name">Type</label>
				<td><input type="text" name="name" class="v-text" style="width: 100%" /></td>
			</tr>
			<tr>
				<td class="label">Percentage</td>
				<td><input type="text" name="percentage" class="v-text v-number-decimal" /> %</td>
			</tr>
			<tr>
				<td class="label">Tax</td>
				<td><input type="text" name="tax" class="v-text v-number-decimal" /> %</td>
			</tr>
			<tr>
				<td class="label">In Effect</td>
				<td>
					<label><input type="radio" name="enabled" value="1" checked="checked" /> Yes</label>
					<label><input type="radio" name="enabled" value="0" /> No</label>
				</td>
			</tr>
		</table>
		<hr />
		<p class="align-right"><a class="v-dbtn cc-save">Save</a> <a class="v-dbtn cc-discard">Discard</a></p>
	</form>
	</div>
</div>
	
	
	
	<div class="toolbar">
		<h3 class="grid-title">
			<?php if ($this->user->has_permission('to_add','cc')): ?><a class="new-cc v-btn float_right" style="padding:0 10px; font-weight: normal">Add Credit Card</a><?php endif; ?>
			Credit Card Calculations
		</h3>
		<table class="grid" rel="cc">
			<thead>
				<tr>
					<th rel="0" class="sortable">Credit Card</th>
					<th rel="1" class="sortable" style="width: 100px">Value (%)</th>
					<th rel="3" class="sortable" style="width: 100px">Tax (%)</th>
					<th rel="2" class="sortable" style="width: 100px">In Effect</th>

					<th class="grid-action" style="text-align: center; width: 50px"><img src="<?php echo base_url()?>images/email-action.gif" alt="Action" /></th>
					<th style="width: 15px; padding: 0;"></th>
				</tr>
			</thead>
		</table>
	</div>
	<div class="main_full">

		<table class="grid grid_data">
			<tbody>
				<?php $x = 0; foreach ($cces as $cc): $x++; ?>
				<tr <?php if ($x%2) echo ' class="alt"'; ?>rel="<?php echo $cc->id?>">
					<td rel="0" class="name"><?php echo $cc->name?></td>
					<td	rel="1" style="width: 100px" class="percentage"><?php echo number_format($cc->percentage,3)?></td>
					<td rel="3" style="width: 100px" class="tax"><?php echo $cc->tax; ?></td>
					<td	rel="2" style="width: 100px" class="effect"><?php echo $cc->enabled ? 'Yes' : 'No' ?></td>
					<td style="width: 50px; padding: 0">
						<a class="grid-action grid-action-delete" href="settings/delete_cc/<?php echo $cc->id?>"><span>Delete</span></a>	
						<a class="grid-action grid-action-edit-form" rel="<?php echo $cc->id?>"><span>Edit</span></a>
					</td>
				</tr>
				<?php endforeach; ?>
			</tbody>
		</table>					
	</div>
