<?php if (!$this->user->has_access('settings')) die('You do not have the permissions to access this area.'); ?>
<?php if (!$this->user->has_permission('to_change_permissions','settings')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var content;

function readyPost(action,status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Edit User Type','User type has been updated successfully.');
	} else if (status == 2) {
		showDialog('ok','Error','User type already exist. Please choose a different name.');
		$('div.main_full').show();
		$('div.status').hide();
	} else {
		showDialog('ok','Error','There has been an error saving the record.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}

$(document).ready(function(){
	$('a.save').click(function(event){
		$('form.update').submit();
		event.preventDefault();
	});
	
	$('form').submit(function(){
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
})

</script>
	<div class="status">
	
	</div>
	<div class="toolbar">
		<h3 class="grid-title"><a href="settings/permissions" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn target_main">Back</a>Edit User Type</h3>
		<div class="global-tabs" style="padding: 5px">
			<a class="v-btn save">Save Permission</a>
		</div>
	</div>
	<div class="main_full">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>

		<div class="main-container">

		<form class="update" method="post" action="<?=base_url()?>settings/edit_user_type/<?=$permission->id?>/do" target="postframe">
			<h3>User Type</h3>
			<table class="general-form">
				<tr class="two">
					<td class="label">User Type</td>
					<td class="input"><input type="text" name="type" class="text" value="<?=$permission->user_type?>" /></td>
				</tr>
			</table>
			<h3 class="general-form-header">Permissions</h3>
			<table class="general-form">
				<?php $allowed_modules = explode(',', $permission->module); ?>
				<?php foreach($modules as $module): ?>
				<?php if ($this->system->uses($module->name)): $mname = $module->name; ?>
				
					<?php if ($module->common): ?>
						<?php 
							$actions = json_decode($permission->action);
							$p_action = $actions->{$mname};
						?>

						<tr class="two">
							<td class="label" style="vertical-align: top"><?=$module->name?>  <input type="checkbox" name="modules[]" checked="checked" disabled="disabled" value="<?=trim($mname)?>" /></td>
							<td class="input">
								<?php
									$actions = explode("\n", $module->actions);
								?>
								<?php foreach ($actions as $action): ?>
									<?php if (strpos($action,'|')): list($subaction, $desc) = explode('|', $action); ?>
									<input type="checkbox" <?php if($p_action->{$subaction}) echo 'checked="checked"'; ?> name="action[<?=trim($mname)?>][<?php echo trim($subaction); ?>]" value="1" /><?php echo $desc; ?><br />
									<?php else: ?>
									<strong><?php echo $action; ?></strong><br />
									<?php endif; ?>
								<?php endforeach; ?>
							</td>
						</tr>
					<?php else: ?>
						<?php 
							$actions = json_decode($permission->action);
							$p_action = $actions->{$mname};
						?>
						<tr class="two">
							<td class="label" style="vertical-align: top"><?=$module->name?> <input type="checkbox" name="modules[]" <?php if (in_array($mname,$allowed_modules)) echo 'checked="checked"'; ?> value="<?=trim($mname)?>" /></td>
							<td class="input">
								<?php
									$actions = explode("\n", $module->actions);
								?>
								<?php foreach ($actions as $action): ?>
									<?php if (strpos($action,'|')): list($subaction, $desc) = explode('|', $action); ?>
									<input type="checkbox" <?php if($p_action->{$subaction}) echo 'checked="checked"'; ?> name="action[<?=trim($mname)?>][<?php echo trim($subaction); ?>]" value="1" /><?php echo $desc; ?><br />
									<?php else: ?>
									<strong><?php echo $action; ?></strong><br />
									<?php endif; ?>
								<?php endforeach; ?>
							</td>
						</tr>
					<?php endif; ?>
				<?php endif; ?>
				<?php endforeach; ?>

			</table>
		
			<br />
		</form>
		</div>
	</div>
