<?php if (!$this->user->has_access('settings')) die('You do not have the permissions to access this area.'); ?>

	<div class="toolbar">
		<h3 class="grid-title"><a href="settings/new_user_type" class="v-btn target_main float_right" style="padding:0 10px; font-weight: normal">New User Type</a>Permissions</h3>
		<table class="grid" rel="im">
			<thead>
				<tr>
					<th>User Type</th>
					<th class="grid-action" style="text-align: center; width: 75px; padding: 0"><img src="<?=base_url()?>images/email-action.gif" alt="Action"></th>
					<th style="width: 15px; padding: 0;"></th>
				</tr>
			</thead>
		</table>			
	</div>
	<div class="main_full">
		<table class="grid grid_data">
			<tbody>
				<?php $x=0;foreach ($permissions as $permission): $x++;?>
				<tr<?php if ($x%2) echo ' class="alt"'; ?>>
					<td><?=$permission->user_type?></td>
					<td style="width: 75px; padding: 0">
						<?php if ($this->user->has_permission('to_view','Settings')): ?><a class="grid-action grid-action-view target_main" href="settings/view_user_type/<?=$permission->id?>"><span>View</span></a><?php endif; ?>
						<?php if ($this->user->has_permission('to_edit','Settings')): ?><a class="grid-action grid-action-edit target_main" href="settings/edit_user_type/<?=$permission->id?>"><span>Edit</span></a><?php endif; ?>
						<?php if ($this->user->has_permission('to_delete','Settings')): ?><a class="grid-action grid-action-delete" href="settings/delete_user_type/<?=$permission->id?>/do"><span>View</span></a><?php endif; ?>
					</td>
				</tr>
				<?php endforeach; ?>
			</tbody>
		</table>					
	</div>
