<?php if (!$this->user->has_access('settings')) die('You do not have the permissions to access this area.'); ?>
<?php if (!$this->user->has_permission('to_add','settings')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var content;

function readyAdd(status){
	if (status == 1){
	
		var ok = true;
		$('input.mandatory').each(function(){
			if (!$(this).val()) ok = false;
		});
		
		if (!ok){
			showDialog('ok','Error','Please make sure you have filled in the mandatory fields.');
			return false;
		}

		$('div.main_full').show();
		$('div.status').hide();
		$('form').clearForm();
		showDialog('ok','Shipping Service','Shipping service has been added successfully.');
	} else {
		showDialog('ok','Error','There has been an error saving the record.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}

$(document).ready(function(){
	$('a.submit_btn').click(function(event){
		$('form.insert').submit();
		event.preventDefault();
	});
	
	$('form').submit(function(){
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
	
	$('select[name=measurements_type]').change(function(){
		if ($(this).val() == 'Metric'){
			$('span.metric').show();
			$('span.imperial').hide();
		} else {
			$('span.metric').hide();
			$('span.imperial').show();		
		}
	});
})

</script>


	<div class="toolbar">
		<h3 class="grid-title">
			<?php if ($this->user->has_permission('to_add','settings')): ?>
			<a href="settings/shipping" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn target_main">Back</a>
			<?php endif ;?>
			Add Shipping Service
		</h3>	
		<div class="global-tabs" style="padding: 5px">
			<a class="v-btn submit_btn">Save Shipping Service</a>
		</div>
	</div>
	<div class="status">
	
	</div>
	<div class="main_full">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
		<div class="main-container">

		<form class="insert" method="post" action="<?=base_url()?>settings/shipping_add/do" target="postframe">
			<h3>Shipping Service Information</h3>
			<table class="general-form">
					<tr class="two">
						<td class="label">Name <span class="red">*</span></td>
						<td class="input"><input type="text" name="name" class="v-text mandatory" /></td>
					</tr>
					<tr class="two">
						<td class="label">Description</td>
						<td class="input"><textarea name="description" class="v-textarea"></textarea></td>
					</tr>
					<tr class="two">
						<td class="label">Type <span class="red">*</span></td>
						<td class="input"><?php echo form_dropdown('type',array('Surface'=>'Surface','Air'=>'Air'),'','class="v-dropdown"'); ?></td>
					</tr>
					<tr class="two">
						<td class="label">Measurements <span class="red">*</span></td>
						<td class="input"><?php echo form_dropdown('measurements_type',array('Metric'=>'Metric','Imperial'=>'Imperial'),'','class="v-dropdown"'); ?></td>
					</tr>
					<tr class="two">
						<td class="label">Shipping Factor (<span class="imperial" style="display:none">in<sup>3</sup>/pound</span><span class="metric">cm<sup>3</sup>/kg</span>) <span class="red">*</span></td>
						<td class="input"><input type="text" name="shipping_factor" class="v-number-decimal" /></td>
					</tr>

			</table>
		</form>
		</div>
	</div>
