<?php if (!$this->user->has_access('settings')) die('You do not have the permissions to access this area.'); ?>
<?php if (!$this->user->has_permission('to_edit','settings')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var content;

function readyPost(action,status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Update User','User information has been updated successfully.');
	} else if (status == 2){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Error','Password supplied does not match.');	
	
	} else if (status == 3){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Error','Password must be at least 6 characters long.');	

	} else if (status == 4){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Error','Username is already taken. Please try other username.');	
	
	} else {
		showDialog('ok','Error','There has been an error updating the record.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}

$(document).ready(function(){
	$('a.submit_btn').click(function(event){
		$('form.insert').submit();
		event.preventDefault();
	});
	
	$('form').submit(function(){
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
})

</script>
	<div class="status">
	
	</div>
	<div class="toolbar">
		<h3 class="grid-title"><a href="settings/users" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn target_main">Back</a>Update User &raquo; <?php echo $user->username?></h3>
		<div class="global-tabs" style="padding: 5px">
			<a class="v-btn submit_btn">Update User</a>
		</div>
	</div>
	<div class="main_full">
		<iframe id="postframe" name="postframe" src="<?php echo base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>

		<div class="main-container">

		<form class="insert" method="post" action="<?php echo base_url()?>settings/edit_user/<?php echo $user->id?>/do" target="postframe">
			<h3>User Account Information</h3>
			<table class="general-form">
				<tr class="four">
					<td class="label">Username</td>
					<td class="input"><?php echo $user->username?></td>
					<td class="label">Email</td>
					<td class="input"><input type="text" name="email" class="text" value="<?php echo $user->email?>" /></td>

				</tr>
				<tr class="four">
					<td class="label">Password</td>
					<td class="input"><input type="password" name="password" class="text" /></td>
					<td class="label">Confirm Password</td>
					<td class="input"><input type="password" name="confirm_password" class="text" /></td>
				</tr>
				<tr class="four">
					<td class="label">Keycard</td>
					<td class="input" colspan="3"><input value="<?php echo $user->keycard; ?>" type="password" name="keycard" class="text" /></td>
				</tr>
				<?php if (!$this->user->check_superadmin($user->id)): ?>
				<tr class="four">
					<td class="label">Type</td>
					<td class="input"><?php echo form_dropdown('type', $user_types, $user->type,'class="v-dropdown" style="width: 100%"')?></td>
					<td class="label">Status</td>
					<td class="input"><?php echo form_dropdown('status', array("Active"=>"Active","Suspended"=>"Suspended"), $user->status,'class="v-dropdown" style="width: 100%"')?></td>
				</tr>
				<?php endif; ?>
			</table>
			<h3 class="general-form-header">User Personal Information</h3>
			<table class="general-form">
				<tr class="four">
					<td class="label">First Name</td>
					<td class="input"><input type="text" name="firstname" class="text" value="<?php echo $user->firstname?>" /></td>
					<td class="label">Last Name</td>
					<td class="input"><input type="text" name="lastname" class="text" value="<?php echo $user->lastname?>" /></td>
				</tr>
				<tr class="four">
					<td class="label">Gender</td>
					<td class="input"><?php echo form_dropdown('gender', array(0 => 'Select Gender', 'Male' => 'Male', 'Female' => 'Female'), $user->gender,'class="v-dropdown" style="width: 100%"')?></td>
					<td class="label">Date of Birth</td>
					<td class="input"><input type="text" name="dob" class="date" value="<?php echo $user->dob ? date("d/m/Y",strtotime($user->dob)) : ''?>" /></td>
				</tr>
				<tr class="four">
					<td class="label">Phone</td>
					<td class="input"><input type="text" name="phone" class="text" value="<?php echo $user->phone?>"/></td>
					<td class="label">Mobile</td>
					<td class="input"><input type="text" name="mobile" class="text" value="<?php echo $user->mobile?>"/></td>
				</tr>
			</table>
			
			<h3>Branch</h3>
			<table class="general-form">
				<tr class="four">
					<td class="label">Division</td>
					<td class="input"><?php echo form_dropdown('division', $this->system->get_divisions_dropdown('Select Division'),$user->division,'class="v-dropdown" style="width: 100%"'); ?></td>
					<td class="label">Branch</td>
					<td class="input"><?php echo form_dropdown('branch', $this->system->get_branches_dropdown('Select Branch'),$user->branch,'class="v-dropdown" style="width: 100%"'); ?></td>
				</tr>
			</table>
			
			<?php if ($this->user->has_permission('to_assign_module_userdata','settings')): ?>
			<?php
			
				$data = json_decode($user->data);
				
			?>
			<!--		
			<?php foreach ($this->system->get_modules() as $module): ?>
			
				<?php if ($this->system->uses($module->name) && $this->user->has_access($module->name) && $module->custom_user_field): ?>
				
				<h3 class="general-form-header">User <?php echo $module->name; ?> Settings</h3>
				<table class="general-form">
					<?php
						$fields = strpos($module->custom_user_field,',') ? explode(',', $module->custom_user_field) : array($module->custom_user_field);
						$field_names = strpos($module->custom_user_field_name,',') ? explode(',', $module->custom_user_field_name) : array($module->custom_user_field_name);
						for ($i = 0; $i < count($fields); $i++):
					?>
					<tr class="two">
						<td class="label"><?php echo $field_names[$i]; ?></td>
						<td class="input"><input type="text" class="v-text" name="data[<?php echo $module->name; ?>][<?php echo $fields[$i]; ?>]" value="<?php echo $data->{$module->name}->{$fields[$i]}; ?>" /></td>
					</tr>
					<?php endfor; ?>
				</table>
				<?php endif; ?>
			
			<?php endforeach; ?>
			<?php endif; ?>
			-->
			
			
		</form>
		</div>
	</div>
