<?php if (!$this->user->has_access('settings')) die('You do not have the permissions to access this area.'); ?>
<?php if (!$this->user->has_permission('to_add','settings')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var content;

function readyPost(action,status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		$('form').clearForm();
		showDialog('ok','New User','New user has been added successfully.');
	} else if (status == 2){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Error','Password supplied does not match.');	
	
	} else if (status == 3){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Error','Password must be at least 6 characters long.');	

	} else if (status == 4){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Error','Username is already taken. Please try other username.');	
	
	} else {
		showDialog('ok','Error','There has been an error saving the record.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}

$(document).ready(function(){
	$('a.submit_btn').click(function(event){
		$('form.insert').submit();
		event.preventDefault();
	});
	
	$('form').submit(function(){
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>');
	});
})

</script>
	<div class="status">
	
	</div>
	<div class="toolbar">
		<h3 class="grid-title"><a href="settings/users" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn target_main">Back</a>Add New User</h3>
		<div class="global-tabs" style="padding: 5px;">
			<a class="v-btn submit_btn">Save User</a>
		</div>
	</div>
		
	<div class="main_full">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
		<div class="main-container">

		<form class="insert" method="post" action="<?=base_url()?>settings/add_user/do" target="postframe">
			<h3>User Account Information</h3>
			
			<table class="general-form">
				<tr class="four">
					<td class="label">Username</td>
					<td class="input"><input type="text" name="username" class="text" /></td>
					<td class="label">Email</td>
					<td class="input"><input type="text" name="email" class="text" /></td>

				</tr>
				<tr class="four">
					<td class="label">Password</td>
					<td class="input"><input type="password" name="password" class="text" /></td>
					<td class="label">Confirm Password</td>
					<td class="input"><input type="password" name="confirm_password" class="text" /></td>
				</tr>
				<tr class="four">
					<td class="label">Keycard</td>
					<td class="input" colspan="3"><input value="<?php echo $user->keycard; ?>" type="password" name="keycard" class="text" /></td>
				</tr>

				<tr class="four">
					<td class="label">Type</td>
					<td class="input"><?=form_dropdown('type', $user_types,null,'class="v-dropdown" style="width: 100%"')?></td>
					<td class="label">Status</td>
					<td class="input"><?=form_dropdown('status', array("Active"=>"Active","Suspended"=>"Suspended"),null,'class="v-dropdown" style="width: 100%"')?></td>
				</tr>
			</table>
			<h3 class="general-form-header">User Personal Information</h3>
			<table class="general-form">
				<tr class="four">
					<td class="label">First Name</td>
					<td class="input"><input type="text" name="firstname" class="text" /></td>
					<td class="label">Last Name</td>
					<td class="input"><input type="text" name="lastname" class="text" /></td>
				</tr>
				<tr class="four">
					<td class="label">Gender</td>
					<td class="input"><?=form_dropdown('gender', array(0 => 'Select Gender', 'Male' => 'Male', 'Female' => 'Female'),null,'class="v-dropdown" style="width: 100%"')?></td>
					<td class="label">Date of Birth</td>
					<td class="input"><input type="text" name="dob" class="date" /></td>
				</tr>
				<tr class="four">
					<td class="label">Phone</td>
					<td class="input"><input type="text" name="phone" class="text" /></td>
					<td class="label">Mobile</td>
					<td class="input"><input type="text" name="mobile" class="text" /></td>
				</tr>
			</table>
			
			<h3>Division &amp; Branch</h3>
			<table class="general-form">
				<tr class="four">
					<td class="label">Division</td>
					<td class="input"><?php echo form_dropdown('division', $this->system->get_divisions_dropdown('Select Division'),null,'class="v-dropdown" style="width: 100%"'); ?></td>
					<td class="label">Branch</td>
					<td class="input"><?php echo form_dropdown('branch', $this->system->get_branches_dropdown('Select Branch'),null,'class="v-dropdown" style="width: 100%"'); ?></td>
				</tr>
			</table>
			
		</form>
		</div>
	</div>
