<?php if (!$this->user->has_access('settings')) die('You do not have the permissions to access this area.'); ?>
<?php if (!$this->user->has_permission('to_add','settings')) die('You do not have the permissions to access this area.'); ?>
<script type="text/javascript">

var content;

function readyAdd(status){
	if (status == 1){
		$('div.main_full').show();
		$('div.status').hide();
		showDialog('ok','Shipping Zone','Shipping zone has been updated successfully.');
	} else {
		showDialog('ok','Error','There has been an error saving the record.');
		$('div.main_full').show();
		$('div.status').hide();
	}
}

$(document).ready(function(){
	$('a.submit_btn').click(function(event){
		$('form.insert').submit();
		event.preventDefault();
	});
	
	$('form').submit(function(){
		$('div.main_full').hide();
		$('div.status').html('<p><img src="'+base_url+'images/loading.gif" /> Loading</p>').show();
	});
	
	$('select[name=measurements_type]').change(function(){
		if ($(this).val() == 'Metric'){
			$('span.metric').show();
			$('span.imperial').hide();
		} else {
			$('span.metric').hide();
			$('span.imperial').show();		
		}
	});
	
	$('select.type').change(function(){
		if ($(this).val() == 'International'){
			$('tr.type-local').hide();
			$('tr.type-international').show();
		} else {
			$('tr.type-local').show();
			$('tr.type-international').hide();	
		}
	});
	
	$('select.type').change();
})

</script>


	<div class="toolbar">
		<h3 class="grid-title"><a href="settings/zones" style="float:right; padding: 0px 20px; margin-top: -1px;" class="v-dbtn target_main">Back</a>Edit Zone</h3>	
		<div class="global-tabs" style="padding: 5px">
			<a class="v-btn submit_btn">Save Zone</a>
		</div>
	</div>
	<div class="status">
	
	</div>
	<div class="main_full">
		<iframe id="postframe" name="postframe" src="<?=base_url()?>nothing" style="width:0;height:0;border:0px solid #fff;"></iframe>
		<div class="main-container">

		<form class="insert" method="post" action="<?=base_url()?>settings/zone_edit/<?php echo $type; ?>/<?php echo $zone->id; ?>/do" target="postframe">
			<h3>Zone Information</h3>
			<table class="general-form">
				<tr class="two">
		    		<td class="label">Name <span class="red">*</span></td>
		    		<td class="input"><input value="<?php echo $zone->name; ?>" type="text" name="name" class="v-text mandatory" /></td>
		    	</tr>
		    	<tr class="two">
		    		<td class="label">Description</td>
		    		<td class="input"><textarea name="description" class="v-textarea"><?php echo $zone->description; ?></textarea></td>
		    	</tr>
		    	<tr class="two" style="display:none">
		    		<td class="label">Type <span class="red">*</span></td>
		    		<td class="input"><?php echo form_dropdown('type',array('Local'=>'Local','International'=>'International'),$type,'class="v-dropdown type" readonly="readonly"'); ?></td>
		    	</tr>
		    	<tr class="two type-local">
		    		<td class="label">Zipcode From <span class="red">*</span></td>
		    		<td class="input"><input value="<?php echo $zone->zipcode_from; ?>" type="text" name="zipcode_from" class="v-text mandatory" /></td>
		    	</tr>
		    	<tr class="two type-local">
		    		<td class="label">Zipcode To <span class="red">*</span></td>
		    		<td class="input"><input value="<?php echo $zone->zipcode_to; ?>" type="text" name="zipcode_to" class="v-text mandatory" /></td>
		    	</tr>
		    	<tr class="two type-international">
		    		<td class="label">Countries <span class="red">*</span></td>
		    		<td class="input"><input value="<?php echo $zone->countries; ?>" type="text" name="countries" class="autocomplete-country" /></td>
		    	</tr>
			</table>
		</form>
		</div>
	</div>
