<script type="text/javascript">
var currentStep = 1;
$(document).ready(function(){
	$('#nav ul').hide();
	$('.next').click(function(){
		$('div[rel='+currentStep+']').fadeOut(function(){
			currentStep++;
			$('div[rel='+currentStep+']').fadeIn();			
		});
	})
	
	$('.prev').click(function(){
		$('div[rel='+currentStep+']').fadeOut(function(){
			currentStep--;
			$('div[rel='+currentStep+']').fadeIn();			
		});
		
	})
})
	
</script>

<style>
	
.grey {
	color: #999;
}

div.select label {
	display: block;
	padding: 10px;
	border-bottom: 1px solid #eee;
}

.install-steps {
	background: #fff;
	width: 900px;
	padding: 30px;
	height: 550px;
	margin: 50px auto 0 auto;
	box-shadow: 0 10px 20px rgba(0,0,0,0.4);
	font-weight: 300;
	position: relative;
}	

.install-steps h1, .install-steps h2, .install-steps h3, .install-steps h4 {
	font-family: sans-serif;
	font-weight: 300;
}

.install-steps .buttons {
	text-align: right;
	position: absolute;
	bottom: 20px;
	right: 20px;
}

table.general-form-light td {
	border: none !important;
	padding-top: 10px !important;
	padding-bottom: 10px !important;
}

table.general-form-light td.label {
	background: none !important;
	color: #999;
	text-transform: uppercase;
	font-size: 8pt;
}

table.general-form-light td.input {
	border-bottom: 1px solid #eee !important;	
}
	
</style>

<div class="install-steps step1" rel="1">
	<div class="buttons">
		<a class="next v-btn">Next</a>
	</div>
	
	<h1>Welcome!</h1>
	<p>You will be guided through this installation process. The system requires some important information about your company before it can function. </p>
	<p><strong>Click Next to continue.</strong></p>
	
</div>

<div class="install-steps step2" rel="2" style="display:none">
	<div class="buttons">
		<a class="prev v-btn">Back</a>		
		<a class="next v-btn">Next</a>
	</div>
	
	<h1>Step 1 of 5: Company Information</h1>
	<p>Complete the form below about your company information.</p>
	<hr />
	<table class="general-form general-form-light">
		<tr class="two">
			<td class="label">Company Name</td>
			<td class="input" colspan="3"><input type="text" name="company_name" class="v-text" value="<?=$this->system->config('company_name')?>" /></td>
		</tr>
		<tr class="two">
			<td class="label">Business Reg No</td>
			<td class="input" colspan="3"><input type="text" name="company_reg_no" class="v-text" value="<?=$this->system->config('company_reg_no')?>" /></td>
		</tr>
		<tr class="two">
			<td class="label">GST/VAT No</td>
			<td class="input" colspan="3"><input type="text" name="company_tax_no" class="v-text" value="<?=$this->system->config('company_tax_no')?>" /></td>
		</tr>
		<tr class="four">
			<td class="label">Telephone</td>
			<td class="input"><input type="text" name="company_tel" class="v-text" value="<?=$this->system->config('company_tel')?>" /></td>
			<td class="label">Fax</td>
			<td class="input"><input type="text" name="company_fax" class="v-text" value="<?=$this->system->config('company_fax')?>" /></td>
		</tr>
		<tr class="four">
			<td class="label">Address 1</td>
			<td class="input"><input type="text" name="company_address1" class="v-text" value="<?=$this->system->config('company_address1')?>" /></td>
			<td class="label">Address 2</td>
			<td class="input"><input type="text" name="company_address2" class="v-text" value="<?=$this->system->config('company_address2')?>" /></td>
		</tr>
		<tr class="four">
			<td class="label">City</td>
			<td class="input"><input type="text" name="company_city" class="v-text" value="<?=$this->system->config('company_city')?>" /></td>
			<td class="label">Zipcode</td>
			<td class="input"><input type="text" name="company_zipcode" class="v-text" value="<?=$this->system->config('company_zipcode')?>" /></td>
		</tr>
		<tr class="four">
			<td class="label">State</td>
			<td class="input"><?php echo form_dropdown('company_state',$this->system->state_list($this->system->config('company_country') ? $this->system->config('company_country') : $this->system->config('country')), $this->system->config('company_state'), 'class="state v-city v-dropdown" style="width: 250px"'); ?></td>
			<td class="label">Country</td>
			<td class="input"><?php echo form_dropdown('company_country',$this->system->country_list(), $this->system->config('company_counry') ? $this->system->config('company_counry') : $this->system->config('country'),'class="country v-country v-dropdown" style="width: 250px"'); ?></td>				
		</tr>
		<tr class="two">
			<td class="label">Currency</td>
			<td class="input" colspan="3"><input type="text" name="currency" class="v-text" value="<?=$this->system->config('currency')?>" /></td>
		</tr>
		<tr class="two">
			<td class="label">Company Divisions</td>
			<td class="input" colspan="3">
				<input type="text" name="company_divisions" class="v-text" value="<?=$this->system->config('company_divisions')?>" />
				
			</td>
		</tr>

	</table>
	<small class="grey" style="margin-left: 192px">Divisions are separated by a comma ','. e.g. "Sales,Marketing"</small>
	
</div>


<div class="install-steps step3" rel="3" style="display:none">
	<div class="buttons">
		<a class="prev v-btn">Back</a>		
		<a class="next v-btn">Next</a>
	</div>
	
	<h1>Step 2 of 5: System Modules</h1>
	<p>Choose the modules you require for your business.</p>
	<hr />
	
	<div class="select">
		<label><input type="checkbox" name="modules" value="Sales,Services" /> Sales &amp; Invoicing</label>
		<label><input type="checkbox" name="modules" value="Sales,POS,Inventory" /> Point of Sales</label>
		<label><input type="checkbox" name="modules" value="Sales,FnB" /> Point of Sales for Restaurant</label>
		<label><input type="checkbox" name="modules" value="Inventory" /> Inventory</label>
		<label><input type="checkbox" name="modules" value="Accounts" /> Accounting and Finance</label>
		<label><input type="checkbox" name="modules" value="Assets" /> Assets Management</label>
		<label><input type="checkbox" name="modules" value="HR" /> Human Resource and Payroll</label>
		<label><input type="checkbox" name="modules" value="Manufacturing" /> Manufacturing</label>
	</div>
	
	
</div>