var start = false;
var start_day, start_month;
var stop_day, stop_month;
var start_date, stop_date;
var pstart_date, pstop_date;
var sstart, sstop;
var options;
var selected_id;
var viewing;
var has_overlap;
var curYear;
var curSelectYear;

hasCalendar = true;

function populateCalendar(){
	// prepare controls 

	$('div.year span').hide();
	
	populateSelect(pstart_date,pstop_date);
	populateDates(options);

	// Year navigate buttons click event
	$('div.yearview a.prev').click(function (){
		changeYear(parseInt($(this).html()));
	});
	$('div.yearview a.next').click(function (){
		changeYear(parseInt($(this).html()));
	});
	
	// populate clear button function
	$('div.year a.aclear').click(function () {
		clearView();
	});
	
	// Add button click event
	$('div.year a.add').click(function () {
		$('div.dialog_overlay').show();
		$('#dialog').css({
			left:( $(window).width() - $('#dialog').width() )/2,
			top: 240
		});
		$('div.rooms').css('display','block');
		$('#dialog').show('fast');
	});
	
	// Add region button click event
	$('div.year a.addregion').click(function () {
		var rstart_date = sstart.getFullYear() + '/' + (sstart.getMonth() + 1) + '/' + sstart.getDate();
		var rstop_date = sstop.getFullYear() + '/' + (sstop.getMonth() + 1) + '/' + sstop.getDate();
		$('input[name=start]').attr('value',rstart_date);
		$('input[name=stop]').attr('value',rstop_date);
		$('div.rooms').css('display','none');
		$('#dialog').css({
			left:( $(window).width() - $('#dialog').width() )/2,
			top: 240
		});
		$('#dialog').show('fast');
		$('div.dialog_overlay').show();
	});
	
	// View button click event
	$('div.year a.view').click(function () {
		var v = selected_id;
		$('div.dialog_overlay').show();

		$.ajax({
	    	url: base_url+"hotels/calview/"+v,
    		cache: true,
	    	success: function(html){
    			$('#viewdata .result').html(html);
    			$("#tabs").tabs();
				$('#viewdata').css({
					left:( $(window).width() - $('#viewdata').width() )/2,
					top: 240
				});
				$('#viewdata').show('fast');
    		}
    	});
    });
		
	

	// Delete button click event
	$('div.year a.delete').click(function () {
		var v = selected_id;
		$('div.dialog_overlay').show();
		$('#deletedialog').css({
			left:( $(window).width() - $('#deletedialog').width() )/2,
			top: 340
		});
		$.ajax({
	    	url: base_url+"hotels/deletedialog/"+v,
    		cache: true,
	    	success: function(html){
    			$('#deletedialog').append(html);

    			$('#deletedialog').show('fast');
    			
    			$('#delete_region').click(function () {
					var num = $(this).attr('name');
					var ids;
					var y = 0;
					for (var x = 0; x < num; x++){
						if ($('.delete_item_'+x).attr('checked')){
							if (y == 0) ids = $('.delete_item_'+x).attr('name');
							else ids = ids + ',' + $('.delete_item_'+x).attr('name');
							y++;
						}
					}
					if (!ids){
						alert("You need to at least select one region to delete.");
					} else {
						deleteAllotment(ids);
					}
    			});
    		}
    	});
/*		var sure = confirm("Are you sure you want to delete the selected allotment?");
		if (selected_id && sure){
		    clearView();
			deleteAllotment();
			$(this).hide('fast');
		}		*/
	});

	// Dialog cancel button click event
	$('#dialog input.close').click(function() {
		$('#dialog').hide('fast');
	});
	
	// Dialog close button click event
	$('#dialog a.close_btn').click(function() {
		$('#dialog').hide('fast');
		$('div.dialog_overlay').hide();
	});
	
	// View dialog close button click event
	$('#viewdata a.close_btn').click(function() {
		$('#viewdata').hide('fast');
		$('#viewdata .container').remove();
		$('div.dialog_overlay').hide();
	});
	
	$('#deletedialog a.close_btn').click(function() {
		$('#deletedialog').hide('fast');
		$('#deletedialog .container').remove();
		$('div.dialog_overlay').hide();
	});
	
	// Populate click button
    $('div.yearview td.day').click(function (event){

    	if ($(this).hasClass('preset') || $(this).hasClass('pselect')){
    		
    	} else 
		if (!start){
	    	$('div.year a.delete').hide();
	    	$('div.year a.view').hide();
	    	$('div.year a.addregion').hide();
	    	$('div.year a.add').show("fast");
	    	$('div.year a.add').addClass("ui-corner-left");
			$('div.year a.aclear').show("fast");
    		start = true;
    	
    		start_day = parseInt($(this).attr('name'));
    		start_month = parseInt($(this).parents('table').attr('name'));
    		start_year = curYear;
        	
    		start_date = start_day + '/' + start_month + '/' + start_year;
    		pstart_date = start_month + '/' + start_day + '/' + start_year;
    		input_start_date = start_year + '/' + start_month + '/' + start_day;
    	
    		$(this).addClass('select');
    		$('td.pselect').addClass('preset');
    		$('td.pselect').removeClass('pselect');
			$('#startdate').html(start_date);
			$('input[name=start]').attr('value',input_start_date);
		} else {

	    	$('div.year a.delete').hide();
			$('div.year a.aclear').show("fast");
    		$('td.pselect').addClass('preset');
    		$('td.pselect').removeClass('pselect');
    		stop_day = parseInt($(this).attr('name'));
    		stop_month = parseInt($(this).parents('table').attr('name'));
    		stop_year = curYear;
    	
    		stop_date = stop_day + '/' + stop_month + '/' + stop_year;
			pstop_date = stop_month + '/' + stop_day + '/' + stop_year ;
		
			$('td').removeClass('select');
			$('td.overlapped').addClass('preset');
			$('td.overlapped').removeClass('overlapped');

			populateSelect(pstart_date,pstop_date);

			if (!has_overlap){
	    		$('div.year span.add').show("fast");
			} else {
				$('div.year span.add').hide("fast");
			}

    	}
    });
}

function populateDates(opt){
	objDate = opt.dates;
	var i = 0;

	$('a.add').addClass('ui-corner-left');
	while (objDate[i] && objDate[i].start){
		var start = new Date(objDate[i].start);
		var stop = new Date(objDate[i].stop);
		var dateID = objDate[i].id;

		ok = true;
		if (start.getFullYear() == stop.getFullYear() && start.getFullYear() != curYear) ok = false;

		
		if (ok){
			if (start.getFullYear() < parseInt($('div.yearview').attr('name'))) start = new Date('1 January ' + parseInt($('div.yearview').attr('name')));
			if (stop.getFullYear() > start.getFullYear()) stop = new Date('31 December '+ start.getYear());

			$('table[name='+(start.getMonth()+1)+'] td[name='+start.getDate()+']').css('border-left','2px solid red');
			$('table[name='+(stop.getMonth()+1)+'] td[name='+stop.getDate()+']').css('border-right','2px solid red');
			
			var x, y, start_y, stop_y;
	    	for (x = start.getMonth()+1; x <= stop.getMonth()+1; x++){
	    		if (x > start.getMonth()+1 && x < stop.getMonth()+1){
	    		
	    			$('table[name='+x+'] td.day').addClass('preset');
					$('table[name='+x+'] td.day').attr('rel',dateID);
					$('table[name='+x+'] td.day').click(function () {
						clearView();
						var relID = $(this).attr('rel');
						$('td.pselect').addClass('preset');
   						$('td.pselect').removeClass('pselect');
   						
						selected_id = relID;
						sstart = start;
						sstop = stop;
						
						$('td.day[rel='+relID+']').addClass('pselect');
						$('td.day[rel='+relID+']').removeClass('preset');
						$('div.year a.view').show('fast');
						$('div.year a.addregion').show('fast');
						$('div.year a.delete').show('fast');
						
					});
	    		} else {
		    		if (x == start.getMonth()+1) start_y = start.getDate();
		   			else start_y = 1;
		    		
		   			if (x == stop.getMonth()+1) stop_y = stop.getDate();
		   			else stop_y = 31;
		    					
		   			for(y = start_y; y <= stop_y; y++){
		   				$('table[name='+x+'] td[name='+y+']').addClass('preset');
 						$('table[name='+x+'] td[name='+y+']').attr('rel',dateID);
 						$('table[name='+x+'] td[name='+y+']').click(function () {
							var relID = $(this).attr('rel');
							$('td.pselect').addClass('preset');
    						$('td.pselect').removeClass('pselect');

							$('td.day[rel='+relID+']').addClass('pselect');
							$('td.day[rel='+relID+']').removeClass('preset');
							clearView();
    						selected_id = relID;
    						sstart = start;
    						sstop = stop;

							$('div.year a.delete').show('fast');
							$('div.year a.addregion').show('fast');
							$('div.year a.view').show('fast');
							
 						});
					}
				}
		  	}
		}
		
		i++;
	}	
	
}

function populateSelect(dstart,dstop){
	if (dstart == null || dstop == null) return;

	var dstart = new Date(dstart);
	var dstop = new Date(dstop);

	if (dstart > dstop){
		var a = dstart;
		dstart = dstop;
		dstop = a;
	}
	$('div.year a.aclear').show("fast");
	has_overlap = false;	
	start_date = dstart.getDate() + '/' + (dstart.getMonth() + 1) + '/' + dstart.getFullYear();
	stop_date = dstop.getDate() + '/' + (dstop.getMonth() + 1) + '/' + dstop.getFullYear();

	pstart_date = (dstart.getMonth() + 1) + '/' + dstart.getDate() + '/' + dstart.getFullYear();
	pstop_date = (dstop.getMonth() + 1) + '/' + dstop.getDate() + '/' + dstop.getFullYear();

	input_start_date = dstart.getFullYear() + '/' + (dstart.getMonth() + 1) + '/' + dstart.getDate();
	input_stop_date = dstop.getFullYear() + '/' + (dstop.getMonth() + 1) + '/' + dstop.getDate();

	
	$('input[name=start]').attr('value',input_start_date);
	$('#startdate').html(start_date);

	$('input[name=stop]').attr('value',input_stop_date);
	$('#stopdate').html(stop_date);

	if (dstart.getFullYear() == dstop.getFullYear() && dstart.getFullYear() != curYear) ok = false;
	else ok = true;
	
	if (dstart.getFullYear() == curYear || dstop.getFullYear() == curYear) ok = true;
	else ok = false;
	
	if (ok){
	    if (dstart.getFullYear() < curYear) dstart = new Date('1 January ' + curYear);
	    if (dstop.getFullYear() > dstart.getFullYear()) dstop = new Date('31 December '+ dstart.getYear());

	    var x, y, start_y, stop_y;
	    for (x = dstart.getMonth()+1; x <= dstop.getMonth()+1; x++){
	    	if (x > dstart.getMonth()+1 && x < dstop.getMonth()+1){
	    		$('table[name='+x+'] td.day').addClass('select');
	    		if ($('table[name='+x+'] td.preset').hasClass('preset')){
	    			has_overlap = true;
	    		}
	    		$('table[name='+x+'] td.preset').addClass('overlapped');
	    		$('table[name='+x+'] td.preset').removeClass('preset');
	    		
	    	} else {
	    		if (x == dstart.getMonth()+1) start_y = dstart.getDate();
	   			else start_y = 1;
	    		
	   			if (x == dstop.getMonth()+1) stop_y = dstop.getDate();
	   			else stop_y = 31;
	    					
	   			for(y = start_y; y <= stop_y; y++){
	   				$('table[name='+x+'] td[name='+y+']').addClass('select');
	   				if ($('table[name='+x+'] td.preset[name='+y+']').hasClass('preset')){
		   				has_overlap = true;
	   				}
	   				$('table[name='+x+'] td.preset[name='+y+']').addClass('overlapped');
	   				$('table[name='+x+'] td.preset[name='+y+']').removeClass('preset');
	    		}
	    	}
	  	}
	}
		

}

function deleteAllotment(ids){
	$('#delete_region').attr('disabled','disabled');
	$('#delete_region').html('Deleting Rates');
	$('#delete_region').addClass('btndisabled');
	$.ajax({
		type: "POST",
		url: base_url+"hotels/delcal/"+ids,
		cache: false,
		success: function(html){
		    sstart = null;
		    sstop = null;
		    selected_id = null;
		    $('#deletedialog .container').remove();
		    $('#deletedialog').hide();		    
			$('div.dialog_overlay').hide();
		    if (html == 'timeout'){
		    	alert("Your session has timeout. Please login again.");
		    } else if (html == 'deleted') {
	   		    alert('Rates has been deleted.');
				changeYear(curYear);
			} else {
				alert(html);
			}
		}
	});
		
}

function changeYear(year){
	var v = parseInt(year);
	curYear = v;
    $('div.yearview').fadeTo("fast", 0.3);
    $.ajax({
    	type: "POST",
    	url: base_url+"hotels/caldata/"+hotel_id+"/"+roomname,
    	cache: false,
    	success: function(html){
		    if (html == 'timeout'){
		    	alert("Your session has timeout. Please login again.");
		    } else {
		    	eval("options = " + html);
		    	showCal(v);
		    }
    	}
    });
}

function showCal(v){
    $.ajax({
    	url: base_url+"hotels/cal/"+v,
    	cache: true,
    	success: function(html){
		    if (html == 'timeout'){
		    	alert("Your session has timeout. Please login again.");
		    } else {
	    		$('div.yearview').html(html);
    			populateCalendar();
    			$('div.yearview').fadeTo("slow", 1);
    		}
    	}
    });
}

function clearView(){
	$('div.year span').hide();
    start_day = null;
    stop_day = null;
    pstart_date	= null;
    pstop_date	= null;
    start = false;
    $('div.year a.add').hide();
    $('div.year a.aclear').hide();
    $('div.yearview td').removeClass('select');
    $('#startdate').html('');
    $('#stopdate').html('');
    $('td.overlapped').addClass('preset');
    $('td.overlapped').removeClass('overlapped');
}

function calendarFocus() {
   var x = $('div.year').offset().top - 50; 
   $('html,body').animate({scrollTop: x}, 300);
}