<?php

class Setup extends Controller {

	function Setup(){
		parent::Controller();
		
		if ($this->config->config['client_side']){
	  		$res = fopen('AUTHKEY','r');
	  		$key = fread($res,filesize('AUTHKEY'));
	  		fclose($res);
	  		
	  		$res = fopen('CONN','r');
	  		$conn = fread($res,filesize('CONN'));
	  		fclose($res);
	  		
	  		
		  	if (!$key || !$conn){
			 	redirect('terminal/activate');
		  	}
	  	}
	}

	function Index(){
		$this->load->view('client_setup');
	}
	
	// STRUCTURAL FOOTPRINT
	function Proc1(){
			
		$res = $this->__request('get_tables_sql');
		$this->Check_sql_tables($res->result);
		
	}
	
	// LARGE-SCALE FOOTPRINT
	function Proc2($i){
	
		$i = $i ? $i : 0;
		$buffer_size = 50;
		
		if (!$i) $this->db->query('TRUNCATE TABLE `inventory`');		

		$res = $this->proc2_subprocess($i, $buffer_size);
		
		if ($res){
			echo 'INVENTORY HAS BEEN SYNCRHONIZED';
		} else {
			echo 'incomplete';
		}
		
	}
	
	function Proc2_subprocess($pos, $buffer_size){
		$res = $this->__request('get_table_data', array('table'=>'inventory','buffer'=>$buffer_size,'position'=>$pos));
		
		if (!$res) return;
		foreach ($res->result as $item) $this->db->insert('inventory', $item);
		$complete  = $res->complete == 'ok' ? true : false;

		return $complete;
	}
	
	
	
	// LARGE-SCALE FOOTPRINT
	function Proc3($i){
		$i = $i ? $i : 0;
		$buffer_size = 50;
		
		if (!$i) $this->db->query('TRUNCATE TABLE `inventory_stock_quantities`');		

		$res = $this->proc3_subprocess($i, $buffer_size);
		
		if ($res){
			echo "INVENTORY COST DATA HAS BEEN SYNCRHONIZED\n";
		} else {
			echo 'incomplete';
		}
		
	}
	
	function Proc3_subprocess($pos, $buffer_size){
		$res = $this->__request('get_table_data', array('table'=>'inventory_stock_quantities','buffer'=>$buffer_size,'position'=>$pos));
		
		if (!$res) return;
		foreach ($res->result as $item) $this->db->insert('inventory_stock_quantities', $item);
		$complete  = $res->complete == 'ok' ? true : false;

		return $complete;
	}
	
	
	
	
	// MEDIUM-SCALE FOOTPRINT
	function Proc4(){
		$buffer_size = 100;
		
		$this->db->query('TRUNCATE TABLE `contacts`');
		while (!$complete){
			$res = $this->__request('get_table_data', array('table'=>'contacts','buffer'=>$buffer_size,'position'=>$pos));
			if (!$res) return;
			foreach ($res->result as $item) $this->db->insert('contacts', $item);
			$complete  = $res->complete == 'ok' ? true : false;
			$total += $res->total;			
			$pos++;
		}
		echo $total . " CONTACTS HAS BEEN RETRIEVED\n";
		
		
		$this->db->query('TRUNCATE TABLE `terminals`');
		$total = $pos = $complete = 0;
		while (!$complete){
			$res = $this->__request('get_table_data', array('table'=>'terminals','buffer'=>$buffer_size,'position'=>$pos));
			if (!$res) return;
			foreach ($res->result as $item) $this->db->insert('terminals', $item);
			$complete  = $res->complete == 'ok' ? true : false;
			$total += $res->total;			
			$pos++;
		}
		echo $total . " TERMINALS DATA HAS BEEN RETRIEVED\n";
		
	
		$this->db->query('TRUNCATE TABLE `config`');
		$total = $pos = $complete = 0;
		while (!$complete){
			$res = $this->__request('get_table_data', array('table'=>'config','buffer'=>$buffer_size,'position'=>$pos));
			if (!$res) return;
			foreach ($res->result as $item) $this->db->insert('config', $item);
			$complete  = $res->complete == 'ok' ? true : false;
			$total += $res->total;			
			$pos++;
		}
		echo $total . " SYSTEM CONFIGURATION HAS BEEN RETRIEVED\n";
		
		
		
		$this->db->query('TRUNCATE TABLE `config_branch`');
		$total = $pos = $complete = 0;
		while (!$complete){
			$res = $this->__request('get_table_data', array('table'=>'config_branch','buffer'=>$buffer_size,'position'=>$pos));
			if (!$res) return;
			foreach ($res->result as $item) $this->db->insert('config_branch', $item);
			$complete  = $res->complete == 'ok' ? true : false;
			$total += $res->total;			
			$pos++;
		}
		echo $total . " SYSTEM CONFIGURATION HAS BEEN RETRIEVED\n";
		
	}
	
	// SMALL-SCALE FOOTPRINT
	function Proc5(){
		$this->db->query('TRUNCATE TABLE `users`');
		$total = $pos = $complete = 0;
		while (!$complete){
			$res = $this->__request('get_table_data', array('table'=>'users','buffer'=>$buffer_size,'position'=>$pos));
			if (!$res) return;
			foreach ($res->result as $item) $this->db->insert('users', $item);
			$complete  = $res->complete == 'ok' ? true : false;
			$total += $res->total;			
			$pos++;
		}
		echo $total . " USER DATA HAS BEEN RETRIEVED\n";
	
	
		$this->db->query('TRUNCATE TABLE `modules`');
		$total = $pos = $complete = 0;
		while (!$complete){
			$res = $this->__request('get_table_data', array('table'=>'modules','buffer'=>$buffer_size,'position'=>$pos));
			if (!$res) return;
			foreach ($res->result as $item) $this->db->insert('modules', $item);
			$complete  = $res->complete == 'ok' ? true : false;
			$total += $res->total;			
			$pos++;
		}
		echo $total . " MODULE DATA HAS BEEN RETRIEVED\n";
		
		
		$this->db->query('TRUNCATE TABLE `permissions`');
		$total = $pos = $complete = 0;
		while (!$complete){
			$res = $this->__request('get_table_data', array('table'=>'permissions','buffer'=>$buffer_size,'position'=>$pos));
			if (!$res) return;
			foreach ($res->result as $item) $this->db->insert('permissions', $item);
			$complete  = $res->complete == 'ok' ? true : false;
			$total += $res->total;			
			$pos++;
		}
		echo $total . " PERMISSIONS DATA HAS BEEN RETRIEVED\n";
	
	
		$this->db->query('TRUNCATE TABLE `credit_cards`');
		$total = $pos = $complete = 0;
		while (!$complete){
			$res = $this->__request('get_table_data', array('table'=>'credit_cards','buffer'=>$buffer_size,'position'=>$pos));
			if (!$res) return;
			foreach ($res->result as $item) $this->db->insert('credit_cards', $item);
			$complete  = $res->complete == 'ok' ? true : false;
			$total += $res->total;			
			$pos++;
		}
		echo $total . " PAYMENT METHODS HAS BEEN RETRIEVED\n";


		$this->db->query('TRUNCATE TABLE `shipping`');
		$total = $pos = $complete = 0;
		while (!$complete){
			$res = $this->__request('get_table_data', array('table'=>'shipping','buffer'=>$buffer_size,'position'=>$pos));
			if (!$res) return;
			foreach ($res->result as $item) $this->db->insert('shipping', $item);
			$complete  = $res->complete == 'ok' ? true : false;
			$total += $res->total;			
			$pos++;
		}
		echo $total . " SHIPPING SERVICES DATA HAS BEEN RETRIEVED\n";
		
		
		$this->db->query('TRUNCATE TABLE `shipping_international_zones`');
		$total = $pos = $complete = 0;
		while (!$complete){
			$res = $this->__request('get_table_data', array('table'=>'shipping_international_zones','buffer'=>$buffer_size,'position'=>$pos));
			if (!$res) return;
			foreach ($res->result as $item) $this->db->insert('shipping_international_zones', $item);
			$complete  = $res->complete == 'ok' ? true : false;
			$total += $res->total;			
			$pos++;
		}
		echo $total . " SHIPPING INTERNATIONAL ZONES DATA HAS BEEN RETRIEVED\n";
		
		
		$this->db->query('TRUNCATE TABLE `shipping_local_zones`');
		$total = $pos = $complete = 0;
		while (!$complete){
			$res = $this->__request('get_table_data', array('table'=>'shipping_local_zones','buffer'=>$buffer_size,'position'=>$pos));
			if (!$res) return;
			foreach ($res->result as $item) $this->db->insert('shipping_local_zones', $item);
			$complete  = $res->complete == 'ok' ? true : false;
			$total += $res->total;			
			$pos++;
		}
		echo $total . " SHIPPING LOCAL ZONES DATA HAS BEEN RETRIEVED\n";
		
		
		$this->db->query('TRUNCATE TABLE `shipping_rates`');
		$total = $pos = $complete = 0;
		while (!$complete){
			$res = $this->__request('get_table_data', array('table'=>'shipping_rates','buffer'=>$buffer_size,'position'=>$pos));
			if (!$res) return;
			foreach ($res->result as $item) $this->db->insert('shipping_rates', $item);
			$complete  = $res->complete == 'ok' ? true : false;
			$total += $res->total;			
			$pos++;
		}
		echo $total . " SHIPPING RATES DATA HAS BEEN RETRIEVED\n";
		
		
		$this->db->query('TRUNCATE TABLE `tax`');
		$total = $pos = $complete = 0;
		while (!$complete){
			$res = $this->__request('get_table_data', array('table'=>'tax','buffer'=>$buffer_size,'position'=>$pos));
			if (!$res) return;
			foreach ($res->result as $item) $this->db->insert('tax', $item);
			$complete  = $res->complete == 'ok' ? true : false;
			$total += $res->total;			
			$pos++;
		}
		echo $total . " TAX DATA HAS BEEN RETRIEVED\n";

		
	}
	
	function Proc6(){

		$this->db->query('TRUNCATE TABLE `countries`');
		$total = $pos = $complete = 0;
		while (!$complete){
			$res = $this->__request('get_table_data', array('table'=>'countries','buffer'=>$buffer_size,'position'=>$pos));
			if (!$res) return;
			foreach ($res->result as $item) $this->db->insert('countries', $item);
			$complete  = $res->complete == 'ok' ? true : false;
			$total += $res->total;			
			$pos++;
		}
		echo $total . " COUNTRIES HAS BEEN RETRIEVED";
		
		

	}
	
	function Proc7(){
		$this->db->query('TRUNCATE TABLE `states`');
		$total = $pos = $complete = 0;
		while (!$complete){
			$res = $this->__request('get_table_data', array('table'=>'states','buffer'=>$buffer_size,'position'=>$pos));
			if (!$res) return;
			foreach ($res->result as $item) $this->db->insert('states', $item);
			$complete  = $res->complete == 'ok' ? true : false;
			$total += $res->total;			
			$pos++;
		}
		echo $total . " STATES HAS BEEN RETRIEVED";
	}
	
	function Proc8(){
	
		// clear user sessions
		
		$this->db->update('users', array(
			'ip'					=> '',
			'last_login'			=> '',
			'session'				=> '',
			'timeout'				=> '',
			'active'				=> '',
			'terminal_active'		=> '',
			'terminal_type'			=> '',
			'terminal_identifier'	=> '',
			'terminal_key'			=> '',
			'terminal_ip'			=> '',
			'terminal_session'		=> '',
			'terminal_last_login'	=> '',
			'terminal_id'			=> '',
			'terminal_name'			=> '',
			'flag'					=> '',
			'hash'					=> ''
		));
	
		$res = fopen('INSTALLED','w+');
		fwrite($res, time());
		fclose($res);
		
		echo "SETUP COMPLETED";
		
	}
	
	
	function __request($request, $post){
		

		$res = fopen('CONN','r');
		$conn = fread($res, filesize('CONN'));
		fclose($res);
		
		$res = fopen('AUTHKEY','r');
		$auth_key = fread($res, filesize('AUTHKEY'));
		fclose($res);

		
		list($host, $terminal, $access_key) = explode('|', $conn);
		list($identifier, $key) = explode('/', $access_key);
		    
	    $post['_identifier']	= $identifier;
	    $post['_key']			= $key;
	    $post['_auth_key']		= $auth_key;
	    
		
		$opts = array('http' =>
		    array(
		        'method'  => 'POST',
		        'header'  => 'Content-type: application/x-www-form-urlencoded',
		        'content' => http_build_query($post)
		    )
		);
		
		$context  = stream_context_create($opts);
		
		$url = 'http://'.$host.'/os/api/'.$request;
		

		
		$result = file_get_contents($url, false, $context);
		
		return json_decode($result);
		
	}
	
	function Check_sql_tables($sql){
	
		
		$db = $this->db->database;
		$query = $this->db->query("SHOW TABLES IN {$db}");
		$current_tables = $query->result();		
		
		
		
		foreach ($current_tables as $table_result){
			$current_table = $table_result->{'Tables_in_'.$db};
			$query = $this->db->query("SHOW COLUMNS IN {$db}.{$current_table}");
			$columns = $query->result();
			foreach ($columns as $column){
				$table_columns[$current_table][$column->Field] = $column;
				$existing_tables[$current_table] = 1;
			}
		}
		
								
		$context = str_replace("CREATE", "\nCREATE", str_replace("\n","",$sql));
		$statements = explode("\n", $context);
		
		$clean = true;
		foreach ($statements as $statement){
			if (trim($statement)){
				preg_match_all('/.*CREATE\s+TABLE\s+`(\S+)`\s*\((.*)\).*/', $statement, $matches);
				$table = trim($matches[1][0]);
				if ($table){
									
					
					if (!$existing_tables[$table]){
					
						echo $table . ' NOT FOUND' . "\n";
						echo '   SQL: ' . $matches[0][0] . "\n";
						$this->db->query($matches[0][0]);
						echo '   QUERY EXECUTED' . "\n\n";
				
						$clean = false;		
						
					} else {
				
						$cols_line = preg_split('/,(?![^\(\)]*\))/', $matches[2][0]);
						foreach ($cols_line as $col_line){
							if (preg_match("/PRIMARY\s+KEY.*/", $col_line)){
								// primary key
								
								
							} else {
								// column
								preg_match('/`(\w+)`\s+(.*)/', $col_line, $coldata_matches);
								$field = $coldata_matches[1];
								$attr = $coldata_matches[2];
								
								
								if (!is_object($table_columns[$table][$field])){
									echo $table . '.' . $field . ' NOT FOUND' . "\n";
									echo '   ATTR: ' . $attr . "\n";
									
									echo '   SQL: ' . "ALTER TABLE `{$table}` ADD `{$field}` {$attr} AFTER `{$last_field}` \n";
									$this->db->query("ALTER TABLE `{$table}` ADD `{$field}` {$attr} AFTER `{$last_field}`");
									echo '   QUERY EXECUTED' . "\n\n";
									$clean = false;
								}
								
								$last_field = $field;
								
							}
						}
					}
					
				}

			}
		}
		
		if ($clean){
			echo 'DATABASE TABLES OK!';
		}
		
	}

	
}