<?php
	
class Sync extends Controller {
	
	function Execute(){
		$SSD = $this->system->config('plexcenter_date') . ' 00:00:00';
		$SBC = $this->system->config('plexcenter_branch_code');
		$KEY = $this->system->config('plexcenter_branch_key');
		$URL = $this->system->config('plexcenter_branch_url');
		
		$this->db->trans_start();
		
		if ($URL && $SBC && $KEY){
		
			$query = $this->db->query("SELECT * FROM fnb_buffer_sales WHERE datetime >= ? AND sync IS NULL ORDER BY datetime ASC LIMIT 10", array($SSD));
			foreach ($query->result() as $d){
				$sync->fnb_buffer_sales[] = $d;
			}
	
			$query = $this->db->query("SELECT * FROM fnb_buffer_sale_items WHERE ordered_time >= ? AND sync IS NULL ORDER BY ordered_time ASC  LIMIT 10 ", array($SSD));
			foreach ($query->result() as $d){
				$sync->fnb_buffer_sale_items[] = $d;
			}
			
			$query = $this->db->query("SELECT * FROM fnb_sales WHERE datetime >= ? AND sync IS NULL ORDER BY datetime ASC LIMIT 10", array($SSD));
			foreach ($query->result() as $d){
				$sync->fnb_sales[] = $d;
			}
	
			$query = $this->db->query("SELECT * FROM fnb_sale_items WHERE ordered_time >= ? AND sync IS NULL  ORDER BY ordered_time ASC LIMIT 10", array($SSD));
			foreach ($query->result() as $d){
				$sync->fnb_sale_items[] = $d;
			}
			
			$query = $this->db->query("SELECT * FROM fnb_cash_count WHERE `from` >= ? AND sync IS NULL ORDER BY `from` ASC LIMIT 1", array($SSD));
			foreach ($query->result() as $d){
				$sync->fnb_cash_count[] = $d;
			}
	
			$query = $this->db->query("SELECT * FROM fnb_reverts WHERE datetime >= ? AND sync IS NULL ORDER BY datetime ASC LIMIT 10", array($SSD));
			foreach ($query->result() as $d){
				$sync->fnb_reverts[] = $d;
			}
			
			$syncdata = json_encode($sync);
			
			$postdata = http_build_query(
			    array(
			        'syncdata'	=> $syncdata,
			        'code'		=> $SBC,
			        'key'		=> $KEY
			    )
			);
			
			$opts = array('http' =>
			    array(
			        'method'  => 'POST',
			        'header'  => 'Content-type: application/x-www-form-urlencoded',
			        'content' => $postdata
			    )
			);
			
			$context  = stream_context_create($opts);
			
			$result = file_get_contents('http://'.$URL.'/plexcenter/sync', false, $context);
			
			
			if ($result == 'OK'){
				
				foreach ($sync as $table => $data){
					foreach ($data as $d){
						$this->db->update($table, array('sync' => 1), array('id' => $d->id));
					}
				}
				
			}
		
		
		}
		
		$this->db->trans_complete();
		
		echo "http://{$URL}/plexcenter/sync";
		echo "<br />";
		echo $result;

	}
	
	
	
}