<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title>Plexcloud&trade; Client Authorization</title>
		<base href="<?php echo base_url(); ?>" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0;" > 
		<meta name="apple-mobile-web-app-capable" content="yes" />
		<meta name="apple-mobile-web-app-status-bar-style" content="black" />

		<style>
			body {
				background: #333 url(images/bg.jpg);
				padding: 0;
				font-family: Arial;
				color: #BBB;
				text-shadow: 0 1px 0 rgba(0,0,0,1);
				font-size: 15pt;
			}
			
			#container {
				text-align: center;
				padding: 20px 0;
			}
			
			input.input {
				width: 280px;
				font-size: 14pt;
				border-radius: 5px;
				padding: 10px 15px;
				text-align: left;
				background: rgba(0,0,0,0.2);
				color: #FFF;
				box-shadow: 0 2px 5px rgba(0,0,0,0.5) inset;
				border: 1px solid #555;;
				font-family: Arial;
				outline: none;
			}
			
			input.terminal-auth {
				font-family: Arial;
				display: block;
				color: #555;
				text-shadow: 0 1px 0 rgba(255,255,255,1);
				font-size: 14pt;
				text-decoration: none;
				display: block;
				width: 280px;
				border: 1px solid #EEE;
				background: #555;
				padding: 20px 5px;
				margin: 0 auto;
				border-radius: 5px;
				margin-bottom: 10px;
				background: -webkit-linear-gradient(#ffffff 0%, #dedede 100%);
				background: -moz-linear-gradient(#ffffff 0%, #dedede 100%);
				background: linear-gradient(#ffffff 0%, #dedede 100%);
				font-weight: bold;
				box-shadow:  0 2px 2px rgba(0,0,0,0.5);
			}
			
			a.terminal-select:active {
				background: -webkit-linear-gradient(#dedede 0%, #ffffff 100%);
			}
			
			small {
				font-size: 9pt;
			}
			
			p.v-warning {
				background: #970000;
				padding: 5px;
				color: #FFF;
				border: 1px solid #790000;
				-moz-border-radius: 5px; 
				-webkit-border-radius: 5px;
				border-radius: 5px;
			}

		</style>
	</head>
	<body>
	<div id="container">
		<img src="<?php echo base_url(); ?>logo.png" />
		<form method="post" action="<?php echo base_url(); ?>terminal/authorize">
			<?php if ($msg): ?>
			<p class="v-warning" style="width: 270px; margin: 0 auto;">
				<?php echo $msg; ?>
			</p>
			<?php endif; ?>
			<p>Activate Terminal</p>
			<p><input placeholder="Hostname" class="input" type="text" name="host" /></p>
			<p><input placeholder="Terminal Name" class="input" type="text" name="terminal_name" /></p>
			<p><input placeholder="Terminal Key	" class="input" type="password" name="access_key" /></p>
			<input class="terminal-auth" value="Authorize" type="submit" />

		</form>
		<small>&copy; Plexcloud 2012. All rights reserved. </small>
	</div>
	</body>
</html>
