<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title>Plexcloud&trade; Client Setup</title>
		<base href="<?php echo base_url(); ?>" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0;" > 
		<meta name="apple-mobile-web-app-capable" content="yes" />
		<meta name="apple-mobile-web-app-status-bar-style" content="black" />
		<script type="text/javascript" src="<?php echo base_url(); ?>js/jquery.js"></script>
		<script type="text/javascript">
			$(document).ready(function(){
				callProc(1);
			})
			
			var pc2 = 0, pc3 = 0;
			
			function callProc(proc,buffer){	
				buffer = buffer ? buffer : '';
				if (proc == 9){
					$('div.progress').fadeOut(1000, function(){
						$('div.complete').fadeIn(1000);
					});
					return;
				}
				
				$.ajax({
					url: 'setup/proc'+proc+'/'+buffer,
					success: function(res){
						if (proc == 2){
							if (res == 'incomplete'){
								pc2++;
								callProc(2,pc2);
								return;
							}
						}
						if (proc == 3){
							if (res == 'incomplete'){
								pc3++;
								callProc(3,pc3);
								return;
							}
						}
						
						var percentage = (proc / 7) * 100;
						$('p.percentage').text(Math.round(percentage)+'%');
						callProc(proc+1);
						
						console.log(res);
					}
				})
				

			}
		</script>
		<style>
			body {
				background: #333 url(images/bg.jpg);
				padding: 0;
				font-family: Arial;
				color: #BBB;
				text-shadow: 0 1px 0 rgba(0,0,0,1);
				font-size: 15pt;
			}
			
			#container {
				text-align: center;
				padding: 20px 0;
			}
			
			input.input {
				width: 280px;
				font-size: 14pt;
				border-radius: 5px;
				border: 1px solid #EEE;
				padding: 10px 15px;
				text-align: center;
			}
			
			a.terminal-auth {
				font-family: Arial;
				display: block;
				color: #555;
				text-shadow: 0 1px 0 rgba(255,255,255,1);
				font-size: 14pt;
				text-decoration: none;
				display: block;
				width: 280px;
				border: 1px solid #EEE;
				background: #555;
				padding: 20px 5px;
				margin: 0 auto;
				border-radius: 5px;
				margin-bottom: 10px;
				background: -webkit-linear-gradient(#ffffff 0%, #dedede 100%);
				background: -moz-linear-gradient(#ffffff 0%, #dedede 100%);
				background: linear-gradient(#ffffff 0%, #dedede 100%);
				font-weight: bold;
				box-shadow:  0 2px 2px rgba(0,0,0,0.5);
			}
			
			a.terminal-select:active {
				background: -webkit-linear-gradient(#dedede 0%, #ffffff 100%);
			}
			
			small {
				font-size: 9pt;
			}
			
			p.v-warning {
				background: #970000;
				padding: 5px;
				color: #FFF;
				border: 1px solid #790000;
				-moz-border-radius: 5px; 
				-webkit-border-radius: 5px;
				border-radius: 5px;
			}

		</style>
	</head>
	<body>
	<div id="container">
		<img src="<?php echo base_url(); ?>logo.png" />
		<div style="height: 300px">
			<div class="progress">
				<p>Downloading Data &amp; Configuring Plexcloud&trade; Client</p>
				
				<img src="images/setup.gif" />
				
				<p class="percentage" style="color: #FFF; font-size: 50pt; line-height: 0;">
					0%
				</p>
			</div>
			<div class="complete" style="display:none">
				<p>Configuration is now complete.</p>
				<a href="<?php echo base_url(); ?>terminal" class="terminal-auth">Proceed</a>
			</div>
		</div>

		<small>&copy; Plexcloud 2012. All rights reserved. </small>
	</div>
	</body>
</html>
