<html>
<head>
	<link media="print" rel="stylesheet" href="<?php echo base_url(); ?>css/fnb/chit.css" type="text/css" />
	
</head>
<body>
	<?php
		foreach ($cards as $card){
			if ($card->status_ok) $ok++;
			else {
				$missing++;
				$missing_cards[] = $card;
			}
			$total++;
		}	
	?>
	<div style="width: 300px; margin: 0 auto;">
		<strong>Customer Card Audit Report</strong>
		<table style="width: 100%">
			<tr>
				<td>Date/Time</td>
				<td style="text-align: right"><?php echo date('d/m/Y j:iA'); ?></td>
			</tr>
			<tr>
				<td>Total Cards</td>
				<td style="text-align: right"><?php echo $total; ?></td>
			</tr>
			<tr>
				<td>Total Missing</td>
				<td style="text-align: right; font-weight: bold;"><?php echo $missing; ?></td>
			</tr>
			<tr>
				<td>Remaining</td>
				<td style="text-align: right"><?php echo $ok; ?></td>
			</tr>
		</table>
		
		<strong>Missing Cards</strong>
		<table style="width: 100%">
			<tr>
				<td>Card No</td>
				<td>Short No</td>
			</tr>
		<?php foreach ($missing_cards as $card): ?>
			<tr>
				<td><?php echo $card->card_no; ?></td>
				<td><?php echo $card->short_no; ?></td>			
			</tr>
		<?php endforeach; ?>
		</table>
	</div>
	<script type="text/javascript">
		
		setTimeout(function(){
			window.print();
			
			window.close();
		}, 1000)
		
	</script>
</body>

</html>