<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<title><?php echo $this->system->config('system_title'); ?> - F&amp;B POS Login</title>
		<link rel="stylesheet" href="<?php echo base_url(); ?>css/fnb/style.css" />
		<link rel="stylesheet" href="<?php echo base_url(); ?>css/fnb/login.css" />
		
		<!-- iPhone ICON -->
        <link href="<?php echo base_url(); ?>images/plexcloud-fnb-icon.png" sizes="57x57" rel="apple-touch-icon">
        <!-- iPhone (Retina) ICON-->
        <link href="<?php echo base_url(); ?>images/plexcloud-fnb-icon-retina.png" sizes="114x114" rel="apple-touch-icon">

        <!-- iPhone SPLASHSCREEN-->
        <link href="<?php echo base_url(); ?>images/plexcloud-fnb-splash.png" media="(device-width: 320px)" rel="apple-touch-startup-image">
        <!-- iPhone (Retina) SPLASHSCREEN-->
        <link href="<?php echo base_url(); ?>images/plexcloud-fnb-splash-retina.png" media="(device-width: 320px) and (-webkit-device-pixel-ratio: 2)" rel="apple-touch-startup-image">

		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0;" > 
		<meta name="apple-mobile-web-app-capable" content="yes" />
		<meta name="apple-mobile-web-app-status-bar-style" content="black" />

	</head>
	<body>
	<div id="container">
		<div id="login_container" class="middle">
			<?php if ($img_filename = $this->system->config('general_logo')): ?>
				<div style="text-align: center; padding: 5px 10px; "><img style="width: 230px;" src="<?php echo base_url(); ?>manager/assets/img/<?php echo $img_filename; ?>" /></div>
			<?php else: ?>
				<h3><?php echo $this->system->config('system_title'); ?></h3>
			<?php endif; ?>
			<p style="text-align: center; border-bottom: 1px solid #EEE; color: #BBB; padding-bottom: 10px;"><small>Powered by Plexcloud&trade; 360<sup>o</sup></small></p>
			<form method="post" action="<?php echo base_url(); ?>fnbpos/auth" class="v-form">

			<fieldset style="border:none">
				<h2>F&amp;B POS Login</h2>
				<?php if ($notice): ?>
				<p class="v-warning"><?php echo $notice; ?></p>
				<?php endif; ?>
				<label for="username">Username</label><input type="text" style="width: 100%" name="username" id="username" class="v-text" />
				<label for="password">Password</label><input type="password" style="width: 100%" name="password" id="password" class="v-text" />
				<br class="v-clear" />
				<p style="padding-top: 6px"><button class="v-btn" style="margin-right: 6px">Log in</button></p>
			</fieldset>
			</form>

		</div>
	</div>
	</body>
</html>
