<html>
	<head>
		<meta charset="utf-8">
		<title><?php echo $this->system->config('company_name'); ?></title>
		<base href="<?php echo base_url(); ?>" />
		<link rel="stylesheet" href="css/fnb/style.css" />
		<link rel="stylesheet" href="css/fnb/ui-lightness/jqueryui.css" />
		<link rel="stylesheet" href="css/fnb/print.css" media="print" />
		
		<!-- iPhone ICON -->
        <link href="<?php echo base_url(); ?>images/plexcloud-fnb-icon.png" sizes="57x57" rel="apple-touch-icon">
        <!-- iPhone (Retina) ICON-->
        <link href="<?php echo base_url(); ?>images/plexcloud-fnb-icon-retina.png" sizes="114x114" rel="apple-touch-icon">

        <!-- iPhone SPLASHSCREEN-->
        <link href="<?php echo base_url(); ?>images/plexcloud-fnb-splash.png" media="(device-width: 320px)" rel="apple-touch-startup-image">
        <!-- iPhone (Retina) SPLASHSCREEN-->
        <link href="<?php echo base_url(); ?>images/plexcloud-fnb-splash-retina.png" media="(device-width: 320px) and (-webkit-device-pixel-ratio: 2)" rel="apple-touch-startup-image">


		<script type="text/javascript">
			var base_url 			= "<?php echo base_url(); ?>";
			var trigger_url 		= "<?php echo $trigger_url; ?>";
			var printer_name		= "<?php echo $printer_name; ?>";
			var printer_type		= "<?php echo $printer_type; ?>";
			var printer_width		= "<?php echo $printer_width; ?>";
			var trigger_chars		= "<?php echo $trigger_chars; ?>";
			var currency 			= "<?php echo $this->system->config('currency'); ?>";
			var revert_level 		= "<?php echo $this->system->config('revert_level'); ?>";
			var display_url 		= "<?php echo $display_url; ?>";
			var msg_welcome_1 		= "<?php echo $msg_welcome_1; ?>";
			var msg_welcome_2 		= "<?php echo $msg_welcome_2; ?>";
			var msg_thankyou 		= "<?php echo $msg_thankyou; ?>";
			var sst 				= 0;
			var receipt_title		= "<?php echo count($taxes) ? 'TAX INVOICE' : 'OFFICIAL RECEIPT'; ?>";
			var keycard				= "<?php echo $this->system->config('revert_keycard'); ?>";
			var cash_only			= "<?php echo $this->system->config('fnbpos_cash_only'); ?>";
			var logout_timeout		= "<?php echo $this->system->config('fnbpos_logout_timeout'); ?>";
			var shortidle_timeout	= 8;
			var no_void				= 0;
			var secondary_display	= <?php echo $this->system->config('fnbpos_secondary_display') ? '1' : '0'; ?>;
			var discount_default	= "<?php echo trim($this->system->config('fnbpos_discount_default')); ?>";
			var branch_name			= "<?php echo $branch->name; ?>";
			var logo				= "<?php echo $this->system->config('company_logo'); ?>";
		</script>

		
		<script type="text/javascript" src="js/fnb/jquery-1.4.3.min.js"></script>
		<script type="text/javascript" src="js/fnb/jqueryui.js"></script>
		<?php if ($this->session->userdata('device') == 'ipad'): ?>
		<script type="text/javascript" src="js/fnb/ipad-interactions.js?3"></script>		
		<?php else: ?>
		<script type="text/javascript" src="js/fnb/interactions.js?1"></script>	
		<link rel="stylesheet" href="css/fnb/scroller.css" />	
		<?php endif; ?>
		<script type="text/javascript" src="js/fnb/layout.js"></script>
		<script type="text/javascript" src="js/fnb/card.js"></script>
		<script type="text/javascript" src="js/fnb/session.js"></script>
		
		<?php if ($this->system->config('plexcloud_id')): ?>
		<!-- CLOUD DYNAMIC UPDATE -->		
		<script type="text/javascript">
			$(document).ready(function(){
				dynamicUpdate();
			})
			function dynamicUpdate(){
				console.log('DNS Update Request');
				$.ajax({
					url: 'http://www.plexcloud.com/<?php echo $this->system->config('plexcloud_id'); ?>/update.php',
					type: 'post',
					data: 'key=<?php echo $this->system->config('plexcloud_key'); ?>',
					success: function(){
						console.log('DNS Updated');
						setTimeout(function(){
							dynamicUpdate();
						}, 10000);
					}
				})
			}
		</script>
		<?php endif; ?>
		
		<?php if ($this->system->config('plexcenter_branch_code')): ?>
		<script type="text/javascript">
			$(document).ready(function(){
				plexCenterSync();
			})
			function plexCenterSync(){
				console.log('DNS Update Request');
				$.ajax({
					url: 'sync/execute',
					type: 'post',
					success: function(){
						console.log('PLEXCENTER UPDATED');
						setTimeout(function(){
							plexCenterSync();
						}, 10000);
					}
				})
			}
		</script>
		<?php endif; ?>
		
		<meta name="apple-mobile-web-app-capable" content="yes">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0;" > 
		
	</head>
	<body>
		<?php if ($this->user->data('terminal_lock')): ?>
			<div id="lock" style="position: fixed; background: rgba(0,0,0,0.8); height: 100%; width: 100%; top: 0; left: 0; z-index: 5000">
				<div style="padding-top: 250px;">
					<h1 style="color: #FFF">POS Locked</h1>
					<?php if ($this->system->config('revert_keycard')): ?>
						<input id="userpass" placeholder="Swipe/Tap Keycard" type="password" class="vui-number-large" value="" style="width: 250px; text-align: left" />
					<?php else: ?>
						<input id="userpass" type="password" class="vui-number-large" value="" style="width: 250px; text-align: left" />					
					<?php endif; ?>
					<button id="unlock" class="vui-btn vui-btn-large" style="padding: 7px 10px">Unlock POS</button>
					<p class="lock-notice" style="color: #FFF"></p>
				</div>
			</div>
		<?php else: ?>
			<div id="lock" style="position: fixed; display: none; background: rgba(0,0,0,0.8); height: 100%; width: 100%; top: 0; left: 0; z-index: 5000">
				<div style="padding-top: 250px;">
					<h1 style="color: #FFF">POS Locked</h1>
					<input id="userpass" type="password" class="vui-number-large" value="" style="width: 250px; text-align: left" />
					<button id="unlock" class="vui-btn vui-btn-large" style="padding: 7px 10px">Unlock POS</button>
					<p class="lock-notice" style="color: #FFF"></p>
				</div>
			</div>
		<?php endif; ?>
		<div id="init" style="position: fixed; background: rgba(0,0,0,0.8); height: 100%; width: 100%; top: 0; left: 0; z-index: 5000">
			<p style="text-align: center; padding-top: 300px; color: #FFF;">
				<img src="images/loading-black-matte.gif" style="height: 16px; width: 16px; vertical-align: middle; margin-right: 5px;" /> Loading...
			</p>
		</div>
		<div id="receipt" class="receipt_print" style="width: 280px; color: black; text-align: left; z-index: 10000">
			<?php if (count($taxes)): ?>
			<p class="title" style="text-align: center">TAX INVOICE</p>
			<?php else: ?>
			<p class="title" style="text-align: center">OFFICIAL RECEIPT</p>
			<?php endif; ?>

			<?php if (is_file('receipt_logo.png')): ?>
			<p style="text-align: center"><img style="height: 100px; width: auto;" src="receipt_logo.png" /></p>
			<?php endif; ?>
			
			<h3 style="font-size: 12pt; text-align: center"><?php echo $branch->name; ?></h3>
			<p style="text-align: center">
				<?php echo $branch->address1; ?>, <?php echo $branch->address2; ?><br />
				<?php echo $branch->zipcode; ?> <?php echo $branch->city; ?>, <?php echo $branch->state; ?>	<br />
				<?php echo $branch->tel ? 'Tel: ' . $branch->tel : ''; ?>  <?php echo $branch->fax ? 'Fax: ' . $branch->fax : ''; ?><br />
				<?php echo $branch->email ? 'Email: ' . $branch->email : ''; ?>

			</p>
			<hr style="border: none; border-collapse: collapse; border-top: 1px solid #000" />
			<div id="receipt-container">
				
			</div>
			<hr style="border: none; border-collapse: collapse; border-top: 1px solid #000" />
			<p style="text-align: center"><?php echo nl2br($terminal->printer_footer); ?></p>
		</div>
		
		

		<div class="overlay"></div>
		
		
		
		<div id="report" style="display:none">
			<h3 style="margin: 5px; padding: 5px; font-size: 14pt;"><?php echo $this->system->config('receipt_header'); ?></h3>
			<span>CASH OUT REPORT</span>
			<hr />
			<p>Cashier: <?php echo $username; ?><span style="float: right"></span></p>
			<hr />
			<div class="report">
			
			</div>
			
		</div>
		
		<div id="keyboard" style="display:none; position: fixed; bottom: -5px; left: 0px; right: 0px; z-index: 10000; box-shadow: 0 0 10px rgba(0,0,0,0.2)">
			<div class="vui-card" style="padding: 15">
				<div style="float:right; margin-left: 3px;">
					<button style="min-height: 170px" class="vui-btn vui-btn-medium vui-btn-red touch-keyboard" value="close">&times;</button>
				</div>
				<div style="float:right; margin-left: 3px;">
					<button style="min-height: 110px" class="vui-btn vui-btn-medium touch-keyboard" value="0">0</button><br /><button class="vui-btn vui-btn-medium touch-keyboard" value=".">.</button>
				</div>
				<div style="float:right">
					<button class="vui-btn vui-btn-medium touch-keyboard" value="7">7</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="8">8</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="9">9</button><br /><button class="vui-btn vui-btn-medium touch-keyboard" value="4">4</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="5">5</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="6">6</button><br /><button class="vui-btn vui-btn-medium touch-keyboard" value="1">1</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="2">2</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="3">3</button>
					
				</div>
				<div style="float: left;">
					<button class="vui-btn vui-btn-medium touch-keyboard" value="Q">Q</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="W">W</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="E">E</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="R">R</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="T">T</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="Y">Y</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="U">U</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="I">I</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="O">O</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="P">P</button>
					<button class="vui-btn vui-btn-medium vui-btn-red touch-keyboard" value="backspace">&laquo;</button>
					<br />
					<button class="vui-btn vui-btn-medium touch-keyboard" value="A">A</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="S">S</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="D">D</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="F">F</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="G">G</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="H">H</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="J">J</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="K">K</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="L">L</button>
					<button style="text-transform: uppercase" class="vui-btn vui-btn-medium touch-keyboard vui-btn-dark" value="return">Enter</button>
					<br />
					<button class="vui-btn vui-btn-medium touch-keyboard touch-shift" value="shift">&#x25B2;</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="Z">Z</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="X">X</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="C">C</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="V">V</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="B">B</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="N">N</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value="M">M</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value=",">,</button>
					<button class="vui-btn vui-btn-medium touch-keyboard" value=".">.</button>
				</div>
				<div style="clear:left"></div>
			</div>
		</div>
		
		<div id="keypad" style="width: 365px; z-index: 7000">
			<div class="vui-card" style="padding:10px 5px 10px 5px; width: 330px">
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="7" style="width:100px"><span></span>7</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="8" style="width:100px"><span></span>8</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="9" style="width:100px"><span></span>9</button>
				<br />
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="4" style="width:100px"><span></span>4</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="5" style="width:100px"><span></span>5</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="6" style="width:100px"><span></span>6</button>
				<br />
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="1" style="width:100px"><span></span>1</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="2" style="width:100px"><span></span>2</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="3" style="width:100px"><span></span>3</button>
				<br />
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="." style="width:100px"><span></span>.</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="0" style="width:100px"><span></span>0</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value=".00" style="width:100px"><span></span>.00</button>
				<br />
				<button class="vui-btn vui-btn-large vui-btn-grey touch-numpad" value="+" style="width:100px"><span></span>+</button>
				<button class="vui-btn vui-btn-large vui-btn-grey touch-numpad" value="-" style="width:100px"><span></span>-</button>
				<button class="vui-btn vui-btn-large vui-btn-red touch-numpad" value="delete" style="width:100px"><span></span>&laquo;</button>
				<br />
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad clear" value="100.00" style="width:100px"><span></span>RM100</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad clear" value="50.00" style="width:100px"><span></span>RM50</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad clear" value="10.00" style="width:100px"><span></span>RM10</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad clear" value="5.00" style="width:100px"><span></span>RM5</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad clear" value="1.00" style="width:100px"><span></span>RM1</button>
				<br />
				<button class="vui-btn vui-btn-large vui-btn-green touch-numpad" value="return" id="return" style="width:300px"><span></span>ENTER</button>
				<button class="vui-btn vui-btn-large vui-btn-red touch-numpad" value="close" id="close-numpad" style="width:300px"><span></span>CLOSE</button>
			</div>
		</div>
		
		<div id="add-ok" style="width: 300px;; z-index: 7000">
			<div class="vui-card" style="padding: 10px 20px">
			<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
				<tr>
	    			<td id="added-item" style="padding: 10px 0"></td>
	    			<td id="added-amount" style="padding: 10px 0; font-size: 20px; text-align:right">35.90</td>
	    		</tr>
	    		<tr style="border-top: 1px solid #009900">
	    			<td style="padding: 10px 0">Outstanding Total (RM)</td>
	    			<td class="outstanding-total" style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px">35.90</td>
	    		</tr>	
	    	</table>
	    	</div>
		</div>
		<div id="add-failed" style="width: 300px; z-index: 7000">
			<div class="vui-card" style="padding: 10px 20px">
			<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
				<tr>
	    			<td style="padding: 10px 0">Item not found</td>
	    			<td style="padding: 10px 0; font-size: 20px;"></td>
	    		</tr>
	    		<tr style="border-top: 1px solid #990000">
	    			<td style="padding: 10px 0">Outstanding Total (RM)</td>
	    			<td class="outstanding-total" style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px">35.90</td>
	    		</tr>	
	    	</table>
	    	</div>		
		</div>
		
		<div id="permission" class="vui-dialog" style="width: 450px; margin-top: 100px; z-index: 7000">
			<div class="vui-card">
				<div style="padding: 10px 20px;">

				<h3><button id="cancel-permission" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="float: right; width: 100px"><span></span>Cancel</button>Permission Required</h3>
				<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
					<tr class="void-qty" style="display:none">
						<td style="padding: 10px 0">Void Quantity</td>
						<td style="padding: 10px 0"><input id="void-qty" type="text" class="vui-number-large number" value="1" style="width: 150px; text-align: left" /></td>
					</tr>
					<tr class="void-reason" style="display:none">
						<td style="padding: 10px 0">Reason</td>
						<td style="padding: 10px 0">
							<?php
								$void_reasons[''] = 'Select Reason';
								foreach (explode("\n",trim($this->system->config('fnbpos_void_reason'))) as $reason){
									$void_reasons[trim($reason)] = trim($reason);
								}	
							?>
							<?php echo form_dropdown('void_reason', $void_reasons,'','id="void-reason" style="width: 300px; font-size: 16pt"'); ?>
						</td>
					</tr>
					<?php if ($this->system->config('revert_keycard')): ?>
					<tr>
						<td style="padding: 10px 0">Keycard</td>
						<td style="padding: 10px 0"><input placeholder="Swipe/Tap Keycard" id="access-password" type="password" class="vui-number-large" style="width: 300px; text-align: left" /><button id="verify-access-btn" class="vui-btn vui-btn-medium vui-btn return-default" style="display:none"><span></span>Verify</button></td>
					</tr>
					
					<?php else: ?>
					<tr>
						<td style="padding: 10px 0">Username</td>
						<td style="padding: 10px 0"><input id="access-username" type="text" class="vui-number-large" style="width: 300px; text-align: left" /></td>
					</tr>
					<tr>
						<td style="padding: 10px 0">Password</td>
						<td style="padding: 10px 0"><input placeholder="Pwd or Swipe/Tap Keycard" id="access-password" type="password" class="vui-number-large return-default" style="width: 300px; text-align: left" /> </td>
					</tr>
					<tr>
						<td></td>
						<td style="padding: 10px 0"><button id="verify-access-btn" class="vui-btn vui-btn-medium vui-btn return-default" style="width: 120px; margin-right: 2px;"><span></span>Verify</button></td>
					</tr>
					<?php endif; ?>
					<tr>
						<td id="access-alert" colspan="2"></td>
					</tr>
				</table>
				
				</div>
			</div>
		</div>
		
		<div id="confirmation" class="vui-dialog" style="padding-top: 50px; width: 650px;; z-index: 7000">
			<div class="vui-card">
				<div style="padding: 10px 20px">
					<h3>Payment Confirmation<button id="confirmation-print-receipt" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="width: 170px; margin-left: 128px"><span></span>Print Receipt</button></h3>
					<button id="confirm-done" class="vui-btn vui-btn-medium vui-btn vui-btn-green" style="width: 110px; float: right; margin-top: 120px"><span></span>Done</button>
					<div class="confirm-details" style="width: 475px">
						<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
							<tr>
								<td style="padding: 10px 0">Payment Status: Successful</td>
								<td style="padding: 10px 0"></td>
							</tr>
							<tr class="confirmation-credit-card">
								<td style="padding: 10px 0">Payment Status: Successful</td>
								<td style="padding: 10px 0"></td>
							</tr>
							<tr class="confirmation-credit-card">
								<td style="padding: 10px 0">Credit Card Type: VISA</td>
								<td style="padding: 10px 0">Credit Card No: XXXX-XXXX-XXXX-8015</td>
							</tr>
							<tr style="border-top: 1px solid #ccc">
								<td style="padding: 10px 0">Amount Due (RM)</td>
								<td class="pay-amount-due" style="text-align: right; font-weight: bold; font-size: 20px">45.00</td>
							</tr>		
							<tr>
								<td style="padding: 10px 0">Amount Tendered (RM)</td>
								<td class="pay-amount-tendered" style="text-align: right; font-weight: bold; font-size: 20px">50.00</td>
							</tr>
							<tr style="border-top: 1px solid #ccc">
								<td style="padding: 10px 0">Change (RM)</td>
								<td class="pay-amount-change" style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px">5.00</td>
							</tr>	
						</table>
					</div>
				</div>
			</div>
		</div>
		<div id="enter-price" class="vui-dialog" style="width: 440px; margin-top: 210px; z-index: 7000">
			<div class="vui-card">
				<div style="padding: 10px 20px;">

				<h3><button id="cancel-enter-price" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="float: right; width: 100px"><span></span>Cancel</button>Enter Price</h3>
				<p class="enter-price-item"></p>
				<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
					
					<tr>
						<td style="padding: 10px 0">Price Per Unit (<?php echo $this->system->config('currency'); ?>)</td>
						<td style="padding: 10px 0"><button id="enter-price-btn" class="vui-btn vui-btn-medium vui-btn return-default" style="width: 100px; float:right; margin-right: 2px;"><span></span>OK</button><input id="enter-item-price-pu" type="text" class="vui-number-large number" style="width: 150px; text-align: right" /></td>
					</tr>

					<tr>
						<td id="access-alert" colspan="2"></td>
					</tr>

				</table>
				
				</div>
			</div>
		</div>
		
		<div id="enter-discount" class="vui-dialog" style="width: 440px; margin-top: 210px; z-index: 10000">
			<div class="vui-card">
				<div style="padding: 10px 20px;">

				<h3><button id="cancel-enter-discount" class="vui-btn vui-btn-medium vui-btn vui-btn-dark escape-default" style="float: right; width: 100px"><span></span>Cancel</button>Enter Discount</h3>
					<p class="enter-price-item"></p>
					<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">

						<tr class="discount-total">
							<td style="padding: 10px 0">Total Discount 

							</td>
							<td style="padding: 10px 0; text-align: right">
								<?php if (!$this->system->config('fnbpos_discount_no_amount')): ?>
								<button class="vui-btn vui-btn-medium disc-px" style="width: 50px; vertical-align: top">%</button>
								<button class="vui-btn vui-btn-medium disc-dx" style="width: 50px; vertical-align: top">-</button>
								<?php else: ?>
								%
								<?php endif; ?>
								

								<input id="enter-total-discount" type="text" class="vui-number-decimal vui-number-large number" style="width: 150px; text-align: right" />
							</td>
						</tr>

						<tr>
							<td id="access-alert" colspan="2"></td>
						</tr>
					</table>
					<div style="height: 45px">
						<button id="enter-discount-btn" class="vui-btn vui-btn-medium vui-btn return-default" style="width: 120px; float:right; margin-right: 2px;"><span></span>OK</button>
					</div>
				</div>
			</div>
		</div>
		
		<div id="enter-option" class="vui-dialog" style="width: 440px; margin-top: 210px; z-index: 7000">
			<div class="vui-card">
				<div style="padding: 10px 20px;">

				<h3><button id="cancel-enter-option" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="float: right; width: 100px"><span></span>Cancel</button>Enter Option</h3>
				<p class="enter-price-item"></p>
				<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
					<tr>
						<td style="padding: 10px 0">Option</td>
						<td style="padding: 10px 0"><input id="enter-item-option" type="text" class="vui-number-large" style="width: 150px; text-align: left" /></td>
					</tr>
					<tr>
						<td style="padding: 10px 0">Additional Price (<?php echo $this->system->config('currency'); ?>)</td>
						<td style="padding: 10px 0"><button id="enter-option-btn" class="vui-btn vui-btn-medium vui-btn return-default number" style="width: 100px; float:right; margin-right: 2px;"><span></span>OK</button><input id="enter-item-option-price" type="text" class="vui-number-large number" style="width: 150px; text-align: right" /></td>
					</tr>

					<tr>
						<td id="access-alert" colspan="2"></td>
					</tr>

				</table>
				
				</div>
			</div>
		</div>
		
		<div id="custom-price" class="vui-dialog" style="width: 440px; margin-top: 210px; z-index: 7000">
			<div class="vui-card">
				<div style="padding: 10px 20px;">

				<h3><button id="cancel-custom-price" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="float: right; width: 100px"><span></span>Cancel</button>Enter Discount</h3>
				<p class="enter-price-item"></p>
				<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
					<tr>
						<td style="padding: 10px 0">Discount (%)</td>
						<td style="padding: 10px 0"><button id="custom-price-btn" class="vui-btn vui-btn-medium vui-btn return-default" style="width: 120px; float:right; margin-right: 2px;"><span></span>OK</button><input id="enter-item-discount" type="text" class="vui-number-large number" style="width: 150px; text-align: right" /></td>
					</tr>
					<tr style="display:none">
						<td style="padding: 10px 0">Price Per Unit (<?php echo $this->system->config('currency'); ?>)</td>
						<td style="padding: 10px 0"><input readonly id="enter-item-custom-price-pu" type="text" class="vui-number-large number" style="width: 150px; text-align: right" /></td>
					</tr>

					<tr>
						<td id="access-alert" colspan="2"></td>
					</tr>

				</table>
				
				</div>
			</div>
		</div>
		
		<div id="tableaction" class="vui-dialog" style="width: 430px; text-align: left; margin-top: 250px; z-index: 7000">
			<div class="vui-card">
				<div style="padding: 10px 20px">
				<button onclick="hideDialog('tableaction')" style="float:right; padding: 5px 10px;" class="vui-btn vui-btn-medium">&times;</button>
				<h3>Table 1</h3>
				
				<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse;">
					<tr>
						<td style="padding: 10px 0; text-align: right; width: 130px"><button id="action-add-item" class="vui-btn vui-btn-medium vui-btn" style="width: 120px; margin-top: 0"><span></span>Add Item</button></td>
						<?php if ($this->user->has_permission('to_discount','Sales')): ?>
						<td style="padding: 10px 0; text-align: right; width: 130px"><button id="action-discount" class="vui-btn vui-btn-medium vui-btn" style="width: 120px; margin-top: 0"><span></span>Discount</button></td>
						<?php endif; ?>
						<td style="padding: 10px 0; text-align: right; width: 130px"><button id="action-split" class="vui-btn vui-btn-medium vui-btn vui-btn-blue" style="width: 120px; margin-top: 0"><span></span>Split</button></td>
					</tr>
					<tr>
						<td style="padding: 10px 0; text-align: right; width: 130px"><button id="action-bill" class="vui-btn vui-btn-medium vui-btn vui-btn-blue" style="width: 120px; margin-top: 0"><span></span>Bill</button></td>
						<td style="padding: 10px 0; text-align: right; width: 130px"><button id="action-transfer" class="vui-btn vui-btn-medium vui-btn vui-btn-blue" style="width: 120px; margin-top: 0"><span></span>Transfer</button></td>
						<td style="padding: 10px 0; text-align: right; width: 130px"><button id="action-checkout" class="vui-btn vui-btn-medium vui-btn vui-btn-green" style="width: 120px; margin-top: 0"><span></span>Checkout</button></td>
					</tr>
				</table>
				<p class="table-error" style="font-weight: bold; font-size: 12pt; color: red"></p>
				</div>
			</div>
		</div>
		
		<div id="newtablelayout" class="vui-dialog" style="width: 430px; text-align: left; margin-top: 250px; z-index: 7000">
			<div class="vui-card">
				<div style="padding: 10px 20px">
				<h3><button id="layout-table-back" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="width: 120px; float: right"><span></span>Back</button>Add Table</h3>
				
				<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse;">
					<tr>
						<td style="padding: 10px 0">Table Number</td>
						<td style="padding: 10px 0; text-align: right"><input type="text" maxlength="4" id="layout-table-number-input" class="vui-number-large " style="width: 150px; " value="" /></td>
						<td style="padding: 10px 0; text-align: right; width: 130px"><button id="layout-add-new-table" class="vui-btn vui-btn-medium vui-btn vui-btn-green" style="width: 120px; margin-top: 0"><span></span>Add</button></td>
					</tr>
				</table>
				<p class="table-error" style="font-weight: bold; font-size: 12pt; color: red"></p>
				</div>
			</div>
		</div>

		<div id="newtable" class="vui-dialog" style="width: 430px; text-align: left; margin-top: 250px; z-index: 7000">
			<div class="vui-card">
				<div style="padding: 10px 20px">
				<h3><button id="table-back" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="width: 120px; float: right"><span></span>Back</button>New Table</h3>
				
				<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse;">
					<tr>
						<td style="padding: 10px 0">Table Number</td>
						<td style="padding: 10px 0; text-align: right"><input type="text" maxlength="32" id="table-number-input" class="vui-number-large" style="width: 150px; " value="B" /></td>
						<?php if ($this->system->config('fnbpos_hide_pax')): ?>
						<td style="padding: 10px 0; text-align: right; width: 130px"><button id="add-new-table" class="vui-btn vui-btn-medium vui-btn vui-btn-green" style="width: 120px; margin-top: 0"><span></span>Add</button></td>						
						<?php endif; ?>
					</tr>
					<?php if (!$this->system->config('fnbpos_hide_pax')): ?>
					<tr>
						<td style="padding: 10px 0">No of Pax</td>
						<td style="padding: 10px 0; text-align: right"><input type="text" maxlength="4" id="table-pax-input" class="vui-number-large number" style="width: 150px; " value="" /></td>
						<td style="padding: 10px 0; text-align: right; width: 130px"><button id="add-new-table" class="vui-btn vui-btn-medium vui-btn vui-btn-green" style="width: 120px; margin-top: 0"><span></span>Add</button></td>
					</tr>		
					<?php endif; ?>
				</table>
				<p class="table-error" style="font-weight: bold; font-size: 12pt; color: red"></p>
				</div>
			</div>
		</div>

		<div id="transfertable" class="vui-dialog" style="width: 430px; text-align: left; margin-top: 250px; z-index: 7000">
			<div class="vui-card">
				<div style="padding: 10px 20px">
				<h3><button id="transfer-back" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="width: 120px; float: right"><span></span>Back</button>Transfer Table</h3>
				
				<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse;">
					<tr>
						<td style="padding: 10px 0">Table Number</td>
						<td style="padding: 10px 0; text-align: right"><input type="text" id="transfer-number-input" class="vui-number-large" style="width: 150px; " /></td>
						<td style="padding: 10px 0; text-align: right; width: 130px"><button id="transfer-table" class="vui-btn vui-btn-medium vui-btn vui-btn-green return-default" style="width: 120px; margin-top: 0"><span></span>Go</button></td>
					</tr>		
				</table>
				<p class="transfer-error" style="font-weight: bold; font-size: 12pt; color: red"></p>
				</div>
			</div>
		</div>
		
		
		<div id="customer" class="vui-dialog" style="padding-top: 50px; width: 500px; z-index: 7000">
			<div class="vui-card">
				<div style="padding: 10px 20px">

					<h3><button id="customer-select-close" class="vui-btn vui-btn-medium vui-btn escape-default" style="width: 120px; float:right; margin-right: 2px;"><span></span>Close</button>Customer</h3>

					<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
					<?php if ($this->system->uses('Clinic')): ?>
						<tr>
							<td style="padding: 10px 0 ">Consultant</td>
							<td style="text-align: right; font-weight: bold; padding: 5px 0"><?php echo form_dropdown('consultant', $consultants,'','class="consultant" style="width: 215px; padding: 10px; font-size: 14pt;"'); ?></td>
						</tr>
					<?php endif; ?>
						<tr>
							<td style="padding: 10px 0">Customer ID</td>
							<td style="text-align: right; font-weight: bold; padding: 5px 0"><input type="text" class="vui-number-large customer-id number" style="width: 200px; text-align: left;" /></td>
						</tr>
						<tr>
							<td style="padding: 10px 0">Name Search</td>
							<td style="text-align: right; font-weight: bold; padding: 5px 0"><input type="text" class="vui-number-large customer-name" style="width: 200px; text-align: left" /></td>
						</tr>
						
						<tr style="border-top: 1px solid #DDD; border-bottom: 1px solid #DDD; display: none" class="customer-search">
							<td colspan="2" class="search-result">
								<p>Search Result</p>
								<ul class="vui-select-list customer-list" style="height: 200px; margin: 0; padding: 0;">
									
								</ul>
							</td>
						</tr>

						<tr style="border-top: 1px solid #DDD; border-bottom: 1px solid #DDD" class="customer-details">
							<td colspan="2" class="">
								<h4 style="font-size: 12pt; margin-bottom: 0; padding-bottom: 5px;">Customer Details</h4>
								<div class="customer-info" style="padding: 5px 5px 10px 5px; font-weight: normal">
									<i>No Information</i>
								</div>
							</td>
						</tr>
					</table>
					<p style="text-align: right">
						<button id="customer-select-done" class="vui-btn vui-btn-medium vui-btn" style="width: 120px;"><span></span>Done</button>
					</p>

				</div>
			</div>
		</div>


		

		<div id="pay" class="vui-dialog" style="padding-top: 30px; width: 650px; z-index: 7000">
			<div class="vui-card">
				<div style="padding: 10px 20px">
					<h3>Checkout<button id="pay-back" class="vui-btn vui-btn-medium vui-btn vui-btn-dark escape-default" style="display: none; width: 120px; margin-left: 359px"><span></span>Back</button></h3>
					<div class="payment-method" style="display: block">
					<table style="width: 100%">
						<tr>
							<td style="width: 150px"><button id="pay-cash" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="width: 145px;"><span></span>Cash</button></td>
							<?php if ($this->system->config('checkout_cc')): ?>
							<td style="width: 150px"><button id="pay-credit-card" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="width: 145px;"><span></span>Credit Card</button></td>
							<td style="width: 150px"><button id="pay-credit-card-mixed" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="width: 145px;"><span></span>Mixed</button></td>
							<?php endif; ?>
							<td style="width: 150px"><button id="pay-cancel" class="vui-btn vui-btn-medium vui-btn vui-btn-red" style="width: 145px;"><span></span>Cancel</button></td>
						</tr>
					</table>
					</div>
					<div class="payment-cash" style="display:none">
						<button id="pay-process-cash" class="vui-btn vui-btn-medium vui-btn vui-btn-green" style="width: 120px; float: right; margin-top: 216px"><span></span>Process</button>
						<div class="payment-details" style="width: 475px">
							<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
								<tr>
									<td style="padding: 10px 0">Payment Method</td>
									<td style="padding: 10px 0; text-align: right" class="payment-method"></td>
								</tr>
								<tr class="cc">
									<td style="padding: 10px 0">Credit Card Type</td>
									<td style="padding: 10px 0; text-align: right">
										<?php echo form_dropdown('cardtype',$cc_array, '', 'class="card-type" style="float:right; font-size: 12pt; width: 135px "'); ?>
									</td>
								</tr>
								<tr class="mixed">
									<td style="padding: 10px 0">Amount Cash (RM)</td>
									<td style="text-align: right; font-weight: bold; padding: 5px 0"><input type="text" id="amount-cash" class="number vui-number-large" style="width: 150px" /></td>
								</tr>
								<tr class="mixed">
									<td style="padding: 10px 0">Amount Credit Card (RM)</td>
									<td style="text-align: right; font-weight: bold; padding: 5px 0"><input type="text" id="amount-cc" class="number vui-number-large" style="width: 150px" /></td>
								</tr>
								<tr class="cash">
									<td style="padding: 10px 0">Amount Tendered (RM)</td>
									<td style="text-align: right; font-weight: bold; padding: 5px 0"><input type="text" id="amount-tendered-input" class="number vui-number-large" style="width: 150px" /></td>
								</tr>
								<?php if ($this->system->config('checkout_voucher')): ?>
								<tr>
									<td style="padding: 10px 0">Voucher Amount (RM)</td>
									<td style="text-align: right; font-weight: bold; padding: 5px 0"><input type="text" id="amount-voucher" class="number vui-number-large" style="width: 150px" /></td>
								</tr>
								<?php endif; ?>
								<?php if ($this->system->config('checkout_cheque')): ?>
								<tr>
									<td style="padding: 10px 0">Cheque Amount (RM)</td>
									<td style="text-align: right; font-weight: bold; padding: 5px 0"><input type="text" id="amount-cheque" class="number vui-number-large" style="width: 150px" /></td>
								</tr>
								<?php endif; ?>
								<tr>
									<td style="padding: 10px 0">Subtotal</td>
									<td class="amount-subtotal" style="text-align: right; font-weight: bold; font-size: 20px"></td>
								</tr>
								<tr>
									<td style="padding: 10px 0">Discount</td>
									<td style="text-align: right; font-weight: bold; padding: 5px 0">
										<?php if (!$this->system->config('fnbpos_discount_no_amount')): ?>
											<button class="vui-btn vui-btn-medium disc-p" style="width: 50px; vertical-align: top">%</button>
											<button class="vui-btn vui-btn-medium disc-d" style="width: 50px; vertical-align: top">-</button>
										<?php endif; ?>
										<input type="text" id="checkout-discount" class="number vui-number-large" style="width: 150px" />
									</td>
								</tr>
								<tr>
									<td style="padding: 10px 0">Discount Amount</td>
									<td class="amount-discount" style="text-align: right; font-weight: bold; font-size: 20px"></td>
								</tr>
								
								<?php foreach ($taxes as $tax): ?>

								<tr>
									<td style="padding: 10px 0"><?php echo $tax->name; ?> (<?php echo $tax->percentage; ?>%)</td>
									<td rel="tax_<?php echo $tax->id; ?>" percentage="<?php echo $tax->percentage; ?>" class="checkout-tax" style="text-align: right; font-weight: normal; font-size: 20px">0.00</td>
								</tr>
								
								<?php endforeach; ?>
								<tr>
									<td style="padding: 10px 0">Rounding Adjust</td>
									<td class="rounding-adjust" style="text-align: right; font-weight: bold; font-size: 20px"></td>
								</tr>
								<tr style="border-top: 1px solid #CCC">
									<td style="padding: 10px 0">Grand Total</td>
									<td class="pay-amount-due" style="text-align: right; font-weight: bold; font-size: 20px">0</td>
								</tr>
								<tr style="border-top: 1px solid #CCC">
									<td style="padding: 10px 0">Change</td>
									<td class="amount-change" style="text-align: right; font-weight: bold; font-size: 20px"></td>
								</tr>
								

								
							</table>
						</div>
					</div>
					
					<div class="payment-credit-card" style="display:none">
						<div style="float:right">
							<button id="pay-process-credit-card" class="vui-btn vui-btn-medium vui-btn vui-btn-green" style="width: 120px; margin-top: 95px"><span></span>Process</button>
						</div>
						<div class="payment-details" style="width: 475px">
							<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
								<tr>
									<td style="padding: 10px 0;" colspan="4">Payment Method: Credit Card</td>
								</tr>		
								<tr>
									<td style="padding: 15px 0; width: 150px">Name on Card</td>
									<td class="pay-cc-name" colspan="3"><input id="ccname" type="text" class="vui-number-large" style="width: 100%" /></td>
								</tr>		
								<tr>
									<td style="padding: 15px 0">Credit Card No</td>
									<td class="pay-cc-number" colspan="3"><input id="ccnumber" type="text" class="vui-number-large" style="width: 100%" /></td>
								</tr>
								<tr>
									<td style="padding: 15px 0">Expiry Date</td>
									<td class="pay-cc-number"><input type="text" id="ccexpiry" class="vui-number-large" style="width: 150px" /></td>
									<td style="padding: 15px 10px">CCV</td>
									<td class="pay-cc-verify"><input type="text" id="ccverify" class="vui-number-large" style="width: 100%" /></td>
								</tr>	

								<tr>
									<td colspan="4" style="font-weight: normal; padding: 15px 0;">Payment will be processed via PayPal over encrypted SSL protocol.</td>
								</tr>		
								<tr style="border-top: 1px solid #ccc">
									<td style="padding: 10px 0">Amount Due (RM)</td>
									<td class="pay-amount-due" colspan="3" style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px">45.00</td>
								</tr>	
							</table>
						</div>
					</div>
					
					
				</div>
			</div>
		</div>
		
		

				
		<div id="delivery" class="vui-dialog" style="width: 730px; margin-top: 80px; z-index: 7000">
			<div class="vui-card cashcount" style="width: 715px; padding: 20px">
				<h3><button id="cancel-new-delivery" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="float: right; width: 100px"><span></span>Cancel</button>New Delivery</h3>
				<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
					<tr>
						<td style="padding: 10px 0">Customer Name</td>
						<td style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px;"><input type="text" style="width: 500px; font-size: 10pt; text-align: left" class="vui-number-large delivery-name" key="100" /></td>
					</tr>
					<tr>
						<td style="padding: 10px 0">Mobile Number</td>
						<td style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px;"><input type="text" style="width: 500px; font-size: 10pt; text-align: left" class="vui-number-large delivery-mobile" key="100" /></td>
					</tr>
					<tr>
						<td style="padding: 10px 0">Address</td>
						<td style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px;"><input type="text" style="width: 500px; font-size: 10pt; text-align: left" class="vui-number-large delivery-address" key="100" /></td>
					</tr>
				</table>
				<div style="height: 40px">
				<button id="add-delivery" class="vui-btn vui-btn-medium return-default" style="width: 120px; float:right; margin-right: 2px;"><span></span>Add</button>
				</div>
			</div>
		</div>
		
		<?php
			if ($this->system->config('report_cashout_hide')){
				$hide_cashout_values = 	'display:none';
			}
		?>
		
		<div id="logout" class="vui-dialog" style="width: 730px; margin-top: 53px; z-index: 7000">
			<div class="vui-card cashcount" style="width: 715px; padding: 20px">
				<h3><button id="cancel-logout" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="float: right; width: 100px"><span></span>Cancel</button>Cash Count</h3>
				<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
					<tr style="<?php echo $hide_cashout_values; ?>">
						<td style="padding: 10px 0">Expected in Till (RM)</td>
						<td style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px;"><span id="till-expected">0.00</span></td>
					</tr>
					<?php if (trim($this->system->config('report_secondary_categories'))): ?>
					<tr>
						<td style="padding: 10px 0">Secondary Amount (RM)</td>
						<td style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px;"><span id="till-expected-secondary">0.00</span></td>
					</tr>
					<?php endif; ?>
					<tr>
						<td style="padding: 10px 0">Denominations</td>
						<td style="width: 100px; padding: 10px 0">
							<table>
								<tr>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">RM100</td>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">RM50</td>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">RM20</td>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">RM10</td>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">RM5</td>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">RM1</td>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">50c</td>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">20c</td>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">10c</td>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">5c</td>
								</tr>
								<tr>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den number" key="100" /></td>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den number" key="50" /></td>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den number" key="20" /></td>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den number" key="10" /></td>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den number" key="5" /></td>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den number" key="1" /></td>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den number" key="0.5" /></td>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den number" key="0.2" /></td>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den number" key="0.1" /></td>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den number" key="0.05" /></td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td>Counted in Till (RM)</td>
						<td><input id="till-count" type="text" class="vui-number-decimal vui-number-large number" style="width: 100px; float:right" /></td>
					</tr>
					<tr style="border-top: 1px solid #ccc; <?php echo $hide_cashout_values; ?>">
						<td style="padding: 10px 0">Discrepancy (RM)</td>
						<td style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px"><span id="till-discrepancy"></span></td>
					</tr>
					<tr style="<?php echo $hide_cashout_values; ?>">
						<td style="padding: 10px 0; ">Deposited Amount (RM)</td>
						<td style="text-align: right; font-size: 20px; font-weight: bold; padding: 5px 0"><input id="till-deposited" type="text" value="<?php echo $this->user->terminal_data('till_deposit'); ?>" readonly="readonly" class="vui-number-decimal vui-number-large" style="width: 100px" /></td>
					</tr>
					<tr style="border-top: 1px solid #ccc; <?php echo $hide_cashout_values; ?>">
						<td style="padding: 10px 0;">Remaining (RM)</td>
						<td style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px"><span id="till-remaining">0.00</span></td>
					</tr>
				</table>

				<h3 style="margin-top: 10px; padding-top: 30px; border-top: 1px solid #ccc">Verify</h3>
				<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
					<tr>
						<td style="padding: 10px 0">Username</td>
						<td style="padding: 10px 0"><input id="verify-username" type="text" class="vui-number-large" style="width: 150px; text-align: left" /></td>
						<td style="padding: 10px 0">Password</td>
						<td style="padding: 10px 0"><input id="verify-password" type="password" class="vui-number-large" style="width: 150px; text-align: left" /></td>
						<td style="padding: 10px 0"><button id="verify-btn" class="vui-btn vui-btn-medium return-default" style="width: 120px; float:right; margin-right: 2px;"><span></span>Verify</button></td>
					</tr>
					<tr>
						<td colspan="4" class="errMsg"></td>
					</tr>
				</table>
				
			</div>
			<div class="vui-card cashcount-logout" style="width: 715px; padding: 20px; display: none">
				<h3>Logging Out</h3>
				<p>Your session will be logged out in 3 seconds.</p>
			</div>
		</div>
		<div class="item-options">
			
	    </div>
	    <div id="split-bill" class="vui-dialog" style="width: 880px; z-index: 7000">
	    	<button class="vui-btn vui-btn-medium cancel-split vui-btn-red" style="float: right; position: absolute; margin-top: 200px; padding: 85px 23px; margin-left: 410px">x</button>

	    	
			<div class="vui-card split-bill" style="width: 400px; margin-top: 50px; float:right">
				<div style="padding: 10px 0">

				<h3 style="padding: 5px 15px">Split</h3>

				<table class="vui-dt-header">
					<tr>
						<td style="width: 55%; padding-left: 15px">Item Details</td>
						<td style="width: 15%; text-align: center;">Quantity</td>
						<td style="width: 30%; text-align: right; padding-right: 35px">Amount</td>
					</tr>
				</table>
							
				<ul id="split-list" class="vui-select-list item-list">

				</ul>
				<div class="split-grand-total">
					<p style="text-align: right; height: 22px"><span class="split-grand-total">0.00</span></p>
				</div>
				<div style="padding: 5px 10px 0 5px; text-align: right">
			    	<button class="vui-btn-green vui-btn vui-btn-medium checkout-split" style="padding: 5px 10px;">Checkout</button>
		    	</div>
				</div>
			</div>

			<div class="vui-card main-bill" style="width: 400px; margin-top: 50px;">
				<div style="padding: 10px 0">
				<h3 style="padding: 5px 15px">Main</h3>

				<table class="vui-dt-header">
					<tr>
						<td style="width: 55%; padding-left: 15px">Item Details</td>
						<td style="width: 15%; text-align: center;">Quantity</td>
						<td style="width: 30%; text-align: right; padding-right: 35px">Amount</td>
					</tr>
				</table>
							
				<ul id="main-list" class="vui-select-list item-list">

				</ul>
				<div class="main-grand-total">
					<p style="text-align: right; height: 25px"><span class="main-grand-total">0.00</span></p>
				</div>
				<div style="padding: 5px 10px 0 5px; text-align: right">
			    	<button class="vui-btn-green vui-btn vui-btn-medium checkout-main" style="padding: 5px 10px;">Checkout</button>
		    	</div>


				</div>
			</div>
	    </div>
		<div id="inventory" class="vui-dialog" style="width: 750px;">

		</div>
		<div id="indicators" class="vui-dialog" style="height: 300px; margin-top: 100px; display:none; width: 500px; z-index: 7000">
			<div class="vui-card" style="padding: 10px">
				<button class="vui-btn" id="close-indicators" style="padding: 5px 15px; float: right">Close</button><h3>Indicators</h3>
				<div class="indicator-content">
			
				</div>

			</div>
		</div>
		
		
<script type="text/javascript">

	$(document).ready(function(){
			
		$('a.generate-btn').click(function(){
			$(this).parents('form').submit();
		})	
	});

</script>

		
		<div id="reports" class="vui-dialog" style="display: none; height: auto; margin-top: 100px; width: 800px; z-index: 7000">
			<div class="vui-card" style="padding: 10px">
				<button class="vui-btn" id="close-reports" style="padding: 5px 15px; float: right">Close</button><h3>Reports</h3>
				<div class="report-generator-content" style="height: 500px; overflow-y: scroll">
					<?php $reports = $this->report->get_reports("ORDER BY `name` ASC"); ?>
					<?php foreach ($reports as $report): if ($report->type != 'Widget' && $report->frontend): ?>
					<form target="_blank" method="post" action="reports/generate/<?php echo $report->id; ?>">
						<div>
							<div class="global-module-box" id="<?php echo $report->id; ?>" style="margin: 10px">
								<h3><?php echo $report->name; ?></h3>
								<hr />
								<span><?php echo $report->description; ?></span>
								<?php echo eval('?>'.$report->filters); ?>
				
							</div>
						</div>
					</form>
					<?php endif; endforeach; ?>

				</div>

			</div>
		</div>

		<div id="container">
			<div class="header" style="height: 70px">

				<div class="status" style="height: 70px">
					<img src="logo.png?123" alt="image" height="60" style="margin-top: 5px; float: left;" />

					<table style="width: 750px; margin-top: 0px; float: right">
						<tr>
							<td>Time<br /><strong class="session_time"> </strong></td>
							<td>Logged in at <strong class="session_logged_in_time"></strong><br />Duration <strong class="session_logged_in_duration"></strong></td>
							<td>Logged in as <strong class="session_logged_in_as"></strong><br /><a href="<?php echo base_url(); ?>fnbpos/all_reports" target="_blank" style="color: #FFF">Cash Out Reports</a></td>
							<td style="text-align:right">
								<button id="pos-logout" onclick="location.href='fnbpos/leave'" class="vui-btn" style="width: 60px;">Logout</button> &nbsp;
								<button id="order-terminals" class="vui-btn" style="width: 30px;">T</button> &nbsp;
								<button class="vui-btn" id="logout-btn" style="width:70px">Cashout</button>
							</td>
						</tr>
					</table>
				</div>
			</div>
			<div class="left">
				<div class="buttons">
			    	<div class="qb">
			    		<span style="color: #FFF">Filter Table</span><br />
			    		<input type="text" class="vui-number-large filter-table-queue main-btn" style="width: 180px; margin-top: 5px;" /><br /><br />
			    		
			    		<button	id="add-item" class="vui-btn vui-btn-large main-btn" style="width: 85px; margin-bottom: 15px; margin-right: 5px"><span></span>Item</button>
			    		<button id="add-queue" class="vui-btn vui-btn-large main-btn" style="width: 85px; margin-bottom: 15px"><span></span>Table</button><br />
			    		<button id="instant-sale" class="vui-btn vui-btn-large main-btn" style="width: 180px; margin-bottom: 15px"><span></span>Instant Sale</button><br />
						<?php if ($this->system->config('discount_allowed')): ?>
						<?php if ($this->user->has_permission('to_discount','Sales')): ?>
						<button id="discount" class="vui-btn vui-btn-large main-btn" style="width: 180px; margin-bottom: 15px"><span></span><u>D</u>iscount</button><br />
						<?php endif; ?>
						<?php endif; ?>

			    		<?php if ($this->system->config('revert_allowed')): ?>
			    		<button id="return-queue" class="vui-btn vui-btn-large vui-btn-red main-btn" style="width: 180px; margin-bottom: 15px"><span></span>Cancel</button><br />
			    		<?php endif; ?>
			    		
			    		
			    		<!-- <button id="void-queue" class="vui-btn vui-btn-large vui-btn-red" style="width: 180px"><span></span>Void Queue</button><br /> -->
			    		<button id="checkout" class="vui-btn vui-btn-large vui-btn-green main-btn" style="width: 180px; margin-bottom: 15px"><span></span>Checkout</button><br />
			    		<button id="split" class="vui-btn vui-btn-large vui-btn-blue main-btn" style="width: 85px; margin-bottom: 15px; margin-right: 5px"><span></span>Split</button>
			    		<button id="print_bill" class="vui-btn vui-btn-large vui-btn-blue main-btn" style="width: 85px; margin-bottom: 15px"><span></span>Bill</button><br />
			    		<button id="transfer" class="vui-btn vui-btn-large vui-btn-blue main-btn" style="width: 180px; margin-bottom: 15px"><span></span>Transfer Table</button><br />
			    		
						<button id="customer-select" class="vui-btn vui-btn-large vui-btn-blue main-btn" style="width: 180px"><span></span>Customer</button><br />
						<button id="table-view" class="vui-btn vui-btn-large main-btn" style="width: 50px; position: fixed; margin-bottom: 0; bottom: 0; left: 0; z-index: 20; border-radius: 0;">=</button>
						<button id="card-view" class="vui-btn vui-btn-large main-btn" style="width: 50px; position: fixed; margin-bottom: 0; bottom: 0; left: 50px; z-index: 20; border-radius: 0;">#</button>
						<button id="report-view" class="vui-btn vui-btn-large main-btn" style="width: 100px; position: fixed; margin-bottom: 0; bottom: 0; left: 100px; z-index: 20; border-radius: 0;">Reports</button>
			    		

			    		
			    			
			    	</div>
			    	<div class="hb">
			    		<button id="reprint-receipt" class="vui-btn vui-btn-large main-btn" style="width: 180px;"><span></span>Reprint Receipt</button><br />
						<?php if ($this->system->config('revert_allowed')): ?>
			    		<button id="revert-history" class="vui-btn vui-btn-large vui-btn-red main-btn" style="width: 180px; margin-bottom: 15px"><span></span>Revert</button><br />
						<?php endif; ?>
			    		<span style="color: #FFF">Recall Receipt</span><br />
			    		<input type="date" placeholder="yyyy-mm-dd" class="vui-number-large recall-receipt-date main-btn" style="width: 180px; margin-top: 5px;" /><br /><br />

			    		<span style="color: #FFF">Filter Table</span><br />
			    		<input type="text" class="vui-number-large filter-table main-btn" style="width: 180px; margin-top: 5px;" /><br /><br />
			    	</div>
			    	<div class="db">
			    		<button	id="add-delivery-item" class="vui-btn vui-btn-large main-btn" style="width: 180px; margin-bottom: 15px"><span></span>Add Item</button><br />
			    		<button id="new-delivery" class="vui-btn vui-btn-large vui-btn-blue main-btn" style="width: 180px; margin-bottom: 15px"><span></span>New Delivery</button><br />
			    		<button id="checkout-delivery" class="vui-btn vui-btn-large vui-btn-green main-btn" style="width: 180px; margin-bottom: 15px"><span></span>Checkout</button><br />
			    		<?php if ($this->system->config('revert_allowed')): ?>
			    		<button id="cancel-delivery" class="vui-btn vui-btn-large vui-btn-red main-btn" style="width: 180px; margin-bottom: 15px"><span></span>Cancel</button><br />
			    		<?php endif; ?>

			    	</div>
			    	

			    	
			    </div>

				<div id="queues" class="vui-card" style="height: 300px; margin-top: 24px;">
					<?php if ($this->system->config('fnb_has_delivery')): ?>
					<ul class="vui-card-tab">
						<li id="queues-tab" style="width: 166px"><span style="width: 166px"></span>Tables</li>
						<li id="delivery-queues-tab" class="vui-current-tab" style="width: 130px"><span style="width: 166px"></span>Delivery Orders</li>
						<li id="history-tab" class="vui-current-tab" style="width: 168px"><span style="width: 168px"></span>History</li>
					</ul>
					<?php else: ?>
					<ul class="vui-card-tab">
						<li id="queues-tab" style="width: 215px"><span style="width: 215px"></span>Tables</li>
						<li id="history-tab" class="vui-current-tab" style="width: 215px"><span style="width: 215px"></span>History</li>
					</ul>					
					<?php endif; ?>
					<br />
					<div>
					<ul id="queue-current" class="vui-select-list queue-list">

						
					</ul>
					<ul id="delivery-queue-current" class="vui-select-list queue-list" style="display:none">

						
					</ul>
					<ul id="queue-history" class="vui-select-list queue-list" style="display:none">

						
					</ul>
					</div>
				</div>
			</div>
			<div class="right">
				
				<div class="items" style="margin-top: 30px;">

					<div id="items" class="vui-card vui-item-list" style="height: 300px;  position: relative">
						<button id="verify-order" class="vui-btn vui-btn-medium vui-btn-green" style="width: 100px; margin-right: 5px; margin-top: 5px; font-size: 10pt; float: right; display: none"><span></span>Verify Order</button>
						<button id="cancel-order" class="vui-btn vui-btn-medium vui-btn-blue" style="width: 100px; margin-right: 5px; margin-top: 5px; font-size: 10pt; float: right; display: none"><span></span>Cancel Order</button>
						<button id="void-item" class="vui-btn vui-btn-medium vui-btn-red" style="width: 95px; margin-right: 5px; margin-top: 5px; font-size: 10pt; float: right; display: none"><span></span>Void Item</button>
						<button id="reprint-item" class="vui-btn vui-btn-medium vui-btn-blue" style="width: 80px; margin-right: 5px; margin-top: 5px; font-size: 10pt; float: right; display: none"><span></span>Reprint</button>
						<button id="takeaway-item" class="vui-btn vui-btn-medium vui-btn-blue" style="width: 80px; margin-right: 5px; margin-top: 5px; font-size: 10pt; float: right; display: none"><span></span>Takeaway</button>
						
							<ul class="vui-card-tab" style="width: inherit; height: 45px">
								<li style="width:inherit; text-align: left;"><span style="width: inherit"></span>&nbsp;&nbsp;Items <button style="display:none" class="vui-btn assign-card vui-btn-mid">&nbsp; Assign Card &nbsp;</button> <em class="table-no"></em></li>
							</ul>
						
						<div>
							<table class="vui-dt-header">
								<tr>
									<td style="width: 55%; padding-left: 15px">Item Details</td>
									<td style="width: 15%; text-align: center;">Quantity</td>
									<td style="width: 30%; text-align: right; padding-right: 35px">Amount</td>
								</tr>
							</table>
							<ul id="item-list" class="vui-select-list item-list">

							</ul>
							
							<div class="grand-total" style="position: absolute; bottom: 10px; right: 0px; left: 0;">
								<p style="text-align: right"><span class="grand-total">0.00</span></p>
								<div style="clear:right"></div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<input type="hidden" id="inventory-sku" />
		<div id="hlist" style="display:none"></div>
		
		
		<div id="popup" style="position: fixed; display:none; top: 0; left: 0; right: 0; bottom: 0; background: rgba(0,0,0,0.5); z-index: 2000">
			<div class="popup" style="width: 500px; margin: 0 auto; margin-top: 200px; font-size: 12pt; background: #ddd; border-radius: 5px; padding: 15px; box-shadow: 0 0 10px rgba(0,0,0,0.5)">
				<div style="text-align: left">
					<h3 style="margin-top: 0">Error</h3>
					<p>Discount limit exceeded</p>
				</div>
				<hr />
				<div style="text-align: right">
				<button class="vui-btn vui-btn-medium popup-ok" style="width: 100px">OK</button>
				</div>
			</div>
		</div>
		
		<div id="popup-confirm" style="position: fixed; display:none; top: 0; left: 0; right: 0; bottom: 0; background: rgba(0,0,0,0.5); z-index: 2000">
			<div class="popup" style="width: 500px; margin: 0 auto; margin-top: 200px; font-size: 12pt; background: #ddd; border-radius: 5px; padding: 15px; box-shadow: 0 0 10px rgba(0,0,0,0.5)">
				<div style="text-align: left">
					<h3 style="margin-top: 0">Error</h3>
					<p>Discount limit exceeded</p>
				</div>
				<hr />
				<div style="text-align: right">
				<button class="vui-btn vui-btn-medium btn-yes" style="width: 100px">Yes</button>
				<button class="vui-btn vui-btn-medium btn-no" style="width: 100px">No</button>
				</div>
			</div>
		</div>
		
		<div class="card-layout" id="card-layout" style="text-align: left; display:none">
			<div style="padding: 0 20px">
				<h2>Table Cards</h2>
				
				
				<div style="float: left">

					<button class="vui-btn vui-btn-large vui-btn-blue" style="padding: 7px 10px; vertical-align: top" id="audit-card">Audit Card</button>					
					<div class="audit-form" style="display: none">
						<input id="audit-scan" type="text" class="vui-number-large card-no" style="width: 200px" placeholder="Scan Card Number" />	
						<button class="vui-btn vui-btn-large vui-btn-blue" style="padding: 7px 10px; vertical-align: top" id="audit-print"><a style="color: #fff; text-decoration: none" target="_blank" href="fnbpos/card_audit_print">Complete &amp; Print Report</a></button>
					</div>
				</div>
				
				<div style="text-align: right">
				<input type="text" class="vui-number-large card-short-no" style="width: 160px" placeholder="Short Number" />
				<input type="text" class="vui-number-large card-no" style="width: 160px" placeholder="Card Number" />
				<button class="vui-btn vui-btn-large vui-btn-blue" style="padding: 7px 10px; vertical-align: top" id="add-card">Add Card</button>
				</div>
				
				<div class="card-list-well">
					<div id="card-list-container"  style="overflow-y: scroll;">
						<table id="card-list">
							<tbody>
								
							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
		
		<div class="table-layout" id="layout-container" style="text-align: left; display: none">
			<div style="float: right;">


				<button class="vui-btn vui-btn-medium design-btn" style="padding: 10px 10px; border-radius: 0; box-shadow: none; display: none; margin-right: 0" id="layout-delete-table">Delete Table</button><button class="vui-btn vui-btn-medium design-btn" style="padding: 10px 10px; border-radius: 0; box-shadow: none; display: none; margin-right: 0" id="layout-add-table">Add Table</button><button class="vui-btn vui-btn-medium" style="padding: 10px 10px; border-radius: 0; box-shadow: none" id="layout-design">Design</button>
			</div>
			
			<?php foreach ($layout as $unit): ?>
				<div class="layout-unit" style="left: <?php echo $unit->position->left; ?>; top: <?php echo $unit->position->top; ?>">
					<?php echo $unit->table; ?>
				</div>
			<?php endforeach; ?>

		</div>
		
		<script type="text/javascript">
			var idleTime = 0;
			var shortIdleTime = 0;
			$(document).ready(function () {

			    //Increment the idle time counter every minute.
			    var idleInterval = setInterval(timerIncrement, 1000); // 1 minute
			
			    //Zero the idle timer on mouse movement.
			    $(this).mousemove(function (e) {
			        idleTime = 0;
			        shortIdleTime = 0;
			    });
			    $(this).keypress(function (e) {
			        idleTime = 0;
			        shortIdleTime = 0;
			    });
			    
			    var shortIdleInverval = setInterval(shortTimerIncrement, 1000);
			});
			
			
			function shortTimerIncrement(){
				shortIdleTime++;
				if (shortIdleTime > shortidle_timeout){
					// $('.filter-table-queue').focus();
					shortIdleTime = 0;
				}
			}
			
			function timerIncrement() {
				var timeout = parseInt(logout_timeout);
				if (timeout == 0) return;
			    idleTime = idleTime + 1;
			    if (idleTime > timeout) { // 20 minutes
					location.href='fnbpos/leave';
			    }
			}
		</script>   
	</body>
</html>
