
<html>
	<head>
		<title><?php echo $this->system->config('company_name'); ?></title>
		<base href="<?php echo base_url(); ?>" />
		<link rel="stylesheet" href="css/fnb/style.css" />
		<link rel="stylesheet" href="css/fnb/ui-lightness/jqueryui.css" />
		<link rel="stylesheet" href="css/fnb/print.css" media="print" />
		
		<!-- iPhone ICON -->
        <link href="<?php echo base_url(); ?>images/plexcloud-fnb-icon.png" sizes="57x57" rel="apple-touch-icon">
        <!-- iPhone (Retina) ICON-->
        <link href="<?php echo base_url(); ?>images/plexcloud-fnb-icon-retina.png" sizes="114x114" rel="apple-touch-icon">

        <!-- iPhone SPLASHSCREEN-->
        <link href="<?php echo base_url(); ?>images/plexcloud-fnb-splash.png" media="(device-width: 320px)" rel="apple-touch-startup-image">
        <!-- iPhone (Retina) SPLASHSCREEN-->
        <link href="<?php echo base_url(); ?>images/plexcloud-fnb-splash-retina.png" media="(device-width: 320px) and (-webkit-device-pixel-ratio: 2)" rel="apple-touch-startup-image">


		<script type="text/javascript">
			var base_url 		= "<?php echo base_url(); ?>";
			var trigger_url 	= "<?php echo $trigger_url; ?>";
			var currency 		= "<?php echo $this->system->config('currency'); ?>";
			var revert_level 	= "<?php echo $this->system->config('revert_level'); ?>";
			var sst 			= false;
		</script>
		<script type="text/javascript" src="js/fnb/jquery-1.4.3.min.js"></script>
		<script type="text/javascript" src="js/fnb/jqueryui.js"></script>
		<?php if ($this->session->userdata('device') == 'ipad'): ?>
		<script type="text/javascript" src="js/fnb/ipad-interactions.js"></script>		
		<?php else: ?>
		<script type="text/javascript" src="js/fnb/interactions.js"></script>		
		<?php endif; ?>

		<script type="text/javascript" src="js/fnb/session.js"></script>
		
		<meta name="apple-mobile-web-app-capable" content="yes">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0;" > 
		
	</head>
	<body>
		<div id="init" style="position: fixed; background: rgba(0,0,0,0.8); height: 100%; width: 100%; top: 0; left: 0; z-index: 5000">
			<p style="text-align: center; padding-top: 300px; color: #FFF;">
				<img src="images/loading-black-matte.gif" style="height: 16px; width: 16px; vertical-align: middle; margin-right: 5px;" /> Loading...
			</p>
		</div>
		<div id="receipt" class="receipt_print" style="width: 300px; color: black; text-align: left; z-index: 10000">
			<span>OFFICIAL RECEIPT</span>
			<h3 style="font-size: 12pt; text-align: center"><?php echo $this->system->config('receipt_header'); ?></h3>
			<p><?php echo $this->system->config('company_address'); ?></p>
			<hr />
			<div id="receipt-container">
				
			</div>
			<hr />
			<p><?php echo $this->system->config('receipt_footer'); ?></p>
		</div>

		<div class="overlay"></div>
		
		
		<div id="report" style="display:none">
			<h3 style="margin: 5px; padding: 5px; font-size: 14pt;"><?php echo $this->system->config('receipt_header'); ?></h3>
			<span>CASH OUT REPORT</span>
			<hr />
			<p>Cashier: <?php echo $username; ?><span style="float: right"></span></p>
			<hr />
			<div class="report">
			
			</div>
			
		</div>
		
		<div id="keypad" style="width: 365px; z-index: 7000">
			<div class="vui-card" style="padding:10px 5px 10px 5px; width: 330px">
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="7" style="width:100px"><span></span>7</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="8" style="width:100px"><span></span>8</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="9" style="width:100px"><span></span>9</button>
				<br />
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="4" style="width:100px"><span></span>4</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="5" style="width:100px"><span></span>5</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="6" style="width:100px"><span></span>6</button>
				<br />
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="1" style="width:100px"><span></span>1</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="2" style="width:100px"><span></span>2</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="3" style="width:100px"><span></span>3</button>
				<br />
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="." style="width:100px"><span></span>.</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value="0" style="width:100px"><span></span>0</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad" value=".00" style="width:100px"><span></span>.00</button>
				<br />
				<button class="vui-btn vui-btn-large vui-btn-grey touch-numpad" value="+" style="width:100px"><span></span>+</button>
				<button class="vui-btn vui-btn-large vui-btn-grey touch-numpad" value="-" style="width:100px"><span></span>-</button>
				<button class="vui-btn vui-btn-large vui-btn-red touch-numpad" value="delete" style="width:100px"><span></span>&laquo;</button>
				<br />
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad clear" value="100.00" style="width:100px"><span></span>RM100</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad clear" value="50.00" style="width:100px"><span></span>RM50</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad clear" value="10.00" style="width:100px"><span></span>RM10</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad clear" value="5.00" style="width:100px"><span></span>RM5</button>
				<button class="vui-btn vui-btn-large vui-btn-dark touch-numpad clear" value="1.00" style="width:100px"><span></span>RM1</button>
				<br />
				<button class="vui-btn vui-btn-large vui-btn-green touch-numpad" value="return" id="return" style="width:300px"><span></span>ENTER</button>
			</div>
		</div>
		
		<div id="add-ok" style="width: 300px;; z-index: 7000">
			<div class="vui-card" style="padding: 10px 20px">
			<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
				<tr>
	    			<td id="added-item" style="padding: 10px 0"></td>
	    			<td id="added-amount" style="padding: 10px 0; font-size: 20px; text-align:right">35.90</td>
	    		</tr>
	    		<tr style="border-top: 1px solid #009900">
	    			<td style="padding: 10px 0">Outstanding Total (RM)</td>
	    			<td class="outstanding-total" style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px">35.90</td>
	    		</tr>	
	    	</table>
	    	</div>
		</div>
		<div id="add-failed" style="width: 300px; z-index: 7000">
			<div class="vui-card" style="padding: 10px 20px">
			<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
				<tr>
	    			<td style="padding: 10px 0">Item not found</td>
	    			<td style="padding: 10px 0; font-size: 20px;"></td>
	    		</tr>
	    		<tr style="border-top: 1px solid #990000">
	    			<td style="padding: 10px 0">Outstanding Total (RM)</td>
	    			<td class="outstanding-total" style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px">35.90</td>
	    		</tr>	
	    	</table>
	    	</div>		
		</div>
		
		<div id="permission" class="vui-dialog" style="width: 450px; margin-top: 100px; z-index: 7000">
			<div class="vui-card">
				<div style="padding: 10px 20px;">

				<h3><button id="cancel-permission" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="float: right; width: 100px"><span></span>Cancel</button>Permission Required</h3>
				<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
					<tr class="void-qty" style="display:none">
						<td style="padding: 10px 0">Void Quantity</td>
						<td style="padding: 10px 0"><input id="void-qty" type="text" class="vui-number-large" value="1" style="width: 150px; text-align: left" /></td>

					</tr>
					<tr>
						<td style="padding: 10px 0">Username</td>
						<td style="padding: 10px 0"><input id="access-username" type="text" class="vui-number-large" style="width: 150px; text-align: left" /></td>
					</tr>
					<tr>
						<td style="padding: 10px 0">Password</td>
						<td style="padding: 10px 0"><input id="access-password" type="password" class="vui-number-large return-default" style="width: 150px; text-align: left" /> <button id="verify-access-btn" class="vui-btn vui-btn-medium vui-btn return-default" style="width: 120px; margin-right: 2px;"><span></span>Verify</button></td>
					</tr>
					<tr>
						<td id="access-alert" colspan="2"></td>
					</tr>
				</table>
				
				</div>
			</div>
		</div>
		
		<div id="confirmation" class="vui-dialog" style="padding-top: 50px; width: 650px;; z-index: 7000">
			<div class="vui-card">
				<div style="padding: 10px 20px">
					<h3>Payment Confirmation<button id="confirmation-print-receipt" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="width: 170px; margin-left: 128px"><span></span>Print Receipt</button></h3>
					<button id="confirm-done" class="vui-btn vui-btn-medium vui-btn vui-btn-green" style="width: 110px; float: right; margin-top: 120px"><span></span>Done</button>
					<div class="confirm-details" style="width: 475px">
						<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
							<tr>
								<td style="padding: 10px 0">Payment Method: Cash</td>
								<td style="padding: 10px 0"></td>
							</tr>
							<tr class="confirmation-credit-card">
								<td style="padding: 10px 0">Payment Status: Successful</td>
								<td style="padding: 10px 0"></td>
							</tr>
							<tr class="confirmation-credit-card">
								<td style="padding: 10px 0">Credit Card Type: VISA</td>
								<td style="padding: 10px 0">Credit Card No: XXXX-XXXX-XXXX-8015</td>
							</tr>
							<tr style="border-top: 1px solid #ccc">
								<td style="padding: 10px 0">Amount Due (RM)</td>
								<td class="pay-amount-due" style="text-align: right; font-weight: bold; font-size: 20px">45.00</td>
							</tr>		
							<tr>
								<td style="padding: 10px 0">Amount Tendered (RM)</td>
								<td class="pay-amount-tendered" style="text-align: right; font-weight: bold; font-size: 20px">50.00</td>
							</tr>
							<tr style="border-top: 1px solid #ccc">
								<td style="padding: 10px 0">Change (RM)</td>
								<td class="pay-amount-change" style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px">5.00</td>
							</tr>	
						</table>
					</div>
				</div>
			</div>
		</div>
		<div id="enter-price" class="vui-dialog" style="width: 440px; margin-top: 210px; z-index: 7000">
			<div class="vui-card">
				<div style="padding: 10px 20px;">

				<h3><button id="cancel-enter-price" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="float: right; width: 100px"><span></span>Cancel</button>Enter Price</h3>
				<p class="enter-price-item"></p>
				<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
					<tr>
						<td style="padding: 10px 0">Price Per Unit (<?php echo $this->system->config('currency'); ?>)</td>
						<td style="padding: 10px 0"><button id="enter-price-btn" class="vui-btn vui-btn-medium vui-btn" style="width: 120px; float:right; margin-right: 2px;"><span></span>OK</button><input id="enter-item-price-pu" type="text" class="vui-number-large" style="width: 150px; text-align: right" /></td>
					</tr>

					<tr>
						<td id="access-alert" colspan="2"></td>
					</tr>

				</table>
				
				</div>
			</div>
		</div>
		
		<div id="custom-price" class="vui-dialog" style="width: 440px; margin-top: 210px; z-index: 7000">
			<div class="vui-card">
				<div style="padding: 10px 20px;">

				<h3><button id="cancel-custom-price" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="float: right; width: 100px"><span></span>Cancel</button>Enter Price</h3>
				<p class="enter-price-item"></p>
				<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
					<tr>
						<td style="padding: 10px 0">Price Per Unit (<?php echo $this->system->config('currency'); ?>)</td>
						<td style="padding: 10px 0"><button id="custom-price-btn" class="vui-btn vui-btn-medium vui-btn" style="width: 120px; float:right; margin-right: 2px;"><span></span>OK</button><input id="enter-item-custom-price-pu" type="text" class="vui-number-large" style="width: 150px; text-align: right" /></td>
					</tr>

					<tr>
						<td id="access-alert" colspan="2"></td>
					</tr>

				</table>
				
				</div>
			</div>
		</div>

		<div id="newtable" class="vui-dialog" style="width: 430px; text-align: left; margin-top: 250px; z-index: 7000">
			<div class="vui-card">
				<div style="padding: 10px 20px">
				<h3><button id="table-back" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="width: 120px; float: right"><span></span>Back</button>New Table</h3>
				
				<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse;">
					<tr>
						<td style="padding: 10px 0">Table Number</td>
						<td style="padding: 10px 0; text-align: right"><input type="text" maxlength="4" id="table-number-input" class="vui-number-large" style="width: 150px; " value="B" /></td>
						<td style="padding: 10px 0; text-align: right; width: 130px"><button id="add-new-table" class="vui-btn vui-btn-medium vui-btn vui-btn-green return-default" style="width: 120px; margin-top: 0"><span></span>Add</button></td>
					</tr>		
				</table>
				<p class="table-error" style="font-weight: bold; font-size: 12pt; color: red"></p>
				</div>
			</div>
		</div>

		<div id="transfertable" class="vui-dialog" style="width: 430px; text-align: left; margin-top: 250px; z-index: 7000">
			<div class="vui-card">
				<div style="padding: 10px 20px">
				<h3><button id="transfer-back" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="width: 120px; float: right"><span></span>Back</button>Transfer Table</h3>
				
				<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse;">
					<tr>
						<td style="padding: 10px 0">Table Number</td>
						<td style="padding: 10px 0; text-align: right"><input type="text" id="transfer-number-input" class="vui-number-large" style="width: 150px; " /></td>
						<td style="padding: 10px 0; text-align: right; width: 130px"><button id="transfer-table" class="vui-btn vui-btn-medium vui-btn vui-btn-green return-default" style="width: 120px; margin-top: 0"><span></span>Go</button></td>
					</tr>		
				</table>
				<p class="transfer-error" style="font-weight: bold; font-size: 12pt; color: red"></p>
				</div>
			</div>
		</div>
		

		<div id="pay" class="vui-dialog" style="padding-top: 70px; width: 650px; z-index: 7000">
			<div class="vui-card">
				<div style="padding: 10px 20px">
					<h3>Checkout<button id="pay-back" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="display: none; width: 120px; margin-left: 359px"><span></span>Back</button></h3>
					<div class="payment-method">
					<table style="width: 100%">
						<tr>
							<td>Payment method</td>
							<td style="width: 150px"><button id="pay-cash" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="width: 145px;"><span></span>Cash</button></td>
							<td style="width: 150px"><button id="pay-cancel" class="vui-btn vui-btn-medium vui-btn vui-btn-red" style="width: 145px;"><span></span>Cancel</button></td>
						</tr>
					</table>
					</div>
					<div class="payment-cash" style="display:none">
						<button id="pay-process-cash" class="vui-btn vui-btn-medium vui-btn vui-btn-green return-default" style="width: 120px; float: right; margin-top: 120px"><span></span>Process</button>
						<div class="payment-details" style="width: 475px">
							<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
								<tr>
									<td style="padding: 10px 0">Payment Method: Cash</td>
									<td style="padding: 10px 0"></td>
								</tr>		
								
									
								<tr>
									<td style="padding: 10px 0">Discount (%)</td>
									<td style="text-align: right; font-weight: bold; padding: 5px 0"><input type="text" id="discount-input" class="vui-number-large" style="width: 150px" /></td>
								</tr>
								<tr>
									<td style="padding: 10px 0">Amount Due (RM)</td>
									<td class="pay-amount-due" style="text-align: right; font-weight: bold; font-size: 20px">45.00</td>
								</tr>
								<tr>
									<td style="padding: 10px 0">Amount Tendered (RM)</td>
									<td style="text-align: right; font-weight: bold; padding: 5px 0"><input type="text" id="amount-tendered-input" class="vui-number-large" style="width: 150px" /></td>
								</tr>

								
							</table>
						</div>
					</div>
					
					<div class="payment-credit-card" style="display:none">
						<div style="float:right">
							<img src="paypal_logo.png" alt="image" width="106" height="29" style="float:right; margin-top: 90px;" /><br />
							<button id="pay-process-credit-card" class="vui-btn vui-btn-medium vui-btn vui-btn-green" style="width: 120px; margin-top: 95px"><span></span>Process</button>
						</div>
						<div class="payment-details" style="width: 475px">
							<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
								<tr>
									<td style="padding: 10px 0;" colspan="4">Payment Method: Credit Card</td>
								</tr>		
								<tr>
									<td style="padding: 15px 0; width: 150px">Name on Card</td>
									<td class="pay-cc-name" colspan="3"><input id="ccname" type="text" class="vui-number-large" style="width: 100%" /></td>
								</tr>		
								<tr>
									<td style="padding: 15px 0">Credit Card No</td>
									<td class="pay-cc-number" colspan="3"><input id="ccnumber" type="text" class="vui-number-large" style="width: 100%" /></td>
								</tr>
								<tr>
									<td style="padding: 15px 0">Expiry Date</td>
									<td class="pay-cc-number"><input type="text" id="ccexpiry" class="vui-number-large" style="width: 150px" /></td>
									<td style="padding: 15px 10px">CCV</td>
									<td class="pay-cc-verify"><input type="text" id="ccverify" class="vui-number-large" style="width: 100%" /></td>
								</tr>	

								<tr>
									<td colspan="4" style="font-weight: normal; padding: 15px 0;">Payment will be processed via PayPal over encrypted SSL protocol.</td>
								</tr>		
								<tr style="border-top: 1px solid #ccc">
									<td style="padding: 10px 0">Amount Due (RM)</td>
									<td class="pay-amount-due" colspan="3" style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px">45.00</td>
								</tr>	
							</table>
						</div>
					</div>
					
					
				</div>
			</div>
		</div>
		
		<div id="delivery" class="vui-dialog" style="width: 730px; margin-top: 80px; z-index: 7000">
			<div class="vui-card cashcount" style="width: 715px; padding: 20px">
				<h3><button id="cancel-new-delivery" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="float: right; width: 100px"><span></span>Cancel</button>New Delivery</h3>
				<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
					<tr>
						<td style="padding: 10px 0">Customer Name</td>
						<td style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px;"><input type="text" style="width: 500px; font-size: 10pt; text-align: left" class="vui-number-large delivery-name" key="100" /></td>
					</tr>
					<tr>
						<td style="padding: 10px 0">Mobile Number</td>
						<td style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px;"><input type="text" style="width: 500px; font-size: 10pt; text-align: left" class="vui-number-large delivery-mobile" key="100" /></td>
					</tr>
					<tr>
						<td style="padding: 10px 0">Address</td>
						<td style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px;"><input type="text" style="width: 500px; font-size: 10pt; text-align: left" class="vui-number-large delivery-address" key="100" /></td>
					</tr>
				</table>
				<div style="height: 40px">
				<button id="add-delivery" class="vui-btn vui-btn-medium return-default" style="width: 120px; float:right; margin-right: 2px;"><span></span>Add</button>
				</div>
			</div>
		</div>
		
		<div id="logout" class="vui-dialog" style="width: 730px; margin-top: 80px; z-index: 7000">
			<div class="vui-card cashcount" style="width: 715px; padding: 20px">
				<h3><button id="cancel-logout" class="vui-btn vui-btn-medium vui-btn vui-btn-dark" style="float: right; width: 100px"><span></span>Cancel</button>Cash Count</h3>
				<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
					<tr>
						<td style="padding: 10px 0">Expected in Till (RM)</td>
						<td style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px;"><span id="till-expected">0.00</span></td>
					</tr>
					<tr>
						<td style="padding: 10px 0">Denominations</td>
						<td style="width: 100px; padding: 10px 0">
							<table>
								<tr>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">RM100</td>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">RM50</td>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">RM10</td>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">RM5</td>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">RM1</td>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">50c</td>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">20c</td>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">10c</td>
									<td style="text-align: center; font-weight: bold; font-size: 10pt">5c</td>
								</tr>
								<tr>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den" key="100" /></td>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den" key="50" /></td>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den" key="10" /></td>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den" key="5" /></td>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den" key="1" /></td>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den" key="0.5" /></td>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den" key="0.2" /></td>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den" key="0.1" /></td>
									<td><input type="text" style="width: 45px; font-size: 10pt" class="vui-number vui-number-large count-den" key="0.05" /></td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td>Counted in Till (RM)</td>
						<td><input id="till-count" type="text" class="vui-number-decimal vui-number-large" style="width: 100px; float:right" /></td>
					</tr>
					<tr style="border-top: 1px solid #ccc">
						<td style="padding: 10px 0">Discrepancy (RM)</td>
						<td style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px"><span id="till-discrepancy"></span></td>
					</tr>
					<tr>
						<td style="padding: 10px 0">Deposited Amount (RM)</td>
						<td style="text-align: right; font-size: 20px; font-weight: bold; padding: 5px 0"><input id="till-deposited" type="text" value="<?php echo $this->user->terminal_data('till_deposit'); ?>" readonly="readonly" class="vui-number-decimal vui-number-large" style="width: 100px" /></td>
					</tr>
					<tr style="border-top: 1px solid #ccc">
						<td style="padding: 10px 0">Remaining (RM)</td>
						<td style="padding: 10px 0; text-align: right; font-weight: bold; font-size: 20px"><span id="till-remaining">0.00</span></td>
					</tr>
				</table>

				<h3 style="margin-top: 10px; padding-top: 30px; border-top: 1px solid #ccc">Verify</h3>
				<table style="font-size: 12px; font-weight: bold; width: 100%; border-collapse: collapse">
					<tr>
						<td style="padding: 10px 0">Username</td>
						<td style="padding: 10px 0"><input id="verify-username" type="text" class="vui-number-large" style="width: 150px; text-align: left" /></td>
						<td style="padding: 10px 0">Password</td>
						<td style="padding: 10px 0"><input id="verify-password" type="password" class="vui-number-large" style="width: 150px; text-align: left" /></td>
						<td style="padding: 10px 0"><button id="verify-btn" class="vui-btn vui-btn-medium return-default" style="width: 120px; float:right; margin-right: 2px;"><span></span>Verify</button></td>
					</tr>
					<tr>
						<td colspan="4" class="errMsg"></td>
					</tr>
				</table>
				
			</div>
			<div class="vui-card cashcount-logout" style="width: 715px; padding: 20px; display: none">
				<h3>Logging Out</h3>
				<p>Your session will be logged out in 3 seconds.</p>
			</div>
		</div>
		<div class="item-options">
			
	    </div>
	    <div id="split-bill" class="vui-dialog" style="width: 880px; z-index: 7000">
	    	<button class="vui-btn vui-btn-medium cancel-split vui-btn-red" style="float: right; position: absolute; margin-top: 200px; padding: 85px 23px; margin-left: 410px">x</button>

	    	
			<div class="vui-card split-bill" style="width: 400px; margin-top: 50px; float:right">
				<div style="padding: 10px 0">

				<h3 style="padding: 5px 15px">Split</h3>

				<table class="vui-dt-header">
					<tr>
						<td style="width: 55%; padding-left: 15px">Item Details</td>
						<td style="width: 15%; text-align: center;">Quantity</td>
						<td style="width: 30%; text-align: right; padding-right: 35px">Amount</td>
					</tr>
				</table>
							
				<ul id="split-list" class="vui-select-list item-list">

				</ul>
				<div class="split-grand-total">
					<p><span class="split-grand-total">0.00</span>Grand Total</p>
				</div>
				<div style="padding: 5px 10px 0 5px; text-align: right">
			    	<button class="vui-btn-green vui-btn vui-btn-medium checkout-split" style="padding: 5px 10px;">Checkout</button>
		    	</div>
				</div>
			</div>

			<div class="vui-card main-bill" style="width: 400px; margin-top: 50px;">
				<div style="padding: 10px 0">
				<h3 style="padding: 5px 15px">Main</h3>

				<table class="vui-dt-header">
					<tr>
						<td style="width: 55%; padding-left: 15px">Item Details</td>
						<td style="width: 15%; text-align: center;">Quantity</td>
						<td style="width: 30%; text-align: right; padding-right: 35px">Amount</td>
					</tr>
				</table>
							
				<ul id="main-list" class="vui-select-list item-list">

				</ul>
				<div class="main-grand-total">
					<p><span class="main-grand-total">0.00</span>Grand Total</p>
				</div>
				<div style="padding: 5px 10px 0 5px; text-align: right">
			    	<button class="vui-btn-green vui-btn vui-btn-medium checkout-main" style="padding: 5px 10px;">Checkout</button>
		    	</div>


				</div>
			</div>
	    </div>
		<div id="inventory" class="vui-dialog" style="width: 750px;">
			
		</div>
		<div id="indicators" class="vui-dialog" style="height: 300px; margin-top: 100px; display:none; width: 500px; z-index: 7000">
			<div class="vui-card" style="padding: 10px">
				<button class="vui-btn" id="close-indicators" style="padding: 5px 15px; float: right">Close</button><h3>Indicators</h3>
				<div class="indicator-content">
			
				</div>

			</div>
		</div>

		<div id="container">
			<div class="header" style="height: 70px">

				<div class="status" style="height: 70px">
					<img src="logo.png" alt="image" height="60" style="margin-top: 5px; float: left;" />

					<table style="width: 750px; margin-top: 0px; float: right">
						<tr>
							<td>Time<br /><strong class="session_time"> </strong></td>
							<td>Logged in at <strong class="session_logged_in_time"></strong><br />Duration <strong class="session_logged_in_duration"></strong></td>
							<td>Logged in as <strong class="session_logged_in_as"></strong><br /><a href="<?php echo base_url(); ?>pos/reports" target="_blank" style="color: #FFF">Cash Out Reports</a></td>
							<td style="text-align:right">
								<button id="pos-logout" onclick="location.href='fnbpos/leave'" class="vui-btn" style="width: 80px;">Logout</button> &nbsp;
							</td>
						</tr>
					</table>
				</div>
			</div>
			<div class="left">
				<div class="buttons">
			    	<div class="qb">
			    		<span style="color: #FFF">Filter Table</span><br />
			    		<input type="text" class="vui-number-large filter-table-queue main-btn" style="width: 180px; margin-top: 5px;" /><br /><br />
			    		
			    		<button	id="add-item" class="vui-btn vui-btn-large main-btn" style="width: 180px; margin-bottom: 15px"><span></span>Add Item</button><br />
			    		<button id="add-queue" class="vui-btn vui-btn-large main-btn" style="width: 180px; margin-bottom: 15px"><span></span>Add Table</button><br />
			    		<button id="transfer" class="vui-btn vui-btn-large vui-btn-blue main-btn" style="width: 180px; margin-bottom: 15px"><span></span>Transfer Table</button><br />
			    		
			    			
			    	</div>
			    	<div class="hb">
			    		<button id="reprint-receipt" class="vui-btn vui-btn-large main-btn" style="width: 180px;"><span></span>Reprint Receipt</button><br />
			    		<span style="color: #FFF">Filter Table</span><br />
			    		<input type="text" class="vui-number-large filter-table main-btn" style="width: 180px; margin-top: 5px;" /><br /><br />
			    	</div>
			    	<div class="db">
			    		<button	id="add-delivery-item" class="vui-btn vui-btn-large main-btn" style="width: 180px; margin-bottom: 15px"><span></span>Add Item</button><br />
			    		<button id="new-delivery" class="vui-btn vui-btn-large vui-btn-blue main-btn" style="width: 180px; margin-bottom: 15px"><span></span>New Delivery</button><br />
			    		<button id="checkout-delivery" class="vui-btn vui-btn-large vui-btn-green main-btn" style="width: 180px; margin-bottom: 15px"><span></span>Checkout</button><br />
			    		<?php if ($this->system->config('revert_allowed')): ?>
			    		<button id="cancel-delivery" class="vui-btn vui-btn-large vui-btn-red main-btn" style="width: 180px; margin-bottom: 15px"><span></span>Cancel</button><br />
			    		<?php endif; ?>

			    	</div>
			    	

			    	
			    </div>

				<div id="queues" class="vui-card" style="height: 300px; margin-top: 24px;">
					<?php if ($this->system->config('fnb_has_delivery')): ?>
					<ul class="vui-card-tab">
						<li id="queues-tab" style="width: 166px"><span style="width: 166px"></span>Tables</li>
						<li id="delivery-queues-tab" class="vui-current-tab" style="width: 130px"><span style="width: 166px"></span>Delivery Orders</li>
						<li id="history-tab" class="vui-current-tab" style="width: 168px"><span style="width: 168px"></span>History</li>
					</ul>
					<?php else: ?>
					<ul class="vui-card-tab">
						<li id="queues-tab" style="width: 215px"><span style="width: 215px"></span>Tables</li>
						<li id="history-tab" class="vui-current-tab" style="width: 215px"><span style="width: 215px"></span>History</li>
					</ul>					
					<?php endif; ?>
					<br />
					<div>
					<ul id="queue-current" class="vui-select-list queue-list">

						
					</ul>
					<ul id="delivery-queue-current" class="vui-select-list queue-list" style="display:none">

						
					</ul>
					<ul id="queue-history" class="vui-select-list queue-list" style="display:none">

						
					</ul>
					</div>
				</div>
			</div>
			<div class="right">
				
				<div class="items" style="margin-top: 30px">

					<div id="items" class="vui-card vui-item-list" style="height: 300px">
						<button id="void-item" class="vui-btn vui-btn-medium vui-btn-red" style="width: 100px; margin-right: 5px; margin-top: 5px; font-size: 10pt; float: right; display: none"><span></span>Void Item</button>

							<ul class="vui-card-tab" style="width: inherit; height: 45px">
								<li style="width:inherit; text-align: left;"><span style="width: inherit"></span>&nbsp;&nbsp;Items</li>
							</ul>
						
						<div>
							<table class="vui-dt-header">
								<tr>
									<td style="width: 55%; padding-left: 15px">Item Details</td>
									<td style="width: 15%; text-align: center;">Quantity</td>
									<td style="width: 30%; text-align: right; padding-right: 35px">Amount</td>
								</tr>
							</table>
							<ul id="item-list" class="vui-select-list item-list">

							</ul>
							
							<div class="grand-total">
								<p><span class="grand-total">0.00</span>Grand Total</p>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<input type="hidden" id="inventory-sku" />
	</body>
</html>
