<html>
	<head>
		<title><?php echo $this->system->config('company_name'); ?></title>
		<link rel="stylesheet" href="<?php echo base_url(); ?>css/style.css" />
		<link rel="stylesheet" href="<?php echo base_url(); ?>css/ui-lightness/jqueryui.css" />
		<link rel="stylesheet" href="<?php echo base_url(); ?>css/print.css" media="print" />

		<script type="text/javascript">
			var base_url = "<?php echo base_url(); ?>";
			var currency = "<?php echo $this->system->config('currency'); ?>";
		</script>
		<script type="text/javascript" src="<?php echo base_url(); ?>js/jquery-1.4.3.min.js"></script>
		<script type="text/javascript" src="<?php echo base_url(); ?>js/jqueryui.js"></script>
		<script type="text/javascript">
			
			$(document).ready(function(){
			
				$(window).resize(function(){
					var targetHeight = $(window).height() - 120;
					$('div.browse-list').height(targetHeight);
					$('div.browse-list ul').height(targetHeight - 20);

				});
				
				$('ul.vui-select-list li').live('mousedown', function(){
					if (!$(this).hasClass('stay')) $(this).parents('ul').children('li').removeClass('vui-selected');
					$(this).addClass('vui-selected');
					
					$('button.print').hide();
					
					var rel = $(this).attr('rel');
					
					$.ajax({
						url: base_url + 'pos/cashout_report_by_id/'+rel,
						success: function (html){				
							$('div.report').html(html);
							$('button.print').show();
						}
					});

				});
				
				
				$('button.print').click(function(){
					window.print();
				});
				
				

				
				$(window).resize();
			});
		</script>
	</head>
	<body>
		
		<div id="receipt" class="receipt_print" style="width: 300px; color: black; text-align: left; z-index: 10000">
			<h3 style="margin: 5px; padding: 5px; font-size: 14pt;"><?php echo $this->system->config('receipt_header'); ?></h3>
			<span>CASH OUT REPORT</span>
			<hr />
			<p>Cashier: <?php echo $username; ?><span style="float: right"></span></p>
			<hr />
			<div class="report">
			</div>
			
		</div>
		
		<div style="padding: 30px;">
			<div class="vui-card" style="padding: 10px 20px; text-align: left">
				<button class="vui-btn print" style="float: right; padding: 5px 10px; display: none">Print</button>
				<h3>Cash Out Reports</h3>					

					<div class="browse-list">
						<ul class="vui-select-list">
							<?php foreach ($reports as $report): ?>
						    <li rel="<?php echo $report->id; ?>">From <strong><?php echo date('h:iA d/m/Y', strtotime($report->from)); ?></strong> to <strong><?php echo date('h:iA d/m/Y',strtotime($report->to)); ?></strong><br />
						    	Total Sales <strong><?php echo $this->system->config('currency'); ?><?php echo number_format($report->total_sales,2);?></strong><br />
						    	Discrepancy <strong><?php echo $this->system->config('currency'); ?><?php echo number_format($report->discrepancy,2); ?></strong>
						    </li>
						    <?php endforeach; ?>
						</ul>
					</div>

			</div>	
		</div>
	</body>
</html>
