	KEY_CODES = {
	  37: 'left',
	  38: 'up',
	  39: 'right',
	  40: 'down'
	}
 
	KEY_STATUS = { keyDown:false };
	for (code in KEY_CODES) {
	  KEY_STATUS[KEY_CODES[code]] = false;
	}
	
var SYSTEM_ONLINE = true;

var employee;
	
var currentDiscountType = '';
var currentDiscount = 0;

var currentQueue = 0;
var currentItem = 0;
var currentQueueType = 'queue';
var currentTextObject = null;
var currentDelivery = 0;
var historyType = null;
var doPrint = false;
var newQueue = false;
var continueTxn = false;
var quickScan = false;
var total = 0.00;

var managerRequest = null;
var managerRequestData = null;
var managerPerform = null;


var enterPriceID = null;
var enterPriceDisplay = '';
var enterPriceQty = 0;
var enterReplace = false;
var callback = null;
var enterSerialID = null;
var enterSerialQty = 0;

var checkoutPoints = 0;
var checkoutPointBalance = null;

var adjustment = 0;

var customerID;
var customerData;

$(document).ready(function(){

	$('button.login').click(function(){
		var username = $('input.user-username').val();
		var password = $('input.user-password').val();
		
		offline_log_in(username, password, function(ok){
			if (ok){
				$('#login').hide();
				$('#container').fadeIn();
			} else {
				$('input.user-username').focus();
			}
		})
	});

	customerDisplay(msg_welcome_1,msg_welcome_2);
	
	$('#cico').mouseup(function(e){
		showDialog('clock-in-out');
		$('#ci-username').focus();
	});
	
	$('#cico-close').mouseup(function(e){
		hideDialog('clock-in-out');
		$('#ci-username').val('');
		$('#ci-password').val('');

		$('#sku').focus();
	});
	
	$('#clock-in').mouseup(function(){
		var username = $('#ci-username').val();
		var password = $('#ci-password').val();
		
		if (SYSTEM_ONLINE){
		
			$.ajax({
				url: 'pos/ajax/employee_clock_in',
				type: 'post',
				data: 'username='+username+'&password='+password,
				dataType: 'json',
				success: function (res){
					if (res.status == 'OK'){
						hideDialog('clock-in-out');
						
						$('#ci-username').val('');
						$('#ci-password').val('');
					} else {
						if (res.status == 'Auth Failed'){
							$('.false-notice').text('Authentication failed');
							showAlert('false-alert',true);
							setTimeout('$(".false-notice").click(); showDialog("clock-in-out"); $("#ci-username").focus()',1000);
						} else {
						
						}
						
					}
				}
			});
		
		} else {
		
			var status = offline_employee_clock_in(username, password);
			
			
			if (status == 'OK'){
				hideDialog('clock-in-out');
		    		
		    	$('#ci-username').val('');
		    	$('#ci-password').val('');
		    } else {
		    	if (res.status == 'Auth Failed'){
		    		$('.false-notice').text('Authentication failed');
		    		showAlert('false-alert',true);
		    		setTimeout('$(".false-notice").click(); showDialog("clock-in-out"); $("#ci-username").focus()',1000);
		    	} else {
		    		
		    	}
		    		
		    }
		}
	});
	
	$('#clock-out').mouseup(function(){
		var username = $('#ci-username').val();
		var password = $('#ci-password').val();
		
		if (SYSTEM_ONLINE){

			$.ajax({
				url: 'pos/ajax/employee_clock_out',
				type: 'post',
				data: 'username='+username+'&password='+password,
				dataType: 'json',
				success: function (res){
					if (res.status == 'OK'){
						hideDialog('clock-in-out');
						
						$('#ci-username').val('');
						$('#ci-password').val('');
					
					} else {
						if (res.status == 'No CI Record'){
							$('.false-notice').text('Employee did not clock in');
							showAlert('false-alert',true);
							setTimeout('$(".false-notice").click(); showDialog("clock-in-out"); $("#ci-username").focus()',1000);
							
						} else if (res.status == 'Auth Failed'){
							$('.false-notice').text('Authentication failed');
							showAlert('false-alert',true);
							setTimeout('$(".false-notice").click(); showDialog("clock-in-out"); $("#ci-username").focus()',1000);
	
						}
					}
				}
			});
		
		} else {
			
			var status = offline_employee_clock_out();
			
			if (status == 'OK'){
				hideDialog('clock-in-out');
	    		
	    		$('#ci-username').val('');
	    		$('#ci-password').val('');
	    	
	    	} else {
	    		if (res.status == 'No CI Record'){
	    			$('.false-notice').text('Employee did not clock in');
	    			showAlert('false-alert',true);
	    			setTimeout('$(".false-notice").click(); showDialog("clock-in-out"); $("#ci-username").focus()',1000);
	    			
	    		} else if (res.status == 'Auth Failed'){
	    			$('.false-notice').text('Authentication failed');
	    			showAlert('false-alert',true);
	    			setTimeout('$(".false-notice").click(); showDialog("clock-in-out"); $("#ci-username").focus()',1000);
	
	    		}
	    	}
		}
	});
	
	$('#redeem-process').mouseup(function(e){
		var memberID = $('#redeem select.member').val();
		if (checkoutPointBalance >= 0 && memberID != null){
			redeemItems();
		}
	});
	
	$('#redeem-btn').mouseup(function(e){
		var totalPoints = 0;
		var redeemable = true;
		$('#items li').each(function(){
			if ($(this).attr('redeemable') == '0') redeemable = false;
			var qty = parseInt($(this).attr('qty'));
			if (!qty) qty = 0;
			var point = parseInt($(this).attr('points'));
			if (!point) point = 0;
			totalPoints += (point * qty);
		});
		
		checkoutPoints = totalPoints;
		$('td.item-points').text(totalPoints);
		
		if (!redeemable){
			$('.false-notice').text('Redemption cannot be made. There are non-redeemable items in the list.');
			showAlert('false-alert',true);
			setTimeout('$(".false-notice").click()',1000);
			return;
		}
		
		$('select.member').val('').change();
		
		showDialog('redeem');
	});
	
	$('.false-notice').click(function(){
		hideAlert('false-alert');
		hideDialog();
	});
	
	$('#redeem-back').mouseup(function(e){
		hideDialog('redeem');
	})
	
	$('select.member').change(function(e){
		var member_id = $(this).val();
		$('#redeem-process').hide();
		
		$('td.member-points').css('color','black').text('Loading...');
		
		if (SYSTEM_ONLINE){
			
			$.ajax({
				url: 'pos/member_points',
				type: 'POST',
				data: 'id='+member_id,
				success: function (res){
					$('td.member-points').text(res);
					var balance = res - checkoutPoints;
					checkoutPointBalance = balance;
					if (balance < 0){
						$('td.point-balance').css('color','red').text(balance);
						$('#redeem-process').hide();
					} else {
						$('td.point-balance').css('color','black').text(balance);
						$('#redeem-process').show();
					}
					
					if (member_discount){
						if (member_id != 0){
							$('input.dtype-p').attr('checked',true);
							$('#discount-input').val(member_discount).change();
						} else {
							$('input.dtype-d').attr('checked',true);
							$('#discount-input').val('').change();
						}
						
					}
					
				}
				
			});
		} else {
		
			showAlert('System is offline. Member points cannot be used.');
			var balance = 0 - checkoutPoints;
		    checkoutPointBalance = balance;
		    if (balance < 0){
		    	$('td.point-balance').css('color','red').text(balance);
		    } else {
		    	$('td.point-balance').css('color','black').text(balance);
		    }
		    
		    if (member_discount){
		    	if (member_id != 0){
		    		$('input.dtype-p').attr('checked',true);
		    		$('#discount-input').val(member_discount).change();
		    	} else {
		    		$('input.dtype-d').attr('checked',true);
		    		$('#discount-input').val('').change();
		    	}
		    	
		    }
		
		}
		
		$('#amount-tendered-input').focus();
	});
	
	$('.member-no').keypress(function(e){
		if (e.which == 13){
			$('select.member').val($(this).val()).change();
			
		}

	});

	$('#discount').live('click',function(){
		showDialog('enter-discount');
		var item = $('#item-list li.vui-selected').attr('id');
		if (item){
			$('tr.discount-item').show();
			$('#enter-item-discount').focus();
		} else {
			$('tr.discount-item').hide();
			$('#enter-discount').focus();
		}

	});
	
	$('#discount').live('mouseup',function(){
		showDialog('enter-discount');
		var item = $('#item-list li.vui-selected').attr('id');
		if (item){
			$('tr.discount-item').show();
			$('#enter-item-discount').focus();
		} else {
			$('tr.discount-item').hide();
			$('#enter-total-discount').focus();
		}

	});
	
	$('#enter-item-discount').keydown(function(e){
		if (e.which == 68){
			$('input.item-discount-d').attr('checked',true);
		}
		if (e.which == 80){
			$('input.item-discount-p').attr('checked',true);
		}
	});
	
	$('#enter-item-discount').keydown(function(){
		$('#enter-total-discount').val('');
	});
	
	$('#enter-total-discount').keydown(function(){
		$('#enter-item-discount').val('');
	});
	
	$('#enter-total-discount').keydown(function(e){
		if (e.which == 68){
			$('input.total-discount-d').attr('checked',true);
		}
		if (e.which == 80){
			$('input.total-discount-p').attr('checked',true);
		}
	});
	
	$('#enter-discount-btn').mouseup(function(){
	
		var totalD = $('#enter-total-discount').val();
		var itemD = $('#enter-item-discount').val();
		
		if (!totalD && !itemD){
			$('#sku').focus();
			return;
		} else if (totalD){
			var to = 'total';
			if ($('input.total-discount-p').attr('checked')){
				var discount_type = 'p';
			} else {
				var discount_type = 'd';
			}
			var discount_value = totalD;
			var queue_id = currentQueue;
		} else if (itemD){
			var to = 'item';
			if ($('input.item-discount-p').attr('checked')){
				var discount_type = 'p';
			} else {
				var discount_type = 'd';
			}
			var discount_value = itemD;
			var item_id = currentItem;
		}
		
		if (SYSTEM_ONLINE){

			$.ajax({
				url: 'pos/ajax/enter_discount',
				type: 'post',
				data: 'item_id='+item_id+'&queue_id='+queue_id+'&discount_type='+discount_type+'&discount_value='+discount_value+'&to='+to,
				success: function (res){
					$('#enter-item-discount').val('');
					$('#enter-total-discount').val('');
					hideDialog('enter-discount');
					getItemList();
					$('#sku').focus();
					
				}
			});
		
		} else {
			
			offline_enter_discount(item_id, queue_id, discount_type, discount_value, to, function(){
				$('#enter-item-discount').val('');
		    	$('#enter-total-discount').val('');
		    	hideDialog('enter-discount');
		    	getItemList();
		    	$('#sku').focus();
			});
		}
		
	});	

	
	$('#cancel-enter-discount').live('mouseup',function(){
		$('#enter-item-discount').val('');
		$('#enter-total-discount').val('');
		hideDialog('enter-discount');
		$('#sku').focus();
	});
	
	
	$('#enter-item-price-pu').keyup(function(){
		var price = parseFloat($(this).val()) * parseInt(enterPriceQty);
		if (!price) price = 0.00;
		$('#enter-item-price').val(price.toFixed(2));
	});
	
	$('#enter-item-price').keyup(function(){
		var price = parseFloat($(this).val()) / parseInt(enterPriceQty);
		if (!price) price = 0.00;
		$('#enter-item-price-pu').val(price.toFixed(2));
	});
	
	$('td.item-amount').live('dblclick',function(){
		if (custom_price_allowed){

			var qty = $(this).parents('li').attr('qty');
			var price = $(this).text();
			var id = $(this).parents('li').attr('id');
			var name = $(this).parents('li').attr('name');
			var actual_price = $(this).parents('li').attr('price');
		
			enterPriceID = id;
			enterPriceQty = qty;
			enterPriceDisplay = price;
			enterReplace = true;
			
			$('p.enter-price-item').html(name + ' - ' + currency + price + '<br />Quantity: ' + qty);
			var ppu = parseFloat(price) / parseInt(qty);
			$('#enter-item-price-pu').val(ppu.toFixed(2)).each(function(){ this.select() }).focus(); 
			$('#enter-item-price').val(price);
		
			showDialog('enter-price');
			showDialog('keypad');
		
			$('#enter-item-price-pu').each(function(){
				this.select();
			});
		}

	});

	$('#verify-access-btn').mouseup(function(){
		var username = $('#access-username').val();
		var password = $('#access-password').val();
		managerRequestData += '&username=' + username + '&password=' + password;
			
		if (SYSTEM_ONLINE){
			$.ajax({
				url: managerRequest,
				type: 'post',
				data: managerRequestData,
				success: function(res){
					if (res.status == 'Success'){
						hideDialog('permission');
						managerPerform();
						$('#access-username').val('');
						$('#access-password').val('');
					} else {
						$('#access-alert').text('Invalid username or password.');
					}
				}
			});
		} else {
		
			var status = offline_manager_request(managerRequest);
			
			if (status == 'Success'){
				hideDialog('permission');
		    	managerPerform();
		    	$('#access-username').val('');
		    	$('#access-password').val('');
		    } else {
		    	$('#access-alert').text('Invalid username or password.');
		    }
		
		}
	});

	$('#return-queue').mouseup(function(){
		
		if (SYSTEM_ONLINE){
		    if (revert_level == 'Manager'){
		        managerRequest = 'pos/ajax/return_to_queue';
		        managerRequestData = 'queue=' + currentQueue;
		        managerPerform = function(){
		        		currentQueueType = 'queue';
		        		$('#queues-tab').mouseup();
		        		$('#return-queue').hide();
		        };
		        showDialog('permission');
		        $('#access-username').focus();
		        
		    } else {

		    	$.ajax({
		    		url: 'pos/ajax/return_to_queue',
		    		type: 'post',
		    		data: 'queue=' + currentQueue,
		    		success: function(html){
		    			currentQueueType = 'queue';
		    			$('#queues-tab').mouseup();
		    			$('#return-queue').hide();
		    		}
		    	});
		    }
		} else {
		    if (revert_level == 'Manager'){
		    
		        showDialog('permission');
		        $('#access-username').focus();
		        
		        
		    } else {

			    offline_return_to_queue(queue_id, function(){
			    	currentQueueType = 'queue';
			    	$('#queues-tab').mouseup();
			    	$('#return-queue').hide();
			    	
			    });
		    }

		}

	});
	
	$('#cancel-permission').mouseup(function(){
		hideDialog('permission');
	});


	$('#cancel-enter-price').mouseup(function(){
		hideDialog('enter-price');
		hideDialog('keypad');
	});


	$('input.count-den').change(function(){
		countDenominations();
	});

	$('#verify-btn').mouseup(function(){
		cashCountConfirm();
	});

	$('#confirmation-print-receipt').mouseup(function(){
		window.print();
	});
	
	$('#logout-btn').mouseup(function(){
		cashCount();
	});
	
	$('#cancel-logout').mouseup(function(){
		hideDialog('keypad');
		hideDialog('logout');
		$('#sku').focus();
	});

	$('#sku').focus();

	$('#void-queue').mouseup(function(){
		$('#item-list').html('');
		$('span.grand-total').text('0.00');
		voidQueue();
		$('#sku').focus();

	});
	
	$('#void-item').mouseup(function(){
		voidItem();
		$('#sku').focus();
	});

	$('#queues-tab').mouseup(function(){
		$('ul.item-list').html('');
		getQueueList();

		$('#queues ul.vui-card-tab li').addClass('vui-current-tab');
		$(this).removeClass('vui-current-tab');

		$('#queue-current').show();
		$('#queue-history').hide();
		
		$('#sku').focus();
	});
	
	$('#history-tab').mouseup(function(){
		$('ul.item-list').html('');
		getHistoryList();
		
		$('#queues ul.vui-card-tab li').addClass('vui-current-tab');
		$(this).removeClass('vui-current-tab');
		
		$('input.txn-customer-phone').val('');

		$('#queue-current').hide();
		$('#queue-history').show();

	});


	$('ul.vui-card-tab li').click(function(){
		$(this).parents('ul').children('li').addClass('vui-current-tab');
		$(this).removeClass('vui-current-tab');
	});
	
	$('#item-list li').live('click',function(){
		currentItem = $(this).attr('id');
		$('#sku').focus();
	});
	
	$('#queue-current li').live('click',function(){
		currentQueue = $(this).attr('id');
		getItemList();
		$('#sku').focus();
		$('#return-queue').hide();
	});
	
	$('#queue-history li').live('click',function(){
		currentQueue = $(this).attr('id');
		$('#return-queue').show();
		getItemList();
	});

	$(window).resize(function(){
		var targetHeight = $(window).height() - 170;
		$('#queues').height(targetHeight);
		$('#items').height(targetHeight);
		$('ul.queue-list').height(targetHeight - 60);
		$('ul.item-list').height(targetHeight - 145);

		$('#inventory').height(targetHeight - 100);
		$('#inventory').css('top',55);
		
		$('#pay').height(targetHeight - 100);
		$('#pay').css('top',50);

		$('#confirmation').height(targetHeight - 100);
		$('#confirmation').css('top',100);
		
		$('#add-ok').css('top',18);
		$('#add-failed').css('top',20);


		$('ul.category-list').height(targetHeight - 155);
		$('ul.browse-list').height(targetHeight - 155);
		
	});
	
	$(window).resize();

	$('ul.vui-select-list li').live('click', function(){
		$(this).parents('ul').children('li').removeClass('vui-selected');
		$(this).addClass('vui-selected');
	});
	
	$('#queues').click(function(){
		$(this).find('li.vui-selected').removeClass('vui-selected');
	});

	$('#items').click(function(){
		$(this).find('li.vui-selected').removeClass('vui-selected');
	});
	
	$('#inventory-close').mouseup(function(e){

		$('#queues-tab').mouseup();
		hideDialog('keypad');
		hideDialog('inventory');
		hideAlert('add-ok');
		hideAlert('add-failed');
		quickScan = true;
		
		$('div.name-search').hide();
		$('div.quick-list').show();
		$('#item-name').val('');

		
		$('#sku').focus();

	});
	
	$('#inventory-add').mouseup(function(e){
		if ($('#inventory-sku').val()){
		if (currentQueueType == 'queue'){

			hideAlert('add-ok');
			hideAlert('add-failed');
			addItem();
			setTimeout(function(){
				getItemList()
			}, 50);
			$('#inventory-sku').val('').focus();
			$('#inventory-qty').val(1);
			$('span.qty').text('x 1');
			
		}
		}
	});
	
	
	$('#add-queue').mouseup(function(e){
		if (currentQueueType == 'queue') addQueue();
		$('#sku').focus();
	});
	
	
	$('#add-item').mouseup(function(e){
		if (currentQueue != 0){
			quickScan = false;
			currentTextObject = $('#inventory-sku');
			showDialog('keypad');
			showDialog('inventory');
			$('#inventory-qty').val(1);
			$('#inventory-sku').val('').focus();
		} else {
			
		}
	});
	
	$('#item-name').keydown(function(e){
		var itemName = $(this).val();
		if (e.which == 13){

			if (itemName == ''){
				$('div.name-search').hide();
				$('div.quick-list').show();
				$('#inventory-sku').val('');
				return;
			}
			if (itemName.length < 2){
				alert('Please enter at least 2 letters to search by item name.');
				return;
			}

			if (SYSTEM_ONLINE){
				$.ajax({
					url: 'pos/ajax/search_items',
					data: 'name='+itemName,
					type: 'post',
					dataType: 'json',
					success: function (res){
						if (res.status == 'Success'){
							$('div.name-search ul.browse-list').html(res.html);
							$('div.name-search').show();
							$('div.quick-list').hide();
							
							$('#item-name').each(function(){
								this.select();
								$('#inventory-sku').val('');
							});
						}
					}
				});
			} else {
				var res = offline_search_items();
				
				if (res.status == 'Success'){
				    $('div.name-search ul.browse-list').html(res.html);
				    $('div.name-search').show();
				    $('div.quick-list').hide();
				    
				    $('#item-name').each(function(){
				    	this.select();
				    	$('#inventory-sku').val('');
				    });
				}
			}
		}
	});
	


	
	$('input.vui-number').keypress(function(event){
		var key = event.which;
		var keychar = String.fromCharCode(key);
		if ((key==null) || (key==0) || (key==8) ||  (key==9) || (key==13) || (key==27) ) return true;
		else if ((("0123456789").indexOf(keychar) > -1)) return true;
		else event.preventDefault();
	});
	
	$('input.vui-number-decimal').keypress(function(event){
		var key = event.which;
		var keychar = String.fromCharCode(key);
		if ((key==null) || (key==0) || (key==8) ||  (key==9) || (key==13) || (key==27) ) return true;
		else if ((("0123456789").indexOf(keychar) > -1)) return true;
		else if (keychar == "."){
			var value = $(this).val();
			if (value.indexOf('.') > -1){
				event.preventDefault()
			}
			return true;
		}
		else event.preventDefault();
	});
	
	$('input.vui-number-decimal-money').blur(function(){
		
		var val = $(this).val();
		if (val){
			val = parseFloat($(this).val());
			$(this).val(val.toFixed(2));
		}
	});


	$('#checkout').mouseup(function(e){
		if (currentQueueType == 'queue'){
			if (countItems()){
				showDialog('pay');
				$('div.payment-cash').show();
				$('div.payment-credit-card').hide();
				$('div.payment-method').hide();
				$('#pay-cash').mouseup();

				if (!currentDelivery){
					$('td.checkout-delivery').text('0.00');
					$('select.shippingtype').val('');
				} else {
					$('td.checkout-delivery').text(currentDelivery.toFixed(2));
					$('select.shippingtype').val(currentShipping);
				}
				
				$('input.checkout-remarks').val('');
			}
		}
	});
	
	$('#pay-cancel').mouseup(function(e){
		hideDialog('pay');
		$('#keypad').hide();
		$('#sku').focus();
	});
	
	$('#pay-cash').mouseup(function(e){
		var targetLeft = ($(window).width() / 2) - 435; 
		$('#pay').css({'left':targetLeft});
		showDialog('keypad');
		
		var totals = calculateGrandTotal();
		
		$('td.checkout-subtotal').text(totals.subTotal.toFixed(2));
		$('td.checkout-rounding-adjust').text(totals.adjustment.toFixed(2));
		$('td.checkout-discount').text('-'+totals.discount.toFixed(2));
		$('td.pay-amount-due').text(totals.grandTotal.toFixed(2));
		
		
		$('div.payment-method').hide();
		$('div.payment-cash').show();
		$('#pay-back').show().css('left',0);
		
		currentTextObject = $('#amount-tendered-input');
		
		$('#amount-tendered-input').focus().val(totals.grandTotal.toFixed(2));
		
		customerDisplay('Total Amount Due',currency + totals.grandTotal.toFixed(2));
		
		$('#amount-tendered-input').each(function(){
			this.select();
		});
		

	});
	
	$('#pay-credit-card').mouseup(function(e){
		$('td.pay-amount-due').text(calculateGrandTotal());
		$('div.payment-method').hide();
		$('div.payment-credit-card').show();
		$('#pay-back').show();
	});
	
	$('input.dtype').click(function(){
		$('#discount-input').change();
	});
	
	$('#discount-input').change(function(){
		var discount = parseFloat($(this).val());
		var amount = total;
		
		if ($('input.dtype-p').attr('checked')){
			var dtype = 'p';
		} else {
			var dtype = 'd';
		}

		if (dtype == 'p'){
			if (!discount) percent = 0;
			else percent = discount;
			var discounted = amount * ((100 - percent) / 100);
			discounted = discounted.toFixed(2);
		
		} else {
			if (!discount) deduct = 0;
			else deduct = discount;
			
			var discounted = amount - deduct;
			discounted = discounted.toFixed(2);
		}		

		var addition = 0.00;		
		var split = discounted.split('.');
		var decimals = split[1];

		if (decimals.charAt(1) <= 2){
			var newDec = '0';
		} else if (decimals.charAt(1) <= 7){
			var newDec = '5';
		} else if (decimals.charAt(1) <= 9){
			var newDec = '0';
			addition = 0.1;
		}

		discounted = parseFloat(split[0] + '.' + decimals[0] + newDec) + addition;
		
		
		$('td.pay-amount-due').text(discounted.toFixed(2));
	});
	
	
	$('#amount-tendered-input').keypress(function(e){
		if (e.which == 13){
			$('#pay-process-cash').mouseup();
		}
			$('#amount-tendered-input').css({'background-color':'#FFFFFF','color':'#333333'});
	});
	
	$('#pay-back').mouseup(function(e){
		$('#pay-cancel').mouseup();
		$('div.payment-cash').hide();
		$('div.payment-credit-card').hide();
		$('div.payment-method').show();
		$('#keypad').hide();
	});
	
	$('#pay-process-cash').mouseup(function(e){
		var cr_amount = parseFloat($('#credit-amount-tendered-input').val());
		if (cr_amount){
			if ($('select.customer').val() == 0){
				alert('Select Customer');
				return;
			}
		}
		
		cr_amount = (Math.floor(cr_amount * 100)) / 100;

		if (cr_amount > parseFloat($('span.credit_balance').text())){
			$('p.alert').text('Amount cannot be more than credit limit balance.');
			return;
		}
		
		var amt = tendered();
		var amtDue = parseFloat($('td.pay-amount-due').text());

		if (!amt) amt = 0.00;
		if (!amtDue) amtDue = 0.00;

		amtDue = (Math.floor(amtDue * 100)) / 100;
		
		if (amt < amtDue){
			$('#amount-tendered-input').css({'background-color':'#aa0000','color':'#FFFFFF'}).focus();

		} else {
			payCash();
		}
	});
	
	$('input.money-in').keyup(function(){
		var amt = tendered();
		var amtDue = parseFloat($('td.pay-amount-due').text());
		amtDue = (Math.floor(amtDue * 100)) / 100;
		var balance = amt - amtDue;
		$('td.pay-amount-balance').text(balance.toFixed(2));
	})
	
	$('#pay-process-credit-card').mouseup(function(e){
		hideDialog('pay');
		payCreditCard();
		$('tr.confirmation-credit-card').show();
		$('#confirm-done').css('margin-top',170);
	});

	$('#confirm-done').keypress(function(e){
		if (e.which == 13) $('#confirm-done').mouseup();
	});
	
	$('#confirm-done').mouseup(function(e){
		hideDialog('confirmation');

		customerDisplay(msg_welcome_1,msg_welcome_2);
		currentQueue = 0;
		getQueueList();
				
		$('#keypad').hide();
		
		$('#sku').focus();
	});
	
	
	$('#confirm-done-redeem').click(function(){
		$('#confirm-done-redeem').mouseup();
	});
	
	$('#confirm-done-redeem').mouseup(function(e){
		hideDialog('confirmation-redeem');

		customerDisplay(msg_welcome_1,msg_welcome_2);
		currentQueue = 0;
		getQueueList();
		$('#keypad').hide();
		$('#sku').focus();
	});
	
	
	
	$('#inventory-sku').keydown(function (e) {
		

		
	 	if (e.which == 13){
	 		if ($(this).val()){
 				$('#inventory-add').mouseup();
 			}
		}
		if (e.which == 27){
			$('#inventory-close').mouseup();
			
		}
		KEY_STATUS.keyDown = true; 

		if (KEY_CODES[e.keyCode]) {
		  	if(e.keyCode == 40){
				var qty = parseInt($('#inventory-qty').val());
				qty--;
				if (qty > 0) $('#inventory-qty').val(qty);
				event.preventDefault();
	  		} else if(e.keyCode == 38){
				var qty = parseInt($('#inventory-qty').val());
				qty++;
				if (qty > 0) $('#inventory-qty').val(qty);
				event.preventDefault();
			}
		}

	}).keyup(function (e) {
		return true;
	});
	
	$('#sku').keypress(function (e){
	
	 	if (e.which == 13){
	 		quickScan = true;
	 		
	 		if ($('#sku').val() == ''){
		 		$('#checkout').mouseup();
		 		return;
	 		}
	 		
	 		if ($('#sku').val() == 'a' || $('#sku').val() == 'A'){
	 			$('#add-item').mouseup();
	 			$('#sku').val('');
	 			return;
	 		}

	 		if ($('#sku').val() == 'q' || $('#sku').val() == 'Q'){
	 			$('#add-queue').mouseup();
	 			$('#sku').val('');
	 			return;
	 		}
	 		
	 		if ($('#sku').val() == 'r' || $('#sku').val() == 'R'){
	 			$('#redeem-btn').mouseup();
	 			$('#sku').val('');
	 			return;
	 		}

	 		
	 		if ($('#sku').val() == 'd' || $('#sku').val() == 'D'){
	 			$('#discount').mouseup();
	 			$('#sku').val('');
	 			return;
	 		}
	 		
	 		if ($('#sku').val() == 'c' || $('#sku').val() == 'C'){
	 			$('#customer-select').mouseup();
	 			$('#sku').val('');
	 			return;
	 		}
	 		
	 		if ($('#sku').val() == 'l' || $('#sku').val() == 'L'){
		 		clearCustomer();
	 			$('#sku').val('');
	 			return;
	 		}
	 		
	 		if ($('#sku').val() == 'o' || $('#sku').val() == 'O'){
		 		cashCount();
	 			$('#sku').val('');
	 			return;
	 		}

	 		
	 		if ($('#sku').val() == '-'){
				voidItem();
	 			$('#sku').val('');
	 			return;
	 		}

	 		
	 		$('#inventory-sku').val($(this).val());
 			$('#inventory-add').mouseup();
 			$(this).val('');
		}

	})
	
	
	$('#sku').keydown(function (e) {
		
		if (e.which == 27){
			$('#inventory-close').mouseup();
		}
		KEY_STATUS.keyDown = true; 

		if (KEY_CODES[e.keyCode]) {
		

		
			var curItemList = $('#item-list li.vui-selected').attr('id');
			if (!curItemList){
				currentItem = $('#item-list li').first().addClass('vui-selected').attr('id');
			} else {
		
				if (e.keyCode == 40){
					var next = $('#item-list li.vui-selected').next();
					if ($(next).attr('id')){
						currentItem = $(next).attr('id');
						$('#item-list li').removeClass('vui-selected');
						$(next).addClass('vui-selected');
					}
				} else if (e.keyCode == 38){
					var previous = $('#item-list li.vui-selected').prev();
					if ($(previous).attr('id')){
						currentItem = $(previous).attr('id');
						$('#item-list li').removeClass('vui-selected');
						$(previous).addClass('vui-selected');
					}
				
				}
			}
			/* 
		  	if(e.keyCode == 40){
				var qty = parseInt($('#inventory-qty').val());
				qty--;
				if (qty > 0){
					$('#inventory-qty').val(qty);
					$('span.qty').text('x ' + qty);
				}
				e.preventDefault();
	  		} else if(e.keyCode == 38){
				var qty = parseInt($('#inventory-qty').val());
				qty++;
				if (qty > 0){
					$('#inventory-qty').val(qty);
					$('span.qty').text('x ' + qty);
				}
				e.preventDefault();
			}
			*/
		}

	}).keyup(function (e) {
		return true;
	});
	
	$('#reprint-receipt').mouseup(function(){
		window.print();
	});
	
	$('select.customer').change(function(){
		getCreditBalance();
	})
	
	
	$('button.touch-numpad').mouseup(function(){
		if ($(this).val() == '+'){
			var qty = parseInt($('#inventory-qty').val());
			qty++;
			if (qty > 0) $('#inventory-qty').val(qty);
			$(currentTextObject).focus();
			
		} else if ($(this).val() == '-'){
			var qty = parseInt($('#inventory-qty').val());
			qty--;
			if (qty > 0) $('#inventory-qty').val(qty);
			$(currentTextObject).focus();		
			
		} else if ($(this).val() == 'delete'){
			var val = $(currentTextObject).val();
			var newVal = '';
			for (var i = 0; i < val.length - 1; i++){
				newVal = newVal + val.charAt(i);
			}
			$(currentTextObject).val(newVal).focus();
		} else if ($(this).val() == 'return'){
			
			$(currentTextObject).parent('div.vui-card').find('button.return-default').mouseup();
			$(currentTextObject).focus();
		} else {
			var newVal = $(currentTextObject).val() + $(this).val();
			$(currentTextObject).val(newVal).focus();
		}
		
		$(currentTextObject).change();

	});
	
	$('input,button').live('keydown',function(e){
		if (e.which == 13){
			$(this).parents('div.vui-card').find('button.return-default').mouseup();
		}
		
		if (e.which == 27){
			$(this).parents('div.vui-card').find('button.escape-default').mouseup();
		}
	});
	
	$('input.txn-history').keypress(function(e){
		$('input.inv-history').val('');
		if (e.which == 13){
			currentQueue = $(this).val();
			historyType = 'receipt';
			$('#reprint-receipt').show();
			$('#return-queue').show();

			getItemList();	
		}
	});
	
	$('input.inv-history').keypress(function(e){
		$('input.txn-history').val('');
		if (e.which == 13){
			currentQueue = $(this).val();
			historyType = 'invoice';
			$('#reprint-receipt').show();
			
			getItemList();	
		}
	});

	
	$('input.txn-customer-phone').keypress(function(e){
		if (e.which == 13){
			var phone = $(this).val();
			getHistoryList(phone);
		}
	});
		
	$('#enter-item-discount').focus(function(){
		currentTextObject = $(this);
	});
	
	$('#enter-total-discount').focus(function(){
		currentTextObject = $(this);
	});
	
	$('input.money-in').focus(function(){
		currentTextObject = $(this);
	});

	
	$('input.count-den').focus(function(){
		currentTextObject = $(this);
	});
	
	$('#enter-item-price').focus(function(){
		currentTextObject = $(this);
	});
	
	$('#till-count').focus(function(){
		currentTextObject = $(this);
	});
	
	$('#till-count').change(function(){
		tillCount();
	});
	
	$('#till-deposited').focus(function(){
		currentTextObject = $(this);
	});
	
	$('#till-deposited').change(function(){
		tillCount();
	});
	
	$('ul.browse-list li').live('mouseup',function(){
		var sku = $(this).attr('sku');
		$('#inventory-sku').val(sku).focus();
		
		$('ul.browse-list li').removeClass('vui-selected');
	});
	
	$('#enter-price-btn').mouseup(function(){
		enterPrice();
	});
	
	$('#enter-serial-btn').mouseup(function(){
		enterSerial();	
	});
	
	$('#enter-item-price').keypress(function(e){
		if (e.which == 13){
			enterPrice();
		}
	});
	
	$('#enter-item-price-pu').keypress(function(e){
		if (e.which == 13){
			enterPrice();
		}
	});

	
	$('#enter-serial').keypress(function(e){
		if (e.which == 13){
			enterSerial();
		}
	});
	
	
	$('#customer-select').live('mouseup',function(){
		$('tr.customer-details').show();
		$('tr.customer-search').hide();
		$('input.customer-id').val('');
		$('input.customer-name').val('');

		showCustomer();
	});
	
	$('#customer-select-close').live('mouseup',function(){
		hideDialog('customer');
		$('#sku').focus();
	});
	
	$('#customer-select-done').live('mouseup',function(){
		enterCustomer();		
	});
	
	$('a.customer-clear').live('click',function(){
		clearCustomer();
	})
	
	$('#customer-select-done').click(function(e){
		enterCustomer();
	});
	
	$('input.customer-id').keypress(function(e){
		if (e.which == 13){

			getCustomer('ic',$(this).val());
		}
	});
	
	$('input.customer-name').keyup(function(e){
		if (e.which == 13){
			if ($(this).attr('last') != $(this).val()){
				searchCustomer($(this).val());
				$(this).attr('last', $(this).val());
			} else {
				chooseCustomer();
				$(this).attr('last','');
			}
		}
		
		if (e.keyCode == 40){
			var next = $('ul.customer-list li.vui-selected').next();
			if ($(next).attr('rel')){
				$('ul.customer-list li').removeClass('vui-selected');
				$(next).addClass('vui-selected');

				this.select();				
			}

		} else if (e.keyCode == 38){
			var previous = $('ul.customer-list li.vui-selected').prev();
			if ($(previous).attr('rel')){
				$('ul.customer-list li').removeClass('vui-selected');
				$(previous).addClass('vui-selected');
				
				this.select();
			}
				
		}
	});
	

	
	$('select.shippingtype').change(function(){
		var id = $(this).val();
		getDeliveryCharges(id);
	});


});

function getCustomer(ident,id){

	$('tr.customer-details').show();
	$('tr.customer-search').hide();

	$('div.customer-info').html('Loading info...');
	customerID = null;
	
	$.ajax({
		url: base_url + 'pos/ajax/get_customer',
		type: 'post',
		data: 'identifier='+ident+'&id='+id,
		dataType: 'json',
		success: function(res){
			console.log(res);
			if (res.status == 'Success'){
				var info = '<strong>Customer:</strong><br />' + (res.customer.company_name ? (res.customer.company_name + ' (' + res.customer.contact_person + ')' ) : (res.customer.contact_person));
				info += '<br /><br /><strong>Contact Number:</strong><br />' + res.customer.contact_number;
				info += '<br /><br /><strong>Rank:</strong><br />' + res.customer.rank;
				info += '<br /><br /><strong>Remarks:</strong><br />' + res.customer.remarks;
				$('div.customer-info').html(info);
				$('#customer-select-done').focus();
				customerID = res.customer.id;
			} else {
				$('div.customer-info').html('<i>Customer Not Found.</i>');
				$('input.customer-id').get(0).select();

			}
		}
	});
}

function searchCustomer(name){
		$('tr.customer-details').hide();
		$('tr.customer-search').show();
		$('td.search-result ul').html('...');
		$('td.search-result p').html('Searching...');
		$.ajax({
		url: base_url + 'pos/ajax/search_customer_by_name',
		type: 'post',
		data: 'name='+name,
		dataType: 'json',
		success: function(res){
			console.log(res);
			$('td.search-result ul').html('');
			if (res.status == 'Success'){
				$('td.search-result p').html('Search Result');
				for (var i = 0; i < res.customers.length; i++){
					var customer = res.customers[i];
					$('td.search-result ul').append('<li class="customer-result" rel="'+customer.id+'">'+(customer.company_name ? (customer.company_name + ' (' + customer.contact_person + ')' ) : (customer.contact_person))+'</li>');
				}
				$('td.search-result ul li').first().addClass('vui-selected');
			} else {
				$('td.search-result p').html('No Result Found');
			}
		}
	});
}

function chooseCustomer(){
	var id = $('td.search-result li.vui-selected').attr('rel');
	$('input.customer-id').val('');
	$('input.customer-name').focus();
	getCustomer('id',id);
}

function clearCustomer(){
	$.ajax({
		url: base_url + 'pos/ajax/clear_customer',
		type: 'post',
		data: 'queue_id='+currentQueue,
		dataType: 'json',
		success: function(res){
			console.log(res);
			if (res.status == 'Success'){
				getItemList();
				customerID = null;
				customerData = null;
			} else {
				$('div.customer-info').html('<i>Customer Not Found. Unable to proceed.</i>')
			}
		}
	})
}


function enterCustomer(){
	$.ajax({
		url: base_url + 'pos/ajax/enter_customer',
		type: 'post',
		data: 'queue_id='+currentQueue+'&customer_id='+customerID,
		dataType: 'json',
		success: function(res){
			console.log(res);
			if (res.status == 'Success'){
				getItemList();
				hideDialog('customer');
				$('#sku').focus();
			} else {
				$('div.customer-info').html('<i>Customer Not Found. Unable to proceed.</i>')
			}
		}
	})
}

function showCustomer(){
	showDialog('customer');
	$('div.customer-info').html('<i>No Information.</i>');
	$('input.customer-id').val('').focus();	
}

function enterSerial(){
	var serial = $('#enter-serial').val();
	
	if (SYSTEM_ONLINE){
		$.ajax({
			url: 'pos/ajax/enter_serial',
			data: 'id='+enterSerialID+'&serial='+serial,
			type: 'post',
			success: function (){
				getItemList();
				$('#enter-serial').val('');
				enterSerialQty--;
				if (enterSerialQty != 0){
					$('#serial-alert').text('Serial Entered #'+serial);
				} else {
					$('#sku').focus();
					$('#serial-alert').text('');
					hideDialog('keypad');
					hideDialog('enter-serial-no');					
				}
			}
		});
	
	} else {
		
		offline_enter_serial(enterSerialID, serial);
		
		getItemList();
    	$('#enter-serial').val('');
    	enterSerialQty--;
    	if (enterSerialQty != 0){
    		$('#serial-alert').text('Serial Entered #'+serial);
    	} else {
    		$('#sku').focus();
    		$('#serial-alert').text('');
    		hideDialog('keypad');
    		hideDialog('enter-serial-no');					
    	}	
	
	}

}

function enterPrice(){
	var price = $('#enter-item-price').val();
	
	if (SYSTEM_ONLINE){
		$.ajax({
			url: 'pos/ajax/enter_price',
			data: 'id='+enterPriceID+'&price='+price+'&qty='+enterPriceQty+'&replace='+enterReplace,
			type: 'post',
			success: function (){
				hideDialog('keypad');
				hideDialog('enter-price');
				getItemList();
				$('#enter-item-price').val('');
				var xprice = parseFloat(price);
				customerDisplay(enterPriceDisplay, currency + xprice.toFixed(2));
				enterReplace = false;
				$('#sku').focus();
	
				if (callback != null){
					callback();
					callback = null;
				}
	
			}
		});
	
	} else {
	
		offline_enter_price(enterPriceID,price,enterPriceQty,enterReplace);
	
		hideDialog('keypad');
		hideDialog('enter-price');
    	getItemList();
    	$('#enter-item-price').val('');
    	var xprice = parseFloat(price);
    	customerDisplay(enterPriceDisplay, currency + xprice.toFixed(2));
    	enterReplace = false;
    	$('#sku').focus();

    	if (callback != null){
    		callback();
    		callback = null;
    	}
	
	}
}

function showDialog(id){
	if (id == 'inventory'){
		$('ul.browse-list li').removeClass('vui-selected');
		var targetLeft = ($(window).width() / 2) - ($('#'+id).width() / 2) - 135; 
	} else {
		var targetLeft = ($(window).width() / 2) - ($('#'+id).width() / 2);	
 
	}
	$('div.overlay').show();
	$('#'+id).css('left',targetLeft).show();

}

function hideDialog(id){
	$('div.overlay').hide();
	$('#'+id).hide();
}

function showAlert(id, centered){
	if (centered){
		var targetLeft = ($(window).width() / 2) - ($('#'+id).width() / 2);
		var targetTop = ($(window).height() / 2) - ($('#'+id).height() / 2) - 10;
		$('div.overlay').show();
		$('#'+id).css('left',targetLeft).css('top',targetTop).show();
	} else {
		var targetLeft = ($(window).width()) - ($('#'+id).width()) - 20; 
		$('div.overlay').show();
		$('#'+id).css('left',targetLeft).show();
	}
}

function hideAlert(id){
	$('#'+id).hide();
}


function addQueue(){
	if (continueTxn){
		$('#queues-tab').mouseup();
	} else {
		
		if (SYSTEM_ONLINE){
				
			$.ajax({
				url: 'pos/ajax/add_queue',
				type: 'POST',
				success: function (json){
					newQueue = true;
					$('#queues-tab').mouseup();
		
				}
			});
		} else {
			
			offline_add_queue(function(){
				newQueue = true;
				$('#queues-tab').mouseup();	
			});
			
		}
	}
}

function voidQueue(){
	if (SYSTEM_ONLINE){
	
		$.ajax({
			url: 'pos/ajax/void_queue',
			type: 'POST',
			data: 'queue='+currentQueue,
			success: function (json){
				$('#queues-tab').mouseup();
				currentQueue = 0;
				currentItem = 0;
			}
		});
		
	} else {
	
		offline_void_queue(queue_id, function(){
			$('#queues-tab').mouseup();
			currentQueue = 0;
			currentItem = 0;			
		})
	}
}

function addItem(){
	var sku = $('#inventory-sku').val();
	var qty = $('#inventory-qty').val();
	
	
	if (sku == ''){
		$('#checkout').mouseup();
		return;
	}
	
	
	if (SYSTEM_ONLINE){

		$.ajax({
			url: 'pos/ajax/add_item',
			type: 'POST',
			data: 'queue='+currentQueue+'&sku='+sku+'&qty='+qty,
			success: function (json){
				if (json.status == 'Success'){
					if (quickScan){
						$('span.founditem').show().fadeOut(500);
						getItemList();
					} else {
						showAlert('add-ok');
					}
					customerDisplay(json.qty + 'x' + json.name, currency + json.amount);
		
					if (json.enter_price == 1){
						hideDialog('inventory');
						hideAlert('add-ok');
						showDialog('enter-price');
						showDialog('keypad');
						enterPriceID = json.id;
						enterPriceQty = qty;
						
						var totalPrice = parseFloat(json.price) * qty;
			
						$('p.enter-price-item').html(json.name + ' - ' + currency + json.price + '<br />Quantity: ' + qty);
						$('#enter-item-price-pu').val(json.price).focus().each(function(){ this.select() });
						$('#enter-item-price').val(totalPrice.toFixed(2));
						
		
						enterPriceDisplay = json.qty + 'x' + json.name;
						customerDisplay(json.qty + 'x' + json.name, '');
						var requireCallback = true;
					} else {
						customerDisplay(json.qty + 'x' + json.name, currency + json.amount);
						var requireCallback = false;
					}
					
					if (json.enter_serial == 1){
						enterSerialID = json.id;
						enterSerialQty = qty;
					
						if (requireCallback){
							callback = function (){
								showDialog('enter-serial-no');
								showDialog('keypad');
								$('#enter-serial').focus();
								$('#enter-serial').focus();
							}
						} else {
							hideDialog('inventory');
							hideAlert('add-ok');						
							showDialog('enter-serial-no');
							showDialog('keypad');
							$('#enter-serial').focus();
						}
					}
					
					$('#added-item').text(json.qty + ' x ' + json.name);
					$('#added-amount').text(json.amount);
					$('td.outstanding-total').text(json.outstanding);
				} else {
					if (quickScan){
						$('span.noitem').show().fadeOut(500);
					} else {
						showAlert('add-failed');			
					}
					$('td.outstanding-total').text(json.outstanding);
				}
			}
		});

	} else {
	
		offline_add_item(currentQueue, sku, qty, function(json){
			if (json.status == 'Success'){
				if (quickScan){
					$('span.founditem').show().fadeOut(500);
					getItemList();
				} else {
					showAlert('add-ok');
				}
				customerDisplay(json.qty + 'x' + json.name, currency + json.amount);
		
				if (json.enter_price == 1){
					hideDialog('inventory');
					hideAlert('add-ok');
					showDialog('enter-price');
					showDialog('keypad');
					enterPriceID = json.id;
					enterPriceQty = qty;
						
					var totalPrice = parseFloat(json.price) * qty;
			
					$('p.enter-price-item').html(json.name + ' - ' + currency + json.price + '<br />Quantity: ' + qty);
					$('#enter-item-price-pu').val(json.price).focus().each(function(){ this.select() });
					$('#enter-item-price').val(totalPrice.toFixed(2));
		
					enterPriceDisplay = json.qty + 'x' + json.name;
					customerDisplay(json.qty + 'x' + json.name, '');
					var requireCallback = true;
				} else {
					customerDisplay(json.qty + 'x' + json.name, currency + json.amount);
					var requireCallback = false;
				}
					
				if (json.enter_serial == 1){
					enterSerialID = json.id;
					enterSerialQty = qty;
					
					if (requireCallback){
						callback = function (){
							showDialog('enter-serial-no');
							showDialog('keypad');
							$('#enter-serial').focus();
							$('#enter-serial').focus();
						}
					} else {
						hideDialog('inventory');
						hideAlert('add-ok');						
						showDialog('enter-serial-no');
						showDialog('keypad');
						$('#enter-serial').focus();
					}
				}
					
				$('#added-item').text(json.qty + ' x ' + json.name);
				$('#added-amount').text(json.amount);
				$('td.outstanding-total').text(json.outstanding);
			} else {
				if (quickScan){
					$('span.noitem').show().fadeOut(500);
				} else {
					showAlert('add-failed');			
				}
				$('td.outstanding-total').text(json.outstanding);
			}
		});

		
		
	}
	
}

function voidItem(){
	if (currentQueueType == 'queue'){

		if (SYSTEM_ONLINE){
		
			$.ajax({
				url: 'pos/ajax/void_item',
				type: 'POST',
				data: 'queue='+currentQueue+'&item='+currentItem,
				success: function (json){
					currentItem = 0;
					getItemList();
				}
			
			});
	
		} else {
		
			offline_void_item(currentQueue, currentItem, function(){
				currentItem = 0;
				getItemList();
			});
		
		}
		
	}
	
}


function reprintReceipt(callback){
	if (SYSTEM_ONLINE){
	
		$.ajax({
			url: 'pos/ajax/receipt',
			type: 'POST',
			data: 'queue='+currentQueue+'&type='+historyType,
			success: function (json){
				historyType = null;
				if (json.status == 'Success'){
					$('#receipt-container').html(json.html);
					$('#reprint-receipt').show();
					if (doPrint){
						printReceipt();
						doPrint = false;
					}
					
					try {
						callback();
					} catch (e){
						// do nothing
					}
				}
	
			}
		});

	
	} else {
	
		offline_receipt(currentQueue, function(json){
			$('#receipt-container').html(json.html);
			if (doPrint){
				printReceipt();
				doPrint = false;
			}		
		});

	}
}


function getQueueList(){

	$('div.items div.hb').hide();
	$('div.items div.qb').show();
	$('#reprint-receipt').hide();
	

	if (SYSTEM_ONLINE){
		$.ajax({
			url: 'pos/ajax/get_queue_list',
			type: 'POST',
			success: function (json){
				if (json.status == 'Success'){
					$('#queue-current').html(json.html);

					if (currentQueue == 0){
						if (json.html) $('#queue-current li:first').click();
						else {
							addQueue();
							// getQueueList();
						}
						currentQueueType = 'queue';
					} else {
						if (currentQueueType == 'history'){
							if (countTxn()) $('#queue-current li:first').click();
							else {
								addQueue();		
								getQueueList();
							}
						} else {
							$('#queue-current li#'+currentQueue).click();
						}
					}
					currentQueueType = 'queue';
				}
	
			}
		});
	} else {

		
		offline_get_queue_list(function(json){
			if (json.status == 'Success'){
				$('#queue-current').html(json.html);
				if (currentQueue == 0){
					if (countTxn()) $('#queue-current li:first').click();
					else addQueue();
					currentQueueType = 'queue';
				} else {
					if (currentQueueType == 'history'){
						if (countTxn()) $('#queue-current li:first').click();
						else addQueue();		
					} else {
						$('#queue-current li#'+currentQueue).click();
					}
				}
				currentQueueType = 'queue';
			}
		})

	}
	
	
}

function getHistoryList(phone){
	currentQueueType = 'history';
	$('div.items div.qb').hide();
	$('div.items div.hb').show();

	if (!phone) phone = '';

	if (SYSTEM_ONLINE){
	
		$.ajax({
			url: 'pos/ajax/get_history_list',
			data: 'phone='+phone,
			type: 'POST',
			success: function (json){
	
				if (json.status == 'Success'){
					$('#queue-history').html(json.html);
				}
			}
		});
	
		
	} else {
	
		offline_get_history_list(phone, function(json){
			if (json.status == 'Success'){
				$('#queue-history').html(json.html);
			}
		});
		
	}
}


function getItemList(){

	$('#item-list').html('Loading...');
	$('td.item-amount').remove();
	$('#reprint-receipt').hide();	

	if (SYSTEM_ONLINE){


		$.ajax({
			url: 'pos/ajax/get_item_list',
			type: 'POST',
			data: 'queue='+currentQueue+'&type='+historyType,
			success: function (json){
			
				if (historyType == 'invoice'){
					$('#return-queue').hide();
				} else {
					$('#return-queue').show();	
				}

				if (json.status == 'Success'){
					$('#item-list').html(json.html);
					
					reprintReceipt();
					

					if (!adjustment) adjustment = 0;
					if (currentQueueType == 'history'){
						if (json.discount && json.discount != '0'){
							json.discount = parseFloat(json.discount);
							if (json.discount_type == 'p'){
								$('span.grand-total').text('-' + json.discount + '% = ' + json.amount);
							} else {
								$('span.grand-total').text('-' + (json.discount).toFixed(2) + ' = ' + json.amount);
	
							}
						} else {
							$('span.grand-total').text(json.amount);
						}
						$('strong.gross-profit-val').text(json.gross_profit);
						$('strong.checkout-remarks').text(json.remarks ? json.remarks : '');;
					} else {
						currentDiscountType = json.discount_type;
						currentDiscount = parseFloat(json.discount);
						currentDelivery = json.delivery ? parseFloat(json.delivery) : 0.00;
						currentShipping = json.shipping_id;
						$('strong.checkout-remarks').text(json.remarks);
						calculateGrandTotal();
					}
					
					$('#item-list li[id='+currentItem+']').addClass('vui-selected');
					customerData = json.customer;
					customerID = json.customer.id;
					if (customerID){
						if (currentQueueType == 'queue'){
							$('small.customer-name').html(json.customer.company_name ? json.customer.company_name + (json.customer.rank ? ' (' +  json.customer.rank + ') ' + '<a class="customer-clear" style="padding: 3px 5px; background: #CCC; border-radius: 5px">C<u>L</u>EAR</a>' : '') : json.customer.contact_person + ' <a class="customer-clear" style="padding: 3px 5px; background: #CCC; border-radius: 5px">C<u>L</u>EAR</a>');
						} else {
							$('small.customer-name').html(json.customer.company_name ? json.customer.company_name + (json.customer.rank ? ' (' +  json.customer.rank + ') ' : '') : json.customer.contact_person);
						}
					} else {
						$('small.customer-name').html('N/A');
					}
					
					
	
				}
				
				
			}
		});	
	
	} else {
	
		offline_get_item_list(currentQueue, function(json){
			if (json.status == 'Success'){
				$('#item-list').html(json.html);
				adjustment = parseFloat(json.adjustment);
				if (currentQueueType == 'history'){
					if (json.discount && json.discount != '0'){
						json.discount = parseFloat(json.discount);
						if (json.discount_type == 'p'){
							$('span.grand-total').text('-' + json.discount + '% = ' + json.amount);
						} else {
							$('span.grand-total').text('-' + (json.discount).toFixed(2) + ' = ' + json.amount);
		
						}
					} else {
						$('span.grand-total').text(json.amount);
					}
					$('strong.gross-profit-val').text(json.gross_profit)
				} else {
					currentDiscountType = json.discount_type;
					currentDiscount = parseFloat(json.discount);
					calculateGrandTotal();
				}
					
				$('#item-list li[id='+currentItem+']').addClass('vui-selected');
		
			}
			
			reprintReceipt();
		});

	
	}
	


}

function getDeliveryCharges(id){
	$.ajax({
		url: 'pos/ajax/get_delivery_charges',
		type: 'POST',
		data: 'queue='+currentQueue+'&id='+id,
		dataType: 'json',
		success: function (json){
			if (json.status == 'Success'){
				$('td.checkout-delivery').text(json.charges.total_rate.toFixed(2));
				var totals = calculateGrandTotal();
				$('#amount-tendered-input').focus().val(totals.grandTotal.toFixed(2));
			}
		}

	})
}

function calculateGrandTotal(){
	var subTotal = 0.00;
	$('td.item-amount').each(function(){
		subTotal += parseFloat($(this).text());
	});

	var discount = 0.00;
	var grandTotal = subTotal;	
	if (currentDiscount){
		if (currentDiscountType == 'p'){
			grandTotal = subTotal * ((100 - currentDiscount) / 100);
			discount = subTotal * currentDiscount / 100;
		} else {
			grandTotal = subTotal - currentDiscount;
			discount = currentDiscount;
		}
	}  else {
		currentDiscount = 0;
	}	

	var taxes = 0.00;
	$('td.checkout-tax').each(function(){
		var p = parseFloat($(this).attr('percentage'));
		var tax = (p / 100) * grandTotal;
		$(this).text(tax.toFixed(2));
		taxes += tax;
	});
	
	grandTotal = grandTotal + taxes;
	
	var delivery = 0.00;
	if (currentDelivery){
		delivery = currentDelivery;	
		$('td.checkout-delivery').val(delivery.toFixed(2));
		$('select.shippingtype').val(currentShipping);
	} else {
		delivery = parseFloat($('td.checkout-delivery').text());
	}
	delivery = delivery ? delivery : 0;
	grandTotal = grandTotal + delivery;
	
	if (rounding_adjust){
		var grandTotalString = grandTotal.toFixed(2);
		var parts = grandTotalString.split('.');
		
		var cents = parts[1];
    		
		if (cents[1] == 1){
	    	cents -= 1;
	    	adjustment = -1;
	    } else if (cents[1] == 2){
		    cents -= 2;
		    adjustment = -2;
		} else if (cents[1] == 3){
		    cents += 2;
		    adjustment = 2;
		} else if (cents[1] == 4){
		    cents += 1;
		    adjustment = 1;
		} else if (cents[1] == 6){
		    cents -= 1;
		    adjustment = -1;
		} else if (cents[1] == 7){
		    cents -= 2;
		    adjustment = -2;
		} else if (cents[1] == 8){
		    cents += 2;
		    adjustment = 2;
		} else if (cents[1] == 9){
		    cents += 1;
		    adjustment = 1;
		} else {
		    adjustment = 0;
		}
		
		
		adjustment = adjustment / 100;
	} else {
		adjustment = 0;
	}
		
	grandTotal = grandTotal + adjustment;	
	
	if (adjustment){
		$('span.adjustment').html('&nbsp;&nbsp;&nbsp; Rounding Adjust &nbsp;&nbsp;&nbsp;' + adjustment + '&nbsp;&nbsp;&nbsp;Tax &nbsp;&nbsp;+' + taxes.toFixed(2) + '&nbsp;&nbsp;&nbsp;Delivery &nbsp;&nbsp;+' + delivery.toFixed(2));
	} else {
		$('span.adjustment').html('&nbsp;&nbsp;&nbsp;Tax &nbsp&nbsp;+' + taxes.toFixed(2) + '&nbsp;&nbsp;&nbsp;Delivery &nbsp;&nbsp;+' + delivery.toFixed(2));
	}
	
	if (currentDiscount){
		if (currentDiscountType == 'p'){
			$('span.grand-total').text('-' + currentDiscount + '% = ' + grandTotal.toFixed(2));
		} else {
			$('span.grand-total').text('-' + currentDiscount.toFixed(2) + ' = ' + grandTotal.toFixed(2));
		}
	} else {
		$('span.grand-total').text(grandTotal.toFixed(2));
	}
	
	$('td.pay-amount-due').text(grandTotal.toFixed(2));
	
	var totals = {
		subTotal: subTotal,
		discount: discount,
		taxes: taxes,
		delivery: delivery,
		grandTotal: grandTotal,
		adjustment: adjustment
	};
	
	return totals;
}

function printReceipt(){

}


function cashCount(){

	getTillCountData();
	var targetLeft = ($(window).width() / 2) - 535; 

	showDialog('logout');
	$('#logout').css('left',targetLeft);
	
	showDialog('keypad');
	currentTextObject = $('#till-count').focus();
	
	triggerDrawer();
			
}

function cashCountConfirm(){
	var username = $('#verify-username').val();
	var password = $('#verify-password').val();
	var deposited = $('#till-deposited').val();
	var discrepancy = $('#till-discrepancy').text();
	var expected = $('#till-expected').text();
	var counted = $('#till-remaining').text();
	
	if (SYSTEM_ONLINE){

		$.ajax({
			url: 'pos/logout',
			data: 'username='+username+'&password='+password+'&deposited='+deposited+'&counted='+counted+'&expected='+expected+'&discrepancy='+discrepancy,
			type: 'POST',
			success: function (res){
	
				if (res == 'false1' ){
					$('td.errMsg').text('Invalid username or password.');
				} else if (res == 'false2'){
					$('td.errMsg').text('This user may not verify cash count.');
				} else {
					$('div.report').html(res);
					
					$('div.cashcount').hide();
					$('div.cashcount-logout').show();
					printReport();
					hideDialog('keypad');
					showDialog('logout');
	
		
				}
			}
		});
	} else {
		
		offline_logout(username, password, deposited, counted, expected, discrepancy, function(res){
			if (res == 'false1' ){
				$('td.errMsg').text('Invalid username or password.');
    		} else if (res == 'false2'){
    			$('td.errMsg').text('This user may not verify cash count.');
    		} else {
    			$('div.report').html(res);
    			
    			$('div.cashcount').hide();
    			$('div.cashcount-logout').show();
    			printReport();
    			hideDialog('keypad');
    			showDialog('logout');
    		}			
		})
	}
}

function tillCount(){
	var expected = parseFloat($('#till-expected').text());
	var count = parseFloat($('#till-count').val());
	var deposited = parseFloat($('#till-deposited').text());
	
	if (!count) count = 0.00;
	if (!deposited) deposited = 0.00;
	

	var discrepancy = parseFloat(0 - (expected - count));
	var remaining = parseFloat(count - deposited);
	
	$('#till-discrepancy').text(discrepancy.toFixed(2));
	$('#till-remaining').text(remaining.toFixed(2));
}

function verifyCashCount(){
	var username = $('#verify-username').val();
	var password = $('#verify-password').val();
	var tillCounted = $('#till-counted').val();
	var tillDeposited = $('#till-deposited').val();
}

function logout(){
	window.location = base_url;
}

function countTxn(){
	var x = 0;
	$('#queue-current li').each(function(){
		x++;
	});
	return x;
}

function countItems(){
	var x = 0;
	$('ul.item-list li').each(function(){
		x++;
	});
	return x;
}

function triggerDrawer(){
	if (SYSTEM_ONLINE){
		$.ajax({
			url: trigger_url,
			success: function(){}
		});
	} else {
		
	}
}

function customerDisplay(line1, line2){
	if (SYSTEM_ONLINE){
		$.ajax({
			url: display_url,
			data: 'line1='+line1+'&line2='+line2,
			type: 'post',
			success: function(res){
			}
		});
	} else {
		
	}
}


function printReport(){
	var html = $('#report').html();
	$('#receipt').html(html);

	window.print();
	setTimeout('logout()',6000);	
}

function countDenominations(){
	var denTotal = 0.00;
	$('input.count-den').each(function(){
		var denVal = parseFloat($(this).attr('key'));
		var denQty = parseInt($(this).val());
		if (!denQty) denQty = 0;
		denTotal += (denVal * denQty);
	})
	
	$('#till-count').val(denTotal.toFixed(2)).change();
}


function payCash(){
	var tenderedTotal = 0.00;
	$('input.money-in').each(function(){
		var tendered = $(this).val();
		if (!tendered) tendered = 0.00;
		tenderedTotal += parseFloat(tendered);
	});
	


	amountTendered = tenderedTotal;
	
	var discount = $('#discount-input').val();
	if (!discount) discount = 0;
	
	var amountCash = $('#amount-tendered-input').val();
	if (!amountCash) amountCash = 0;
	
	var amountCreditCard = $('#cc-amount-tendered-input').val();
	if (!amountCreditCard) amountCreditCard = 0;
	
	var amountCheque = $('#cheque-amount-tendered-input').val();
	if (!amountCheque) amountCheque = 0;
	
	var amountBankIn = $('#bank-deposit-amount-tendered-input').val();
	if (!amountBankIn) amountBankIn = 0;

	
	var amountCredit = $('#credit-amount-tendered-input').val();
	if (!amountCredit) amountCredit = 0;

	
	var cardType = $('select[name=cardtype]').val();
	if (!cardType) cardType = null;
	var customer = $('select.customer').val();
	if (!customer) customer = null;
	
	
	if ($('input.dtype-p').attr('checked')) var dType = 'p';
	if ($('input.dtype-d').attr('checked')) var dType = 'd';
	
	var member = $('select.member').val();
	
	var customerPhone = $('input.customer-phone').val();
	var remarks = $('input.checkout-remarks').val();
	
	if (SYSTEM_ONLINE){

		$.ajax({
			url: 'pos/ajax/cash_checkout',
			dataType: 'json',
			type: 'POST',
			data: 'queue='+currentQueue+
				'&amount_tendered='+amountTendered+
				'&amount_cc='+amountCreditCard+
				'&amount_cheque='+amountCheque+
				'&amount_bank_in='+amountBankIn+
				'&amount_credit='+amountCredit+
				'&amount_cash='+amountCash+
				'&card_type='+cardType+
				'&customer='+customer+
				'&customer_phone='+customerPhone+
				'&member='+member+
				'&remarks='+remarks,
			success: function (json){
				if (json.status == 'failed'){
					$('p.pay-alert').text(json.reason);
				} else {
					$('#discount-input').val('');
					
					$('select.member').val('');
					$('.member-no').val('');
					
					hideDialog('pay');			
					$('tr.confirmation-credit-card').hide();
					$('#confirm-done').css('margin-top',110);
					$('#keypad').hide();
					
		
					
					$('td.pay-amount-balance').text('');
		
					$('p.pay-alert').text('');
					$('td.pay-amount-tendered').text(json.tendered);
					$('td.pay-amount-change').text(json.change);
					triggerDrawer();
					currentItem = 0;
					
					showDialog('confirmation');

					doPrint = false;			
					
					getItemList();
					$('input.money-in').val('');
					$('#confirm-done').focus();
					$('input.dtype').attr('checked',false);
					$('input.dtype-'+discount_default+'').attr('checked',true);
					
										
					
					customerDisplay(msg_thankyou, 'Change: ' + currency + json.change);
					
					reprintReceipt(function(){
						if (printing_optional == '0'){
							window.print();
						}
					});
					
					
		
				}
		
			}
		});
	
	} else {
	
		var data = {
			'amount_tendered'	: amountTendered,
			'amount_cc'			: amountCreditCard,
			'amount_cheque'		: amountCheque,
			'amount_credit'		: amountCredit,
			'amount_cash'		: amountCash,
			'card_type'			: cardType,
			'customer'			: customer,
			'customer_phone'	: customerPhone,
			'member'			: member
		};
		
		console.log(data);

		offline_cash_checkout(currentQueue, data, function(json){
		
			if (json.status == 'failed'){
				$('p.pay-alert').text(json.reason);
			} else {
				$('#discount-input').val('');
				
				$('select.member').val('');
				$('.member-no').val('');
				
				hideDialog('pay');			
				$('tr.confirmation-credit-card').hide();
				$('#confirm-done').css('margin-top',110);
				$('#keypad').hide();
				
				$('td.pay-amount-balance').text('');

				$('p.pay-alert').text('');
				$('td.pay-amount-tendered').text(json.tendered);
				$('td.pay-amount-change').text(json.change);
				triggerDrawer();
				currentItem = 0;
				reprintReceipt();
				showDialog('confirmation');
				// getHistoryList();
				doPrint = false;			
				getItemList();
				$('input.money-in').val('');
				$('#confirm-done').focus();
				$('input.dtype').attr('checked',false);
				$('input.dtype-'+discount_default+'').attr('checked',true);
				
				customerDisplay(msg_thankyou, 'Change: ' + currency + json.change);

				
				if (printing_optional == '0'){
					window.print();
				}
	
			}		
		
		
		})
	}
}

function redeemItems(){
	var member_id = $('#redeem select.member').val();
	$.ajax({
		url: 'pos/ajax/redeem',
		data: 'queue='+currentQueue+'&member='+member_id,
		type: 'POST',
		success: function (json){
			$('#discount-input').val('');
				
				$('select.member').val('');
				$('.member-no').val('');
				
				hideDialog('redeem');

				$('#confirm-done').css('margin-top',110);
				$('#keypad').hide();
								
				$('td.amount-points').text(json.amount);
				$('td.balance-points').text(json.balance);

				currentItem = 0;
				reprintReceipt();
				showDialog('confirmation-redeem');
				getHistoryList();
				doPrint = false;			
				getItemList();
				$('#confirm-done').focus();
				
				customerDisplay(msg_thankyou, 'Change: ' + currency + json.change);
				
				if (printing_optional == '0'){
					window.print();
				}
		}
	})
}

function tendered(){
	var tenderedTotal = 0.00;
	$('input.money-in').each(function(){
		var tendered = $(this).val();
		if (!tendered) tendered = 0.00;
		tenderedTotal += parseFloat(tendered);
	});
	return tenderedTotal.toFixed(2);
}


function getCreditBalance(){
	var customer = $('select.customer').val();
	$.ajax({
		url: 'pos/credit_balance',
		type: 'post',
		data: 'customer_id='+customer,
		success: function(limit){
			$('span.credit_balance').text(limit);
		}
	});
	
	$.ajax({
		url: 'pos/credit_limit',
		type: 'post',
		data: 'customer_id='+customer,
		success: function(limit){
			$('span.credit_limit').text(limit);
		}
	})
}